#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3347
#define LARGE_STATE_COUNT 302
#define SYMBOL_COUNT 279
#define ALIAS_COUNT 4
#define TOKEN_COUNT 116
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 16
#define PRODUCTION_ID_COUNT 197

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_fn = 38,
  anon_sym_LBRACK = 39,
  anon_sym_RBRACK = 40,
  anon_sym_raises = 41,
  anon_sym_DASH_GT = 42,
  anon_sym_STAR_STAR = 43,
  anon_sym_global = 44,
  anon_sym_nonlocal = 45,
  anon_sym_exec = 46,
  anon_sym_type = 47,
  anon_sym_EQ = 48,
  anon_sym_class = 49,
  anon_sym_struct = 50,
  anon_sym_AT = 51,
  anon_sym_DASH = 52,
  anon_sym__ = 53,
  anon_sym_PIPE = 54,
  anon_sym_LBRACE = 55,
  anon_sym_RBRACE = 56,
  anon_sym_PLUS = 57,
  anon_sym_not = 58,
  anon_sym_and = 59,
  anon_sym_or = 60,
  anon_sym_SLASH = 61,
  anon_sym_PERCENT = 62,
  anon_sym_SLASH_SLASH = 63,
  anon_sym_AMP = 64,
  anon_sym_CARET = 65,
  anon_sym_LT_LT = 66,
  anon_sym_TILDE = 67,
  anon_sym_LT = 68,
  anon_sym_LT_EQ = 69,
  anon_sym_EQ_EQ = 70,
  anon_sym_BANG_EQ = 71,
  anon_sym_GT_EQ = 72,
  anon_sym_GT = 73,
  anon_sym_LT_GT = 74,
  anon_sym_is = 75,
  anon_sym_lambda = 76,
  anon_sym_var = 77,
  anon_sym_alias = 78,
  anon_sym_PLUS_EQ = 79,
  anon_sym_DASH_EQ = 80,
  anon_sym_STAR_EQ = 81,
  anon_sym_SLASH_EQ = 82,
  anon_sym_AT_EQ = 83,
  anon_sym_SLASH_SLASH_EQ = 84,
  anon_sym_PERCENT_EQ = 85,
  anon_sym_STAR_STAR_EQ = 86,
  anon_sym_GT_GT_EQ = 87,
  anon_sym_LT_LT_EQ = 88,
  anon_sym_AMP_EQ = 89,
  anon_sym_CARET_EQ = 90,
  anon_sym_PIPE_EQ = 91,
  anon_sym_yield = 92,
  sym_ellipsis = 93,
  anon_sym_inout = 94,
  anon_sym_owned = 95,
  anon_sym_borrowed = 96,
  sym_escape_sequence = 97,
  sym__not_escape_sequence = 98,
  aux_sym_format_specifier_token1 = 99,
  sym_type_conversion = 100,
  sym_integer = 101,
  sym_float = 102,
  anon_sym_await = 103,
  sym_true = 104,
  sym_false = 105,
  sym_none = 106,
  sym_comment = 107,
  sym_line_continuation = 108,
  sym__newline = 109,
  sym__indent = 110,
  sym__dedent = 111,
  sym_string_start = 112,
  sym__string_content = 113,
  sym_escape_interpolation = 114,
  sym_string_end = 115,
  sym_module = 116,
  sym__statement = 117,
  sym__simple_statements = 118,
  sym_import_statement = 119,
  sym_import_prefix = 120,
  sym_relative_import = 121,
  sym_future_import_statement = 122,
  sym_import_from_statement = 123,
  sym__import_list = 124,
  sym_aliased_import = 125,
  sym_wildcard_import = 126,
  sym_print_statement = 127,
  sym_chevron = 128,
  sym_assert_statement = 129,
  sym_expression_statement = 130,
  sym_named_expression = 131,
  sym__named_expression_lhs = 132,
  sym_return_statement = 133,
  sym_delete_statement = 134,
  sym_raise_statement = 135,
  sym_pass_statement = 136,
  sym_break_statement = 137,
  sym_continue_statement = 138,
  sym_if_statement = 139,
  sym_elif_clause = 140,
  sym_else_clause = 141,
  sym_match_statement = 142,
  sym__match_block = 143,
  sym_case_clause = 144,
  sym_for_statement = 145,
  sym_while_statement = 146,
  sym_try_statement = 147,
  sym_except_clause = 148,
  sym_except_group_clause = 149,
  sym_finally_clause = 150,
  sym_with_statement = 151,
  sym_with_clause = 152,
  sym_with_item = 153,
  sym_function_definition = 154,
  sym_parameters = 155,
  sym_lambda_parameters = 156,
  sym_list_splat = 157,
  sym_dictionary_splat = 158,
  sym_global_statement = 159,
  sym_nonlocal_statement = 160,
  sym_exec_statement = 161,
  sym_type_alias_statement = 162,
  sym_class_definition = 163,
  sym_type_parameter = 164,
  sym_parenthesized_list_splat = 165,
  sym_argument_list = 166,
  sym_parameter_list = 167,
  sym_decorated_definition = 168,
  sym_decorator = 169,
  sym_block = 170,
  sym_expression_list = 171,
  sym_dotted_name = 172,
  sym_case_pattern = 173,
  sym__simple_pattern = 174,
  sym__as_pattern = 175,
  sym_union_pattern = 176,
  sym__list_pattern = 177,
  sym__tuple_pattern = 178,
  sym_dict_pattern = 179,
  sym__key_value_pattern = 180,
  sym_keyword_pattern = 181,
  sym_splat_pattern = 182,
  sym_class_pattern = 183,
  sym_complex_pattern = 184,
  sym__parameters = 185,
  sym__patterns = 186,
  sym_parameter = 187,
  sym_pattern = 188,
  sym_tuple_pattern = 189,
  sym_list_pattern = 190,
  sym_default_parameter = 191,
  sym_typed_default_parameter = 192,
  sym_list_splat_pattern = 193,
  sym_dictionary_splat_pattern = 194,
  sym_as_pattern = 195,
  sym__expression_within_for_in_clause = 196,
  sym_expression = 197,
  sym_primary_expression = 198,
  sym_not_operator = 199,
  sym_boolean_operator = 200,
  sym_binary_operator = 201,
  sym_unary_operator = 202,
  sym_comparison_operator = 203,
  sym_lambda = 204,
  sym_lambda_within_for_in_clause = 205,
  sym_assignment = 206,
  sym_augmented_assignment = 207,
  sym_pattern_list = 208,
  sym__right_hand_side = 209,
  sym_yield = 210,
  sym_attribute = 211,
  sym_subscript = 212,
  sym_slice = 213,
  sym_call = 214,
  sym_typed_parameter = 215,
  sym_type = 216,
  sym_splat_type = 217,
  sym_generic_type = 218,
  sym_union_type = 219,
  sym_constrained_type = 220,
  sym_member_type = 221,
  sym_keyword_argument = 222,
  sym_list = 223,
  sym_set = 224,
  sym_tuple = 225,
  sym_dictionary = 226,
  sym_pair = 227,
  sym_list_comprehension = 228,
  sym_dictionary_comprehension = 229,
  sym_set_comprehension = 230,
  sym_generator_expression = 231,
  sym__comprehension_clauses = 232,
  sym_parenthesized_expression = 233,
  sym__collection_elements = 234,
  sym_for_in_clause = 235,
  sym_if_clause = 236,
  sym_conditional_expression = 237,
  sym_concatenated_string = 238,
  sym_string = 239,
  sym_string_content = 240,
  sym_interpolation = 241,
  sym__f_expression = 242,
  sym_format_specifier = 243,
  sym_await = 244,
  sym_positional_separator = 245,
  sym_keyword_separator = 246,
  aux_sym_module_repeat1 = 247,
  aux_sym__simple_statements_repeat1 = 248,
  aux_sym_import_prefix_repeat1 = 249,
  aux_sym__import_list_repeat1 = 250,
  aux_sym_print_statement_repeat1 = 251,
  aux_sym_assert_statement_repeat1 = 252,
  aux_sym_if_statement_repeat1 = 253,
  aux_sym_match_statement_repeat1 = 254,
  aux_sym__match_block_repeat1 = 255,
  aux_sym_case_clause_repeat1 = 256,
  aux_sym_try_statement_repeat1 = 257,
  aux_sym_try_statement_repeat2 = 258,
  aux_sym_with_clause_repeat1 = 259,
  aux_sym_global_statement_repeat1 = 260,
  aux_sym_type_parameter_repeat1 = 261,
  aux_sym_argument_list_repeat1 = 262,
  aux_sym_decorated_definition_repeat1 = 263,
  aux_sym_dotted_name_repeat1 = 264,
  aux_sym_union_pattern_repeat1 = 265,
  aux_sym_dict_pattern_repeat1 = 266,
  aux_sym__parameters_repeat1 = 267,
  aux_sym__patterns_repeat1 = 268,
  aux_sym_comparison_operator_repeat1 = 269,
  aux_sym_subscript_repeat1 = 270,
  aux_sym_dictionary_repeat1 = 271,
  aux_sym__comprehension_clauses_repeat1 = 272,
  aux_sym__collection_elements_repeat1 = 273,
  aux_sym_for_in_clause_repeat1 = 274,
  aux_sym_concatenated_string_repeat1 = 275,
  aux_sym_string_repeat1 = 276,
  aux_sym_string_content_repeat1 = 277,
  aux_sym_format_specifier_repeat1 = 278,
  alias_sym_as_pattern_target = 279,
  alias_sym_format_expression = 280,
  anon_alias_sym_isnot = 281,
  anon_alias_sym_notin = 282,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_fn] = "fn",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_raises] = "raises",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_var] = "var",
  [anon_sym_alias] = "alias",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_inout] = "inout",
  [anon_sym_owned] = "owned",
  [anon_sym_borrowed] = "borrowed",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_alias_statement] = "type_alias_statement",
  [sym_class_definition] = "class_definition",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_parameter_list] = "parameter_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
  [anon_alias_sym_isnot] = "is not",
  [anon_alias_sym_notin] = "not in",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_raises] = anon_sym_raises,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_alias] = anon_sym_alias,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_owned] = anon_sym_owned,
  [anon_sym_borrowed] = anon_sym_borrowed,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_alias_statement] = sym_type_alias_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_parameter_list] = sym_parameter_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
  [anon_alias_sym_isnot] = anon_alias_sym_isnot,
  [anon_alias_sym_notin] = anon_alias_sym_notin,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raises] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_owned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_borrowed] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_isnot] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_notin] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_return_type = 24,
  field_right = 25,
  field_subject = 26,
  field_subscript = 27,
  field_superclasses = 28,
  field_type = 29,
  field_type_conversion = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 3},
  [20] = {.index = 23, .length = 1},
  [21] = {.index = 24, .length = 2},
  [22] = {.index = 26, .length = 1},
  [23] = {.index = 27, .length = 2},
  [24] = {.index = 29, .length = 2},
  [25] = {.index = 31, .length = 1},
  [26] = {.index = 32, .length = 1},
  [27] = {.index = 33, .length = 2},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 1},
  [30] = {.index = 38, .length = 2},
  [31] = {.index = 40, .length = 1},
  [33] = {.index = 41, .length = 1},
  [34] = {.index = 42, .length = 2},
  [35] = {.index = 44, .length = 1},
  [36] = {.index = 45, .length = 2},
  [37] = {.index = 47, .length = 1},
  [38] = {.index = 48, .length = 3},
  [39] = {.index = 51, .length = 2},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 17, .length = 1},
  [42] = {.index = 55, .length = 1},
  [43] = {.index = 56, .length = 2},
  [44] = {.index = 58, .length = 2},
  [45] = {.index = 60, .length = 1},
  [46] = {.index = 61, .length = 2},
  [47] = {.index = 63, .length = 2},
  [48] = {.index = 65, .length = 2},
  [49] = {.index = 67, .length = 2},
  [50] = {.index = 69, .length = 2},
  [51] = {.index = 69, .length = 2},
  [53] = {.index = 71, .length = 2},
  [54] = {.index = 73, .length = 2},
  [55] = {.index = 75, .length = 1},
  [56] = {.index = 76, .length = 3},
  [57] = {.index = 79, .length = 3},
  [58] = {.index = 82, .length = 3},
  [59] = {.index = 85, .length = 3},
  [60] = {.index = 88, .length = 4},
  [61] = {.index = 92, .length = 1},
  [62] = {.index = 93, .length = 3},
  [63] = {.index = 96, .length = 3},
  [64] = {.index = 99, .length = 2},
  [65] = {.index = 101, .length = 2},
  [66] = {.index = 103, .length = 3},
  [67] = {.index = 106, .length = 3},
  [68] = {.index = 109, .length = 3},
  [69] = {.index = 112, .length = 3},
  [70] = {.index = 115, .length = 1},
  [71] = {.index = 18, .length = 2},
  [72] = {.index = 116, .length = 1},
  [73] = {.index = 117, .length = 3},
  [74] = {.index = 120, .length = 2},
  [75] = {.index = 122, .length = 2},
  [76] = {.index = 124, .length = 2},
  [77] = {.index = 126, .length = 3},
  [78] = {.index = 129, .length = 1},
  [79] = {.index = 130, .length = 2},
  [80] = {.index = 132, .length = 4},
  [81] = {.index = 136, .length = 2},
  [82] = {.index = 138, .length = 4},
  [83] = {.index = 142, .length = 4},
  [84] = {.index = 146, .length = 1},
  [85] = {.index = 147, .length = 4},
  [86] = {.index = 151, .length = 2},
  [87] = {.index = 153, .length = 3},
  [88] = {.index = 156, .length = 3},
  [89] = {.index = 159, .length = 4},
  [91] = {.index = 163, .length = 4},
  [92] = {.index = 167, .length = 4},
  [93] = {.index = 171, .length = 4},
  [94] = {.index = 175, .length = 4},
  [95] = {.index = 179, .length = 4},
  [96] = {.index = 183, .length = 3},
  [97] = {.index = 186, .length = 3},
  [98] = {.index = 189, .length = 3},
  [99] = {.index = 192, .length = 2},
  [100] = {.index = 194, .length = 3},
  [101] = {.index = 197, .length = 5},
  [102] = {.index = 202, .length = 3},
  [103] = {.index = 205, .length = 4},
  [104] = {.index = 209, .length = 4},
  [105] = {.index = 213, .length = 4},
  [106] = {.index = 217, .length = 4},
  [108] = {.index = 221, .length = 4},
  [109] = {.index = 225, .length = 5},
  [110] = {.index = 230, .length = 5},
  [111] = {.index = 235, .length = 3},
  [112] = {.index = 238, .length = 2},
  [113] = {.index = 240, .length = 1},
  [114] = {.index = 241, .length = 4},
  [115] = {.index = 245, .length = 4},
  [116] = {.index = 249, .length = 4},
  [117] = {.index = 253, .length = 5},
  [118] = {.index = 258, .length = 5},
  [119] = {.index = 263, .length = 4},
  [120] = {.index = 267, .length = 5},
  [121] = {.index = 272, .length = 5},
  [122] = {.index = 277, .length = 4},
  [123] = {.index = 281, .length = 4},
  [124] = {.index = 285, .length = 2},
  [125] = {.index = 287, .length = 1},
  [126] = {.index = 288, .length = 2},
  [127] = {.index = 290, .length = 2},
  [128] = {.index = 292, .length = 5},
  [129] = {.index = 297, .length = 4},
  [130] = {.index = 301, .length = 5},
  [131] = {.index = 306, .length = 5},
  [133] = {.index = 311, .length = 5},
  [134] = {.index = 316, .length = 5},
  [135] = {.index = 321, .length = 5},
  [136] = {.index = 326, .length = 6},
  [137] = {.index = 332, .length = 2},
  [138] = {.index = 334, .length = 2},
  [139] = {.index = 336, .length = 3},
  [140] = {.index = 339, .length = 1},
  [141] = {.index = 340, .length = 5},
  [142] = {.index = 345, .length = 5},
  [143] = {.index = 350, .length = 5},
  [144] = {.index = 355, .length = 6},
  [145] = {.index = 361, .length = 6},
  [146] = {.index = 367, .length = 6},
  [147] = {.index = 373, .length = 6},
  [148] = {.index = 379, .length = 6},
  [149] = {.index = 385, .length = 3},
  [150] = {.index = 388, .length = 2},
  [151] = {.index = 390, .length = 2},
  [152] = {.index = 392, .length = 6},
  [153] = {.index = 398, .length = 6},
  [154] = {.index = 404, .length = 6},
  [155] = {.index = 410, .length = 6},
  [156] = {.index = 416, .length = 6},
  [157] = {.index = 422, .length = 7},
  [158] = {.index = 429, .length = 7},
  [159] = {.index = 436, .length = 7},
  [160] = {.index = 443, .length = 3},
  [161] = {.index = 446, .length = 6},
  [162] = {.index = 452, .length = 7},
  [163] = {.index = 459, .length = 7},
  [164] = {.index = 466, .length = 7},
  [165] = {.index = 473, .length = 6},
  [166] = {.index = 479, .length = 7},
  [167] = {.index = 486, .length = 7},
  [168] = {.index = 493, .length = 7},
  [169] = {.index = 500, .length = 8},
  [170] = {.index = 508, .length = 6},
  [171] = {.index = 514, .length = 7},
  [172] = {.index = 521, .length = 7},
  [173] = {.index = 528, .length = 7},
  [174] = {.index = 535, .length = 8},
  [175] = {.index = 543, .length = 7},
  [176] = {.index = 550, .length = 7},
  [177] = {.index = 557, .length = 8},
  [178] = {.index = 565, .length = 7},
  [179] = {.index = 572, .length = 8},
  [180] = {.index = 580, .length = 8},
  [181] = {.index = 588, .length = 7},
  [182] = {.index = 595, .length = 7},
  [183] = {.index = 602, .length = 8},
  [184] = {.index = 610, .length = 7},
  [185] = {.index = 617, .length = 8},
  [186] = {.index = 625, .length = 8},
  [187] = {.index = 633, .length = 8},
  [188] = {.index = 641, .length = 8},
  [189] = {.index = 649, .length = 8},
  [190] = {.index = 657, .length = 9},
  [191] = {.index = 666, .length = 8},
  [192] = {.index = 674, .length = 8},
  [193] = {.index = 682, .length = 8},
  [194] = {.index = 690, .length = 9},
  [195] = {.index = 699, .length = 9},
  [196] = {.index = 708, .length = 9},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [23] =
    {field_alias, 2},
  [24] =
    {field_attribute, 2},
    {field_object, 0},
  [26] =
    {field_operators, 0},
  [27] =
    {field_arguments, 2},
    {field_function, 0},
  [29] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [31] =
    {field_expression, 1},
  [32] =
    {field_name, 1},
  [33] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [35] =
    {field_alias, 2},
    {field_name, 0},
  [37] =
    {field_name, 3, .inherited = true},
  [38] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
  [41] =
    {field_body, 1},
  [42] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [44] =
    {field_cause, 3},
  [45] =
    {field_condition, 1},
    {field_consequence, 3},
  [47] =
    {field_subject, 1},
  [48] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [51] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [53] =
    {field_body, 3},
    {field_condition, 1},
  [55] =
    {field_body, 3},
  [56] =
    {field_body, 3},
    {field_name, 1},
  [58] =
    {field_key, 0},
    {field_value, 2},
  [60] =
    {field_type, 2},
  [61] =
    {field_body, 3},
    {field_parameters, 1},
  [63] =
    {field_left, 1},
    {field_type, 3},
  [65] =
    {field_left, 1},
    {field_right, 3},
  [67] =
    {field_subscript, 2},
    {field_value, 0},
  [69] =
    {field_operators, 0},
    {field_operators, 1},
  [71] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [73] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [75] =
    {field_alternative, 0},
  [76] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [79] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [82] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [85] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [88] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [92] =
    {field_body, 4},
  [93] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [96] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [99] =
    {field_body, 2},
    {field_body, 3},
  [101] =
    {field_body, 3},
    {field_body, 4},
  [103] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [106] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [109] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [112] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [115] =
    {field_type, 3},
  [116] =
    {field_subscript, 1},
  [117] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [120] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [122] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [124] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [126] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [129] =
    {field_name, 4, .inherited = true},
  [130] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [132] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [136] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [138] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [142] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_alternative, 1, .inherited = true},
  [147] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [151] =
    {field_body, 4},
    {field_body, 5},
  [153] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [156] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [163] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [167] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [171] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [175] =
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [179] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [183] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [186] =
    {field_left, 1},
    {field_right, 5},
    {field_type, 3},
  [189] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [192] =
    {field_left, 2},
    {field_right, 4},
  [194] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [197] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [202] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [205] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [209] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [213] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [217] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [221] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [225] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [230] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [235] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [238] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [240] =
    {field_consequence, 3},
  [241] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [245] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [249] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [253] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [258] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [263] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 5},
  [267] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [272] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [277] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [281] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [285] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [287] =
    {field_consequence, 4},
  [288] =
    {field_consequence, 3},
    {field_consequence, 4},
  [290] =
    {field_consequence, 4},
    {field_guard, 2},
  [292] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [297] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 6},
  [301] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [306] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [311] =
    {field_body, 8},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 6},
  [316] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 5},
  [321] =
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 6},
    {field_type_parameters, 2},
  [326] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [332] =
    {field_consequence, 4},
    {field_consequence, 5},
  [334] =
    {field_consequence, 5},
    {field_guard, 3},
  [336] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [339] =
    {field_consequence, 5},
  [340] =
    {field_body, 9},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
  [345] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 6},
  [350] =
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 7},
    {field_type_parameters, 3},
  [355] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [361] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 6},
  [367] =
    {field_body, 9},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 7},
    {field_type_parameters, 6},
  [373] =
    {field_body, 9},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_type_parameters, 3},
  [379] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 6},
    {field_type_parameters, 2},
  [385] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [388] =
    {field_consequence, 5},
    {field_consequence, 6},
  [390] =
    {field_consequence, 6},
    {field_guard, 4},
  [392] =
    {field_body, 9},
    {field_body, 10},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
  [398] =
    {field_body, 10},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_type_parameters, 7},
  [404] =
    {field_body, 10},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 8},
    {field_type_parameters, 4},
  [410] =
    {field_body, 9},
    {field_body, 10},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 7},
    {field_type_parameters, 3},
  [416] =
    {field_body, 10},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 6},
    {field_return_type, 8},
  [422] =
    {field_body, 9},
    {field_body, 10},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 7},
    {field_type_parameters, 6},
  [429] =
    {field_body, 9},
    {field_body, 10},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_type_parameters, 3},
  [436] =
    {field_body, 10},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_type_parameters, 3},
    {field_type_parameters, 7},
  [443] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
  [446] =
    {field_body, 11},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 9},
  [452] =
    {field_body, 10},
    {field_body, 11},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_type_parameters, 7},
  [459] =
    {field_body, 10},
    {field_body, 11},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 8},
    {field_type_parameters, 4},
  [466] =
    {field_body, 11},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 9},
    {field_type_parameters, 4},
    {field_type_parameters, 8},
  [473] =
    {field_body, 11},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 6},
    {field_return_type, 9},
  [479] =
    {field_body, 10},
    {field_body, 11},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 6},
    {field_return_type, 8},
  [486] =
    {field_body, 11},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 7},
    {field_return_type, 9},
    {field_type_parameters, 6},
  [493] =
    {field_body, 11},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 9},
    {field_type_parameters, 3},
  [500] =
    {field_body, 10},
    {field_body, 11},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_type_parameters, 3},
    {field_type_parameters, 7},
  [508] =
    {field_body, 12},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 10},
  [514] =
    {field_body, 11},
    {field_body, 12},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 9},
  [521] =
    {field_body, 12},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 10},
    {field_type_parameters, 7},
  [528] =
    {field_body, 12},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 8},
    {field_return_type, 10},
    {field_type_parameters, 4},
  [535] =
    {field_body, 11},
    {field_body, 12},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 9},
    {field_type_parameters, 4},
    {field_type_parameters, 8},
  [543] =
    {field_body, 11},
    {field_body, 12},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 6},
    {field_return_type, 9},
  [550] =
    {field_body, 12},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 7},
    {field_return_type, 10},
    {field_type_parameters, 6},
  [557] =
    {field_body, 11},
    {field_body, 12},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 7},
    {field_return_type, 9},
    {field_type_parameters, 6},
  [565] =
    {field_body, 12},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 10},
    {field_type_parameters, 3},
  [572] =
    {field_body, 11},
    {field_body, 12},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 9},
    {field_type_parameters, 3},
  [580] =
    {field_body, 12},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 10},
    {field_type_parameters, 3},
    {field_type_parameters, 7},
  [588] =
    {field_body, 12},
    {field_body, 13},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 10},
  [595] =
    {field_body, 13},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 11},
    {field_type_parameters, 7},
  [602] =
    {field_body, 12},
    {field_body, 13},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 10},
    {field_type_parameters, 7},
  [610] =
    {field_body, 13},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 8},
    {field_return_type, 11},
    {field_type_parameters, 4},
  [617] =
    {field_body, 12},
    {field_body, 13},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 8},
    {field_return_type, 10},
    {field_type_parameters, 4},
  [625] =
    {field_body, 13},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 9},
    {field_return_type, 11},
    {field_type_parameters, 4},
    {field_type_parameters, 8},
  [633] =
    {field_body, 12},
    {field_body, 13},
    {field_name, 2},
    {field_name, 5},
    {field_parameters, 3},
    {field_parameters, 7},
    {field_return_type, 10},
    {field_type_parameters, 6},
  [641] =
    {field_body, 12},
    {field_body, 13},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 7},
    {field_return_type, 10},
    {field_type_parameters, 3},
  [649] =
    {field_body, 13},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 11},
    {field_type_parameters, 3},
    {field_type_parameters, 7},
  [657] =
    {field_body, 12},
    {field_body, 13},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 10},
    {field_type_parameters, 3},
    {field_type_parameters, 7},
  [666] =
    {field_body, 13},
    {field_body, 14},
    {field_name, 3},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 11},
    {field_type_parameters, 7},
  [674] =
    {field_body, 13},
    {field_body, 14},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 8},
    {field_return_type, 11},
    {field_type_parameters, 4},
  [682] =
    {field_body, 14},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 9},
    {field_return_type, 12},
    {field_type_parameters, 4},
    {field_type_parameters, 8},
  [690] =
    {field_body, 13},
    {field_body, 14},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 9},
    {field_return_type, 11},
    {field_type_parameters, 4},
    {field_type_parameters, 8},
  [699] =
    {field_body, 13},
    {field_body, 14},
    {field_name, 2},
    {field_name, 6},
    {field_parameters, 4},
    {field_parameters, 8},
    {field_return_type, 11},
    {field_type_parameters, 3},
    {field_type_parameters, 7},
  [708] =
    {field_body, 14},
    {field_body, 15},
    {field_name, 3},
    {field_name, 7},
    {field_parameters, 5},
    {field_parameters, 9},
    {field_return_type, 12},
    {field_type_parameters, 4},
    {field_type_parameters, 8},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [20] = {
    [2] = alias_sym_as_pattern_target,
  },
  [32] = {
    [1] = sym_parenthesized_expression,
  },
  [36] = {
    [3] = sym_block,
  },
  [40] = {
    [3] = sym_block,
  },
  [41] = {
    [2] = sym_block,
  },
  [42] = {
    [3] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [50] = {
    [0] = anon_alias_sym_notin,
    [1] = anon_alias_sym_notin,
  },
  [51] = {
    [0] = anon_alias_sym_isnot,
    [1] = anon_alias_sym_isnot,
  },
  [52] = {
    [0] = alias_sym_format_expression,
  },
  [56] = {
    [3] = sym_block,
  },
  [57] = {
    [3] = sym_block,
  },
  [61] = {
    [4] = sym_block,
  },
  [62] = {
    [3] = sym_block,
  },
  [66] = {
    [4] = sym_block,
  },
  [68] = {
    [4] = sym_block,
  },
  [69] = {
    [4] = sym_block,
  },
  [71] = {
    [0] = sym_identifier,
  },
  [80] = {
    [3] = sym_block,
  },
  [87] = {
    [5] = sym_block,
  },
  [88] = {
    [5] = sym_block,
  },
  [90] = {
    [2] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [94] = {
    [5] = sym_block,
  },
  [102] = {
    [6] = sym_block,
  },
  [104] = {
    [6] = sym_block,
  },
  [105] = {
    [5] = sym_block,
  },
  [107] = {
    [3] = sym_block,
  },
  [108] = {
    [6] = sym_block,
  },
  [113] = {
    [3] = sym_block,
  },
  [114] = {
    [6] = sym_block,
  },
  [116] = {
    [7] = sym_block,
  },
  [119] = {
    [7] = sym_block,
  },
  [121] = {
    [7] = sym_block,
  },
  [125] = {
    [4] = sym_block,
  },
  [127] = {
    [4] = sym_block,
  },
  [129] = {
    [8] = sym_block,
  },
  [131] = {
    [8] = sym_block,
  },
  [132] = {
    [5] = sym_block,
  },
  [133] = {
    [8] = sym_block,
  },
  [135] = {
    [8] = sym_block,
  },
  [138] = {
    [5] = sym_block,
  },
  [140] = {
    [5] = sym_block,
  },
  [141] = {
    [9] = sym_block,
  },
  [143] = {
    [9] = sym_block,
  },
  [146] = {
    [9] = sym_block,
  },
  [147] = {
    [9] = sym_block,
  },
  [151] = {
    [6] = sym_block,
  },
  [153] = {
    [10] = sym_block,
  },
  [154] = {
    [10] = sym_block,
  },
  [156] = {
    [10] = sym_block,
  },
  [159] = {
    [10] = sym_block,
  },
  [161] = {
    [11] = sym_block,
  },
  [164] = {
    [11] = sym_block,
  },
  [165] = {
    [11] = sym_block,
  },
  [167] = {
    [11] = sym_block,
  },
  [168] = {
    [11] = sym_block,
  },
  [170] = {
    [12] = sym_block,
  },
  [172] = {
    [12] = sym_block,
  },
  [173] = {
    [12] = sym_block,
  },
  [176] = {
    [12] = sym_block,
  },
  [178] = {
    [12] = sym_block,
  },
  [180] = {
    [12] = sym_block,
  },
  [182] = {
    [13] = sym_block,
  },
  [184] = {
    [13] = sym_block,
  },
  [186] = {
    [13] = sym_block,
  },
  [189] = {
    [13] = sym_block,
  },
  [193] = {
    [14] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 21,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 2,
  [62] = 62,
  [63] = 62,
  [64] = 60,
  [65] = 28,
  [66] = 66,
  [67] = 67,
  [68] = 50,
  [69] = 19,
  [70] = 46,
  [71] = 59,
  [72] = 58,
  [73] = 43,
  [74] = 66,
  [75] = 42,
  [76] = 41,
  [77] = 54,
  [78] = 40,
  [79] = 27,
  [80] = 55,
  [81] = 16,
  [82] = 39,
  [83] = 51,
  [84] = 29,
  [85] = 25,
  [86] = 57,
  [87] = 22,
  [88] = 37,
  [89] = 47,
  [90] = 36,
  [91] = 20,
  [92] = 52,
  [93] = 26,
  [94] = 15,
  [95] = 56,
  [96] = 35,
  [97] = 34,
  [98] = 33,
  [99] = 14,
  [100] = 32,
  [101] = 10,
  [102] = 9,
  [103] = 24,
  [104] = 53,
  [105] = 3,
  [106] = 4,
  [107] = 5,
  [108] = 17,
  [109] = 6,
  [110] = 7,
  [111] = 8,
  [112] = 30,
  [113] = 13,
  [114] = 11,
  [115] = 12,
  [116] = 44,
  [117] = 45,
  [118] = 118,
  [119] = 119,
  [120] = 118,
  [121] = 118,
  [122] = 118,
  [123] = 123,
  [124] = 118,
  [125] = 119,
  [126] = 118,
  [127] = 118,
  [128] = 118,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 131,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 144,
  [150] = 150,
  [151] = 151,
  [152] = 143,
  [153] = 153,
  [154] = 150,
  [155] = 155,
  [156] = 142,
  [157] = 133,
  [158] = 158,
  [159] = 158,
  [160] = 130,
  [161] = 155,
  [162] = 141,
  [163] = 147,
  [164] = 153,
  [165] = 136,
  [166] = 139,
  [167] = 167,
  [168] = 140,
  [169] = 151,
  [170] = 148,
  [171] = 145,
  [172] = 167,
  [173] = 132,
  [174] = 137,
  [175] = 134,
  [176] = 135,
  [177] = 146,
  [178] = 178,
  [179] = 179,
  [180] = 179,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 183,
  [191] = 188,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 206,
  [208] = 186,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 204,
  [213] = 200,
  [214] = 211,
  [215] = 215,
  [216] = 184,
  [217] = 217,
  [218] = 210,
  [219] = 194,
  [220] = 203,
  [221] = 221,
  [222] = 222,
  [223] = 193,
  [224] = 224,
  [225] = 217,
  [226] = 226,
  [227] = 189,
  [228] = 226,
  [229] = 222,
  [230] = 209,
  [231] = 181,
  [232] = 192,
  [233] = 187,
  [234] = 196,
  [235] = 235,
  [236] = 201,
  [237] = 205,
  [238] = 198,
  [239] = 221,
  [240] = 195,
  [241] = 241,
  [242] = 235,
  [243] = 243,
  [244] = 182,
  [245] = 202,
  [246] = 185,
  [247] = 247,
  [248] = 247,
  [249] = 249,
  [250] = 249,
  [251] = 247,
  [252] = 247,
  [253] = 247,
  [254] = 247,
  [255] = 249,
  [256] = 249,
  [257] = 249,
  [258] = 247,
  [259] = 249,
  [260] = 249,
  [261] = 249,
  [262] = 247,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 265,
  [268] = 264,
  [269] = 266,
  [270] = 270,
  [271] = 265,
  [272] = 272,
  [273] = 273,
  [274] = 266,
  [275] = 270,
  [276] = 272,
  [277] = 266,
  [278] = 266,
  [279] = 273,
  [280] = 265,
  [281] = 270,
  [282] = 264,
  [283] = 266,
  [284] = 265,
  [285] = 270,
  [286] = 266,
  [287] = 264,
  [288] = 270,
  [289] = 272,
  [290] = 265,
  [291] = 273,
  [292] = 266,
  [293] = 270,
  [294] = 270,
  [295] = 270,
  [296] = 296,
  [297] = 296,
  [298] = 265,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 303,
  [305] = 305,
  [306] = 306,
  [307] = 303,
  [308] = 305,
  [309] = 303,
  [310] = 302,
  [311] = 303,
  [312] = 305,
  [313] = 302,
  [314] = 306,
  [315] = 303,
  [316] = 305,
  [317] = 303,
  [318] = 305,
  [319] = 303,
  [320] = 302,
  [321] = 302,
  [322] = 302,
  [323] = 302,
  [324] = 303,
  [325] = 305,
  [326] = 302,
  [327] = 303,
  [328] = 305,
  [329] = 305,
  [330] = 330,
  [331] = 330,
  [332] = 330,
  [333] = 330,
  [334] = 330,
  [335] = 330,
  [336] = 330,
  [337] = 330,
  [338] = 330,
  [339] = 330,
  [340] = 340,
  [341] = 340,
  [342] = 342,
  [343] = 343,
  [344] = 340,
  [345] = 343,
  [346] = 343,
  [347] = 342,
  [348] = 340,
  [349] = 340,
  [350] = 343,
  [351] = 340,
  [352] = 340,
  [353] = 353,
  [354] = 340,
  [355] = 340,
  [356] = 342,
  [357] = 353,
  [358] = 340,
  [359] = 342,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 363,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 368,
  [375] = 365,
  [376] = 371,
  [377] = 377,
  [378] = 367,
  [379] = 379,
  [380] = 361,
  [381] = 381,
  [382] = 382,
  [383] = 372,
  [384] = 379,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 385,
  [391] = 391,
  [392] = 392,
  [393] = 370,
  [394] = 386,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 362,
  [401] = 401,
  [402] = 402,
  [403] = 370,
  [404] = 404,
  [405] = 377,
  [406] = 389,
  [407] = 407,
  [408] = 404,
  [409] = 409,
  [410] = 369,
  [411] = 397,
  [412] = 412,
  [413] = 387,
  [414] = 389,
  [415] = 370,
  [416] = 395,
  [417] = 370,
  [418] = 396,
  [419] = 370,
  [420] = 407,
  [421] = 381,
  [422] = 399,
  [423] = 423,
  [424] = 423,
  [425] = 370,
  [426] = 370,
  [427] = 412,
  [428] = 428,
  [429] = 391,
  [430] = 412,
  [431] = 431,
  [432] = 388,
  [433] = 433,
  [434] = 401,
  [435] = 389,
  [436] = 412,
  [437] = 398,
  [438] = 404,
  [439] = 404,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 440,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 441,
  [449] = 449,
  [450] = 450,
  [451] = 446,
  [452] = 445,
  [453] = 441,
  [454] = 447,
  [455] = 444,
  [456] = 441,
  [457] = 447,
  [458] = 442,
  [459] = 446,
  [460] = 445,
  [461] = 447,
  [462] = 440,
  [463] = 442,
  [464] = 442,
  [465] = 446,
  [466] = 440,
  [467] = 445,
  [468] = 441,
  [469] = 444,
  [470] = 447,
  [471] = 441,
  [472] = 446,
  [473] = 440,
  [474] = 445,
  [475] = 442,
  [476] = 447,
  [477] = 444,
  [478] = 445,
  [479] = 446,
  [480] = 444,
  [481] = 446,
  [482] = 445,
  [483] = 441,
  [484] = 447,
  [485] = 442,
  [486] = 440,
  [487] = 442,
  [488] = 440,
  [489] = 440,
  [490] = 442,
  [491] = 444,
  [492] = 446,
  [493] = 493,
  [494] = 447,
  [495] = 495,
  [496] = 441,
  [497] = 445,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 409,
  [504] = 499,
  [505] = 373,
  [506] = 501,
  [507] = 502,
  [508] = 508,
  [509] = 500,
  [510] = 501,
  [511] = 511,
  [512] = 508,
  [513] = 513,
  [514] = 514,
  [515] = 296,
  [516] = 500,
  [517] = 508,
  [518] = 514,
  [519] = 499,
  [520] = 502,
  [521] = 498,
  [522] = 514,
  [523] = 523,
  [524] = 523,
  [525] = 525,
  [526] = 523,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 530,
  [532] = 527,
  [533] = 533,
  [534] = 528,
  [535] = 535,
  [536] = 528,
  [537] = 296,
  [538] = 533,
  [539] = 392,
  [540] = 527,
  [541] = 392,
  [542] = 527,
  [543] = 523,
  [544] = 523,
  [545] = 527,
  [546] = 523,
  [547] = 523,
  [548] = 527,
  [549] = 523,
  [550] = 527,
  [551] = 392,
  [552] = 527,
  [553] = 529,
  [554] = 535,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 558,
  [561] = 558,
  [562] = 559,
  [563] = 555,
  [564] = 558,
  [565] = 265,
  [566] = 559,
  [567] = 555,
  [568] = 558,
  [569] = 569,
  [570] = 555,
  [571] = 559,
  [572] = 555,
  [573] = 558,
  [574] = 513,
  [575] = 559,
  [576] = 555,
  [577] = 558,
  [578] = 559,
  [579] = 559,
  [580] = 555,
  [581] = 559,
  [582] = 582,
  [583] = 558,
  [584] = 558,
  [585] = 555,
  [586] = 555,
  [587] = 511,
  [588] = 559,
  [589] = 589,
  [590] = 559,
  [591] = 558,
  [592] = 555,
  [593] = 593,
  [594] = 594,
  [595] = 513,
  [596] = 556,
  [597] = 511,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 593,
  [609] = 609,
  [610] = 603,
  [611] = 611,
  [612] = 612,
  [613] = 594,
  [614] = 602,
  [615] = 601,
  [616] = 607,
  [617] = 598,
  [618] = 605,
  [619] = 619,
  [620] = 296,
  [621] = 621,
  [622] = 622,
  [623] = 600,
  [624] = 624,
  [625] = 611,
  [626] = 612,
  [627] = 594,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 265,
  [632] = 632,
  [633] = 513,
  [634] = 598,
  [635] = 622,
  [636] = 636,
  [637] = 603,
  [638] = 630,
  [639] = 511,
  [640] = 602,
  [641] = 641,
  [642] = 622,
  [643] = 643,
  [644] = 644,
  [645] = 296,
  [646] = 646,
  [647] = 647,
  [648] = 646,
  [649] = 649,
  [650] = 650,
  [651] = 647,
  [652] = 649,
  [653] = 653,
  [654] = 650,
  [655] = 655,
  [656] = 656,
  [657] = 511,
  [658] = 653,
  [659] = 659,
  [660] = 513,
  [661] = 656,
  [662] = 655,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 672,
  [678] = 678,
  [679] = 665,
  [680] = 678,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 681,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 686,
  [690] = 690,
  [691] = 691,
  [692] = 687,
  [693] = 686,
  [694] = 686,
  [695] = 695,
  [696] = 696,
  [697] = 686,
  [698] = 698,
  [699] = 699,
  [700] = 687,
  [701] = 687,
  [702] = 663,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 663,
  [707] = 682,
  [708] = 705,
  [709] = 705,
  [710] = 682,
  [711] = 663,
  [712] = 682,
  [713] = 713,
  [714] = 687,
  [715] = 691,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 668,
  [720] = 686,
  [721] = 691,
  [722] = 713,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 705,
  [727] = 695,
  [728] = 728,
  [729] = 725,
  [730] = 690,
  [731] = 724,
  [732] = 675,
  [733] = 723,
  [734] = 695,
  [735] = 695,
  [736] = 691,
  [737] = 691,
  [738] = 683,
  [739] = 739,
  [740] = 740,
  [741] = 672,
  [742] = 665,
  [743] = 713,
  [744] = 678,
  [745] = 705,
  [746] = 669,
  [747] = 683,
  [748] = 674,
  [749] = 688,
  [750] = 683,
  [751] = 678,
  [752] = 676,
  [753] = 753,
  [754] = 665,
  [755] = 682,
  [756] = 664,
  [757] = 682,
  [758] = 663,
  [759] = 759,
  [760] = 672,
  [761] = 753,
  [762] = 717,
  [763] = 687,
  [764] = 728,
  [765] = 759,
  [766] = 675,
  [767] = 663,
  [768] = 728,
  [769] = 691,
  [770] = 670,
  [771] = 675,
  [772] = 772,
  [773] = 773,
  [774] = 675,
  [775] = 686,
  [776] = 683,
  [777] = 678,
  [778] = 665,
  [779] = 695,
  [780] = 683,
  [781] = 678,
  [782] = 665,
  [783] = 783,
  [784] = 717,
  [785] = 672,
  [786] = 688,
  [787] = 713,
  [788] = 691,
  [789] = 695,
  [790] = 691,
  [791] = 676,
  [792] = 682,
  [793] = 675,
  [794] = 667,
  [795] = 795,
  [796] = 672,
  [797] = 676,
  [798] = 682,
  [799] = 688,
  [800] = 675,
  [801] = 717,
  [802] = 676,
  [803] = 672,
  [804] = 683,
  [805] = 678,
  [806] = 665,
  [807] = 665,
  [808] = 672,
  [809] = 676,
  [810] = 705,
  [811] = 675,
  [812] = 686,
  [813] = 678,
  [814] = 698,
  [815] = 683,
  [816] = 690,
  [817] = 666,
  [818] = 740,
  [819] = 699,
  [820] = 718,
  [821] = 690,
  [822] = 822,
  [823] = 772,
  [824] = 713,
  [825] = 690,
  [826] = 826,
  [827] = 827,
  [828] = 690,
  [829] = 773,
  [830] = 728,
  [831] = 783,
  [832] = 795,
  [833] = 690,
  [834] = 834,
  [835] = 723,
  [836] = 703,
  [837] = 690,
  [838] = 728,
  [839] = 728,
  [840] = 840,
  [841] = 840,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 844,
  [848] = 848,
  [849] = 849,
  [850] = 845,
  [851] = 851,
  [852] = 842,
  [853] = 849,
  [854] = 848,
  [855] = 851,
  [856] = 843,
  [857] = 857,
  [858] = 858,
  [859] = 858,
  [860] = 857,
  [861] = 846,
  [862] = 862,
  [863] = 863,
  [864] = 863,
  [865] = 862,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 897,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 908,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 868,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 932,
  [939] = 939,
  [940] = 940,
  [941] = 936,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 957,
  [961] = 954,
  [962] = 962,
  [963] = 956,
  [964] = 947,
  [965] = 965,
  [966] = 943,
  [967] = 955,
  [968] = 965,
  [969] = 969,
  [970] = 940,
  [971] = 971,
  [972] = 944,
  [973] = 973,
  [974] = 953,
  [975] = 975,
  [976] = 952,
  [977] = 959,
  [978] = 978,
  [979] = 979,
  [980] = 937,
  [981] = 930,
  [982] = 935,
  [983] = 915,
  [984] = 929,
  [985] = 978,
  [986] = 934,
  [987] = 923,
  [988] = 988,
  [989] = 914,
  [990] = 928,
  [991] = 911,
  [992] = 927,
  [993] = 890,
  [994] = 912,
  [995] = 925,
  [996] = 910,
  [997] = 909,
  [998] = 922,
  [999] = 898,
  [1000] = 888,
  [1001] = 1001,
  [1002] = 921,
  [1003] = 924,
  [1004] = 920,
  [1005] = 951,
  [1006] = 907,
  [1007] = 945,
  [1008] = 1008,
  [1009] = 905,
  [1010] = 895,
  [1011] = 904,
  [1012] = 893,
  [1013] = 892,
  [1014] = 903,
  [1015] = 913,
  [1016] = 901,
  [1017] = 969,
  [1018] = 900,
  [1019] = 949,
  [1020] = 1020,
  [1021] = 896,
  [1022] = 881,
  [1023] = 894,
  [1024] = 887,
  [1025] = 916,
  [1026] = 891,
  [1027] = 889,
  [1028] = 886,
  [1029] = 885,
  [1030] = 884,
  [1031] = 1031,
  [1032] = 883,
  [1033] = 882,
  [1034] = 880,
  [1035] = 1035,
  [1036] = 878,
  [1037] = 877,
  [1038] = 1001,
  [1039] = 875,
  [1040] = 1040,
  [1041] = 874,
  [1042] = 971,
  [1043] = 873,
  [1044] = 872,
  [1045] = 871,
  [1046] = 1046,
  [1047] = 870,
  [1048] = 869,
  [1049] = 1049,
  [1050] = 926,
  [1051] = 931,
  [1052] = 939,
  [1053] = 942,
  [1054] = 1054,
  [1055] = 1049,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1056,
  [1059] = 1054,
  [1060] = 1035,
  [1061] = 946,
  [1062] = 948,
  [1063] = 950,
  [1064] = 1031,
  [1065] = 973,
  [1066] = 975,
  [1067] = 979,
  [1068] = 1020,
  [1069] = 1008,
  [1070] = 962,
  [1071] = 1057,
  [1072] = 918,
  [1073] = 1073,
  [1074] = 917,
  [1075] = 1046,
  [1076] = 1040,
  [1077] = 958,
  [1078] = 876,
  [1079] = 1079,
  [1080] = 879,
  [1081] = 899,
  [1082] = 1082,
  [1083] = 1073,
  [1084] = 1079,
  [1085] = 1082,
  [1086] = 988,
  [1087] = 902,
  [1088] = 373,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 409,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 373,
  [1112] = 409,
  [1113] = 1113,
  [1114] = 1113,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1115,
  [1119] = 1119,
  [1120] = 1116,
  [1121] = 1121,
  [1122] = 1117,
  [1123] = 1123,
  [1124] = 1119,
  [1125] = 1119,
  [1126] = 1123,
  [1127] = 1116,
  [1128] = 1128,
  [1129] = 1121,
  [1130] = 1130,
  [1131] = 1130,
  [1132] = 1130,
  [1133] = 1130,
  [1134] = 1130,
  [1135] = 1130,
  [1136] = 1136,
  [1137] = 1136,
  [1138] = 1138,
  [1139] = 1138,
  [1140] = 1138,
  [1141] = 1138,
  [1142] = 1138,
  [1143] = 1138,
  [1144] = 1138,
  [1145] = 1138,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1148,
  [1159] = 1159,
  [1160] = 1148,
  [1161] = 1161,
  [1162] = 1152,
  [1163] = 1146,
  [1164] = 1151,
  [1165] = 1153,
  [1166] = 1146,
  [1167] = 1167,
  [1168] = 1155,
  [1169] = 1150,
  [1170] = 1157,
  [1171] = 1159,
  [1172] = 1149,
  [1173] = 1147,
  [1174] = 1149,
  [1175] = 1156,
  [1176] = 1147,
  [1177] = 1159,
  [1178] = 1157,
  [1179] = 1150,
  [1180] = 1155,
  [1181] = 1154,
  [1182] = 1149,
  [1183] = 1147,
  [1184] = 1146,
  [1185] = 1159,
  [1186] = 1157,
  [1187] = 1150,
  [1188] = 1146,
  [1189] = 1151,
  [1190] = 1153,
  [1191] = 1151,
  [1192] = 1154,
  [1193] = 1153,
  [1194] = 1156,
  [1195] = 1148,
  [1196] = 1149,
  [1197] = 1147,
  [1198] = 1159,
  [1199] = 1157,
  [1200] = 1150,
  [1201] = 1148,
  [1202] = 1151,
  [1203] = 1153,
  [1204] = 1148,
  [1205] = 1154,
  [1206] = 1154,
  [1207] = 1156,
  [1208] = 1152,
  [1209] = 1153,
  [1210] = 1156,
  [1211] = 1154,
  [1212] = 1156,
  [1213] = 1151,
  [1214] = 1146,
  [1215] = 1150,
  [1216] = 1157,
  [1217] = 1159,
  [1218] = 1147,
  [1219] = 1149,
  [1220] = 1156,
  [1221] = 1148,
  [1222] = 1148,
  [1223] = 1152,
  [1224] = 1148,
  [1225] = 1155,
  [1226] = 1167,
  [1227] = 1152,
  [1228] = 1148,
  [1229] = 1152,
  [1230] = 1149,
  [1231] = 1152,
  [1232] = 1147,
  [1233] = 1159,
  [1234] = 1157,
  [1235] = 1150,
  [1236] = 1146,
  [1237] = 1151,
  [1238] = 1153,
  [1239] = 1148,
  [1240] = 1148,
  [1241] = 1153,
  [1242] = 1151,
  [1243] = 1146,
  [1244] = 1150,
  [1245] = 1157,
  [1246] = 1159,
  [1247] = 1147,
  [1248] = 1155,
  [1249] = 1149,
  [1250] = 1154,
  [1251] = 1156,
  [1252] = 1152,
  [1253] = 1148,
  [1254] = 1154,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1161,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1161,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1260,
  [1273] = 1161,
  [1274] = 1268,
  [1275] = 1260,
  [1276] = 1259,
  [1277] = 1263,
  [1278] = 1270,
  [1279] = 1262,
  [1280] = 1266,
  [1281] = 1264,
  [1282] = 1255,
  [1283] = 1267,
  [1284] = 1271,
  [1285] = 1267,
  [1286] = 1255,
  [1287] = 1258,
  [1288] = 1161,
  [1289] = 1257,
  [1290] = 1256,
  [1291] = 1261,
  [1292] = 1270,
  [1293] = 1264,
  [1294] = 1161,
  [1295] = 1161,
  [1296] = 1161,
  [1297] = 1256,
  [1298] = 1258,
  [1299] = 1257,
  [1300] = 1268,
  [1301] = 1263,
  [1302] = 1271,
  [1303] = 1261,
  [1304] = 1262,
  [1305] = 1259,
  [1306] = 1266,
  [1307] = 1263,
  [1308] = 1268,
  [1309] = 1259,
  [1310] = 1092,
  [1311] = 1161,
  [1312] = 1089,
  [1313] = 1105,
  [1314] = 1102,
  [1315] = 1264,
  [1316] = 1316,
  [1317] = 1097,
  [1318] = 1099,
  [1319] = 1264,
  [1320] = 1255,
  [1321] = 1258,
  [1322] = 1322,
  [1323] = 1270,
  [1324] = 1260,
  [1325] = 1257,
  [1326] = 1260,
  [1327] = 1268,
  [1328] = 1328,
  [1329] = 1256,
  [1330] = 1261,
  [1331] = 1259,
  [1332] = 1332,
  [1333] = 1261,
  [1334] = 1270,
  [1335] = 1258,
  [1336] = 1258,
  [1337] = 1256,
  [1338] = 1257,
  [1339] = 1262,
  [1340] = 1268,
  [1341] = 1257,
  [1342] = 1271,
  [1343] = 1263,
  [1344] = 1259,
  [1345] = 1262,
  [1346] = 1266,
  [1347] = 1263,
  [1348] = 1262,
  [1349] = 1260,
  [1350] = 1266,
  [1351] = 1267,
  [1352] = 1266,
  [1353] = 1255,
  [1354] = 1255,
  [1355] = 1255,
  [1356] = 1267,
  [1357] = 1266,
  [1358] = 1261,
  [1359] = 1093,
  [1360] = 1262,
  [1361] = 1267,
  [1362] = 1256,
  [1363] = 1263,
  [1364] = 1268,
  [1365] = 1257,
  [1366] = 1258,
  [1367] = 1259,
  [1368] = 1261,
  [1369] = 1264,
  [1370] = 1260,
  [1371] = 1271,
  [1372] = 1267,
  [1373] = 1106,
  [1374] = 1270,
  [1375] = 1271,
  [1376] = 1271,
  [1377] = 1264,
  [1378] = 1378,
  [1379] = 1094,
  [1380] = 1256,
  [1381] = 1270,
  [1382] = 1382,
  [1383] = 1104,
  [1384] = 1110,
  [1385] = 1385,
  [1386] = 867,
  [1387] = 1106,
  [1388] = 1388,
  [1389] = 1322,
  [1390] = 1390,
  [1391] = 1161,
  [1392] = 1100,
  [1393] = 1316,
  [1394] = 1271,
  [1395] = 1108,
  [1396] = 1396,
  [1397] = 1093,
  [1398] = 1322,
  [1399] = 1328,
  [1400] = 1332,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1378,
  [1408] = 1332,
  [1409] = 1092,
  [1410] = 1089,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1105,
  [1414] = 1378,
  [1415] = 1102,
  [1416] = 1416,
  [1417] = 1270,
  [1418] = 1161,
  [1419] = 1260,
  [1420] = 1097,
  [1421] = 1264,
  [1422] = 1099,
  [1423] = 1423,
  [1424] = 1412,
  [1425] = 1259,
  [1426] = 1258,
  [1427] = 1316,
  [1428] = 1428,
  [1429] = 1257,
  [1430] = 1268,
  [1431] = 1431,
  [1432] = 1263,
  [1433] = 1262,
  [1434] = 1434,
  [1435] = 1266,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1255,
  [1439] = 1267,
  [1440] = 1091,
  [1441] = 1441,
  [1442] = 1090,
  [1443] = 1328,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1261,
  [1448] = 1448,
  [1449] = 1256,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1094,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1161,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1388,
  [1464] = 1462,
  [1465] = 1456,
  [1466] = 1458,
  [1467] = 1406,
  [1468] = 1396,
  [1469] = 1461,
  [1470] = 1444,
  [1471] = 1322,
  [1472] = 1382,
  [1473] = 1441,
  [1474] = 1328,
  [1475] = 1332,
  [1476] = 1451,
  [1477] = 1108,
  [1478] = 1094,
  [1479] = 1450,
  [1480] = 1437,
  [1481] = 1436,
  [1482] = 1434,
  [1483] = 1428,
  [1484] = 1378,
  [1485] = 1385,
  [1486] = 1423,
  [1487] = 867,
  [1488] = 1322,
  [1489] = 1099,
  [1490] = 1097,
  [1491] = 1328,
  [1492] = 1332,
  [1493] = 1102,
  [1494] = 1105,
  [1495] = 1089,
  [1496] = 1092,
  [1497] = 1093,
  [1498] = 1106,
  [1499] = 1411,
  [1500] = 1378,
  [1501] = 1108,
  [1502] = 1412,
  [1503] = 1316,
  [1504] = 1411,
  [1505] = 1459,
  [1506] = 1453,
  [1507] = 1448,
  [1508] = 1446,
  [1509] = 1378,
  [1510] = 867,
  [1511] = 1378,
  [1512] = 1090,
  [1513] = 1401,
  [1514] = 1431,
  [1515] = 1316,
  [1516] = 1091,
  [1517] = 1441,
  [1518] = 1382,
  [1519] = 1444,
  [1520] = 1390,
  [1521] = 1401,
  [1522] = 1110,
  [1523] = 1404,
  [1524] = 1405,
  [1525] = 1106,
  [1526] = 1093,
  [1527] = 1455,
  [1528] = 1332,
  [1529] = 1328,
  [1530] = 1455,
  [1531] = 1322,
  [1532] = 1091,
  [1533] = 1412,
  [1534] = 1090,
  [1535] = 1416,
  [1536] = 1428,
  [1537] = 1456,
  [1538] = 1110,
  [1539] = 1406,
  [1540] = 1396,
  [1541] = 1461,
  [1542] = 1451,
  [1543] = 1316,
  [1544] = 1450,
  [1545] = 1402,
  [1546] = 1403,
  [1547] = 1437,
  [1548] = 1388,
  [1549] = 1101,
  [1550] = 1107,
  [1551] = 1109,
  [1552] = 1092,
  [1553] = 1089,
  [1554] = 1105,
  [1555] = 1102,
  [1556] = 1416,
  [1557] = 1098,
  [1558] = 1104,
  [1559] = 1100,
  [1560] = 1436,
  [1561] = 1316,
  [1562] = 1322,
  [1563] = 1328,
  [1564] = 1332,
  [1565] = 1094,
  [1566] = 1434,
  [1567] = 1402,
  [1568] = 1403,
  [1569] = 1096,
  [1570] = 1460,
  [1571] = 1104,
  [1572] = 1100,
  [1573] = 1090,
  [1574] = 1091,
  [1575] = 1452,
  [1576] = 1445,
  [1577] = 1405,
  [1578] = 1404,
  [1579] = 1458,
  [1580] = 1423,
  [1581] = 1385,
  [1582] = 1462,
  [1583] = 1431,
  [1584] = 1446,
  [1585] = 1448,
  [1586] = 1390,
  [1587] = 1453,
  [1588] = 1097,
  [1589] = 1099,
  [1590] = 1459,
  [1591] = 1456,
  [1592] = 1104,
  [1593] = 1091,
  [1594] = 1090,
  [1595] = 1446,
  [1596] = 1091,
  [1597] = 1090,
  [1598] = 1316,
  [1599] = 1091,
  [1600] = 1090,
  [1601] = 1100,
  [1602] = 1104,
  [1603] = 1378,
  [1604] = 1106,
  [1605] = 1448,
  [1606] = 1462,
  [1607] = 1460,
  [1608] = 1452,
  [1609] = 1445,
  [1610] = 1093,
  [1611] = 1431,
  [1612] = 1092,
  [1613] = 1089,
  [1614] = 1105,
  [1615] = 1102,
  [1616] = 1453,
  [1617] = 1103,
  [1618] = 1097,
  [1619] = 1099,
  [1620] = 1423,
  [1621] = 1094,
  [1622] = 1456,
  [1623] = 1458,
  [1624] = 1406,
  [1625] = 1396,
  [1626] = 1461,
  [1627] = 1451,
  [1628] = 1450,
  [1629] = 1437,
  [1630] = 1436,
  [1631] = 1385,
  [1632] = 1434,
  [1633] = 1459,
  [1634] = 1428,
  [1635] = 1428,
  [1636] = 1385,
  [1637] = 1423,
  [1638] = 1403,
  [1639] = 1434,
  [1640] = 1436,
  [1641] = 1437,
  [1642] = 1402,
  [1643] = 1411,
  [1644] = 1390,
  [1645] = 1450,
  [1646] = 1451,
  [1647] = 1462,
  [1648] = 1411,
  [1649] = 1459,
  [1650] = 1453,
  [1651] = 1448,
  [1652] = 1446,
  [1653] = 1404,
  [1654] = 1431,
  [1655] = 1461,
  [1656] = 1390,
  [1657] = 1396,
  [1658] = 1406,
  [1659] = 1405,
  [1660] = 1404,
  [1661] = 1405,
  [1662] = 1332,
  [1663] = 1328,
  [1664] = 1322,
  [1665] = 1100,
  [1666] = 1104,
  [1667] = 1416,
  [1668] = 1388,
  [1669] = 1101,
  [1670] = 1107,
  [1671] = 1109,
  [1672] = 1458,
  [1673] = 1416,
  [1674] = 1098,
  [1675] = 1091,
  [1676] = 1100,
  [1677] = 1090,
  [1678] = 1090,
  [1679] = 1091,
  [1680] = 1455,
  [1681] = 1096,
  [1682] = 1405,
  [1683] = 1404,
  [1684] = 1390,
  [1685] = 1403,
  [1686] = 1402,
  [1687] = 1431,
  [1688] = 1446,
  [1689] = 1388,
  [1690] = 1448,
  [1691] = 1455,
  [1692] = 1453,
  [1693] = 1459,
  [1694] = 1401,
  [1695] = 1411,
  [1696] = 1100,
  [1697] = 1104,
  [1698] = 1106,
  [1699] = 1093,
  [1700] = 1092,
  [1701] = 1089,
  [1702] = 1105,
  [1703] = 1102,
  [1704] = 1097,
  [1705] = 1099,
  [1706] = 1462,
  [1707] = 1423,
  [1708] = 1385,
  [1709] = 1094,
  [1710] = 1428,
  [1711] = 1403,
  [1712] = 1402,
  [1713] = 1434,
  [1714] = 1436,
  [1715] = 1437,
  [1716] = 1450,
  [1717] = 1451,
  [1718] = 1461,
  [1719] = 1455,
  [1720] = 1091,
  [1721] = 1401,
  [1722] = 1090,
  [1723] = 1406,
  [1724] = 1106,
  [1725] = 1416,
  [1726] = 1388,
  [1727] = 1093,
  [1728] = 1456,
  [1729] = 1458,
  [1730] = 1092,
  [1731] = 1101,
  [1732] = 1089,
  [1733] = 1107,
  [1734] = 1109,
  [1735] = 1416,
  [1736] = 1105,
  [1737] = 1102,
  [1738] = 1406,
  [1739] = 1098,
  [1740] = 1388,
  [1741] = 1396,
  [1742] = 1461,
  [1743] = 1097,
  [1744] = 1099,
  [1745] = 1451,
  [1746] = 1401,
  [1747] = 1450,
  [1748] = 1437,
  [1749] = 1436,
  [1750] = 1434,
  [1751] = 1428,
  [1752] = 1455,
  [1753] = 1385,
  [1754] = 1458,
  [1755] = 1423,
  [1756] = 1096,
  [1757] = 1456,
  [1758] = 1462,
  [1759] = 1094,
  [1760] = 1405,
  [1761] = 1404,
  [1762] = 1401,
  [1763] = 1411,
  [1764] = 1390,
  [1765] = 1459,
  [1766] = 1396,
  [1767] = 1103,
  [1768] = 1453,
  [1769] = 1403,
  [1770] = 1402,
  [1771] = 1448,
  [1772] = 1446,
  [1773] = 1444,
  [1774] = 1382,
  [1775] = 1441,
  [1776] = 1431,
  [1777] = 1450,
  [1778] = 1451,
  [1779] = 1382,
  [1780] = 1441,
  [1781] = 1090,
  [1782] = 1091,
  [1783] = 1090,
  [1784] = 1091,
  [1785] = 1103,
  [1786] = 1106,
  [1787] = 1093,
  [1788] = 1401,
  [1789] = 1455,
  [1790] = 1092,
  [1791] = 1402,
  [1792] = 1403,
  [1793] = 1089,
  [1794] = 1388,
  [1795] = 1416,
  [1796] = 1104,
  [1797] = 1100,
  [1798] = 1405,
  [1799] = 1404,
  [1800] = 1390,
  [1801] = 1105,
  [1802] = 1431,
  [1803] = 1446,
  [1804] = 1448,
  [1805] = 1444,
  [1806] = 1382,
  [1807] = 1441,
  [1808] = 1453,
  [1809] = 1459,
  [1810] = 1461,
  [1811] = 1462,
  [1812] = 1423,
  [1813] = 1385,
  [1814] = 1428,
  [1815] = 1434,
  [1816] = 1436,
  [1817] = 1103,
  [1818] = 1437,
  [1819] = 1444,
  [1820] = 1102,
  [1821] = 1411,
  [1822] = 1396,
  [1823] = 1406,
  [1824] = 1458,
  [1825] = 1456,
  [1826] = 1094,
  [1827] = 1099,
  [1828] = 1097,
  [1829] = 1096,
  [1830] = 1830,
  [1831] = 1090,
  [1832] = 1091,
  [1833] = 1090,
  [1834] = 1101,
  [1835] = 1107,
  [1836] = 1109,
  [1837] = 1091,
  [1838] = 1098,
  [1839] = 1839,
  [1840] = 1840,
  [1841] = 1841,
  [1842] = 1093,
  [1843] = 1104,
  [1844] = 1830,
  [1845] = 1106,
  [1846] = 1107,
  [1847] = 1100,
  [1848] = 1101,
  [1849] = 1092,
  [1850] = 1089,
  [1851] = 1105,
  [1852] = 1102,
  [1853] = 1097,
  [1854] = 1109,
  [1855] = 1098,
  [1856] = 1096,
  [1857] = 1839,
  [1858] = 1091,
  [1859] = 1090,
  [1860] = 1099,
  [1861] = 1094,
  [1862] = 1862,
  [1863] = 1863,
  [1864] = 1862,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1868,
  [1869] = 1869,
  [1870] = 1867,
  [1871] = 1867,
  [1872] = 1868,
  [1873] = 1869,
  [1874] = 1866,
  [1875] = 1865,
  [1876] = 1876,
  [1877] = 1863,
  [1878] = 1865,
  [1879] = 1866,
  [1880] = 1876,
  [1881] = 1876,
  [1882] = 1882,
  [1883] = 1869,
  [1884] = 1868,
  [1885] = 1882,
  [1886] = 1862,
  [1887] = 1876,
  [1888] = 1882,
  [1889] = 1868,
  [1890] = 1867,
  [1891] = 1866,
  [1892] = 1863,
  [1893] = 1863,
  [1894] = 1882,
  [1895] = 1862,
  [1896] = 1865,
  [1897] = 1869,
  [1898] = 1898,
  [1899] = 1898,
  [1900] = 1898,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 1903,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1905,
  [1907] = 1904,
  [1908] = 1904,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1905,
  [1912] = 1910,
  [1913] = 1905,
  [1914] = 1909,
  [1915] = 1903,
  [1916] = 1903,
  [1917] = 1910,
  [1918] = 1903,
  [1919] = 1910,
  [1920] = 1909,
  [1921] = 1909,
  [1922] = 1904,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1924,
  [1926] = 1926,
  [1927] = 1926,
  [1928] = 1924,
  [1929] = 1926,
  [1930] = 1926,
  [1931] = 1924,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1098,
  [1935] = 1109,
  [1936] = 1096,
  [1937] = 1107,
  [1938] = 1101,
  [1939] = 1932,
  [1940] = 1839,
  [1941] = 1830,
  [1942] = 1933,
  [1943] = 1932,
  [1944] = 1933,
  [1945] = 1945,
  [1946] = 1830,
  [1947] = 1932,
  [1948] = 1945,
  [1949] = 1933,
  [1950] = 1945,
  [1951] = 1945,
  [1952] = 1945,
  [1953] = 1098,
  [1954] = 1954,
  [1955] = 1954,
  [1956] = 1096,
  [1957] = 1101,
  [1958] = 1945,
  [1959] = 1932,
  [1960] = 1945,
  [1961] = 1107,
  [1962] = 1945,
  [1963] = 1109,
  [1964] = 1933,
  [1965] = 1839,
  [1966] = 1954,
  [1967] = 1933,
  [1968] = 1932,
  [1969] = 1932,
  [1970] = 1970,
  [1971] = 1970,
  [1972] = 1933,
  [1973] = 1973,
  [1974] = 1974,
  [1975] = 1970,
  [1976] = 1091,
  [1977] = 1970,
  [1978] = 1978,
  [1979] = 1090,
  [1980] = 1978,
  [1981] = 1970,
  [1982] = 1982,
  [1983] = 1970,
  [1984] = 1100,
  [1985] = 1970,
  [1986] = 1104,
  [1987] = 1970,
  [1988] = 1988,
  [1989] = 1932,
  [1990] = 1970,
  [1991] = 1970,
  [1992] = 1933,
  [1993] = 1830,
  [1994] = 1101,
  [1995] = 1988,
  [1996] = 1996,
  [1997] = 1973,
  [1998] = 1096,
  [1999] = 1090,
  [2000] = 1974,
  [2001] = 1098,
  [2002] = 1839,
  [2003] = 1091,
  [2004] = 1098,
  [2005] = 1996,
  [2006] = 2006,
  [2007] = 1109,
  [2008] = 1109,
  [2009] = 1107,
  [2010] = 1982,
  [2011] = 1830,
  [2012] = 2006,
  [2013] = 1107,
  [2014] = 1100,
  [2015] = 1096,
  [2016] = 1104,
  [2017] = 1101,
  [2018] = 1839,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2024,
  [2025] = 2025,
  [2026] = 2021,
  [2027] = 2023,
  [2028] = 2020,
  [2029] = 2019,
  [2030] = 2025,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2022,
  [2034] = 2024,
  [2035] = 2031,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2040,
  [2042] = 2042,
  [2043] = 2040,
  [2044] = 2040,
  [2045] = 2045,
  [2046] = 2040,
  [2047] = 2040,
  [2048] = 2048,
  [2049] = 2040,
  [2050] = 2040,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2054,
  [2057] = 2054,
  [2058] = 2058,
  [2059] = 2055,
  [2060] = 2054,
  [2061] = 2054,
  [2062] = 2055,
  [2063] = 2055,
  [2064] = 2064,
  [2065] = 2054,
  [2066] = 2064,
  [2067] = 2064,
  [2068] = 2064,
  [2069] = 2064,
  [2070] = 2055,
  [2071] = 2064,
  [2072] = 2072,
  [2073] = 2055,
  [2074] = 2055,
  [2075] = 2064,
  [2076] = 2064,
  [2077] = 2054,
  [2078] = 2054,
  [2079] = 2055,
  [2080] = 2052,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2084,
  [2086] = 2037,
  [2087] = 2087,
  [2088] = 2045,
  [2089] = 2053,
  [2090] = 2084,
  [2091] = 2038,
  [2092] = 2081,
  [2093] = 2081,
  [2094] = 2094,
  [2095] = 2084,
  [2096] = 2051,
  [2097] = 2038,
  [2098] = 2081,
  [2099] = 2037,
  [2100] = 2052,
  [2101] = 2045,
  [2102] = 2084,
  [2103] = 2042,
  [2104] = 2082,
  [2105] = 2094,
  [2106] = 2081,
  [2107] = 2081,
  [2108] = 2108,
  [2109] = 2084,
  [2110] = 2081,
  [2111] = 2053,
  [2112] = 2048,
  [2113] = 2039,
  [2114] = 2051,
  [2115] = 2084,
  [2116] = 2048,
  [2117] = 2039,
  [2118] = 2081,
  [2119] = 2042,
  [2120] = 2081,
  [2121] = 2084,
  [2122] = 2084,
  [2123] = 2037,
  [2124] = 2039,
  [2125] = 2125,
  [2126] = 2052,
  [2127] = 2051,
  [2128] = 2128,
  [2129] = 2042,
  [2130] = 2037,
  [2131] = 2131,
  [2132] = 2042,
  [2133] = 2082,
  [2134] = 2039,
  [2135] = 2131,
  [2136] = 2048,
  [2137] = 2052,
  [2138] = 2051,
  [2139] = 2037,
  [2140] = 2045,
  [2141] = 2141,
  [2142] = 2131,
  [2143] = 2053,
  [2144] = 2131,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2038,
  [2148] = 2131,
  [2149] = 2131,
  [2150] = 2131,
  [2151] = 2048,
  [2152] = 2052,
  [2153] = 2153,
  [2154] = 2042,
  [2155] = 2131,
  [2156] = 2082,
  [2157] = 2051,
  [2158] = 2131,
  [2159] = 2159,
  [2160] = 2053,
  [2161] = 2053,
  [2162] = 2038,
  [2163] = 2131,
  [2164] = 2045,
  [2165] = 2039,
  [2166] = 2038,
  [2167] = 2045,
  [2168] = 2048,
  [2169] = 2039,
  [2170] = 2048,
  [2171] = 2171,
  [2172] = 2053,
  [2173] = 2173,
  [2174] = 2141,
  [2175] = 2175,
  [2176] = 2176,
  [2177] = 2176,
  [2178] = 2042,
  [2179] = 2037,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2141,
  [2183] = 2173,
  [2184] = 2039,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2141,
  [2188] = 2188,
  [2189] = 2145,
  [2190] = 2045,
  [2191] = 2038,
  [2192] = 2171,
  [2193] = 2193,
  [2194] = 2052,
  [2195] = 2185,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2042,
  [2199] = 2199,
  [2200] = 2176,
  [2201] = 2201,
  [2202] = 2193,
  [2203] = 2193,
  [2204] = 2204,
  [2205] = 2108,
  [2206] = 2045,
  [2207] = 2053,
  [2208] = 2038,
  [2209] = 2051,
  [2210] = 2037,
  [2211] = 2052,
  [2212] = 2185,
  [2213] = 2051,
  [2214] = 2048,
  [2215] = 2215,
  [2216] = 2204,
  [2217] = 2217,
  [2218] = 2204,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2222,
  [2223] = 2159,
  [2224] = 2224,
  [2225] = 2125,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2226,
  [2232] = 2219,
  [2233] = 2230,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2236,
  [2238] = 2228,
  [2239] = 2226,
  [2240] = 2219,
  [2241] = 2241,
  [2242] = 2226,
  [2243] = 2108,
  [2244] = 2234,
  [2245] = 2245,
  [2246] = 2153,
  [2247] = 2247,
  [2248] = 2159,
  [2249] = 2226,
  [2250] = 2108,
  [2251] = 2228,
  [2252] = 2234,
  [2253] = 2159,
  [2254] = 2254,
  [2255] = 2125,
  [2256] = 2125,
  [2257] = 2226,
  [2258] = 2204,
  [2259] = 2153,
  [2260] = 2260,
  [2261] = 2230,
  [2262] = 2262,
  [2263] = 2153,
  [2264] = 2262,
  [2265] = 2265,
  [2266] = 2226,
  [2267] = 2247,
  [2268] = 2226,
  [2269] = 2269,
  [2270] = 2128,
  [2271] = 2125,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2276,
  [2277] = 2180,
  [2278] = 2278,
  [2279] = 2279,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2284,
  [2285] = 2022,
  [2286] = 2286,
  [2287] = 2287,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 2275,
  [2291] = 2265,
  [2292] = 2272,
  [2293] = 2273,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2145,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2283,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2181,
  [2309] = 2024,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2180,
  [2313] = 2145,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2153,
  [2317] = 2317,
  [2318] = 2279,
  [2319] = 2286,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2302,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2281,
  [2328] = 2328,
  [2329] = 2329,
  [2330] = 2302,
  [2331] = 2331,
  [2332] = 2265,
  [2333] = 2275,
  [2334] = 2272,
  [2335] = 2275,
  [2336] = 2336,
  [2337] = 2321,
  [2338] = 2306,
  [2339] = 2286,
  [2340] = 2307,
  [2341] = 2341,
  [2342] = 2299,
  [2343] = 2298,
  [2344] = 2344,
  [2345] = 2180,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2336,
  [2349] = 2341,
  [2350] = 2300,
  [2351] = 2301,
  [2352] = 2352,
  [2353] = 2276,
  [2354] = 2354,
  [2355] = 2346,
  [2356] = 2354,
  [2357] = 2307,
  [2358] = 2229,
  [2359] = 2303,
  [2360] = 2269,
  [2361] = 2294,
  [2362] = 2306,
  [2363] = 2320,
  [2364] = 2276,
  [2365] = 2128,
  [2366] = 2145,
  [2367] = 2325,
  [2368] = 2159,
  [2369] = 2128,
  [2370] = 2294,
  [2371] = 2229,
  [2372] = 2336,
  [2373] = 2320,
  [2374] = 2374,
  [2375] = 2321,
  [2376] = 2229,
  [2377] = 2265,
  [2378] = 2281,
  [2379] = 2379,
  [2380] = 2325,
  [2381] = 2331,
  [2382] = 2289,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 2346,
  [2387] = 2354,
  [2388] = 2388,
  [2389] = 2269,
  [2390] = 2390,
  [2391] = 2317,
  [2392] = 2385,
  [2393] = 2393,
  [2394] = 2274,
  [2395] = 2278,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2289,
  [2399] = 2399,
  [2400] = 2384,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2383,
  [2404] = 2404,
  [2405] = 2278,
  [2406] = 2379,
  [2407] = 2274,
  [2408] = 2379,
  [2409] = 2409,
  [2410] = 2025,
  [2411] = 2326,
  [2412] = 2412,
  [2413] = 2413,
  [2414] = 2325,
  [2415] = 2415,
  [2416] = 2416,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2298,
  [2421] = 2299,
  [2422] = 2422,
  [2423] = 2331,
  [2424] = 2328,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2020,
  [2432] = 2430,
  [2433] = 2019,
  [2434] = 2430,
  [2435] = 2383,
  [2436] = 2436,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2346,
  [2440] = 2440,
  [2441] = 2354,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2269,
  [2445] = 2445,
  [2446] = 2234,
  [2447] = 2447,
  [2448] = 2328,
  [2449] = 2449,
  [2450] = 2412,
  [2451] = 2281,
  [2452] = 2452,
  [2453] = 2331,
  [2454] = 2022,
  [2455] = 2383,
  [2456] = 2456,
  [2457] = 2379,
  [2458] = 2274,
  [2459] = 2447,
  [2460] = 2023,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2396,
  [2465] = 2465,
  [2466] = 2399,
  [2467] = 2467,
  [2468] = 2385,
  [2469] = 2413,
  [2470] = 2442,
  [2471] = 2413,
  [2472] = 2472,
  [2473] = 2180,
  [2474] = 2289,
  [2475] = 2321,
  [2476] = 2430,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2416,
  [2481] = 2481,
  [2482] = 2383,
  [2483] = 2024,
  [2484] = 2383,
  [2485] = 2399,
  [2486] = 2438,
  [2487] = 2487,
  [2488] = 2422,
  [2489] = 2383,
  [2490] = 2328,
  [2491] = 2491,
  [2492] = 2298,
  [2493] = 2294,
  [2494] = 2494,
  [2495] = 2383,
  [2496] = 2496,
  [2497] = 2278,
  [2498] = 2299,
  [2499] = 2310,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2412,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 2456,
  [2507] = 2507,
  [2508] = 2449,
  [2509] = 2509,
  [2510] = 2496,
  [2511] = 2417,
  [2512] = 2512,
  [2513] = 2481,
  [2514] = 2514,
  [2515] = 2515,
  [2516] = 2472,
  [2517] = 2502,
  [2518] = 2401,
  [2519] = 2481,
  [2520] = 2415,
  [2521] = 2521,
  [2522] = 2417,
  [2523] = 2523,
  [2524] = 2501,
  [2525] = 2507,
  [2526] = 2526,
  [2527] = 2404,
  [2528] = 2528,
  [2529] = 2529,
  [2530] = 2418,
  [2531] = 2472,
  [2532] = 2425,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2428,
  [2536] = 2415,
  [2537] = 2429,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2496,
  [2541] = 2541,
  [2542] = 2417,
  [2543] = 2443,
  [2544] = 2427,
  [2545] = 2397,
  [2546] = 2404,
  [2547] = 2418,
  [2548] = 2472,
  [2549] = 2425,
  [2550] = 2429,
  [2551] = 2523,
  [2552] = 2552,
  [2553] = 2456,
  [2554] = 2467,
  [2555] = 2412,
  [2556] = 2501,
  [2557] = 2538,
  [2558] = 2467,
  [2559] = 2409,
  [2560] = 2560,
  [2561] = 2463,
  [2562] = 2463,
  [2563] = 2462,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2452,
  [2567] = 2491,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2523,
  [2571] = 2487,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2449,
  [2576] = 2576,
  [2577] = 2402,
  [2578] = 2501,
  [2579] = 2515,
  [2580] = 2523,
  [2581] = 2401,
  [2582] = 2533,
  [2583] = 2462,
  [2584] = 2452,
  [2585] = 2487,
  [2586] = 2509,
  [2587] = 2487,
  [2588] = 2588,
  [2589] = 2456,
  [2590] = 2590,
  [2591] = 2449,
  [2592] = 2429,
  [2593] = 2477,
  [2594] = 2425,
  [2595] = 2595,
  [2596] = 2538,
  [2597] = 2477,
  [2598] = 2598,
  [2599] = 2418,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2428,
  [2603] = 2443,
  [2604] = 2528,
  [2605] = 2427,
  [2606] = 2504,
  [2607] = 2409,
  [2608] = 2402,
  [2609] = 2538,
  [2610] = 2401,
  [2611] = 2611,
  [2612] = 2428,
  [2613] = 2600,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2443,
  [2617] = 2572,
  [2618] = 2427,
  [2619] = 2426,
  [2620] = 2620,
  [2621] = 2452,
  [2622] = 2445,
  [2623] = 2623,
  [2624] = 2478,
  [2625] = 2409,
  [2626] = 2402,
  [2627] = 2462,
  [2628] = 2463,
  [2629] = 2440,
  [2630] = 2467,
  [2631] = 2631,
  [2632] = 2404,
  [2633] = 2477,
  [2634] = 2634,
  [2635] = 2505,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2521,
  [2639] = 2639,
  [2640] = 2481,
  [2641] = 2496,
  [2642] = 2415,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2024,
  [2652] = 2310,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2326,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2659,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2514,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2615,
  [2671] = 2671,
  [2672] = 2620,
  [2673] = 2636,
  [2674] = 687,
  [2675] = 2636,
  [2676] = 2620,
  [2677] = 2677,
  [2678] = 2662,
  [2679] = 2615,
  [2680] = 2680,
  [2681] = 2326,
  [2682] = 2669,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2310,
  [2686] = 2684,
  [2687] = 2687,
  [2688] = 2352,
  [2689] = 2514,
  [2690] = 2620,
  [2691] = 2315,
  [2692] = 2692,
  [2693] = 2314,
  [2694] = 2694,
  [2695] = 2695,
  [2696] = 2311,
  [2697] = 1378,
  [2698] = 2698,
  [2699] = 2666,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2646,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2295,
  [2709] = 2284,
  [2710] = 2282,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 663,
  [2714] = 2677,
  [2715] = 1316,
  [2716] = 2703,
  [2717] = 2326,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2514,
  [2721] = 2668,
  [2722] = 2722,
  [2723] = 2658,
  [2724] = 2694,
  [2725] = 2644,
  [2726] = 2726,
  [2727] = 2310,
  [2728] = 2728,
  [2729] = 2663,
  [2730] = 2719,
  [2731] = 2659,
  [2732] = 2732,
  [2733] = 2653,
  [2734] = 2666,
  [2735] = 2650,
  [2736] = 2574,
  [2737] = 2647,
  [2738] = 2728,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2322,
  [2742] = 2024,
  [2743] = 695,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 705,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2739,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2745,
  [2762] = 2754,
  [2763] = 2744,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2732,
  [2767] = 2767,
  [2768] = 2726,
  [2769] = 2698,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2702,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2739,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2662,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2645,
  [2792] = 2792,
  [2793] = 2650,
  [2794] = 2684,
  [2795] = 2795,
  [2796] = 2653,
  [2797] = 2722,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2659,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2803,
  [2804] = 2695,
  [2805] = 2663,
  [2806] = 2757,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2700,
  [2810] = 2025,
  [2811] = 2664,
  [2812] = 2647,
  [2813] = 2704,
  [2814] = 2661,
  [2815] = 2687,
  [2816] = 2728,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2712,
  [2820] = 2564,
  [2821] = 2569,
  [2822] = 2822,
  [2823] = 676,
  [2824] = 2824,
  [2825] = 2718,
  [2826] = 2719,
  [2827] = 2801,
  [2828] = 2828,
  [2829] = 2722,
  [2830] = 2830,
  [2831] = 2718,
  [2832] = 2722,
  [2833] = 2539,
  [2834] = 2669,
  [2835] = 2835,
  [2836] = 2663,
  [2837] = 2711,
  [2838] = 2659,
  [2839] = 2799,
  [2840] = 2653,
  [2841] = 2798,
  [2842] = 2650,
  [2843] = 2565,
  [2844] = 2739,
  [2845] = 2784,
  [2846] = 2650,
  [2847] = 2795,
  [2848] = 2719,
  [2849] = 2718,
  [2850] = 2695,
  [2851] = 2653,
  [2852] = 2722,
  [2853] = 2746,
  [2854] = 2748,
  [2855] = 2650,
  [2856] = 2653,
  [2857] = 2754,
  [2858] = 2601,
  [2859] = 2722,
  [2860] = 2712,
  [2861] = 2749,
  [2862] = 2750,
  [2863] = 2745,
  [2864] = 2830,
  [2865] = 2744,
  [2866] = 2828,
  [2867] = 2650,
  [2868] = 2732,
  [2869] = 2752,
  [2870] = 2726,
  [2871] = 2871,
  [2872] = 2653,
  [2873] = 2707,
  [2874] = 2706,
  [2875] = 2659,
  [2876] = 2663,
  [2877] = 2702,
  [2878] = 2704,
  [2879] = 2700,
  [2880] = 2756,
  [2881] = 2881,
  [2882] = 2722,
  [2883] = 2700,
  [2884] = 2790,
  [2885] = 2758,
  [2886] = 2759,
  [2887] = 2662,
  [2888] = 2719,
  [2889] = 2695,
  [2890] = 2718,
  [2891] = 2683,
  [2892] = 2712,
  [2893] = 2684,
  [2894] = 2704,
  [2895] = 2700,
  [2896] = 2704,
  [2897] = 2764,
  [2898] = 2695,
  [2899] = 2765,
  [2900] = 2684,
  [2901] = 2695,
  [2902] = 2662,
  [2903] = 2767,
  [2904] = 2770,
  [2905] = 2905,
  [2906] = 2700,
  [2907] = 2771,
  [2908] = 2754,
  [2909] = 2772,
  [2910] = 2704,
  [2911] = 2773,
  [2912] = 2650,
  [2913] = 2653,
  [2914] = 2803,
  [2915] = 2712,
  [2916] = 2659,
  [2917] = 2663,
  [2918] = 2774,
  [2919] = 2722,
  [2920] = 2775,
  [2921] = 2718,
  [2922] = 2719,
  [2923] = 2684,
  [2924] = 2719,
  [2925] = 2722,
  [2926] = 2718,
  [2927] = 2712,
  [2928] = 2706,
  [2929] = 2712,
  [2930] = 2663,
  [2931] = 2707,
  [2932] = 2659,
  [2933] = 2817,
  [2934] = 2653,
  [2935] = 2704,
  [2936] = 2650,
  [2937] = 2662,
  [2938] = 2778,
  [2939] = 2700,
  [2940] = 2664,
  [2941] = 2732,
  [2942] = 2792,
  [2943] = 2780,
  [2944] = 2695,
  [2945] = 2789,
  [2946] = 2807,
  [2947] = 2818,
  [2948] = 2684,
  [2949] = 2662,
  [2950] = 2662,
  [2951] = 2787,
  [2952] = 2745,
  [2953] = 2744,
  [2954] = 2684,
  [2955] = 2702,
  [2956] = 2760,
  [2957] = 2957,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2781,
  [2961] = 2695,
  [2962] = 2726,
  [2963] = 2783,
  [2964] = 2650,
  [2965] = 2965,
  [2966] = 2700,
  [2967] = 2785,
  [2968] = 2653,
  [2969] = 2871,
  [2970] = 2704,
  [2971] = 2659,
  [2972] = 2643,
  [2973] = 2663,
  [2974] = 2712,
  [2975] = 2657,
  [2976] = 2722,
  [2977] = 2786,
  [2978] = 2719,
  [2979] = 2718,
  [2980] = 2980,
  [2981] = 2981,
  [2982] = 2982,
  [2983] = 2983,
  [2984] = 2984,
  [2985] = 2023,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2988,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2992,
  [2993] = 2989,
  [2994] = 2020,
  [2995] = 2995,
  [2996] = 2996,
  [2997] = 2997,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 3001,
  [3002] = 2984,
  [3003] = 3003,
  [3004] = 2437,
  [3005] = 3005,
  [3006] = 3006,
  [3007] = 3007,
  [3008] = 2998,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 3011,
  [3012] = 2983,
  [3013] = 3013,
  [3014] = 3011,
  [3015] = 3015,
  [3016] = 2025,
  [3017] = 3017,
  [3018] = 3018,
  [3019] = 3018,
  [3020] = 3013,
  [3021] = 2019,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 3024,
  [3025] = 3025,
  [3026] = 3026,
  [3027] = 2988,
  [3028] = 3007,
  [3029] = 2982,
  [3030] = 2997,
  [3031] = 2997,
  [3032] = 2996,
  [3033] = 3033,
  [3034] = 3005,
  [3035] = 2995,
  [3036] = 2751,
  [3037] = 2996,
  [3038] = 2995,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 2779,
  [3042] = 3042,
  [3043] = 3001,
  [3044] = 2023,
  [3045] = 3045,
  [3046] = 3046,
  [3047] = 3047,
  [3048] = 3048,
  [3049] = 3049,
  [3050] = 3033,
  [3051] = 3051,
  [3052] = 3033,
  [3053] = 3001,
  [3054] = 3025,
  [3055] = 3024,
  [3056] = 3049,
  [3057] = 3048,
  [3058] = 3058,
  [3059] = 3059,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3048,
  [3064] = 2020,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3026,
  [3068] = 676,
  [3069] = 2987,
  [3070] = 2437,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 695,
  [3074] = 687,
  [3075] = 663,
  [3076] = 3076,
  [3077] = 3049,
  [3078] = 3048,
  [3079] = 2019,
  [3080] = 3049,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3072,
  [3084] = 3033,
  [3085] = 705,
  [3086] = 3071,
  [3087] = 2437,
  [3088] = 3001,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 2824,
  [3092] = 3092,
  [3093] = 3093,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3097,
  [3098] = 3098,
  [3099] = 3099,
  [3100] = 3100,
  [3101] = 3101,
  [3102] = 3102,
  [3103] = 3103,
  [3104] = 3104,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 3109,
  [3110] = 3110,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3102,
  [3114] = 3095,
  [3115] = 3103,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3094,
  [3120] = 3120,
  [3121] = 3095,
  [3122] = 3109,
  [3123] = 3099,
  [3124] = 3101,
  [3125] = 3107,
  [3126] = 3103,
  [3127] = 3127,
  [3128] = 3104,
  [3129] = 3104,
  [3130] = 3098,
  [3131] = 3103,
  [3132] = 3117,
  [3133] = 3133,
  [3134] = 3102,
  [3135] = 3101,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3098,
  [3139] = 3139,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3133,
  [3145] = 3098,
  [3146] = 3120,
  [3147] = 3140,
  [3148] = 3148,
  [3149] = 3149,
  [3150] = 3150,
  [3151] = 3095,
  [3152] = 3094,
  [3153] = 3153,
  [3154] = 3110,
  [3155] = 3155,
  [3156] = 3109,
  [3157] = 3093,
  [3158] = 3107,
  [3159] = 3159,
  [3160] = 3140,
  [3161] = 3140,
  [3162] = 3098,
  [3163] = 3105,
  [3164] = 3164,
  [3165] = 3104,
  [3166] = 3166,
  [3167] = 3167,
  [3168] = 3168,
  [3169] = 3169,
  [3170] = 3127,
  [3171] = 3103,
  [3172] = 3102,
  [3173] = 3101,
  [3174] = 3133,
  [3175] = 3133,
  [3176] = 3117,
  [3177] = 3140,
  [3178] = 3139,
  [3179] = 3108,
  [3180] = 3127,
  [3181] = 3096,
  [3182] = 3182,
  [3183] = 3100,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 3100,
  [3187] = 3136,
  [3188] = 3139,
  [3189] = 3189,
  [3190] = 3190,
  [3191] = 3190,
  [3192] = 3101,
  [3193] = 3102,
  [3194] = 3103,
  [3195] = 3195,
  [3196] = 3196,
  [3197] = 3104,
  [3198] = 3198,
  [3199] = 3105,
  [3200] = 3200,
  [3201] = 3116,
  [3202] = 3116,
  [3203] = 3105,
  [3204] = 3204,
  [3205] = 3205,
  [3206] = 3206,
  [3207] = 3107,
  [3208] = 3106,
  [3209] = 3109,
  [3210] = 3139,
  [3211] = 3094,
  [3212] = 3095,
  [3213] = 3213,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 2665,
  [3217] = 3217,
  [3218] = 3127,
  [3219] = 3133,
  [3220] = 3220,
  [3221] = 3166,
  [3222] = 3098,
  [3223] = 3108,
  [3224] = 3096,
  [3225] = 3094,
  [3226] = 3098,
  [3227] = 3142,
  [3228] = 3095,
  [3229] = 3229,
  [3230] = 3094,
  [3231] = 3093,
  [3232] = 3232,
  [3233] = 3100,
  [3234] = 3155,
  [3235] = 3235,
  [3236] = 3168,
  [3237] = 3098,
  [3238] = 3238,
  [3239] = 3109,
  [3240] = 3107,
  [3241] = 3095,
  [3242] = 3094,
  [3243] = 3110,
  [3244] = 3109,
  [3245] = 3107,
  [3246] = 3105,
  [3247] = 2753,
  [3248] = 3104,
  [3249] = 3103,
  [3250] = 3110,
  [3251] = 3104,
  [3252] = 3102,
  [3253] = 3116,
  [3254] = 3101,
  [3255] = 3103,
  [3256] = 3167,
  [3257] = 3257,
  [3258] = 3133,
  [3259] = 3259,
  [3260] = 3117,
  [3261] = 3166,
  [3262] = 3140,
  [3263] = 3263,
  [3264] = 3139,
  [3265] = 3265,
  [3266] = 3127,
  [3267] = 3102,
  [3268] = 3101,
  [3269] = 3127,
  [3270] = 3270,
  [3271] = 3096,
  [3272] = 3096,
  [3273] = 3159,
  [3274] = 3274,
  [3275] = 3182,
  [3276] = 3276,
  [3277] = 3100,
  [3278] = 3278,
  [3279] = 3092,
  [3280] = 3109,
  [3281] = 3133,
  [3282] = 3140,
  [3283] = 3184,
  [3284] = 3284,
  [3285] = 3285,
  [3286] = 3127,
  [3287] = 3287,
  [3288] = 3100,
  [3289] = 3100,
  [3290] = 3290,
  [3291] = 3291,
  [3292] = 3107,
  [3293] = 3127,
  [3294] = 3238,
  [3295] = 3140,
  [3296] = 3133,
  [3297] = 3100,
  [3298] = 3101,
  [3299] = 3299,
  [3300] = 3300,
  [3301] = 3301,
  [3302] = 3259,
  [3303] = 3303,
  [3304] = 3304,
  [3305] = 3102,
  [3306] = 3257,
  [3307] = 3103,
  [3308] = 3308,
  [3309] = 3104,
  [3310] = 3107,
  [3311] = 3109,
  [3312] = 3312,
  [3313] = 3229,
  [3314] = 3103,
  [3315] = 3291,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3299,
  [3319] = 3232,
  [3320] = 3205,
  [3321] = 3185,
  [3322] = 3149,
  [3323] = 3143,
  [3324] = 3137,
  [3325] = 3265,
  [3326] = 3301,
  [3327] = 3284,
  [3328] = 3214,
  [3329] = 3220,
  [3330] = 3200,
  [3331] = 3198,
  [3332] = 3189,
  [3333] = 3097,
  [3334] = 3291,
  [3335] = 3335,
  [3336] = 3164,
  [3337] = 3290,
  [3338] = 3235,
  [3339] = 3204,
  [3340] = 3148,
  [3341] = 3094,
  [3342] = 3317,
  [3343] = 3150,
  [3344] = 3095,
  [3345] = 3215,
  [3346] = 3217,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d},
  {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339},
  {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5},
  {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a},
  {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f},
  {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32},
  {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40},
  {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89},
  {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e},
  {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b150, 0x1b152}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad},
  {0x1e2c0, 0x1e2eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b},
  {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39},
  {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54},
  {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a},
  {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9},
  {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf2}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xecd},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f},
  {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115},
  {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e},
  {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f},
  {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6},
  {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a},
  {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff66, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x1123e}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11fb0, 0x11fb0},
  {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342e}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59},
  {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4},
  {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122},
  {0x1b150, 0x1b152}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae},
  {0x1e2c0, 0x1e2f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b},
  {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37},
  {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52},
  {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64},
  {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3},
  {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b738}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(59);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(85);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(90);
      if (lookahead == '}') ADVANCE(92);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(169);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(133);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(136);
      if (lookahead == '#') ADVANCE(137);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '}') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(136);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(85);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(90);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(92);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(22);
      if (lookahead == '&') ADVANCE(23);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == '*') ADVANCE(69);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(16);
      if (lookahead == '/') ADVANCE(18);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(19);
      if (lookahead == '>') ADVANCE(33);
      if (lookahead == '@') ADVANCE(25);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == '^') ADVANCE(26);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(27);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(61);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(85);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '|') ADVANCE(90);
      if (lookahead == '}') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(61);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(85);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '|') ADVANCE(90);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '-') ADVANCE(32);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(164);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 10:
      if (lookahead == '\r') SKIP(10);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '-') ADVANCE(32);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(11);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 11:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(169);
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(12);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(85);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(90);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(13);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(92);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(14);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(61);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 15:
      if (lookahead == '\r') SKIP(15);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(97);
      if (lookahead == '&') ADVANCE(101);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(68);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(61);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(103);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(132);
      END_STATE();
    case 18:
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 19:
      if (lookahead == '<') ADVANCE(30);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(113);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 32:
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 33:
      if (lookahead == '>') ADVANCE(31);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 35:
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 36:
      if (lookahead == '_') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(145);
      END_STATE();
    case 37:
      if (lookahead == '{') ADVANCE(54);
      END_STATE();
    case 38:
      if (lookahead == '}') ADVANCE(133);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 40:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(42);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(145);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 54:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(38);
      END_STATE();
    case 55:
      if (eof) ADVANCE(59);
      if (lookahead == '\r') SKIP(55);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '%') ADVANCE(98);
      if (lookahead == '&') ADVANCE(102);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(67);
      if (lookahead == '+') ADVANCE(94);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(88);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(108);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(85);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '^') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(90);
      if (lookahead == '}') ADVANCE(92);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 56:
      if (eof) ADVANCE(59);
      if (lookahead == '\r') SKIP(56);
      if (lookahead == '!') ADVANCE(21);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == ')') ADVANCE(64);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == ',') ADVANCE(65);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(16);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == ':') ADVANCE(73);
      if (lookahead == ';') ADVANCE(60);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(83);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == ']') ADVANCE(79);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(89);
      if (lookahead == '}') ADVANCE(92);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 57:
      if (eof) ADVANCE(59);
      if (lookahead == '\r') SKIP(57);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(16);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 58:
      if (eof) ADVANCE(59);
      if (lookahead == '\r') SKIP(58);
      if (lookahead == '#') ADVANCE(168);
      if (lookahead == '(') ADVANCE(63);
      if (lookahead == '*') ADVANCE(66);
      if (lookahead == '+') ADVANCE(93);
      if (lookahead == '-') ADVANCE(86);
      if (lookahead == '.') ADVANCE(16);
      if (lookahead == '0') ADVANCE(140);
      if (lookahead == '@') ADVANCE(84);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\\') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(166);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '~') ADVANCE(107);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(141);
      if (set_contains(sym_identifier_character_set_1, 656, lookahead)) ADVANCE(167);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(82);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(81);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(28);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(72);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(77);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_except);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(120);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(100);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(99);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(118);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(114);
      if (lookahead == '>') ADVANCE(71);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(114);
      if (lookahead == '>') ADVANCE(70);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      ADVANCE_MAP(
        0, 169,
        '\n', 133,
        '\r', 2,
        'N', 37,
        'U', 53,
        'u', 49,
        'x', 47,
        '"', 133,
        '\'', 133,
        '\\', 133,
        'a', 133,
        'b', 133,
        'f', 133,
        'n', 133,
        'r', 133,
        't', 133,
        'v', 133,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(44);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(137);
      if (lookahead == '\r') ADVANCE(137);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(137);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 136,
        '#', 137,
        '\\', 135,
        '\t', 136,
        0x0b, 136,
        '\f', 136,
        ' ', 136,
        0x200b, 136,
        0x2060, 136,
        0xfeff, 136,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 149,
        '_', 142,
        'B', 34,
        'b', 34,
        'E', 39,
        'e', 39,
        'O', 35,
        'o', 35,
        'X', 36,
        'x', 36,
        'J', 139,
        'L', 139,
        'j', 139,
        'l', 139,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 149,
        '_', 142,
        'E', 39,
        'e', 39,
        'J', 139,
        'L', 139,
        'j', 139,
        'l', 139,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(149);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(141);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(139);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(46);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(139);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(145);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(149);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(150);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(39);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(148);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(77);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(156);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(157);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(158);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(160);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(161);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(162);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(163);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(75);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(76);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(151);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(152);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(153);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(154);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 763, lookahead)) ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'y') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(25);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(26);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(27);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'n') ADVANCE(29);
      if (lookahead == 's') ADVANCE(30);
      if (lookahead == 'w') ADVANCE(31);
      END_STATE();
    case 6:
      if (lookahead == 'o') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(39);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      if (lookahead == 'r') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(45);
      if (lookahead == 'm') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(47);
      if (lookahead == 's') ADVANCE(48);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(49);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 'w') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(56);
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 19:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 20:
      if (lookahead == 'r') ADVANCE(59);
      if (lookahead == 'y') ADVANCE(60);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(61);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(62);
      if (lookahead == 'i') ADVANCE(63);
      END_STATE();
    case 23:
      if (lookahead == 'i') ADVANCE(64);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(66);
      END_STATE();
    case 26:
      if (lookahead == 'u') ADVANCE(67);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(68);
      END_STATE();
    case 28:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'd') ADVANCE(70);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(74);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(77);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 37:
      if (lookahead == 'f') ADVANCE(79);
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 38:
      if (lookahead == 'i') ADVANCE(81);
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 42:
      if (lookahead == 'r') ADVANCE(85);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 44:
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 46:
      if (lookahead == 'p') ADVANCE(88);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'o') ADVANCE(89);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 49:
      if (lookahead == 'm') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'n') ADVANCE(92);
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 53:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 's') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'y') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'p') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(104);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 65:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(107);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(110);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(113);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(114);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(115);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 81:
      if (lookahead == 'f') ADVANCE(119);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 83:
      if (lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 86:
      if (lookahead == 'm') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 'b') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'u') ADVANCE(126);
      END_STATE();
    case 90:
      if (lookahead == 'b') ADVANCE(127);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(128);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 95:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(132);
      END_STATE();
    case 97:
      if (lookahead == 's') ADVANCE(133);
      END_STATE();
    case 98:
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 99:
      if (lookahead == 'u') ADVANCE(135);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 'h') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'l') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 110:
      if (lookahead == 's') ADVANCE(142);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(144);
      END_STATE();
    case 113:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 114:
      if (lookahead == 'o') ADVANCE(146);
      END_STATE();
    case 115:
      if (lookahead == 'k') ADVANCE(147);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 117:
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 118:
      if (lookahead == 'i') ADVANCE(149);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(150);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(151);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 127:
      if (lookahead == 'd') ADVANCE(154);
      END_STATE();
    case 128:
      if (lookahead == 'h') ADVANCE(155);
      END_STATE();
    case 129:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 130:
      if (lookahead == 'd') ADVANCE(157);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 132:
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(160);
      END_STATE();
    case 135:
      if (lookahead == 'c') ADVANCE(161);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(162);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 139:
      if (lookahead == 'd') ADVANCE(163);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(164);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 146:
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(167);
      END_STATE();
    case 150:
      if (lookahead == 'l') ADVANCE(168);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(169);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 154:
      if (lookahead == 'a') ADVANCE(171);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 156:
      if (lookahead == 'c') ADVANCE(172);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_owned);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_raise);
      if (lookahead == 's') ADVANCE(173);
      END_STATE();
    case 160:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(175);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(176);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 166:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 167:
      if (lookahead == 'u') ADVANCE(178);
      END_STATE();
    case 168:
      if (lookahead == 'y') ADVANCE(179);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(180);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_raises);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(182);
      END_STATE();
    case 178:
      if (lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 181:
      if (lookahead == '_') ADVANCE(185);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_borrowed);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 185:
      if (lookahead == '_') ADVANCE(186);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 56, .external_lex_state = 2},
  [2] = {.lex_state = 56, .external_lex_state = 3},
  [3] = {.lex_state = 56, .external_lex_state = 3},
  [4] = {.lex_state = 56, .external_lex_state = 3},
  [5] = {.lex_state = 56, .external_lex_state = 3},
  [6] = {.lex_state = 56, .external_lex_state = 3},
  [7] = {.lex_state = 56, .external_lex_state = 3},
  [8] = {.lex_state = 56, .external_lex_state = 3},
  [9] = {.lex_state = 56, .external_lex_state = 3},
  [10] = {.lex_state = 56, .external_lex_state = 3},
  [11] = {.lex_state = 56, .external_lex_state = 3},
  [12] = {.lex_state = 56, .external_lex_state = 3},
  [13] = {.lex_state = 56, .external_lex_state = 3},
  [14] = {.lex_state = 56, .external_lex_state = 3},
  [15] = {.lex_state = 56, .external_lex_state = 3},
  [16] = {.lex_state = 56, .external_lex_state = 3},
  [17] = {.lex_state = 56, .external_lex_state = 3},
  [18] = {.lex_state = 56, .external_lex_state = 3},
  [19] = {.lex_state = 56, .external_lex_state = 3},
  [20] = {.lex_state = 56, .external_lex_state = 3},
  [21] = {.lex_state = 56, .external_lex_state = 3},
  [22] = {.lex_state = 56, .external_lex_state = 3},
  [23] = {.lex_state = 56, .external_lex_state = 3},
  [24] = {.lex_state = 56, .external_lex_state = 3},
  [25] = {.lex_state = 56, .external_lex_state = 3},
  [26] = {.lex_state = 56, .external_lex_state = 3},
  [27] = {.lex_state = 56, .external_lex_state = 3},
  [28] = {.lex_state = 56, .external_lex_state = 3},
  [29] = {.lex_state = 56, .external_lex_state = 3},
  [30] = {.lex_state = 56, .external_lex_state = 3},
  [31] = {.lex_state = 56, .external_lex_state = 3},
  [32] = {.lex_state = 56, .external_lex_state = 3},
  [33] = {.lex_state = 56, .external_lex_state = 3},
  [34] = {.lex_state = 56, .external_lex_state = 3},
  [35] = {.lex_state = 56, .external_lex_state = 3},
  [36] = {.lex_state = 56, .external_lex_state = 3},
  [37] = {.lex_state = 56, .external_lex_state = 3},
  [38] = {.lex_state = 56, .external_lex_state = 3},
  [39] = {.lex_state = 56, .external_lex_state = 3},
  [40] = {.lex_state = 56, .external_lex_state = 3},
  [41] = {.lex_state = 56, .external_lex_state = 3},
  [42] = {.lex_state = 56, .external_lex_state = 3},
  [43] = {.lex_state = 56, .external_lex_state = 3},
  [44] = {.lex_state = 56, .external_lex_state = 3},
  [45] = {.lex_state = 56, .external_lex_state = 3},
  [46] = {.lex_state = 56, .external_lex_state = 3},
  [47] = {.lex_state = 56, .external_lex_state = 3},
  [48] = {.lex_state = 56, .external_lex_state = 3},
  [49] = {.lex_state = 56, .external_lex_state = 3},
  [50] = {.lex_state = 56, .external_lex_state = 3},
  [51] = {.lex_state = 56, .external_lex_state = 3},
  [52] = {.lex_state = 56, .external_lex_state = 3},
  [53] = {.lex_state = 56, .external_lex_state = 3},
  [54] = {.lex_state = 56, .external_lex_state = 3},
  [55] = {.lex_state = 56, .external_lex_state = 3},
  [56] = {.lex_state = 56, .external_lex_state = 3},
  [57] = {.lex_state = 56, .external_lex_state = 3},
  [58] = {.lex_state = 56, .external_lex_state = 3},
  [59] = {.lex_state = 56, .external_lex_state = 3},
  [60] = {.lex_state = 56, .external_lex_state = 3},
  [61] = {.lex_state = 56, .external_lex_state = 3},
  [62] = {.lex_state = 56, .external_lex_state = 3},
  [63] = {.lex_state = 56, .external_lex_state = 3},
  [64] = {.lex_state = 56, .external_lex_state = 3},
  [65] = {.lex_state = 56, .external_lex_state = 3},
  [66] = {.lex_state = 56, .external_lex_state = 3},
  [67] = {.lex_state = 56, .external_lex_state = 3},
  [68] = {.lex_state = 56, .external_lex_state = 3},
  [69] = {.lex_state = 56, .external_lex_state = 3},
  [70] = {.lex_state = 56, .external_lex_state = 3},
  [71] = {.lex_state = 56, .external_lex_state = 3},
  [72] = {.lex_state = 56, .external_lex_state = 3},
  [73] = {.lex_state = 56, .external_lex_state = 3},
  [74] = {.lex_state = 56, .external_lex_state = 3},
  [75] = {.lex_state = 56, .external_lex_state = 3},
  [76] = {.lex_state = 56, .external_lex_state = 3},
  [77] = {.lex_state = 56, .external_lex_state = 3},
  [78] = {.lex_state = 56, .external_lex_state = 3},
  [79] = {.lex_state = 56, .external_lex_state = 3},
  [80] = {.lex_state = 56, .external_lex_state = 3},
  [81] = {.lex_state = 56, .external_lex_state = 3},
  [82] = {.lex_state = 56, .external_lex_state = 3},
  [83] = {.lex_state = 56, .external_lex_state = 3},
  [84] = {.lex_state = 56, .external_lex_state = 3},
  [85] = {.lex_state = 56, .external_lex_state = 3},
  [86] = {.lex_state = 56, .external_lex_state = 3},
  [87] = {.lex_state = 56, .external_lex_state = 3},
  [88] = {.lex_state = 56, .external_lex_state = 3},
  [89] = {.lex_state = 56, .external_lex_state = 3},
  [90] = {.lex_state = 56, .external_lex_state = 3},
  [91] = {.lex_state = 56, .external_lex_state = 3},
  [92] = {.lex_state = 56, .external_lex_state = 3},
  [93] = {.lex_state = 56, .external_lex_state = 3},
  [94] = {.lex_state = 56, .external_lex_state = 3},
  [95] = {.lex_state = 56, .external_lex_state = 3},
  [96] = {.lex_state = 56, .external_lex_state = 3},
  [97] = {.lex_state = 56, .external_lex_state = 3},
  [98] = {.lex_state = 56, .external_lex_state = 3},
  [99] = {.lex_state = 56, .external_lex_state = 3},
  [100] = {.lex_state = 56, .external_lex_state = 3},
  [101] = {.lex_state = 56, .external_lex_state = 3},
  [102] = {.lex_state = 56, .external_lex_state = 3},
  [103] = {.lex_state = 56, .external_lex_state = 3},
  [104] = {.lex_state = 56, .external_lex_state = 3},
  [105] = {.lex_state = 56, .external_lex_state = 3},
  [106] = {.lex_state = 56, .external_lex_state = 3},
  [107] = {.lex_state = 56, .external_lex_state = 3},
  [108] = {.lex_state = 56, .external_lex_state = 3},
  [109] = {.lex_state = 56, .external_lex_state = 3},
  [110] = {.lex_state = 56, .external_lex_state = 3},
  [111] = {.lex_state = 56, .external_lex_state = 3},
  [112] = {.lex_state = 56, .external_lex_state = 3},
  [113] = {.lex_state = 56, .external_lex_state = 3},
  [114] = {.lex_state = 56, .external_lex_state = 3},
  [115] = {.lex_state = 56, .external_lex_state = 3},
  [116] = {.lex_state = 56, .external_lex_state = 3},
  [117] = {.lex_state = 56, .external_lex_state = 3},
  [118] = {.lex_state = 56, .external_lex_state = 3},
  [119] = {.lex_state = 56, .external_lex_state = 2},
  [120] = {.lex_state = 56, .external_lex_state = 3},
  [121] = {.lex_state = 56, .external_lex_state = 3},
  [122] = {.lex_state = 56, .external_lex_state = 3},
  [123] = {.lex_state = 56, .external_lex_state = 2},
  [124] = {.lex_state = 56, .external_lex_state = 3},
  [125] = {.lex_state = 56, .external_lex_state = 3},
  [126] = {.lex_state = 56, .external_lex_state = 3},
  [127] = {.lex_state = 56, .external_lex_state = 3},
  [128] = {.lex_state = 56, .external_lex_state = 3},
  [129] = {.lex_state = 4, .external_lex_state = 4},
  [130] = {.lex_state = 5, .external_lex_state = 5},
  [131] = {.lex_state = 5, .external_lex_state = 5},
  [132] = {.lex_state = 5, .external_lex_state = 5},
  [133] = {.lex_state = 5, .external_lex_state = 5},
  [134] = {.lex_state = 5, .external_lex_state = 5},
  [135] = {.lex_state = 5, .external_lex_state = 5},
  [136] = {.lex_state = 5, .external_lex_state = 5},
  [137] = {.lex_state = 5, .external_lex_state = 5},
  [138] = {.lex_state = 5, .external_lex_state = 5},
  [139] = {.lex_state = 5, .external_lex_state = 5},
  [140] = {.lex_state = 5, .external_lex_state = 5},
  [141] = {.lex_state = 5, .external_lex_state = 5},
  [142] = {.lex_state = 5, .external_lex_state = 5},
  [143] = {.lex_state = 5, .external_lex_state = 5},
  [144] = {.lex_state = 5, .external_lex_state = 5},
  [145] = {.lex_state = 5, .external_lex_state = 5},
  [146] = {.lex_state = 5, .external_lex_state = 5},
  [147] = {.lex_state = 5, .external_lex_state = 5},
  [148] = {.lex_state = 5, .external_lex_state = 5},
  [149] = {.lex_state = 5, .external_lex_state = 5},
  [150] = {.lex_state = 5, .external_lex_state = 5},
  [151] = {.lex_state = 5, .external_lex_state = 5},
  [152] = {.lex_state = 5, .external_lex_state = 5},
  [153] = {.lex_state = 5, .external_lex_state = 5},
  [154] = {.lex_state = 5, .external_lex_state = 5},
  [155] = {.lex_state = 5, .external_lex_state = 5},
  [156] = {.lex_state = 5, .external_lex_state = 5},
  [157] = {.lex_state = 5, .external_lex_state = 5},
  [158] = {.lex_state = 5, .external_lex_state = 5},
  [159] = {.lex_state = 5, .external_lex_state = 5},
  [160] = {.lex_state = 5, .external_lex_state = 5},
  [161] = {.lex_state = 5, .external_lex_state = 5},
  [162] = {.lex_state = 5, .external_lex_state = 5},
  [163] = {.lex_state = 5, .external_lex_state = 5},
  [164] = {.lex_state = 5, .external_lex_state = 5},
  [165] = {.lex_state = 5, .external_lex_state = 5},
  [166] = {.lex_state = 5, .external_lex_state = 5},
  [167] = {.lex_state = 5, .external_lex_state = 5},
  [168] = {.lex_state = 5, .external_lex_state = 5},
  [169] = {.lex_state = 5, .external_lex_state = 5},
  [170] = {.lex_state = 5, .external_lex_state = 5},
  [171] = {.lex_state = 5, .external_lex_state = 5},
  [172] = {.lex_state = 5, .external_lex_state = 5},
  [173] = {.lex_state = 5, .external_lex_state = 5},
  [174] = {.lex_state = 5, .external_lex_state = 5},
  [175] = {.lex_state = 5, .external_lex_state = 5},
  [176] = {.lex_state = 5, .external_lex_state = 5},
  [177] = {.lex_state = 5, .external_lex_state = 5},
  [178] = {.lex_state = 4, .external_lex_state = 4},
  [179] = {.lex_state = 4, .external_lex_state = 4},
  [180] = {.lex_state = 4, .external_lex_state = 4},
  [181] = {.lex_state = 56, .external_lex_state = 5},
  [182] = {.lex_state = 56, .external_lex_state = 5},
  [183] = {.lex_state = 56, .external_lex_state = 5},
  [184] = {.lex_state = 56, .external_lex_state = 5},
  [185] = {.lex_state = 56, .external_lex_state = 5},
  [186] = {.lex_state = 56, .external_lex_state = 5},
  [187] = {.lex_state = 56, .external_lex_state = 5},
  [188] = {.lex_state = 56, .external_lex_state = 5},
  [189] = {.lex_state = 56, .external_lex_state = 5},
  [190] = {.lex_state = 56, .external_lex_state = 5},
  [191] = {.lex_state = 56, .external_lex_state = 5},
  [192] = {.lex_state = 56, .external_lex_state = 5},
  [193] = {.lex_state = 56, .external_lex_state = 5},
  [194] = {.lex_state = 56, .external_lex_state = 5},
  [195] = {.lex_state = 56, .external_lex_state = 5},
  [196] = {.lex_state = 56, .external_lex_state = 5},
  [197] = {.lex_state = 56, .external_lex_state = 5},
  [198] = {.lex_state = 56, .external_lex_state = 5},
  [199] = {.lex_state = 56, .external_lex_state = 5},
  [200] = {.lex_state = 56, .external_lex_state = 5},
  [201] = {.lex_state = 56, .external_lex_state = 5},
  [202] = {.lex_state = 56, .external_lex_state = 5},
  [203] = {.lex_state = 56, .external_lex_state = 5},
  [204] = {.lex_state = 56, .external_lex_state = 5},
  [205] = {.lex_state = 56, .external_lex_state = 5},
  [206] = {.lex_state = 56, .external_lex_state = 5},
  [207] = {.lex_state = 56, .external_lex_state = 5},
  [208] = {.lex_state = 56, .external_lex_state = 5},
  [209] = {.lex_state = 56, .external_lex_state = 5},
  [210] = {.lex_state = 56, .external_lex_state = 5},
  [211] = {.lex_state = 56, .external_lex_state = 5},
  [212] = {.lex_state = 56, .external_lex_state = 5},
  [213] = {.lex_state = 56, .external_lex_state = 5},
  [214] = {.lex_state = 56, .external_lex_state = 5},
  [215] = {.lex_state = 56, .external_lex_state = 5},
  [216] = {.lex_state = 56, .external_lex_state = 5},
  [217] = {.lex_state = 56, .external_lex_state = 5},
  [218] = {.lex_state = 56, .external_lex_state = 5},
  [219] = {.lex_state = 56, .external_lex_state = 5},
  [220] = {.lex_state = 56, .external_lex_state = 5},
  [221] = {.lex_state = 56, .external_lex_state = 5},
  [222] = {.lex_state = 56, .external_lex_state = 5},
  [223] = {.lex_state = 56, .external_lex_state = 5},
  [224] = {.lex_state = 56, .external_lex_state = 5},
  [225] = {.lex_state = 56, .external_lex_state = 5},
  [226] = {.lex_state = 56, .external_lex_state = 5},
  [227] = {.lex_state = 56, .external_lex_state = 5},
  [228] = {.lex_state = 56, .external_lex_state = 5},
  [229] = {.lex_state = 56, .external_lex_state = 5},
  [230] = {.lex_state = 56, .external_lex_state = 5},
  [231] = {.lex_state = 56, .external_lex_state = 5},
  [232] = {.lex_state = 56, .external_lex_state = 5},
  [233] = {.lex_state = 56, .external_lex_state = 5},
  [234] = {.lex_state = 56, .external_lex_state = 5},
  [235] = {.lex_state = 56, .external_lex_state = 5},
  [236] = {.lex_state = 56, .external_lex_state = 5},
  [237] = {.lex_state = 56, .external_lex_state = 5},
  [238] = {.lex_state = 56, .external_lex_state = 5},
  [239] = {.lex_state = 56, .external_lex_state = 5},
  [240] = {.lex_state = 56, .external_lex_state = 5},
  [241] = {.lex_state = 56, .external_lex_state = 5},
  [242] = {.lex_state = 56, .external_lex_state = 5},
  [243] = {.lex_state = 56, .external_lex_state = 5},
  [244] = {.lex_state = 56, .external_lex_state = 5},
  [245] = {.lex_state = 56, .external_lex_state = 5},
  [246] = {.lex_state = 56, .external_lex_state = 5},
  [247] = {.lex_state = 56, .external_lex_state = 4},
  [248] = {.lex_state = 56, .external_lex_state = 4},
  [249] = {.lex_state = 56, .external_lex_state = 4},
  [250] = {.lex_state = 56, .external_lex_state = 4},
  [251] = {.lex_state = 56, .external_lex_state = 4},
  [252] = {.lex_state = 56, .external_lex_state = 4},
  [253] = {.lex_state = 56, .external_lex_state = 4},
  [254] = {.lex_state = 56, .external_lex_state = 4},
  [255] = {.lex_state = 56, .external_lex_state = 4},
  [256] = {.lex_state = 56, .external_lex_state = 4},
  [257] = {.lex_state = 56, .external_lex_state = 4},
  [258] = {.lex_state = 56, .external_lex_state = 4},
  [259] = {.lex_state = 56, .external_lex_state = 4},
  [260] = {.lex_state = 56, .external_lex_state = 4},
  [261] = {.lex_state = 56, .external_lex_state = 4},
  [262] = {.lex_state = 56, .external_lex_state = 4},
  [263] = {.lex_state = 56, .external_lex_state = 2},
  [264] = {.lex_state = 4, .external_lex_state = 4},
  [265] = {.lex_state = 12, .external_lex_state = 4},
  [266] = {.lex_state = 5, .external_lex_state = 4},
  [267] = {.lex_state = 13, .external_lex_state = 6},
  [268] = {.lex_state = 5, .external_lex_state = 6},
  [269] = {.lex_state = 5, .external_lex_state = 6},
  [270] = {.lex_state = 13, .external_lex_state = 4},
  [271] = {.lex_state = 13, .external_lex_state = 4},
  [272] = {.lex_state = 5, .external_lex_state = 6},
  [273] = {.lex_state = 5, .external_lex_state = 7},
  [274] = {.lex_state = 5, .external_lex_state = 6},
  [275] = {.lex_state = 13, .external_lex_state = 6},
  [276] = {.lex_state = 5, .external_lex_state = 8},
  [277] = {.lex_state = 5, .external_lex_state = 7},
  [278] = {.lex_state = 5, .external_lex_state = 2},
  [279] = {.lex_state = 5, .external_lex_state = 8},
  [280] = {.lex_state = 13, .external_lex_state = 7},
  [281] = {.lex_state = 13, .external_lex_state = 7},
  [282] = {.lex_state = 5, .external_lex_state = 8},
  [283] = {.lex_state = 5, .external_lex_state = 8},
  [284] = {.lex_state = 13, .external_lex_state = 2},
  [285] = {.lex_state = 13, .external_lex_state = 2},
  [286] = {.lex_state = 5, .external_lex_state = 7},
  [287] = {.lex_state = 5, .external_lex_state = 7},
  [288] = {.lex_state = 13, .external_lex_state = 6},
  [289] = {.lex_state = 5, .external_lex_state = 7},
  [290] = {.lex_state = 13, .external_lex_state = 8},
  [291] = {.lex_state = 5, .external_lex_state = 7},
  [292] = {.lex_state = 5, .external_lex_state = 8},
  [293] = {.lex_state = 13, .external_lex_state = 8},
  [294] = {.lex_state = 5, .external_lex_state = 8},
  [295] = {.lex_state = 5, .external_lex_state = 7},
  [296] = {.lex_state = 4, .external_lex_state = 4},
  [297] = {.lex_state = 4, .external_lex_state = 2},
  [298] = {.lex_state = 4, .external_lex_state = 2},
  [299] = {.lex_state = 56, .external_lex_state = 2},
  [300] = {.lex_state = 56, .external_lex_state = 2},
  [301] = {.lex_state = 56, .external_lex_state = 2},
  [302] = {.lex_state = 5, .external_lex_state = 6},
  [303] = {.lex_state = 56, .external_lex_state = 8},
  [304] = {.lex_state = 56, .external_lex_state = 8},
  [305] = {.lex_state = 56, .external_lex_state = 7},
  [306] = {.lex_state = 56, .external_lex_state = 7},
  [307] = {.lex_state = 56, .external_lex_state = 8},
  [308] = {.lex_state = 56, .external_lex_state = 7},
  [309] = {.lex_state = 56, .external_lex_state = 8},
  [310] = {.lex_state = 5, .external_lex_state = 6},
  [311] = {.lex_state = 56, .external_lex_state = 8},
  [312] = {.lex_state = 56, .external_lex_state = 7},
  [313] = {.lex_state = 5, .external_lex_state = 6},
  [314] = {.lex_state = 56, .external_lex_state = 7},
  [315] = {.lex_state = 56, .external_lex_state = 8},
  [316] = {.lex_state = 56, .external_lex_state = 7},
  [317] = {.lex_state = 56, .external_lex_state = 8},
  [318] = {.lex_state = 56, .external_lex_state = 7},
  [319] = {.lex_state = 56, .external_lex_state = 8},
  [320] = {.lex_state = 5, .external_lex_state = 6},
  [321] = {.lex_state = 5, .external_lex_state = 6},
  [322] = {.lex_state = 5, .external_lex_state = 6},
  [323] = {.lex_state = 5, .external_lex_state = 6},
  [324] = {.lex_state = 56, .external_lex_state = 8},
  [325] = {.lex_state = 56, .external_lex_state = 7},
  [326] = {.lex_state = 5, .external_lex_state = 6},
  [327] = {.lex_state = 56, .external_lex_state = 8},
  [328] = {.lex_state = 56, .external_lex_state = 7},
  [329] = {.lex_state = 56, .external_lex_state = 7},
  [330] = {.lex_state = 13, .external_lex_state = 8},
  [331] = {.lex_state = 13, .external_lex_state = 8},
  [332] = {.lex_state = 13, .external_lex_state = 8},
  [333] = {.lex_state = 13, .external_lex_state = 8},
  [334] = {.lex_state = 13, .external_lex_state = 8},
  [335] = {.lex_state = 13, .external_lex_state = 8},
  [336] = {.lex_state = 13, .external_lex_state = 8},
  [337] = {.lex_state = 13, .external_lex_state = 8},
  [338] = {.lex_state = 13, .external_lex_state = 8},
  [339] = {.lex_state = 13, .external_lex_state = 8},
  [340] = {.lex_state = 13, .external_lex_state = 8},
  [341] = {.lex_state = 13, .external_lex_state = 8},
  [342] = {.lex_state = 5, .external_lex_state = 8},
  [343] = {.lex_state = 5, .external_lex_state = 8},
  [344] = {.lex_state = 13, .external_lex_state = 8},
  [345] = {.lex_state = 5, .external_lex_state = 8},
  [346] = {.lex_state = 5, .external_lex_state = 8},
  [347] = {.lex_state = 5, .external_lex_state = 8},
  [348] = {.lex_state = 13, .external_lex_state = 8},
  [349] = {.lex_state = 13, .external_lex_state = 8},
  [350] = {.lex_state = 5, .external_lex_state = 8},
  [351] = {.lex_state = 13, .external_lex_state = 8},
  [352] = {.lex_state = 13, .external_lex_state = 8},
  [353] = {.lex_state = 56, .external_lex_state = 2},
  [354] = {.lex_state = 13, .external_lex_state = 8},
  [355] = {.lex_state = 13, .external_lex_state = 8},
  [356] = {.lex_state = 5, .external_lex_state = 8},
  [357] = {.lex_state = 56, .external_lex_state = 2},
  [358] = {.lex_state = 13, .external_lex_state = 8},
  [359] = {.lex_state = 5, .external_lex_state = 8},
  [360] = {.lex_state = 5, .external_lex_state = 2},
  [361] = {.lex_state = 5, .external_lex_state = 2},
  [362] = {.lex_state = 5, .external_lex_state = 2},
  [363] = {.lex_state = 5, .external_lex_state = 2},
  [364] = {.lex_state = 5, .external_lex_state = 2},
  [365] = {.lex_state = 5, .external_lex_state = 2},
  [366] = {.lex_state = 5, .external_lex_state = 2},
  [367] = {.lex_state = 5, .external_lex_state = 2},
  [368] = {.lex_state = 5, .external_lex_state = 2},
  [369] = {.lex_state = 5, .external_lex_state = 2},
  [370] = {.lex_state = 5, .external_lex_state = 7},
  [371] = {.lex_state = 5, .external_lex_state = 2},
  [372] = {.lex_state = 5, .external_lex_state = 2},
  [373] = {.lex_state = 6, .external_lex_state = 4},
  [374] = {.lex_state = 5, .external_lex_state = 2},
  [375] = {.lex_state = 5, .external_lex_state = 2},
  [376] = {.lex_state = 5, .external_lex_state = 2},
  [377] = {.lex_state = 5, .external_lex_state = 2},
  [378] = {.lex_state = 5, .external_lex_state = 2},
  [379] = {.lex_state = 5, .external_lex_state = 2},
  [380] = {.lex_state = 5, .external_lex_state = 2},
  [381] = {.lex_state = 5, .external_lex_state = 2},
  [382] = {.lex_state = 5, .external_lex_state = 2},
  [383] = {.lex_state = 5, .external_lex_state = 2},
  [384] = {.lex_state = 5, .external_lex_state = 2},
  [385] = {.lex_state = 5, .external_lex_state = 2},
  [386] = {.lex_state = 5, .external_lex_state = 2},
  [387] = {.lex_state = 5, .external_lex_state = 2},
  [388] = {.lex_state = 5, .external_lex_state = 2},
  [389] = {.lex_state = 5, .external_lex_state = 2},
  [390] = {.lex_state = 5, .external_lex_state = 2},
  [391] = {.lex_state = 5, .external_lex_state = 2},
  [392] = {.lex_state = 56, .external_lex_state = 6},
  [393] = {.lex_state = 5, .external_lex_state = 7},
  [394] = {.lex_state = 5, .external_lex_state = 2},
  [395] = {.lex_state = 5, .external_lex_state = 2},
  [396] = {.lex_state = 5, .external_lex_state = 2},
  [397] = {.lex_state = 5, .external_lex_state = 2},
  [398] = {.lex_state = 5, .external_lex_state = 2},
  [399] = {.lex_state = 5, .external_lex_state = 2},
  [400] = {.lex_state = 5, .external_lex_state = 2},
  [401] = {.lex_state = 5, .external_lex_state = 2},
  [402] = {.lex_state = 5, .external_lex_state = 7},
  [403] = {.lex_state = 5, .external_lex_state = 7},
  [404] = {.lex_state = 5, .external_lex_state = 2},
  [405] = {.lex_state = 5, .external_lex_state = 2},
  [406] = {.lex_state = 5, .external_lex_state = 2},
  [407] = {.lex_state = 5, .external_lex_state = 2},
  [408] = {.lex_state = 5, .external_lex_state = 2},
  [409] = {.lex_state = 6, .external_lex_state = 4},
  [410] = {.lex_state = 5, .external_lex_state = 2},
  [411] = {.lex_state = 5, .external_lex_state = 2},
  [412] = {.lex_state = 5, .external_lex_state = 2},
  [413] = {.lex_state = 5, .external_lex_state = 2},
  [414] = {.lex_state = 5, .external_lex_state = 2},
  [415] = {.lex_state = 5, .external_lex_state = 7},
  [416] = {.lex_state = 5, .external_lex_state = 2},
  [417] = {.lex_state = 5, .external_lex_state = 7},
  [418] = {.lex_state = 5, .external_lex_state = 2},
  [419] = {.lex_state = 5, .external_lex_state = 7},
  [420] = {.lex_state = 5, .external_lex_state = 2},
  [421] = {.lex_state = 5, .external_lex_state = 2},
  [422] = {.lex_state = 5, .external_lex_state = 2},
  [423] = {.lex_state = 5, .external_lex_state = 2},
  [424] = {.lex_state = 5, .external_lex_state = 2},
  [425] = {.lex_state = 5, .external_lex_state = 7},
  [426] = {.lex_state = 5, .external_lex_state = 7},
  [427] = {.lex_state = 5, .external_lex_state = 2},
  [428] = {.lex_state = 56, .external_lex_state = 7},
  [429] = {.lex_state = 5, .external_lex_state = 2},
  [430] = {.lex_state = 5, .external_lex_state = 2},
  [431] = {.lex_state = 5, .external_lex_state = 2},
  [432] = {.lex_state = 5, .external_lex_state = 2},
  [433] = {.lex_state = 5, .external_lex_state = 2},
  [434] = {.lex_state = 5, .external_lex_state = 2},
  [435] = {.lex_state = 5, .external_lex_state = 2},
  [436] = {.lex_state = 5, .external_lex_state = 2},
  [437] = {.lex_state = 5, .external_lex_state = 2},
  [438] = {.lex_state = 5, .external_lex_state = 2},
  [439] = {.lex_state = 5, .external_lex_state = 2},
  [440] = {.lex_state = 5, .external_lex_state = 7},
  [441] = {.lex_state = 5, .external_lex_state = 7},
  [442] = {.lex_state = 5, .external_lex_state = 7},
  [443] = {.lex_state = 5, .external_lex_state = 7},
  [444] = {.lex_state = 56, .external_lex_state = 7},
  [445] = {.lex_state = 56, .external_lex_state = 7},
  [446] = {.lex_state = 56, .external_lex_state = 8},
  [447] = {.lex_state = 5, .external_lex_state = 7},
  [448] = {.lex_state = 5, .external_lex_state = 7},
  [449] = {.lex_state = 5, .external_lex_state = 8},
  [450] = {.lex_state = 5, .external_lex_state = 8},
  [451] = {.lex_state = 56, .external_lex_state = 8},
  [452] = {.lex_state = 56, .external_lex_state = 7},
  [453] = {.lex_state = 5, .external_lex_state = 7},
  [454] = {.lex_state = 5, .external_lex_state = 7},
  [455] = {.lex_state = 56, .external_lex_state = 7},
  [456] = {.lex_state = 5, .external_lex_state = 7},
  [457] = {.lex_state = 5, .external_lex_state = 7},
  [458] = {.lex_state = 5, .external_lex_state = 7},
  [459] = {.lex_state = 56, .external_lex_state = 8},
  [460] = {.lex_state = 56, .external_lex_state = 7},
  [461] = {.lex_state = 5, .external_lex_state = 7},
  [462] = {.lex_state = 5, .external_lex_state = 7},
  [463] = {.lex_state = 5, .external_lex_state = 7},
  [464] = {.lex_state = 5, .external_lex_state = 7},
  [465] = {.lex_state = 56, .external_lex_state = 8},
  [466] = {.lex_state = 5, .external_lex_state = 7},
  [467] = {.lex_state = 56, .external_lex_state = 7},
  [468] = {.lex_state = 5, .external_lex_state = 7},
  [469] = {.lex_state = 56, .external_lex_state = 7},
  [470] = {.lex_state = 5, .external_lex_state = 7},
  [471] = {.lex_state = 5, .external_lex_state = 7},
  [472] = {.lex_state = 56, .external_lex_state = 8},
  [473] = {.lex_state = 5, .external_lex_state = 7},
  [474] = {.lex_state = 56, .external_lex_state = 7},
  [475] = {.lex_state = 5, .external_lex_state = 7},
  [476] = {.lex_state = 5, .external_lex_state = 7},
  [477] = {.lex_state = 56, .external_lex_state = 7},
  [478] = {.lex_state = 56, .external_lex_state = 7},
  [479] = {.lex_state = 56, .external_lex_state = 8},
  [480] = {.lex_state = 56, .external_lex_state = 7},
  [481] = {.lex_state = 56, .external_lex_state = 8},
  [482] = {.lex_state = 56, .external_lex_state = 7},
  [483] = {.lex_state = 5, .external_lex_state = 7},
  [484] = {.lex_state = 5, .external_lex_state = 7},
  [485] = {.lex_state = 5, .external_lex_state = 7},
  [486] = {.lex_state = 5, .external_lex_state = 7},
  [487] = {.lex_state = 5, .external_lex_state = 7},
  [488] = {.lex_state = 5, .external_lex_state = 7},
  [489] = {.lex_state = 5, .external_lex_state = 7},
  [490] = {.lex_state = 5, .external_lex_state = 7},
  [491] = {.lex_state = 56, .external_lex_state = 7},
  [492] = {.lex_state = 56, .external_lex_state = 8},
  [493] = {.lex_state = 5, .external_lex_state = 8},
  [494] = {.lex_state = 5, .external_lex_state = 7},
  [495] = {.lex_state = 5, .external_lex_state = 8},
  [496] = {.lex_state = 5, .external_lex_state = 7},
  [497] = {.lex_state = 56, .external_lex_state = 7},
  [498] = {.lex_state = 5, .external_lex_state = 2},
  [499] = {.lex_state = 56, .external_lex_state = 7},
  [500] = {.lex_state = 56, .external_lex_state = 7},
  [501] = {.lex_state = 56, .external_lex_state = 6},
  [502] = {.lex_state = 56, .external_lex_state = 6},
  [503] = {.lex_state = 6, .external_lex_state = 2},
  [504] = {.lex_state = 56, .external_lex_state = 6},
  [505] = {.lex_state = 6, .external_lex_state = 2},
  [506] = {.lex_state = 56, .external_lex_state = 7},
  [507] = {.lex_state = 56, .external_lex_state = 7},
  [508] = {.lex_state = 56, .external_lex_state = 6},
  [509] = {.lex_state = 56, .external_lex_state = 6},
  [510] = {.lex_state = 56, .external_lex_state = 8},
  [511] = {.lex_state = 56, .external_lex_state = 6},
  [512] = {.lex_state = 56, .external_lex_state = 7},
  [513] = {.lex_state = 56, .external_lex_state = 6},
  [514] = {.lex_state = 56, .external_lex_state = 7},
  [515] = {.lex_state = 13, .external_lex_state = 6},
  [516] = {.lex_state = 56, .external_lex_state = 8},
  [517] = {.lex_state = 56, .external_lex_state = 8},
  [518] = {.lex_state = 56, .external_lex_state = 8},
  [519] = {.lex_state = 56, .external_lex_state = 8},
  [520] = {.lex_state = 56, .external_lex_state = 8},
  [521] = {.lex_state = 5, .external_lex_state = 2},
  [522] = {.lex_state = 56, .external_lex_state = 6},
  [523] = {.lex_state = 5, .external_lex_state = 6},
  [524] = {.lex_state = 5, .external_lex_state = 6},
  [525] = {.lex_state = 56, .external_lex_state = 4},
  [526] = {.lex_state = 5, .external_lex_state = 6},
  [527] = {.lex_state = 5, .external_lex_state = 6},
  [528] = {.lex_state = 56, .external_lex_state = 2},
  [529] = {.lex_state = 57, .external_lex_state = 9},
  [530] = {.lex_state = 58, .external_lex_state = 2},
  [531] = {.lex_state = 58, .external_lex_state = 3},
  [532] = {.lex_state = 5, .external_lex_state = 6},
  [533] = {.lex_state = 57, .external_lex_state = 9},
  [534] = {.lex_state = 56, .external_lex_state = 2},
  [535] = {.lex_state = 58, .external_lex_state = 3},
  [536] = {.lex_state = 56, .external_lex_state = 2},
  [537] = {.lex_state = 13, .external_lex_state = 2},
  [538] = {.lex_state = 57, .external_lex_state = 10},
  [539] = {.lex_state = 56, .external_lex_state = 8},
  [540] = {.lex_state = 5, .external_lex_state = 6},
  [541] = {.lex_state = 56, .external_lex_state = 4},
  [542] = {.lex_state = 5, .external_lex_state = 6},
  [543] = {.lex_state = 5, .external_lex_state = 6},
  [544] = {.lex_state = 5, .external_lex_state = 6},
  [545] = {.lex_state = 5, .external_lex_state = 6},
  [546] = {.lex_state = 5, .external_lex_state = 6},
  [547] = {.lex_state = 5, .external_lex_state = 6},
  [548] = {.lex_state = 5, .external_lex_state = 6},
  [549] = {.lex_state = 5, .external_lex_state = 6},
  [550] = {.lex_state = 5, .external_lex_state = 6},
  [551] = {.lex_state = 56, .external_lex_state = 7},
  [552] = {.lex_state = 5, .external_lex_state = 6},
  [553] = {.lex_state = 57, .external_lex_state = 10},
  [554] = {.lex_state = 58, .external_lex_state = 2},
  [555] = {.lex_state = 56, .external_lex_state = 8},
  [556] = {.lex_state = 13, .external_lex_state = 7},
  [557] = {.lex_state = 56, .external_lex_state = 4},
  [558] = {.lex_state = 56, .external_lex_state = 8},
  [559] = {.lex_state = 56, .external_lex_state = 8},
  [560] = {.lex_state = 56, .external_lex_state = 8},
  [561] = {.lex_state = 56, .external_lex_state = 8},
  [562] = {.lex_state = 56, .external_lex_state = 8},
  [563] = {.lex_state = 56, .external_lex_state = 8},
  [564] = {.lex_state = 56, .external_lex_state = 8},
  [565] = {.lex_state = 13, .external_lex_state = 7},
  [566] = {.lex_state = 56, .external_lex_state = 8},
  [567] = {.lex_state = 56, .external_lex_state = 8},
  [568] = {.lex_state = 56, .external_lex_state = 8},
  [569] = {.lex_state = 56, .external_lex_state = 8},
  [570] = {.lex_state = 56, .external_lex_state = 8},
  [571] = {.lex_state = 56, .external_lex_state = 8},
  [572] = {.lex_state = 56, .external_lex_state = 8},
  [573] = {.lex_state = 56, .external_lex_state = 8},
  [574] = {.lex_state = 56, .external_lex_state = 4},
  [575] = {.lex_state = 56, .external_lex_state = 8},
  [576] = {.lex_state = 56, .external_lex_state = 8},
  [577] = {.lex_state = 56, .external_lex_state = 8},
  [578] = {.lex_state = 56, .external_lex_state = 8},
  [579] = {.lex_state = 56, .external_lex_state = 8},
  [580] = {.lex_state = 56, .external_lex_state = 8},
  [581] = {.lex_state = 56, .external_lex_state = 8},
  [582] = {.lex_state = 56, .external_lex_state = 8},
  [583] = {.lex_state = 56, .external_lex_state = 8},
  [584] = {.lex_state = 56, .external_lex_state = 8},
  [585] = {.lex_state = 56, .external_lex_state = 8},
  [586] = {.lex_state = 56, .external_lex_state = 8},
  [587] = {.lex_state = 56, .external_lex_state = 4},
  [588] = {.lex_state = 56, .external_lex_state = 8},
  [589] = {.lex_state = 5, .external_lex_state = 2},
  [590] = {.lex_state = 56, .external_lex_state = 8},
  [591] = {.lex_state = 56, .external_lex_state = 8},
  [592] = {.lex_state = 56, .external_lex_state = 8},
  [593] = {.lex_state = 56, .external_lex_state = 2},
  [594] = {.lex_state = 56, .external_lex_state = 2},
  [595] = {.lex_state = 56, .external_lex_state = 7},
  [596] = {.lex_state = 13, .external_lex_state = 2},
  [597] = {.lex_state = 56, .external_lex_state = 7},
  [598] = {.lex_state = 56, .external_lex_state = 2},
  [599] = {.lex_state = 56, .external_lex_state = 4},
  [600] = {.lex_state = 56, .external_lex_state = 2},
  [601] = {.lex_state = 56, .external_lex_state = 3},
  [602] = {.lex_state = 56, .external_lex_state = 2},
  [603] = {.lex_state = 56, .external_lex_state = 2},
  [604] = {.lex_state = 56, .external_lex_state = 8},
  [605] = {.lex_state = 56, .external_lex_state = 3},
  [606] = {.lex_state = 56, .external_lex_state = 8},
  [607] = {.lex_state = 56, .external_lex_state = 3},
  [608] = {.lex_state = 56, .external_lex_state = 2},
  [609] = {.lex_state = 56, .external_lex_state = 4},
  [610] = {.lex_state = 56, .external_lex_state = 2},
  [611] = {.lex_state = 57, .external_lex_state = 9},
  [612] = {.lex_state = 58, .external_lex_state = 3},
  [613] = {.lex_state = 56, .external_lex_state = 2},
  [614] = {.lex_state = 56, .external_lex_state = 2},
  [615] = {.lex_state = 56, .external_lex_state = 2},
  [616] = {.lex_state = 56, .external_lex_state = 2},
  [617] = {.lex_state = 56, .external_lex_state = 2},
  [618] = {.lex_state = 56, .external_lex_state = 2},
  [619] = {.lex_state = 56, .external_lex_state = 2},
  [620] = {.lex_state = 5, .external_lex_state = 7},
  [621] = {.lex_state = 56, .external_lex_state = 4},
  [622] = {.lex_state = 56, .external_lex_state = 2},
  [623] = {.lex_state = 56, .external_lex_state = 2},
  [624] = {.lex_state = 56, .external_lex_state = 4},
  [625] = {.lex_state = 57, .external_lex_state = 10},
  [626] = {.lex_state = 58, .external_lex_state = 2},
  [627] = {.lex_state = 56, .external_lex_state = 2},
  [628] = {.lex_state = 56, .external_lex_state = 2},
  [629] = {.lex_state = 56, .external_lex_state = 4},
  [630] = {.lex_state = 56, .external_lex_state = 3},
  [631] = {.lex_state = 13, .external_lex_state = 2},
  [632] = {.lex_state = 56, .external_lex_state = 4},
  [633] = {.lex_state = 56, .external_lex_state = 8},
  [634] = {.lex_state = 56, .external_lex_state = 2},
  [635] = {.lex_state = 56, .external_lex_state = 2},
  [636] = {.lex_state = 56, .external_lex_state = 7},
  [637] = {.lex_state = 56, .external_lex_state = 2},
  [638] = {.lex_state = 56, .external_lex_state = 2},
  [639] = {.lex_state = 56, .external_lex_state = 8},
  [640] = {.lex_state = 56, .external_lex_state = 2},
  [641] = {.lex_state = 56, .external_lex_state = 8},
  [642] = {.lex_state = 56, .external_lex_state = 2},
  [643] = {.lex_state = 56, .external_lex_state = 2},
  [644] = {.lex_state = 56, .external_lex_state = 7},
  [645] = {.lex_state = 5, .external_lex_state = 8},
  [646] = {.lex_state = 56, .external_lex_state = 2},
  [647] = {.lex_state = 56, .external_lex_state = 2},
  [648] = {.lex_state = 56, .external_lex_state = 2},
  [649] = {.lex_state = 56, .external_lex_state = 2},
  [650] = {.lex_state = 56, .external_lex_state = 2},
  [651] = {.lex_state = 56, .external_lex_state = 3},
  [652] = {.lex_state = 56, .external_lex_state = 2},
  [653] = {.lex_state = 56, .external_lex_state = 2},
  [654] = {.lex_state = 56, .external_lex_state = 2},
  [655] = {.lex_state = 56, .external_lex_state = 2},
  [656] = {.lex_state = 56, .external_lex_state = 2},
  [657] = {.lex_state = 56, .external_lex_state = 2},
  [658] = {.lex_state = 56, .external_lex_state = 2},
  [659] = {.lex_state = 56, .external_lex_state = 2},
  [660] = {.lex_state = 56, .external_lex_state = 2},
  [661] = {.lex_state = 56, .external_lex_state = 2},
  [662] = {.lex_state = 56, .external_lex_state = 2},
  [663] = {.lex_state = 58, .external_lex_state = 2},
  [664] = {.lex_state = 57, .external_lex_state = 9},
  [665] = {.lex_state = 56, .external_lex_state = 2},
  [666] = {.lex_state = 56, .external_lex_state = 2},
  [667] = {.lex_state = 56, .external_lex_state = 2},
  [668] = {.lex_state = 57, .external_lex_state = 10},
  [669] = {.lex_state = 56, .external_lex_state = 2},
  [670] = {.lex_state = 56, .external_lex_state = 2},
  [671] = {.lex_state = 56, .external_lex_state = 2},
  [672] = {.lex_state = 56, .external_lex_state = 2},
  [673] = {.lex_state = 56, .external_lex_state = 2},
  [674] = {.lex_state = 56, .external_lex_state = 2},
  [675] = {.lex_state = 56, .external_lex_state = 2},
  [676] = {.lex_state = 58, .external_lex_state = 2},
  [677] = {.lex_state = 56, .external_lex_state = 2},
  [678] = {.lex_state = 56, .external_lex_state = 2},
  [679] = {.lex_state = 56, .external_lex_state = 2},
  [680] = {.lex_state = 56, .external_lex_state = 2},
  [681] = {.lex_state = 56, .external_lex_state = 2},
  [682] = {.lex_state = 56, .external_lex_state = 2},
  [683] = {.lex_state = 56, .external_lex_state = 2},
  [684] = {.lex_state = 56, .external_lex_state = 2},
  [685] = {.lex_state = 56, .external_lex_state = 2},
  [686] = {.lex_state = 56, .external_lex_state = 2},
  [687] = {.lex_state = 56, .external_lex_state = 2},
  [688] = {.lex_state = 56, .external_lex_state = 2},
  [689] = {.lex_state = 56, .external_lex_state = 2},
  [690] = {.lex_state = 56, .external_lex_state = 2},
  [691] = {.lex_state = 56, .external_lex_state = 2},
  [692] = {.lex_state = 57, .external_lex_state = 10},
  [693] = {.lex_state = 56, .external_lex_state = 2},
  [694] = {.lex_state = 56, .external_lex_state = 2},
  [695] = {.lex_state = 58, .external_lex_state = 2},
  [696] = {.lex_state = 56, .external_lex_state = 2},
  [697] = {.lex_state = 56, .external_lex_state = 2},
  [698] = {.lex_state = 7, .external_lex_state = 11},
  [699] = {.lex_state = 56, .external_lex_state = 2},
  [700] = {.lex_state = 56, .external_lex_state = 3},
  [701] = {.lex_state = 57, .external_lex_state = 9},
  [702] = {.lex_state = 57, .external_lex_state = 9},
  [703] = {.lex_state = 56, .external_lex_state = 2},
  [704] = {.lex_state = 56, .external_lex_state = 2},
  [705] = {.lex_state = 56, .external_lex_state = 2},
  [706] = {.lex_state = 56, .external_lex_state = 3},
  [707] = {.lex_state = 56, .external_lex_state = 2},
  [708] = {.lex_state = 56, .external_lex_state = 3},
  [709] = {.lex_state = 58, .external_lex_state = 2},
  [710] = {.lex_state = 56, .external_lex_state = 2},
  [711] = {.lex_state = 57, .external_lex_state = 10},
  [712] = {.lex_state = 56, .external_lex_state = 2},
  [713] = {.lex_state = 56, .external_lex_state = 2},
  [714] = {.lex_state = 58, .external_lex_state = 2},
  [715] = {.lex_state = 56, .external_lex_state = 2},
  [716] = {.lex_state = 56, .external_lex_state = 2},
  [717] = {.lex_state = 56, .external_lex_state = 2},
  [718] = {.lex_state = 58, .external_lex_state = 2},
  [719] = {.lex_state = 57, .external_lex_state = 9},
  [720] = {.lex_state = 56, .external_lex_state = 2},
  [721] = {.lex_state = 56, .external_lex_state = 2},
  [722] = {.lex_state = 56, .external_lex_state = 2},
  [723] = {.lex_state = 56, .external_lex_state = 2},
  [724] = {.lex_state = 56, .external_lex_state = 2},
  [725] = {.lex_state = 56, .external_lex_state = 2},
  [726] = {.lex_state = 57, .external_lex_state = 9},
  [727] = {.lex_state = 57, .external_lex_state = 9},
  [728] = {.lex_state = 56, .external_lex_state = 2},
  [729] = {.lex_state = 56, .external_lex_state = 2},
  [730] = {.lex_state = 56, .external_lex_state = 2},
  [731] = {.lex_state = 56, .external_lex_state = 2},
  [732] = {.lex_state = 56, .external_lex_state = 2},
  [733] = {.lex_state = 56, .external_lex_state = 2},
  [734] = {.lex_state = 57, .external_lex_state = 10},
  [735] = {.lex_state = 56, .external_lex_state = 3},
  [736] = {.lex_state = 56, .external_lex_state = 2},
  [737] = {.lex_state = 56, .external_lex_state = 2},
  [738] = {.lex_state = 56, .external_lex_state = 2},
  [739] = {.lex_state = 56, .external_lex_state = 2},
  [740] = {.lex_state = 57, .external_lex_state = 10},
  [741] = {.lex_state = 56, .external_lex_state = 2},
  [742] = {.lex_state = 56, .external_lex_state = 2},
  [743] = {.lex_state = 56, .external_lex_state = 2},
  [744] = {.lex_state = 56, .external_lex_state = 2},
  [745] = {.lex_state = 58, .external_lex_state = 3},
  [746] = {.lex_state = 56, .external_lex_state = 2},
  [747] = {.lex_state = 56, .external_lex_state = 2},
  [748] = {.lex_state = 56, .external_lex_state = 2},
  [749] = {.lex_state = 56, .external_lex_state = 2},
  [750] = {.lex_state = 56, .external_lex_state = 2},
  [751] = {.lex_state = 56, .external_lex_state = 2},
  [752] = {.lex_state = 57, .external_lex_state = 9},
  [753] = {.lex_state = 57, .external_lex_state = 10},
  [754] = {.lex_state = 56, .external_lex_state = 2},
  [755] = {.lex_state = 56, .external_lex_state = 2},
  [756] = {.lex_state = 57, .external_lex_state = 10},
  [757] = {.lex_state = 56, .external_lex_state = 2},
  [758] = {.lex_state = 58, .external_lex_state = 3},
  [759] = {.lex_state = 58, .external_lex_state = 2},
  [760] = {.lex_state = 56, .external_lex_state = 2},
  [761] = {.lex_state = 57, .external_lex_state = 9},
  [762] = {.lex_state = 56, .external_lex_state = 2},
  [763] = {.lex_state = 58, .external_lex_state = 3},
  [764] = {.lex_state = 56, .external_lex_state = 2},
  [765] = {.lex_state = 58, .external_lex_state = 3},
  [766] = {.lex_state = 56, .external_lex_state = 2},
  [767] = {.lex_state = 56, .external_lex_state = 2},
  [768] = {.lex_state = 56, .external_lex_state = 2},
  [769] = {.lex_state = 56, .external_lex_state = 2},
  [770] = {.lex_state = 56, .external_lex_state = 2},
  [771] = {.lex_state = 56, .external_lex_state = 2},
  [772] = {.lex_state = 57, .external_lex_state = 10},
  [773] = {.lex_state = 58, .external_lex_state = 2},
  [774] = {.lex_state = 56, .external_lex_state = 2},
  [775] = {.lex_state = 56, .external_lex_state = 2},
  [776] = {.lex_state = 56, .external_lex_state = 2},
  [777] = {.lex_state = 56, .external_lex_state = 2},
  [778] = {.lex_state = 56, .external_lex_state = 2},
  [779] = {.lex_state = 56, .external_lex_state = 2},
  [780] = {.lex_state = 56, .external_lex_state = 2},
  [781] = {.lex_state = 56, .external_lex_state = 2},
  [782] = {.lex_state = 56, .external_lex_state = 2},
  [783] = {.lex_state = 57, .external_lex_state = 9},
  [784] = {.lex_state = 56, .external_lex_state = 2},
  [785] = {.lex_state = 56, .external_lex_state = 2},
  [786] = {.lex_state = 56, .external_lex_state = 2},
  [787] = {.lex_state = 56, .external_lex_state = 2},
  [788] = {.lex_state = 56, .external_lex_state = 2},
  [789] = {.lex_state = 58, .external_lex_state = 3},
  [790] = {.lex_state = 56, .external_lex_state = 2},
  [791] = {.lex_state = 56, .external_lex_state = 3},
  [792] = {.lex_state = 56, .external_lex_state = 2},
  [793] = {.lex_state = 56, .external_lex_state = 2},
  [794] = {.lex_state = 56, .external_lex_state = 2},
  [795] = {.lex_state = 58, .external_lex_state = 3},
  [796] = {.lex_state = 56, .external_lex_state = 2},
  [797] = {.lex_state = 57, .external_lex_state = 10},
  [798] = {.lex_state = 56, .external_lex_state = 2},
  [799] = {.lex_state = 56, .external_lex_state = 2},
  [800] = {.lex_state = 56, .external_lex_state = 2},
  [801] = {.lex_state = 56, .external_lex_state = 2},
  [802] = {.lex_state = 56, .external_lex_state = 2},
  [803] = {.lex_state = 56, .external_lex_state = 2},
  [804] = {.lex_state = 56, .external_lex_state = 2},
  [805] = {.lex_state = 56, .external_lex_state = 2},
  [806] = {.lex_state = 56, .external_lex_state = 2},
  [807] = {.lex_state = 56, .external_lex_state = 2},
  [808] = {.lex_state = 56, .external_lex_state = 2},
  [809] = {.lex_state = 58, .external_lex_state = 3},
  [810] = {.lex_state = 57, .external_lex_state = 10},
  [811] = {.lex_state = 56, .external_lex_state = 2},
  [812] = {.lex_state = 56, .external_lex_state = 2},
  [813] = {.lex_state = 56, .external_lex_state = 2},
  [814] = {.lex_state = 7, .external_lex_state = 11},
  [815] = {.lex_state = 56, .external_lex_state = 2},
  [816] = {.lex_state = 56, .external_lex_state = 2},
  [817] = {.lex_state = 56, .external_lex_state = 2},
  [818] = {.lex_state = 57, .external_lex_state = 9},
  [819] = {.lex_state = 56, .external_lex_state = 2},
  [820] = {.lex_state = 58, .external_lex_state = 3},
  [821] = {.lex_state = 56, .external_lex_state = 2},
  [822] = {.lex_state = 7, .external_lex_state = 4},
  [823] = {.lex_state = 57, .external_lex_state = 9},
  [824] = {.lex_state = 56, .external_lex_state = 2},
  [825] = {.lex_state = 56, .external_lex_state = 2},
  [826] = {.lex_state = 56, .external_lex_state = 2},
  [827] = {.lex_state = 56, .external_lex_state = 2},
  [828] = {.lex_state = 56, .external_lex_state = 2},
  [829] = {.lex_state = 58, .external_lex_state = 3},
  [830] = {.lex_state = 56, .external_lex_state = 2},
  [831] = {.lex_state = 57, .external_lex_state = 10},
  [832] = {.lex_state = 58, .external_lex_state = 2},
  [833] = {.lex_state = 56, .external_lex_state = 2},
  [834] = {.lex_state = 56, .external_lex_state = 2},
  [835] = {.lex_state = 56, .external_lex_state = 2},
  [836] = {.lex_state = 56, .external_lex_state = 2},
  [837] = {.lex_state = 56, .external_lex_state = 2},
  [838] = {.lex_state = 56, .external_lex_state = 2},
  [839] = {.lex_state = 56, .external_lex_state = 2},
  [840] = {.lex_state = 56, .external_lex_state = 2},
  [841] = {.lex_state = 56, .external_lex_state = 3},
  [842] = {.lex_state = 56, .external_lex_state = 3},
  [843] = {.lex_state = 56, .external_lex_state = 2},
  [844] = {.lex_state = 56, .external_lex_state = 2},
  [845] = {.lex_state = 56, .external_lex_state = 3},
  [846] = {.lex_state = 56, .external_lex_state = 2},
  [847] = {.lex_state = 56, .external_lex_state = 3},
  [848] = {.lex_state = 56, .external_lex_state = 3},
  [849] = {.lex_state = 56, .external_lex_state = 2},
  [850] = {.lex_state = 56, .external_lex_state = 2},
  [851] = {.lex_state = 56, .external_lex_state = 2},
  [852] = {.lex_state = 56, .external_lex_state = 2},
  [853] = {.lex_state = 56, .external_lex_state = 3},
  [854] = {.lex_state = 56, .external_lex_state = 2},
  [855] = {.lex_state = 56, .external_lex_state = 3},
  [856] = {.lex_state = 56, .external_lex_state = 3},
  [857] = {.lex_state = 56, .external_lex_state = 2},
  [858] = {.lex_state = 56, .external_lex_state = 2},
  [859] = {.lex_state = 56, .external_lex_state = 3},
  [860] = {.lex_state = 56, .external_lex_state = 3},
  [861] = {.lex_state = 56, .external_lex_state = 3},
  [862] = {.lex_state = 56, .external_lex_state = 3},
  [863] = {.lex_state = 56, .external_lex_state = 3},
  [864] = {.lex_state = 56, .external_lex_state = 2},
  [865] = {.lex_state = 56, .external_lex_state = 2},
  [866] = {.lex_state = 7, .external_lex_state = 11},
  [867] = {.lex_state = 7, .external_lex_state = 11},
  [868] = {.lex_state = 56, .external_lex_state = 2},
  [869] = {.lex_state = 56, .external_lex_state = 3},
  [870] = {.lex_state = 56, .external_lex_state = 3},
  [871] = {.lex_state = 56, .external_lex_state = 3},
  [872] = {.lex_state = 56, .external_lex_state = 3},
  [873] = {.lex_state = 56, .external_lex_state = 3},
  [874] = {.lex_state = 56, .external_lex_state = 3},
  [875] = {.lex_state = 56, .external_lex_state = 3},
  [876] = {.lex_state = 56, .external_lex_state = 3},
  [877] = {.lex_state = 56, .external_lex_state = 3},
  [878] = {.lex_state = 56, .external_lex_state = 3},
  [879] = {.lex_state = 56, .external_lex_state = 3},
  [880] = {.lex_state = 56, .external_lex_state = 3},
  [881] = {.lex_state = 56, .external_lex_state = 3},
  [882] = {.lex_state = 56, .external_lex_state = 3},
  [883] = {.lex_state = 56, .external_lex_state = 3},
  [884] = {.lex_state = 56, .external_lex_state = 3},
  [885] = {.lex_state = 56, .external_lex_state = 3},
  [886] = {.lex_state = 56, .external_lex_state = 3},
  [887] = {.lex_state = 56, .external_lex_state = 2},
  [888] = {.lex_state = 56, .external_lex_state = 2},
  [889] = {.lex_state = 56, .external_lex_state = 3},
  [890] = {.lex_state = 56, .external_lex_state = 3},
  [891] = {.lex_state = 56, .external_lex_state = 3},
  [892] = {.lex_state = 56, .external_lex_state = 2},
  [893] = {.lex_state = 56, .external_lex_state = 2},
  [894] = {.lex_state = 56, .external_lex_state = 3},
  [895] = {.lex_state = 56, .external_lex_state = 2},
  [896] = {.lex_state = 56, .external_lex_state = 3},
  [897] = {.lex_state = 56, .external_lex_state = 3},
  [898] = {.lex_state = 56, .external_lex_state = 2},
  [899] = {.lex_state = 56, .external_lex_state = 2},
  [900] = {.lex_state = 56, .external_lex_state = 3},
  [901] = {.lex_state = 56, .external_lex_state = 3},
  [902] = {.lex_state = 56, .external_lex_state = 2},
  [903] = {.lex_state = 56, .external_lex_state = 3},
  [904] = {.lex_state = 56, .external_lex_state = 3},
  [905] = {.lex_state = 56, .external_lex_state = 3},
  [906] = {.lex_state = 56, .external_lex_state = 2},
  [907] = {.lex_state = 56, .external_lex_state = 3},
  [908] = {.lex_state = 56, .external_lex_state = 3},
  [909] = {.lex_state = 56, .external_lex_state = 2},
  [910] = {.lex_state = 56, .external_lex_state = 2},
  [911] = {.lex_state = 56, .external_lex_state = 2},
  [912] = {.lex_state = 56, .external_lex_state = 2},
  [913] = {.lex_state = 56, .external_lex_state = 2},
  [914] = {.lex_state = 56, .external_lex_state = 2},
  [915] = {.lex_state = 56, .external_lex_state = 2},
  [916] = {.lex_state = 56, .external_lex_state = 3},
  [917] = {.lex_state = 56, .external_lex_state = 2},
  [918] = {.lex_state = 56, .external_lex_state = 2},
  [919] = {.lex_state = 56, .external_lex_state = 2},
  [920] = {.lex_state = 56, .external_lex_state = 3},
  [921] = {.lex_state = 56, .external_lex_state = 3},
  [922] = {.lex_state = 56, .external_lex_state = 3},
  [923] = {.lex_state = 56, .external_lex_state = 2},
  [924] = {.lex_state = 56, .external_lex_state = 3},
  [925] = {.lex_state = 56, .external_lex_state = 3},
  [926] = {.lex_state = 56, .external_lex_state = 3},
  [927] = {.lex_state = 56, .external_lex_state = 3},
  [928] = {.lex_state = 56, .external_lex_state = 3},
  [929] = {.lex_state = 56, .external_lex_state = 3},
  [930] = {.lex_state = 56, .external_lex_state = 3},
  [931] = {.lex_state = 56, .external_lex_state = 3},
  [932] = {.lex_state = 56, .external_lex_state = 3},
  [933] = {.lex_state = 56, .external_lex_state = 3},
  [934] = {.lex_state = 56, .external_lex_state = 2},
  [935] = {.lex_state = 56, .external_lex_state = 2},
  [936] = {.lex_state = 56, .external_lex_state = 3},
  [937] = {.lex_state = 56, .external_lex_state = 2},
  [938] = {.lex_state = 56, .external_lex_state = 2},
  [939] = {.lex_state = 56, .external_lex_state = 3},
  [940] = {.lex_state = 56, .external_lex_state = 2},
  [941] = {.lex_state = 56, .external_lex_state = 2},
  [942] = {.lex_state = 56, .external_lex_state = 3},
  [943] = {.lex_state = 56, .external_lex_state = 2},
  [944] = {.lex_state = 56, .external_lex_state = 3},
  [945] = {.lex_state = 56, .external_lex_state = 3},
  [946] = {.lex_state = 56, .external_lex_state = 2},
  [947] = {.lex_state = 56, .external_lex_state = 2},
  [948] = {.lex_state = 56, .external_lex_state = 2},
  [949] = {.lex_state = 56, .external_lex_state = 2},
  [950] = {.lex_state = 56, .external_lex_state = 2},
  [951] = {.lex_state = 56, .external_lex_state = 2},
  [952] = {.lex_state = 56, .external_lex_state = 3},
  [953] = {.lex_state = 56, .external_lex_state = 3},
  [954] = {.lex_state = 56, .external_lex_state = 2},
  [955] = {.lex_state = 56, .external_lex_state = 3},
  [956] = {.lex_state = 56, .external_lex_state = 3},
  [957] = {.lex_state = 56, .external_lex_state = 3},
  [958] = {.lex_state = 56, .external_lex_state = 3},
  [959] = {.lex_state = 56, .external_lex_state = 3},
  [960] = {.lex_state = 56, .external_lex_state = 2},
  [961] = {.lex_state = 56, .external_lex_state = 3},
  [962] = {.lex_state = 56, .external_lex_state = 3},
  [963] = {.lex_state = 56, .external_lex_state = 2},
  [964] = {.lex_state = 56, .external_lex_state = 3},
  [965] = {.lex_state = 56, .external_lex_state = 2},
  [966] = {.lex_state = 56, .external_lex_state = 3},
  [967] = {.lex_state = 56, .external_lex_state = 2},
  [968] = {.lex_state = 56, .external_lex_state = 3},
  [969] = {.lex_state = 56, .external_lex_state = 2},
  [970] = {.lex_state = 56, .external_lex_state = 3},
  [971] = {.lex_state = 56, .external_lex_state = 3},
  [972] = {.lex_state = 56, .external_lex_state = 2},
  [973] = {.lex_state = 56, .external_lex_state = 2},
  [974] = {.lex_state = 56, .external_lex_state = 2},
  [975] = {.lex_state = 56, .external_lex_state = 2},
  [976] = {.lex_state = 56, .external_lex_state = 2},
  [977] = {.lex_state = 56, .external_lex_state = 2},
  [978] = {.lex_state = 56, .external_lex_state = 3},
  [979] = {.lex_state = 56, .external_lex_state = 2},
  [980] = {.lex_state = 56, .external_lex_state = 3},
  [981] = {.lex_state = 56, .external_lex_state = 2},
  [982] = {.lex_state = 56, .external_lex_state = 3},
  [983] = {.lex_state = 56, .external_lex_state = 3},
  [984] = {.lex_state = 56, .external_lex_state = 2},
  [985] = {.lex_state = 56, .external_lex_state = 2},
  [986] = {.lex_state = 56, .external_lex_state = 3},
  [987] = {.lex_state = 56, .external_lex_state = 3},
  [988] = {.lex_state = 56, .external_lex_state = 2},
  [989] = {.lex_state = 56, .external_lex_state = 3},
  [990] = {.lex_state = 56, .external_lex_state = 2},
  [991] = {.lex_state = 56, .external_lex_state = 3},
  [992] = {.lex_state = 56, .external_lex_state = 2},
  [993] = {.lex_state = 56, .external_lex_state = 2},
  [994] = {.lex_state = 56, .external_lex_state = 3},
  [995] = {.lex_state = 56, .external_lex_state = 2},
  [996] = {.lex_state = 56, .external_lex_state = 3},
  [997] = {.lex_state = 56, .external_lex_state = 3},
  [998] = {.lex_state = 56, .external_lex_state = 2},
  [999] = {.lex_state = 56, .external_lex_state = 3},
  [1000] = {.lex_state = 56, .external_lex_state = 3},
  [1001] = {.lex_state = 56, .external_lex_state = 3},
  [1002] = {.lex_state = 56, .external_lex_state = 2},
  [1003] = {.lex_state = 56, .external_lex_state = 2},
  [1004] = {.lex_state = 56, .external_lex_state = 2},
  [1005] = {.lex_state = 56, .external_lex_state = 3},
  [1006] = {.lex_state = 56, .external_lex_state = 2},
  [1007] = {.lex_state = 56, .external_lex_state = 2},
  [1008] = {.lex_state = 56, .external_lex_state = 2},
  [1009] = {.lex_state = 56, .external_lex_state = 2},
  [1010] = {.lex_state = 56, .external_lex_state = 3},
  [1011] = {.lex_state = 56, .external_lex_state = 2},
  [1012] = {.lex_state = 56, .external_lex_state = 3},
  [1013] = {.lex_state = 56, .external_lex_state = 3},
  [1014] = {.lex_state = 56, .external_lex_state = 2},
  [1015] = {.lex_state = 56, .external_lex_state = 3},
  [1016] = {.lex_state = 56, .external_lex_state = 2},
  [1017] = {.lex_state = 56, .external_lex_state = 3},
  [1018] = {.lex_state = 56, .external_lex_state = 2},
  [1019] = {.lex_state = 56, .external_lex_state = 3},
  [1020] = {.lex_state = 56, .external_lex_state = 2},
  [1021] = {.lex_state = 56, .external_lex_state = 2},
  [1022] = {.lex_state = 56, .external_lex_state = 2},
  [1023] = {.lex_state = 56, .external_lex_state = 2},
  [1024] = {.lex_state = 56, .external_lex_state = 3},
  [1025] = {.lex_state = 56, .external_lex_state = 2},
  [1026] = {.lex_state = 56, .external_lex_state = 2},
  [1027] = {.lex_state = 56, .external_lex_state = 2},
  [1028] = {.lex_state = 56, .external_lex_state = 2},
  [1029] = {.lex_state = 56, .external_lex_state = 2},
  [1030] = {.lex_state = 56, .external_lex_state = 2},
  [1031] = {.lex_state = 56, .external_lex_state = 2},
  [1032] = {.lex_state = 56, .external_lex_state = 2},
  [1033] = {.lex_state = 56, .external_lex_state = 2},
  [1034] = {.lex_state = 56, .external_lex_state = 2},
  [1035] = {.lex_state = 56, .external_lex_state = 2},
  [1036] = {.lex_state = 56, .external_lex_state = 2},
  [1037] = {.lex_state = 56, .external_lex_state = 2},
  [1038] = {.lex_state = 56, .external_lex_state = 2},
  [1039] = {.lex_state = 56, .external_lex_state = 2},
  [1040] = {.lex_state = 56, .external_lex_state = 3},
  [1041] = {.lex_state = 56, .external_lex_state = 2},
  [1042] = {.lex_state = 56, .external_lex_state = 2},
  [1043] = {.lex_state = 56, .external_lex_state = 2},
  [1044] = {.lex_state = 56, .external_lex_state = 2},
  [1045] = {.lex_state = 56, .external_lex_state = 2},
  [1046] = {.lex_state = 56, .external_lex_state = 3},
  [1047] = {.lex_state = 56, .external_lex_state = 2},
  [1048] = {.lex_state = 56, .external_lex_state = 2},
  [1049] = {.lex_state = 56, .external_lex_state = 2},
  [1050] = {.lex_state = 56, .external_lex_state = 2},
  [1051] = {.lex_state = 56, .external_lex_state = 2},
  [1052] = {.lex_state = 56, .external_lex_state = 2},
  [1053] = {.lex_state = 56, .external_lex_state = 2},
  [1054] = {.lex_state = 56, .external_lex_state = 2},
  [1055] = {.lex_state = 56, .external_lex_state = 3},
  [1056] = {.lex_state = 56, .external_lex_state = 2},
  [1057] = {.lex_state = 56, .external_lex_state = 3},
  [1058] = {.lex_state = 56, .external_lex_state = 3},
  [1059] = {.lex_state = 56, .external_lex_state = 3},
  [1060] = {.lex_state = 56, .external_lex_state = 3},
  [1061] = {.lex_state = 56, .external_lex_state = 3},
  [1062] = {.lex_state = 56, .external_lex_state = 3},
  [1063] = {.lex_state = 56, .external_lex_state = 3},
  [1064] = {.lex_state = 56, .external_lex_state = 3},
  [1065] = {.lex_state = 56, .external_lex_state = 3},
  [1066] = {.lex_state = 56, .external_lex_state = 3},
  [1067] = {.lex_state = 56, .external_lex_state = 3},
  [1068] = {.lex_state = 56, .external_lex_state = 3},
  [1069] = {.lex_state = 56, .external_lex_state = 3},
  [1070] = {.lex_state = 56, .external_lex_state = 2},
  [1071] = {.lex_state = 56, .external_lex_state = 2},
  [1072] = {.lex_state = 56, .external_lex_state = 3},
  [1073] = {.lex_state = 56, .external_lex_state = 2},
  [1074] = {.lex_state = 56, .external_lex_state = 3},
  [1075] = {.lex_state = 56, .external_lex_state = 2},
  [1076] = {.lex_state = 56, .external_lex_state = 2},
  [1077] = {.lex_state = 56, .external_lex_state = 2},
  [1078] = {.lex_state = 56, .external_lex_state = 2},
  [1079] = {.lex_state = 56, .external_lex_state = 2},
  [1080] = {.lex_state = 56, .external_lex_state = 2},
  [1081] = {.lex_state = 56, .external_lex_state = 3},
  [1082] = {.lex_state = 56, .external_lex_state = 2},
  [1083] = {.lex_state = 56, .external_lex_state = 3},
  [1084] = {.lex_state = 56, .external_lex_state = 3},
  [1085] = {.lex_state = 56, .external_lex_state = 3},
  [1086] = {.lex_state = 56, .external_lex_state = 3},
  [1087] = {.lex_state = 56, .external_lex_state = 3},
  [1088] = {.lex_state = 56, .external_lex_state = 6},
  [1089] = {.lex_state = 8, .external_lex_state = 11},
  [1090] = {.lex_state = 8, .external_lex_state = 11},
  [1091] = {.lex_state = 8, .external_lex_state = 11},
  [1092] = {.lex_state = 8, .external_lex_state = 11},
  [1093] = {.lex_state = 8, .external_lex_state = 11},
  [1094] = {.lex_state = 8, .external_lex_state = 11},
  [1095] = {.lex_state = 56, .external_lex_state = 6},
  [1096] = {.lex_state = 8, .external_lex_state = 11},
  [1097] = {.lex_state = 8, .external_lex_state = 11},
  [1098] = {.lex_state = 8, .external_lex_state = 11},
  [1099] = {.lex_state = 8, .external_lex_state = 11},
  [1100] = {.lex_state = 8, .external_lex_state = 11},
  [1101] = {.lex_state = 8, .external_lex_state = 11},
  [1102] = {.lex_state = 8, .external_lex_state = 11},
  [1103] = {.lex_state = 8, .external_lex_state = 11},
  [1104] = {.lex_state = 8, .external_lex_state = 11},
  [1105] = {.lex_state = 8, .external_lex_state = 11},
  [1106] = {.lex_state = 8, .external_lex_state = 11},
  [1107] = {.lex_state = 8, .external_lex_state = 11},
  [1108] = {.lex_state = 7, .external_lex_state = 11},
  [1109] = {.lex_state = 8, .external_lex_state = 11},
  [1110] = {.lex_state = 7, .external_lex_state = 11},
  [1111] = {.lex_state = 56, .external_lex_state = 2},
  [1112] = {.lex_state = 56, .external_lex_state = 2},
  [1113] = {.lex_state = 56, .external_lex_state = 7},
  [1114] = {.lex_state = 56, .external_lex_state = 7},
  [1115] = {.lex_state = 56, .external_lex_state = 2},
  [1116] = {.lex_state = 56, .external_lex_state = 2},
  [1117] = {.lex_state = 56, .external_lex_state = 8},
  [1118] = {.lex_state = 56, .external_lex_state = 2},
  [1119] = {.lex_state = 56, .external_lex_state = 2},
  [1120] = {.lex_state = 56, .external_lex_state = 2},
  [1121] = {.lex_state = 56, .external_lex_state = 8},
  [1122] = {.lex_state = 56, .external_lex_state = 7},
  [1123] = {.lex_state = 56, .external_lex_state = 2},
  [1124] = {.lex_state = 56, .external_lex_state = 2},
  [1125] = {.lex_state = 56, .external_lex_state = 2},
  [1126] = {.lex_state = 56, .external_lex_state = 2},
  [1127] = {.lex_state = 56, .external_lex_state = 2},
  [1128] = {.lex_state = 56, .external_lex_state = 2},
  [1129] = {.lex_state = 56, .external_lex_state = 7},
  [1130] = {.lex_state = 56, .external_lex_state = 2},
  [1131] = {.lex_state = 56, .external_lex_state = 2},
  [1132] = {.lex_state = 56, .external_lex_state = 2},
  [1133] = {.lex_state = 56, .external_lex_state = 2},
  [1134] = {.lex_state = 56, .external_lex_state = 2},
  [1135] = {.lex_state = 56, .external_lex_state = 2},
  [1136] = {.lex_state = 56, .external_lex_state = 7},
  [1137] = {.lex_state = 56, .external_lex_state = 2},
  [1138] = {.lex_state = 56, .external_lex_state = 2},
  [1139] = {.lex_state = 56, .external_lex_state = 2},
  [1140] = {.lex_state = 56, .external_lex_state = 2},
  [1141] = {.lex_state = 56, .external_lex_state = 2},
  [1142] = {.lex_state = 56, .external_lex_state = 2},
  [1143] = {.lex_state = 56, .external_lex_state = 2},
  [1144] = {.lex_state = 56, .external_lex_state = 2},
  [1145] = {.lex_state = 56, .external_lex_state = 2},
  [1146] = {.lex_state = 56, .external_lex_state = 2},
  [1147] = {.lex_state = 56, .external_lex_state = 2},
  [1148] = {.lex_state = 56, .external_lex_state = 2},
  [1149] = {.lex_state = 56, .external_lex_state = 2},
  [1150] = {.lex_state = 56, .external_lex_state = 2},
  [1151] = {.lex_state = 56, .external_lex_state = 2},
  [1152] = {.lex_state = 56, .external_lex_state = 2},
  [1153] = {.lex_state = 56, .external_lex_state = 2},
  [1154] = {.lex_state = 56, .external_lex_state = 2},
  [1155] = {.lex_state = 56, .external_lex_state = 2},
  [1156] = {.lex_state = 56, .external_lex_state = 2},
  [1157] = {.lex_state = 56, .external_lex_state = 2},
  [1158] = {.lex_state = 56, .external_lex_state = 2},
  [1159] = {.lex_state = 56, .external_lex_state = 2},
  [1160] = {.lex_state = 56, .external_lex_state = 2},
  [1161] = {.lex_state = 14, .external_lex_state = 11},
  [1162] = {.lex_state = 56, .external_lex_state = 2},
  [1163] = {.lex_state = 56, .external_lex_state = 2},
  [1164] = {.lex_state = 56, .external_lex_state = 2},
  [1165] = {.lex_state = 56, .external_lex_state = 2},
  [1166] = {.lex_state = 56, .external_lex_state = 2},
  [1167] = {.lex_state = 56, .external_lex_state = 2},
  [1168] = {.lex_state = 56, .external_lex_state = 2},
  [1169] = {.lex_state = 56, .external_lex_state = 2},
  [1170] = {.lex_state = 56, .external_lex_state = 2},
  [1171] = {.lex_state = 56, .external_lex_state = 2},
  [1172] = {.lex_state = 56, .external_lex_state = 2},
  [1173] = {.lex_state = 56, .external_lex_state = 2},
  [1174] = {.lex_state = 56, .external_lex_state = 2},
  [1175] = {.lex_state = 56, .external_lex_state = 2},
  [1176] = {.lex_state = 56, .external_lex_state = 2},
  [1177] = {.lex_state = 56, .external_lex_state = 2},
  [1178] = {.lex_state = 56, .external_lex_state = 2},
  [1179] = {.lex_state = 56, .external_lex_state = 2},
  [1180] = {.lex_state = 56, .external_lex_state = 2},
  [1181] = {.lex_state = 56, .external_lex_state = 2},
  [1182] = {.lex_state = 56, .external_lex_state = 2},
  [1183] = {.lex_state = 56, .external_lex_state = 2},
  [1184] = {.lex_state = 56, .external_lex_state = 2},
  [1185] = {.lex_state = 56, .external_lex_state = 2},
  [1186] = {.lex_state = 56, .external_lex_state = 2},
  [1187] = {.lex_state = 56, .external_lex_state = 2},
  [1188] = {.lex_state = 56, .external_lex_state = 2},
  [1189] = {.lex_state = 56, .external_lex_state = 2},
  [1190] = {.lex_state = 56, .external_lex_state = 2},
  [1191] = {.lex_state = 56, .external_lex_state = 2},
  [1192] = {.lex_state = 56, .external_lex_state = 2},
  [1193] = {.lex_state = 56, .external_lex_state = 2},
  [1194] = {.lex_state = 56, .external_lex_state = 2},
  [1195] = {.lex_state = 56, .external_lex_state = 2},
  [1196] = {.lex_state = 56, .external_lex_state = 2},
  [1197] = {.lex_state = 56, .external_lex_state = 2},
  [1198] = {.lex_state = 56, .external_lex_state = 2},
  [1199] = {.lex_state = 56, .external_lex_state = 2},
  [1200] = {.lex_state = 56, .external_lex_state = 2},
  [1201] = {.lex_state = 56, .external_lex_state = 2},
  [1202] = {.lex_state = 56, .external_lex_state = 2},
  [1203] = {.lex_state = 56, .external_lex_state = 2},
  [1204] = {.lex_state = 56, .external_lex_state = 2},
  [1205] = {.lex_state = 56, .external_lex_state = 2},
  [1206] = {.lex_state = 56, .external_lex_state = 2},
  [1207] = {.lex_state = 56, .external_lex_state = 2},
  [1208] = {.lex_state = 56, .external_lex_state = 2},
  [1209] = {.lex_state = 56, .external_lex_state = 2},
  [1210] = {.lex_state = 56, .external_lex_state = 2},
  [1211] = {.lex_state = 56, .external_lex_state = 2},
  [1212] = {.lex_state = 56, .external_lex_state = 2},
  [1213] = {.lex_state = 56, .external_lex_state = 2},
  [1214] = {.lex_state = 56, .external_lex_state = 2},
  [1215] = {.lex_state = 56, .external_lex_state = 2},
  [1216] = {.lex_state = 56, .external_lex_state = 2},
  [1217] = {.lex_state = 56, .external_lex_state = 2},
  [1218] = {.lex_state = 56, .external_lex_state = 2},
  [1219] = {.lex_state = 56, .external_lex_state = 2},
  [1220] = {.lex_state = 56, .external_lex_state = 2},
  [1221] = {.lex_state = 56, .external_lex_state = 2},
  [1222] = {.lex_state = 56, .external_lex_state = 2},
  [1223] = {.lex_state = 56, .external_lex_state = 2},
  [1224] = {.lex_state = 56, .external_lex_state = 2},
  [1225] = {.lex_state = 56, .external_lex_state = 2},
  [1226] = {.lex_state = 56, .external_lex_state = 2},
  [1227] = {.lex_state = 56, .external_lex_state = 2},
  [1228] = {.lex_state = 56, .external_lex_state = 2},
  [1229] = {.lex_state = 56, .external_lex_state = 2},
  [1230] = {.lex_state = 56, .external_lex_state = 2},
  [1231] = {.lex_state = 56, .external_lex_state = 2},
  [1232] = {.lex_state = 56, .external_lex_state = 2},
  [1233] = {.lex_state = 56, .external_lex_state = 2},
  [1234] = {.lex_state = 56, .external_lex_state = 2},
  [1235] = {.lex_state = 56, .external_lex_state = 2},
  [1236] = {.lex_state = 56, .external_lex_state = 2},
  [1237] = {.lex_state = 56, .external_lex_state = 2},
  [1238] = {.lex_state = 56, .external_lex_state = 2},
  [1239] = {.lex_state = 56, .external_lex_state = 2},
  [1240] = {.lex_state = 56, .external_lex_state = 2},
  [1241] = {.lex_state = 56, .external_lex_state = 2},
  [1242] = {.lex_state = 56, .external_lex_state = 2},
  [1243] = {.lex_state = 56, .external_lex_state = 2},
  [1244] = {.lex_state = 56, .external_lex_state = 2},
  [1245] = {.lex_state = 56, .external_lex_state = 2},
  [1246] = {.lex_state = 56, .external_lex_state = 2},
  [1247] = {.lex_state = 56, .external_lex_state = 2},
  [1248] = {.lex_state = 56, .external_lex_state = 2},
  [1249] = {.lex_state = 56, .external_lex_state = 2},
  [1250] = {.lex_state = 56, .external_lex_state = 2},
  [1251] = {.lex_state = 56, .external_lex_state = 2},
  [1252] = {.lex_state = 56, .external_lex_state = 2},
  [1253] = {.lex_state = 56, .external_lex_state = 2},
  [1254] = {.lex_state = 56, .external_lex_state = 2},
  [1255] = {.lex_state = 14, .external_lex_state = 11},
  [1256] = {.lex_state = 14, .external_lex_state = 11},
  [1257] = {.lex_state = 14, .external_lex_state = 11},
  [1258] = {.lex_state = 14, .external_lex_state = 11},
  [1259] = {.lex_state = 14, .external_lex_state = 11},
  [1260] = {.lex_state = 14, .external_lex_state = 11},
  [1261] = {.lex_state = 14, .external_lex_state = 11},
  [1262] = {.lex_state = 14, .external_lex_state = 11},
  [1263] = {.lex_state = 14, .external_lex_state = 11},
  [1264] = {.lex_state = 14, .external_lex_state = 4},
  [1265] = {.lex_state = 14, .external_lex_state = 12},
  [1266] = {.lex_state = 14, .external_lex_state = 11},
  [1267] = {.lex_state = 14, .external_lex_state = 4},
  [1268] = {.lex_state = 14, .external_lex_state = 11},
  [1269] = {.lex_state = 14, .external_lex_state = 12},
  [1270] = {.lex_state = 14, .external_lex_state = 11},
  [1271] = {.lex_state = 14, .external_lex_state = 4},
  [1272] = {.lex_state = 14, .external_lex_state = 12},
  [1273] = {.lex_state = 14, .external_lex_state = 13},
  [1274] = {.lex_state = 14, .external_lex_state = 12},
  [1275] = {.lex_state = 14, .external_lex_state = 12},
  [1276] = {.lex_state = 14, .external_lex_state = 12},
  [1277] = {.lex_state = 14, .external_lex_state = 12},
  [1278] = {.lex_state = 14, .external_lex_state = 12},
  [1279] = {.lex_state = 14, .external_lex_state = 12},
  [1280] = {.lex_state = 14, .external_lex_state = 12},
  [1281] = {.lex_state = 14, .external_lex_state = 6},
  [1282] = {.lex_state = 14, .external_lex_state = 12},
  [1283] = {.lex_state = 14, .external_lex_state = 6},
  [1284] = {.lex_state = 14, .external_lex_state = 6},
  [1285] = {.lex_state = 14, .external_lex_state = 6},
  [1286] = {.lex_state = 14, .external_lex_state = 12},
  [1287] = {.lex_state = 14, .external_lex_state = 12},
  [1288] = {.lex_state = 14, .external_lex_state = 13},
  [1289] = {.lex_state = 14, .external_lex_state = 12},
  [1290] = {.lex_state = 14, .external_lex_state = 12},
  [1291] = {.lex_state = 14, .external_lex_state = 12},
  [1292] = {.lex_state = 14, .external_lex_state = 12},
  [1293] = {.lex_state = 14, .external_lex_state = 6},
  [1294] = {.lex_state = 14, .external_lex_state = 14},
  [1295] = {.lex_state = 14, .external_lex_state = 11},
  [1296] = {.lex_state = 14, .external_lex_state = 15},
  [1297] = {.lex_state = 14, .external_lex_state = 12},
  [1298] = {.lex_state = 14, .external_lex_state = 12},
  [1299] = {.lex_state = 14, .external_lex_state = 12},
  [1300] = {.lex_state = 14, .external_lex_state = 12},
  [1301] = {.lex_state = 14, .external_lex_state = 12},
  [1302] = {.lex_state = 14, .external_lex_state = 6},
  [1303] = {.lex_state = 14, .external_lex_state = 12},
  [1304] = {.lex_state = 14, .external_lex_state = 12},
  [1305] = {.lex_state = 14, .external_lex_state = 12},
  [1306] = {.lex_state = 14, .external_lex_state = 12},
  [1307] = {.lex_state = 14, .external_lex_state = 13},
  [1308] = {.lex_state = 14, .external_lex_state = 14},
  [1309] = {.lex_state = 14, .external_lex_state = 14},
  [1310] = {.lex_state = 14, .external_lex_state = 12},
  [1311] = {.lex_state = 14, .external_lex_state = 15},
  [1312] = {.lex_state = 14, .external_lex_state = 12},
  [1313] = {.lex_state = 14, .external_lex_state = 12},
  [1314] = {.lex_state = 14, .external_lex_state = 12},
  [1315] = {.lex_state = 14, .external_lex_state = 2},
  [1316] = {.lex_state = 14, .external_lex_state = 4},
  [1317] = {.lex_state = 14, .external_lex_state = 12},
  [1318] = {.lex_state = 14, .external_lex_state = 12},
  [1319] = {.lex_state = 14, .external_lex_state = 7},
  [1320] = {.lex_state = 14, .external_lex_state = 13},
  [1321] = {.lex_state = 14, .external_lex_state = 13},
  [1322] = {.lex_state = 15, .external_lex_state = 11},
  [1323] = {.lex_state = 14, .external_lex_state = 15},
  [1324] = {.lex_state = 14, .external_lex_state = 14},
  [1325] = {.lex_state = 14, .external_lex_state = 13},
  [1326] = {.lex_state = 14, .external_lex_state = 15},
  [1327] = {.lex_state = 14, .external_lex_state = 13},
  [1328] = {.lex_state = 15, .external_lex_state = 11},
  [1329] = {.lex_state = 14, .external_lex_state = 15},
  [1330] = {.lex_state = 14, .external_lex_state = 15},
  [1331] = {.lex_state = 14, .external_lex_state = 13},
  [1332] = {.lex_state = 15, .external_lex_state = 11},
  [1333] = {.lex_state = 14, .external_lex_state = 14},
  [1334] = {.lex_state = 14, .external_lex_state = 14},
  [1335] = {.lex_state = 14, .external_lex_state = 14},
  [1336] = {.lex_state = 14, .external_lex_state = 13},
  [1337] = {.lex_state = 14, .external_lex_state = 14},
  [1338] = {.lex_state = 14, .external_lex_state = 13},
  [1339] = {.lex_state = 14, .external_lex_state = 13},
  [1340] = {.lex_state = 14, .external_lex_state = 13},
  [1341] = {.lex_state = 14, .external_lex_state = 14},
  [1342] = {.lex_state = 14, .external_lex_state = 7},
  [1343] = {.lex_state = 14, .external_lex_state = 13},
  [1344] = {.lex_state = 14, .external_lex_state = 13},
  [1345] = {.lex_state = 14, .external_lex_state = 13},
  [1346] = {.lex_state = 14, .external_lex_state = 13},
  [1347] = {.lex_state = 14, .external_lex_state = 14},
  [1348] = {.lex_state = 14, .external_lex_state = 14},
  [1349] = {.lex_state = 14, .external_lex_state = 13},
  [1350] = {.lex_state = 14, .external_lex_state = 13},
  [1351] = {.lex_state = 14, .external_lex_state = 8},
  [1352] = {.lex_state = 14, .external_lex_state = 14},
  [1353] = {.lex_state = 14, .external_lex_state = 14},
  [1354] = {.lex_state = 14, .external_lex_state = 15},
  [1355] = {.lex_state = 14, .external_lex_state = 13},
  [1356] = {.lex_state = 14, .external_lex_state = 7},
  [1357] = {.lex_state = 14, .external_lex_state = 15},
  [1358] = {.lex_state = 14, .external_lex_state = 13},
  [1359] = {.lex_state = 14, .external_lex_state = 12},
  [1360] = {.lex_state = 14, .external_lex_state = 15},
  [1361] = {.lex_state = 14, .external_lex_state = 7},
  [1362] = {.lex_state = 14, .external_lex_state = 13},
  [1363] = {.lex_state = 14, .external_lex_state = 15},
  [1364] = {.lex_state = 14, .external_lex_state = 15},
  [1365] = {.lex_state = 14, .external_lex_state = 15},
  [1366] = {.lex_state = 14, .external_lex_state = 15},
  [1367] = {.lex_state = 14, .external_lex_state = 15},
  [1368] = {.lex_state = 14, .external_lex_state = 13},
  [1369] = {.lex_state = 14, .external_lex_state = 7},
  [1370] = {.lex_state = 14, .external_lex_state = 13},
  [1371] = {.lex_state = 14, .external_lex_state = 2},
  [1372] = {.lex_state = 14, .external_lex_state = 2},
  [1373] = {.lex_state = 14, .external_lex_state = 12},
  [1374] = {.lex_state = 14, .external_lex_state = 13},
  [1375] = {.lex_state = 14, .external_lex_state = 7},
  [1376] = {.lex_state = 14, .external_lex_state = 8},
  [1377] = {.lex_state = 14, .external_lex_state = 8},
  [1378] = {.lex_state = 14, .external_lex_state = 4},
  [1379] = {.lex_state = 14, .external_lex_state = 12},
  [1380] = {.lex_state = 14, .external_lex_state = 13},
  [1381] = {.lex_state = 14, .external_lex_state = 13},
  [1382] = {.lex_state = 15, .external_lex_state = 12},
  [1383] = {.lex_state = 14, .external_lex_state = 11},
  [1384] = {.lex_state = 15, .external_lex_state = 12},
  [1385] = {.lex_state = 14, .external_lex_state = 11},
  [1386] = {.lex_state = 15, .external_lex_state = 12},
  [1387] = {.lex_state = 14, .external_lex_state = 11},
  [1388] = {.lex_state = 14, .external_lex_state = 11},
  [1389] = {.lex_state = 15, .external_lex_state = 12},
  [1390] = {.lex_state = 14, .external_lex_state = 11},
  [1391] = {.lex_state = 14, .external_lex_state = 15},
  [1392] = {.lex_state = 14, .external_lex_state = 11},
  [1393] = {.lex_state = 14, .external_lex_state = 6},
  [1394] = {.lex_state = 14, .external_lex_state = 8},
  [1395] = {.lex_state = 15, .external_lex_state = 12},
  [1396] = {.lex_state = 14, .external_lex_state = 11},
  [1397] = {.lex_state = 14, .external_lex_state = 11},
  [1398] = {.lex_state = 15, .external_lex_state = 12},
  [1399] = {.lex_state = 15, .external_lex_state = 12},
  [1400] = {.lex_state = 15, .external_lex_state = 12},
  [1401] = {.lex_state = 14, .external_lex_state = 11},
  [1402] = {.lex_state = 14, .external_lex_state = 11},
  [1403] = {.lex_state = 14, .external_lex_state = 11},
  [1404] = {.lex_state = 14, .external_lex_state = 11},
  [1405] = {.lex_state = 14, .external_lex_state = 11},
  [1406] = {.lex_state = 14, .external_lex_state = 11},
  [1407] = {.lex_state = 14, .external_lex_state = 6},
  [1408] = {.lex_state = 15, .external_lex_state = 12},
  [1409] = {.lex_state = 14, .external_lex_state = 11},
  [1410] = {.lex_state = 14, .external_lex_state = 11},
  [1411] = {.lex_state = 14, .external_lex_state = 11},
  [1412] = {.lex_state = 15, .external_lex_state = 11},
  [1413] = {.lex_state = 14, .external_lex_state = 11},
  [1414] = {.lex_state = 14, .external_lex_state = 6},
  [1415] = {.lex_state = 14, .external_lex_state = 11},
  [1416] = {.lex_state = 14, .external_lex_state = 11},
  [1417] = {.lex_state = 14, .external_lex_state = 15},
  [1418] = {.lex_state = 14, .external_lex_state = 12},
  [1419] = {.lex_state = 14, .external_lex_state = 15},
  [1420] = {.lex_state = 14, .external_lex_state = 11},
  [1421] = {.lex_state = 14, .external_lex_state = 8},
  [1422] = {.lex_state = 14, .external_lex_state = 11},
  [1423] = {.lex_state = 14, .external_lex_state = 11},
  [1424] = {.lex_state = 15, .external_lex_state = 13},
  [1425] = {.lex_state = 14, .external_lex_state = 15},
  [1426] = {.lex_state = 14, .external_lex_state = 15},
  [1427] = {.lex_state = 14, .external_lex_state = 6},
  [1428] = {.lex_state = 14, .external_lex_state = 11},
  [1429] = {.lex_state = 14, .external_lex_state = 15},
  [1430] = {.lex_state = 14, .external_lex_state = 15},
  [1431] = {.lex_state = 14, .external_lex_state = 11},
  [1432] = {.lex_state = 14, .external_lex_state = 15},
  [1433] = {.lex_state = 14, .external_lex_state = 15},
  [1434] = {.lex_state = 14, .external_lex_state = 11},
  [1435] = {.lex_state = 14, .external_lex_state = 15},
  [1436] = {.lex_state = 14, .external_lex_state = 11},
  [1437] = {.lex_state = 14, .external_lex_state = 11},
  [1438] = {.lex_state = 14, .external_lex_state = 15},
  [1439] = {.lex_state = 14, .external_lex_state = 8},
  [1440] = {.lex_state = 14, .external_lex_state = 11},
  [1441] = {.lex_state = 15, .external_lex_state = 12},
  [1442] = {.lex_state = 14, .external_lex_state = 11},
  [1443] = {.lex_state = 15, .external_lex_state = 12},
  [1444] = {.lex_state = 15, .external_lex_state = 12},
  [1445] = {.lex_state = 15, .external_lex_state = 13},
  [1446] = {.lex_state = 14, .external_lex_state = 11},
  [1447] = {.lex_state = 14, .external_lex_state = 15},
  [1448] = {.lex_state = 14, .external_lex_state = 11},
  [1449] = {.lex_state = 14, .external_lex_state = 15},
  [1450] = {.lex_state = 14, .external_lex_state = 11},
  [1451] = {.lex_state = 14, .external_lex_state = 11},
  [1452] = {.lex_state = 15, .external_lex_state = 13},
  [1453] = {.lex_state = 14, .external_lex_state = 11},
  [1454] = {.lex_state = 14, .external_lex_state = 11},
  [1455] = {.lex_state = 14, .external_lex_state = 11},
  [1456] = {.lex_state = 14, .external_lex_state = 11},
  [1457] = {.lex_state = 14, .external_lex_state = 13},
  [1458] = {.lex_state = 14, .external_lex_state = 11},
  [1459] = {.lex_state = 14, .external_lex_state = 11},
  [1460] = {.lex_state = 15, .external_lex_state = 13},
  [1461] = {.lex_state = 14, .external_lex_state = 11},
  [1462] = {.lex_state = 14, .external_lex_state = 11},
  [1463] = {.lex_state = 14, .external_lex_state = 12},
  [1464] = {.lex_state = 14, .external_lex_state = 12},
  [1465] = {.lex_state = 14, .external_lex_state = 12},
  [1466] = {.lex_state = 14, .external_lex_state = 12},
  [1467] = {.lex_state = 14, .external_lex_state = 12},
  [1468] = {.lex_state = 14, .external_lex_state = 12},
  [1469] = {.lex_state = 14, .external_lex_state = 12},
  [1470] = {.lex_state = 15, .external_lex_state = 13},
  [1471] = {.lex_state = 15, .external_lex_state = 13},
  [1472] = {.lex_state = 15, .external_lex_state = 13},
  [1473] = {.lex_state = 15, .external_lex_state = 13},
  [1474] = {.lex_state = 15, .external_lex_state = 13},
  [1475] = {.lex_state = 15, .external_lex_state = 13},
  [1476] = {.lex_state = 14, .external_lex_state = 12},
  [1477] = {.lex_state = 15, .external_lex_state = 13},
  [1478] = {.lex_state = 14, .external_lex_state = 12},
  [1479] = {.lex_state = 14, .external_lex_state = 12},
  [1480] = {.lex_state = 14, .external_lex_state = 12},
  [1481] = {.lex_state = 14, .external_lex_state = 12},
  [1482] = {.lex_state = 14, .external_lex_state = 12},
  [1483] = {.lex_state = 14, .external_lex_state = 12},
  [1484] = {.lex_state = 14, .external_lex_state = 7},
  [1485] = {.lex_state = 14, .external_lex_state = 12},
  [1486] = {.lex_state = 14, .external_lex_state = 12},
  [1487] = {.lex_state = 15, .external_lex_state = 15},
  [1488] = {.lex_state = 15, .external_lex_state = 14},
  [1489] = {.lex_state = 14, .external_lex_state = 12},
  [1490] = {.lex_state = 14, .external_lex_state = 12},
  [1491] = {.lex_state = 15, .external_lex_state = 14},
  [1492] = {.lex_state = 15, .external_lex_state = 14},
  [1493] = {.lex_state = 14, .external_lex_state = 12},
  [1494] = {.lex_state = 14, .external_lex_state = 12},
  [1495] = {.lex_state = 14, .external_lex_state = 12},
  [1496] = {.lex_state = 14, .external_lex_state = 12},
  [1497] = {.lex_state = 14, .external_lex_state = 12},
  [1498] = {.lex_state = 14, .external_lex_state = 12},
  [1499] = {.lex_state = 14, .external_lex_state = 12},
  [1500] = {.lex_state = 14, .external_lex_state = 8},
  [1501] = {.lex_state = 15, .external_lex_state = 15},
  [1502] = {.lex_state = 15, .external_lex_state = 15},
  [1503] = {.lex_state = 14, .external_lex_state = 8},
  [1504] = {.lex_state = 14, .external_lex_state = 12},
  [1505] = {.lex_state = 14, .external_lex_state = 12},
  [1506] = {.lex_state = 14, .external_lex_state = 12},
  [1507] = {.lex_state = 14, .external_lex_state = 12},
  [1508] = {.lex_state = 14, .external_lex_state = 12},
  [1509] = {.lex_state = 14, .external_lex_state = 7},
  [1510] = {.lex_state = 15, .external_lex_state = 13},
  [1511] = {.lex_state = 14, .external_lex_state = 2},
  [1512] = {.lex_state = 14, .external_lex_state = 12},
  [1513] = {.lex_state = 14, .external_lex_state = 12},
  [1514] = {.lex_state = 14, .external_lex_state = 12},
  [1515] = {.lex_state = 14, .external_lex_state = 7},
  [1516] = {.lex_state = 14, .external_lex_state = 12},
  [1517] = {.lex_state = 15, .external_lex_state = 15},
  [1518] = {.lex_state = 15, .external_lex_state = 15},
  [1519] = {.lex_state = 15, .external_lex_state = 15},
  [1520] = {.lex_state = 14, .external_lex_state = 12},
  [1521] = {.lex_state = 14, .external_lex_state = 12},
  [1522] = {.lex_state = 15, .external_lex_state = 13},
  [1523] = {.lex_state = 14, .external_lex_state = 12},
  [1524] = {.lex_state = 14, .external_lex_state = 12},
  [1525] = {.lex_state = 14, .external_lex_state = 13},
  [1526] = {.lex_state = 14, .external_lex_state = 13},
  [1527] = {.lex_state = 14, .external_lex_state = 12},
  [1528] = {.lex_state = 15, .external_lex_state = 15},
  [1529] = {.lex_state = 15, .external_lex_state = 15},
  [1530] = {.lex_state = 14, .external_lex_state = 12},
  [1531] = {.lex_state = 15, .external_lex_state = 15},
  [1532] = {.lex_state = 14, .external_lex_state = 12},
  [1533] = {.lex_state = 15, .external_lex_state = 14},
  [1534] = {.lex_state = 14, .external_lex_state = 12},
  [1535] = {.lex_state = 14, .external_lex_state = 12},
  [1536] = {.lex_state = 14, .external_lex_state = 12},
  [1537] = {.lex_state = 14, .external_lex_state = 12},
  [1538] = {.lex_state = 15, .external_lex_state = 15},
  [1539] = {.lex_state = 14, .external_lex_state = 12},
  [1540] = {.lex_state = 14, .external_lex_state = 12},
  [1541] = {.lex_state = 14, .external_lex_state = 12},
  [1542] = {.lex_state = 14, .external_lex_state = 12},
  [1543] = {.lex_state = 14, .external_lex_state = 7},
  [1544] = {.lex_state = 14, .external_lex_state = 12},
  [1545] = {.lex_state = 14, .external_lex_state = 12},
  [1546] = {.lex_state = 14, .external_lex_state = 12},
  [1547] = {.lex_state = 14, .external_lex_state = 12},
  [1548] = {.lex_state = 14, .external_lex_state = 12},
  [1549] = {.lex_state = 14, .external_lex_state = 12},
  [1550] = {.lex_state = 14, .external_lex_state = 12},
  [1551] = {.lex_state = 14, .external_lex_state = 12},
  [1552] = {.lex_state = 14, .external_lex_state = 13},
  [1553] = {.lex_state = 14, .external_lex_state = 13},
  [1554] = {.lex_state = 14, .external_lex_state = 13},
  [1555] = {.lex_state = 14, .external_lex_state = 13},
  [1556] = {.lex_state = 14, .external_lex_state = 12},
  [1557] = {.lex_state = 14, .external_lex_state = 12},
  [1558] = {.lex_state = 14, .external_lex_state = 12},
  [1559] = {.lex_state = 14, .external_lex_state = 12},
  [1560] = {.lex_state = 14, .external_lex_state = 12},
  [1561] = {.lex_state = 14, .external_lex_state = 2},
  [1562] = {.lex_state = 15, .external_lex_state = 13},
  [1563] = {.lex_state = 15, .external_lex_state = 13},
  [1564] = {.lex_state = 15, .external_lex_state = 13},
  [1565] = {.lex_state = 14, .external_lex_state = 13},
  [1566] = {.lex_state = 14, .external_lex_state = 12},
  [1567] = {.lex_state = 14, .external_lex_state = 12},
  [1568] = {.lex_state = 14, .external_lex_state = 12},
  [1569] = {.lex_state = 14, .external_lex_state = 12},
  [1570] = {.lex_state = 15, .external_lex_state = 15},
  [1571] = {.lex_state = 14, .external_lex_state = 12},
  [1572] = {.lex_state = 14, .external_lex_state = 12},
  [1573] = {.lex_state = 14, .external_lex_state = 12},
  [1574] = {.lex_state = 14, .external_lex_state = 12},
  [1575] = {.lex_state = 15, .external_lex_state = 15},
  [1576] = {.lex_state = 15, .external_lex_state = 15},
  [1577] = {.lex_state = 14, .external_lex_state = 12},
  [1578] = {.lex_state = 14, .external_lex_state = 12},
  [1579] = {.lex_state = 14, .external_lex_state = 12},
  [1580] = {.lex_state = 14, .external_lex_state = 12},
  [1581] = {.lex_state = 14, .external_lex_state = 12},
  [1582] = {.lex_state = 14, .external_lex_state = 12},
  [1583] = {.lex_state = 14, .external_lex_state = 12},
  [1584] = {.lex_state = 14, .external_lex_state = 12},
  [1585] = {.lex_state = 14, .external_lex_state = 12},
  [1586] = {.lex_state = 14, .external_lex_state = 12},
  [1587] = {.lex_state = 14, .external_lex_state = 12},
  [1588] = {.lex_state = 14, .external_lex_state = 13},
  [1589] = {.lex_state = 14, .external_lex_state = 13},
  [1590] = {.lex_state = 14, .external_lex_state = 12},
  [1591] = {.lex_state = 14, .external_lex_state = 14},
  [1592] = {.lex_state = 14, .external_lex_state = 14},
  [1593] = {.lex_state = 14, .external_lex_state = 15},
  [1594] = {.lex_state = 14, .external_lex_state = 15},
  [1595] = {.lex_state = 14, .external_lex_state = 14},
  [1596] = {.lex_state = 14, .external_lex_state = 13},
  [1597] = {.lex_state = 14, .external_lex_state = 13},
  [1598] = {.lex_state = 14, .external_lex_state = 8},
  [1599] = {.lex_state = 14, .external_lex_state = 13},
  [1600] = {.lex_state = 14, .external_lex_state = 13},
  [1601] = {.lex_state = 14, .external_lex_state = 15},
  [1602] = {.lex_state = 14, .external_lex_state = 15},
  [1603] = {.lex_state = 14, .external_lex_state = 8},
  [1604] = {.lex_state = 14, .external_lex_state = 13},
  [1605] = {.lex_state = 14, .external_lex_state = 14},
  [1606] = {.lex_state = 14, .external_lex_state = 14},
  [1607] = {.lex_state = 15, .external_lex_state = 13},
  [1608] = {.lex_state = 15, .external_lex_state = 13},
  [1609] = {.lex_state = 15, .external_lex_state = 13},
  [1610] = {.lex_state = 14, .external_lex_state = 13},
  [1611] = {.lex_state = 14, .external_lex_state = 14},
  [1612] = {.lex_state = 14, .external_lex_state = 13},
  [1613] = {.lex_state = 14, .external_lex_state = 13},
  [1614] = {.lex_state = 14, .external_lex_state = 13},
  [1615] = {.lex_state = 14, .external_lex_state = 13},
  [1616] = {.lex_state = 14, .external_lex_state = 14},
  [1617] = {.lex_state = 14, .external_lex_state = 11},
  [1618] = {.lex_state = 14, .external_lex_state = 13},
  [1619] = {.lex_state = 14, .external_lex_state = 13},
  [1620] = {.lex_state = 14, .external_lex_state = 14},
  [1621] = {.lex_state = 14, .external_lex_state = 13},
  [1622] = {.lex_state = 14, .external_lex_state = 13},
  [1623] = {.lex_state = 14, .external_lex_state = 13},
  [1624] = {.lex_state = 14, .external_lex_state = 13},
  [1625] = {.lex_state = 14, .external_lex_state = 13},
  [1626] = {.lex_state = 14, .external_lex_state = 13},
  [1627] = {.lex_state = 14, .external_lex_state = 13},
  [1628] = {.lex_state = 14, .external_lex_state = 13},
  [1629] = {.lex_state = 14, .external_lex_state = 13},
  [1630] = {.lex_state = 14, .external_lex_state = 13},
  [1631] = {.lex_state = 14, .external_lex_state = 14},
  [1632] = {.lex_state = 14, .external_lex_state = 13},
  [1633] = {.lex_state = 14, .external_lex_state = 14},
  [1634] = {.lex_state = 14, .external_lex_state = 13},
  [1635] = {.lex_state = 14, .external_lex_state = 14},
  [1636] = {.lex_state = 14, .external_lex_state = 13},
  [1637] = {.lex_state = 14, .external_lex_state = 13},
  [1638] = {.lex_state = 14, .external_lex_state = 14},
  [1639] = {.lex_state = 14, .external_lex_state = 14},
  [1640] = {.lex_state = 14, .external_lex_state = 14},
  [1641] = {.lex_state = 14, .external_lex_state = 14},
  [1642] = {.lex_state = 14, .external_lex_state = 14},
  [1643] = {.lex_state = 14, .external_lex_state = 14},
  [1644] = {.lex_state = 14, .external_lex_state = 14},
  [1645] = {.lex_state = 14, .external_lex_state = 14},
  [1646] = {.lex_state = 14, .external_lex_state = 14},
  [1647] = {.lex_state = 14, .external_lex_state = 13},
  [1648] = {.lex_state = 14, .external_lex_state = 13},
  [1649] = {.lex_state = 14, .external_lex_state = 13},
  [1650] = {.lex_state = 14, .external_lex_state = 13},
  [1651] = {.lex_state = 14, .external_lex_state = 13},
  [1652] = {.lex_state = 14, .external_lex_state = 13},
  [1653] = {.lex_state = 14, .external_lex_state = 14},
  [1654] = {.lex_state = 14, .external_lex_state = 13},
  [1655] = {.lex_state = 14, .external_lex_state = 14},
  [1656] = {.lex_state = 14, .external_lex_state = 13},
  [1657] = {.lex_state = 14, .external_lex_state = 14},
  [1658] = {.lex_state = 14, .external_lex_state = 14},
  [1659] = {.lex_state = 14, .external_lex_state = 14},
  [1660] = {.lex_state = 14, .external_lex_state = 13},
  [1661] = {.lex_state = 14, .external_lex_state = 13},
  [1662] = {.lex_state = 15, .external_lex_state = 15},
  [1663] = {.lex_state = 15, .external_lex_state = 15},
  [1664] = {.lex_state = 15, .external_lex_state = 15},
  [1665] = {.lex_state = 14, .external_lex_state = 13},
  [1666] = {.lex_state = 14, .external_lex_state = 13},
  [1667] = {.lex_state = 14, .external_lex_state = 13},
  [1668] = {.lex_state = 14, .external_lex_state = 13},
  [1669] = {.lex_state = 14, .external_lex_state = 13},
  [1670] = {.lex_state = 14, .external_lex_state = 13},
  [1671] = {.lex_state = 14, .external_lex_state = 13},
  [1672] = {.lex_state = 14, .external_lex_state = 14},
  [1673] = {.lex_state = 14, .external_lex_state = 13},
  [1674] = {.lex_state = 14, .external_lex_state = 13},
  [1675] = {.lex_state = 14, .external_lex_state = 14},
  [1676] = {.lex_state = 14, .external_lex_state = 14},
  [1677] = {.lex_state = 14, .external_lex_state = 14},
  [1678] = {.lex_state = 14, .external_lex_state = 13},
  [1679] = {.lex_state = 14, .external_lex_state = 13},
  [1680] = {.lex_state = 14, .external_lex_state = 14},
  [1681] = {.lex_state = 14, .external_lex_state = 13},
  [1682] = {.lex_state = 14, .external_lex_state = 13},
  [1683] = {.lex_state = 14, .external_lex_state = 13},
  [1684] = {.lex_state = 14, .external_lex_state = 13},
  [1685] = {.lex_state = 14, .external_lex_state = 15},
  [1686] = {.lex_state = 14, .external_lex_state = 15},
  [1687] = {.lex_state = 14, .external_lex_state = 13},
  [1688] = {.lex_state = 14, .external_lex_state = 13},
  [1689] = {.lex_state = 14, .external_lex_state = 13},
  [1690] = {.lex_state = 14, .external_lex_state = 13},
  [1691] = {.lex_state = 14, .external_lex_state = 15},
  [1692] = {.lex_state = 14, .external_lex_state = 13},
  [1693] = {.lex_state = 14, .external_lex_state = 13},
  [1694] = {.lex_state = 14, .external_lex_state = 15},
  [1695] = {.lex_state = 14, .external_lex_state = 13},
  [1696] = {.lex_state = 14, .external_lex_state = 13},
  [1697] = {.lex_state = 14, .external_lex_state = 13},
  [1698] = {.lex_state = 14, .external_lex_state = 15},
  [1699] = {.lex_state = 14, .external_lex_state = 15},
  [1700] = {.lex_state = 14, .external_lex_state = 15},
  [1701] = {.lex_state = 14, .external_lex_state = 15},
  [1702] = {.lex_state = 14, .external_lex_state = 15},
  [1703] = {.lex_state = 14, .external_lex_state = 15},
  [1704] = {.lex_state = 14, .external_lex_state = 15},
  [1705] = {.lex_state = 14, .external_lex_state = 15},
  [1706] = {.lex_state = 14, .external_lex_state = 13},
  [1707] = {.lex_state = 14, .external_lex_state = 13},
  [1708] = {.lex_state = 14, .external_lex_state = 13},
  [1709] = {.lex_state = 14, .external_lex_state = 15},
  [1710] = {.lex_state = 14, .external_lex_state = 13},
  [1711] = {.lex_state = 14, .external_lex_state = 13},
  [1712] = {.lex_state = 14, .external_lex_state = 13},
  [1713] = {.lex_state = 14, .external_lex_state = 13},
  [1714] = {.lex_state = 14, .external_lex_state = 13},
  [1715] = {.lex_state = 14, .external_lex_state = 13},
  [1716] = {.lex_state = 14, .external_lex_state = 13},
  [1717] = {.lex_state = 14, .external_lex_state = 13},
  [1718] = {.lex_state = 14, .external_lex_state = 13},
  [1719] = {.lex_state = 14, .external_lex_state = 13},
  [1720] = {.lex_state = 14, .external_lex_state = 15},
  [1721] = {.lex_state = 14, .external_lex_state = 13},
  [1722] = {.lex_state = 14, .external_lex_state = 15},
  [1723] = {.lex_state = 14, .external_lex_state = 13},
  [1724] = {.lex_state = 14, .external_lex_state = 14},
  [1725] = {.lex_state = 14, .external_lex_state = 14},
  [1726] = {.lex_state = 14, .external_lex_state = 15},
  [1727] = {.lex_state = 14, .external_lex_state = 14},
  [1728] = {.lex_state = 14, .external_lex_state = 15},
  [1729] = {.lex_state = 14, .external_lex_state = 15},
  [1730] = {.lex_state = 14, .external_lex_state = 14},
  [1731] = {.lex_state = 14, .external_lex_state = 15},
  [1732] = {.lex_state = 14, .external_lex_state = 14},
  [1733] = {.lex_state = 14, .external_lex_state = 15},
  [1734] = {.lex_state = 14, .external_lex_state = 15},
  [1735] = {.lex_state = 14, .external_lex_state = 15},
  [1736] = {.lex_state = 14, .external_lex_state = 14},
  [1737] = {.lex_state = 14, .external_lex_state = 14},
  [1738] = {.lex_state = 14, .external_lex_state = 15},
  [1739] = {.lex_state = 14, .external_lex_state = 15},
  [1740] = {.lex_state = 14, .external_lex_state = 14},
  [1741] = {.lex_state = 14, .external_lex_state = 15},
  [1742] = {.lex_state = 14, .external_lex_state = 15},
  [1743] = {.lex_state = 14, .external_lex_state = 14},
  [1744] = {.lex_state = 14, .external_lex_state = 14},
  [1745] = {.lex_state = 14, .external_lex_state = 15},
  [1746] = {.lex_state = 14, .external_lex_state = 13},
  [1747] = {.lex_state = 14, .external_lex_state = 15},
  [1748] = {.lex_state = 14, .external_lex_state = 15},
  [1749] = {.lex_state = 14, .external_lex_state = 15},
  [1750] = {.lex_state = 14, .external_lex_state = 15},
  [1751] = {.lex_state = 14, .external_lex_state = 15},
  [1752] = {.lex_state = 14, .external_lex_state = 13},
  [1753] = {.lex_state = 14, .external_lex_state = 15},
  [1754] = {.lex_state = 14, .external_lex_state = 13},
  [1755] = {.lex_state = 14, .external_lex_state = 15},
  [1756] = {.lex_state = 14, .external_lex_state = 15},
  [1757] = {.lex_state = 14, .external_lex_state = 13},
  [1758] = {.lex_state = 14, .external_lex_state = 15},
  [1759] = {.lex_state = 14, .external_lex_state = 14},
  [1760] = {.lex_state = 14, .external_lex_state = 15},
  [1761] = {.lex_state = 14, .external_lex_state = 15},
  [1762] = {.lex_state = 14, .external_lex_state = 14},
  [1763] = {.lex_state = 14, .external_lex_state = 15},
  [1764] = {.lex_state = 14, .external_lex_state = 15},
  [1765] = {.lex_state = 14, .external_lex_state = 15},
  [1766] = {.lex_state = 14, .external_lex_state = 13},
  [1767] = {.lex_state = 14, .external_lex_state = 13},
  [1768] = {.lex_state = 14, .external_lex_state = 15},
  [1769] = {.lex_state = 14, .external_lex_state = 13},
  [1770] = {.lex_state = 14, .external_lex_state = 13},
  [1771] = {.lex_state = 14, .external_lex_state = 15},
  [1772] = {.lex_state = 14, .external_lex_state = 15},
  [1773] = {.lex_state = 15, .external_lex_state = 15},
  [1774] = {.lex_state = 15, .external_lex_state = 15},
  [1775] = {.lex_state = 15, .external_lex_state = 15},
  [1776] = {.lex_state = 14, .external_lex_state = 15},
  [1777] = {.lex_state = 14, .external_lex_state = 15},
  [1778] = {.lex_state = 14, .external_lex_state = 15},
  [1779] = {.lex_state = 15, .external_lex_state = 12},
  [1780] = {.lex_state = 15, .external_lex_state = 12},
  [1781] = {.lex_state = 14, .external_lex_state = 15},
  [1782] = {.lex_state = 14, .external_lex_state = 15},
  [1783] = {.lex_state = 14, .external_lex_state = 15},
  [1784] = {.lex_state = 14, .external_lex_state = 15},
  [1785] = {.lex_state = 14, .external_lex_state = 14},
  [1786] = {.lex_state = 14, .external_lex_state = 15},
  [1787] = {.lex_state = 14, .external_lex_state = 15},
  [1788] = {.lex_state = 14, .external_lex_state = 15},
  [1789] = {.lex_state = 14, .external_lex_state = 15},
  [1790] = {.lex_state = 14, .external_lex_state = 15},
  [1791] = {.lex_state = 14, .external_lex_state = 15},
  [1792] = {.lex_state = 14, .external_lex_state = 15},
  [1793] = {.lex_state = 14, .external_lex_state = 15},
  [1794] = {.lex_state = 14, .external_lex_state = 15},
  [1795] = {.lex_state = 14, .external_lex_state = 15},
  [1796] = {.lex_state = 14, .external_lex_state = 15},
  [1797] = {.lex_state = 14, .external_lex_state = 15},
  [1798] = {.lex_state = 14, .external_lex_state = 15},
  [1799] = {.lex_state = 14, .external_lex_state = 15},
  [1800] = {.lex_state = 14, .external_lex_state = 15},
  [1801] = {.lex_state = 14, .external_lex_state = 15},
  [1802] = {.lex_state = 14, .external_lex_state = 15},
  [1803] = {.lex_state = 14, .external_lex_state = 15},
  [1804] = {.lex_state = 14, .external_lex_state = 15},
  [1805] = {.lex_state = 15, .external_lex_state = 13},
  [1806] = {.lex_state = 15, .external_lex_state = 13},
  [1807] = {.lex_state = 15, .external_lex_state = 13},
  [1808] = {.lex_state = 14, .external_lex_state = 15},
  [1809] = {.lex_state = 14, .external_lex_state = 15},
  [1810] = {.lex_state = 14, .external_lex_state = 15},
  [1811] = {.lex_state = 14, .external_lex_state = 15},
  [1812] = {.lex_state = 14, .external_lex_state = 15},
  [1813] = {.lex_state = 14, .external_lex_state = 15},
  [1814] = {.lex_state = 14, .external_lex_state = 15},
  [1815] = {.lex_state = 14, .external_lex_state = 15},
  [1816] = {.lex_state = 14, .external_lex_state = 15},
  [1817] = {.lex_state = 14, .external_lex_state = 15},
  [1818] = {.lex_state = 14, .external_lex_state = 15},
  [1819] = {.lex_state = 15, .external_lex_state = 12},
  [1820] = {.lex_state = 14, .external_lex_state = 15},
  [1821] = {.lex_state = 14, .external_lex_state = 15},
  [1822] = {.lex_state = 14, .external_lex_state = 15},
  [1823] = {.lex_state = 14, .external_lex_state = 15},
  [1824] = {.lex_state = 14, .external_lex_state = 15},
  [1825] = {.lex_state = 14, .external_lex_state = 15},
  [1826] = {.lex_state = 14, .external_lex_state = 15},
  [1827] = {.lex_state = 14, .external_lex_state = 15},
  [1828] = {.lex_state = 14, .external_lex_state = 15},
  [1829] = {.lex_state = 7, .external_lex_state = 11},
  [1830] = {.lex_state = 7, .external_lex_state = 11},
  [1831] = {.lex_state = 14, .external_lex_state = 13},
  [1832] = {.lex_state = 14, .external_lex_state = 13},
  [1833] = {.lex_state = 14, .external_lex_state = 12},
  [1834] = {.lex_state = 7, .external_lex_state = 11},
  [1835] = {.lex_state = 7, .external_lex_state = 11},
  [1836] = {.lex_state = 7, .external_lex_state = 11},
  [1837] = {.lex_state = 14, .external_lex_state = 12},
  [1838] = {.lex_state = 7, .external_lex_state = 11},
  [1839] = {.lex_state = 7, .external_lex_state = 11},
  [1840] = {.lex_state = 13, .external_lex_state = 2},
  [1841] = {.lex_state = 13, .external_lex_state = 2},
  [1842] = {.lex_state = 7, .external_lex_state = 14},
  [1843] = {.lex_state = 7, .external_lex_state = 14},
  [1844] = {.lex_state = 7, .external_lex_state = 14},
  [1845] = {.lex_state = 7, .external_lex_state = 14},
  [1846] = {.lex_state = 7, .external_lex_state = 14},
  [1847] = {.lex_state = 7, .external_lex_state = 14},
  [1848] = {.lex_state = 7, .external_lex_state = 14},
  [1849] = {.lex_state = 7, .external_lex_state = 14},
  [1850] = {.lex_state = 7, .external_lex_state = 14},
  [1851] = {.lex_state = 7, .external_lex_state = 14},
  [1852] = {.lex_state = 7, .external_lex_state = 14},
  [1853] = {.lex_state = 7, .external_lex_state = 14},
  [1854] = {.lex_state = 7, .external_lex_state = 14},
  [1855] = {.lex_state = 7, .external_lex_state = 14},
  [1856] = {.lex_state = 7, .external_lex_state = 14},
  [1857] = {.lex_state = 7, .external_lex_state = 14},
  [1858] = {.lex_state = 7, .external_lex_state = 14},
  [1859] = {.lex_state = 7, .external_lex_state = 14},
  [1860] = {.lex_state = 7, .external_lex_state = 14},
  [1861] = {.lex_state = 7, .external_lex_state = 14},
  [1862] = {.lex_state = 5, .external_lex_state = 7},
  [1863] = {.lex_state = 5, .external_lex_state = 7},
  [1864] = {.lex_state = 5, .external_lex_state = 7},
  [1865] = {.lex_state = 5, .external_lex_state = 7},
  [1866] = {.lex_state = 5, .external_lex_state = 7},
  [1867] = {.lex_state = 5, .external_lex_state = 8},
  [1868] = {.lex_state = 5, .external_lex_state = 7},
  [1869] = {.lex_state = 5, .external_lex_state = 8},
  [1870] = {.lex_state = 5, .external_lex_state = 8},
  [1871] = {.lex_state = 5, .external_lex_state = 8},
  [1872] = {.lex_state = 5, .external_lex_state = 7},
  [1873] = {.lex_state = 5, .external_lex_state = 8},
  [1874] = {.lex_state = 5, .external_lex_state = 7},
  [1875] = {.lex_state = 5, .external_lex_state = 7},
  [1876] = {.lex_state = 5, .external_lex_state = 7},
  [1877] = {.lex_state = 5, .external_lex_state = 7},
  [1878] = {.lex_state = 5, .external_lex_state = 7},
  [1879] = {.lex_state = 5, .external_lex_state = 7},
  [1880] = {.lex_state = 5, .external_lex_state = 7},
  [1881] = {.lex_state = 5, .external_lex_state = 7},
  [1882] = {.lex_state = 5, .external_lex_state = 8},
  [1883] = {.lex_state = 5, .external_lex_state = 8},
  [1884] = {.lex_state = 5, .external_lex_state = 7},
  [1885] = {.lex_state = 5, .external_lex_state = 8},
  [1886] = {.lex_state = 5, .external_lex_state = 7},
  [1887] = {.lex_state = 5, .external_lex_state = 7},
  [1888] = {.lex_state = 5, .external_lex_state = 8},
  [1889] = {.lex_state = 5, .external_lex_state = 7},
  [1890] = {.lex_state = 5, .external_lex_state = 8},
  [1891] = {.lex_state = 5, .external_lex_state = 7},
  [1892] = {.lex_state = 5, .external_lex_state = 7},
  [1893] = {.lex_state = 5, .external_lex_state = 7},
  [1894] = {.lex_state = 5, .external_lex_state = 8},
  [1895] = {.lex_state = 5, .external_lex_state = 7},
  [1896] = {.lex_state = 5, .external_lex_state = 7},
  [1897] = {.lex_state = 5, .external_lex_state = 8},
  [1898] = {.lex_state = 5, .external_lex_state = 2},
  [1899] = {.lex_state = 5, .external_lex_state = 2},
  [1900] = {.lex_state = 5, .external_lex_state = 2},
  [1901] = {.lex_state = 5, .external_lex_state = 2},
  [1902] = {.lex_state = 5, .external_lex_state = 2},
  [1903] = {.lex_state = 5, .external_lex_state = 6},
  [1904] = {.lex_state = 5, .external_lex_state = 6},
  [1905] = {.lex_state = 5, .external_lex_state = 6},
  [1906] = {.lex_state = 5, .external_lex_state = 6},
  [1907] = {.lex_state = 5, .external_lex_state = 6},
  [1908] = {.lex_state = 5, .external_lex_state = 6},
  [1909] = {.lex_state = 5, .external_lex_state = 6},
  [1910] = {.lex_state = 5, .external_lex_state = 6},
  [1911] = {.lex_state = 5, .external_lex_state = 6},
  [1912] = {.lex_state = 5, .external_lex_state = 6},
  [1913] = {.lex_state = 5, .external_lex_state = 6},
  [1914] = {.lex_state = 5, .external_lex_state = 6},
  [1915] = {.lex_state = 5, .external_lex_state = 6},
  [1916] = {.lex_state = 5, .external_lex_state = 6},
  [1917] = {.lex_state = 5, .external_lex_state = 6},
  [1918] = {.lex_state = 5, .external_lex_state = 6},
  [1919] = {.lex_state = 5, .external_lex_state = 6},
  [1920] = {.lex_state = 5, .external_lex_state = 6},
  [1921] = {.lex_state = 5, .external_lex_state = 6},
  [1922] = {.lex_state = 5, .external_lex_state = 6},
  [1923] = {.lex_state = 5, .external_lex_state = 2},
  [1924] = {.lex_state = 5, .external_lex_state = 2},
  [1925] = {.lex_state = 5, .external_lex_state = 2},
  [1926] = {.lex_state = 5, .external_lex_state = 2},
  [1927] = {.lex_state = 5, .external_lex_state = 2},
  [1928] = {.lex_state = 5, .external_lex_state = 2},
  [1929] = {.lex_state = 5, .external_lex_state = 2},
  [1930] = {.lex_state = 5, .external_lex_state = 2},
  [1931] = {.lex_state = 5, .external_lex_state = 2},
  [1932] = {.lex_state = 8, .external_lex_state = 11},
  [1933] = {.lex_state = 8, .external_lex_state = 11},
  [1934] = {.lex_state = 14, .external_lex_state = 12},
  [1935] = {.lex_state = 14, .external_lex_state = 12},
  [1936] = {.lex_state = 14, .external_lex_state = 12},
  [1937] = {.lex_state = 14, .external_lex_state = 12},
  [1938] = {.lex_state = 14, .external_lex_state = 12},
  [1939] = {.lex_state = 8, .external_lex_state = 14},
  [1940] = {.lex_state = 14, .external_lex_state = 12},
  [1941] = {.lex_state = 14, .external_lex_state = 12},
  [1942] = {.lex_state = 8, .external_lex_state = 14},
  [1943] = {.lex_state = 8, .external_lex_state = 13},
  [1944] = {.lex_state = 8, .external_lex_state = 13},
  [1945] = {.lex_state = 13, .external_lex_state = 14},
  [1946] = {.lex_state = 14, .external_lex_state = 14},
  [1947] = {.lex_state = 56, .external_lex_state = 12},
  [1948] = {.lex_state = 13, .external_lex_state = 14},
  [1949] = {.lex_state = 56, .external_lex_state = 12},
  [1950] = {.lex_state = 13, .external_lex_state = 14},
  [1951] = {.lex_state = 13, .external_lex_state = 14},
  [1952] = {.lex_state = 13, .external_lex_state = 14},
  [1953] = {.lex_state = 14, .external_lex_state = 14},
  [1954] = {.lex_state = 13, .external_lex_state = 14},
  [1955] = {.lex_state = 13, .external_lex_state = 14},
  [1956] = {.lex_state = 14, .external_lex_state = 14},
  [1957] = {.lex_state = 14, .external_lex_state = 14},
  [1958] = {.lex_state = 13, .external_lex_state = 14},
  [1959] = {.lex_state = 8, .external_lex_state = 15},
  [1960] = {.lex_state = 13, .external_lex_state = 14},
  [1961] = {.lex_state = 14, .external_lex_state = 14},
  [1962] = {.lex_state = 13, .external_lex_state = 14},
  [1963] = {.lex_state = 14, .external_lex_state = 14},
  [1964] = {.lex_state = 8, .external_lex_state = 15},
  [1965] = {.lex_state = 14, .external_lex_state = 14},
  [1966] = {.lex_state = 13, .external_lex_state = 14},
  [1967] = {.lex_state = 56, .external_lex_state = 12},
  [1968] = {.lex_state = 56, .external_lex_state = 12},
  [1969] = {.lex_state = 56, .external_lex_state = 13},
  [1970] = {.lex_state = 14, .external_lex_state = 14},
  [1971] = {.lex_state = 14, .external_lex_state = 14},
  [1972] = {.lex_state = 56, .external_lex_state = 13},
  [1973] = {.lex_state = 14, .external_lex_state = 13},
  [1974] = {.lex_state = 14, .external_lex_state = 13},
  [1975] = {.lex_state = 14, .external_lex_state = 14},
  [1976] = {.lex_state = 14, .external_lex_state = 13},
  [1977] = {.lex_state = 14, .external_lex_state = 14},
  [1978] = {.lex_state = 5, .external_lex_state = 13},
  [1979] = {.lex_state = 14, .external_lex_state = 13},
  [1980] = {.lex_state = 5, .external_lex_state = 13},
  [1981] = {.lex_state = 14, .external_lex_state = 14},
  [1982] = {.lex_state = 14, .external_lex_state = 13},
  [1983] = {.lex_state = 14, .external_lex_state = 14},
  [1984] = {.lex_state = 14, .external_lex_state = 13},
  [1985] = {.lex_state = 14, .external_lex_state = 14},
  [1986] = {.lex_state = 14, .external_lex_state = 13},
  [1987] = {.lex_state = 14, .external_lex_state = 14},
  [1988] = {.lex_state = 14, .external_lex_state = 13},
  [1989] = {.lex_state = 56, .external_lex_state = 15},
  [1990] = {.lex_state = 14, .external_lex_state = 14},
  [1991] = {.lex_state = 14, .external_lex_state = 14},
  [1992] = {.lex_state = 56, .external_lex_state = 15},
  [1993] = {.lex_state = 14, .external_lex_state = 13},
  [1994] = {.lex_state = 14, .external_lex_state = 15},
  [1995] = {.lex_state = 14, .external_lex_state = 14},
  [1996] = {.lex_state = 5, .external_lex_state = 13},
  [1997] = {.lex_state = 14, .external_lex_state = 14},
  [1998] = {.lex_state = 14, .external_lex_state = 15},
  [1999] = {.lex_state = 14, .external_lex_state = 14},
  [2000] = {.lex_state = 14, .external_lex_state = 14},
  [2001] = {.lex_state = 14, .external_lex_state = 13},
  [2002] = {.lex_state = 14, .external_lex_state = 15},
  [2003] = {.lex_state = 14, .external_lex_state = 14},
  [2004] = {.lex_state = 14, .external_lex_state = 15},
  [2005] = {.lex_state = 13, .external_lex_state = 14},
  [2006] = {.lex_state = 5, .external_lex_state = 13},
  [2007] = {.lex_state = 14, .external_lex_state = 13},
  [2008] = {.lex_state = 14, .external_lex_state = 15},
  [2009] = {.lex_state = 14, .external_lex_state = 15},
  [2010] = {.lex_state = 14, .external_lex_state = 14},
  [2011] = {.lex_state = 14, .external_lex_state = 15},
  [2012] = {.lex_state = 13, .external_lex_state = 14},
  [2013] = {.lex_state = 14, .external_lex_state = 13},
  [2014] = {.lex_state = 14, .external_lex_state = 14},
  [2015] = {.lex_state = 14, .external_lex_state = 13},
  [2016] = {.lex_state = 14, .external_lex_state = 14},
  [2017] = {.lex_state = 14, .external_lex_state = 13},
  [2018] = {.lex_state = 14, .external_lex_state = 13},
  [2019] = {.lex_state = 12, .external_lex_state = 14},
  [2020] = {.lex_state = 12, .external_lex_state = 14},
  [2021] = {.lex_state = 5, .external_lex_state = 14},
  [2022] = {.lex_state = 4, .external_lex_state = 11},
  [2023] = {.lex_state = 12, .external_lex_state = 14},
  [2024] = {.lex_state = 4, .external_lex_state = 11},
  [2025] = {.lex_state = 12, .external_lex_state = 14},
  [2026] = {.lex_state = 5, .external_lex_state = 14},
  [2027] = {.lex_state = 4, .external_lex_state = 11},
  [2028] = {.lex_state = 4, .external_lex_state = 11},
  [2029] = {.lex_state = 4, .external_lex_state = 11},
  [2030] = {.lex_state = 4, .external_lex_state = 11},
  [2031] = {.lex_state = 4, .external_lex_state = 14},
  [2032] = {.lex_state = 4, .external_lex_state = 11},
  [2033] = {.lex_state = 4, .external_lex_state = 14},
  [2034] = {.lex_state = 4, .external_lex_state = 14},
  [2035] = {.lex_state = 4, .external_lex_state = 14},
  [2036] = {.lex_state = 4, .external_lex_state = 14},
  [2037] = {.lex_state = 8, .external_lex_state = 11},
  [2038] = {.lex_state = 8, .external_lex_state = 11},
  [2039] = {.lex_state = 8, .external_lex_state = 11},
  [2040] = {.lex_state = 56, .external_lex_state = 12},
  [2041] = {.lex_state = 56, .external_lex_state = 12},
  [2042] = {.lex_state = 8, .external_lex_state = 11},
  [2043] = {.lex_state = 56, .external_lex_state = 12},
  [2044] = {.lex_state = 56, .external_lex_state = 12},
  [2045] = {.lex_state = 8, .external_lex_state = 11},
  [2046] = {.lex_state = 56, .external_lex_state = 12},
  [2047] = {.lex_state = 56, .external_lex_state = 12},
  [2048] = {.lex_state = 8, .external_lex_state = 11},
  [2049] = {.lex_state = 56, .external_lex_state = 12},
  [2050] = {.lex_state = 56, .external_lex_state = 12},
  [2051] = {.lex_state = 8, .external_lex_state = 11},
  [2052] = {.lex_state = 8, .external_lex_state = 11},
  [2053] = {.lex_state = 8, .external_lex_state = 11},
  [2054] = {.lex_state = 56, .external_lex_state = 13},
  [2055] = {.lex_state = 56, .external_lex_state = 13},
  [2056] = {.lex_state = 56, .external_lex_state = 13},
  [2057] = {.lex_state = 56, .external_lex_state = 13},
  [2058] = {.lex_state = 56, .external_lex_state = 13},
  [2059] = {.lex_state = 56, .external_lex_state = 13},
  [2060] = {.lex_state = 56, .external_lex_state = 13},
  [2061] = {.lex_state = 56, .external_lex_state = 13},
  [2062] = {.lex_state = 56, .external_lex_state = 13},
  [2063] = {.lex_state = 56, .external_lex_state = 13},
  [2064] = {.lex_state = 56, .external_lex_state = 15},
  [2065] = {.lex_state = 56, .external_lex_state = 13},
  [2066] = {.lex_state = 56, .external_lex_state = 15},
  [2067] = {.lex_state = 56, .external_lex_state = 15},
  [2068] = {.lex_state = 56, .external_lex_state = 15},
  [2069] = {.lex_state = 56, .external_lex_state = 15},
  [2070] = {.lex_state = 56, .external_lex_state = 13},
  [2071] = {.lex_state = 56, .external_lex_state = 15},
  [2072] = {.lex_state = 8, .external_lex_state = 11},
  [2073] = {.lex_state = 56, .external_lex_state = 13},
  [2074] = {.lex_state = 56, .external_lex_state = 13},
  [2075] = {.lex_state = 56, .external_lex_state = 15},
  [2076] = {.lex_state = 56, .external_lex_state = 15},
  [2077] = {.lex_state = 56, .external_lex_state = 13},
  [2078] = {.lex_state = 56, .external_lex_state = 13},
  [2079] = {.lex_state = 56, .external_lex_state = 13},
  [2080] = {.lex_state = 8, .external_lex_state = 13},
  [2081] = {.lex_state = 0, .external_lex_state = 16},
  [2082] = {.lex_state = 8, .external_lex_state = 11},
  [2083] = {.lex_state = 0, .external_lex_state = 16},
  [2084] = {.lex_state = 0, .external_lex_state = 16},
  [2085] = {.lex_state = 0, .external_lex_state = 16},
  [2086] = {.lex_state = 8, .external_lex_state = 14},
  [2087] = {.lex_state = 56, .external_lex_state = 12},
  [2088] = {.lex_state = 8, .external_lex_state = 13},
  [2089] = {.lex_state = 8, .external_lex_state = 14},
  [2090] = {.lex_state = 0, .external_lex_state = 16},
  [2091] = {.lex_state = 8, .external_lex_state = 14},
  [2092] = {.lex_state = 0, .external_lex_state = 16},
  [2093] = {.lex_state = 0, .external_lex_state = 16},
  [2094] = {.lex_state = 56, .external_lex_state = 14},
  [2095] = {.lex_state = 0, .external_lex_state = 16},
  [2096] = {.lex_state = 8, .external_lex_state = 14},
  [2097] = {.lex_state = 8, .external_lex_state = 13},
  [2098] = {.lex_state = 0, .external_lex_state = 16},
  [2099] = {.lex_state = 8, .external_lex_state = 13},
  [2100] = {.lex_state = 8, .external_lex_state = 14},
  [2101] = {.lex_state = 8, .external_lex_state = 14},
  [2102] = {.lex_state = 0, .external_lex_state = 16},
  [2103] = {.lex_state = 8, .external_lex_state = 13},
  [2104] = {.lex_state = 8, .external_lex_state = 13},
  [2105] = {.lex_state = 56, .external_lex_state = 14},
  [2106] = {.lex_state = 0, .external_lex_state = 16},
  [2107] = {.lex_state = 0, .external_lex_state = 16},
  [2108] = {.lex_state = 56, .external_lex_state = 12},
  [2109] = {.lex_state = 0, .external_lex_state = 16},
  [2110] = {.lex_state = 0, .external_lex_state = 16},
  [2111] = {.lex_state = 8, .external_lex_state = 13},
  [2112] = {.lex_state = 8, .external_lex_state = 14},
  [2113] = {.lex_state = 8, .external_lex_state = 14},
  [2114] = {.lex_state = 8, .external_lex_state = 13},
  [2115] = {.lex_state = 0, .external_lex_state = 16},
  [2116] = {.lex_state = 8, .external_lex_state = 13},
  [2117] = {.lex_state = 8, .external_lex_state = 13},
  [2118] = {.lex_state = 0, .external_lex_state = 16},
  [2119] = {.lex_state = 8, .external_lex_state = 14},
  [2120] = {.lex_state = 0, .external_lex_state = 16},
  [2121] = {.lex_state = 0, .external_lex_state = 16},
  [2122] = {.lex_state = 0, .external_lex_state = 16},
  [2123] = {.lex_state = 56, .external_lex_state = 12},
  [2124] = {.lex_state = 8, .external_lex_state = 15},
  [2125] = {.lex_state = 8, .external_lex_state = 14},
  [2126] = {.lex_state = 56, .external_lex_state = 12},
  [2127] = {.lex_state = 56, .external_lex_state = 12},
  [2128] = {.lex_state = 56, .external_lex_state = 12},
  [2129] = {.lex_state = 56, .external_lex_state = 12},
  [2130] = {.lex_state = 8, .external_lex_state = 15},
  [2131] = {.lex_state = 56, .external_lex_state = 15},
  [2132] = {.lex_state = 8, .external_lex_state = 15},
  [2133] = {.lex_state = 8, .external_lex_state = 15},
  [2134] = {.lex_state = 56, .external_lex_state = 12},
  [2135] = {.lex_state = 56, .external_lex_state = 15},
  [2136] = {.lex_state = 56, .external_lex_state = 12},
  [2137] = {.lex_state = 56, .external_lex_state = 12},
  [2138] = {.lex_state = 56, .external_lex_state = 12},
  [2139] = {.lex_state = 56, .external_lex_state = 12},
  [2140] = {.lex_state = 56, .external_lex_state = 12},
  [2141] = {.lex_state = 8, .external_lex_state = 14},
  [2142] = {.lex_state = 56, .external_lex_state = 15},
  [2143] = {.lex_state = 56, .external_lex_state = 12},
  [2144] = {.lex_state = 56, .external_lex_state = 15},
  [2145] = {.lex_state = 56, .external_lex_state = 12},
  [2146] = {.lex_state = 56, .external_lex_state = 11},
  [2147] = {.lex_state = 56, .external_lex_state = 12},
  [2148] = {.lex_state = 56, .external_lex_state = 15},
  [2149] = {.lex_state = 56, .external_lex_state = 15},
  [2150] = {.lex_state = 56, .external_lex_state = 15},
  [2151] = {.lex_state = 8, .external_lex_state = 15},
  [2152] = {.lex_state = 8, .external_lex_state = 15},
  [2153] = {.lex_state = 8, .external_lex_state = 14},
  [2154] = {.lex_state = 56, .external_lex_state = 12},
  [2155] = {.lex_state = 56, .external_lex_state = 15},
  [2156] = {.lex_state = 8, .external_lex_state = 14},
  [2157] = {.lex_state = 8, .external_lex_state = 15},
  [2158] = {.lex_state = 56, .external_lex_state = 15},
  [2159] = {.lex_state = 8, .external_lex_state = 14},
  [2160] = {.lex_state = 8, .external_lex_state = 15},
  [2161] = {.lex_state = 56, .external_lex_state = 12},
  [2162] = {.lex_state = 8, .external_lex_state = 15},
  [2163] = {.lex_state = 56, .external_lex_state = 15},
  [2164] = {.lex_state = 8, .external_lex_state = 15},
  [2165] = {.lex_state = 56, .external_lex_state = 12},
  [2166] = {.lex_state = 56, .external_lex_state = 12},
  [2167] = {.lex_state = 56, .external_lex_state = 12},
  [2168] = {.lex_state = 56, .external_lex_state = 12},
  [2169] = {.lex_state = 56, .external_lex_state = 15},
  [2170] = {.lex_state = 56, .external_lex_state = 13},
  [2171] = {.lex_state = 9, .external_lex_state = 17},
  [2172] = {.lex_state = 56, .external_lex_state = 13},
  [2173] = {.lex_state = 9, .external_lex_state = 17},
  [2174] = {.lex_state = 7, .external_lex_state = 13},
  [2175] = {.lex_state = 56, .external_lex_state = 11},
  [2176] = {.lex_state = 56, .external_lex_state = 12},
  [2177] = {.lex_state = 56, .external_lex_state = 13},
  [2178] = {.lex_state = 56, .external_lex_state = 15},
  [2179] = {.lex_state = 56, .external_lex_state = 15},
  [2180] = {.lex_state = 8, .external_lex_state = 14},
  [2181] = {.lex_state = 56, .external_lex_state = 12},
  [2182] = {.lex_state = 7, .external_lex_state = 15},
  [2183] = {.lex_state = 9, .external_lex_state = 17},
  [2184] = {.lex_state = 56, .external_lex_state = 13},
  [2185] = {.lex_state = 56, .external_lex_state = 12},
  [2186] = {.lex_state = 56, .external_lex_state = 14},
  [2187] = {.lex_state = 7, .external_lex_state = 12},
  [2188] = {.lex_state = 56, .external_lex_state = 11},
  [2189] = {.lex_state = 56, .external_lex_state = 11},
  [2190] = {.lex_state = 56, .external_lex_state = 13},
  [2191] = {.lex_state = 56, .external_lex_state = 15},
  [2192] = {.lex_state = 9, .external_lex_state = 17},
  [2193] = {.lex_state = 56, .external_lex_state = 13},
  [2194] = {.lex_state = 56, .external_lex_state = 13},
  [2195] = {.lex_state = 56, .external_lex_state = 15},
  [2196] = {.lex_state = 56, .external_lex_state = 11},
  [2197] = {.lex_state = 56, .external_lex_state = 11},
  [2198] = {.lex_state = 56, .external_lex_state = 13},
  [2199] = {.lex_state = 56, .external_lex_state = 11},
  [2200] = {.lex_state = 56, .external_lex_state = 15},
  [2201] = {.lex_state = 56, .external_lex_state = 11},
  [2202] = {.lex_state = 56, .external_lex_state = 12},
  [2203] = {.lex_state = 56, .external_lex_state = 15},
  [2204] = {.lex_state = 56, .external_lex_state = 2},
  [2205] = {.lex_state = 56, .external_lex_state = 11},
  [2206] = {.lex_state = 56, .external_lex_state = 15},
  [2207] = {.lex_state = 56, .external_lex_state = 15},
  [2208] = {.lex_state = 56, .external_lex_state = 13},
  [2209] = {.lex_state = 56, .external_lex_state = 15},
  [2210] = {.lex_state = 56, .external_lex_state = 13},
  [2211] = {.lex_state = 56, .external_lex_state = 15},
  [2212] = {.lex_state = 56, .external_lex_state = 13},
  [2213] = {.lex_state = 56, .external_lex_state = 13},
  [2214] = {.lex_state = 56, .external_lex_state = 15},
  [2215] = {.lex_state = 56, .external_lex_state = 11},
  [2216] = {.lex_state = 56, .external_lex_state = 6},
  [2217] = {.lex_state = 0, .external_lex_state = 16},
  [2218] = {.lex_state = 56, .external_lex_state = 8},
  [2219] = {.lex_state = 56, .external_lex_state = 13},
  [2220] = {.lex_state = 56, .external_lex_state = 15},
  [2221] = {.lex_state = 7, .external_lex_state = 14},
  [2222] = {.lex_state = 56, .external_lex_state = 15},
  [2223] = {.lex_state = 7, .external_lex_state = 13},
  [2224] = {.lex_state = 0, .external_lex_state = 16},
  [2225] = {.lex_state = 7, .external_lex_state = 12},
  [2226] = {.lex_state = 56, .external_lex_state = 12},
  [2227] = {.lex_state = 56, .external_lex_state = 15},
  [2228] = {.lex_state = 56, .external_lex_state = 15},
  [2229] = {.lex_state = 56, .external_lex_state = 14},
  [2230] = {.lex_state = 56, .external_lex_state = 12},
  [2231] = {.lex_state = 56, .external_lex_state = 12},
  [2232] = {.lex_state = 56, .external_lex_state = 12},
  [2233] = {.lex_state = 56, .external_lex_state = 13},
  [2234] = {.lex_state = 56, .external_lex_state = 15},
  [2235] = {.lex_state = 56, .external_lex_state = 11},
  [2236] = {.lex_state = 56, .external_lex_state = 14},
  [2237] = {.lex_state = 56, .external_lex_state = 14},
  [2238] = {.lex_state = 56, .external_lex_state = 12},
  [2239] = {.lex_state = 56, .external_lex_state = 12},
  [2240] = {.lex_state = 56, .external_lex_state = 15},
  [2241] = {.lex_state = 56, .external_lex_state = 11},
  [2242] = {.lex_state = 56, .external_lex_state = 12},
  [2243] = {.lex_state = 56, .external_lex_state = 15},
  [2244] = {.lex_state = 56, .external_lex_state = 12},
  [2245] = {.lex_state = 56, .external_lex_state = 14},
  [2246] = {.lex_state = 7, .external_lex_state = 13},
  [2247] = {.lex_state = 56, .external_lex_state = 14},
  [2248] = {.lex_state = 7, .external_lex_state = 15},
  [2249] = {.lex_state = 56, .external_lex_state = 12},
  [2250] = {.lex_state = 56, .external_lex_state = 13},
  [2251] = {.lex_state = 56, .external_lex_state = 13},
  [2252] = {.lex_state = 56, .external_lex_state = 13},
  [2253] = {.lex_state = 7, .external_lex_state = 12},
  [2254] = {.lex_state = 56, .external_lex_state = 15},
  [2255] = {.lex_state = 7, .external_lex_state = 13},
  [2256] = {.lex_state = 7, .external_lex_state = 15},
  [2257] = {.lex_state = 56, .external_lex_state = 12},
  [2258] = {.lex_state = 56, .external_lex_state = 7},
  [2259] = {.lex_state = 7, .external_lex_state = 12},
  [2260] = {.lex_state = 56, .external_lex_state = 13},
  [2261] = {.lex_state = 56, .external_lex_state = 15},
  [2262] = {.lex_state = 56, .external_lex_state = 14},
  [2263] = {.lex_state = 7, .external_lex_state = 15},
  [2264] = {.lex_state = 56, .external_lex_state = 14},
  [2265] = {.lex_state = 56, .external_lex_state = 14},
  [2266] = {.lex_state = 56, .external_lex_state = 12},
  [2267] = {.lex_state = 56, .external_lex_state = 14},
  [2268] = {.lex_state = 56, .external_lex_state = 12},
  [2269] = {.lex_state = 8, .external_lex_state = 11},
  [2270] = {.lex_state = 56, .external_lex_state = 15},
  [2271] = {.lex_state = 7, .external_lex_state = 11},
  [2272] = {.lex_state = 56, .external_lex_state = 15},
  [2273] = {.lex_state = 56, .external_lex_state = 14},
  [2274] = {.lex_state = 56, .external_lex_state = 14},
  [2275] = {.lex_state = 8, .external_lex_state = 15},
  [2276] = {.lex_state = 56, .external_lex_state = 15},
  [2277] = {.lex_state = 7, .external_lex_state = 12},
  [2278] = {.lex_state = 56, .external_lex_state = 14},
  [2279] = {.lex_state = 56, .external_lex_state = 14},
  [2280] = {.lex_state = 8, .external_lex_state = 11},
  [2281] = {.lex_state = 8, .external_lex_state = 11},
  [2282] = {.lex_state = 0, .external_lex_state = 16},
  [2283] = {.lex_state = 56, .external_lex_state = 14},
  [2284] = {.lex_state = 0, .external_lex_state = 16},
  [2285] = {.lex_state = 56, .external_lex_state = 12},
  [2286] = {.lex_state = 56, .external_lex_state = 15},
  [2287] = {.lex_state = 56, .external_lex_state = 14},
  [2288] = {.lex_state = 56, .external_lex_state = 11},
  [2289] = {.lex_state = 56, .external_lex_state = 14},
  [2290] = {.lex_state = 8, .external_lex_state = 15},
  [2291] = {.lex_state = 56, .external_lex_state = 15},
  [2292] = {.lex_state = 56, .external_lex_state = 13},
  [2293] = {.lex_state = 56, .external_lex_state = 14},
  [2294] = {.lex_state = 8, .external_lex_state = 14},
  [2295] = {.lex_state = 0, .external_lex_state = 16},
  [2296] = {.lex_state = 56, .external_lex_state = 14},
  [2297] = {.lex_state = 56, .external_lex_state = 11},
  [2298] = {.lex_state = 8, .external_lex_state = 13},
  [2299] = {.lex_state = 8, .external_lex_state = 13},
  [2300] = {.lex_state = 56, .external_lex_state = 13},
  [2301] = {.lex_state = 56, .external_lex_state = 13},
  [2302] = {.lex_state = 56, .external_lex_state = 15},
  [2303] = {.lex_state = 56, .external_lex_state = 13},
  [2304] = {.lex_state = 56, .external_lex_state = 13},
  [2305] = {.lex_state = 56, .external_lex_state = 15},
  [2306] = {.lex_state = 56, .external_lex_state = 12},
  [2307] = {.lex_state = 56, .external_lex_state = 12},
  [2308] = {.lex_state = 56, .external_lex_state = 12},
  [2309] = {.lex_state = 56, .external_lex_state = 12},
  [2310] = {.lex_state = 56, .external_lex_state = 12},
  [2311] = {.lex_state = 0, .external_lex_state = 16},
  [2312] = {.lex_state = 7, .external_lex_state = 13},
  [2313] = {.lex_state = 56, .external_lex_state = 15},
  [2314] = {.lex_state = 0, .external_lex_state = 16},
  [2315] = {.lex_state = 0, .external_lex_state = 16},
  [2316] = {.lex_state = 7, .external_lex_state = 11},
  [2317] = {.lex_state = 8, .external_lex_state = 13},
  [2318] = {.lex_state = 56, .external_lex_state = 13},
  [2319] = {.lex_state = 56, .external_lex_state = 13},
  [2320] = {.lex_state = 56, .external_lex_state = 13},
  [2321] = {.lex_state = 8, .external_lex_state = 11},
  [2322] = {.lex_state = 0, .external_lex_state = 16},
  [2323] = {.lex_state = 56, .external_lex_state = 13},
  [2324] = {.lex_state = 56, .external_lex_state = 15},
  [2325] = {.lex_state = 8, .external_lex_state = 13},
  [2326] = {.lex_state = 56, .external_lex_state = 12},
  [2327] = {.lex_state = 8, .external_lex_state = 14},
  [2328] = {.lex_state = 56, .external_lex_state = 14},
  [2329] = {.lex_state = 56, .external_lex_state = 14},
  [2330] = {.lex_state = 56, .external_lex_state = 12},
  [2331] = {.lex_state = 56, .external_lex_state = 14},
  [2332] = {.lex_state = 56, .external_lex_state = 13},
  [2333] = {.lex_state = 8, .external_lex_state = 15},
  [2334] = {.lex_state = 56, .external_lex_state = 12},
  [2335] = {.lex_state = 8, .external_lex_state = 15},
  [2336] = {.lex_state = 56, .external_lex_state = 15},
  [2337] = {.lex_state = 8, .external_lex_state = 14},
  [2338] = {.lex_state = 56, .external_lex_state = 15},
  [2339] = {.lex_state = 56, .external_lex_state = 12},
  [2340] = {.lex_state = 56, .external_lex_state = 15},
  [2341] = {.lex_state = 56, .external_lex_state = 14},
  [2342] = {.lex_state = 8, .external_lex_state = 11},
  [2343] = {.lex_state = 8, .external_lex_state = 11},
  [2344] = {.lex_state = 56, .external_lex_state = 14},
  [2345] = {.lex_state = 7, .external_lex_state = 15},
  [2346] = {.lex_state = 8, .external_lex_state = 11},
  [2347] = {.lex_state = 56, .external_lex_state = 15},
  [2348] = {.lex_state = 56, .external_lex_state = 13},
  [2349] = {.lex_state = 56, .external_lex_state = 13},
  [2350] = {.lex_state = 56, .external_lex_state = 15},
  [2351] = {.lex_state = 56, .external_lex_state = 15},
  [2352] = {.lex_state = 0, .external_lex_state = 16},
  [2353] = {.lex_state = 56, .external_lex_state = 12},
  [2354] = {.lex_state = 8, .external_lex_state = 11},
  [2355] = {.lex_state = 8, .external_lex_state = 13},
  [2356] = {.lex_state = 8, .external_lex_state = 13},
  [2357] = {.lex_state = 56, .external_lex_state = 13},
  [2358] = {.lex_state = 56, .external_lex_state = 15},
  [2359] = {.lex_state = 56, .external_lex_state = 15},
  [2360] = {.lex_state = 8, .external_lex_state = 13},
  [2361] = {.lex_state = 8, .external_lex_state = 11},
  [2362] = {.lex_state = 56, .external_lex_state = 13},
  [2363] = {.lex_state = 56, .external_lex_state = 12},
  [2364] = {.lex_state = 56, .external_lex_state = 13},
  [2365] = {.lex_state = 56, .external_lex_state = 11},
  [2366] = {.lex_state = 56, .external_lex_state = 13},
  [2367] = {.lex_state = 8, .external_lex_state = 11},
  [2368] = {.lex_state = 7, .external_lex_state = 11},
  [2369] = {.lex_state = 56, .external_lex_state = 13},
  [2370] = {.lex_state = 8, .external_lex_state = 13},
  [2371] = {.lex_state = 56, .external_lex_state = 12},
  [2372] = {.lex_state = 56, .external_lex_state = 12},
  [2373] = {.lex_state = 56, .external_lex_state = 15},
  [2374] = {.lex_state = 56, .external_lex_state = 14},
  [2375] = {.lex_state = 8, .external_lex_state = 13},
  [2376] = {.lex_state = 56, .external_lex_state = 13},
  [2377] = {.lex_state = 56, .external_lex_state = 12},
  [2378] = {.lex_state = 8, .external_lex_state = 13},
  [2379] = {.lex_state = 56, .external_lex_state = 14},
  [2380] = {.lex_state = 8, .external_lex_state = 14},
  [2381] = {.lex_state = 56, .external_lex_state = 15},
  [2382] = {.lex_state = 56, .external_lex_state = 13},
  [2383] = {.lex_state = 56, .external_lex_state = 14},
  [2384] = {.lex_state = 56, .external_lex_state = 14},
  [2385] = {.lex_state = 56, .external_lex_state = 12},
  [2386] = {.lex_state = 8, .external_lex_state = 14},
  [2387] = {.lex_state = 8, .external_lex_state = 14},
  [2388] = {.lex_state = 8, .external_lex_state = 11},
  [2389] = {.lex_state = 8, .external_lex_state = 14},
  [2390] = {.lex_state = 56, .external_lex_state = 14},
  [2391] = {.lex_state = 8, .external_lex_state = 14},
  [2392] = {.lex_state = 56, .external_lex_state = 13},
  [2393] = {.lex_state = 3, .external_lex_state = 12},
  [2394] = {.lex_state = 56, .external_lex_state = 12},
  [2395] = {.lex_state = 56, .external_lex_state = 12},
  [2396] = {.lex_state = 56, .external_lex_state = 14},
  [2397] = {.lex_state = 56, .external_lex_state = 11},
  [2398] = {.lex_state = 56, .external_lex_state = 12},
  [2399] = {.lex_state = 56, .external_lex_state = 15},
  [2400] = {.lex_state = 56, .external_lex_state = 14},
  [2401] = {.lex_state = 56, .external_lex_state = 14},
  [2402] = {.lex_state = 56, .external_lex_state = 14},
  [2403] = {.lex_state = 56, .external_lex_state = 14},
  [2404] = {.lex_state = 56, .external_lex_state = 14},
  [2405] = {.lex_state = 56, .external_lex_state = 13},
  [2406] = {.lex_state = 56, .external_lex_state = 15},
  [2407] = {.lex_state = 56, .external_lex_state = 13},
  [2408] = {.lex_state = 56, .external_lex_state = 12},
  [2409] = {.lex_state = 56, .external_lex_state = 14},
  [2410] = {.lex_state = 56, .external_lex_state = 12},
  [2411] = {.lex_state = 56, .external_lex_state = 11},
  [2412] = {.lex_state = 56, .external_lex_state = 12},
  [2413] = {.lex_state = 56, .external_lex_state = 15},
  [2414] = {.lex_state = 8, .external_lex_state = 15},
  [2415] = {.lex_state = 56, .external_lex_state = 14},
  [2416] = {.lex_state = 56, .external_lex_state = 14},
  [2417] = {.lex_state = 56, .external_lex_state = 14},
  [2418] = {.lex_state = 56, .external_lex_state = 14},
  [2419] = {.lex_state = 56, .external_lex_state = 14},
  [2420] = {.lex_state = 8, .external_lex_state = 14},
  [2421] = {.lex_state = 8, .external_lex_state = 14},
  [2422] = {.lex_state = 56, .external_lex_state = 14},
  [2423] = {.lex_state = 56, .external_lex_state = 12},
  [2424] = {.lex_state = 56, .external_lex_state = 12},
  [2425] = {.lex_state = 56, .external_lex_state = 14},
  [2426] = {.lex_state = 56, .external_lex_state = 11},
  [2427] = {.lex_state = 56, .external_lex_state = 14},
  [2428] = {.lex_state = 56, .external_lex_state = 14},
  [2429] = {.lex_state = 56, .external_lex_state = 14},
  [2430] = {.lex_state = 56, .external_lex_state = 12},
  [2431] = {.lex_state = 56, .external_lex_state = 12},
  [2432] = {.lex_state = 56, .external_lex_state = 12},
  [2433] = {.lex_state = 56, .external_lex_state = 12},
  [2434] = {.lex_state = 56, .external_lex_state = 12},
  [2435] = {.lex_state = 56, .external_lex_state = 14},
  [2436] = {.lex_state = 56, .external_lex_state = 14},
  [2437] = {.lex_state = 56, .external_lex_state = 12},
  [2438] = {.lex_state = 56, .external_lex_state = 14},
  [2439] = {.lex_state = 8, .external_lex_state = 15},
  [2440] = {.lex_state = 56, .external_lex_state = 11},
  [2441] = {.lex_state = 8, .external_lex_state = 15},
  [2442] = {.lex_state = 56, .external_lex_state = 14},
  [2443] = {.lex_state = 56, .external_lex_state = 14},
  [2444] = {.lex_state = 8, .external_lex_state = 15},
  [2445] = {.lex_state = 56, .external_lex_state = 11},
  [2446] = {.lex_state = 56, .external_lex_state = 14},
  [2447] = {.lex_state = 56, .external_lex_state = 12},
  [2448] = {.lex_state = 56, .external_lex_state = 13},
  [2449] = {.lex_state = 56, .external_lex_state = 14},
  [2450] = {.lex_state = 56, .external_lex_state = 14},
  [2451] = {.lex_state = 8, .external_lex_state = 15},
  [2452] = {.lex_state = 56, .external_lex_state = 14},
  [2453] = {.lex_state = 56, .external_lex_state = 13},
  [2454] = {.lex_state = 56, .external_lex_state = 14},
  [2455] = {.lex_state = 56, .external_lex_state = 14},
  [2456] = {.lex_state = 56, .external_lex_state = 14},
  [2457] = {.lex_state = 56, .external_lex_state = 13},
  [2458] = {.lex_state = 56, .external_lex_state = 15},
  [2459] = {.lex_state = 56, .external_lex_state = 12},
  [2460] = {.lex_state = 56, .external_lex_state = 12},
  [2461] = {.lex_state = 3, .external_lex_state = 12},
  [2462] = {.lex_state = 56, .external_lex_state = 14},
  [2463] = {.lex_state = 56, .external_lex_state = 14},
  [2464] = {.lex_state = 56, .external_lex_state = 14},
  [2465] = {.lex_state = 56, .external_lex_state = 11},
  [2466] = {.lex_state = 56, .external_lex_state = 13},
  [2467] = {.lex_state = 56, .external_lex_state = 14},
  [2468] = {.lex_state = 56, .external_lex_state = 15},
  [2469] = {.lex_state = 56, .external_lex_state = 12},
  [2470] = {.lex_state = 56, .external_lex_state = 14},
  [2471] = {.lex_state = 56, .external_lex_state = 13},
  [2472] = {.lex_state = 56, .external_lex_state = 14},
  [2473] = {.lex_state = 7, .external_lex_state = 11},
  [2474] = {.lex_state = 56, .external_lex_state = 15},
  [2475] = {.lex_state = 8, .external_lex_state = 15},
  [2476] = {.lex_state = 56, .external_lex_state = 12},
  [2477] = {.lex_state = 56, .external_lex_state = 14},
  [2478] = {.lex_state = 8, .external_lex_state = 13},
  [2479] = {.lex_state = 3, .external_lex_state = 12},
  [2480] = {.lex_state = 56, .external_lex_state = 14},
  [2481] = {.lex_state = 56, .external_lex_state = 14},
  [2482] = {.lex_state = 56, .external_lex_state = 14},
  [2483] = {.lex_state = 56, .external_lex_state = 14},
  [2484] = {.lex_state = 56, .external_lex_state = 14},
  [2485] = {.lex_state = 56, .external_lex_state = 12},
  [2486] = {.lex_state = 56, .external_lex_state = 14},
  [2487] = {.lex_state = 56, .external_lex_state = 14},
  [2488] = {.lex_state = 56, .external_lex_state = 14},
  [2489] = {.lex_state = 56, .external_lex_state = 14},
  [2490] = {.lex_state = 56, .external_lex_state = 15},
  [2491] = {.lex_state = 8, .external_lex_state = 13},
  [2492] = {.lex_state = 8, .external_lex_state = 15},
  [2493] = {.lex_state = 8, .external_lex_state = 15},
  [2494] = {.lex_state = 56, .external_lex_state = 14},
  [2495] = {.lex_state = 56, .external_lex_state = 14},
  [2496] = {.lex_state = 56, .external_lex_state = 14},
  [2497] = {.lex_state = 56, .external_lex_state = 15},
  [2498] = {.lex_state = 8, .external_lex_state = 15},
  [2499] = {.lex_state = 56, .external_lex_state = 11},
  [2500] = {.lex_state = 8, .external_lex_state = 15},
  [2501] = {.lex_state = 56, .external_lex_state = 15},
  [2502] = {.lex_state = 56, .external_lex_state = 14},
  [2503] = {.lex_state = 56, .external_lex_state = 13},
  [2504] = {.lex_state = 56, .external_lex_state = 14},
  [2505] = {.lex_state = 56, .external_lex_state = 14},
  [2506] = {.lex_state = 56, .external_lex_state = 13},
  [2507] = {.lex_state = 56, .external_lex_state = 12},
  [2508] = {.lex_state = 56, .external_lex_state = 13},
  [2509] = {.lex_state = 56, .external_lex_state = 14},
  [2510] = {.lex_state = 56, .external_lex_state = 13},
  [2511] = {.lex_state = 56, .external_lex_state = 12},
  [2512] = {.lex_state = 56, .external_lex_state = 18},
  [2513] = {.lex_state = 56, .external_lex_state = 13},
  [2514] = {.lex_state = 56, .external_lex_state = 14},
  [2515] = {.lex_state = 56, .external_lex_state = 14},
  [2516] = {.lex_state = 56, .external_lex_state = 15},
  [2517] = {.lex_state = 56, .external_lex_state = 14},
  [2518] = {.lex_state = 56, .external_lex_state = 13},
  [2519] = {.lex_state = 56, .external_lex_state = 15},
  [2520] = {.lex_state = 56, .external_lex_state = 15},
  [2521] = {.lex_state = 56, .external_lex_state = 14},
  [2522] = {.lex_state = 56, .external_lex_state = 15},
  [2523] = {.lex_state = 56, .external_lex_state = 13},
  [2524] = {.lex_state = 56, .external_lex_state = 15},
  [2525] = {.lex_state = 56, .external_lex_state = 12},
  [2526] = {.lex_state = 56, .external_lex_state = 14},
  [2527] = {.lex_state = 56, .external_lex_state = 13},
  [2528] = {.lex_state = 56, .external_lex_state = 18},
  [2529] = {.lex_state = 56, .external_lex_state = 12},
  [2530] = {.lex_state = 56, .external_lex_state = 15},
  [2531] = {.lex_state = 56, .external_lex_state = 13},
  [2532] = {.lex_state = 56, .external_lex_state = 15},
  [2533] = {.lex_state = 56, .external_lex_state = 14},
  [2534] = {.lex_state = 7, .external_lex_state = 14},
  [2535] = {.lex_state = 56, .external_lex_state = 15},
  [2536] = {.lex_state = 56, .external_lex_state = 13},
  [2537] = {.lex_state = 56, .external_lex_state = 15},
  [2538] = {.lex_state = 56, .external_lex_state = 13},
  [2539] = {.lex_state = 56, .external_lex_state = 11},
  [2540] = {.lex_state = 56, .external_lex_state = 15},
  [2541] = {.lex_state = 56, .external_lex_state = 11},
  [2542] = {.lex_state = 56, .external_lex_state = 13},
  [2543] = {.lex_state = 56, .external_lex_state = 15},
  [2544] = {.lex_state = 56, .external_lex_state = 15},
  [2545] = {.lex_state = 56, .external_lex_state = 13},
  [2546] = {.lex_state = 56, .external_lex_state = 15},
  [2547] = {.lex_state = 56, .external_lex_state = 13},
  [2548] = {.lex_state = 56, .external_lex_state = 12},
  [2549] = {.lex_state = 56, .external_lex_state = 13},
  [2550] = {.lex_state = 56, .external_lex_state = 13},
  [2551] = {.lex_state = 56, .external_lex_state = 13},
  [2552] = {.lex_state = 56, .external_lex_state = 11},
  [2553] = {.lex_state = 56, .external_lex_state = 15},
  [2554] = {.lex_state = 56, .external_lex_state = 13},
  [2555] = {.lex_state = 56, .external_lex_state = 15},
  [2556] = {.lex_state = 56, .external_lex_state = 15},
  [2557] = {.lex_state = 56, .external_lex_state = 13},
  [2558] = {.lex_state = 56, .external_lex_state = 15},
  [2559] = {.lex_state = 56, .external_lex_state = 15},
  [2560] = {.lex_state = 56, .external_lex_state = 14},
  [2561] = {.lex_state = 56, .external_lex_state = 15},
  [2562] = {.lex_state = 56, .external_lex_state = 13},
  [2563] = {.lex_state = 56, .external_lex_state = 15},
  [2564] = {.lex_state = 56, .external_lex_state = 11},
  [2565] = {.lex_state = 56, .external_lex_state = 11},
  [2566] = {.lex_state = 56, .external_lex_state = 15},
  [2567] = {.lex_state = 8, .external_lex_state = 14},
  [2568] = {.lex_state = 56, .external_lex_state = 11},
  [2569] = {.lex_state = 56, .external_lex_state = 11},
  [2570] = {.lex_state = 56, .external_lex_state = 13},
  [2571] = {.lex_state = 56, .external_lex_state = 13},
  [2572] = {.lex_state = 56, .external_lex_state = 18},
  [2573] = {.lex_state = 56, .external_lex_state = 11},
  [2574] = {.lex_state = 56, .external_lex_state = 11},
  [2575] = {.lex_state = 56, .external_lex_state = 15},
  [2576] = {.lex_state = 7, .external_lex_state = 14},
  [2577] = {.lex_state = 56, .external_lex_state = 15},
  [2578] = {.lex_state = 56, .external_lex_state = 15},
  [2579] = {.lex_state = 56, .external_lex_state = 14},
  [2580] = {.lex_state = 56, .external_lex_state = 13},
  [2581] = {.lex_state = 56, .external_lex_state = 15},
  [2582] = {.lex_state = 56, .external_lex_state = 14},
  [2583] = {.lex_state = 56, .external_lex_state = 13},
  [2584] = {.lex_state = 56, .external_lex_state = 13},
  [2585] = {.lex_state = 56, .external_lex_state = 12},
  [2586] = {.lex_state = 56, .external_lex_state = 14},
  [2587] = {.lex_state = 56, .external_lex_state = 15},
  [2588] = {.lex_state = 56, .external_lex_state = 14},
  [2589] = {.lex_state = 56, .external_lex_state = 12},
  [2590] = {.lex_state = 56, .external_lex_state = 14},
  [2591] = {.lex_state = 56, .external_lex_state = 12},
  [2592] = {.lex_state = 56, .external_lex_state = 12},
  [2593] = {.lex_state = 56, .external_lex_state = 12},
  [2594] = {.lex_state = 56, .external_lex_state = 12},
  [2595] = {.lex_state = 56, .external_lex_state = 11},
  [2596] = {.lex_state = 56, .external_lex_state = 13},
  [2597] = {.lex_state = 56, .external_lex_state = 15},
  [2598] = {.lex_state = 56, .external_lex_state = 11},
  [2599] = {.lex_state = 56, .external_lex_state = 12},
  [2600] = {.lex_state = 56, .external_lex_state = 14},
  [2601] = {.lex_state = 56, .external_lex_state = 13},
  [2602] = {.lex_state = 56, .external_lex_state = 12},
  [2603] = {.lex_state = 56, .external_lex_state = 12},
  [2604] = {.lex_state = 56, .external_lex_state = 18},
  [2605] = {.lex_state = 56, .external_lex_state = 12},
  [2606] = {.lex_state = 56, .external_lex_state = 14},
  [2607] = {.lex_state = 56, .external_lex_state = 12},
  [2608] = {.lex_state = 56, .external_lex_state = 12},
  [2609] = {.lex_state = 56, .external_lex_state = 13},
  [2610] = {.lex_state = 56, .external_lex_state = 12},
  [2611] = {.lex_state = 8, .external_lex_state = 14},
  [2612] = {.lex_state = 56, .external_lex_state = 13},
  [2613] = {.lex_state = 56, .external_lex_state = 14},
  [2614] = {.lex_state = 56, .external_lex_state = 11},
  [2615] = {.lex_state = 56, .external_lex_state = 14},
  [2616] = {.lex_state = 56, .external_lex_state = 13},
  [2617] = {.lex_state = 56, .external_lex_state = 18},
  [2618] = {.lex_state = 56, .external_lex_state = 13},
  [2619] = {.lex_state = 56, .external_lex_state = 13},
  [2620] = {.lex_state = 56, .external_lex_state = 14},
  [2621] = {.lex_state = 56, .external_lex_state = 12},
  [2622] = {.lex_state = 56, .external_lex_state = 13},
  [2623] = {.lex_state = 56, .external_lex_state = 11},
  [2624] = {.lex_state = 8, .external_lex_state = 14},
  [2625] = {.lex_state = 56, .external_lex_state = 13},
  [2626] = {.lex_state = 56, .external_lex_state = 13},
  [2627] = {.lex_state = 56, .external_lex_state = 12},
  [2628] = {.lex_state = 56, .external_lex_state = 12},
  [2629] = {.lex_state = 56, .external_lex_state = 13},
  [2630] = {.lex_state = 56, .external_lex_state = 12},
  [2631] = {.lex_state = 56, .external_lex_state = 11},
  [2632] = {.lex_state = 56, .external_lex_state = 12},
  [2633] = {.lex_state = 56, .external_lex_state = 13},
  [2634] = {.lex_state = 56, .external_lex_state = 11},
  [2635] = {.lex_state = 56, .external_lex_state = 14},
  [2636] = {.lex_state = 56, .external_lex_state = 14},
  [2637] = {.lex_state = 56, .external_lex_state = 11},
  [2638] = {.lex_state = 56, .external_lex_state = 14},
  [2639] = {.lex_state = 56, .external_lex_state = 11},
  [2640] = {.lex_state = 56, .external_lex_state = 12},
  [2641] = {.lex_state = 56, .external_lex_state = 12},
  [2642] = {.lex_state = 56, .external_lex_state = 12},
  [2643] = {.lex_state = 56, .external_lex_state = 14},
  [2644] = {.lex_state = 10, .external_lex_state = 14},
  [2645] = {.lex_state = 56, .external_lex_state = 12},
  [2646] = {.lex_state = 56, .external_lex_state = 14},
  [2647] = {.lex_state = 56, .external_lex_state = 14},
  [2648] = {.lex_state = 3, .external_lex_state = 12},
  [2649] = {.lex_state = 56, .external_lex_state = 12},
  [2650] = {.lex_state = 56, .external_lex_state = 15},
  [2651] = {.lex_state = 56, .external_lex_state = 15},
  [2652] = {.lex_state = 56, .external_lex_state = 13},
  [2653] = {.lex_state = 56, .external_lex_state = 15},
  [2654] = {.lex_state = 56, .external_lex_state = 15},
  [2655] = {.lex_state = 56, .external_lex_state = 13},
  [2656] = {.lex_state = 56, .external_lex_state = 15},
  [2657] = {.lex_state = 56, .external_lex_state = 14},
  [2658] = {.lex_state = 56, .external_lex_state = 14},
  [2659] = {.lex_state = 56, .external_lex_state = 13},
  [2660] = {.lex_state = 56, .external_lex_state = 11},
  [2661] = {.lex_state = 10, .external_lex_state = 14},
  [2662] = {.lex_state = 56, .external_lex_state = 11},
  [2663] = {.lex_state = 56, .external_lex_state = 13},
  [2664] = {.lex_state = 56, .external_lex_state = 12},
  [2665] = {.lex_state = 10, .external_lex_state = 14},
  [2666] = {.lex_state = 56, .external_lex_state = 12},
  [2667] = {.lex_state = 56, .external_lex_state = 15},
  [2668] = {.lex_state = 56, .external_lex_state = 14},
  [2669] = {.lex_state = 56, .external_lex_state = 12},
  [2670] = {.lex_state = 56, .external_lex_state = 15},
  [2671] = {.lex_state = 56, .external_lex_state = 13},
  [2672] = {.lex_state = 56, .external_lex_state = 15},
  [2673] = {.lex_state = 56, .external_lex_state = 15},
  [2674] = {.lex_state = 9, .external_lex_state = 17},
  [2675] = {.lex_state = 56, .external_lex_state = 13},
  [2676] = {.lex_state = 56, .external_lex_state = 13},
  [2677] = {.lex_state = 56, .external_lex_state = 14},
  [2678] = {.lex_state = 56, .external_lex_state = 11},
  [2679] = {.lex_state = 56, .external_lex_state = 13},
  [2680] = {.lex_state = 56, .external_lex_state = 14},
  [2681] = {.lex_state = 56, .external_lex_state = 15},
  [2682] = {.lex_state = 56, .external_lex_state = 13},
  [2683] = {.lex_state = 56, .external_lex_state = 13},
  [2684] = {.lex_state = 56, .external_lex_state = 13},
  [2685] = {.lex_state = 56, .external_lex_state = 15},
  [2686] = {.lex_state = 56, .external_lex_state = 13},
  [2687] = {.lex_state = 10, .external_lex_state = 14},
  [2688] = {.lex_state = 3, .external_lex_state = 12},
  [2689] = {.lex_state = 56, .external_lex_state = 12},
  [2690] = {.lex_state = 56, .external_lex_state = 12},
  [2691] = {.lex_state = 3, .external_lex_state = 12},
  [2692] = {.lex_state = 56, .external_lex_state = 14},
  [2693] = {.lex_state = 3, .external_lex_state = 12},
  [2694] = {.lex_state = 56, .external_lex_state = 19},
  [2695] = {.lex_state = 56, .external_lex_state = 12},
  [2696] = {.lex_state = 3, .external_lex_state = 12},
  [2697] = {.lex_state = 56, .external_lex_state = 11},
  [2698] = {.lex_state = 56, .external_lex_state = 15},
  [2699] = {.lex_state = 56, .external_lex_state = 13},
  [2700] = {.lex_state = 56, .external_lex_state = 11},
  [2701] = {.lex_state = 56, .external_lex_state = 11},
  [2702] = {.lex_state = 56, .external_lex_state = 13},
  [2703] = {.lex_state = 56, .external_lex_state = 19},
  [2704] = {.lex_state = 56, .external_lex_state = 14},
  [2705] = {.lex_state = 56, .external_lex_state = 14},
  [2706] = {.lex_state = 56, .external_lex_state = 13},
  [2707] = {.lex_state = 56, .external_lex_state = 13},
  [2708] = {.lex_state = 3, .external_lex_state = 12},
  [2709] = {.lex_state = 3, .external_lex_state = 12},
  [2710] = {.lex_state = 3, .external_lex_state = 12},
  [2711] = {.lex_state = 56, .external_lex_state = 19},
  [2712] = {.lex_state = 56, .external_lex_state = 12},
  [2713] = {.lex_state = 9, .external_lex_state = 17},
  [2714] = {.lex_state = 56, .external_lex_state = 13},
  [2715] = {.lex_state = 56, .external_lex_state = 11},
  [2716] = {.lex_state = 56, .external_lex_state = 19},
  [2717] = {.lex_state = 56, .external_lex_state = 14},
  [2718] = {.lex_state = 56, .external_lex_state = 13},
  [2719] = {.lex_state = 56, .external_lex_state = 13},
  [2720] = {.lex_state = 56, .external_lex_state = 13},
  [2721] = {.lex_state = 56, .external_lex_state = 13},
  [2722] = {.lex_state = 56, .external_lex_state = 15},
  [2723] = {.lex_state = 56, .external_lex_state = 14},
  [2724] = {.lex_state = 56, .external_lex_state = 19},
  [2725] = {.lex_state = 10, .external_lex_state = 14},
  [2726] = {.lex_state = 56, .external_lex_state = 12},
  [2727] = {.lex_state = 56, .external_lex_state = 14},
  [2728] = {.lex_state = 56, .external_lex_state = 14},
  [2729] = {.lex_state = 56, .external_lex_state = 13},
  [2730] = {.lex_state = 56, .external_lex_state = 13},
  [2731] = {.lex_state = 56, .external_lex_state = 13},
  [2732] = {.lex_state = 56, .external_lex_state = 12},
  [2733] = {.lex_state = 56, .external_lex_state = 15},
  [2734] = {.lex_state = 56, .external_lex_state = 15},
  [2735] = {.lex_state = 56, .external_lex_state = 15},
  [2736] = {.lex_state = 56, .external_lex_state = 13},
  [2737] = {.lex_state = 56, .external_lex_state = 14},
  [2738] = {.lex_state = 56, .external_lex_state = 14},
  [2739] = {.lex_state = 56, .external_lex_state = 15},
  [2740] = {.lex_state = 56, .external_lex_state = 14},
  [2741] = {.lex_state = 3, .external_lex_state = 12},
  [2742] = {.lex_state = 56, .external_lex_state = 13},
  [2743] = {.lex_state = 9, .external_lex_state = 17},
  [2744] = {.lex_state = 56, .external_lex_state = 15},
  [2745] = {.lex_state = 56, .external_lex_state = 13},
  [2746] = {.lex_state = 8, .external_lex_state = 14},
  [2747] = {.lex_state = 9, .external_lex_state = 17},
  [2748] = {.lex_state = 8, .external_lex_state = 14},
  [2749] = {.lex_state = 8, .external_lex_state = 14},
  [2750] = {.lex_state = 8, .external_lex_state = 14},
  [2751] = {.lex_state = 56, .external_lex_state = 11},
  [2752] = {.lex_state = 8, .external_lex_state = 14},
  [2753] = {.lex_state = 10, .external_lex_state = 14},
  [2754] = {.lex_state = 56, .external_lex_state = 12},
  [2755] = {.lex_state = 56, .external_lex_state = 15},
  [2756] = {.lex_state = 8, .external_lex_state = 14},
  [2757] = {.lex_state = 8, .external_lex_state = 14},
  [2758] = {.lex_state = 8, .external_lex_state = 14},
  [2759] = {.lex_state = 8, .external_lex_state = 14},
  [2760] = {.lex_state = 8, .external_lex_state = 14},
  [2761] = {.lex_state = 56, .external_lex_state = 13},
  [2762] = {.lex_state = 56, .external_lex_state = 12},
  [2763] = {.lex_state = 56, .external_lex_state = 15},
  [2764] = {.lex_state = 8, .external_lex_state = 14},
  [2765] = {.lex_state = 8, .external_lex_state = 14},
  [2766] = {.lex_state = 56, .external_lex_state = 12},
  [2767] = {.lex_state = 8, .external_lex_state = 14},
  [2768] = {.lex_state = 56, .external_lex_state = 12},
  [2769] = {.lex_state = 56, .external_lex_state = 13},
  [2770] = {.lex_state = 8, .external_lex_state = 14},
  [2771] = {.lex_state = 8, .external_lex_state = 14},
  [2772] = {.lex_state = 10, .external_lex_state = 14},
  [2773] = {.lex_state = 8, .external_lex_state = 14},
  [2774] = {.lex_state = 10, .external_lex_state = 14},
  [2775] = {.lex_state = 8, .external_lex_state = 14},
  [2776] = {.lex_state = 56, .external_lex_state = 13},
  [2777] = {.lex_state = 56, .external_lex_state = 15},
  [2778] = {.lex_state = 10, .external_lex_state = 14},
  [2779] = {.lex_state = 56, .external_lex_state = 11},
  [2780] = {.lex_state = 10, .external_lex_state = 14},
  [2781] = {.lex_state = 10, .external_lex_state = 14},
  [2782] = {.lex_state = 56, .external_lex_state = 15},
  [2783] = {.lex_state = 10, .external_lex_state = 14},
  [2784] = {.lex_state = 56, .external_lex_state = 12},
  [2785] = {.lex_state = 8, .external_lex_state = 14},
  [2786] = {.lex_state = 10, .external_lex_state = 14},
  [2787] = {.lex_state = 8, .external_lex_state = 14},
  [2788] = {.lex_state = 56, .external_lex_state = 11},
  [2789] = {.lex_state = 10, .external_lex_state = 14},
  [2790] = {.lex_state = 56, .external_lex_state = 13},
  [2791] = {.lex_state = 56, .external_lex_state = 12},
  [2792] = {.lex_state = 8, .external_lex_state = 14},
  [2793] = {.lex_state = 56, .external_lex_state = 15},
  [2794] = {.lex_state = 56, .external_lex_state = 13},
  [2795] = {.lex_state = 8, .external_lex_state = 14},
  [2796] = {.lex_state = 56, .external_lex_state = 15},
  [2797] = {.lex_state = 56, .external_lex_state = 15},
  [2798] = {.lex_state = 8, .external_lex_state = 14},
  [2799] = {.lex_state = 8, .external_lex_state = 14},
  [2800] = {.lex_state = 56, .external_lex_state = 13},
  [2801] = {.lex_state = 8, .external_lex_state = 14},
  [2802] = {.lex_state = 56, .external_lex_state = 15},
  [2803] = {.lex_state = 56, .external_lex_state = 13},
  [2804] = {.lex_state = 56, .external_lex_state = 12},
  [2805] = {.lex_state = 56, .external_lex_state = 13},
  [2806] = {.lex_state = 8, .external_lex_state = 14},
  [2807] = {.lex_state = 56, .external_lex_state = 15},
  [2808] = {.lex_state = 56, .external_lex_state = 15},
  [2809] = {.lex_state = 56, .external_lex_state = 11},
  [2810] = {.lex_state = 56, .external_lex_state = 13},
  [2811] = {.lex_state = 56, .external_lex_state = 15},
  [2812] = {.lex_state = 56, .external_lex_state = 14},
  [2813] = {.lex_state = 56, .external_lex_state = 14},
  [2814] = {.lex_state = 10, .external_lex_state = 14},
  [2815] = {.lex_state = 10, .external_lex_state = 14},
  [2816] = {.lex_state = 56, .external_lex_state = 14},
  [2817] = {.lex_state = 56, .external_lex_state = 14},
  [2818] = {.lex_state = 10, .external_lex_state = 14},
  [2819] = {.lex_state = 56, .external_lex_state = 12},
  [2820] = {.lex_state = 56, .external_lex_state = 13},
  [2821] = {.lex_state = 56, .external_lex_state = 13},
  [2822] = {.lex_state = 56, .external_lex_state = 11},
  [2823] = {.lex_state = 9, .external_lex_state = 17},
  [2824] = {.lex_state = 56, .external_lex_state = 13},
  [2825] = {.lex_state = 56, .external_lex_state = 13},
  [2826] = {.lex_state = 56, .external_lex_state = 13},
  [2827] = {.lex_state = 8, .external_lex_state = 14},
  [2828] = {.lex_state = 56, .external_lex_state = 13},
  [2829] = {.lex_state = 56, .external_lex_state = 15},
  [2830] = {.lex_state = 56, .external_lex_state = 13},
  [2831] = {.lex_state = 56, .external_lex_state = 13},
  [2832] = {.lex_state = 56, .external_lex_state = 15},
  [2833] = {.lex_state = 56, .external_lex_state = 13},
  [2834] = {.lex_state = 56, .external_lex_state = 15},
  [2835] = {.lex_state = 56, .external_lex_state = 15},
  [2836] = {.lex_state = 56, .external_lex_state = 13},
  [2837] = {.lex_state = 56, .external_lex_state = 19},
  [2838] = {.lex_state = 56, .external_lex_state = 13},
  [2839] = {.lex_state = 8, .external_lex_state = 14},
  [2840] = {.lex_state = 56, .external_lex_state = 15},
  [2841] = {.lex_state = 8, .external_lex_state = 14},
  [2842] = {.lex_state = 56, .external_lex_state = 15},
  [2843] = {.lex_state = 56, .external_lex_state = 13},
  [2844] = {.lex_state = 56, .external_lex_state = 15},
  [2845] = {.lex_state = 56, .external_lex_state = 12},
  [2846] = {.lex_state = 56, .external_lex_state = 15},
  [2847] = {.lex_state = 8, .external_lex_state = 14},
  [2848] = {.lex_state = 56, .external_lex_state = 13},
  [2849] = {.lex_state = 56, .external_lex_state = 13},
  [2850] = {.lex_state = 56, .external_lex_state = 12},
  [2851] = {.lex_state = 56, .external_lex_state = 15},
  [2852] = {.lex_state = 56, .external_lex_state = 15},
  [2853] = {.lex_state = 8, .external_lex_state = 14},
  [2854] = {.lex_state = 8, .external_lex_state = 14},
  [2855] = {.lex_state = 56, .external_lex_state = 15},
  [2856] = {.lex_state = 56, .external_lex_state = 15},
  [2857] = {.lex_state = 56, .external_lex_state = 12},
  [2858] = {.lex_state = 56, .external_lex_state = 14},
  [2859] = {.lex_state = 56, .external_lex_state = 15},
  [2860] = {.lex_state = 56, .external_lex_state = 12},
  [2861] = {.lex_state = 8, .external_lex_state = 14},
  [2862] = {.lex_state = 8, .external_lex_state = 14},
  [2863] = {.lex_state = 56, .external_lex_state = 13},
  [2864] = {.lex_state = 56, .external_lex_state = 14},
  [2865] = {.lex_state = 56, .external_lex_state = 15},
  [2866] = {.lex_state = 56, .external_lex_state = 14},
  [2867] = {.lex_state = 56, .external_lex_state = 15},
  [2868] = {.lex_state = 56, .external_lex_state = 12},
  [2869] = {.lex_state = 8, .external_lex_state = 14},
  [2870] = {.lex_state = 56, .external_lex_state = 12},
  [2871] = {.lex_state = 56, .external_lex_state = 19},
  [2872] = {.lex_state = 56, .external_lex_state = 15},
  [2873] = {.lex_state = 56, .external_lex_state = 13},
  [2874] = {.lex_state = 56, .external_lex_state = 13},
  [2875] = {.lex_state = 56, .external_lex_state = 13},
  [2876] = {.lex_state = 56, .external_lex_state = 13},
  [2877] = {.lex_state = 56, .external_lex_state = 13},
  [2878] = {.lex_state = 56, .external_lex_state = 14},
  [2879] = {.lex_state = 56, .external_lex_state = 11},
  [2880] = {.lex_state = 8, .external_lex_state = 14},
  [2881] = {.lex_state = 56, .external_lex_state = 11},
  [2882] = {.lex_state = 56, .external_lex_state = 15},
  [2883] = {.lex_state = 56, .external_lex_state = 11},
  [2884] = {.lex_state = 56, .external_lex_state = 14},
  [2885] = {.lex_state = 8, .external_lex_state = 14},
  [2886] = {.lex_state = 8, .external_lex_state = 14},
  [2887] = {.lex_state = 56, .external_lex_state = 11},
  [2888] = {.lex_state = 56, .external_lex_state = 13},
  [2889] = {.lex_state = 56, .external_lex_state = 12},
  [2890] = {.lex_state = 56, .external_lex_state = 13},
  [2891] = {.lex_state = 56, .external_lex_state = 15},
  [2892] = {.lex_state = 56, .external_lex_state = 12},
  [2893] = {.lex_state = 56, .external_lex_state = 13},
  [2894] = {.lex_state = 56, .external_lex_state = 14},
  [2895] = {.lex_state = 56, .external_lex_state = 11},
  [2896] = {.lex_state = 56, .external_lex_state = 14},
  [2897] = {.lex_state = 8, .external_lex_state = 14},
  [2898] = {.lex_state = 56, .external_lex_state = 12},
  [2899] = {.lex_state = 8, .external_lex_state = 14},
  [2900] = {.lex_state = 56, .external_lex_state = 13},
  [2901] = {.lex_state = 56, .external_lex_state = 12},
  [2902] = {.lex_state = 56, .external_lex_state = 11},
  [2903] = {.lex_state = 8, .external_lex_state = 14},
  [2904] = {.lex_state = 8, .external_lex_state = 14},
  [2905] = {.lex_state = 56, .external_lex_state = 14},
  [2906] = {.lex_state = 56, .external_lex_state = 11},
  [2907] = {.lex_state = 8, .external_lex_state = 14},
  [2908] = {.lex_state = 56, .external_lex_state = 12},
  [2909] = {.lex_state = 10, .external_lex_state = 14},
  [2910] = {.lex_state = 56, .external_lex_state = 14},
  [2911] = {.lex_state = 8, .external_lex_state = 14},
  [2912] = {.lex_state = 56, .external_lex_state = 15},
  [2913] = {.lex_state = 56, .external_lex_state = 15},
  [2914] = {.lex_state = 56, .external_lex_state = 14},
  [2915] = {.lex_state = 56, .external_lex_state = 12},
  [2916] = {.lex_state = 56, .external_lex_state = 13},
  [2917] = {.lex_state = 56, .external_lex_state = 13},
  [2918] = {.lex_state = 10, .external_lex_state = 14},
  [2919] = {.lex_state = 56, .external_lex_state = 15},
  [2920] = {.lex_state = 8, .external_lex_state = 14},
  [2921] = {.lex_state = 56, .external_lex_state = 13},
  [2922] = {.lex_state = 56, .external_lex_state = 13},
  [2923] = {.lex_state = 56, .external_lex_state = 13},
  [2924] = {.lex_state = 56, .external_lex_state = 13},
  [2925] = {.lex_state = 56, .external_lex_state = 15},
  [2926] = {.lex_state = 56, .external_lex_state = 13},
  [2927] = {.lex_state = 56, .external_lex_state = 12},
  [2928] = {.lex_state = 56, .external_lex_state = 13},
  [2929] = {.lex_state = 56, .external_lex_state = 12},
  [2930] = {.lex_state = 56, .external_lex_state = 13},
  [2931] = {.lex_state = 56, .external_lex_state = 13},
  [2932] = {.lex_state = 56, .external_lex_state = 13},
  [2933] = {.lex_state = 56, .external_lex_state = 14},
  [2934] = {.lex_state = 56, .external_lex_state = 15},
  [2935] = {.lex_state = 56, .external_lex_state = 14},
  [2936] = {.lex_state = 56, .external_lex_state = 15},
  [2937] = {.lex_state = 56, .external_lex_state = 11},
  [2938] = {.lex_state = 10, .external_lex_state = 14},
  [2939] = {.lex_state = 56, .external_lex_state = 11},
  [2940] = {.lex_state = 56, .external_lex_state = 13},
  [2941] = {.lex_state = 56, .external_lex_state = 12},
  [2942] = {.lex_state = 8, .external_lex_state = 14},
  [2943] = {.lex_state = 10, .external_lex_state = 14},
  [2944] = {.lex_state = 56, .external_lex_state = 12},
  [2945] = {.lex_state = 10, .external_lex_state = 14},
  [2946] = {.lex_state = 56, .external_lex_state = 13},
  [2947] = {.lex_state = 10, .external_lex_state = 14},
  [2948] = {.lex_state = 56, .external_lex_state = 13},
  [2949] = {.lex_state = 56, .external_lex_state = 11},
  [2950] = {.lex_state = 56, .external_lex_state = 11},
  [2951] = {.lex_state = 8, .external_lex_state = 14},
  [2952] = {.lex_state = 56, .external_lex_state = 13},
  [2953] = {.lex_state = 56, .external_lex_state = 15},
  [2954] = {.lex_state = 56, .external_lex_state = 13},
  [2955] = {.lex_state = 56, .external_lex_state = 13},
  [2956] = {.lex_state = 8, .external_lex_state = 14},
  [2957] = {.lex_state = 56, .external_lex_state = 14},
  [2958] = {.lex_state = 56, .external_lex_state = 12},
  [2959] = {.lex_state = 56, .external_lex_state = 12},
  [2960] = {.lex_state = 10, .external_lex_state = 14},
  [2961] = {.lex_state = 56, .external_lex_state = 12},
  [2962] = {.lex_state = 56, .external_lex_state = 12},
  [2963] = {.lex_state = 10, .external_lex_state = 14},
  [2964] = {.lex_state = 56, .external_lex_state = 15},
  [2965] = {.lex_state = 56, .external_lex_state = 13},
  [2966] = {.lex_state = 56, .external_lex_state = 11},
  [2967] = {.lex_state = 8, .external_lex_state = 14},
  [2968] = {.lex_state = 56, .external_lex_state = 15},
  [2969] = {.lex_state = 56, .external_lex_state = 19},
  [2970] = {.lex_state = 56, .external_lex_state = 14},
  [2971] = {.lex_state = 56, .external_lex_state = 13},
  [2972] = {.lex_state = 56, .external_lex_state = 14},
  [2973] = {.lex_state = 56, .external_lex_state = 13},
  [2974] = {.lex_state = 56, .external_lex_state = 12},
  [2975] = {.lex_state = 56, .external_lex_state = 14},
  [2976] = {.lex_state = 56, .external_lex_state = 15},
  [2977] = {.lex_state = 10, .external_lex_state = 14},
  [2978] = {.lex_state = 56, .external_lex_state = 13},
  [2979] = {.lex_state = 56, .external_lex_state = 13},
  [2980] = {.lex_state = 56, .external_lex_state = 18},
  [2981] = {.lex_state = 56, .external_lex_state = 18},
  [2982] = {.lex_state = 56, .external_lex_state = 14},
  [2983] = {.lex_state = 56, .external_lex_state = 14},
  [2984] = {.lex_state = 56, .external_lex_state = 14},
  [2985] = {.lex_state = 56, .external_lex_state = 15},
  [2986] = {.lex_state = 56, .external_lex_state = 12},
  [2987] = {.lex_state = 56, .external_lex_state = 14},
  [2988] = {.lex_state = 56, .external_lex_state = 14},
  [2989] = {.lex_state = 56, .external_lex_state = 14},
  [2990] = {.lex_state = 56, .external_lex_state = 11},
  [2991] = {.lex_state = 56, .external_lex_state = 11},
  [2992] = {.lex_state = 56, .external_lex_state = 11},
  [2993] = {.lex_state = 56, .external_lex_state = 14},
  [2994] = {.lex_state = 56, .external_lex_state = 15},
  [2995] = {.lex_state = 56, .external_lex_state = 12},
  [2996] = {.lex_state = 56, .external_lex_state = 12},
  [2997] = {.lex_state = 56, .external_lex_state = 12},
  [2998] = {.lex_state = 56, .external_lex_state = 14},
  [2999] = {.lex_state = 56, .external_lex_state = 11},
  [3000] = {.lex_state = 56, .external_lex_state = 12},
  [3001] = {.lex_state = 56, .external_lex_state = 14},
  [3002] = {.lex_state = 56, .external_lex_state = 14},
  [3003] = {.lex_state = 56, .external_lex_state = 18},
  [3004] = {.lex_state = 56, .external_lex_state = 15},
  [3005] = {.lex_state = 56, .external_lex_state = 14},
  [3006] = {.lex_state = 56, .external_lex_state = 18},
  [3007] = {.lex_state = 56, .external_lex_state = 14},
  [3008] = {.lex_state = 56, .external_lex_state = 14},
  [3009] = {.lex_state = 56, .external_lex_state = 18},
  [3010] = {.lex_state = 56, .external_lex_state = 11},
  [3011] = {.lex_state = 56, .external_lex_state = 14},
  [3012] = {.lex_state = 56, .external_lex_state = 14},
  [3013] = {.lex_state = 56, .external_lex_state = 14},
  [3014] = {.lex_state = 56, .external_lex_state = 14},
  [3015] = {.lex_state = 56, .external_lex_state = 11},
  [3016] = {.lex_state = 56, .external_lex_state = 15},
  [3017] = {.lex_state = 56, .external_lex_state = 18},
  [3018] = {.lex_state = 56, .external_lex_state = 14},
  [3019] = {.lex_state = 56, .external_lex_state = 14},
  [3020] = {.lex_state = 56, .external_lex_state = 14},
  [3021] = {.lex_state = 56, .external_lex_state = 15},
  [3022] = {.lex_state = 56, .external_lex_state = 11},
  [3023] = {.lex_state = 56, .external_lex_state = 11},
  [3024] = {.lex_state = 56, .external_lex_state = 15},
  [3025] = {.lex_state = 56, .external_lex_state = 15},
  [3026] = {.lex_state = 56, .external_lex_state = 13},
  [3027] = {.lex_state = 56, .external_lex_state = 14},
  [3028] = {.lex_state = 56, .external_lex_state = 13},
  [3029] = {.lex_state = 56, .external_lex_state = 14},
  [3030] = {.lex_state = 56, .external_lex_state = 13},
  [3031] = {.lex_state = 56, .external_lex_state = 15},
  [3032] = {.lex_state = 56, .external_lex_state = 15},
  [3033] = {.lex_state = 56, .external_lex_state = 14},
  [3034] = {.lex_state = 56, .external_lex_state = 14},
  [3035] = {.lex_state = 56, .external_lex_state = 15},
  [3036] = {.lex_state = 56, .external_lex_state = 13},
  [3037] = {.lex_state = 56, .external_lex_state = 13},
  [3038] = {.lex_state = 56, .external_lex_state = 13},
  [3039] = {.lex_state = 56, .external_lex_state = 11},
  [3040] = {.lex_state = 56, .external_lex_state = 11},
  [3041] = {.lex_state = 56, .external_lex_state = 13},
  [3042] = {.lex_state = 56, .external_lex_state = 11},
  [3043] = {.lex_state = 56, .external_lex_state = 14},
  [3044] = {.lex_state = 56, .external_lex_state = 13},
  [3045] = {.lex_state = 56, .external_lex_state = 18},
  [3046] = {.lex_state = 56, .external_lex_state = 11},
  [3047] = {.lex_state = 56, .external_lex_state = 18},
  [3048] = {.lex_state = 56, .external_lex_state = 14},
  [3049] = {.lex_state = 56, .external_lex_state = 14},
  [3050] = {.lex_state = 56, .external_lex_state = 14},
  [3051] = {.lex_state = 56, .external_lex_state = 18},
  [3052] = {.lex_state = 56, .external_lex_state = 14},
  [3053] = {.lex_state = 56, .external_lex_state = 14},
  [3054] = {.lex_state = 56, .external_lex_state = 13},
  [3055] = {.lex_state = 56, .external_lex_state = 13},
  [3056] = {.lex_state = 56, .external_lex_state = 14},
  [3057] = {.lex_state = 56, .external_lex_state = 14},
  [3058] = {.lex_state = 56, .external_lex_state = 15},
  [3059] = {.lex_state = 56, .external_lex_state = 11},
  [3060] = {.lex_state = 56, .external_lex_state = 14},
  [3061] = {.lex_state = 56, .external_lex_state = 11},
  [3062] = {.lex_state = 56, .external_lex_state = 18},
  [3063] = {.lex_state = 56, .external_lex_state = 14},
  [3064] = {.lex_state = 56, .external_lex_state = 13},
  [3065] = {.lex_state = 56, .external_lex_state = 18},
  [3066] = {.lex_state = 56, .external_lex_state = 18},
  [3067] = {.lex_state = 56, .external_lex_state = 14},
  [3068] = {.lex_state = 56, .external_lex_state = 18},
  [3069] = {.lex_state = 56, .external_lex_state = 14},
  [3070] = {.lex_state = 56, .external_lex_state = 13},
  [3071] = {.lex_state = 56, .external_lex_state = 13},
  [3072] = {.lex_state = 56, .external_lex_state = 13},
  [3073] = {.lex_state = 56, .external_lex_state = 18},
  [3074] = {.lex_state = 56, .external_lex_state = 18},
  [3075] = {.lex_state = 56, .external_lex_state = 18},
  [3076] = {.lex_state = 56, .external_lex_state = 11},
  [3077] = {.lex_state = 56, .external_lex_state = 14},
  [3078] = {.lex_state = 56, .external_lex_state = 14},
  [3079] = {.lex_state = 56, .external_lex_state = 13},
  [3080] = {.lex_state = 56, .external_lex_state = 14},
  [3081] = {.lex_state = 56, .external_lex_state = 18},
  [3082] = {.lex_state = 56, .external_lex_state = 11},
  [3083] = {.lex_state = 56, .external_lex_state = 14},
  [3084] = {.lex_state = 56, .external_lex_state = 14},
  [3085] = {.lex_state = 56, .external_lex_state = 18},
  [3086] = {.lex_state = 56, .external_lex_state = 14},
  [3087] = {.lex_state = 56, .external_lex_state = 11},
  [3088] = {.lex_state = 56, .external_lex_state = 14},
  [3089] = {.lex_state = 56, .external_lex_state = 11},
  [3090] = {.lex_state = 56, .external_lex_state = 14},
  [3091] = {.lex_state = 56, .external_lex_state = 14},
  [3092] = {.lex_state = 56, .external_lex_state = 14},
  [3093] = {.lex_state = 56, .external_lex_state = 14},
  [3094] = {.lex_state = 56, .external_lex_state = 12},
  [3095] = {.lex_state = 56, .external_lex_state = 12},
  [3096] = {.lex_state = 56, .external_lex_state = 13},
  [3097] = {.lex_state = 9, .external_lex_state = 14},
  [3098] = {.lex_state = 56, .external_lex_state = 13},
  [3099] = {.lex_state = 56, .external_lex_state = 14},
  [3100] = {.lex_state = 4, .external_lex_state = 14},
  [3101] = {.lex_state = 56, .external_lex_state = 12},
  [3102] = {.lex_state = 56, .external_lex_state = 14},
  [3103] = {.lex_state = 56, .external_lex_state = 14},
  [3104] = {.lex_state = 56, .external_lex_state = 14},
  [3105] = {.lex_state = 56, .external_lex_state = 14},
  [3106] = {.lex_state = 56, .external_lex_state = 14},
  [3107] = {.lex_state = 56, .external_lex_state = 13},
  [3108] = {.lex_state = 56, .external_lex_state = 14},
  [3109] = {.lex_state = 56, .external_lex_state = 15},
  [3110] = {.lex_state = 56, .external_lex_state = 14},
  [3111] = {.lex_state = 56, .external_lex_state = 14},
  [3112] = {.lex_state = 56, .external_lex_state = 14},
  [3113] = {.lex_state = 56, .external_lex_state = 14},
  [3114] = {.lex_state = 56, .external_lex_state = 12},
  [3115] = {.lex_state = 56, .external_lex_state = 14},
  [3116] = {.lex_state = 56, .external_lex_state = 14},
  [3117] = {.lex_state = 56, .external_lex_state = 14},
  [3118] = {.lex_state = 56, .external_lex_state = 14},
  [3119] = {.lex_state = 56, .external_lex_state = 12},
  [3120] = {.lex_state = 56, .external_lex_state = 14},
  [3121] = {.lex_state = 56, .external_lex_state = 12},
  [3122] = {.lex_state = 56, .external_lex_state = 15},
  [3123] = {.lex_state = 56, .external_lex_state = 14},
  [3124] = {.lex_state = 56, .external_lex_state = 12},
  [3125] = {.lex_state = 56, .external_lex_state = 13},
  [3126] = {.lex_state = 56, .external_lex_state = 14},
  [3127] = {.lex_state = 56, .external_lex_state = 13},
  [3128] = {.lex_state = 56, .external_lex_state = 14},
  [3129] = {.lex_state = 56, .external_lex_state = 14},
  [3130] = {.lex_state = 56, .external_lex_state = 13},
  [3131] = {.lex_state = 56, .external_lex_state = 14},
  [3132] = {.lex_state = 56, .external_lex_state = 14},
  [3133] = {.lex_state = 56, .external_lex_state = 12},
  [3134] = {.lex_state = 56, .external_lex_state = 14},
  [3135] = {.lex_state = 56, .external_lex_state = 12},
  [3136] = {.lex_state = 56, .external_lex_state = 12},
  [3137] = {.lex_state = 56, .external_lex_state = 14},
  [3138] = {.lex_state = 56, .external_lex_state = 13},
  [3139] = {.lex_state = 56, .external_lex_state = 15},
  [3140] = {.lex_state = 56, .external_lex_state = 15},
  [3141] = {.lex_state = 56, .external_lex_state = 14},
  [3142] = {.lex_state = 56, .external_lex_state = 14},
  [3143] = {.lex_state = 9, .external_lex_state = 14},
  [3144] = {.lex_state = 56, .external_lex_state = 12},
  [3145] = {.lex_state = 56, .external_lex_state = 13},
  [3146] = {.lex_state = 56, .external_lex_state = 14},
  [3147] = {.lex_state = 56, .external_lex_state = 15},
  [3148] = {.lex_state = 56, .external_lex_state = 15},
  [3149] = {.lex_state = 56, .external_lex_state = 14},
  [3150] = {.lex_state = 56, .external_lex_state = 14},
  [3151] = {.lex_state = 56, .external_lex_state = 12},
  [3152] = {.lex_state = 56, .external_lex_state = 12},
  [3153] = {.lex_state = 56, .external_lex_state = 15},
  [3154] = {.lex_state = 56, .external_lex_state = 14},
  [3155] = {.lex_state = 56, .external_lex_state = 14},
  [3156] = {.lex_state = 56, .external_lex_state = 15},
  [3157] = {.lex_state = 56, .external_lex_state = 14},
  [3158] = {.lex_state = 56, .external_lex_state = 13},
  [3159] = {.lex_state = 56, .external_lex_state = 14},
  [3160] = {.lex_state = 56, .external_lex_state = 15},
  [3161] = {.lex_state = 56, .external_lex_state = 15},
  [3162] = {.lex_state = 56, .external_lex_state = 13},
  [3163] = {.lex_state = 56, .external_lex_state = 14},
  [3164] = {.lex_state = 56, .external_lex_state = 14},
  [3165] = {.lex_state = 56, .external_lex_state = 14},
  [3166] = {.lex_state = 56, .external_lex_state = 14},
  [3167] = {.lex_state = 56, .external_lex_state = 14},
  [3168] = {.lex_state = 56, .external_lex_state = 14},
  [3169] = {.lex_state = 56, .external_lex_state = 14},
  [3170] = {.lex_state = 56, .external_lex_state = 13},
  [3171] = {.lex_state = 56, .external_lex_state = 14},
  [3172] = {.lex_state = 56, .external_lex_state = 14},
  [3173] = {.lex_state = 56, .external_lex_state = 12},
  [3174] = {.lex_state = 56, .external_lex_state = 12},
  [3175] = {.lex_state = 56, .external_lex_state = 12},
  [3176] = {.lex_state = 56, .external_lex_state = 14},
  [3177] = {.lex_state = 56, .external_lex_state = 15},
  [3178] = {.lex_state = 56, .external_lex_state = 15},
  [3179] = {.lex_state = 56, .external_lex_state = 14},
  [3180] = {.lex_state = 56, .external_lex_state = 13},
  [3181] = {.lex_state = 56, .external_lex_state = 13},
  [3182] = {.lex_state = 56, .external_lex_state = 12},
  [3183] = {.lex_state = 4, .external_lex_state = 14},
  [3184] = {.lex_state = 56, .external_lex_state = 12},
  [3185] = {.lex_state = 9, .external_lex_state = 14},
  [3186] = {.lex_state = 4, .external_lex_state = 14},
  [3187] = {.lex_state = 56, .external_lex_state = 12},
  [3188] = {.lex_state = 56, .external_lex_state = 15},
  [3189] = {.lex_state = 9, .external_lex_state = 14},
  [3190] = {.lex_state = 56, .external_lex_state = 12},
  [3191] = {.lex_state = 56, .external_lex_state = 12},
  [3192] = {.lex_state = 56, .external_lex_state = 12},
  [3193] = {.lex_state = 56, .external_lex_state = 14},
  [3194] = {.lex_state = 56, .external_lex_state = 14},
  [3195] = {.lex_state = 56, .external_lex_state = 14},
  [3196] = {.lex_state = 56, .external_lex_state = 14},
  [3197] = {.lex_state = 56, .external_lex_state = 14},
  [3198] = {.lex_state = 9, .external_lex_state = 14},
  [3199] = {.lex_state = 56, .external_lex_state = 14},
  [3200] = {.lex_state = 9, .external_lex_state = 14},
  [3201] = {.lex_state = 56, .external_lex_state = 14},
  [3202] = {.lex_state = 56, .external_lex_state = 14},
  [3203] = {.lex_state = 56, .external_lex_state = 14},
  [3204] = {.lex_state = 56, .external_lex_state = 15},
  [3205] = {.lex_state = 56, .external_lex_state = 14},
  [3206] = {.lex_state = 56, .external_lex_state = 14},
  [3207] = {.lex_state = 56, .external_lex_state = 13},
  [3208] = {.lex_state = 56, .external_lex_state = 14},
  [3209] = {.lex_state = 56, .external_lex_state = 15},
  [3210] = {.lex_state = 56, .external_lex_state = 15},
  [3211] = {.lex_state = 56, .external_lex_state = 12},
  [3212] = {.lex_state = 56, .external_lex_state = 12},
  [3213] = {.lex_state = 56, .external_lex_state = 14},
  [3214] = {.lex_state = 9, .external_lex_state = 14},
  [3215] = {.lex_state = 56, .external_lex_state = 14},
  [3216] = {.lex_state = 56, .external_lex_state = 15},
  [3217] = {.lex_state = 56, .external_lex_state = 14},
  [3218] = {.lex_state = 56, .external_lex_state = 13},
  [3219] = {.lex_state = 56, .external_lex_state = 12},
  [3220] = {.lex_state = 9, .external_lex_state = 14},
  [3221] = {.lex_state = 56, .external_lex_state = 14},
  [3222] = {.lex_state = 56, .external_lex_state = 13},
  [3223] = {.lex_state = 56, .external_lex_state = 14},
  [3224] = {.lex_state = 56, .external_lex_state = 13},
  [3225] = {.lex_state = 56, .external_lex_state = 12},
  [3226] = {.lex_state = 56, .external_lex_state = 13},
  [3227] = {.lex_state = 56, .external_lex_state = 14},
  [3228] = {.lex_state = 56, .external_lex_state = 12},
  [3229] = {.lex_state = 56, .external_lex_state = 14},
  [3230] = {.lex_state = 56, .external_lex_state = 12},
  [3231] = {.lex_state = 56, .external_lex_state = 14},
  [3232] = {.lex_state = 9, .external_lex_state = 14},
  [3233] = {.lex_state = 4, .external_lex_state = 14},
  [3234] = {.lex_state = 56, .external_lex_state = 14},
  [3235] = {.lex_state = 56, .external_lex_state = 15},
  [3236] = {.lex_state = 56, .external_lex_state = 14},
  [3237] = {.lex_state = 56, .external_lex_state = 13},
  [3238] = {.lex_state = 56, .external_lex_state = 13},
  [3239] = {.lex_state = 56, .external_lex_state = 15},
  [3240] = {.lex_state = 56, .external_lex_state = 13},
  [3241] = {.lex_state = 56, .external_lex_state = 12},
  [3242] = {.lex_state = 56, .external_lex_state = 12},
  [3243] = {.lex_state = 56, .external_lex_state = 14},
  [3244] = {.lex_state = 56, .external_lex_state = 15},
  [3245] = {.lex_state = 56, .external_lex_state = 13},
  [3246] = {.lex_state = 56, .external_lex_state = 14},
  [3247] = {.lex_state = 56, .external_lex_state = 15},
  [3248] = {.lex_state = 56, .external_lex_state = 14},
  [3249] = {.lex_state = 56, .external_lex_state = 14},
  [3250] = {.lex_state = 56, .external_lex_state = 14},
  [3251] = {.lex_state = 56, .external_lex_state = 14},
  [3252] = {.lex_state = 56, .external_lex_state = 14},
  [3253] = {.lex_state = 56, .external_lex_state = 14},
  [3254] = {.lex_state = 56, .external_lex_state = 12},
  [3255] = {.lex_state = 56, .external_lex_state = 14},
  [3256] = {.lex_state = 56, .external_lex_state = 14},
  [3257] = {.lex_state = 56, .external_lex_state = 14},
  [3258] = {.lex_state = 56, .external_lex_state = 12},
  [3259] = {.lex_state = 56, .external_lex_state = 14},
  [3260] = {.lex_state = 56, .external_lex_state = 14},
  [3261] = {.lex_state = 56, .external_lex_state = 14},
  [3262] = {.lex_state = 56, .external_lex_state = 15},
  [3263] = {.lex_state = 56, .external_lex_state = 14},
  [3264] = {.lex_state = 56, .external_lex_state = 15},
  [3265] = {.lex_state = 56, .external_lex_state = 14},
  [3266] = {.lex_state = 56, .external_lex_state = 13},
  [3267] = {.lex_state = 56, .external_lex_state = 14},
  [3268] = {.lex_state = 56, .external_lex_state = 12},
  [3269] = {.lex_state = 56, .external_lex_state = 13},
  [3270] = {.lex_state = 56, .external_lex_state = 14},
  [3271] = {.lex_state = 56, .external_lex_state = 13},
  [3272] = {.lex_state = 56, .external_lex_state = 13},
  [3273] = {.lex_state = 56, .external_lex_state = 14},
  [3274] = {.lex_state = 56, .external_lex_state = 14},
  [3275] = {.lex_state = 56, .external_lex_state = 12},
  [3276] = {.lex_state = 56, .external_lex_state = 14},
  [3277] = {.lex_state = 4, .external_lex_state = 14},
  [3278] = {.lex_state = 56, .external_lex_state = 13},
  [3279] = {.lex_state = 56, .external_lex_state = 14},
  [3280] = {.lex_state = 56, .external_lex_state = 15},
  [3281] = {.lex_state = 56, .external_lex_state = 12},
  [3282] = {.lex_state = 56, .external_lex_state = 15},
  [3283] = {.lex_state = 56, .external_lex_state = 12},
  [3284] = {.lex_state = 9, .external_lex_state = 14},
  [3285] = {.lex_state = 56, .external_lex_state = 14},
  [3286] = {.lex_state = 56, .external_lex_state = 13},
  [3287] = {.lex_state = 56, .external_lex_state = 14},
  [3288] = {.lex_state = 4, .external_lex_state = 14},
  [3289] = {.lex_state = 4, .external_lex_state = 14},
  [3290] = {.lex_state = 56, .external_lex_state = 15},
  [3291] = {.lex_state = 56, .external_lex_state = 14},
  [3292] = {.lex_state = 56, .external_lex_state = 13},
  [3293] = {.lex_state = 56, .external_lex_state = 13},
  [3294] = {.lex_state = 56, .external_lex_state = 13},
  [3295] = {.lex_state = 56, .external_lex_state = 15},
  [3296] = {.lex_state = 56, .external_lex_state = 12},
  [3297] = {.lex_state = 4, .external_lex_state = 14},
  [3298] = {.lex_state = 56, .external_lex_state = 12},
  [3299] = {.lex_state = 9, .external_lex_state = 14},
  [3300] = {.lex_state = 56, .external_lex_state = 14},
  [3301] = {.lex_state = 9, .external_lex_state = 14},
  [3302] = {.lex_state = 56, .external_lex_state = 14},
  [3303] = {.lex_state = 56, .external_lex_state = 14},
  [3304] = {.lex_state = 56, .external_lex_state = 14},
  [3305] = {.lex_state = 56, .external_lex_state = 14},
  [3306] = {.lex_state = 56, .external_lex_state = 14},
  [3307] = {.lex_state = 56, .external_lex_state = 14},
  [3308] = {.lex_state = 56, .external_lex_state = 14},
  [3309] = {.lex_state = 56, .external_lex_state = 14},
  [3310] = {.lex_state = 56, .external_lex_state = 13},
  [3311] = {.lex_state = 56, .external_lex_state = 15},
  [3312] = {.lex_state = 56, .external_lex_state = 14},
  [3313] = {.lex_state = 56, .external_lex_state = 14},
  [3314] = {.lex_state = 56, .external_lex_state = 14},
  [3315] = {.lex_state = 56, .external_lex_state = 14},
  [3316] = {.lex_state = 56, .external_lex_state = 13},
  [3317] = {.lex_state = 56, .external_lex_state = 14},
  [3318] = {.lex_state = 9, .external_lex_state = 14},
  [3319] = {.lex_state = 9, .external_lex_state = 14},
  [3320] = {.lex_state = 56, .external_lex_state = 14},
  [3321] = {.lex_state = 9, .external_lex_state = 14},
  [3322] = {.lex_state = 56, .external_lex_state = 14},
  [3323] = {.lex_state = 9, .external_lex_state = 14},
  [3324] = {.lex_state = 56, .external_lex_state = 14},
  [3325] = {.lex_state = 56, .external_lex_state = 14},
  [3326] = {.lex_state = 9, .external_lex_state = 14},
  [3327] = {.lex_state = 9, .external_lex_state = 14},
  [3328] = {.lex_state = 9, .external_lex_state = 14},
  [3329] = {.lex_state = 9, .external_lex_state = 14},
  [3330] = {.lex_state = 9, .external_lex_state = 14},
  [3331] = {.lex_state = 9, .external_lex_state = 14},
  [3332] = {.lex_state = 9, .external_lex_state = 14},
  [3333] = {.lex_state = 9, .external_lex_state = 14},
  [3334] = {.lex_state = 56, .external_lex_state = 14},
  [3335] = {.lex_state = 56, .external_lex_state = 14},
  [3336] = {.lex_state = 56, .external_lex_state = 14},
  [3337] = {.lex_state = 56, .external_lex_state = 15},
  [3338] = {.lex_state = 56, .external_lex_state = 15},
  [3339] = {.lex_state = 56, .external_lex_state = 15},
  [3340] = {.lex_state = 56, .external_lex_state = 15},
  [3341] = {.lex_state = 56, .external_lex_state = 12},
  [3342] = {.lex_state = 56, .external_lex_state = 14},
  [3343] = {.lex_state = 56, .external_lex_state = 14},
  [3344] = {.lex_state = 56, .external_lex_state = 12},
  [3345] = {.lex_state = 56, .external_lex_state = 14},
  [3346] = {.lex_state = 56, .external_lex_state = 14},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_raises] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_owned] = ACTIONS(1),
    [anon_sym_borrowed] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym__not_escape_sequence] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(3300),
    [sym__statement] = STATE(123),
    [sym__simple_statements] = STATE(123),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_if_statement] = STATE(123),
    [sym_match_statement] = STATE(123),
    [sym_for_statement] = STATE(123),
    [sym_while_statement] = STATE(123),
    [sym_try_statement] = STATE(123),
    [sym_with_statement] = STATE(123),
    [sym_function_definition] = STATE(123),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_class_definition] = STATE(123),
    [sym_decorated_definition] = STATE(123),
    [sym_decorator] = STATE(2105),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(123),
    [aux_sym_decorated_definition_repeat1] = STATE(2105),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(83),
  },
  [2] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(933),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [3] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(875),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [4] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(873),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [5] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(872),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [6] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(870),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [7] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(869),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [8] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1055),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [9] = {
    [sym__statement] = STATE(127),
    [sym__simple_statements] = STATE(127),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(127),
    [sym_match_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_with_statement] = STATE(127),
    [sym_function_definition] = STATE(127),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(127),
    [sym_decorated_definition] = STATE(127),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(753),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(127),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(83),
  },
  [10] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(840),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [11] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(931),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [12] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(939),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [13] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(942),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [14] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1071),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [15] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(852),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [16] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1025),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [17] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(985),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [18] = {
    [sym__statement] = STATE(121),
    [sym__simple_statements] = STATE(121),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(121),
    [sym_match_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_with_statement] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(121),
    [sym_decorated_definition] = STATE(121),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(3006),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(121),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(83),
  },
  [19] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(857),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [20] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(893),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [21] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1059),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [22] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(616),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [23] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1054),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [24] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(882),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [25] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(909),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [26] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(938),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [27] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1020),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [28] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1083),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [29] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(912),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [30] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(948),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [31] = {
    [sym__statement] = STATE(121),
    [sym__simple_statements] = STATE(121),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(121),
    [sym_match_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_with_statement] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(121),
    [sym_decorated_definition] = STATE(121),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(3081),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(121),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(83),
  },
  [32] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(884),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [33] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(886),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [34] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(891),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [35] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(894),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [36] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(901),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [37] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(904),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [38] = {
    [sym__statement] = STATE(121),
    [sym__simple_statements] = STATE(121),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(121),
    [sym_match_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_with_statement] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(121),
    [sym_decorated_definition] = STATE(121),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(3047),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(121),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(83),
  },
  [39] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(934),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [40] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(937),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [41] = {
    [sym__statement] = STATE(127),
    [sym__simple_statements] = STATE(127),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(127),
    [sym_match_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_with_statement] = STATE(127),
    [sym_function_definition] = STATE(127),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(127),
    [sym_decorated_definition] = STATE(127),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(772),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(127),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(83),
  },
  [42] = {
    [sym__statement] = STATE(128),
    [sym__simple_statements] = STATE(128),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(128),
    [sym_match_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_try_statement] = STATE(128),
    [sym_with_statement] = STATE(128),
    [sym_function_definition] = STATE(128),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(128),
    [sym_decorated_definition] = STATE(128),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(2192),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(128),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(83),
  },
  [43] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(940),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [44] = {
    [sym__statement] = STATE(124),
    [sym__simple_statements] = STATE(124),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(124),
    [sym_match_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_with_statement] = STATE(124),
    [sym_function_definition] = STATE(124),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(124),
    [sym_decorated_definition] = STATE(124),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(832),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(124),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(83),
  },
  [45] = {
    [sym__statement] = STATE(127),
    [sym__simple_statements] = STATE(127),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(127),
    [sym_match_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_with_statement] = STATE(127),
    [sym_function_definition] = STATE(127),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(127),
    [sym_decorated_definition] = STATE(127),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(831),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(127),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(83),
  },
  [46] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(954),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [47] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1015),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [48] = {
    [sym__statement] = STATE(121),
    [sym__simple_statements] = STATE(121),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(121),
    [sym_match_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_with_statement] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(121),
    [sym_decorated_definition] = STATE(121),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(3062),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(121),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(83),
  },
  [49] = {
    [sym__statement] = STATE(121),
    [sym__simple_statements] = STATE(121),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(121),
    [sym_match_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_with_statement] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(121),
    [sym_decorated_definition] = STATE(121),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(3065),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(121),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(83),
  },
  [50] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(960),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [51] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(862),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [52] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(975),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [53] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(878),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [54] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(965),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [55] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(850),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [56] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1084),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [57] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(920),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [58] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(925),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [59] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(927),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [60] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(974),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [61] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(868),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [62] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(981),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [63] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(930),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [64] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(953),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [65] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1073),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [66] = {
    [sym__statement] = STATE(124),
    [sym__simple_statements] = STATE(124),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(124),
    [sym_match_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_with_statement] = STATE(124),
    [sym_function_definition] = STATE(124),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(124),
    [sym_decorated_definition] = STATE(124),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(773),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(124),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(83),
  },
  [67] = {
    [sym__statement] = STATE(121),
    [sym__simple_statements] = STATE(121),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(121),
    [sym_match_statement] = STATE(121),
    [sym_for_statement] = STATE(121),
    [sym_while_statement] = STATE(121),
    [sym_try_statement] = STATE(121),
    [sym_with_statement] = STATE(121),
    [sym_function_definition] = STATE(121),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(121),
    [sym_decorated_definition] = STATE(121),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(2980),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(121),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(83),
  },
  [68] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(957),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [69] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(860),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [70] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(961),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [71] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(992),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [72] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(995),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [73] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(970),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [74] = {
    [sym__statement] = STATE(118),
    [sym__simple_statements] = STATE(118),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(118),
    [sym_match_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_try_statement] = STATE(118),
    [sym_with_statement] = STATE(118),
    [sym_function_definition] = STATE(118),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(118),
    [sym_decorated_definition] = STATE(118),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(829),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(118),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(83),
  },
  [75] = {
    [sym__statement] = STATE(128),
    [sym__simple_statements] = STATE(128),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(128),
    [sym_match_statement] = STATE(128),
    [sym_for_statement] = STATE(128),
    [sym_while_statement] = STATE(128),
    [sym_try_statement] = STATE(128),
    [sym_with_statement] = STATE(128),
    [sym_function_definition] = STATE(128),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(128),
    [sym_decorated_definition] = STATE(128),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(2171),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(128),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(83),
  },
  [76] = {
    [sym__statement] = STATE(120),
    [sym__simple_statements] = STATE(120),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(120),
    [sym_match_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_with_statement] = STATE(120),
    [sym_function_definition] = STATE(120),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(120),
    [sym_decorated_definition] = STATE(120),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(823),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(120),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(83),
  },
  [77] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(968),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [78] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(980),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [79] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1068),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [80] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(845),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [81] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(916),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [82] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(986),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [83] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(865),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [84] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(994),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [85] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(997),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [86] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1004),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [87] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(607),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [88] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1011),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [89] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(913),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [90] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1016),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [91] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1012),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [92] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1066),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [93] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(932),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [94] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(842),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [95] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1079),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [96] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1023),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [97] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1026),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [98] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1028),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [99] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1057),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [100] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1030),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [101] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(841),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [102] = {
    [sym__statement] = STATE(120),
    [sym__simple_statements] = STATE(120),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(120),
    [sym_match_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_with_statement] = STATE(120),
    [sym_function_definition] = STATE(120),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(120),
    [sym_decorated_definition] = STATE(120),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(761),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(120),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(83),
  },
  [103] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1033),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [104] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1036),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [105] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1039),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [106] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1043),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [107] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1044),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [108] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(978),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [109] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1047),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [110] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1048),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [111] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1049),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [112] = {
    [sym__statement] = STATE(126),
    [sym__simple_statements] = STATE(126),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(126),
    [sym_match_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_with_statement] = STATE(126),
    [sym_function_definition] = STATE(126),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(126),
    [sym_decorated_definition] = STATE(126),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1062),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(126),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(83),
  },
  [113] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1053),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [114] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1051),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [115] = {
    [sym__statement] = STATE(122),
    [sym__simple_statements] = STATE(122),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(122),
    [sym_match_statement] = STATE(122),
    [sym_for_statement] = STATE(122),
    [sym_while_statement] = STATE(122),
    [sym_try_statement] = STATE(122),
    [sym_with_statement] = STATE(122),
    [sym_function_definition] = STATE(122),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(122),
    [sym_decorated_definition] = STATE(122),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(1052),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(122),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(83),
  },
  [116] = {
    [sym__statement] = STATE(118),
    [sym__simple_statements] = STATE(118),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(118),
    [sym_match_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_try_statement] = STATE(118),
    [sym_with_statement] = STATE(118),
    [sym_function_definition] = STATE(118),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(118),
    [sym_decorated_definition] = STATE(118),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(795),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(118),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(83),
  },
  [117] = {
    [sym__statement] = STATE(120),
    [sym__simple_statements] = STATE(120),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(120),
    [sym_match_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_with_statement] = STATE(120),
    [sym_function_definition] = STATE(120),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(120),
    [sym_decorated_definition] = STATE(120),
    [sym_decorator] = STATE(2094),
    [sym_block] = STATE(783),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(120),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(83),
  },
  [118] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(119),
    [sym_string_start] = ACTIONS(83),
  },
  [119] = {
    [sym__statement] = STATE(119),
    [sym__simple_statements] = STATE(119),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_if_statement] = STATE(119),
    [sym_match_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_try_statement] = STATE(119),
    [sym_with_statement] = STATE(119),
    [sym_function_definition] = STATE(119),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_class_definition] = STATE(119),
    [sym_decorated_definition] = STATE(119),
    [sym_decorator] = STATE(2105),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(119),
    [aux_sym_decorated_definition_repeat1] = STATE(2105),
    [ts_builtin_sym_end] = ACTIONS(121),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(126),
    [anon_sym_from] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(138),
    [anon_sym_assert] = ACTIONS(141),
    [anon_sym_return] = ACTIONS(144),
    [anon_sym_del] = ACTIONS(147),
    [anon_sym_raise] = ACTIONS(150),
    [anon_sym_pass] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(156),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_if] = ACTIONS(162),
    [anon_sym_match] = ACTIONS(165),
    [anon_sym_async] = ACTIONS(168),
    [anon_sym_for] = ACTIONS(171),
    [anon_sym_while] = ACTIONS(174),
    [anon_sym_try] = ACTIONS(177),
    [anon_sym_with] = ACTIONS(180),
    [anon_sym_def] = ACTIONS(183),
    [anon_sym_fn] = ACTIONS(183),
    [anon_sym_LBRACK] = ACTIONS(186),
    [anon_sym_global] = ACTIONS(189),
    [anon_sym_nonlocal] = ACTIONS(192),
    [anon_sym_exec] = ACTIONS(195),
    [anon_sym_type] = ACTIONS(198),
    [anon_sym_class] = ACTIONS(201),
    [anon_sym_struct] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(204),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(207),
    [anon_sym_lambda] = ACTIONS(216),
    [anon_sym_var] = ACTIONS(219),
    [anon_sym_alias] = ACTIONS(219),
    [anon_sym_yield] = ACTIONS(222),
    [sym_ellipsis] = ACTIONS(225),
    [sym_integer] = ACTIONS(228),
    [sym_float] = ACTIONS(225),
    [anon_sym_await] = ACTIONS(231),
    [sym_true] = ACTIONS(228),
    [sym_false] = ACTIONS(228),
    [sym_none] = ACTIONS(228),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(234),
  },
  [120] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(237),
    [sym_string_start] = ACTIONS(83),
  },
  [121] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(239),
    [sym_string_start] = ACTIONS(83),
  },
  [122] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(241),
    [sym_string_start] = ACTIONS(83),
  },
  [123] = {
    [sym__statement] = STATE(119),
    [sym__simple_statements] = STATE(119),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_if_statement] = STATE(119),
    [sym_match_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_try_statement] = STATE(119),
    [sym_with_statement] = STATE(119),
    [sym_function_definition] = STATE(119),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_class_definition] = STATE(119),
    [sym_decorated_definition] = STATE(119),
    [sym_decorator] = STATE(2105),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(119),
    [aux_sym_decorated_definition_repeat1] = STATE(2105),
    [ts_builtin_sym_end] = ACTIONS(243),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_struct] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(83),
  },
  [124] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(245),
    [sym_string_start] = ACTIONS(83),
  },
  [125] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(126),
    [anon_sym_from] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(138),
    [anon_sym_assert] = ACTIONS(141),
    [anon_sym_return] = ACTIONS(144),
    [anon_sym_del] = ACTIONS(147),
    [anon_sym_raise] = ACTIONS(150),
    [anon_sym_pass] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(156),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_if] = ACTIONS(247),
    [anon_sym_match] = ACTIONS(250),
    [anon_sym_async] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(256),
    [anon_sym_while] = ACTIONS(259),
    [anon_sym_try] = ACTIONS(262),
    [anon_sym_with] = ACTIONS(265),
    [anon_sym_def] = ACTIONS(268),
    [anon_sym_fn] = ACTIONS(268),
    [anon_sym_LBRACK] = ACTIONS(186),
    [anon_sym_global] = ACTIONS(189),
    [anon_sym_nonlocal] = ACTIONS(192),
    [anon_sym_exec] = ACTIONS(195),
    [anon_sym_type] = ACTIONS(198),
    [anon_sym_class] = ACTIONS(271),
    [anon_sym_struct] = ACTIONS(271),
    [anon_sym_AT] = ACTIONS(204),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(207),
    [anon_sym_lambda] = ACTIONS(216),
    [anon_sym_var] = ACTIONS(219),
    [anon_sym_alias] = ACTIONS(219),
    [anon_sym_yield] = ACTIONS(222),
    [sym_ellipsis] = ACTIONS(225),
    [sym_integer] = ACTIONS(228),
    [sym_float] = ACTIONS(225),
    [anon_sym_await] = ACTIONS(231),
    [sym_true] = ACTIONS(228),
    [sym_false] = ACTIONS(228),
    [sym_none] = ACTIONS(228),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(121),
    [sym_string_start] = ACTIONS(234),
  },
  [126] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(274),
    [sym_string_start] = ACTIONS(83),
  },
  [127] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(276),
    [sym_string_start] = ACTIONS(83),
  },
  [128] = {
    [sym__statement] = STATE(125),
    [sym__simple_statements] = STATE(125),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_if_statement] = STATE(125),
    [sym_match_statement] = STATE(125),
    [sym_for_statement] = STATE(125),
    [sym_while_statement] = STATE(125),
    [sym_try_statement] = STATE(125),
    [sym_with_statement] = STATE(125),
    [sym_function_definition] = STATE(125),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_class_definition] = STATE(125),
    [sym_decorated_definition] = STATE(125),
    [sym_decorator] = STATE(2094),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [aux_sym_module_repeat1] = STATE(125),
    [aux_sym_decorated_definition_repeat1] = STATE(2094),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(85),
    [anon_sym_match] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(89),
    [anon_sym_for] = ACTIONS(91),
    [anon_sym_while] = ACTIONS(93),
    [anon_sym_try] = ACTIONS(95),
    [anon_sym_with] = ACTIONS(97),
    [anon_sym_def] = ACTIONS(99),
    [anon_sym_fn] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(278),
    [sym_string_start] = ACTIONS(83),
  },
  [129] = {
    [sym_named_expression] = STATE(2091),
    [sym__named_expression_lhs] = STATE(3277),
    [sym_list_splat_pattern] = STATE(1762),
    [sym_as_pattern] = STATE(2091),
    [sym_expression] = STATE(2156),
    [sym_primary_expression] = STATE(1294),
    [sym_not_operator] = STATE(2091),
    [sym_boolean_operator] = STATE(2091),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_comparison_operator] = STATE(2091),
    [sym_lambda] = STATE(2091),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_type] = STATE(2611),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(2091),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(280),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(286),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(292),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(284),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(299),
    [anon_sym_STAR_STAR] = ACTIONS(302),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_type] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(327),
  },
  [130] = {
    [sym__simple_statements] = STATE(979),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(337),
    [sym__indent] = ACTIONS(339),
    [sym_string_start] = ACTIONS(83),
  },
  [131] = {
    [sym__simple_statements] = STATE(982),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(341),
    [sym__indent] = ACTIONS(343),
    [sym_string_start] = ACTIONS(83),
  },
  [132] = {
    [sym__simple_statements] = STATE(950),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(345),
    [sym__indent] = ACTIONS(347),
    [sym_string_start] = ACTIONS(83),
  },
  [133] = {
    [sym__simple_statements] = STATE(889),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(349),
    [sym__indent] = ACTIONS(351),
    [sym_string_start] = ACTIONS(83),
  },
  [134] = {
    [sym__simple_statements] = STATE(896),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__indent] = ACTIONS(355),
    [sym_string_start] = ACTIONS(83),
  },
  [135] = {
    [sym__simple_statements] = STATE(900),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(357),
    [sym__indent] = ACTIONS(359),
    [sym_string_start] = ACTIONS(83),
  },
  [136] = {
    [sym__simple_statements] = STATE(877),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(361),
    [sym__indent] = ACTIONS(363),
    [sym_string_start] = ACTIONS(83),
  },
  [137] = {
    [sym__simple_statements] = STATE(903),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(365),
    [sym__indent] = ACTIONS(367),
    [sym_string_start] = ACTIONS(83),
  },
  [138] = {
    [sym__simple_statements] = STATE(935),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__indent] = ACTIONS(371),
    [sym_string_start] = ACTIONS(83),
  },
  [139] = {
    [sym__simple_statements] = STATE(905),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(373),
    [sym__indent] = ACTIONS(375),
    [sym_string_start] = ACTIONS(83),
  },
  [140] = {
    [sym__simple_statements] = STATE(907),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(377),
    [sym__indent] = ACTIONS(379),
    [sym_string_start] = ACTIONS(83),
  },
  [141] = {
    [sym__simple_statements] = STATE(874),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(381),
    [sym__indent] = ACTIONS(383),
    [sym_string_start] = ACTIONS(83),
  },
  [142] = {
    [sym__simple_statements] = STATE(921),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(385),
    [sym__indent] = ACTIONS(387),
    [sym_string_start] = ACTIONS(83),
  },
  [143] = {
    [sym__simple_statements] = STATE(928),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__indent] = ACTIONS(391),
    [sym_string_start] = ACTIONS(83),
  },
  [144] = {
    [sym__simple_statements] = STATE(976),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(393),
    [sym__indent] = ACTIONS(395),
    [sym_string_start] = ACTIONS(83),
  },
  [145] = {
    [sym__simple_statements] = STATE(883),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(397),
    [sym__indent] = ACTIONS(399),
    [sym_string_start] = ACTIONS(83),
  },
  [146] = {
    [sym__simple_statements] = STATE(885),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(401),
    [sym__indent] = ACTIONS(403),
    [sym_string_start] = ACTIONS(83),
  },
  [147] = {
    [sym__simple_statements] = STATE(910),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(405),
    [sym__indent] = ACTIONS(407),
    [sym_string_start] = ACTIONS(83),
  },
  [148] = {
    [sym__simple_statements] = STATE(946),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(409),
    [sym__indent] = ACTIONS(411),
    [sym_string_start] = ACTIONS(83),
  },
  [149] = {
    [sym__simple_statements] = STATE(952),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(413),
    [sym__indent] = ACTIONS(415),
    [sym_string_start] = ACTIONS(83),
  },
  [150] = {
    [sym__simple_statements] = STATE(871),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym_string_start] = ACTIONS(83),
  },
  [151] = {
    [sym__simple_statements] = STATE(880),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym_string_start] = ACTIONS(83),
  },
  [152] = {
    [sym__simple_statements] = STATE(990),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym_string_start] = ACTIONS(83),
  },
  [153] = {
    [sym__simple_statements] = STATE(895),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym_string_start] = ACTIONS(83),
  },
  [154] = {
    [sym__simple_statements] = STATE(1045),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym_string_start] = ACTIONS(83),
  },
  [155] = {
    [sym__simple_statements] = STATE(892),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym_string_start] = ACTIONS(83),
  },
  [156] = {
    [sym__simple_statements] = STATE(1002),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym_string_start] = ACTIONS(83),
  },
  [157] = {
    [sym__simple_statements] = STATE(1027),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym_string_start] = ACTIONS(83),
  },
  [158] = {
    [sym__simple_statements] = STATE(1082),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym_string_start] = ACTIONS(83),
  },
  [159] = {
    [sym__simple_statements] = STATE(1085),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym_string_start] = ACTIONS(83),
  },
  [160] = {
    [sym__simple_statements] = STATE(1067),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym_string_start] = ACTIONS(83),
  },
  [161] = {
    [sym__simple_statements] = STATE(1013),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym_string_start] = ACTIONS(83),
  },
  [162] = {
    [sym__simple_statements] = STATE(1041),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym_string_start] = ACTIONS(83),
  },
  [163] = {
    [sym__simple_statements] = STATE(996),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym_string_start] = ACTIONS(83),
  },
  [164] = {
    [sym__simple_statements] = STATE(1010),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym_string_start] = ACTIONS(83),
  },
  [165] = {
    [sym__simple_statements] = STATE(1037),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym_string_start] = ACTIONS(83),
  },
  [166] = {
    [sym__simple_statements] = STATE(1009),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym_string_start] = ACTIONS(83),
  },
  [167] = {
    [sym__simple_statements] = STATE(926),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym_string_start] = ACTIONS(83),
  },
  [168] = {
    [sym__simple_statements] = STATE(1006),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym_string_start] = ACTIONS(83),
  },
  [169] = {
    [sym__simple_statements] = STATE(1034),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym_string_start] = ACTIONS(83),
  },
  [170] = {
    [sym__simple_statements] = STATE(1061),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym_string_start] = ACTIONS(83),
  },
  [171] = {
    [sym__simple_statements] = STATE(1032),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym_string_start] = ACTIONS(83),
  },
  [172] = {
    [sym__simple_statements] = STATE(1050),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym_string_start] = ACTIONS(83),
  },
  [173] = {
    [sym__simple_statements] = STATE(1063),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym_string_start] = ACTIONS(83),
  },
  [174] = {
    [sym__simple_statements] = STATE(1014),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym_string_start] = ACTIONS(83),
  },
  [175] = {
    [sym__simple_statements] = STATE(1021),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym_string_start] = ACTIONS(83),
  },
  [176] = {
    [sym__simple_statements] = STATE(1018),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym_string_start] = ACTIONS(83),
  },
  [177] = {
    [sym__simple_statements] = STATE(1029),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_type] = STATE(2387),
    [sym_splat_type] = STATE(2380),
    [sym_generic_type] = STATE(2380),
    [sym_union_type] = STATE(2380),
    [sym_constrained_type] = STATE(2380),
    [sym_member_type] = STATE(2380),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(331),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_STAR_STAR] = ACTIONS(335),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym_string_start] = ACTIONS(83),
  },
  [178] = {
    [sym_chevron] = STATE(2614),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_list_splat_pattern] = STATE(1401),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1161),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_attribute] = STATE(1388),
    [sym_subscript] = STATE(1455),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(529),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(531),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(534),
    [anon_sym_print] = ACTIONS(537),
    [anon_sym_GT_GT] = ACTIONS(539),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(537),
    [anon_sym_async] = ACTIONS(537),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(541),
    [anon_sym_STAR_STAR] = ACTIONS(284),
    [anon_sym_exec] = ACTIONS(537),
    [anon_sym_type] = ACTIONS(544),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_not] = ACTIONS(549),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(552),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(83),
  },
  [179] = {
    [sym_named_expression] = STATE(2091),
    [sym__named_expression_lhs] = STATE(3277),
    [sym_list_splat_pattern] = STATE(1762),
    [sym_as_pattern] = STATE(2091),
    [sym_expression] = STATE(2236),
    [sym_primary_expression] = STATE(1294),
    [sym_not_operator] = STATE(2091),
    [sym_boolean_operator] = STATE(2091),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_comparison_operator] = STATE(2091),
    [sym_lambda] = STATE(2091),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(2091),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(284),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(284),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_type] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_not] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(327),
  },
  [180] = {
    [sym_named_expression] = STATE(2091),
    [sym__named_expression_lhs] = STATE(3277),
    [sym_list_splat_pattern] = STATE(1762),
    [sym_as_pattern] = STATE(2091),
    [sym_expression] = STATE(2237),
    [sym_primary_expression] = STATE(1294),
    [sym_not_operator] = STATE(2091),
    [sym_boolean_operator] = STATE(2091),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_comparison_operator] = STATE(2091),
    [sym_lambda] = STATE(2091),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_conditional_expression] = STATE(2091),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(284),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(295),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(284),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_type] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_not] = ACTIONS(564),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(327),
  },
  [181] = {
    [sym__simple_statements] = STATE(929),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(566),
    [sym__indent] = ACTIONS(568),
    [sym_string_start] = ACTIONS(83),
  },
  [182] = {
    [sym__simple_statements] = STATE(922),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(570),
    [sym__indent] = ACTIONS(572),
    [sym_string_start] = ACTIONS(83),
  },
  [183] = {
    [sym__simple_statements] = STATE(962),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(574),
    [sym__indent] = ACTIONS(576),
    [sym_string_start] = ACTIONS(83),
  },
  [184] = {
    [sym__simple_statements] = STATE(1035),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(578),
    [sym__indent] = ACTIONS(580),
    [sym_string_start] = ACTIONS(83),
  },
  [185] = {
    [sym__simple_statements] = STATE(1064),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(582),
    [sym__indent] = ACTIONS(584),
    [sym_string_start] = ACTIONS(83),
  },
  [186] = {
    [sym__simple_statements] = STATE(756),
    [sym_import_statement] = STATE(2788),
    [sym_future_import_statement] = STATE(2788),
    [sym_import_from_statement] = STATE(2788),
    [sym_print_statement] = STATE(2788),
    [sym_assert_statement] = STATE(2788),
    [sym_expression_statement] = STATE(2788),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2788),
    [sym_delete_statement] = STATE(2788),
    [sym_raise_statement] = STATE(2788),
    [sym_pass_statement] = STATE(2788),
    [sym_break_statement] = STATE(2788),
    [sym_continue_statement] = STATE(2788),
    [sym_global_statement] = STATE(2788),
    [sym_nonlocal_statement] = STATE(2788),
    [sym_exec_statement] = STATE(2788),
    [sym_type_alias_statement] = STATE(2788),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(586),
    [sym__indent] = ACTIONS(588),
    [sym_string_start] = ACTIONS(83),
  },
  [187] = {
    [sym__simple_statements] = STATE(849),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(590),
    [sym__indent] = ACTIONS(592),
    [sym_string_start] = ACTIONS(83),
  },
  [188] = {
    [sym__simple_statements] = STATE(1056),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(594),
    [sym__indent] = ACTIONS(596),
    [sym_string_start] = ACTIONS(83),
  },
  [189] = {
    [sym__simple_statements] = STATE(977),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(598),
    [sym__indent] = ACTIONS(600),
    [sym_string_start] = ACTIONS(83),
  },
  [190] = {
    [sym__simple_statements] = STATE(1070),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(602),
    [sym__indent] = ACTIONS(604),
    [sym_string_start] = ACTIONS(83),
  },
  [191] = {
    [sym__simple_statements] = STATE(1058),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(606),
    [sym__indent] = ACTIONS(608),
    [sym_string_start] = ACTIONS(83),
  },
  [192] = {
    [sym__simple_statements] = STATE(2173),
    [sym_import_statement] = STATE(2937),
    [sym_future_import_statement] = STATE(2937),
    [sym_import_from_statement] = STATE(2937),
    [sym_print_statement] = STATE(2937),
    [sym_assert_statement] = STATE(2937),
    [sym_expression_statement] = STATE(2937),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2937),
    [sym_delete_statement] = STATE(2937),
    [sym_raise_statement] = STATE(2937),
    [sym_pass_statement] = STATE(2937),
    [sym_break_statement] = STATE(2937),
    [sym_continue_statement] = STATE(2937),
    [sym_global_statement] = STATE(2937),
    [sym_nonlocal_statement] = STATE(2937),
    [sym_exec_statement] = STATE(2937),
    [sym_type_alias_statement] = STATE(2937),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(610),
    [sym__indent] = ACTIONS(612),
    [sym_string_start] = ACTIONS(83),
  },
  [193] = {
    [sym__simple_statements] = STATE(955),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(614),
    [sym__indent] = ACTIONS(616),
    [sym_string_start] = ACTIONS(83),
  },
  [194] = {
    [sym__simple_statements] = STATE(956),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(618),
    [sym__indent] = ACTIONS(620),
    [sym_string_start] = ACTIONS(83),
  },
  [195] = {
    [sym__simple_statements] = STATE(898),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(622),
    [sym__indent] = ACTIONS(624),
    [sym_string_start] = ACTIONS(83),
  },
  [196] = {
    [sym__simple_statements] = STATE(740),
    [sym_import_statement] = STATE(2788),
    [sym_future_import_statement] = STATE(2788),
    [sym_import_from_statement] = STATE(2788),
    [sym_print_statement] = STATE(2788),
    [sym_assert_statement] = STATE(2788),
    [sym_expression_statement] = STATE(2788),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2788),
    [sym_delete_statement] = STATE(2788),
    [sym_raise_statement] = STATE(2788),
    [sym_pass_statement] = STATE(2788),
    [sym_break_statement] = STATE(2788),
    [sym_continue_statement] = STATE(2788),
    [sym_global_statement] = STATE(2788),
    [sym_nonlocal_statement] = STATE(2788),
    [sym_exec_statement] = STATE(2788),
    [sym_type_alias_statement] = STATE(2788),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(626),
    [sym__indent] = ACTIONS(628),
    [sym_string_start] = ACTIONS(83),
  },
  [197] = {
    [sym__simple_statements] = STATE(3045),
    [sym_import_statement] = STATE(2949),
    [sym_future_import_statement] = STATE(2949),
    [sym_import_from_statement] = STATE(2949),
    [sym_print_statement] = STATE(2949),
    [sym_assert_statement] = STATE(2949),
    [sym_expression_statement] = STATE(2949),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2949),
    [sym_delete_statement] = STATE(2949),
    [sym_raise_statement] = STATE(2949),
    [sym_pass_statement] = STATE(2949),
    [sym_break_statement] = STATE(2949),
    [sym_continue_statement] = STATE(2949),
    [sym_global_statement] = STATE(2949),
    [sym_nonlocal_statement] = STATE(2949),
    [sym_exec_statement] = STATE(2949),
    [sym_type_alias_statement] = STATE(2949),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(630),
    [sym__indent] = ACTIONS(632),
    [sym_string_start] = ACTIONS(83),
  },
  [198] = {
    [sym__simple_statements] = STATE(864),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(634),
    [sym__indent] = ACTIONS(636),
    [sym_string_start] = ACTIONS(83),
  },
  [199] = {
    [sym__simple_statements] = STATE(3051),
    [sym_import_statement] = STATE(2949),
    [sym_future_import_statement] = STATE(2949),
    [sym_import_from_statement] = STATE(2949),
    [sym_print_statement] = STATE(2949),
    [sym_assert_statement] = STATE(2949),
    [sym_expression_statement] = STATE(2949),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2949),
    [sym_delete_statement] = STATE(2949),
    [sym_raise_statement] = STATE(2949),
    [sym_pass_statement] = STATE(2949),
    [sym_break_statement] = STATE(2949),
    [sym_continue_statement] = STATE(2949),
    [sym_global_statement] = STATE(2949),
    [sym_nonlocal_statement] = STATE(2949),
    [sym_exec_statement] = STATE(2949),
    [sym_type_alias_statement] = STATE(2949),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(638),
    [sym__indent] = ACTIONS(640),
    [sym_string_start] = ACTIONS(83),
  },
  [200] = {
    [sym__simple_statements] = STATE(971),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(642),
    [sym__indent] = ACTIONS(644),
    [sym_string_start] = ACTIONS(83),
  },
  [201] = {
    [sym__simple_statements] = STATE(923),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(646),
    [sym__indent] = ACTIONS(648),
    [sym_string_start] = ACTIONS(83),
  },
  [202] = {
    [sym__simple_statements] = STATE(1078),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(650),
    [sym__indent] = ACTIONS(652),
    [sym_string_start] = ACTIONS(83),
  },
  [203] = {
    [sym__simple_statements] = STATE(719),
    [sym_import_statement] = STATE(2950),
    [sym_future_import_statement] = STATE(2950),
    [sym_import_from_statement] = STATE(2950),
    [sym_print_statement] = STATE(2950),
    [sym_assert_statement] = STATE(2950),
    [sym_expression_statement] = STATE(2950),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2950),
    [sym_delete_statement] = STATE(2950),
    [sym_raise_statement] = STATE(2950),
    [sym_pass_statement] = STATE(2950),
    [sym_break_statement] = STATE(2950),
    [sym_continue_statement] = STATE(2950),
    [sym_global_statement] = STATE(2950),
    [sym_nonlocal_statement] = STATE(2950),
    [sym_exec_statement] = STATE(2950),
    [sym_type_alias_statement] = STATE(2950),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(654),
    [sym__indent] = ACTIONS(656),
    [sym_string_start] = ACTIONS(83),
  },
  [204] = {
    [sym__simple_statements] = STATE(943),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(658),
    [sym__indent] = ACTIONS(660),
    [sym_string_start] = ACTIONS(83),
  },
  [205] = {
    [sym__simple_statements] = STATE(765),
    [sym_import_statement] = STATE(2902),
    [sym_future_import_statement] = STATE(2902),
    [sym_import_from_statement] = STATE(2902),
    [sym_print_statement] = STATE(2902),
    [sym_assert_statement] = STATE(2902),
    [sym_expression_statement] = STATE(2902),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2902),
    [sym_delete_statement] = STATE(2902),
    [sym_raise_statement] = STATE(2902),
    [sym_pass_statement] = STATE(2902),
    [sym_break_statement] = STATE(2902),
    [sym_continue_statement] = STATE(2902),
    [sym_global_statement] = STATE(2902),
    [sym_nonlocal_statement] = STATE(2902),
    [sym_exec_statement] = STATE(2902),
    [sym_type_alias_statement] = STATE(2902),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(662),
    [sym__indent] = ACTIONS(664),
    [sym_string_start] = ACTIONS(83),
  },
  [206] = {
    [sym__simple_statements] = STATE(947),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(666),
    [sym__indent] = ACTIONS(668),
    [sym_string_start] = ACTIONS(83),
  },
  [207] = {
    [sym__simple_statements] = STATE(964),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(670),
    [sym__indent] = ACTIONS(672),
    [sym_string_start] = ACTIONS(83),
  },
  [208] = {
    [sym__simple_statements] = STATE(664),
    [sym_import_statement] = STATE(2950),
    [sym_future_import_statement] = STATE(2950),
    [sym_import_from_statement] = STATE(2950),
    [sym_print_statement] = STATE(2950),
    [sym_assert_statement] = STATE(2950),
    [sym_expression_statement] = STATE(2950),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2950),
    [sym_delete_statement] = STATE(2950),
    [sym_raise_statement] = STATE(2950),
    [sym_pass_statement] = STATE(2950),
    [sym_break_statement] = STATE(2950),
    [sym_continue_statement] = STATE(2950),
    [sym_global_statement] = STATE(2950),
    [sym_nonlocal_statement] = STATE(2950),
    [sym_exec_statement] = STATE(2950),
    [sym_type_alias_statement] = STATE(2950),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(674),
    [sym__indent] = ACTIONS(676),
    [sym_string_start] = ACTIONS(83),
  },
  [209] = {
    [sym__simple_statements] = STATE(1022),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(678),
    [sym__indent] = ACTIONS(680),
    [sym_string_start] = ACTIONS(83),
  },
  [210] = {
    [sym__simple_statements] = STATE(861),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(682),
    [sym__indent] = ACTIONS(684),
    [sym_string_start] = ACTIONS(83),
  },
  [211] = {
    [sym__simple_statements] = STATE(911),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(686),
    [sym__indent] = ACTIONS(688),
    [sym_string_start] = ACTIONS(83),
  },
  [212] = {
    [sym__simple_statements] = STATE(966),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(690),
    [sym__indent] = ACTIONS(692),
    [sym_string_start] = ACTIONS(83),
  },
  [213] = {
    [sym__simple_statements] = STATE(1042),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(694),
    [sym__indent] = ACTIONS(696),
    [sym_string_start] = ACTIONS(83),
  },
  [214] = {
    [sym__simple_statements] = STATE(991),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(698),
    [sym__indent] = ACTIONS(700),
    [sym_string_start] = ACTIONS(83),
  },
  [215] = {
    [sym__simple_statements] = STATE(3066),
    [sym_import_statement] = STATE(2949),
    [sym_future_import_statement] = STATE(2949),
    [sym_import_from_statement] = STATE(2949),
    [sym_print_statement] = STATE(2949),
    [sym_assert_statement] = STATE(2949),
    [sym_expression_statement] = STATE(2949),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2949),
    [sym_delete_statement] = STATE(2949),
    [sym_raise_statement] = STATE(2949),
    [sym_pass_statement] = STATE(2949),
    [sym_break_statement] = STATE(2949),
    [sym_continue_statement] = STATE(2949),
    [sym_global_statement] = STATE(2949),
    [sym_nonlocal_statement] = STATE(2949),
    [sym_exec_statement] = STATE(2949),
    [sym_type_alias_statement] = STATE(2949),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(702),
    [sym__indent] = ACTIONS(704),
    [sym_string_start] = ACTIONS(83),
  },
  [216] = {
    [sym__simple_statements] = STATE(1060),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(706),
    [sym__indent] = ACTIONS(708),
    [sym_string_start] = ACTIONS(83),
  },
  [217] = {
    [sym__simple_statements] = STATE(1005),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(710),
    [sym__indent] = ACTIONS(712),
    [sym_string_start] = ACTIONS(83),
  },
  [218] = {
    [sym__simple_statements] = STATE(846),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(714),
    [sym__indent] = ACTIONS(716),
    [sym_string_start] = ACTIONS(83),
  },
  [219] = {
    [sym__simple_statements] = STATE(963),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(718),
    [sym__indent] = ACTIONS(720),
    [sym_string_start] = ACTIONS(83),
  },
  [220] = {
    [sym__simple_statements] = STATE(668),
    [sym_import_statement] = STATE(2788),
    [sym_future_import_statement] = STATE(2788),
    [sym_import_from_statement] = STATE(2788),
    [sym_print_statement] = STATE(2788),
    [sym_assert_statement] = STATE(2788),
    [sym_expression_statement] = STATE(2788),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2788),
    [sym_delete_statement] = STATE(2788),
    [sym_raise_statement] = STATE(2788),
    [sym_pass_statement] = STATE(2788),
    [sym_break_statement] = STATE(2788),
    [sym_continue_statement] = STATE(2788),
    [sym_global_statement] = STATE(2788),
    [sym_nonlocal_statement] = STATE(2788),
    [sym_exec_statement] = STATE(2788),
    [sym_type_alias_statement] = STATE(2788),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(722),
    [sym__indent] = ACTIONS(724),
    [sym_string_start] = ACTIONS(83),
  },
  [221] = {
    [sym__simple_statements] = STATE(601),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(726),
    [sym__indent] = ACTIONS(728),
    [sym_string_start] = ACTIONS(83),
  },
  [222] = {
    [sym__simple_statements] = STATE(843),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(730),
    [sym__indent] = ACTIONS(732),
    [sym_string_start] = ACTIONS(83),
  },
  [223] = {
    [sym__simple_statements] = STATE(967),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(734),
    [sym__indent] = ACTIONS(736),
    [sym_string_start] = ACTIONS(83),
  },
  [224] = {
    [sym__simple_statements] = STATE(3003),
    [sym_import_statement] = STATE(2949),
    [sym_future_import_statement] = STATE(2949),
    [sym_import_from_statement] = STATE(2949),
    [sym_print_statement] = STATE(2949),
    [sym_assert_statement] = STATE(2949),
    [sym_expression_statement] = STATE(2949),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2949),
    [sym_delete_statement] = STATE(2949),
    [sym_raise_statement] = STATE(2949),
    [sym_pass_statement] = STATE(2949),
    [sym_break_statement] = STATE(2949),
    [sym_continue_statement] = STATE(2949),
    [sym_global_statement] = STATE(2949),
    [sym_nonlocal_statement] = STATE(2949),
    [sym_exec_statement] = STATE(2949),
    [sym_type_alias_statement] = STATE(2949),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(738),
    [sym__indent] = ACTIONS(740),
    [sym_string_start] = ACTIONS(83),
  },
  [225] = {
    [sym__simple_statements] = STATE(951),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(742),
    [sym__indent] = ACTIONS(744),
    [sym_string_start] = ACTIONS(83),
  },
  [226] = {
    [sym__simple_statements] = STATE(936),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(746),
    [sym__indent] = ACTIONS(748),
    [sym_string_start] = ACTIONS(83),
  },
  [227] = {
    [sym__simple_statements] = STATE(959),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(750),
    [sym__indent] = ACTIONS(752),
    [sym_string_start] = ACTIONS(83),
  },
  [228] = {
    [sym__simple_statements] = STATE(941),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(754),
    [sym__indent] = ACTIONS(756),
    [sym_string_start] = ACTIONS(83),
  },
  [229] = {
    [sym__simple_statements] = STATE(856),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(758),
    [sym__indent] = ACTIONS(760),
    [sym_string_start] = ACTIONS(83),
  },
  [230] = {
    [sym__simple_statements] = STATE(881),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(762),
    [sym__indent] = ACTIONS(764),
    [sym_string_start] = ACTIONS(83),
  },
  [231] = {
    [sym__simple_statements] = STATE(984),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(766),
    [sym__indent] = ACTIONS(768),
    [sym_string_start] = ACTIONS(83),
  },
  [232] = {
    [sym__simple_statements] = STATE(2183),
    [sym_import_statement] = STATE(2937),
    [sym_future_import_statement] = STATE(2937),
    [sym_import_from_statement] = STATE(2937),
    [sym_print_statement] = STATE(2937),
    [sym_assert_statement] = STATE(2937),
    [sym_expression_statement] = STATE(2937),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2937),
    [sym_delete_statement] = STATE(2937),
    [sym_raise_statement] = STATE(2937),
    [sym_pass_statement] = STATE(2937),
    [sym_break_statement] = STATE(2937),
    [sym_continue_statement] = STATE(2937),
    [sym_global_statement] = STATE(2937),
    [sym_nonlocal_statement] = STATE(2937),
    [sym_exec_statement] = STATE(2937),
    [sym_type_alias_statement] = STATE(2937),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(770),
    [sym__indent] = ACTIONS(772),
    [sym_string_start] = ACTIONS(83),
  },
  [233] = {
    [sym__simple_statements] = STATE(853),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(774),
    [sym__indent] = ACTIONS(776),
    [sym_string_start] = ACTIONS(83),
  },
  [234] = {
    [sym__simple_statements] = STATE(818),
    [sym_import_statement] = STATE(2950),
    [sym_future_import_statement] = STATE(2950),
    [sym_import_from_statement] = STATE(2950),
    [sym_print_statement] = STATE(2950),
    [sym_assert_statement] = STATE(2950),
    [sym_expression_statement] = STATE(2950),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2950),
    [sym_delete_statement] = STATE(2950),
    [sym_raise_statement] = STATE(2950),
    [sym_pass_statement] = STATE(2950),
    [sym_break_statement] = STATE(2950),
    [sym_continue_statement] = STATE(2950),
    [sym_global_statement] = STATE(2950),
    [sym_nonlocal_statement] = STATE(2950),
    [sym_exec_statement] = STATE(2950),
    [sym_type_alias_statement] = STATE(2950),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(778),
    [sym__indent] = ACTIONS(780),
    [sym_string_start] = ACTIONS(83),
  },
  [235] = {
    [sym__simple_statements] = STATE(847),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(782),
    [sym__indent] = ACTIONS(784),
    [sym_string_start] = ACTIONS(83),
  },
  [236] = {
    [sym__simple_statements] = STATE(987),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(786),
    [sym__indent] = ACTIONS(788),
    [sym_string_start] = ACTIONS(83),
  },
  [237] = {
    [sym__simple_statements] = STATE(759),
    [sym_import_statement] = STATE(2887),
    [sym_future_import_statement] = STATE(2887),
    [sym_import_from_statement] = STATE(2887),
    [sym_print_statement] = STATE(2887),
    [sym_assert_statement] = STATE(2887),
    [sym_expression_statement] = STATE(2887),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2887),
    [sym_delete_statement] = STATE(2887),
    [sym_raise_statement] = STATE(2887),
    [sym_pass_statement] = STATE(2887),
    [sym_break_statement] = STATE(2887),
    [sym_continue_statement] = STATE(2887),
    [sym_global_statement] = STATE(2887),
    [sym_nonlocal_statement] = STATE(2887),
    [sym_exec_statement] = STATE(2887),
    [sym_type_alias_statement] = STATE(2887),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(790),
    [sym__indent] = ACTIONS(792),
    [sym_string_start] = ACTIONS(83),
  },
  [238] = {
    [sym__simple_statements] = STATE(863),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(794),
    [sym__indent] = ACTIONS(796),
    [sym_string_start] = ACTIONS(83),
  },
  [239] = {
    [sym__simple_statements] = STATE(615),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(798),
    [sym__indent] = ACTIONS(800),
    [sym_string_start] = ACTIONS(83),
  },
  [240] = {
    [sym__simple_statements] = STATE(999),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(802),
    [sym__indent] = ACTIONS(804),
    [sym_string_start] = ACTIONS(83),
  },
  [241] = {
    [sym__simple_statements] = STATE(3009),
    [sym_import_statement] = STATE(2949),
    [sym_future_import_statement] = STATE(2949),
    [sym_import_from_statement] = STATE(2949),
    [sym_print_statement] = STATE(2949),
    [sym_assert_statement] = STATE(2949),
    [sym_expression_statement] = STATE(2949),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2949),
    [sym_delete_statement] = STATE(2949),
    [sym_raise_statement] = STATE(2949),
    [sym_pass_statement] = STATE(2949),
    [sym_break_statement] = STATE(2949),
    [sym_continue_statement] = STATE(2949),
    [sym_global_statement] = STATE(2949),
    [sym_nonlocal_statement] = STATE(2949),
    [sym_exec_statement] = STATE(2949),
    [sym_type_alias_statement] = STATE(2949),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(806),
    [sym__indent] = ACTIONS(808),
    [sym_string_start] = ACTIONS(83),
  },
  [242] = {
    [sym__simple_statements] = STATE(844),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(810),
    [sym__indent] = ACTIONS(812),
    [sym_string_start] = ACTIONS(83),
  },
  [243] = {
    [sym__simple_statements] = STATE(2981),
    [sym_import_statement] = STATE(2949),
    [sym_future_import_statement] = STATE(2949),
    [sym_import_from_statement] = STATE(2949),
    [sym_print_statement] = STATE(2949),
    [sym_assert_statement] = STATE(2949),
    [sym_expression_statement] = STATE(2949),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2949),
    [sym_delete_statement] = STATE(2949),
    [sym_raise_statement] = STATE(2949),
    [sym_pass_statement] = STATE(2949),
    [sym_break_statement] = STATE(2949),
    [sym_continue_statement] = STATE(2949),
    [sym_global_statement] = STATE(2949),
    [sym_nonlocal_statement] = STATE(2949),
    [sym_exec_statement] = STATE(2949),
    [sym_type_alias_statement] = STATE(2949),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(814),
    [sym__indent] = ACTIONS(816),
    [sym_string_start] = ACTIONS(83),
  },
  [244] = {
    [sym__simple_statements] = STATE(998),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(818),
    [sym__indent] = ACTIONS(820),
    [sym_string_start] = ACTIONS(83),
  },
  [245] = {
    [sym__simple_statements] = STATE(876),
    [sym_import_statement] = STATE(2678),
    [sym_future_import_statement] = STATE(2678),
    [sym_import_from_statement] = STATE(2678),
    [sym_print_statement] = STATE(2678),
    [sym_assert_statement] = STATE(2678),
    [sym_expression_statement] = STATE(2678),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2678),
    [sym_delete_statement] = STATE(2678),
    [sym_raise_statement] = STATE(2678),
    [sym_pass_statement] = STATE(2678),
    [sym_break_statement] = STATE(2678),
    [sym_continue_statement] = STATE(2678),
    [sym_global_statement] = STATE(2678),
    [sym_nonlocal_statement] = STATE(2678),
    [sym_exec_statement] = STATE(2678),
    [sym_type_alias_statement] = STATE(2678),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(822),
    [sym__indent] = ACTIONS(824),
    [sym_string_start] = ACTIONS(83),
  },
  [246] = {
    [sym__simple_statements] = STATE(1031),
    [sym_import_statement] = STATE(2662),
    [sym_future_import_statement] = STATE(2662),
    [sym_import_from_statement] = STATE(2662),
    [sym_print_statement] = STATE(2662),
    [sym_assert_statement] = STATE(2662),
    [sym_expression_statement] = STATE(2662),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(2662),
    [sym_delete_statement] = STATE(2662),
    [sym_raise_statement] = STATE(2662),
    [sym_pass_statement] = STATE(2662),
    [sym_break_statement] = STATE(2662),
    [sym_continue_statement] = STATE(2662),
    [sym_global_statement] = STATE(2662),
    [sym_nonlocal_statement] = STATE(2662),
    [sym_exec_statement] = STATE(2662),
    [sym_type_alias_statement] = STATE(2662),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(826),
    [sym__indent] = ACTIONS(828),
    [sym_string_start] = ACTIONS(83),
  },
  [247] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(830),
    [sym_string_start] = ACTIONS(83),
  },
  [248] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(832),
    [sym_string_start] = ACTIONS(83),
  },
  [249] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(834),
    [sym_string_start] = ACTIONS(83),
  },
  [250] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(836),
    [sym_string_start] = ACTIONS(83),
  },
  [251] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(838),
    [sym_string_start] = ACTIONS(83),
  },
  [252] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(840),
    [sym_string_start] = ACTIONS(83),
  },
  [253] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(842),
    [sym_string_start] = ACTIONS(83),
  },
  [254] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(844),
    [sym_string_start] = ACTIONS(83),
  },
  [255] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(846),
    [sym_string_start] = ACTIONS(83),
  },
  [256] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(848),
    [sym_string_start] = ACTIONS(83),
  },
  [257] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(850),
    [sym_string_start] = ACTIONS(83),
  },
  [258] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(852),
    [sym_string_start] = ACTIONS(83),
  },
  [259] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(854),
    [sym_string_start] = ACTIONS(83),
  },
  [260] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(856),
    [sym_string_start] = ACTIONS(83),
  },
  [261] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(858),
    [sym_string_start] = ACTIONS(83),
  },
  [262] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(860),
    [sym_string_start] = ACTIONS(83),
  },
  [263] = {
    [sym_import_statement] = STATE(3089),
    [sym_future_import_statement] = STATE(3089),
    [sym_import_from_statement] = STATE(3089),
    [sym_print_statement] = STATE(3089),
    [sym_assert_statement] = STATE(3089),
    [sym_expression_statement] = STATE(3089),
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_return_statement] = STATE(3089),
    [sym_delete_statement] = STATE(3089),
    [sym_raise_statement] = STATE(3089),
    [sym_pass_statement] = STATE(3089),
    [sym_break_statement] = STATE(3089),
    [sym_continue_statement] = STATE(3089),
    [sym_global_statement] = STATE(3089),
    [sym_nonlocal_statement] = STATE(3089),
    [sym_exec_statement] = STATE(3089),
    [sym_type_alias_statement] = STATE(3089),
    [sym_pattern] = STATE(2035),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(2999),
    [sym_augmented_assignment] = STATE(2999),
    [sym_pattern_list] = STATE(2036),
    [sym_yield] = STATE(2999),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_global] = ACTIONS(53),
    [anon_sym_nonlocal] = ACTIONS(55),
    [anon_sym_exec] = ACTIONS(57),
    [anon_sym_type] = ACTIONS(59),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(83),
  },
  [264] = {
    [sym_list_splat_pattern] = STATE(1401),
    [sym_primary_expression] = STATE(1260),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_attribute] = STATE(1388),
    [sym_subscript] = STATE(1455),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_print] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(284),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(866),
    [anon_sym_async] = ACTIONS(866),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_STAR_STAR] = ACTIONS(284),
    [anon_sym_exec] = ACTIONS(866),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(872),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(872),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(874),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(83),
  },
  [265] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_SLASH_SLASH] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(881),
    [anon_sym_PLUS_EQ] = ACTIONS(876),
    [anon_sym_DASH_EQ] = ACTIONS(876),
    [anon_sym_STAR_EQ] = ACTIONS(876),
    [anon_sym_SLASH_EQ] = ACTIONS(876),
    [anon_sym_AT_EQ] = ACTIONS(876),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(876),
    [anon_sym_PERCENT_EQ] = ACTIONS(876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(876),
    [anon_sym_GT_GT_EQ] = ACTIONS(876),
    [anon_sym_LT_LT_EQ] = ACTIONS(876),
    [anon_sym_AMP_EQ] = ACTIONS(876),
    [anon_sym_CARET_EQ] = ACTIONS(876),
    [anon_sym_PIPE_EQ] = ACTIONS(876),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(876),
    [sym_string_start] = ACTIONS(327),
  },
  [266] = {
    [sym_list_splat_pattern] = STATE(1401),
    [sym_primary_expression] = STATE(1260),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_attribute] = STATE(1388),
    [sym_subscript] = STATE(1455),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_from] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_print] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(866),
    [anon_sym_async] = ACTIONS(866),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(866),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(874),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(83),
  },
  [267] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_RBRACE] = ACTIONS(876),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(881),
    [sym_ellipsis] = ACTIONS(321),
    [sym_type_conversion] = ACTIONS(876),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [268] = {
    [sym_list_splat_pattern] = STATE(1513),
    [sym_primary_expression] = STATE(1272),
    [sym_binary_operator] = STATE(1463),
    [sym_unary_operator] = STATE(1463),
    [sym_attribute] = STATE(1463),
    [sym_subscript] = STATE(1530),
    [sym_call] = STATE(1535),
    [sym_list] = STATE(1463),
    [sym_set] = STATE(1463),
    [sym_tuple] = STATE(1463),
    [sym_dictionary] = STATE(1463),
    [sym_list_comprehension] = STATE(1463),
    [sym_dictionary_comprehension] = STATE(1463),
    [sym_set_comprehension] = STATE(1463),
    [sym_generator_expression] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1463),
    [sym_concatenated_string] = STATE(1463),
    [sym_string] = STATE(1284),
    [sym_await] = STATE(1463),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_print] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(900),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(898),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(908),
    [sym_type_conversion] = ACTIONS(282),
    [sym_integer] = ACTIONS(892),
    [sym_float] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(910),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_none] = ACTIONS(892),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(912),
  },
  [269] = {
    [sym_list_splat_pattern] = STATE(1513),
    [sym_primary_expression] = STATE(1272),
    [sym_binary_operator] = STATE(1463),
    [sym_unary_operator] = STATE(1463),
    [sym_attribute] = STATE(1463),
    [sym_subscript] = STATE(1530),
    [sym_call] = STATE(1535),
    [sym_list] = STATE(1463),
    [sym_set] = STATE(1463),
    [sym_tuple] = STATE(1463),
    [sym_dictionary] = STATE(1463),
    [sym_list_comprehension] = STATE(1463),
    [sym_dictionary_comprehension] = STATE(1463),
    [sym_set_comprehension] = STATE(1463),
    [sym_generator_expression] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1463),
    [sym_concatenated_string] = STATE(1463),
    [sym_string] = STATE(1284),
    [sym_await] = STATE(1463),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_print] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(900),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(898),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(908),
    [sym_type_conversion] = ACTIONS(282),
    [sym_integer] = ACTIONS(892),
    [sym_float] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(910),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_none] = ACTIONS(892),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(912),
  },
  [270] = {
    [sym_list_splat_pattern] = STATE(1401),
    [sym_primary_expression] = STATE(1260),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_attribute] = STATE(1388),
    [sym_subscript] = STATE(1455),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(79),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_from] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_print] = ACTIONS(866),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(866),
    [anon_sym_async] = ACTIONS(866),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(866),
    [anon_sym_type] = ACTIONS(870),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(874),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(282),
    [sym_string_start] = ACTIONS(83),
  },
  [271] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(876),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_from] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(881),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(876),
    [sym_string_start] = ACTIONS(327),
  },
  [272] = {
    [sym_list_splat_pattern] = STATE(1513),
    [sym_primary_expression] = STATE(1272),
    [sym_binary_operator] = STATE(1463),
    [sym_unary_operator] = STATE(1463),
    [sym_attribute] = STATE(1463),
    [sym_subscript] = STATE(1530),
    [sym_call] = STATE(1535),
    [sym_list] = STATE(1463),
    [sym_set] = STATE(1463),
    [sym_tuple] = STATE(1463),
    [sym_dictionary] = STATE(1463),
    [sym_list_comprehension] = STATE(1463),
    [sym_dictionary_comprehension] = STATE(1463),
    [sym_set_comprehension] = STATE(1463),
    [sym_generator_expression] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1463),
    [sym_concatenated_string] = STATE(1463),
    [sym_string] = STATE(1284),
    [sym_await] = STATE(1463),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(889),
    [anon_sym_as] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_print] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_match] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(900),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(898),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(889),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_not] = ACTIONS(878),
    [anon_sym_and] = ACTIONS(878),
    [anon_sym_or] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(889),
    [anon_sym_EQ_EQ] = ACTIONS(889),
    [anon_sym_BANG_EQ] = ACTIONS(889),
    [anon_sym_GT_EQ] = ACTIONS(889),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(889),
    [anon_sym_is] = ACTIONS(878),
    [sym_ellipsis] = ACTIONS(908),
    [sym_integer] = ACTIONS(892),
    [sym_float] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(910),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_none] = ACTIONS(892),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(912),
  },
  [273] = {
    [sym_list_splat_pattern] = STATE(1721),
    [sym_primary_expression] = STATE(1370),
    [sym_binary_operator] = STATE(1689),
    [sym_unary_operator] = STATE(1689),
    [sym_attribute] = STATE(1689),
    [sym_subscript] = STATE(1752),
    [sym_call] = STATE(1673),
    [sym_list] = STATE(1689),
    [sym_set] = STATE(1689),
    [sym_tuple] = STATE(1689),
    [sym_dictionary] = STATE(1689),
    [sym_list_comprehension] = STATE(1689),
    [sym_dictionary_comprehension] = STATE(1689),
    [sym_set_comprehension] = STATE(1689),
    [sym_generator_expression] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1689),
    [sym_concatenated_string] = STATE(1689),
    [sym_string] = STATE(1342),
    [sym_await] = STATE(1689),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(916),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_print] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(920),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(932),
    [sym_integer] = ACTIONS(914),
    [sym_float] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(934),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_none] = ACTIONS(914),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(936),
  },
  [274] = {
    [sym_list_splat_pattern] = STATE(1521),
    [sym_primary_expression] = STATE(1275),
    [sym_binary_operator] = STATE(1548),
    [sym_unary_operator] = STATE(1548),
    [sym_attribute] = STATE(1548),
    [sym_subscript] = STATE(1527),
    [sym_call] = STATE(1556),
    [sym_list] = STATE(1548),
    [sym_set] = STATE(1548),
    [sym_tuple] = STATE(1548),
    [sym_dictionary] = STATE(1548),
    [sym_list_comprehension] = STATE(1548),
    [sym_dictionary_comprehension] = STATE(1548),
    [sym_set_comprehension] = STATE(1548),
    [sym_generator_expression] = STATE(1548),
    [sym_parenthesized_expression] = STATE(1548),
    [sym_concatenated_string] = STATE(1548),
    [sym_string] = STATE(1302),
    [sym_await] = STATE(1548),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_print] = ACTIONS(944),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(944),
    [anon_sym_async] = ACTIONS(944),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(946),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(944),
    [anon_sym_type] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(954),
    [sym_integer] = ACTIONS(938),
    [sym_float] = ACTIONS(954),
    [anon_sym_await] = ACTIONS(956),
    [sym_true] = ACTIONS(938),
    [sym_false] = ACTIONS(938),
    [sym_none] = ACTIONS(938),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(958),
  },
  [275] = {
    [sym_list_splat_pattern] = STATE(1513),
    [sym_primary_expression] = STATE(1272),
    [sym_binary_operator] = STATE(1463),
    [sym_unary_operator] = STATE(1463),
    [sym_attribute] = STATE(1463),
    [sym_subscript] = STATE(1530),
    [sym_call] = STATE(1535),
    [sym_list] = STATE(1463),
    [sym_set] = STATE(1463),
    [sym_tuple] = STATE(1463),
    [sym_dictionary] = STATE(1463),
    [sym_list_comprehension] = STATE(1463),
    [sym_dictionary_comprehension] = STATE(1463),
    [sym_set_comprehension] = STATE(1463),
    [sym_generator_expression] = STATE(1463),
    [sym_parenthesized_expression] = STATE(1463),
    [sym_concatenated_string] = STATE(1463),
    [sym_string] = STATE(1284),
    [sym_await] = STATE(1463),
    [sym_identifier] = ACTIONS(892),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_print] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(898),
    [anon_sym_async] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(900),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(898),
    [anon_sym_type] = ACTIONS(902),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(908),
    [sym_type_conversion] = ACTIONS(282),
    [sym_integer] = ACTIONS(892),
    [sym_float] = ACTIONS(908),
    [anon_sym_await] = ACTIONS(910),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_none] = ACTIONS(892),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(912),
  },
  [276] = {
    [sym_list_splat_pattern] = STATE(1788),
    [sym_primary_expression] = STATE(1419),
    [sym_binary_operator] = STATE(1794),
    [sym_unary_operator] = STATE(1794),
    [sym_attribute] = STATE(1794),
    [sym_subscript] = STATE(1789),
    [sym_call] = STATE(1795),
    [sym_list] = STATE(1794),
    [sym_set] = STATE(1794),
    [sym_tuple] = STATE(1794),
    [sym_dictionary] = STATE(1794),
    [sym_list_comprehension] = STATE(1794),
    [sym_dictionary_comprehension] = STATE(1794),
    [sym_set_comprehension] = STATE(1794),
    [sym_generator_expression] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1794),
    [sym_concatenated_string] = STATE(1794),
    [sym_string] = STATE(1394),
    [sym_await] = STATE(1794),
    [sym_identifier] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(889),
    [anon_sym_as] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(964),
    [anon_sym_print] = ACTIONS(966),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_match] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(968),
    [anon_sym_RBRACK] = ACTIONS(889),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(966),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(878),
    [anon_sym_and] = ACTIONS(878),
    [anon_sym_or] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(889),
    [anon_sym_EQ_EQ] = ACTIONS(889),
    [anon_sym_BANG_EQ] = ACTIONS(889),
    [anon_sym_GT_EQ] = ACTIONS(889),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(889),
    [anon_sym_is] = ACTIONS(878),
    [sym_ellipsis] = ACTIONS(976),
    [sym_integer] = ACTIONS(960),
    [sym_float] = ACTIONS(976),
    [anon_sym_await] = ACTIONS(978),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_none] = ACTIONS(960),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(980),
  },
  [277] = {
    [sym_list_splat_pattern] = STATE(1746),
    [sym_primary_expression] = STATE(1349),
    [sym_binary_operator] = STATE(1668),
    [sym_unary_operator] = STATE(1668),
    [sym_attribute] = STATE(1668),
    [sym_subscript] = STATE(1719),
    [sym_call] = STATE(1667),
    [sym_list] = STATE(1668),
    [sym_set] = STATE(1668),
    [sym_tuple] = STATE(1668),
    [sym_dictionary] = STATE(1668),
    [sym_list_comprehension] = STATE(1668),
    [sym_dictionary_comprehension] = STATE(1668),
    [sym_set_comprehension] = STATE(1668),
    [sym_generator_expression] = STATE(1668),
    [sym_parenthesized_expression] = STATE(1668),
    [sym_concatenated_string] = STATE(1668),
    [sym_string] = STATE(1375),
    [sym_await] = STATE(1668),
    [sym_identifier] = ACTIONS(982),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_print] = ACTIONS(988),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(988),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(988),
    [anon_sym_type] = ACTIONS(992),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(998),
    [sym_integer] = ACTIONS(982),
    [sym_float] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_none] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1002),
  },
  [278] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_else] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [279] = {
    [sym_list_splat_pattern] = STATE(1788),
    [sym_primary_expression] = STATE(1419),
    [sym_binary_operator] = STATE(1794),
    [sym_unary_operator] = STATE(1794),
    [sym_attribute] = STATE(1794),
    [sym_subscript] = STATE(1789),
    [sym_call] = STATE(1795),
    [sym_list] = STATE(1794),
    [sym_set] = STATE(1794),
    [sym_tuple] = STATE(1794),
    [sym_dictionary] = STATE(1794),
    [sym_list_comprehension] = STATE(1794),
    [sym_dictionary_comprehension] = STATE(1794),
    [sym_set_comprehension] = STATE(1794),
    [sym_generator_expression] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1794),
    [sym_concatenated_string] = STATE(1794),
    [sym_string] = STATE(1394),
    [sym_await] = STATE(1794),
    [sym_identifier] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(964),
    [anon_sym_print] = ACTIONS(966),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(968),
    [anon_sym_RBRACK] = ACTIONS(282),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(966),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_EQ] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(976),
    [sym_integer] = ACTIONS(960),
    [sym_float] = ACTIONS(976),
    [anon_sym_await] = ACTIONS(978),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_none] = ACTIONS(960),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(980),
  },
  [280] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(876),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(881),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [281] = {
    [sym_list_splat_pattern] = STATE(1746),
    [sym_primary_expression] = STATE(1349),
    [sym_binary_operator] = STATE(1668),
    [sym_unary_operator] = STATE(1668),
    [sym_attribute] = STATE(1668),
    [sym_subscript] = STATE(1719),
    [sym_call] = STATE(1667),
    [sym_list] = STATE(1668),
    [sym_set] = STATE(1668),
    [sym_tuple] = STATE(1668),
    [sym_dictionary] = STATE(1668),
    [sym_list_comprehension] = STATE(1668),
    [sym_dictionary_comprehension] = STATE(1668),
    [sym_set_comprehension] = STATE(1668),
    [sym_generator_expression] = STATE(1668),
    [sym_parenthesized_expression] = STATE(1668),
    [sym_concatenated_string] = STATE(1668),
    [sym_string] = STATE(1375),
    [sym_await] = STATE(1668),
    [sym_identifier] = ACTIONS(982),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_print] = ACTIONS(988),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(988),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(988),
    [anon_sym_type] = ACTIONS(992),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(998),
    [sym_integer] = ACTIONS(982),
    [sym_float] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_none] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1002),
  },
  [282] = {
    [sym_list_splat_pattern] = STATE(1694),
    [sym_primary_expression] = STATE(1326),
    [sym_binary_operator] = STATE(1726),
    [sym_unary_operator] = STATE(1726),
    [sym_attribute] = STATE(1726),
    [sym_subscript] = STATE(1691),
    [sym_call] = STATE(1735),
    [sym_list] = STATE(1726),
    [sym_set] = STATE(1726),
    [sym_tuple] = STATE(1726),
    [sym_dictionary] = STATE(1726),
    [sym_list_comprehension] = STATE(1726),
    [sym_dictionary_comprehension] = STATE(1726),
    [sym_set_comprehension] = STATE(1726),
    [sym_generator_expression] = STATE(1726),
    [sym_parenthesized_expression] = STATE(1726),
    [sym_concatenated_string] = STATE(1726),
    [sym_string] = STATE(1376),
    [sym_await] = STATE(1726),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_print] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(1014),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(1012),
    [anon_sym_type] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(1018),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(1022),
    [sym_integer] = ACTIONS(1006),
    [sym_float] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1024),
    [sym_true] = ACTIONS(1006),
    [sym_false] = ACTIONS(1006),
    [sym_none] = ACTIONS(1006),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1026),
  },
  [283] = {
    [sym_list_splat_pattern] = STATE(1694),
    [sym_primary_expression] = STATE(1326),
    [sym_binary_operator] = STATE(1726),
    [sym_unary_operator] = STATE(1726),
    [sym_attribute] = STATE(1726),
    [sym_subscript] = STATE(1691),
    [sym_call] = STATE(1735),
    [sym_list] = STATE(1726),
    [sym_set] = STATE(1726),
    [sym_tuple] = STATE(1726),
    [sym_dictionary] = STATE(1726),
    [sym_list_comprehension] = STATE(1726),
    [sym_dictionary_comprehension] = STATE(1726),
    [sym_set_comprehension] = STATE(1726),
    [sym_generator_expression] = STATE(1726),
    [sym_parenthesized_expression] = STATE(1726),
    [sym_concatenated_string] = STATE(1726),
    [sym_string] = STATE(1376),
    [sym_await] = STATE(1726),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_print] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(1014),
    [anon_sym_RBRACK] = ACTIONS(282),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(1012),
    [anon_sym_type] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(1018),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(1022),
    [sym_integer] = ACTIONS(1006),
    [sym_float] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1024),
    [sym_true] = ACTIONS(1006),
    [sym_false] = ACTIONS(1006),
    [sym_none] = ACTIONS(1006),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1026),
  },
  [284] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_else] = ACTIONS(881),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(881),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [285] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_else] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_EQ] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [286] = {
    [sym_list_splat_pattern] = STATE(1721),
    [sym_primary_expression] = STATE(1370),
    [sym_binary_operator] = STATE(1689),
    [sym_unary_operator] = STATE(1689),
    [sym_attribute] = STATE(1689),
    [sym_subscript] = STATE(1752),
    [sym_call] = STATE(1673),
    [sym_list] = STATE(1689),
    [sym_set] = STATE(1689),
    [sym_tuple] = STATE(1689),
    [sym_dictionary] = STATE(1689),
    [sym_list_comprehension] = STATE(1689),
    [sym_dictionary_comprehension] = STATE(1689),
    [sym_set_comprehension] = STATE(1689),
    [sym_generator_expression] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1689),
    [sym_concatenated_string] = STATE(1689),
    [sym_string] = STATE(1342),
    [sym_await] = STATE(1689),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(916),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_print] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(920),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(932),
    [sym_integer] = ACTIONS(914),
    [sym_float] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(934),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_none] = ACTIONS(914),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(936),
  },
  [287] = {
    [sym_list_splat_pattern] = STATE(1721),
    [sym_primary_expression] = STATE(1370),
    [sym_binary_operator] = STATE(1689),
    [sym_unary_operator] = STATE(1689),
    [sym_attribute] = STATE(1689),
    [sym_subscript] = STATE(1752),
    [sym_call] = STATE(1673),
    [sym_list] = STATE(1689),
    [sym_set] = STATE(1689),
    [sym_tuple] = STATE(1689),
    [sym_dictionary] = STATE(1689),
    [sym_list_comprehension] = STATE(1689),
    [sym_dictionary_comprehension] = STATE(1689),
    [sym_set_comprehension] = STATE(1689),
    [sym_generator_expression] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1689),
    [sym_concatenated_string] = STATE(1689),
    [sym_string] = STATE(1342),
    [sym_await] = STATE(1689),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(916),
    [anon_sym_RPAREN] = ACTIONS(289),
    [anon_sym_COMMA] = ACTIONS(289),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_print] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(920),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(932),
    [sym_integer] = ACTIONS(914),
    [sym_float] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(934),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_none] = ACTIONS(914),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(936),
  },
  [288] = {
    [sym_list_splat_pattern] = STATE(1521),
    [sym_primary_expression] = STATE(1275),
    [sym_binary_operator] = STATE(1548),
    [sym_unary_operator] = STATE(1548),
    [sym_attribute] = STATE(1548),
    [sym_subscript] = STATE(1527),
    [sym_call] = STATE(1556),
    [sym_list] = STATE(1548),
    [sym_set] = STATE(1548),
    [sym_tuple] = STATE(1548),
    [sym_dictionary] = STATE(1548),
    [sym_list_comprehension] = STATE(1548),
    [sym_dictionary_comprehension] = STATE(1548),
    [sym_set_comprehension] = STATE(1548),
    [sym_generator_expression] = STATE(1548),
    [sym_parenthesized_expression] = STATE(1548),
    [sym_concatenated_string] = STATE(1548),
    [sym_string] = STATE(1302),
    [sym_await] = STATE(1548),
    [sym_identifier] = ACTIONS(938),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(940),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(942),
    [anon_sym_print] = ACTIONS(944),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(944),
    [anon_sym_async] = ACTIONS(944),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(946),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(944),
    [anon_sym_type] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(950),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(952),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_PLUS] = ACTIONS(950),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(954),
    [sym_integer] = ACTIONS(938),
    [sym_float] = ACTIONS(954),
    [anon_sym_await] = ACTIONS(956),
    [sym_true] = ACTIONS(938),
    [sym_false] = ACTIONS(938),
    [sym_none] = ACTIONS(938),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(958),
  },
  [289] = {
    [sym_list_splat_pattern] = STATE(1746),
    [sym_primary_expression] = STATE(1349),
    [sym_binary_operator] = STATE(1668),
    [sym_unary_operator] = STATE(1668),
    [sym_attribute] = STATE(1668),
    [sym_subscript] = STATE(1719),
    [sym_call] = STATE(1667),
    [sym_list] = STATE(1668),
    [sym_set] = STATE(1668),
    [sym_tuple] = STATE(1668),
    [sym_dictionary] = STATE(1668),
    [sym_list_comprehension] = STATE(1668),
    [sym_dictionary_comprehension] = STATE(1668),
    [sym_set_comprehension] = STATE(1668),
    [sym_generator_expression] = STATE(1668),
    [sym_parenthesized_expression] = STATE(1668),
    [sym_concatenated_string] = STATE(1668),
    [sym_string] = STATE(1375),
    [sym_await] = STATE(1668),
    [sym_identifier] = ACTIONS(982),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(889),
    [anon_sym_COMMA] = ACTIONS(889),
    [anon_sym_as] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_print] = ACTIONS(988),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_match] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(988),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(988),
    [anon_sym_type] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_not] = ACTIONS(878),
    [anon_sym_and] = ACTIONS(878),
    [anon_sym_or] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(889),
    [anon_sym_EQ_EQ] = ACTIONS(889),
    [anon_sym_BANG_EQ] = ACTIONS(889),
    [anon_sym_GT_EQ] = ACTIONS(889),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_LT_GT] = ACTIONS(889),
    [anon_sym_is] = ACTIONS(878),
    [sym_ellipsis] = ACTIONS(998),
    [sym_integer] = ACTIONS(982),
    [sym_float] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_none] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1002),
  },
  [290] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_as] = ACTIONS(881),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_COLON] = ACTIONS(876),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_RBRACK] = ACTIONS(876),
    [anon_sym_STAR_STAR] = ACTIONS(889),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(881),
    [anon_sym_and] = ACTIONS(881),
    [anon_sym_or] = ACTIONS(881),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(889),
    [anon_sym_SLASH_SLASH] = ACTIONS(889),
    [anon_sym_AMP] = ACTIONS(889),
    [anon_sym_CARET] = ACTIONS(889),
    [anon_sym_LT_LT] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_LT] = ACTIONS(881),
    [anon_sym_LT_EQ] = ACTIONS(876),
    [anon_sym_EQ_EQ] = ACTIONS(876),
    [anon_sym_BANG_EQ] = ACTIONS(876),
    [anon_sym_GT_EQ] = ACTIONS(876),
    [anon_sym_GT] = ACTIONS(881),
    [anon_sym_LT_GT] = ACTIONS(876),
    [anon_sym_is] = ACTIONS(881),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [291] = {
    [sym_list_splat_pattern] = STATE(1746),
    [sym_primary_expression] = STATE(1349),
    [sym_binary_operator] = STATE(1668),
    [sym_unary_operator] = STATE(1668),
    [sym_attribute] = STATE(1668),
    [sym_subscript] = STATE(1719),
    [sym_call] = STATE(1667),
    [sym_list] = STATE(1668),
    [sym_set] = STATE(1668),
    [sym_tuple] = STATE(1668),
    [sym_dictionary] = STATE(1668),
    [sym_list_comprehension] = STATE(1668),
    [sym_dictionary_comprehension] = STATE(1668),
    [sym_set_comprehension] = STATE(1668),
    [sym_generator_expression] = STATE(1668),
    [sym_parenthesized_expression] = STATE(1668),
    [sym_concatenated_string] = STATE(1668),
    [sym_string] = STATE(1375),
    [sym_await] = STATE(1668),
    [sym_identifier] = ACTIONS(982),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(984),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(986),
    [anon_sym_print] = ACTIONS(988),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(988),
    [anon_sym_async] = ACTIONS(988),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(990),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(988),
    [anon_sym_type] = ACTIONS(992),
    [anon_sym_EQ] = ACTIONS(926),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(994),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(994),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(998),
    [sym_integer] = ACTIONS(982),
    [sym_float] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(1000),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_none] = ACTIONS(982),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1002),
  },
  [292] = {
    [sym_list_splat_pattern] = STATE(1788),
    [sym_primary_expression] = STATE(1419),
    [sym_binary_operator] = STATE(1794),
    [sym_unary_operator] = STATE(1794),
    [sym_attribute] = STATE(1794),
    [sym_subscript] = STATE(1789),
    [sym_call] = STATE(1795),
    [sym_list] = STATE(1794),
    [sym_set] = STATE(1794),
    [sym_tuple] = STATE(1794),
    [sym_dictionary] = STATE(1794),
    [sym_list_comprehension] = STATE(1794),
    [sym_dictionary_comprehension] = STATE(1794),
    [sym_set_comprehension] = STATE(1794),
    [sym_generator_expression] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1794),
    [sym_concatenated_string] = STATE(1794),
    [sym_string] = STATE(1394),
    [sym_await] = STATE(1794),
    [sym_identifier] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(964),
    [anon_sym_print] = ACTIONS(966),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_COLON_EQ] = ACTIONS(297),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(968),
    [anon_sym_RBRACK] = ACTIONS(282),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(966),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(976),
    [sym_integer] = ACTIONS(960),
    [sym_float] = ACTIONS(976),
    [anon_sym_await] = ACTIONS(978),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_none] = ACTIONS(960),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(980),
  },
  [293] = {
    [sym_list_splat_pattern] = STATE(1788),
    [sym_primary_expression] = STATE(1419),
    [sym_binary_operator] = STATE(1794),
    [sym_unary_operator] = STATE(1794),
    [sym_attribute] = STATE(1794),
    [sym_subscript] = STATE(1789),
    [sym_call] = STATE(1795),
    [sym_list] = STATE(1794),
    [sym_set] = STATE(1794),
    [sym_tuple] = STATE(1794),
    [sym_dictionary] = STATE(1794),
    [sym_list_comprehension] = STATE(1794),
    [sym_dictionary_comprehension] = STATE(1794),
    [sym_set_comprehension] = STATE(1794),
    [sym_generator_expression] = STATE(1794),
    [sym_parenthesized_expression] = STATE(1794),
    [sym_concatenated_string] = STATE(1794),
    [sym_string] = STATE(1394),
    [sym_await] = STATE(1794),
    [sym_identifier] = ACTIONS(960),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(964),
    [anon_sym_print] = ACTIONS(966),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_COLON] = ACTIONS(282),
    [anon_sym_match] = ACTIONS(966),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(968),
    [anon_sym_RBRACK] = ACTIONS(282),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(966),
    [anon_sym_type] = ACTIONS(970),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(976),
    [sym_integer] = ACTIONS(960),
    [sym_float] = ACTIONS(976),
    [anon_sym_await] = ACTIONS(978),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_none] = ACTIONS(960),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(980),
  },
  [294] = {
    [sym_list_splat_pattern] = STATE(1694),
    [sym_primary_expression] = STATE(1326),
    [sym_binary_operator] = STATE(1726),
    [sym_unary_operator] = STATE(1726),
    [sym_attribute] = STATE(1726),
    [sym_subscript] = STATE(1691),
    [sym_call] = STATE(1735),
    [sym_list] = STATE(1726),
    [sym_set] = STATE(1726),
    [sym_tuple] = STATE(1726),
    [sym_dictionary] = STATE(1726),
    [sym_list_comprehension] = STATE(1726),
    [sym_dictionary_comprehension] = STATE(1726),
    [sym_set_comprehension] = STATE(1726),
    [sym_generator_expression] = STATE(1726),
    [sym_parenthesized_expression] = STATE(1726),
    [sym_concatenated_string] = STATE(1726),
    [sym_string] = STATE(1376),
    [sym_await] = STATE(1726),
    [sym_identifier] = ACTIONS(1006),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(1008),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(1010),
    [anon_sym_print] = ACTIONS(1012),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(1012),
    [anon_sym_async] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(1014),
    [anon_sym_RBRACK] = ACTIONS(282),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(1012),
    [anon_sym_type] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(1018),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1018),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(1018),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(1022),
    [sym_integer] = ACTIONS(1006),
    [sym_float] = ACTIONS(1022),
    [anon_sym_await] = ACTIONS(1024),
    [sym_true] = ACTIONS(1006),
    [sym_false] = ACTIONS(1006),
    [sym_none] = ACTIONS(1006),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(1026),
  },
  [295] = {
    [sym_list_splat_pattern] = STATE(1721),
    [sym_primary_expression] = STATE(1370),
    [sym_binary_operator] = STATE(1689),
    [sym_unary_operator] = STATE(1689),
    [sym_attribute] = STATE(1689),
    [sym_subscript] = STATE(1752),
    [sym_call] = STATE(1673),
    [sym_list] = STATE(1689),
    [sym_set] = STATE(1689),
    [sym_tuple] = STATE(1689),
    [sym_dictionary] = STATE(1689),
    [sym_list_comprehension] = STATE(1689),
    [sym_dictionary_comprehension] = STATE(1689),
    [sym_set_comprehension] = STATE(1689),
    [sym_generator_expression] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1689),
    [sym_concatenated_string] = STATE(1689),
    [sym_string] = STATE(1342),
    [sym_await] = STATE(1689),
    [sym_identifier] = ACTIONS(914),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(916),
    [anon_sym_RPAREN] = ACTIONS(282),
    [anon_sym_COMMA] = ACTIONS(282),
    [anon_sym_as] = ACTIONS(284),
    [anon_sym_STAR] = ACTIONS(918),
    [anon_sym_print] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_if] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(920),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(284),
    [anon_sym_in] = ACTIONS(284),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_STAR_STAR] = ACTIONS(282),
    [anon_sym_exec] = ACTIONS(920),
    [anon_sym_type] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_PIPE] = ACTIONS(282),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_not] = ACTIONS(284),
    [anon_sym_and] = ACTIONS(284),
    [anon_sym_or] = ACTIONS(284),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(282),
    [anon_sym_SLASH_SLASH] = ACTIONS(282),
    [anon_sym_AMP] = ACTIONS(282),
    [anon_sym_CARET] = ACTIONS(282),
    [anon_sym_LT_LT] = ACTIONS(282),
    [anon_sym_TILDE] = ACTIONS(928),
    [anon_sym_LT] = ACTIONS(284),
    [anon_sym_LT_EQ] = ACTIONS(282),
    [anon_sym_EQ_EQ] = ACTIONS(282),
    [anon_sym_BANG_EQ] = ACTIONS(282),
    [anon_sym_GT_EQ] = ACTIONS(282),
    [anon_sym_GT] = ACTIONS(284),
    [anon_sym_LT_GT] = ACTIONS(282),
    [anon_sym_is] = ACTIONS(284),
    [sym_ellipsis] = ACTIONS(932),
    [sym_integer] = ACTIONS(914),
    [sym_float] = ACTIONS(932),
    [anon_sym_await] = ACTIONS(934),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_none] = ACTIONS(914),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(936),
  },
  [296] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(319),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(319),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(284),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(319),
    [sym_string_start] = ACTIONS(327),
  },
  [297] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(284),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(319),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(284),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(284),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(284),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(284),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(284),
    [anon_sym_PERCENT] = ACTIONS(284),
    [anon_sym_SLASH_SLASH] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_CARET] = ACTIONS(284),
    [anon_sym_LT_LT] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [298] = {
    [sym_list_splat_pattern] = STATE(1762),
    [sym_primary_expression] = STATE(1324),
    [sym_binary_operator] = STATE(1740),
    [sym_unary_operator] = STATE(1740),
    [sym_attribute] = STATE(1740),
    [sym_subscript] = STATE(1680),
    [sym_call] = STATE(1725),
    [sym_list] = STATE(1740),
    [sym_set] = STATE(1740),
    [sym_tuple] = STATE(1740),
    [sym_dictionary] = STATE(1740),
    [sym_list_comprehension] = STATE(1740),
    [sym_dictionary_comprehension] = STATE(1740),
    [sym_set_comprehension] = STATE(1740),
    [sym_generator_expression] = STATE(1740),
    [sym_parenthesized_expression] = STATE(1740),
    [sym_concatenated_string] = STATE(1740),
    [sym_string] = STATE(1371),
    [sym_await] = STATE(1740),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_COMMA] = ACTIONS(876),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(883),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_match] = ACTIONS(883),
    [anon_sym_async] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(878),
    [anon_sym_exec] = ACTIONS(883),
    [anon_sym_type] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(562),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(562),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_SLASH_SLASH] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(876),
    [anon_sym_DASH_EQ] = ACTIONS(876),
    [anon_sym_STAR_EQ] = ACTIONS(876),
    [anon_sym_SLASH_EQ] = ACTIONS(876),
    [anon_sym_AT_EQ] = ACTIONS(876),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(876),
    [anon_sym_PERCENT_EQ] = ACTIONS(876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(876),
    [anon_sym_GT_GT_EQ] = ACTIONS(876),
    [anon_sym_LT_LT_EQ] = ACTIONS(876),
    [anon_sym_AMP_EQ] = ACTIONS(876),
    [anon_sym_CARET_EQ] = ACTIONS(876),
    [anon_sym_PIPE_EQ] = ACTIONS(876),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(887),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [299] = {
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_expression_list] = STATE(3082),
    [sym_pattern] = STATE(2031),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2188),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(3082),
    [sym_augmented_assignment] = STATE(3082),
    [sym_pattern_list] = STATE(2032),
    [sym__right_hand_side] = STATE(3082),
    [sym_yield] = STATE(3082),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(333),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(333),
    [anon_sym_type] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(83),
  },
  [300] = {
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_expression_list] = STATE(3076),
    [sym_pattern] = STATE(2031),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2188),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(3076),
    [sym_augmented_assignment] = STATE(3076),
    [sym_pattern_list] = STATE(2032),
    [sym__right_hand_side] = STATE(3076),
    [sym_yield] = STATE(3076),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(333),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(333),
    [anon_sym_type] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(83),
  },
  [301] = {
    [sym_named_expression] = STATE(2038),
    [sym__named_expression_lhs] = STATE(3297),
    [sym_expression_list] = STATE(3010),
    [sym_pattern] = STATE(2031),
    [sym_tuple_pattern] = STATE(2019),
    [sym_list_pattern] = STATE(2019),
    [sym_list_splat_pattern] = STATE(1101),
    [sym_as_pattern] = STATE(2038),
    [sym_expression] = STATE(2188),
    [sym_primary_expression] = STATE(1295),
    [sym_not_operator] = STATE(2038),
    [sym_boolean_operator] = STATE(2038),
    [sym_binary_operator] = STATE(1388),
    [sym_unary_operator] = STATE(1388),
    [sym_comparison_operator] = STATE(2038),
    [sym_lambda] = STATE(2038),
    [sym_assignment] = STATE(3010),
    [sym_augmented_assignment] = STATE(3010),
    [sym_pattern_list] = STATE(2032),
    [sym__right_hand_side] = STATE(3010),
    [sym_yield] = STATE(3010),
    [sym_attribute] = STATE(1107),
    [sym_subscript] = STATE(1109),
    [sym_call] = STATE(1416),
    [sym_list] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_tuple] = STATE(1388),
    [sym_dictionary] = STATE(1388),
    [sym_list_comprehension] = STATE(1388),
    [sym_dictionary_comprehension] = STATE(1388),
    [sym_set_comprehension] = STATE(1388),
    [sym_generator_expression] = STATE(1388),
    [sym_parenthesized_expression] = STATE(1388),
    [sym_conditional_expression] = STATE(2038),
    [sym_concatenated_string] = STATE(1388),
    [sym_string] = STATE(1271),
    [sym_await] = STATE(1388),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(333),
    [anon_sym_match] = ACTIONS(333),
    [anon_sym_async] = ACTIONS(333),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(333),
    [anon_sym_type] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_var] = ACTIONS(73),
    [anon_sym_alias] = ACTIONS(73),
    [anon_sym_yield] = ACTIONS(75),
    [sym_ellipsis] = ACTIONS(77),
    [sym_integer] = ACTIONS(79),
    [sym_float] = ACTIONS(77),
    [anon_sym_await] = ACTIONS(81),
    [sym_true] = ACTIONS(79),
    [sym_false] = ACTIONS(79),
    [sym_none] = ACTIONS(79),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(83),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1034), 1,
      anon_sym_COMMA,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1044), 1,
      anon_sym_RBRACE,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2047), 1,
      sym_expression,
    STATE(2242), 1,
      sym_pair,
    STATE(2944), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3268), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [128] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1064), 1,
      anon_sym_RBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3262), 1,
      sym__collection_elements,
    STATE(3264), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [256] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1076), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3178), 1,
      sym__patterns,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3262), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [384] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1082), 1,
      anon_sym_RPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2065), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2684), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    STATE(3272), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [514] = 34,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1100), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2054), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2794), 1,
      sym_yield,
    STATE(2873), 1,
      sym_parenthesized_list_splat,
    STATE(2874), 1,
      sym_list_splat,
    STATE(3180), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3272), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [646] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1102), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2075), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3161), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3210), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [774] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1104), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2065), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2684), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    STATE(3271), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [904] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1106), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3188), 1,
      sym__patterns,
    STATE(3262), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1032] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1108), 1,
      anon_sym_COMMA,
    ACTIONS(1110), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2044), 1,
      sym_expression,
    STATE(2226), 1,
      sym_pair,
    STATE(2850), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3124), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1160] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1112), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3139), 1,
      sym__patterns,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3262), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1288] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1114), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2065), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2684), 1,
      sym_yield,
    STATE(3224), 1,
      sym__patterns,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1418] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1116), 1,
      anon_sym_COMMA,
    ACTIONS(1118), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2041), 1,
      sym_expression,
    STATE(2257), 1,
      sym_pair,
    STATE(2901), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3192), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1546] = 34,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1120), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2077), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2923), 1,
      sym_yield,
    STATE(2928), 1,
      sym_list_splat,
    STATE(2931), 1,
      sym_parenthesized_list_splat,
    STATE(3218), 1,
      sym__collection_elements,
    STATE(3224), 1,
      sym__patterns,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1678] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1122), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2076), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3210), 1,
      sym__patterns,
    STATE(3295), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1806] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1124), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2065), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2684), 1,
      sym_yield,
    STATE(3181), 1,
      sym__patterns,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1936] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1126), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3210), 1,
      sym__patterns,
    STATE(3262), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2064] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1128), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2065), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2684), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    STATE(3271), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2194] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1130), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2064), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3177), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3264), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2322] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1132), 1,
      anon_sym_COMMA,
    ACTIONS(1134), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2050), 1,
      sym_expression,
    STATE(2266), 1,
      sym_pair,
    STATE(2961), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3298), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2450] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1136), 1,
      anon_sym_COMMA,
    ACTIONS(1138), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2049), 1,
      sym_expression,
    STATE(2239), 1,
      sym_pair,
    STATE(2804), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3173), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2578] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1140), 1,
      anon_sym_COMMA,
    ACTIONS(1142), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2043), 1,
      sym_expression,
    STATE(2268), 1,
      sym_pair,
    STATE(2889), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3101), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2706] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1144), 1,
      anon_sym_COMMA,
    ACTIONS(1146), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2040), 1,
      sym_expression,
    STATE(2231), 1,
      sym_pair,
    STATE(2898), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3135), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2834] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1148), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2069), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3160), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3188), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2962] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1150), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2060), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2686), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3266), 1,
      sym__collection_elements,
    STATE(3271), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3092] = 32,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1032), 1,
      anon_sym_LPAREN,
    ACTIONS(1036), 1,
      anon_sym_STAR,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1152), 1,
      anon_sym_COMMA,
    ACTIONS(1154), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2046), 1,
      sym_expression,
    STATE(2249), 1,
      sym_pair,
    STATE(2695), 1,
      sym_dictionary_splat,
    STATE(3100), 1,
      sym__named_expression_lhs,
    STATE(3254), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2669), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3220] = 32,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1054), 1,
      sym_identifier,
    ACTIONS(1056), 1,
      anon_sym_LPAREN,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1062), 1,
      anon_sym_LBRACK,
    ACTIONS(1066), 1,
      anon_sym_type,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1074), 1,
      anon_sym_await,
    ACTIONS(1156), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1731), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_attribute,
    STATE(1734), 1,
      sym_subscript,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(2891), 1,
      sym_pattern,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3210), 1,
      sym__patterns,
    STATE(3262), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1060), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3348] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1158), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2078), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2954), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3271), 1,
      sym__patterns,
    STATE(3293), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3478] = 33,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1078), 1,
      sym_identifier,
    ACTIONS(1080), 1,
      anon_sym_LPAREN,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1088), 1,
      anon_sym_LBRACK,
    ACTIONS(1090), 1,
      anon_sym_type,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1098), 1,
      anon_sym_await,
    ACTIONS(1160), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1669), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_attribute,
    STATE(1671), 1,
      sym_subscript,
    STATE(1673), 1,
      sym_call,
    STATE(2065), 1,
      sym_expression,
    STATE(2683), 1,
      sym_pattern,
    STATE(2684), 1,
      sym_yield,
    STATE(3096), 1,
      sym__patterns,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1086), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3608] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2144), 1,
      sym_expression,
    STATE(2797), 1,
      sym_slice,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3733] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2149), 1,
      sym_expression,
    STATE(2722), 1,
      sym_slice,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3858] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2131), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2852), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3983] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2158), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2925), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4108] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2150), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2829), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4233] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2135), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2859), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4358] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2155), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2832), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4483] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2142), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2882), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4608] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2148), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2919), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4733] = 31,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      anon_sym_COMMA,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1174), 1,
      anon_sym_RBRACK,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2163), 1,
      sym_expression,
    STATE(2802), 1,
      sym_parenthesized_list_splat,
    STATE(2976), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2808), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4858] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1186), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4980] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1188), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5102] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1196), 1,
      anon_sym_RBRACK,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5220] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1204), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5338] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1206), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5460] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1208), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5578] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1210), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5696] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1212), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5814] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1214), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5936] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1216), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6058] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1218), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6176] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1220), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6298] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1222), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6420] = 29,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1224), 1,
      sym_identifier,
    ACTIONS(1226), 1,
      anon_sym_LPAREN,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACK,
    ACTIONS(1234), 1,
      anon_sym_type,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1240), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1535), 1,
      sym_call,
    STATE(1549), 1,
      sym_list_splat_pattern,
    STATE(1550), 1,
      sym_attribute,
    STATE(1551), 1,
      sym_subscript,
    STATE(2087), 1,
      sym_expression,
    STATE(3060), 1,
      sym_pattern,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1230), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2447), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6540] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1242), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6662] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1244), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6784] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1246), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6902] = 29,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1224), 1,
      sym_identifier,
    ACTIONS(1226), 1,
      anon_sym_LPAREN,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1232), 1,
      anon_sym_LBRACK,
    ACTIONS(1234), 1,
      anon_sym_type,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1240), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1535), 1,
      sym_call,
    STATE(1549), 1,
      sym_list_splat_pattern,
    STATE(1550), 1,
      sym_attribute,
    STATE(1551), 1,
      sym_subscript,
    STATE(2087), 1,
      sym_expression,
    STATE(3060), 1,
      sym_pattern,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1230), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2459), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7022] = 30,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1248), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2227), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7144] = 28,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1250), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7262] = 27,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      sym_identifier,
    ACTIONS(1254), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_STAR_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2082), 1,
      sym_expression,
    STATE(2388), 1,
      sym_type,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2367), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7377] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2771), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7492] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2756), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7607] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2911), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7722] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2773), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7837] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2967), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7952] = 27,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      sym_identifier,
    ACTIONS(1254), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_STAR_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2082), 1,
      sym_expression,
    STATE(2280), 1,
      sym_type,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2367), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8067] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2770), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8182] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2767), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8297] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2752), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8412] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1264), 1,
      anon_sym_RPAREN,
    ACTIONS(1266), 1,
      anon_sym_COMMA,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2055), 1,
      sym_expression,
    STATE(2826), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2825), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8531] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2765), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8646] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2897), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8761] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1278), 1,
      sym_identifier,
    ACTIONS(1282), 1,
      anon_sym_LPAREN,
    ACTIONS(1284), 1,
      anon_sym_STAR,
    ACTIONS(1288), 1,
      anon_sym_LBRACK,
    ACTIONS(1290), 1,
      anon_sym_type,
    ACTIONS(1292), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1834), 1,
      sym_list_splat_pattern,
    STATE(1835), 1,
      sym_attribute,
    STATE(1836), 1,
      sym_subscript,
    STATE(1985), 1,
      sym_primary_expression,
    STATE(2027), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(2029), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1286), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(1280), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [8870] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2903), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8985] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2785), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9100] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2899), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9215] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2775), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9330] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2904), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9445] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2956), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9560] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2907), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9675] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2567), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9790] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2500), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9905] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2764), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10020] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2760), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10135] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2759), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10250] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2758), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10365] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2750), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10480] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2806), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10595] = 27,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1294), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2104), 1,
      sym_expression,
    STATE(2356), 1,
      sym_type,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2325), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10710] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2886), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10825] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2792), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10940] = 27,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1312), 1,
      anon_sym_from,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2108), 1,
      sym_expression,
    STATE(2437), 1,
      sym_expression_list,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1314), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11055] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1322), 1,
      anon_sym_RPAREN,
    ACTIONS(1324), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2079), 1,
      sym_expression,
    STATE(2922), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2921), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11174] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2885), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11289] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2749), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11404] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2748), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11519] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2795), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11634] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2798), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11749] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2746), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11864] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2880), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11979] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2799), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12094] = 29,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1330), 1,
      anon_sym_RPAREN,
    ACTIONS(1332), 1,
      anon_sym_COMMA,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2260), 1,
      sym_expression,
    STATE(2719), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2718), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12213] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1330), 1,
      anon_sym_RPAREN,
    ACTIONS(1332), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2073), 1,
      sym_expression,
    STATE(2719), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2718), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12332] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2389), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12447] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2920), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12562] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2387), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12677] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2801), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12792] = 27,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1294), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2104), 1,
      sym_expression,
    STATE(2360), 1,
      sym_type,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2325), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12907] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1278), 1,
      sym_identifier,
    ACTIONS(1282), 1,
      anon_sym_LPAREN,
    ACTIONS(1284), 1,
      anon_sym_STAR,
    ACTIONS(1288), 1,
      anon_sym_LBRACK,
    ACTIONS(1290), 1,
      anon_sym_type,
    ACTIONS(1292), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1834), 1,
      sym_list_splat_pattern,
    STATE(1835), 1,
      sym_attribute,
    STATE(1836), 1,
      sym_subscript,
    STATE(1985), 1,
      sym_primary_expression,
    STATE(2027), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(2029), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1286), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(1342), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13016] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2869), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13131] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2847), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13246] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2275), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13361] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2862), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13476] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2441), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13591] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1344), 1,
      anon_sym_RPAREN,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2062), 1,
      sym_expression,
    STATE(2978), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2979), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13710] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2861), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13825] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1348), 1,
      anon_sym_RPAREN,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2063), 1,
      sym_expression,
    STATE(2848), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2849), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13944] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2854), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14059] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1352), 1,
      anon_sym_RPAREN,
    ACTIONS(1354), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2074), 1,
      sym_expression,
    STATE(2924), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2926), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14178] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2827), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14293] = 27,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1294), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2104), 1,
      sym_expression,
    STATE(2491), 1,
      sym_type,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2325), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14408] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2853), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14523] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2951), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14638] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2787), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14753] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    ACTIONS(1358), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2070), 1,
      sym_expression,
    STATE(2730), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2831), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14872] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1268), 1,
      anon_sym_STAR,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 1,
      anon_sym_type,
    ACTIONS(1276), 1,
      anon_sym_await,
    ACTIONS(1360), 1,
      anon_sym_RPAREN,
    ACTIONS(1362), 1,
      anon_sym_COMMA,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2059), 1,
      sym_expression,
    STATE(2888), 1,
      sym_parenthesized_list_splat,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2890), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1270), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14991] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2335), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15106] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1366), 1,
      anon_sym_RPAREN,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2058), 1,
      sym_expression,
    STATE(2684), 1,
      sym_yield,
    STATE(2965), 1,
      sym_with_item,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15227] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2942), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15342] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2290), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15457] = 27,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1294), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2104), 1,
      sym_expression,
    STATE(2478), 1,
      sym_type,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2325), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15572] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2757), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15687] = 27,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1294), 1,
      sym_identifier,
    ACTIONS(1296), 1,
      anon_sym_STAR,
    ACTIONS(1300), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2104), 1,
      sym_expression,
    STATE(2317), 1,
      sym_type,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2325), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15802] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2839), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15917] = 27,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      sym_identifier,
    ACTIONS(1254), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_STAR_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2082), 1,
      sym_expression,
    STATE(2354), 1,
      sym_type,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2367), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16032] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2333), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16147] = 27,
    ACTIONS(280), 1,
      sym_identifier,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(335), 1,
      anon_sym_STAR_STAR,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1258), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2156), 1,
      sym_expression,
    STATE(2841), 1,
      sym_type,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2380), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16262] = 27,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1252), 1,
      sym_identifier,
    ACTIONS(1254), 1,
      anon_sym_STAR,
    ACTIONS(1256), 1,
      anon_sym_STAR_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2082), 1,
      sym_expression,
    STATE(2269), 1,
      sym_type,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2367), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16377] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1190), 1,
      sym_identifier,
    ACTIONS(1192), 1,
      anon_sym_STAR,
    ACTIONS(1198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2133), 1,
      sym_expression,
    STATE(2444), 1,
      sym_type,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2414), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16492] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1374), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16608] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1376), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16724] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1378), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16840] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1380), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16956] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1382), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2054), 1,
      sym_expression,
    STATE(2794), 1,
      sym_yield,
    STATE(2873), 1,
      sym_parenthesized_list_splat,
    STATE(2874), 1,
      sym_list_splat,
    STATE(3180), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17076] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1366), 1,
      anon_sym_RPAREN,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2065), 1,
      sym_expression,
    STATE(2684), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3269), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17194] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2066), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3262), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17310] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1396), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17426] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1398), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17542] = 28,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1400), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2359), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17658] = 28,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1402), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2359), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17774] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1404), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2068), 1,
      sym_expression,
    STATE(3140), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17890] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1406), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2056), 1,
      sym_expression,
    STATE(2948), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3286), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18008] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1408), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18124] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1410), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18240] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1412), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2061), 1,
      sym_expression,
    STATE(2706), 1,
      sym_list_splat,
    STATE(2707), 1,
      sym_parenthesized_list_splat,
    STATE(2893), 1,
      sym_yield,
    STATE(3127), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18360] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1414), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18476] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1416), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18592] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1418), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18708] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1420), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2076), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3295), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18824] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1412), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2061), 1,
      sym_expression,
    STATE(2893), 1,
      sym_yield,
    STATE(3127), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18942] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1422), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19058] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1424), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19174] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1426), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19290] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1428), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19406] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1430), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2067), 1,
      sym_expression,
    STATE(3147), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19522] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1432), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19638] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1434), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2078), 1,
      sym_expression,
    STATE(2954), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3293), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19756] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1436), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19872] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1438), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2077), 1,
      sym_expression,
    STATE(2923), 1,
      sym_yield,
    STATE(2928), 1,
      sym_list_splat,
    STATE(2931), 1,
      sym_parenthesized_list_splat,
    STATE(3218), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19992] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1440), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20108] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1442), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20224] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1444), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2075), 1,
      sym_expression,
    STATE(3161), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20340] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1446), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20456] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1448), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2060), 1,
      sym_expression,
    STATE(2686), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3266), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20574] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1450), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20690] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1452), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20806] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1434), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2078), 1,
      sym_expression,
    STATE(2706), 1,
      sym_list_splat,
    STATE(2707), 1,
      sym_parenthesized_list_splat,
    STATE(2954), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3293), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20926] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1438), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2077), 1,
      sym_expression,
    STATE(2923), 1,
      sym_yield,
    STATE(3218), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21044] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1454), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2071), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    STATE(3282), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21160] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1456), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2057), 1,
      sym_expression,
    STATE(2873), 1,
      sym_parenthesized_list_splat,
    STATE(2874), 1,
      sym_list_splat,
    STATE(2900), 1,
      sym_yield,
    STATE(3170), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21280] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1458), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2064), 1,
      sym_expression,
    STATE(3177), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21396] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1382), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2054), 1,
      sym_expression,
    STATE(2794), 1,
      sym_yield,
    STATE(3180), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21514] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1460), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21630] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1462), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21746] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21862] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21978] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1468), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22094] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22210] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1472), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22326] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22442] = 30,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1406), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2056), 1,
      sym_expression,
    STATE(2928), 1,
      sym_list_splat,
    STATE(2931), 1,
      sym_parenthesized_list_splat,
    STATE(2948), 1,
      sym_yield,
    STATE(3233), 1,
      sym__named_expression_lhs,
    STATE(3286), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22562] = 28,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1058), 1,
      anon_sym_STAR,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1386), 1,
      anon_sym_LPAREN,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1476), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2069), 1,
      sym_expression,
    STATE(3160), 1,
      sym__collection_elements,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22678] = 28,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1478), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2359), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22794] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1480), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22910] = 28,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    ACTIONS(1482), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2359), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23026] = 28,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    ACTIONS(1484), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23142] = 29,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1084), 1,
      anon_sym_STAR,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1456), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2057), 1,
      sym_expression,
    STATE(2900), 1,
      sym_yield,
    STATE(3170), 1,
      sym__collection_elements,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2682), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23260] = 27,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1272), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1326), 1,
      sym_identifier,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1334), 1,
      anon_sym_STAR,
    ACTIONS(1338), 1,
      anon_sym_type,
    ACTIONS(1340), 1,
      anon_sym_await,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2303), 1,
      sym_expression,
    STATE(3055), 1,
      sym_parenthesized_list_splat,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3054), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1336), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23373] = 27,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1486), 1,
      anon_sym_RPAREN,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2466), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1368), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1490), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23486] = 27,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    ACTIONS(1494), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2466), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1368), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1496), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23599] = 27,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    ACTIONS(1498), 1,
      anon_sym_LPAREN,
    ACTIONS(1500), 1,
      anon_sym_STAR,
    ACTIONS(1502), 1,
      anon_sym_RBRACE,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2334), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2997), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23712] = 27,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1508), 1,
      anon_sym_RBRACE,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2485), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1506), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23825] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1512), 1,
      sym_identifier,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1516), 1,
      anon_sym_STAR,
    ACTIONS(1520), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      anon_sym_type,
    ACTIONS(1524), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1846), 1,
      sym_attribute,
    STATE(1848), 1,
      sym_list_splat_pattern,
    STATE(1854), 1,
      sym_subscript,
    STATE(1991), 1,
      sym_primary_expression,
    STATE(2023), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1518), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1342), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23932] = 27,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1486), 1,
      anon_sym_RBRACE,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2485), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1490), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24045] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1512), 1,
      sym_identifier,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1516), 1,
      anon_sym_STAR,
    ACTIONS(1520), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      anon_sym_type,
    ACTIONS(1524), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1846), 1,
      sym_attribute,
    STATE(1848), 1,
      sym_list_splat_pattern,
    STATE(1854), 1,
      sym_subscript,
    STATE(1991), 1,
      sym_primary_expression,
    STATE(2023), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(562), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1518), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1280), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24152] = 27,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1528), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2292), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3030), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24265] = 27,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    ACTIONS(1508), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2466), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1368), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1506), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24378] = 27,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    ACTIONS(1532), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2485), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1530), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24491] = 27,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1494), 1,
      anon_sym_RBRACE,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2485), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1496), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24604] = 27,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1502), 1,
      anon_sym_RBRACK,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2272), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3031), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24717] = 25,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2145), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1538), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24826] = 27,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2466), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1368), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1530), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24939] = 25,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2145), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1540), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25048] = 27,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1528), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2292), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3030), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25161] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25262] = 27,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1494), 1,
      anon_sym_RBRACK,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2399), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1388), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1496), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25375] = 27,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1532), 1,
      anon_sym_RBRACK,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2399), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1388), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1530), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25488] = 27,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2272), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3031), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25601] = 27,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1486), 1,
      anon_sym_RBRACK,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2399), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1388), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1490), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25714] = 27,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1508), 1,
      anon_sym_RBRACK,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2399), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1388), 3,
      anon_sym_print,
      anon_sym_match,
      anon_sym_exec,
    ACTIONS(1506), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25827] = 27,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1162), 1,
      sym_identifier,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1168), 1,
      anon_sym_STAR,
    ACTIONS(1176), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1178), 1,
      anon_sym_type,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1184), 1,
      anon_sym_await,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2359), 1,
      sym_expression,
    STATE(3024), 1,
      sym_parenthesized_list_splat,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3025), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1170), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25940] = 27,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    ACTIONS(1498), 1,
      anon_sym_LPAREN,
    ACTIONS(1500), 1,
      anon_sym_STAR,
    ACTIONS(1542), 1,
      anon_sym_RBRACE,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2334), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2997), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26053] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1548), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26165] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1550), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26277] = 27,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1554), 1,
      anon_sym_from,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2146), 1,
      sym_expression,
    STATE(2701), 1,
      sym_expression_list,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1552), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26389] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1558), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26501] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1560), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26613] = 26,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1096), 1,
      anon_sym_yield,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1328), 1,
      anon_sym_LPAREN,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1528), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2292), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3030), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26723] = 9,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1568), 1,
      anon_sym_except,
    ACTIONS(1570), 1,
      anon_sym_finally,
    STATE(855), 1,
      sym_else_clause,
    STATE(983), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(611), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1564), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1562), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26799] = 9,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1578), 1,
      anon_sym_except_STAR,
    ACTIONS(1580), 1,
      anon_sym_finally,
    STATE(858), 1,
      sym_else_clause,
    STATE(1076), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(626), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1572), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1574), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26875] = 9,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1570), 1,
      anon_sym_finally,
    ACTIONS(1582), 1,
      anon_sym_except_STAR,
    STATE(859), 1,
      sym_else_clause,
    STATE(1040), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(612), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1572), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1574), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26951] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1584), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27063] = 9,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1568), 1,
      anon_sym_except,
    ACTIONS(1570), 1,
      anon_sym_finally,
    STATE(859), 1,
      sym_else_clause,
    STATE(1040), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(611), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1572), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1574), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27139] = 26,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1072), 1,
      anon_sym_yield,
    ACTIONS(1164), 1,
      anon_sym_LPAREN,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1536), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2272), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(3031), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27249] = 9,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1570), 1,
      anon_sym_finally,
    ACTIONS(1582), 1,
      anon_sym_except_STAR,
    STATE(855), 1,
      sym_else_clause,
    STATE(983), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(612), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1564), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1562), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27325] = 26,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1050), 1,
      anon_sym_yield,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    ACTIONS(1498), 1,
      anon_sym_LPAREN,
    ACTIONS(1500), 1,
      anon_sym_STAR,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2334), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    STATE(2997), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27435] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1586), 1,
      anon_sym_in,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(319), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27537] = 9,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1580), 1,
      anon_sym_finally,
    ACTIONS(1588), 1,
      anon_sym_except,
    STATE(858), 1,
      sym_else_clause,
    STATE(1076), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(625), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1572), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1574), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27613] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1590), 1,
      anon_sym_from,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2243), 1,
      sym_expression,
    STATE(3004), 1,
      sym_expression_list,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1314), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27725] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1594), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27837] = 27,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    ACTIONS(1596), 1,
      anon_sym_from,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2205), 1,
      sym_expression,
    STATE(3087), 1,
      sym_expression_list,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1314), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27949] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1598), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28061] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1600), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28173] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1602), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28285] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28397] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1606), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28509] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1608), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28621] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1610), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28733] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28845] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1614), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28957] = 27,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1616), 1,
      anon_sym_from,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2250), 1,
      sym_expression,
    STATE(3070), 1,
      sym_expression_list,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1314), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29069] = 27,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1620), 1,
      anon_sym_RBRACE,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29181] = 9,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1580), 1,
      anon_sym_finally,
    ACTIONS(1588), 1,
      anon_sym_except,
    STATE(851), 1,
      sym_else_clause,
    STATE(915), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(625), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1564), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1562), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29257] = 9,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1578), 1,
      anon_sym_except_STAR,
    ACTIONS(1580), 1,
      anon_sym_finally,
    STATE(851), 1,
      sym_else_clause,
    STATE(915), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(626), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1564), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1562), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29333] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1622), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29444] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1624), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29543] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2201), 1,
      sym_expression,
    STATE(3022), 1,
      sym_expression_list,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1626), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29652] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1628), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29763] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1630), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29874] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1632), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29985] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1634), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30096] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1636), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30207] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1638), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30318] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1640), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30429] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(876), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30528] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1642), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30639] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1644), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30750] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1646), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30861] = 26,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1650), 1,
      anon_sym_COLON,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2254), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30970] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1652), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31081] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1654), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31192] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1656), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31303] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1658), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31414] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    ACTIONS(1660), 1,
      anon_sym_from,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2189), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1540), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31523] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1662), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31634] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1664), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31745] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1666), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31856] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1668), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31967] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1670), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32078] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1672), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32189] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1674), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32300] = 26,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1678), 1,
      anon_sym_COLON,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2222), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32409] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1680), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32520] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1682), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32631] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32742] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1686), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32853] = 26,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    ACTIONS(1688), 1,
      anon_sym_from,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2189), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1538), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32962] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1690), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33073] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1040), 1,
      anon_sym_STAR_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2390), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2986), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33182] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1692), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33293] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1694), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33404] = 27,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1696), 1,
      anon_sym_RBRACK,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33515] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1698), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(2740), 1,
      sym_with_item,
    STATE(3142), 1,
      sym_with_clause,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33623] = 25,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2357), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33729] = 25,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2366), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1540), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33835] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1624), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33933] = 25,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2366), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1538), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34039] = 25,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2193), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2471), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34145] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2241), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34251] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1698), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(2740), 1,
      sym_with_item,
    STATE(3277), 1,
      sym__named_expression_lhs,
    STATE(3343), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34359] = 8,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1708), 1,
      anon_sym_elif,
    STATE(605), 1,
      aux_sym_if_statement_repeat1,
    STATE(848), 1,
      sym_elif_clause,
    STATE(908), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1706), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1704), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34431] = 25,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2399), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34537] = 25,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2200), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2468), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34643] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2305), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34749] = 8,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1708), 1,
      anon_sym_elif,
    STATE(651), 1,
      aux_sym_if_statement_repeat1,
    STATE(848), 1,
      sym_elif_clause,
    STATE(1072), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1710), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34821] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2347), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34927] = 8,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1708), 1,
      anon_sym_elif,
    STATE(630), 1,
      aux_sym_if_statement_repeat1,
    STATE(848), 1,
      sym_elif_clause,
    STATE(1074), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1716), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34999] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1698), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(2740), 1,
      sym_with_item,
    STATE(3227), 1,
      sym_with_clause,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35107] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2241), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1720), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35213] = 25,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2177), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2392), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35319] = 5,
    ACTIONS(1726), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(611), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1724), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35385] = 5,
    ACTIONS(1733), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(612), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1731), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1729), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35451] = 25,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2340), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35557] = 25,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2466), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35663] = 8,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1736), 1,
      anon_sym_elif,
    STATE(618), 1,
      aux_sym_if_statement_repeat1,
    STATE(854), 1,
      sym_elif_clause,
    STATE(919), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1706), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1704), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35735] = 8,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1736), 1,
      anon_sym_elif,
    STATE(638), 1,
      aux_sym_if_statement_repeat1,
    STATE(854), 1,
      sym_elif_clause,
    STATE(917), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1718), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1716), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35807] = 25,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2203), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2413), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35913] = 8,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1736), 1,
      anon_sym_elif,
    STATE(647), 1,
      aux_sym_if_statement_repeat1,
    STATE(854), 1,
      sym_elif_clause,
    STATE(918), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1712), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1710), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35985] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1738), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(3007), 1,
      sym_with_item,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36093] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36191] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2189), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1740), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36297] = 25,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2363), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36403] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1698), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(2740), 1,
      sym_with_item,
    STATE(3150), 1,
      sym_with_clause,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36511] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2241), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1742), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36617] = 5,
    ACTIONS(1744), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(625), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1724), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1722), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36683] = 5,
    ACTIONS(1747), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(626), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1731), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1729), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36749] = 25,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2307), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36855] = 26,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1172), 1,
      anon_sym_COLON,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2220), 1,
      sym_expression,
    STATE(3058), 1,
      sym_slice,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36963] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2241), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1750), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37069] = 8,
    ACTIONS(1566), 1,
      anon_sym_else,
    ACTIONS(1708), 1,
      anon_sym_elif,
    STATE(651), 1,
      aux_sym_if_statement_repeat1,
    STATE(848), 1,
      sym_elif_clause,
    STATE(924), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1754), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37141] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(876), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37239] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2189), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1756), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37345] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2313), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1540), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37451] = 25,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2202), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2469), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37557] = 25,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(1492), 1,
      anon_sym_lambda,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2212), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    STATE(2320), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37663] = 26,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2304), 1,
      sym_expression,
    STATE(3028), 1,
      sym_with_item,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37771] = 25,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2176), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2385), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37877] = 8,
    ACTIONS(1576), 1,
      anon_sym_else,
    ACTIONS(1736), 1,
      anon_sym_elif,
    STATE(647), 1,
      aux_sym_if_statement_repeat1,
    STATE(854), 1,
      sym_elif_clause,
    STATE(1003), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1754), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1752), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37949] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2313), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1538), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38055] = 25,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(1510), 1,
      anon_sym_lambda,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2185), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    STATE(2485), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38161] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2324), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38267] = 25,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(1546), 1,
      anon_sym_lambda,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2195), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    STATE(2373), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38373] = 26,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1762), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(3007), 1,
      sym_with_item,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38481] = 26,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    ACTIONS(1764), 1,
      anon_sym_RPAREN,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2304), 1,
      sym_expression,
    STATE(3028), 1,
      sym_with_item,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38589] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(558), 1,
      anon_sym_STAR,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    STATE(1324), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(282), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38687] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2247), 1,
      sym_expression,
    STATE(3236), 1,
      sym_expression_list,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38792] = 6,
    ACTIONS(1770), 1,
      anon_sym_elif,
    STATE(647), 1,
      aux_sym_if_statement_repeat1,
    STATE(854), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1766), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1768), 37,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38859] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2267), 1,
      sym_expression,
    STATE(3168), 1,
      sym_expression_list,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38964] = 25,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2304), 1,
      sym_expression,
    STATE(3028), 1,
      sym_with_item,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39069] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2264), 1,
      sym_expression,
    STATE(3159), 1,
      sym_expression_list,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39174] = 6,
    ACTIONS(1773), 1,
      anon_sym_elif,
    STATE(651), 1,
      aux_sym_if_statement_repeat1,
    STATE(848), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1766), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1768), 37,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39241] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2283), 1,
      sym_expression,
    STATE(3007), 1,
      sym_with_item,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39346] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1776), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2287), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39451] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2262), 1,
      sym_expression,
    STATE(3273), 1,
      sym_expression_list,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39556] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1778), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2287), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39661] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1780), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2293), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39766] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1538), 1,
      anon_sym_COLON,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2296), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39871] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1782), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2287), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39976] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2215), 1,
      sym_expression,
    STATE(3023), 1,
      sym_expression_list,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40081] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1540), 1,
      anon_sym_COLON,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2296), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40186] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1784), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2273), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40291] = 25,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(1786), 1,
      anon_sym_COLON,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2287), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1792), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40516] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2080), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40618] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2400), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40720] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2422), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1798), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40882] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2351), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40984] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2486), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41086] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2344), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41188] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2114), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41290] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2494), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41392] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2350), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41494] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2161), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1802), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41656] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2127), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41758] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2116), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41860] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2126), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41962] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2168), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42064] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2341), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42166] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2210), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42268] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2165), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42370] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2349), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42472] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2297), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42574] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2482), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42736] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2234), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42838] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2455), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42940] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2206), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43042] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2154), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43204] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2383), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43306] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2435), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43468] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2241), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43570] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2489), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43672] = 9,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1812), 1,
      anon_sym_for,
    ACTIONS(1814), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1816), 2,
      anon_sym_def,
      anon_sym_fn,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(284), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [43744] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2318), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44026] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2308), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44128] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2235), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44350] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2123), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44572] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2179), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44734] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2099), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44836] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2313), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44998] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2198), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45100] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2287), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45202] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2128), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1822), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1824), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1796), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1798), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45424] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2403), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45526] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2103), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45628] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2145), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45730] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2348), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45832] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2480), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [45934] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2442), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46156] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1826), 1,
      sym_identifier,
    ACTIONS(1830), 1,
      anon_sym_type,
    ACTIONS(1832), 1,
      anon_sym_await,
    STATE(1391), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1720), 1,
      sym_subscript,
    STATE(1722), 1,
      sym_attribute,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1795), 1,
      sym_call,
    STATE(2276), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1828), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46260] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2470), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46362] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2190), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46464] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2416), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46566] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2143), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46668] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2372), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46890] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2178), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [46992] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2119), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47094] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2117), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47196] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2197), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47358] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2138), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47460] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2137), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47562] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2296), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47664] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2136), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47826] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2301), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47928] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2134), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48030] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2300), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48132] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2446), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48234] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2184), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48336] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2170), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1802), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1840), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48558] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2194), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48660] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2130), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1792), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48822] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2037), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [48924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48984] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1844), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49044] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2213), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1840), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49206] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2369), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49368] = 25,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(1832), 1,
      anon_sym_await,
    ACTIONS(1846), 1,
      sym_identifier,
    ACTIONS(1850), 1,
      anon_sym_type,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1781), 1,
      sym_attribute,
    STATE(1782), 1,
      sym_subscript,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1795), 1,
      sym_call,
    STATE(2276), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1848), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49472] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1844), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49532] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2172), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49694] = 25,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    ACTIONS(1852), 1,
      sym_identifier,
    ACTIONS(1856), 1,
      anon_sym_type,
    ACTIONS(1858), 1,
      anon_sym_await,
    STATE(1375), 1,
      sym_string,
    STATE(1457), 1,
      sym_primary_expression,
    STATE(1667), 1,
      sym_call,
    STATE(1678), 1,
      sym_attribute,
    STATE(1679), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2364), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1854), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49798] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2129), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49900] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2438), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50002] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2111), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1860), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1864), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50224] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2053), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50326] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2484), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50428] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2169), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50530] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2214), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50632] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2211), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50794] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2113), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50896] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2112), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [50998] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2100), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1868), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51160] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2270), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51262] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2096), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51364] = 24,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1092), 1,
      anon_sym_not,
    ACTIONS(1094), 1,
      anon_sym_lambda,
    ACTIONS(1364), 1,
      sym_identifier,
    ACTIONS(1370), 1,
      anon_sym_type,
    ACTIONS(1372), 1,
      anon_sym_await,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1288), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    STATE(2252), 1,
      sym_expression,
    STATE(3233), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(914), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1368), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2208), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51466] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2366), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51568] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2042), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1810), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51730] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2132), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1802), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51892] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2086), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51994] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2089), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52096] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2488), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1872), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52258] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2209), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1802), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52420] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2139), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52522] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2244), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52624] = 24,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1068), 1,
      anon_sym_not,
    ACTIONS(1070), 1,
      anon_sym_lambda,
    ACTIONS(1384), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      anon_sym_type,
    ACTIONS(1394), 1,
      anon_sym_await,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1296), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    STATE(2207), 1,
      sym_expression,
    STATE(3183), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1006), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1388), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2191), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52726] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2365), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1802), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52888] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2051), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52990] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2124), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53092] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2151), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53194] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2152), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53296] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2052), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53398] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2157), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1802), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53620] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2160), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53722] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2495), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53824] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2048), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53926] = 9,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1876), 1,
      anon_sym_for,
    ACTIONS(1878), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1880), 2,
      anon_sym_def,
      anon_sym_fn,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(284), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53998] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2039), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54100] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2164), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54202] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2384), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54364] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2279), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1822), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1824), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54526] = 24,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1302), 1,
      anon_sym_type,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1308), 1,
      anon_sym_await,
    ACTIONS(1526), 1,
      sym_identifier,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(2088), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1298), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54628] = 9,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1882), 1,
      sym_identifier,
    ACTIONS(1884), 1,
      sym_string_start,
    STATE(2822), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(282), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(284), 23,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_is,
  [54700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1860), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1862), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54760] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2189), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54862] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2140), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54964] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2288), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55066] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2465), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55168] = 24,
    ACTIONS(305), 1,
      anon_sym_type,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(554), 1,
      sym_identifier,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(564), 1,
      anon_sym_not,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(2101), 1,
      sym_expression,
    STATE(3277), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2091), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1864), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55330] = 25,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1886), 1,
      sym_identifier,
    ACTIONS(1890), 1,
      anon_sym_type,
    ACTIONS(1892), 1,
      anon_sym_await,
    STATE(1284), 1,
      sym_string,
    STATE(1418), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1532), 1,
      sym_subscript,
    STATE(1534), 1,
      sym_attribute,
    STATE(1535), 1,
      sym_call,
    STATE(2353), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1888), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1870), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1868), 39,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1874), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1872), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55554] = 24,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1310), 1,
      sym_identifier,
    ACTIONS(1318), 1,
      anon_sym_type,
    ACTIONS(1320), 1,
      anon_sym_await,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    STATE(2167), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1316), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55656] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2175), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55758] = 24,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1180), 1,
      anon_sym_not,
    ACTIONS(1182), 1,
      anon_sym_lambda,
    ACTIONS(1200), 1,
      anon_sym_type,
    ACTIONS(1202), 1,
      anon_sym_await,
    ACTIONS(1534), 1,
      sym_identifier,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1311), 1,
      sym_primary_expression,
    STATE(1394), 1,
      sym_string,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    STATE(2336), 1,
      sym_expression,
    STATE(3186), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(960), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1194), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2162), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55860] = 24,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1030), 1,
      sym_identifier,
    ACTIONS(1042), 1,
      anon_sym_type,
    ACTIONS(1046), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_lambda,
    ACTIONS(1052), 1,
      anon_sym_await,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1265), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    STATE(2181), 1,
      sym_expression,
    STATE(3100), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(938), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1038), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2147), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55962] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_type,
    ACTIONS(552), 1,
      anon_sym_await,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    STATE(2045), 1,
      sym_expression,
    STATE(3297), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(79), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(537), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2038), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56064] = 25,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(1236), 1,
      anon_sym_not,
    ACTIONS(1238), 1,
      anon_sym_lambda,
    ACTIONS(1892), 1,
      anon_sym_await,
    ACTIONS(1894), 1,
      sym_identifier,
    ACTIONS(1898), 1,
      anon_sym_type,
    STATE(1269), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1535), 1,
      sym_call,
    STATE(1833), 1,
      sym_attribute,
    STATE(1837), 1,
      sym_subscript,
    STATE(2353), 1,
      sym_expression,
    STATE(3289), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(892), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1896), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2166), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1463), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56168] = 25,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1304), 1,
      anon_sym_not,
    ACTIONS(1306), 1,
      anon_sym_lambda,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    ACTIONS(1858), 1,
      anon_sym_await,
    ACTIONS(1900), 1,
      sym_identifier,
    ACTIONS(1904), 1,
      anon_sym_type,
    STATE(1273), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1746), 1,
      sym_list_splat_pattern,
    STATE(1831), 1,
      sym_attribute,
    STATE(1832), 1,
      sym_subscript,
    STATE(2364), 1,
      sym_expression,
    STATE(3288), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(982), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1902), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(2097), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1668), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [56272] = 5,
    ACTIONS(1576), 1,
      anon_sym_else,
    STATE(973), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56335] = 5,
    ACTIONS(1566), 1,
      anon_sym_else,
    STATE(1065), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1912), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1910), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56457] = 5,
    ACTIONS(1576), 1,
      anon_sym_else,
    STATE(972), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1914), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1916), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1918), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1920), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56579] = 5,
    ACTIONS(1566), 1,
      anon_sym_else,
    STATE(1024), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1924), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1922), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56642] = 5,
    ACTIONS(1576), 1,
      anon_sym_else,
    STATE(1077), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1918), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1920), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1932), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1930), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56823] = 5,
    ACTIONS(1576), 1,
      anon_sym_else,
    STATE(1008), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1934), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1936), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56886] = 5,
    ACTIONS(1576), 1,
      anon_sym_else,
    STATE(887), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1924), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1922), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56949] = 5,
    ACTIONS(1580), 1,
      anon_sym_finally,
    STATE(988), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1940), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1912), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1910), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57071] = 5,
    ACTIONS(1566), 1,
      anon_sym_else,
    STATE(1069), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1934), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1936), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1932), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1930), 38,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57193] = 5,
    ACTIONS(1570), 1,
      anon_sym_finally,
    STATE(1086), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1940), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57256] = 5,
    ACTIONS(1566), 1,
      anon_sym_else,
    STATE(944), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1914), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1916), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57319] = 5,
    ACTIONS(1576), 1,
      anon_sym_else,
    STATE(888), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1942), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1944), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57382] = 5,
    ACTIONS(1580), 1,
      anon_sym_finally,
    STATE(914), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1946), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1948), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57445] = 5,
    ACTIONS(1570), 1,
      anon_sym_finally,
    STATE(989), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1946), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1948), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57508] = 5,
    ACTIONS(1566), 1,
      anon_sym_else,
    STATE(1000), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1942), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1944), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57571] = 5,
    ACTIONS(1566), 1,
      anon_sym_else,
    STATE(958), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1952), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1950), 37,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1956), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1954), 37,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1956), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1954), 37,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57808] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1952), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1950), 37,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57866] = 8,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    STATE(2421), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1958), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(1963), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
  [57934] = 6,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(284), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1971), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1973), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1977), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1975), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1981), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1979), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1985), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1983), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1987), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1993), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1991), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58339] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1997), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1995), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2001), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1999), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2005), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2003), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2009), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2007), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2013), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2011), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2017), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2015), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2021), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2019), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2025), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2023), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2029), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2027), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2033), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2031), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2037), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2035), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2041), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2039), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2045), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2043), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2047), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2049), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2051), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2053), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2057), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2055), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2061), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2059), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2065), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2063), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2067), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2069), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2073), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2077), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2075), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2079), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2081), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2085), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2083), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2089), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2087), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2091), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2093), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2095), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2097), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2099), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2105), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2103), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2107), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2109), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [59992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2113), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2111), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2117), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2115), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2121), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2119), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2089), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2087), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2125), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2123), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2129), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2127), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2131), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2133), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2135), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2137), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2139), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2141), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2143), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2145), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2147), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2149), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2151), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2153), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1940), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2157), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2155), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2159), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2161), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2163), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2165), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2129), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2127), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [60961] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2169), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2167), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2173), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2171), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2177), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2175), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2179), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2181), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2185), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2183), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2189), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2187), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2193), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2191), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2197), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2195), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2201), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2199), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2205), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2203), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2207), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2213), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2211), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2217), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2215), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1971), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1973), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2219), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2221), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2223), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2225), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2229), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2227), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2231), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2233), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [61987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2217), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2215), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2237), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2235), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2239), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2241), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2229), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2227), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2245), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2243), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2249), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2251), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2257), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2255), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2259), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2261), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2263), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2265), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2267), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2269), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2271), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2273), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2277), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2279), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2281), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2285), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2283), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2289), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2287), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2291), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2293), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [62956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2297), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2295), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2301), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2299), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2305), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2303), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2309), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2307), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2313), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2311), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2305), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2303), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2291), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2293), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63355] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2317), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2315), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2301), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2299), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2263), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2265), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2319), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2321), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2247), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2249), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2297), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2295), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2319), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2321), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2325), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2239), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2241), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2329), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2327), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2253), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2251), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [63982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2333), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2289), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2287), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2337), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2285), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2283), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2313), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2311), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2341), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2339), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2345), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2231), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2233), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2209), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2207), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2223), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2225), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1940), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2205), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2203), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2341), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2339), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2219), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2221), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2179), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2181), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2349), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2151), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2153), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [64951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2201), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2199), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2139), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2141), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2197), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2195), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2061), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2059), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2143), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2145), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2189), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2187), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2135), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2137), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2131), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2133), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2177), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2175), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2091), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2093), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2051), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2053), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1572), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1574), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2173), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2171), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2185), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2183), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2169), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2167), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2279), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2281), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2125), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2123), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2257), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2255), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [65977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2353), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2121), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2119), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2079), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2081), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2117), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2115), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2071), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2073), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2067), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2069), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2113), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2111), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2147), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2149), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2105), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2103), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2323), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2325), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2101), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2099), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2271), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2273), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2355), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2357), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2085), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2083), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2025), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2023), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2077), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2075), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2047), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2049), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [66946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2157), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2155), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2065), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2063), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2057), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2055), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2045), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2043), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2041), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2039), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2037), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2035), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2359), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2361), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2033), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2031), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2029), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2027), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2021), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2019), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2365), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2013), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2011), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2009), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2007), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1572), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1574), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2001), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1999), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1946), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1948), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1997), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1995), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2329), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2327), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [67972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1993), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1991), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1989), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1987), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1985), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1983), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1564), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1562), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1981), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1979), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1977), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1975), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2367), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2369), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2193), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2191), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2213), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2211), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2237), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2235), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2245), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2243), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2373), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2367), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2369), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2375), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2377), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2381), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2379), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2375), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2377), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2373), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2363), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2365), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [68998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2259), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2261), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2267), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2269), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2275), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2277), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2359), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2361), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2331), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2333), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2335), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2337), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2343), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2345), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2355), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2357), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2351), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2353), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2317), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2315), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2381), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2379), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2163), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2165), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2383), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2385), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2159), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2161), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1564), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1562), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1946), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1948), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2309), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2307), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [69967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2005), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2003), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2387), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2389), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2017), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2015), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2095), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2097), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2391), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2393), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2383), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2385), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2387), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2389), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2391), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2393), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2347), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2349), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2107), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2109), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_var,
      anon_sym_alias,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [70537] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_type,
    ACTIONS(2407), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1935), 1,
      sym_subscript,
    STATE(1937), 1,
      sym_attribute,
    STATE(1938), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_primary_expression,
    STATE(2460), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2433), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1280), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(2401), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [70633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70689] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2418), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70749] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2426), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [70977] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_type,
    ACTIONS(2407), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1935), 1,
      sym_subscript,
    STATE(1937), 1,
      sym_attribute,
    STATE(1938), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_primary_expression,
    STATE(2460), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2433), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1342), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(2401), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [71073] = 5,
    ACTIONS(2443), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2448), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2446), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71189] = 5,
    ACTIONS(2456), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2461), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2459), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71305] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(881), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(878), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71365] = 5,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2468), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71481] = 7,
    ACTIONS(2472), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(2418), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71545] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(881), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(878), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [71717] = 5,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71777] = 6,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71839] = 5,
    ACTIONS(2476), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2479), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71899] = 6,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(284), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71961] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_in,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2023), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1280), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72058] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    ACTIONS(2495), 1,
      anon_sym_in,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2023), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1342), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72155] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2497), 1,
      sym_identifier,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_RPAREN,
    ACTIONS(2503), 1,
      anon_sym_STAR,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_type,
    ACTIONS(2511), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1990), 1,
      sym_primary_expression,
    STATE(2007), 1,
      sym_subscript,
    STATE(2013), 1,
      sym_attribute,
    STATE(2017), 1,
      sym_list_splat_pattern,
    STATE(2683), 1,
      sym_pattern,
    STATE(3224), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2505), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72251] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2497), 1,
      sym_identifier,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_STAR,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_type,
    ACTIONS(2511), 1,
      anon_sym_await,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1990), 1,
      sym_primary_expression,
    STATE(2007), 1,
      sym_subscript,
    STATE(2013), 1,
      sym_attribute,
    STATE(2017), 1,
      sym_list_splat_pattern,
    STATE(2683), 1,
      sym_pattern,
    STATE(3271), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2505), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72347] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2723), 1,
      sym_pattern,
    STATE(3229), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72440] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2738), 1,
      sym_pattern,
    STATE(3093), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72533] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2515), 1,
      sym_identifier,
    ACTIONS(2517), 1,
      anon_sym_LPAREN,
    ACTIONS(2519), 1,
      anon_sym_STAR,
    ACTIONS(2523), 1,
      anon_sym_LBRACK,
    ACTIONS(2525), 1,
      anon_sym_RBRACK,
    ACTIONS(2527), 1,
      anon_sym_type,
    ACTIONS(2529), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1975), 1,
      sym_primary_expression,
    STATE(1994), 1,
      sym_list_splat_pattern,
    STATE(2008), 1,
      sym_subscript,
    STATE(2009), 1,
      sym_attribute,
    STATE(2985), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2521), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72626] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2658), 1,
      sym_pattern,
    STATE(3313), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72719] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2812), 1,
      sym_pattern,
    STATE(3166), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72812] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2728), 1,
      sym_pattern,
    STATE(3231), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72905] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2515), 1,
      sym_identifier,
    ACTIONS(2517), 1,
      anon_sym_LPAREN,
    ACTIONS(2519), 1,
      anon_sym_STAR,
    ACTIONS(2523), 1,
      anon_sym_LBRACK,
    ACTIONS(2527), 1,
      anon_sym_type,
    ACTIONS(2529), 1,
      anon_sym_await,
    ACTIONS(2531), 1,
      anon_sym_RBRACK,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1975), 1,
      sym_primary_expression,
    STATE(1994), 1,
      sym_list_splat_pattern,
    STATE(2008), 1,
      sym_subscript,
    STATE(2009), 1,
      sym_attribute,
    STATE(2985), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2521), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [72998] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2497), 1,
      sym_identifier,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_STAR,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_type,
    ACTIONS(2511), 1,
      anon_sym_await,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1990), 1,
      sym_primary_expression,
    STATE(2007), 1,
      sym_subscript,
    STATE(2013), 1,
      sym_attribute,
    STATE(2017), 1,
      sym_list_splat_pattern,
    STATE(3044), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2505), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73091] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2975), 1,
      sym_pattern,
    STATE(3342), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73184] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2647), 1,
      sym_pattern,
    STATE(3261), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73277] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2737), 1,
      sym_pattern,
    STATE(3221), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73370] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2657), 1,
      sym_pattern,
    STATE(3317), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73463] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2816), 1,
      sym_pattern,
    STATE(3157), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73556] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2526), 1,
      sym_pattern,
    STATE(3090), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73649] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2497), 1,
      sym_identifier,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_STAR,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_type,
    ACTIONS(2511), 1,
      anon_sym_await,
    ACTIONS(2531), 1,
      anon_sym_RPAREN,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1990), 1,
      sym_primary_expression,
    STATE(2007), 1,
      sym_subscript,
    STATE(2013), 1,
      sym_attribute,
    STATE(2017), 1,
      sym_list_splat_pattern,
    STATE(3044), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2505), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73742] = 22,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1278), 1,
      sym_identifier,
    ACTIONS(1282), 1,
      anon_sym_LPAREN,
    ACTIONS(1288), 1,
      anon_sym_LBRACK,
    ACTIONS(1290), 1,
      anon_sym_type,
    ACTIONS(1292), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1834), 1,
      sym_list_splat_pattern,
    STATE(1835), 1,
      sym_attribute,
    STATE(1836), 1,
      sym_subscript,
    STATE(1985), 1,
      sym_primary_expression,
    STATE(2027), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2029), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1286), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73832] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2515), 1,
      sym_identifier,
    ACTIONS(2517), 1,
      anon_sym_LPAREN,
    ACTIONS(2519), 1,
      anon_sym_STAR,
    ACTIONS(2523), 1,
      anon_sym_LBRACK,
    ACTIONS(2527), 1,
      anon_sym_type,
    ACTIONS(2529), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1975), 1,
      sym_primary_expression,
    STATE(1994), 1,
      sym_list_splat_pattern,
    STATE(2008), 1,
      sym_subscript,
    STATE(2009), 1,
      sym_attribute,
    STATE(2985), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3021), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2521), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [73922] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2395), 1,
      sym_identifier,
    ACTIONS(2397), 1,
      anon_sym_LPAREN,
    ACTIONS(2399), 1,
      anon_sym_STAR,
    ACTIONS(2403), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_type,
    ACTIONS(2407), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1935), 1,
      sym_subscript,
    STATE(1937), 1,
      sym_attribute,
    STATE(1938), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_primary_expression,
    STATE(2460), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2433), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2401), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74012] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1512), 1,
      sym_identifier,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1520), 1,
      anon_sym_LBRACK,
    ACTIONS(1522), 1,
      anon_sym_type,
    ACTIONS(1524), 1,
      anon_sym_await,
    ACTIONS(2533), 1,
      anon_sym_STAR,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1846), 1,
      sym_attribute,
    STATE(1848), 1,
      sym_list_splat_pattern,
    STATE(1854), 1,
      sym_subscript,
    STATE(1991), 1,
      sym_primary_expression,
    STATE(2023), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1518), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74102] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      sym_identifier,
    ACTIONS(2483), 1,
      anon_sym_LPAREN,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_type,
    ACTIONS(2493), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1957), 1,
      sym_list_splat_pattern,
    STATE(1961), 1,
      sym_attribute,
    STATE(1963), 1,
      sym_subscript,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(2023), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2019), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2485), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74192] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2497), 1,
      sym_identifier,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2503), 1,
      anon_sym_STAR,
    ACTIONS(2507), 1,
      anon_sym_LBRACK,
    ACTIONS(2509), 1,
      anon_sym_type,
    ACTIONS(2511), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1990), 1,
      sym_primary_expression,
    STATE(2007), 1,
      sym_subscript,
    STATE(2013), 1,
      sym_attribute,
    STATE(2017), 1,
      sym_list_splat_pattern,
    STATE(3044), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(3079), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2505), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74282] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2535), 1,
      sym_identifier,
    ACTIONS(2541), 1,
      anon_sym_type,
    ACTIONS(2543), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1976), 1,
      sym_subscript,
    STATE(1979), 1,
      sym_attribute,
    STATE(1990), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2537), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2539), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74369] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2545), 1,
      sym_identifier,
    ACTIONS(2549), 1,
      anon_sym_type,
    ACTIONS(2551), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(1999), 1,
      sym_attribute,
    STATE(2003), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2537), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2547), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74456] = 19,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    ACTIONS(2553), 1,
      anon_sym_not,
    STATE(1325), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74538] = 19,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    ACTIONS(2555), 1,
      anon_sym_not,
    STATE(1299), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74620] = 19,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    ACTIONS(2557), 1,
      anon_sym_not,
    STATE(1257), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74702] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2559), 1,
      anon_sym_not,
    STATE(1341), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74784] = 19,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    ACTIONS(2561), 1,
      anon_sym_not,
    STATE(1394), 1,
      sym_string,
    STATE(1429), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74866] = 19,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    ACTIONS(2563), 1,
      anon_sym_not,
    STATE(1284), 1,
      sym_string,
    STATE(1289), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [74948] = 19,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    ACTIONS(2565), 1,
      anon_sym_not,
    STATE(1365), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75030] = 19,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    ACTIONS(2567), 1,
      anon_sym_not,
    STATE(1338), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75112] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1429), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75191] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1342), 1,
      sym_string,
    STATE(1350), 1,
      sym_primary_expression,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75270] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2569), 1,
      sym_identifier,
    ACTIONS(2573), 1,
      anon_sym_type,
    ACTIONS(2575), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1675), 1,
      sym_subscript,
    STATE(1677), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2571), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75353] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1320), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75432] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75511] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym_string,
    STATE(1287), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75590] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1342), 1,
      sym_string,
    STATE(1374), 1,
      sym_primary_expression,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75669] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym_string,
    STATE(1305), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75748] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1330), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75827] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2577), 1,
      sym_identifier,
    ACTIONS(2581), 1,
      anon_sym_type,
    ACTIONS(2583), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_attribute,
    STATE(1784), 1,
      sym_subscript,
    STATE(1970), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2579), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75910] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1329), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [75989] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1307), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76068] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2585), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      anon_sym_type,
    ACTIONS(2591), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1858), 1,
      sym_subscript,
    STATE(1859), 1,
      sym_attribute,
    STATE(1991), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2587), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76151] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1339), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76230] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2593), 1,
      sym_identifier,
    ACTIONS(2597), 1,
      anon_sym_type,
    ACTIONS(2599), 1,
      anon_sym_await,
    STATE(1090), 1,
      sym_attribute,
    STATE(1091), 1,
      sym_subscript,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1985), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2595), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76313] = 21,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2617), 1,
      anon_sym_EQ,
    ACTIONS(2623), 1,
      anon_sym_PIPE,
    ACTIONS(2625), 1,
      anon_sym_not,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    ACTIONS(2633), 1,
      anon_sym_is,
    STATE(1933), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2631), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2611), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [76398] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1417), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76477] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1325), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76556] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1321), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_string,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76635] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1342), 1,
      sym_string,
    STATE(1344), 1,
      sym_primary_expression,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76714] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym_string,
    STATE(1289), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76793] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2635), 1,
      sym_identifier,
    ACTIONS(2639), 1,
      anon_sym_type,
    ACTIONS(2641), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1973), 1,
      sym_subscript,
    STATE(1974), 1,
      sym_attribute,
    STATE(1990), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2637), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76876] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2573), 1,
      anon_sym_type,
    ACTIONS(2575), 1,
      anon_sym_await,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1371), 1,
      sym_string,
    STATE(1675), 1,
      sym_subscript,
    STATE(1677), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2571), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [76959] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1274), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77038] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1277), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77117] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1279), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77196] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1353), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77275] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1280), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77354] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1282), 1,
      sym_primary_expression,
    STATE(1284), 1,
      sym_string,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77433] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1449), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77512] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1352), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77591] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1348), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77670] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1347), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77749] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77828] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2597), 1,
      anon_sym_type,
    ACTIONS(2599), 1,
      anon_sym_await,
    ACTIONS(2645), 1,
      sym_identifier,
    STATE(1090), 1,
      sym_attribute,
    STATE(1091), 1,
      sym_subscript,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1985), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2595), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77911] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1447), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [77990] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1354), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78069] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1357), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78148] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1341), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78227] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1360), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78306] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1363), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78385] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1364), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78464] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1365), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78543] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1366), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78622] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1367), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78701] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1335), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78780] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym_string,
    STATE(1303), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78859] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1309), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [78938] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym_string,
    STATE(1297), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79017] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2581), 1,
      anon_sym_type,
    ACTIONS(2583), 1,
      anon_sym_await,
    ACTIONS(2647), 1,
      sym_identifier,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_attribute,
    STATE(1784), 1,
      sym_subscript,
    STATE(1975), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2579), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79100] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1438), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79179] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1435), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79258] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1433), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79337] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1432), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79416] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1430), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79495] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2649), 1,
      sym_identifier,
    ACTIONS(2653), 1,
      anon_sym_type,
    ACTIONS(2655), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1573), 1,
      sym_attribute,
    STATE(1574), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2651), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79578] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1426), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79657] = 18,
    ACTIONS(962), 1,
      anon_sym_LPAREN,
    ACTIONS(968), 1,
      anon_sym_LBRACK,
    ACTIONS(970), 1,
      anon_sym_type,
    ACTIONS(974), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(1592), 1,
      anon_sym_STAR,
    STATE(1394), 1,
      sym_string,
    STATE(1425), 1,
      sym_primary_expression,
    STATE(1788), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_subscript,
    STATE(1795), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(976), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(972), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(966), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(960), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1794), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79736] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2657), 1,
      sym_identifier,
    ACTIONS(2661), 1,
      anon_sym_type,
    ACTIONS(2663), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1440), 1,
      sym_subscript,
    STATE(1442), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1987), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2659), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79819] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1333), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79898] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1342), 1,
      sym_string,
    STATE(1368), 1,
      sym_primary_expression,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [79977] = 18,
    ACTIONS(916), 1,
      anon_sym_LPAREN,
    ACTIONS(922), 1,
      anon_sym_LBRACK,
    ACTIONS(924), 1,
      anon_sym_type,
    ACTIONS(930), 1,
      anon_sym_LBRACE,
    ACTIONS(934), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(1488), 1,
      anon_sym_STAR,
    STATE(1342), 1,
      sym_string,
    STATE(1362), 1,
      sym_primary_expression,
    STATE(1673), 1,
      sym_call,
    STATE(1721), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(932), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(928), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(920), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(914), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1689), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80056] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1334), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80135] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1259), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80214] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1290), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80293] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1291), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80372] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(885), 1,
      anon_sym_type,
    ACTIONS(887), 1,
      anon_sym_await,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    STATE(1337), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_string,
    STATE(1680), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(883), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1740), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80451] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1258), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80530] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1257), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80609] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1268), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80688] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1263), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80767] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1262), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80846] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1266), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [80925] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1255), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81004] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1375), 1,
      sym_string,
    STATE(1380), 1,
      sym_primary_expression,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81083] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2583), 1,
      anon_sym_await,
    ACTIONS(2665), 1,
      sym_identifier,
    ACTIONS(2669), 1,
      anon_sym_type,
    STATE(1371), 1,
      sym_string,
    STATE(1593), 1,
      sym_subscript,
    STATE(1594), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1975), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2667), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81166] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2671), 1,
      sym_identifier,
    ACTIONS(2675), 1,
      anon_sym_type,
    ACTIONS(2677), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1599), 1,
      sym_subscript,
    STATE(1600), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1990), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81249] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1375), 1,
      sym_string,
    STATE(1381), 1,
      sym_primary_expression,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81328] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2581), 1,
      anon_sym_type,
    ACTIONS(2583), 1,
      anon_sym_await,
    ACTIONS(2647), 1,
      sym_identifier,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_attribute,
    STATE(1784), 1,
      sym_subscript,
    STATE(1970), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2579), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81411] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2661), 1,
      anon_sym_type,
    ACTIONS(2663), 1,
      anon_sym_await,
    ACTIONS(2679), 1,
      sym_identifier,
    STATE(1371), 1,
      sym_string,
    STATE(1440), 1,
      sym_subscript,
    STATE(1442), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1987), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2659), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81494] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2681), 1,
      sym_identifier,
    ACTIONS(2685), 1,
      anon_sym_type,
    ACTIONS(2687), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1971), 1,
      sym_primary_expression,
    STATE(1997), 1,
      sym_subscript,
    STATE(2000), 1,
      sym_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2683), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81577] = 18,
    ACTIONS(894), 1,
      anon_sym_LPAREN,
    ACTIONS(900), 1,
      anon_sym_LBRACK,
    ACTIONS(902), 1,
      anon_sym_type,
    ACTIONS(906), 1,
      anon_sym_LBRACE,
    ACTIONS(910), 1,
      anon_sym_await,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(1228), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym_string,
    STATE(1292), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_list_splat_pattern,
    STATE(1530), 1,
      sym_subscript,
    STATE(1535), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(908), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(904), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(898), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(892), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1463), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81656] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2677), 1,
      anon_sym_await,
    ACTIONS(2689), 1,
      sym_identifier,
    ACTIONS(2693), 1,
      anon_sym_type,
    STATE(1371), 1,
      sym_string,
    STATE(1596), 1,
      sym_subscript,
    STATE(1597), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1990), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2691), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81739] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1270), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81818] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1286), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81897] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1278), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [81976] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1302), 1,
      sym_string,
    STATE(1306), 1,
      sym_primary_expression,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82055] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1302), 1,
      sym_string,
    STATE(1304), 1,
      sym_primary_expression,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82134] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1301), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82213] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1300), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82292] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1299), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82371] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1298), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82450] = 18,
    ACTIONS(940), 1,
      anon_sym_LPAREN,
    ACTIONS(946), 1,
      anon_sym_LBRACK,
    ACTIONS(948), 1,
      anon_sym_type,
    ACTIONS(952), 1,
      anon_sym_LBRACE,
    ACTIONS(956), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(1504), 1,
      anon_sym_STAR,
    STATE(1276), 1,
      sym_primary_expression,
    STATE(1302), 1,
      sym_string,
    STATE(1521), 1,
      sym_list_splat_pattern,
    STATE(1527), 1,
      sym_subscript,
    STATE(1556), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(954), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(950), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(944), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(938), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1548), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82529] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2671), 1,
      sym_identifier,
    ACTIONS(2675), 1,
      anon_sym_type,
    ACTIONS(2677), 1,
      anon_sym_await,
    STATE(1371), 1,
      sym_string,
    STATE(1599), 1,
      sym_subscript,
    STATE(1600), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1981), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82612] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2655), 1,
      anon_sym_await,
    ACTIONS(2695), 1,
      sym_identifier,
    ACTIONS(2699), 1,
      anon_sym_type,
    STATE(1371), 1,
      sym_string,
    STATE(1512), 1,
      sym_attribute,
    STATE(1516), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1977), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2697), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82695] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1331), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82774] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1336), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82853] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1338), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [82932] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1340), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83011] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1343), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83090] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1345), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83169] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1346), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83248] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2675), 1,
      anon_sym_type,
    ACTIONS(2677), 1,
      anon_sym_await,
    ACTIONS(2701), 1,
      sym_identifier,
    STATE(1371), 1,
      sym_string,
    STATE(1599), 1,
      sym_subscript,
    STATE(1600), 1,
      sym_attribute,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1981), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2673), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83331] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1355), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83410] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1261), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83489] = 18,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(862), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      anon_sym_LBRACK,
    ACTIONS(870), 1,
      anon_sym_type,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(1556), 1,
      anon_sym_STAR,
    STATE(1256), 1,
      sym_primary_expression,
    STATE(1271), 1,
      sym_string,
    STATE(1401), 1,
      sym_list_splat_pattern,
    STATE(1416), 1,
      sym_call,
    STATE(1455), 1,
      sym_subscript,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(77), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(866), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(79), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1388), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83568] = 18,
    ACTIONS(1008), 1,
      anon_sym_LPAREN,
    ACTIONS(1014), 1,
      anon_sym_LBRACK,
    ACTIONS(1016), 1,
      anon_sym_type,
    ACTIONS(1020), 1,
      anon_sym_LBRACE,
    ACTIONS(1024), 1,
      anon_sym_await,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(1544), 1,
      anon_sym_STAR,
    STATE(1323), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_string,
    STATE(1691), 1,
      sym_subscript,
    STATE(1694), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_call,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1022), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1018), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1012), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1006), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1726), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83647] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(556), 1,
      anon_sym_LPAREN,
    ACTIONS(560), 1,
      anon_sym_LBRACK,
    ACTIONS(1700), 1,
      anon_sym_STAR,
    ACTIONS(2655), 1,
      anon_sym_await,
    ACTIONS(2695), 1,
      sym_identifier,
    ACTIONS(2699), 1,
      anon_sym_type,
    STATE(1371), 1,
      sym_string,
    STATE(1512), 1,
      sym_attribute,
    STATE(1516), 1,
      sym_subscript,
    STATE(1725), 1,
      sym_call,
    STATE(1762), 1,
      sym_list_splat_pattern,
    STATE(1983), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2697), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    STATE(1740), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83730] = 18,
    ACTIONS(984), 1,
      anon_sym_LPAREN,
    ACTIONS(990), 1,
      anon_sym_LBRACK,
    ACTIONS(992), 1,
      anon_sym_type,
    ACTIONS(996), 1,
      anon_sym_LBRACE,
    ACTIONS(1000), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(1618), 1,
      anon_sym_STAR,
    STATE(1358), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_string,
    STATE(1667), 1,
      sym_call,
    STATE(1719), 1,
      sym_subscript,
    STATE(1746), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(998), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(994), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(988), 4,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(982), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1668), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [83809] = 13,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83877] = 16,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_PIPE,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2709), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2707), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [83951] = 16,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_PIPE,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2713), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2711), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84025] = 12,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84091] = 9,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84151] = 9,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84211] = 16,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_PIPE,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2721), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2719), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84285] = 15,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84357] = 11,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 24,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84421] = 5,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1267), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84473] = 21,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      anon_sym_PIPE,
    ACTIONS(2747), 1,
      anon_sym_not,
    ACTIONS(2749), 1,
      anon_sym_AMP,
    ACTIONS(2751), 1,
      anon_sym_CARET,
    ACTIONS(2755), 1,
      anon_sym_is,
    STATE(1967), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2753), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2735), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [84557] = 14,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84627] = 5,
    ACTIONS(2761), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1267), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84679] = 9,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84739] = 21,
    ACTIONS(2617), 1,
      anon_sym_EQ,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2782), 1,
      anon_sym_PIPE,
    ACTIONS(2784), 1,
      anon_sym_not,
    ACTIONS(2786), 1,
      anon_sym_AMP,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    ACTIONS(2792), 1,
      anon_sym_is,
    STATE(1949), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2790), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2772), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [84823] = 9,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84883] = 5,
    ACTIONS(83), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1264), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [84935] = 9,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [84994] = 21,
    ACTIONS(2617), 1,
      anon_sym_EQ,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2816), 1,
      anon_sym_PIPE,
    ACTIONS(2818), 1,
      anon_sym_not,
    ACTIONS(2820), 1,
      anon_sym_AMP,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    ACTIONS(2826), 1,
      anon_sym_is,
    STATE(1944), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2824), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2806), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [85077] = 9,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85136] = 9,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85195] = 9,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85254] = 11,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85317] = 9,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85376] = 15,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2786), 1,
      anon_sym_AMP,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85447] = 14,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85516] = 5,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1285), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85567] = 13,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85634] = 5,
    ACTIONS(2828), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1283), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85685] = 5,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1293), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85736] = 5,
    ACTIONS(2831), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1285), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85787] = 13,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [85854] = 12,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [85919] = 21,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_PIPE,
    ACTIONS(2854), 1,
      anon_sym_not,
    ACTIONS(2856), 1,
      anon_sym_AMP,
    ACTIONS(2858), 1,
      anon_sym_CARET,
    ACTIONS(2862), 1,
      anon_sym_is,
    STATE(1972), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2860), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2842), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [86002] = 16,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2782), 1,
      anon_sym_PIPE,
    ACTIONS(2786), 1,
      anon_sym_AMP,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2713), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [86075] = 16,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      anon_sym_PIPE,
    ACTIONS(2749), 1,
      anon_sym_AMP,
    ACTIONS(2751), 1,
      anon_sym_CARET,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2709), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86148] = 16,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      anon_sym_PIPE,
    ACTIONS(2749), 1,
      anon_sym_AMP,
    ACTIONS(2751), 1,
      anon_sym_CARET,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2721), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86221] = 9,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [86280] = 5,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1283), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [86331] = 21,
    ACTIONS(2617), 1,
      anon_sym_EQ,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2884), 1,
      anon_sym_not,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    ACTIONS(2892), 1,
      anon_sym_is,
    STATE(1942), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2890), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2872), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [86414] = 20,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(2615), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2623), 1,
      anon_sym_PIPE,
    ACTIONS(2625), 1,
      anon_sym_not,
    ACTIONS(2627), 1,
      anon_sym_AMP,
    ACTIONS(2629), 1,
      anon_sym_CARET,
    ACTIONS(2633), 1,
      anon_sym_is,
    ACTIONS(2894), 1,
      anon_sym_DOT,
    ACTIONS(2896), 1,
      anon_sym_LBRACK,
    STATE(1933), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2896), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2607), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2609), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2621), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2631), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1431), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2619), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2611), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [86495] = 21,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_PIPE,
    ACTIONS(2918), 1,
      anon_sym_not,
    ACTIONS(2920), 1,
      anon_sym_AMP,
    ACTIONS(2922), 1,
      anon_sym_CARET,
    ACTIONS(2926), 1,
      anon_sym_is,
    STATE(1992), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2924), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2906), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [86578] = 16,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2782), 1,
      anon_sym_PIPE,
    ACTIONS(2786), 1,
      anon_sym_AMP,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2709), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [86651] = 12,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86716] = 16,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2745), 1,
      anon_sym_PIPE,
    ACTIONS(2749), 1,
      anon_sym_AMP,
    ACTIONS(2751), 1,
      anon_sym_CARET,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2713), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86789] = 9,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86848] = 11,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86911] = 5,
    ACTIONS(958), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1281), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [86962] = 16,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2782), 1,
      anon_sym_PIPE,
    ACTIONS(2786), 1,
      anon_sym_AMP,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2721), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87035] = 15,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2749), 1,
      anon_sym_AMP,
    ACTIONS(2751), 1,
      anon_sym_CARET,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87106] = 9,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87165] = 14,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2739), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2751), 1,
      anon_sym_CARET,
    STATE(2910), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2731), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2733), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2743), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1583), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2741), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87234] = 11,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87296] = 9,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87354] = 9,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87458] = 20,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2946), 1,
      anon_sym_PIPE,
    ACTIONS(2948), 1,
      anon_sym_not,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    ACTIONS(2956), 1,
      anon_sym_is,
    STATE(1964), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2954), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2936), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2601), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [87538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87676] = 5,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1372), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [87864] = 5,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1356), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87914] = 13,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [87980] = 12,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88044] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88092] = 9,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88150] = 9,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88208] = 16,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_PIPE,
    ACTIONS(2856), 1,
      anon_sym_AMP,
    ACTIONS(2858), 1,
      anon_sym_CARET,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2713), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88280] = 9,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88338] = 9,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88396] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88444] = 16,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_AMP,
    ACTIONS(2922), 1,
      anon_sym_CARET,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2709), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88516] = 16,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_AMP,
    ACTIONS(2922), 1,
      anon_sym_CARET,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2721), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88588] = 9,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88646] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88694] = 16,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2721), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88766] = 9,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88824] = 12,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88888] = 12,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [88952] = 16,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2709), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89024] = 16,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2816), 1,
      anon_sym_PIPE,
    ACTIONS(2820), 1,
      anon_sym_AMP,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2713), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89096] = 15,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2856), 1,
      anon_sym_AMP,
    ACTIONS(2858), 1,
      anon_sym_CARET,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89166] = 9,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89224] = 16,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2713), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89296] = 5,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1369), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89346] = 11,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89408] = 9,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89466] = 15,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2820), 1,
      anon_sym_AMP,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89536] = 14,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89604] = 11,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89666] = 15,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89736] = 9,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89794] = 14,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2858), 1,
      anon_sym_CARET,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89862] = 5,
    ACTIONS(2962), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1351), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89912] = 14,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [89980] = 13,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90046] = 13,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90112] = 13,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90178] = 5,
    ACTIONS(2965), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1356), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90228] = 14,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2922), 1,
      anon_sym_CARET,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90296] = 16,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2816), 1,
      anon_sym_PIPE,
    ACTIONS(2820), 1,
      anon_sym_AMP,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2721), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [90414] = 15,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2920), 1,
      anon_sym_AMP,
    ACTIONS(2922), 1,
      anon_sym_CARET,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90484] = 5,
    ACTIONS(2968), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1361), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90534] = 16,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_PIPE,
    ACTIONS(2856), 1,
      anon_sym_AMP,
    ACTIONS(2858), 1,
      anon_sym_CARET,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2709), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90606] = 11,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90668] = 9,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90726] = 16,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2916), 1,
      anon_sym_PIPE,
    ACTIONS(2920), 1,
      anon_sym_AMP,
    ACTIONS(2922), 1,
      anon_sym_CARET,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2904), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2713), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90798] = 12,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2914), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2912), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90862] = 9,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2910), 1,
      anon_sym_STAR_STAR,
    STATE(2813), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1776), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90920] = 16,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2852), 1,
      anon_sym_PIPE,
    ACTIONS(2856), 1,
      anon_sym_AMP,
    ACTIONS(2858), 1,
      anon_sym_CARET,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2838), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2840), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2850), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2721), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2848), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [90992] = 5,
    ACTIONS(936), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1361), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91042] = 9,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91100] = 5,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91150] = 5,
    ACTIONS(2971), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1372), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [91246] = 9,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2846), 1,
      anon_sym_STAR_STAR,
    STATE(2878), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1687), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91304] = 5,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1319), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91354] = 5,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1377), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91404] = 5,
    ACTIONS(1026), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1351), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [91546] = 16,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2816), 1,
      anon_sym_PIPE,
    ACTIONS(2820), 1,
      anon_sym_AMP,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2709), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91618] = 9,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91676] = 6,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(876), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91727] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91776] = 5,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [91825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91870] = 5,
    ACTIONS(289), 1,
      anon_sym_COMMA,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [91919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [91964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92009] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [92056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92101] = 20,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2946), 1,
      anon_sym_PIPE,
    ACTIONS(2948), 1,
      anon_sym_not,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    ACTIONS(2956), 1,
      anon_sym_is,
    STATE(1964), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2954), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2601), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2936), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [92180] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92274] = 5,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1421), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1963), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92323] = 5,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [92372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92462] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92509] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92556] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [92873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [92918] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [92965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93100] = 6,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(2342), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93331] = 9,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2796), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2794), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93388] = 20,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(2776), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2782), 1,
      anon_sym_PIPE,
    ACTIONS(2784), 1,
      anon_sym_not,
    ACTIONS(2786), 1,
      anon_sym_AMP,
    ACTIONS(2788), 1,
      anon_sym_CARET,
    ACTIONS(2792), 1,
      anon_sym_is,
    STATE(1949), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2970), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2770), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2780), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2790), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1514), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2778), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2601), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2772), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [93467] = 9,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2717), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2715), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93569] = 5,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1439), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2725), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2723), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93708] = 6,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3008), 1,
      anon_sym_LBRACK,
    STATE(2299), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93759] = 9,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93816] = 12,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2705), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [93924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [93969] = 16,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2946), 1,
      anon_sym_PIPE,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2713), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2711), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94040] = 9,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2705), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2703), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94142] = 11,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2705), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94203] = 15,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2705), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94317] = 14,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2705), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94474] = 13,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2705), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2703), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94539] = 5,
    ACTIONS(3030), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1439), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2759), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2757), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94588] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94637] = 6,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(876), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94688] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94737] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [94784] = 6,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2421), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94835] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3033), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [94929] = 16,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2946), 1,
      anon_sym_PIPE,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2721), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2719), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95045] = 16,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    ACTIONS(2940), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2946), 1,
      anon_sym_PIPE,
    ACTIONS(2950), 1,
      anon_sym_AMP,
    ACTIONS(2952), 1,
      anon_sym_CARET,
    STATE(2894), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2709), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2932), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2934), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1802), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2942), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2707), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95206] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95435] = 20,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(2810), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2816), 1,
      anon_sym_PIPE,
    ACTIONS(2818), 1,
      anon_sym_not,
    ACTIONS(2820), 1,
      anon_sym_AMP,
    ACTIONS(2822), 1,
      anon_sym_CARET,
    ACTIONS(2826), 1,
      anon_sym_is,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    STATE(1944), 1,
      aux_sym_comparison_operator_repeat1,
    STATE(2935), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2802), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2804), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2814), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2824), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2812), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2601), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2806), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [95514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95604] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [95743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [95787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [95831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [95875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [95919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [95963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96051] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96099] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96145] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(876), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96193] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(876), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96241] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96287] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96377] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1960), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96821] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(289), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96869] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [96915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [96959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97003] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97049] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97095] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97447] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97495] = 6,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    STATE(2498), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97853] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(289), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [97945] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [97993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98125] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98173] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(876), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98221] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(876), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(878), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98269] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98405] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(289), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98673] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98719] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [98809] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98855] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2426), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98901] = 6,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    STATE(2421), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98951] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [98997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [99041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99129] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(289), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [99485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [99529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99617] = 4,
    ACTIONS(2465), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [99663] = 4,
    ACTIONS(1960), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [99709] = 4,
    ACTIONS(2476), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [99755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [99975] = 4,
    ACTIONS(2456), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [100021] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [100069] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [100117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100205] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100251] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100297] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100519] = 4,
    ACTIONS(2443), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      sym_type_conversion,
  [100565] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1004), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100613] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100661] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100709] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100757] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100805] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1004), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100853] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3077), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [100989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101560] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101607] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101654] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101744] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101791] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2960), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2958), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101881] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101928] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [101975] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102022] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2976), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2974), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102241] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102288] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(926), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102335] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3033), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102683] = 7,
    ACTIONS(2472), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(2413), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(2415), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [102734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [102992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103250] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [103981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104626] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104671] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104716] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104761] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104808] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104941] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2465), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [104986] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1960), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105031] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105162] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2456), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105207] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105254] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105301] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105348] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105393] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2426), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105481] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2443), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2446), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [105999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106128] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106175] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [106996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107168] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2426), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107256] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(2418), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107645] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2465), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2468), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107733] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1960), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1963), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107778] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2476), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [107995] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2456), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2459), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108728] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2443), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2446), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108859] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [108988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109203] = 7,
    ACTIONS(2472), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 5,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(2413), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(2415), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [109254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109469] = 5,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2421), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109516] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109563] = 5,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3045), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3043), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3049), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3047), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109737] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109781] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109825] = 4,
    ACTIONS(2413), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109869] = 4,
    ACTIONS(2413), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109913] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [109959] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2426), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2423), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110005] = 7,
    ACTIONS(2472), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(2413), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(2415), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [110055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2433), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2463), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2474), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2454), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1958), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3002), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3000), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110475] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110521] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(881), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(282), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2984), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2982), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2429), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3016), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3014), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3037), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3035), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3041), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3039), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110861] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110905] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110949] = 4,
    ACTIONS(297), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(878), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(889), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [110993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3053), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3051), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3065), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3063), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3069), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3067), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3073), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3071), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3006), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3004), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2980), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2978), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3012), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3010), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3020), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3018), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3024), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3022), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111371] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2421), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2470), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(2413), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
    ACTIONS(2415), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [111419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3028), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3026), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111461] = 4,
    ACTIONS(1965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2409), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2996), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2994), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2988), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2986), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2992), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2990), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3061), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3059), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3057), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3055), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2450), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [111883] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2441), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2446), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2448), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [111926] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(282), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(284), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [111969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [112010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [112051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2418), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2415), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [112092] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2463), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1969), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112135] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1963), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1969), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112178] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2474), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2479), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1969), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2426), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2423), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [112262] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2454), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2459), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2461), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112305] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(282), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(284), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112348] = 20,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3079), 1,
      sym_identifier,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_STAR,
    ACTIONS(3085), 1,
      anon_sym_if,
    ACTIONS(3087), 1,
      anon_sym_COLON,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2615), 1,
      sym_case_pattern,
    STATE(3287), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3095), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2331), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [112422] = 20,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3079), 1,
      sym_identifier,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_STAR,
    ACTIONS(3085), 1,
      anon_sym_if,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3103), 1,
      anon_sym_COLON,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2615), 1,
      sym_case_pattern,
    STATE(3308), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3095), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2331), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [112496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2433), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112535] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(889), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(878), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112576] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(282), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(284), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2435), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2433), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112656] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1963), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1969), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112697] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(889), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(878), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(876), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112738] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2463), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2468), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1969), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2429), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2409), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2431), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2429), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2411), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2409), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2450), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [112974] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2474), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2479), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1969), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113015] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2454), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2459), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2461), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113056] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2441), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2446), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2448), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113097] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(282), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(284), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113138] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2423), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2426), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113179] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2415), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2418), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2413), 14,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2452), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2450), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2439), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2437), 17,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [113298] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113366] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113434] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113502] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3131), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2538), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113570] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113638] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3143), 1,
      anon_sym_RBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113706] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113774] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3159), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113842] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3161), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113910] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3163), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [113978] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3165), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114046] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3167), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114114] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114182] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3171), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2596), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114250] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3173), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2551), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114318] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114386] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2557), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114454] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114522] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2570), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114590] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2523), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114658] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3185), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2524), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114726] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3187), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114794] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3189), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114862] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3191), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2578), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114930] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3193), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [114998] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3195), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2580), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115066] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3197), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2556), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115134] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115202] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3201), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115270] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115338] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115406] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115474] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3209), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2501), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115542] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3211), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115610] = 18,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3213), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2609), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115678] = 18,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3215), 1,
      anon_sym_RBRACK,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115746] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3079), 1,
      sym_identifier,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_STAR,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2615), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3095), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2331), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115811] = 17,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3135), 1,
      sym_identifier,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    STATE(2670), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2667), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3149), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2381), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115876] = 17,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3105), 1,
      sym_identifier,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    STATE(2679), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2720), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3119), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [115941] = 17,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(3217), 1,
      sym_identifier,
    ACTIONS(3219), 1,
      anon_sym_LPAREN,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3227), 1,
      anon_sym_DASH,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      sym_integer,
    ACTIONS(3235), 1,
      sym_float,
    STATE(2216), 1,
      sym_string,
    STATE(2424), 1,
      sym_dotted_name,
    STATE(2958), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2689), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3229), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2423), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116006] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3079), 1,
      sym_identifier,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_STAR,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2329), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2514), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(3095), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2331), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116071] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3241), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116137] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2432), 1,
      sym_splat_pattern,
    STATE(2908), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116203] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116269] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3247), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116335] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3249), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2476), 1,
      sym_splat_pattern,
    STATE(2857), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116401] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3251), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2430), 1,
      sym_splat_pattern,
    STATE(2754), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116467] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3253), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116533] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3255), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116599] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3257), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116665] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3259), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116731] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3261), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116797] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3263), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116863] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3265), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116929] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3267), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [116995] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3269), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117061] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3271), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117127] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3273), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117193] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3275), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117259] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3277), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117325] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3279), 1,
      anon_sym_RBRACE,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2434), 1,
      sym_splat_pattern,
    STATE(2762), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117391] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3237), 1,
      sym_identifier,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    STATE(2529), 1,
      sym_splat_pattern,
    STATE(3000), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3239), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2905), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117454] = 15,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(3219), 1,
      anon_sym_LPAREN,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3227), 1,
      anon_sym_DASH,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      sym_integer,
    ACTIONS(3235), 1,
      sym_float,
    ACTIONS(3281), 1,
      sym_identifier,
    STATE(2216), 1,
      sym_string,
    STATE(2424), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3283), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2395), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117512] = 15,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3285), 1,
      sym_identifier,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3287), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2405), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117570] = 15,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3289), 1,
      sym_identifier,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3291), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2474), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117628] = 15,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3107), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_STAR,
    ACTIONS(3113), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3117), 1,
      anon_sym_DASH,
    ACTIONS(3121), 1,
      anon_sym_LBRACE,
    ACTIONS(3123), 1,
      sym_integer,
    ACTIONS(3125), 1,
      sym_float,
    ACTIONS(3285), 1,
      sym_identifier,
    STATE(2258), 1,
      sym_string,
    STATE(2448), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3293), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2382), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117686] = 15,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_STAR,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3237), 1,
      sym_identifier,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3295), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2278), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117744] = 15,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(3219), 1,
      anon_sym_LPAREN,
    ACTIONS(3221), 1,
      anon_sym_STAR,
    ACTIONS(3223), 1,
      anon_sym_LBRACK,
    ACTIONS(3225), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3227), 1,
      anon_sym_DASH,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      sym_integer,
    ACTIONS(3235), 1,
      sym_float,
    ACTIONS(3281), 1,
      sym_identifier,
    STATE(2216), 1,
      sym_string,
    STATE(2424), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3297), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2398), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117802] = 15,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3081), 1,
      anon_sym_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_STAR,
    ACTIONS(3089), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3093), 1,
      anon_sym_DASH,
    ACTIONS(3097), 1,
      anon_sym_LBRACE,
    ACTIONS(3099), 1,
      sym_integer,
    ACTIONS(3101), 1,
      sym_float,
    ACTIONS(3237), 1,
      sym_identifier,
    STATE(2204), 1,
      sym_string,
    STATE(2328), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3299), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2289), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117860] = 15,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3137), 1,
      anon_sym_LPAREN,
    ACTIONS(3139), 1,
      anon_sym_STAR,
    ACTIONS(3141), 1,
      anon_sym_LBRACK,
    ACTIONS(3145), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3147), 1,
      anon_sym_DASH,
    ACTIONS(3151), 1,
      anon_sym_LBRACE,
    ACTIONS(3153), 1,
      sym_integer,
    ACTIONS(3155), 1,
      sym_float,
    ACTIONS(3289), 1,
      sym_identifier,
    STATE(2218), 1,
      sym_string,
    STATE(2490), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3301), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2497), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [117918] = 8,
    ACTIONS(3308), 1,
      anon_sym_EQ,
    ACTIONS(3310), 1,
      anon_sym_not,
    ACTIONS(3316), 1,
      anon_sym_is,
    STATE(1932), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3313), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3305), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [117960] = 8,
    ACTIONS(2625), 1,
      anon_sym_not,
    ACTIONS(2633), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_EQ,
    STATE(1932), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2631), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2611), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [118002] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2461), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(2454), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118034] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118066] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2448), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(2441), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118098] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118130] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(2463), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118162] = 8,
    ACTIONS(3308), 1,
      anon_sym_EQ,
    ACTIONS(3326), 1,
      anon_sym_not,
    ACTIONS(3332), 1,
      anon_sym_is,
    STATE(1939), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3329), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3323), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [118202] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118234] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118266] = 8,
    ACTIONS(2884), 1,
      anon_sym_not,
    ACTIONS(2892), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_EQ,
    STATE(1939), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2890), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2872), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [118306] = 8,
    ACTIONS(3308), 1,
      anon_sym_EQ,
    ACTIONS(3338), 1,
      anon_sym_not,
    ACTIONS(3344), 1,
      anon_sym_is,
    STATE(1943), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3341), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3335), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [118346] = 8,
    ACTIONS(2818), 1,
      anon_sym_not,
    ACTIONS(2826), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_EQ,
    STATE(1943), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2824), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2806), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [118386] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3353), 1,
      anon_sym_COLON,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3267), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118437] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118468] = 8,
    ACTIONS(3308), 1,
      anon_sym_EQ,
    ACTIONS(3364), 1,
      anon_sym_not,
    ACTIONS(3370), 1,
      anon_sym_is,
    STATE(1947), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3367), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3361), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [118507] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3373), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3113), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118558] = 8,
    ACTIONS(2784), 1,
      anon_sym_not,
    ACTIONS(2792), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_EQ,
    STATE(1947), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2790), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2772), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [118597] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3375), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3193), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118648] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3377), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3134), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118699] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3379), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3172), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118750] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2461), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(2454), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118781] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3381), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3179), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118832] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3383), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3108), 1,
      sym_lambda_parameters,
    STATE(3112), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118883] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2448), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(2441), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118914] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(2463), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [118945] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3385), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3102), 1,
      sym_lambda_parameters,
    STATE(3112), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [118996] = 7,
    ACTIONS(3390), 1,
      anon_sym_not,
    ACTIONS(3396), 1,
      anon_sym_is,
    STATE(1959), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3393), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3387), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [119033] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3399), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3252), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [119084] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119115] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3401), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3305), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [119166] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119197] = 7,
    ACTIONS(2948), 1,
      anon_sym_not,
    ACTIONS(2956), 1,
      anon_sym_is,
    STATE(1959), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2954), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2936), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [119234] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119265] = 14,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3403), 1,
      anon_sym_COLON,
    STATE(2864), 1,
      sym_parameter,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3112), 1,
      sym__parameters,
    STATE(3223), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [119316] = 8,
    ACTIONS(2747), 1,
      anon_sym_not,
    ACTIONS(2755), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_as,
    STATE(1968), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2753), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2735), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [119355] = 8,
    ACTIONS(3308), 1,
      anon_sym_as,
    ACTIONS(3408), 1,
      anon_sym_not,
    ACTIONS(3414), 1,
      anon_sym_is,
    STATE(1968), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3411), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3405), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [119394] = 8,
    ACTIONS(3308), 1,
      anon_sym_as,
    ACTIONS(3420), 1,
      anon_sym_not,
    ACTIONS(3426), 1,
      anon_sym_is,
    STATE(1969), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3423), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3417), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [119432] = 14,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    ACTIONS(2928), 1,
      anon_sym_DOT,
    ACTIONS(2938), 1,
      anon_sym_LBRACK,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [119482] = 14,
    ACTIONS(2864), 1,
      anon_sym_DOT,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACK,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [119532] = 8,
    ACTIONS(2854), 1,
      anon_sym_not,
    ACTIONS(2862), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_as,
    STATE(1969), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2842), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [119570] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3429), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119600] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3429), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119630] = 14,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    ACTIONS(2898), 1,
      anon_sym_DOT,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [119680] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119710] = 14,
    ACTIONS(2727), 1,
      anon_sym_DOT,
    ACTIONS(2737), 1,
      anon_sym_LBRACK,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [119760] = 13,
    ACTIONS(3431), 1,
      sym_identifier,
    ACTIONS(3433), 1,
      anon_sym_LPAREN,
    ACTIONS(3435), 1,
      anon_sym_RPAREN,
    ACTIONS(3437), 1,
      anon_sym_STAR,
    ACTIONS(3439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3441), 1,
      anon_sym_SLASH,
    STATE(2828), 1,
      sym_tuple_pattern,
    STATE(2830), 1,
      sym_parameter,
    STATE(3294), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2824), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3443), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3071), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [119808] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119838] = 13,
    ACTIONS(3431), 1,
      sym_identifier,
    ACTIONS(3433), 1,
      anon_sym_LPAREN,
    ACTIONS(3437), 1,
      anon_sym_STAR,
    ACTIONS(3439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3441), 1,
      anon_sym_SLASH,
    ACTIONS(3445), 1,
      anon_sym_RPAREN,
    STATE(2828), 1,
      sym_tuple_pattern,
    STATE(2830), 1,
      sym_parameter,
    STATE(3238), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2824), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3443), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3071), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [119886] = 14,
    ACTIONS(2798), 1,
      anon_sym_DOT,
    ACTIONS(2808), 1,
      anon_sym_LBRACK,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [119936] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [119966] = 14,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2774), 1,
      anon_sym_LBRACK,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [120016] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(876), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120046] = 14,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    ACTIONS(2894), 1,
      anon_sym_DOT,
    ACTIONS(2896), 1,
      anon_sym_LBRACK,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [120096] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(876), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120126] = 14,
    ACTIONS(2603), 1,
      anon_sym_DOT,
    ACTIONS(2613), 1,
      anon_sym_LBRACK,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [120176] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120206] = 8,
    ACTIONS(3308), 1,
      anon_sym_as,
    ACTIONS(3450), 1,
      anon_sym_not,
    ACTIONS(3456), 1,
      anon_sym_is,
    STATE(1989), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3453), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3447), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3303), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [120244] = 14,
    ACTIONS(2834), 1,
      anon_sym_DOT,
    ACTIONS(2844), 1,
      anon_sym_LBRACK,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [120294] = 14,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2882), 1,
      anon_sym_PIPE,
    ACTIONS(2886), 1,
      anon_sym_AMP,
    ACTIONS(2888), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_DOT,
    ACTIONS(3461), 1,
      anon_sym_LBRACK,
    STATE(2704), 1,
      sym_parameter_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2870), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2880), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1611), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2878), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [120344] = 8,
    ACTIONS(2918), 1,
      anon_sym_not,
    ACTIONS(2926), 1,
      anon_sym_is,
    ACTIONS(3321), 1,
      anon_sym_as,
    STATE(1989), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2924), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2906), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(3319), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [120382] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120411] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2463), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120440] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120469] = 12,
    ACTIONS(3431), 1,
      sym_identifier,
    ACTIONS(3433), 1,
      anon_sym_LPAREN,
    ACTIONS(3437), 1,
      anon_sym_STAR,
    ACTIONS(3439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3441), 1,
      anon_sym_SLASH,
    ACTIONS(3463), 1,
      anon_sym_RPAREN,
    STATE(2828), 1,
      sym_tuple_pattern,
    STATE(3026), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2824), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3443), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3071), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [120514] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3429), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120543] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2448), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2441), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120572] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2413), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120601] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3429), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120630] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2461), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2454), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120659] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120688] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2413), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120717] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2459), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2461), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2454), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120746] = 12,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3463), 1,
      anon_sym_COLON,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3067), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [120791] = 12,
    ACTIONS(3431), 1,
      sym_identifier,
    ACTIONS(3433), 1,
      anon_sym_LPAREN,
    ACTIONS(3437), 1,
      anon_sym_STAR,
    ACTIONS(3439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3441), 1,
      anon_sym_SLASH,
    ACTIONS(3465), 1,
      anon_sym_RPAREN,
    STATE(2828), 1,
      sym_tuple_pattern,
    STATE(3026), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2824), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3443), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3071), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [120836] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120865] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2479), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2474), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120894] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120923] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1624), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120952] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [120981] = 12,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    ACTIONS(3465), 1,
      anon_sym_COLON,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3067), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [121026] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1963), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1969), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1958), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [121055] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(876), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [121084] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2446), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2448), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2441), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [121113] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(876), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [121142] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2468), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2463), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [121171] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(282), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [121200] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121224] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3467), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121248] = 11,
    ACTIONS(3431), 1,
      sym_identifier,
    ACTIONS(3433), 1,
      anon_sym_LPAREN,
    ACTIONS(3437), 1,
      anon_sym_STAR,
    ACTIONS(3439), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3441), 1,
      anon_sym_SLASH,
    STATE(2828), 1,
      sym_tuple_pattern,
    STATE(3026), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2824), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3443), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3071), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [121290] = 4,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    STATE(2024), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121318] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121342] = 4,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    STATE(2024), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 15,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121394] = 11,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3349), 1,
      anon_sym_LPAREN,
    ACTIONS(3351), 1,
      anon_sym_STAR,
    ACTIONS(3355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3357), 1,
      anon_sym_SLASH,
    STATE(2866), 1,
      sym_tuple_pattern,
    STATE(3067), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3091), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    ACTIONS(3359), 3,
      anon_sym_inout,
      anon_sym_owned,
      anon_sym_borrowed,
    STATE(3086), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [121436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3467), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121528] = 4,
    ACTIONS(3478), 1,
      anon_sym_COMMA,
    STATE(2022), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3482), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3480), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121578] = 4,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    STATE(2034), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121604] = 4,
    ACTIONS(3486), 1,
      anon_sym_COMMA,
    STATE(2034), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121630] = 4,
    ACTIONS(3489), 1,
      anon_sym_COMMA,
    STATE(2033), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121656] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121676] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [121703] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [121722] = 3,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [121743] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3094), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [121784] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3211), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [121825] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [121852] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3119), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [121893] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3225), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [121934] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [121953] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3242), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [121994] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3230), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [122054] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3152), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122095] = 13,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3509), 1,
      anon_sym_COLON,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3341), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122136] = 5,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3527), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [122161] = 4,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [122184] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [122211] = 12,
    ACTIONS(3534), 1,
      anon_sym_RPAREN,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3158), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122249] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3550), 1,
      anon_sym_RPAREN,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2836), 1,
      aux_sym_argument_list_repeat1,
    STATE(3158), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122287] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3554), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3240), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122325] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3556), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3125), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122363] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3558), 1,
      anon_sym_RPAREN,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3245), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122401] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2876), 1,
      aux_sym_argument_list_repeat1,
    STATE(3125), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122439] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3567), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3292), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122477] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3569), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3207), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122515] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3571), 1,
      anon_sym_RPAREN,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2973), 1,
      aux_sym_argument_list_repeat1,
    STATE(3310), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122553] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3575), 1,
      anon_sym_RPAREN,
    ACTIONS(3577), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2805), 1,
      aux_sym_argument_list_repeat1,
    STATE(3107), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122591] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3156), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122629] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3558), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3245), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122667] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3244), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122705] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3122), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122743] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3209), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122781] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3109), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122819] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3593), 1,
      anon_sym_RPAREN,
    ACTIONS(3595), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2663), 1,
      aux_sym_argument_list_repeat1,
    STATE(3292), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122857] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3239), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122895] = 9,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3601), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3597), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3599), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [122927] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    ACTIONS(3605), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2729), 1,
      aux_sym_argument_list_repeat1,
    STATE(3245), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [122965] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    ACTIONS(3609), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2917), 1,
      aux_sym_argument_list_repeat1,
    STATE(3240), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [123003] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3280), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [123041] = 12,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    STATE(2240), 1,
      sym_for_in_clause,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3311), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [123079] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3107), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [123117] = 12,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    STATE(3310), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [123155] = 12,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      sym_for_in_clause,
    STATE(2930), 1,
      aux_sym_argument_list_repeat1,
    STATE(3207), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [123193] = 4,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 8,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3629), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123243] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123268] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3631), 1,
      anon_sym_LBRACE,
    ACTIONS(3637), 1,
      sym__not_escape_sequence,
    ACTIONS(3640), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3634), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3642), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2120), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3644), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2118), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123355] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123380] = 8,
    ACTIONS(3654), 1,
      anon_sym_COMMA,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    STATE(2326), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3660), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [123409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [123426] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3666), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2098), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123480] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [123497] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3668), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123526] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3670), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123555] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3672), 1,
      anon_sym_async,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3674), 2,
      anon_sym_def,
      anon_sym_fn,
    ACTIONS(3676), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(945), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(2186), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [123582] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3678), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2092), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123611] = 5,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3680), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [123651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3683), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123680] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123705] = 4,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123726] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [123743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3689), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2081), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123772] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123797] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [123822] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3691), 1,
      anon_sym_async,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3693), 2,
      anon_sym_def,
      anon_sym_fn,
    ACTIONS(3695), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(1007), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(2186), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [123849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3697), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123878] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3699), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123907] = 8,
    ACTIONS(3654), 1,
      anon_sym_COMMA,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    STATE(2326), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [123936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3703), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2110), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123965] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3705), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [123994] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [124019] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [124036] = 3,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [124055] = 5,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3707), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 7,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [124078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3710), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2093), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [124107] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [124124] = 3,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [124143] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3712), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [124172] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [124197] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3714), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2083), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [124226] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3716), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2106), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [124255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3623), 1,
      anon_sym_LBRACE,
    ACTIONS(3627), 1,
      sym__not_escape_sequence,
    ACTIONS(3718), 1,
      sym_string_end,
    STATE(2224), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3625), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(2107), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [124284] = 6,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [124308] = 3,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [124326] = 4,
    ACTIONS(3724), 1,
      anon_sym_DOT,
    STATE(2159), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [124346] = 5,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3726), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [124368] = 5,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3728), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [124390] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3731), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124414] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124438] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [124462] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3739), 1,
      anon_sym_COMMA,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3743), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2851), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124494] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [124518] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [124542] = 3,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_or,
      sym_type_conversion,
  [124560] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3745), 1,
      anon_sym_COMMA,
    ACTIONS(3747), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2856), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124592] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [124608] = 4,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124628] = 5,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3749), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124650] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124674] = 3,
    ACTIONS(3752), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [124692] = 5,
    ACTIONS(3724), 1,
      anon_sym_DOT,
    ACTIONS(3754), 1,
      anon_sym_EQ,
    STATE(2159), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [124714] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3758), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2872), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124746] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124770] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3760), 1,
      anon_sym_COMMA,
    ACTIONS(3762), 1,
      anon_sym_RBRACK,
    STATE(2653), 1,
      aux_sym_subscript_repeat1,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124802] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [124826] = 9,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3768), 1,
      anon_sym_from,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    STATE(2411), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 2,
      sym__newline,
      anon_sym_SEMI,
  [124856] = 3,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [124874] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3772), 1,
      anon_sym_COMMA,
    ACTIONS(3774), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2913), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124906] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3776), 1,
      anon_sym_COMMA,
    ACTIONS(3778), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2733), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124938] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3780), 1,
      anon_sym_COMMA,
    ACTIONS(3782), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2840), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [124970] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [124986] = 4,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [125006] = 4,
    ACTIONS(3786), 1,
      anon_sym_DOT,
    STATE(2153), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [125026] = 6,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [125050] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3789), 1,
      anon_sym_COMMA,
    ACTIONS(3791), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2796), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [125082] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [125106] = 5,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [125128] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3796), 1,
      anon_sym_COMMA,
    ACTIONS(3798), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2934), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [125160] = 4,
    ACTIONS(3724), 1,
      anon_sym_DOT,
    STATE(2153), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [125180] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [125204] = 6,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [125228] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [125244] = 10,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3802), 1,
      anon_sym_COMMA,
    ACTIONS(3804), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    STATE(2968), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [125276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [125292] = 4,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3806), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [125312] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [125328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [125344] = 3,
    ACTIONS(3806), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [125362] = 4,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3806), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [125381] = 3,
    ACTIONS(3806), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [125398] = 7,
    ACTIONS(1578), 1,
      anon_sym_except_STAR,
    ACTIONS(1588), 1,
      anon_sym_except,
    ACTIONS(3808), 1,
      anon_sym_finally,
    STATE(1075), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(553), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(554), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [125423] = 6,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [125446] = 7,
    ACTIONS(1578), 1,
      anon_sym_except_STAR,
    ACTIONS(1588), 1,
      anon_sym_except,
    ACTIONS(3808), 1,
      anon_sym_finally,
    STATE(1038), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(530), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(538), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [125471] = 5,
    ACTIONS(3810), 1,
      anon_sym_DOT,
    ACTIONS(3812), 1,
      anon_sym_EQ,
    STATE(2223), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [125492] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    STATE(2568), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3814), 2,
      sym__newline,
      anon_sym_SEMI,
  [125519] = 5,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [125540] = 5,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [125561] = 6,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [125584] = 6,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [125607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 8,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [125622] = 6,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3507), 1,
      anon_sym_if,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3820), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [125645] = 5,
    ACTIONS(3822), 1,
      anon_sym_DOT,
    ACTIONS(3824), 1,
      anon_sym_EQ,
    STATE(2248), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [125666] = 7,
    ACTIONS(1568), 1,
      anon_sym_except,
    ACTIONS(1582), 1,
      anon_sym_except_STAR,
    ACTIONS(3826), 1,
      anon_sym_finally,
    STATE(1001), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(531), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    STATE(533), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [125691] = 4,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3806), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [125710] = 5,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [125731] = 4,
    ACTIONS(3830), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2186), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3828), 5,
      anon_sym_async,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_class,
      anon_sym_struct,
  [125750] = 5,
    ACTIONS(3833), 1,
      anon_sym_DOT,
    ACTIONS(3835), 1,
      anon_sym_EQ,
    STATE(2253), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [125771] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    STATE(2411), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3482), 2,
      sym__newline,
      anon_sym_SEMI,
  [125798] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [125821] = 3,
    ACTIONS(3752), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [125838] = 3,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [125855] = 7,
    ACTIONS(1568), 1,
      anon_sym_except,
    ACTIONS(1582), 1,
      anon_sym_except_STAR,
    ACTIONS(3826), 1,
      anon_sym_finally,
    STATE(1046), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(529), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(535), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [125880] = 5,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [125901] = 5,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3726), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [125922] = 5,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [125943] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3839), 1,
      anon_sym_COMMA,
    STATE(2623), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3837), 2,
      sym__newline,
      anon_sym_SEMI,
  [125970] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    STATE(2595), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3841), 2,
      sym__newline,
      anon_sym_SEMI,
  [125997] = 6,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3521), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [126020] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3601), 1,
      anon_sym_COMMA,
    STATE(2634), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3597), 2,
      sym__newline,
      anon_sym_SEMI,
  [126047] = 5,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [126068] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    STATE(2411), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3843), 2,
      sym__newline,
      anon_sym_SEMI,
  [126095] = 5,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [126116] = 5,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [126137] = 4,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3845), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [126156] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    STATE(2411), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 2,
      sym__newline,
      anon_sym_SEMI,
  [126183] = 3,
    ACTIONS(3752), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3523), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [126200] = 6,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3583), 1,
      anon_sym_if,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3532), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [126223] = 3,
    ACTIONS(2617), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2601), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [126240] = 5,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3847), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [126261] = 6,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3540), 1,
      anon_sym_if,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3491), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [126284] = 5,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3726), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [126305] = 5,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3818), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [126326] = 5,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3850), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3525), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [126347] = 3,
    ACTIONS(3806), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3501), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [126364] = 8,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3770), 1,
      anon_sym_COMMA,
    STATE(2411), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3853), 2,
      sym__newline,
      anon_sym_SEMI,
  [126391] = 4,
    ACTIONS(912), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1293), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3845), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [126409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3860), 1,
      sym__not_escape_sequence,
    STATE(2217), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3855), 2,
      sym_string_end,
      anon_sym_LBRACE,
    ACTIONS(3857), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [126431] = 4,
    ACTIONS(980), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1421), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3845), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [126449] = 6,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3863), 1,
      anon_sym_RPAREN,
    ACTIONS(3865), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2233), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126471] = 7,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [126495] = 7,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(3869), 1,
      anon_sym_DOT,
    ACTIONS(3871), 1,
      anon_sym___future__,
    STATE(2534), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2680), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(3274), 2,
      sym_relative_import,
      sym_dotted_name,
  [126519] = 7,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3873), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [126543] = 4,
    ACTIONS(3810), 1,
      anon_sym_DOT,
    STATE(2246), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [126561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3879), 1,
      sym__not_escape_sequence,
    STATE(2217), 1,
      aux_sym_string_content_repeat1,
    ACTIONS(3875), 2,
      sym_string_end,
      anon_sym_LBRACE,
    ACTIONS(3877), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [126583] = 4,
    ACTIONS(3833), 1,
      anon_sym_DOT,
    STATE(2253), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [126601] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2927), 1,
      aux_sym_dictionary_repeat1,
    STATE(3114), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [126627] = 7,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3885), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [126651] = 6,
    ACTIONS(3888), 1,
      anon_sym_if,
    ACTIONS(3891), 1,
      anon_sym_async,
    ACTIONS(3894), 1,
      anon_sym_for,
    ACTIONS(3897), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2228), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3899), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3845), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [126689] = 6,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3901), 1,
      anon_sym_if,
    ACTIONS(3903), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2238), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126711] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3905), 1,
      anon_sym_COMMA,
    ACTIONS(3907), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2892), 1,
      aux_sym_dictionary_repeat1,
    STATE(3095), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [126737] = 6,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3863), 1,
      anon_sym_RBRACE,
    ACTIONS(3901), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2230), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126759] = 6,
    ACTIONS(3542), 1,
      anon_sym_async,
    ACTIONS(3544), 1,
      anon_sym_for,
    ACTIONS(3865), 1,
      anon_sym_if,
    ACTIONS(3903), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2251), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126781] = 5,
    ACTIONS(3581), 1,
      anon_sym_as,
    ACTIONS(3589), 1,
      anon_sym_and,
    ACTIONS(3591), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3909), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [126801] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3911), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [126823] = 8,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3913), 1,
      anon_sym_COMMA,
    ACTIONS(3915), 1,
      anon_sym_COLON,
    STATE(2972), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [126849] = 8,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3917), 1,
      anon_sym_COMMA,
    ACTIONS(3919), 1,
      anon_sym_COLON,
    STATE(2643), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [126875] = 6,
    ACTIONS(3897), 1,
      anon_sym_RBRACE,
    ACTIONS(3921), 1,
      anon_sym_if,
    ACTIONS(3924), 1,
      anon_sym_async,
    ACTIONS(3927), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2238), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126897] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3930), 1,
      anon_sym_COMMA,
    ACTIONS(3932), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2819), 1,
      aux_sym_dictionary_repeat1,
    STATE(3151), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [126923] = 6,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3863), 1,
      anon_sym_RBRACK,
    ACTIONS(3934), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2261), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [126945] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [126967] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3938), 1,
      anon_sym_COMMA,
    ACTIONS(3940), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2929), 1,
      aux_sym_dictionary_repeat1,
    STATE(3228), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [126993] = 8,
    ACTIONS(3701), 1,
      anon_sym_RBRACK,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3942), 1,
      anon_sym_COMMA,
    STATE(2681), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127019] = 5,
    ACTIONS(3505), 1,
      anon_sym_as,
    ACTIONS(3517), 1,
      anon_sym_and,
    ACTIONS(3519), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3909), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [127039] = 8,
    ACTIONS(3944), 1,
      sym_identifier,
    ACTIONS(3946), 1,
      anon_sym_LPAREN,
    ACTIONS(3948), 1,
      anon_sym_STAR,
    STATE(2397), 1,
      sym_dotted_name,
    STATE(2565), 1,
      sym_aliased_import,
    STATE(3039), 1,
      sym_wildcard_import,
    STATE(3040), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127065] = 4,
    ACTIONS(3950), 1,
      anon_sym_DOT,
    STATE(2246), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [127083] = 8,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    STATE(2717), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127109] = 4,
    ACTIONS(3822), 1,
      anon_sym_DOT,
    STATE(2263), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [127127] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3957), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2712), 1,
      aux_sym_dictionary_repeat1,
    STATE(3241), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127153] = 8,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    ACTIONS(3961), 1,
      anon_sym_COMMA,
    STATE(2655), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127179] = 6,
    ACTIONS(3897), 1,
      anon_sym_RPAREN,
    ACTIONS(3963), 1,
      anon_sym_if,
    ACTIONS(3966), 1,
      anon_sym_async,
    ACTIONS(3969), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2251), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [127201] = 5,
    ACTIONS(3538), 1,
      anon_sym_as,
    ACTIONS(3546), 1,
      anon_sym_and,
    ACTIONS(3548), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3909), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [127221] = 4,
    ACTIONS(3833), 1,
      anon_sym_DOT,
    STATE(2259), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [127239] = 7,
    ACTIONS(1678), 1,
      anon_sym_COLON,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [127263] = 4,
    ACTIONS(3810), 1,
      anon_sym_DOT,
    STATE(2223), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [127281] = 4,
    ACTIONS(3822), 1,
      anon_sym_DOT,
    STATE(2248), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [127299] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3972), 1,
      anon_sym_COMMA,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2915), 1,
      aux_sym_dictionary_repeat1,
    STATE(3212), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127325] = 4,
    ACTIONS(1002), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1319), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3845), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [127343] = 4,
    ACTIONS(3976), 1,
      anon_sym_DOT,
    STATE(2259), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [127361] = 8,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    ACTIONS(3605), 1,
      anon_sym_COMMA,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    STATE(2729), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127387] = 6,
    ACTIONS(3585), 1,
      anon_sym_async,
    ACTIONS(3587), 1,
      anon_sym_for,
    ACTIONS(3903), 1,
      anon_sym_RBRACK,
    ACTIONS(3934), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2228), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [127409] = 8,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    STATE(2717), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127435] = 4,
    ACTIONS(3981), 1,
      anon_sym_DOT,
    STATE(2263), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [127453] = 8,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    ACTIONS(3984), 1,
      anon_sym_COLON,
    STATE(2717), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3988), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3986), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [127495] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2974), 1,
      aux_sym_dictionary_repeat1,
    STATE(3344), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127521] = 8,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3953), 1,
      anon_sym_COMMA,
    ACTIONS(3994), 1,
      anon_sym_COLON,
    STATE(2717), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127547] = 8,
    ACTIONS(3511), 1,
      anon_sym_async,
    ACTIONS(3513), 1,
      anon_sym_for,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RBRACE,
    STATE(2232), 1,
      sym_for_in_clause,
    STATE(2860), 1,
      aux_sym_dictionary_repeat1,
    STATE(3121), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [127586] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3731), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [127607] = 4,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    STATE(2368), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3722), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [127624] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [127645] = 7,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4006), 1,
      anon_sym_COMMA,
    ACTIONS(4008), 1,
      anon_sym_as,
    ACTIONS(4010), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127668] = 4,
    ACTIONS(4014), 1,
      anon_sym_PIPE,
    STATE(2274), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [127685] = 7,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    ACTIONS(4019), 1,
      anon_sym_COMMA,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(4023), 1,
      anon_sym_RBRACK,
    ACTIONS(4025), 1,
      anon_sym_PIPE,
    STATE(2755), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127708] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4027), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [127729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [127742] = 3,
    STATE(2379), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [127757] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4029), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [127778] = 6,
    ACTIONS(4033), 1,
      anon_sym_DOT,
    ACTIONS(4035), 1,
      anon_sym_COLON,
    ACTIONS(4037), 1,
      anon_sym_EQ,
    ACTIONS(4039), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4031), 2,
      sym__newline,
      anon_sym_SEMI,
  [127799] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4041), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [127812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4045), 1,
      sym__not_escape_sequence,
    ACTIONS(4043), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [127829] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4047), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [127850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4051), 1,
      sym__not_escape_sequence,
    ACTIONS(4049), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [127867] = 4,
    ACTIONS(4053), 1,
      anon_sym_COMMA,
    STATE(2309), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [127884] = 4,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    STATE(2286), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4058), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [127901] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4060), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [127922] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4062), 2,
      sym__newline,
      anon_sym_SEMI,
  [127943] = 4,
    ACTIONS(4066), 1,
      anon_sym_PIPE,
    STATE(2379), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4064), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [127960] = 7,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_PIPE,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_RBRACK,
    STATE(2739), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [127983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4072), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3986), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [127998] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4004), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128019] = 7,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4008), 1,
      anon_sym_as,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4076), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [128042] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4078), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4082), 1,
      sym__not_escape_sequence,
    ACTIONS(4080), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [128072] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [128093] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4084), 2,
      sym__newline,
      anon_sym_SEMI,
  [128114] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2470), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128140] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4088), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128161] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4090), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128182] = 4,
    ACTIONS(4092), 1,
      anon_sym_COMMA,
    STATE(2286), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4094), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [128199] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4096), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128220] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4047), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128241] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1714), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [128262] = 4,
    ACTIONS(4098), 1,
      anon_sym_COMMA,
    STATE(2339), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4100), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [128279] = 4,
    ACTIONS(4102), 1,
      anon_sym_COMMA,
    STATE(2330), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4104), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [128296] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3820), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [128317] = 4,
    ACTIONS(4106), 1,
      anon_sym_COMMA,
    STATE(2309), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [128334] = 4,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(2310), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [128351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4114), 1,
      sym__not_escape_sequence,
    ACTIONS(4112), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [128368] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [128381] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [128402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4118), 1,
      sym__not_escape_sequence,
    ACTIONS(4116), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [128419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4122), 1,
      sym__not_escape_sequence,
    ACTIONS(4120), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [128436] = 4,
    ACTIONS(4124), 1,
      anon_sym_DOT,
    STATE(2316), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [128453] = 6,
    ACTIONS(4127), 1,
      anon_sym_DOT,
    ACTIONS(4131), 1,
      anon_sym_COLON,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4129), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128474] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4029), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [128495] = 4,
    ACTIONS(4137), 1,
      anon_sym_COMMA,
    STATE(2319), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4058), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [128512] = 4,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    STATE(2362), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4140), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [128529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4144), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4148), 1,
      sym__not_escape_sequence,
    ACTIONS(4146), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [128559] = 4,
    ACTIONS(4150), 1,
      anon_sym_COMMA,
    STATE(2319), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4094), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [128576] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4152), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [128597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128610] = 4,
    ACTIONS(4154), 1,
      anon_sym_COMMA,
    STATE(2310), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1538), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [128627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4041), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128640] = 3,
    ACTIONS(4156), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [128655] = 7,
    ACTIONS(4158), 1,
      anon_sym_COMMA,
    ACTIONS(4160), 1,
      anon_sym_as,
    ACTIONS(4162), 1,
      anon_sym_if,
    ACTIONS(4164), 1,
      anon_sym_COLON,
    STATE(2419), 1,
      aux_sym_case_clause_repeat1,
    STATE(3263), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [128678] = 4,
    ACTIONS(4166), 1,
      anon_sym_COMMA,
    STATE(2339), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4094), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [128695] = 4,
    ACTIONS(4066), 1,
      anon_sym_PIPE,
    STATE(2379), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [128712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4170), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3986), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [128727] = 7,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_PIPE,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    ACTIONS(4174), 1,
      anon_sym_RBRACK,
    STATE(2782), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [128750] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [128771] = 7,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_PIPE,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    ACTIONS(4178), 1,
      anon_sym_RBRACK,
    STATE(2844), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [128794] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [128815] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4144), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128828] = 4,
    ACTIONS(4182), 1,
      anon_sym_COMMA,
    STATE(2286), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4100), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [128845] = 4,
    ACTIONS(4184), 1,
      anon_sym_COMMA,
    STATE(2339), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4058), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [128862] = 4,
    ACTIONS(4187), 1,
      anon_sym_COMMA,
    STATE(2302), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4104), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [128879] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4189), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [128900] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128913] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2470), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128926] = 4,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [128943] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [128956] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4191), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [128969] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [128990] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4180), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [129011] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4189), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [129032] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4088), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [129053] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4090), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [129074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(4195), 1,
      sym__not_escape_sequence,
    ACTIONS(4193), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [129091] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4027), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [129112] = 5,
    ACTIONS(4033), 1,
      anon_sym_DOT,
    ACTIONS(4035), 1,
      anon_sym_COLON,
    ACTIONS(4039), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4197), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [129131] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4191), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129144] = 5,
    ACTIONS(4127), 1,
      anon_sym_DOT,
    ACTIONS(4131), 1,
      anon_sym_COLON,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4197), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [129163] = 4,
    ACTIONS(4199), 1,
      anon_sym_COMMA,
    STATE(2323), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4104), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [129180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4201), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3845), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [129195] = 6,
    ACTIONS(3720), 1,
      anon_sym_and,
    ACTIONS(3733), 1,
      anon_sym_as,
    ACTIONS(3735), 1,
      anon_sym_if,
    ACTIONS(3737), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [129216] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4078), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129242] = 4,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    STATE(2319), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4100), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [129259] = 4,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(2306), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4140), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [129276] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4027), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [129297] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3731), 2,
      sym__newline,
      anon_sym_SEMI,
  [129318] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [129339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129352] = 4,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    STATE(2316), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [129369] = 6,
    ACTIONS(3619), 1,
      anon_sym_and,
    ACTIONS(3621), 1,
      anon_sym_or,
    ACTIONS(3685), 1,
      anon_sym_as,
    ACTIONS(3687), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3731), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [129390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4078), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4207), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3845), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [129418] = 6,
    ACTIONS(3656), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_if,
    ACTIONS(3662), 1,
      anon_sym_and,
    ACTIONS(3664), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4180), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [129439] = 4,
    ACTIONS(4209), 1,
      anon_sym_COMMA,
    STATE(2338), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4140), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [129456] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4211), 6,
      anon_sym_async,
      anon_sym_def,
      anon_sym_fn,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_AT,
  [129469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4144), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4213), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3845), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [129497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4215), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3986), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [129512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4041), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129525] = 4,
    ACTIONS(4066), 1,
      anon_sym_PIPE,
    STATE(2274), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4217), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [129542] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129554] = 4,
    ACTIONS(4219), 1,
      anon_sym_PIPE,
    STATE(2406), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [129570] = 4,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    STATE(2457), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4064), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [129586] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4223), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129606] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4225), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129626] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4227), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [129638] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4191), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129650] = 5,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4231), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4197), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [129668] = 5,
    ACTIONS(4033), 1,
      anon_sym_DOT,
    ACTIONS(4035), 1,
      anon_sym_COLON,
    ACTIONS(4039), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4235), 2,
      sym__newline,
      anon_sym_SEMI,
  [129686] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [129698] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4237), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129718] = 6,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4231), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4239), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129738] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4227), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [129750] = 6,
    ACTIONS(4241), 1,
      anon_sym_LBRACE,
    ACTIONS(4243), 1,
      anon_sym_RBRACE,
    ACTIONS(4245), 1,
      aux_sym_format_specifier_token1,
    STATE(2461), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2648), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [129770] = 4,
    ACTIONS(4247), 1,
      anon_sym_PIPE,
    STATE(2394), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [129786] = 3,
    STATE(2408), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [129800] = 6,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4250), 1,
      anon_sym_LPAREN,
    ACTIONS(4252), 1,
      anon_sym_COLON,
    STATE(2817), 1,
      sym_type_parameter,
    STATE(3155), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129820] = 5,
    ACTIONS(4256), 1,
      anon_sym_COMMA,
    ACTIONS(4258), 1,
      anon_sym_as,
    STATE(2564), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4254), 2,
      sym__newline,
      anon_sym_SEMI,
  [129838] = 4,
    ACTIONS(4260), 1,
      anon_sym_PIPE,
    STATE(2408), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4064), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [129854] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4058), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [129866] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4262), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129886] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4264), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [129898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4266), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [129910] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4268), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [129930] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4270), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [129942] = 3,
    STATE(2457), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [129956] = 4,
    ACTIONS(4219), 1,
      anon_sym_PIPE,
    STATE(2458), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4217), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [129972] = 4,
    ACTIONS(4272), 1,
      anon_sym_PIPE,
    STATE(2407), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [129988] = 4,
    ACTIONS(4260), 1,
      anon_sym_PIPE,
    STATE(2394), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4217), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [130004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4275), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130016] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [130028] = 4,
    ACTIONS(4277), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1538), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [130044] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4279), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [130056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4281), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [130068] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [130080] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4283), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130092] = 6,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4285), 1,
      anon_sym_as,
    ACTIONS(4287), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130112] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4289), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130124] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4291), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130136] = 6,
    ACTIONS(3103), 1,
      anon_sym_COLON,
    ACTIONS(4162), 1,
      anon_sym_if,
    ACTIONS(4293), 1,
      anon_sym_COMMA,
    STATE(2636), 1,
      aux_sym_case_clause_repeat1,
    STATE(3308), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2470), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [130168] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [130180] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4295), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130200] = 4,
    ACTIONS(4260), 1,
      anon_sym_PIPE,
    STATE(2408), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [130216] = 3,
    ACTIONS(4297), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [130230] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4299), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130242] = 5,
    ACTIONS(3944), 1,
      sym_identifier,
    STATE(2539), 1,
      sym_dotted_name,
    STATE(2779), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4301), 2,
      sym__newline,
      anon_sym_SEMI,
  [130260] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4303), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130272] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4305), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130284] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4307), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130296] = 5,
    ACTIONS(4309), 1,
      anon_sym_COMMA,
    ACTIONS(4311), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130314] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3467), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [130326] = 5,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    ACTIONS(4315), 1,
      anon_sym_RBRACE,
    STATE(2962), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [130356] = 5,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    ACTIONS(4319), 1,
      anon_sym_RBRACE,
    STATE(2726), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130374] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4321), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130394] = 6,
    ACTIONS(3944), 1,
      sym_identifier,
    ACTIONS(4323), 1,
      anon_sym_LPAREN,
    STATE(2397), 1,
      sym_dotted_name,
    STATE(2565), 1,
      sym_aliased_import,
    STATE(3046), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [130426] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4325), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4191), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [130458] = 5,
    ACTIONS(3944), 1,
      sym_identifier,
    STATE(2539), 1,
      sym_dotted_name,
    STATE(2779), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4327), 2,
      sym__newline,
      anon_sym_SEMI,
  [130476] = 5,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4197), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [130494] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4329), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130514] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4331), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4000), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [130538] = 5,
    ACTIONS(3944), 1,
      sym_identifier,
    STATE(2539), 1,
      sym_dotted_name,
    STATE(2779), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4301), 2,
      sym__newline,
      anon_sym_SEMI,
  [130556] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3909), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130576] = 6,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4335), 1,
      anon_sym_EQ,
    ACTIONS(4337), 1,
      anon_sym_RBRACE,
    ACTIONS(4339), 1,
      sym_type_conversion,
    STATE(3187), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130596] = 3,
    ACTIONS(4341), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [130610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4343), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4279), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4041), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [130646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4345), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130658] = 4,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    STATE(2457), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [130674] = 4,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    STATE(2483), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1280), 3,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
  [130690] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4349), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130710] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4351), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130722] = 4,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    STATE(2407), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4217), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [130738] = 4,
    ACTIONS(4353), 1,
      anon_sym_PIPE,
    STATE(2458), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [130754] = 6,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4356), 1,
      anon_sym_EQ,
    ACTIONS(4358), 1,
      anon_sym_RBRACE,
    ACTIONS(4360), 1,
      sym_type_conversion,
    STATE(3136), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130774] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [130786] = 6,
    ACTIONS(4362), 1,
      anon_sym_LBRACE,
    ACTIONS(4365), 1,
      anon_sym_RBRACE,
    ACTIONS(4367), 1,
      aux_sym_format_specifier_token1,
    STATE(2461), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2648), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [130806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4370), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130818] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4372), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130830] = 6,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4250), 1,
      anon_sym_LPAREN,
    ACTIONS(4374), 1,
      anon_sym_COLON,
    STATE(2933), 1,
      sym_type_parameter,
    STATE(3234), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130850] = 6,
    ACTIONS(3493), 1,
      anon_sym_as,
    ACTIONS(3495), 1,
      anon_sym_if,
    ACTIONS(3497), 1,
      anon_sym_and,
    ACTIONS(3499), 1,
      anon_sym_or,
    ACTIONS(4376), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130870] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4058), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [130882] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4378), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130894] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4227), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [130906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4281), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [130918] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4380), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [130938] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4281), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [130950] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4382), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [130962] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3784), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [130974] = 4,
    ACTIONS(4219), 1,
      anon_sym_PIPE,
    STATE(2406), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4064), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [130990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4144), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131002] = 5,
    ACTIONS(4384), 1,
      anon_sym_COMMA,
    ACTIONS(4386), 1,
      anon_sym_RBRACE,
    STATE(2870), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [131020] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4388), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [131032] = 5,
    ACTIONS(4127), 1,
      anon_sym_DOT,
    ACTIONS(4131), 1,
      anon_sym_COLON,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4129), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [131050] = 6,
    ACTIONS(4241), 1,
      anon_sym_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_RBRACE,
    ACTIONS(4392), 1,
      aux_sym_format_specifier_token1,
    STATE(2393), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2648), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [131070] = 6,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4285), 1,
      anon_sym_as,
    ACTIONS(4394), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131090] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4396), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [131102] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4398), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131122] = 4,
    ACTIONS(4400), 1,
      anon_sym_COMMA,
    STATE(2483), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 3,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
  [131138] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4403), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131158] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4058), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [131170] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4405), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4407), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [131202] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4409), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131222] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4411), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131242] = 3,
    ACTIONS(4413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131256] = 5,
    ACTIONS(4127), 1,
      anon_sym_DOT,
    ACTIONS(4131), 1,
      anon_sym_COLON,
    ACTIONS(4135), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [131274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2470), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4078), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131298] = 4,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3530), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [131314] = 6,
    ACTIONS(3646), 1,
      anon_sym_as,
    ACTIONS(3648), 1,
      anon_sym_if,
    ACTIONS(3650), 1,
      anon_sym_and,
    ACTIONS(3652), 1,
      anon_sym_or,
    ACTIONS(4417), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4419), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [131346] = 3,
    STATE(2406), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4012), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131360] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131372] = 4,
    ACTIONS(4421), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3764), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [131388] = 5,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    ACTIONS(4021), 1,
      anon_sym_COLON,
    ACTIONS(4025), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4424), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [131406] = 5,
    ACTIONS(4426), 1,
      anon_sym_COMMA,
    ACTIONS(4428), 1,
      anon_sym_as,
    ACTIONS(4430), 1,
      anon_sym_RBRACK,
    STATE(2744), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131423] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2781), 1,
      sym_parameters,
    STATE(3008), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131440] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4279), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131451] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2945), 1,
      sym_parameters,
    STATE(3011), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131468] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(3002), 1,
      sym_type_parameter,
    STATE(3290), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4351), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131496] = 5,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4436), 1,
      anon_sym_RBRACE,
    ACTIONS(4438), 1,
      sym_type_conversion,
    STATE(3182), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4343), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131524] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2815), 1,
      sym_parameters,
    STATE(3018), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131541] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4419), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131552] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4289), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [131563] = 5,
    ACTIONS(4440), 1,
      anon_sym_case,
    ACTIONS(4443), 1,
      sym__dedent,
    STATE(2512), 1,
      aux_sym__match_block_repeat1,
    STATE(3017), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131580] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4396), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131591] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [131602] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2938), 1,
      sym_parameters,
    STATE(3034), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131619] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4382), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131630] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2960), 1,
      sym_parameters,
    STATE(2998), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131647] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4264), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131658] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4396), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131669] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4283), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131680] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2786), 1,
      sym_parameters,
    STATE(3012), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131697] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4289), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131708] = 5,
    ACTIONS(4445), 1,
      anon_sym_RPAREN,
    ACTIONS(4447), 1,
      anon_sym_COMMA,
    ACTIONS(4449), 1,
      anon_sym_as,
    STATE(2863), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131725] = 5,
    ACTIONS(4428), 1,
      anon_sym_as,
    ACTIONS(4451), 1,
      anon_sym_COMMA,
    ACTIONS(4453), 1,
      anon_sym_RBRACK,
    STATE(2865), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131742] = 5,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4455), 1,
      anon_sym_RBRACE,
    ACTIONS(4457), 1,
      sym_type_conversion,
    STATE(3275), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131759] = 5,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4461), 1,
      anon_sym_COLON,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131776] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4270), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131787] = 5,
    ACTIONS(4465), 1,
      anon_sym_case,
    ACTIONS(4467), 1,
      sym__dedent,
    STATE(2512), 1,
      aux_sym__match_block_repeat1,
    STATE(3017), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3845), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(4469), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [131817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4291), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131828] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4382), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4299), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131850] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2947), 1,
      sym_parameters,
    STATE(3013), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131867] = 4,
    ACTIONS(4473), 1,
      anon_sym_DOT,
    STATE(2576), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4471), 2,
      anon_sym_import,
      sym_identifier,
  [131882] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4305), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131893] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4283), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131904] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4307), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131915] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4475), 1,
      anon_sym_RPAREN,
    ACTIONS(4477), 1,
      anon_sym_COMMA,
    STATE(2877), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [131932] = 3,
    ACTIONS(4258), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4479), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [131945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4419), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131956] = 4,
    ACTIONS(4483), 1,
      anon_sym_COMMA,
    STATE(2598), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4481), 2,
      sym__newline,
      anon_sym_SEMI,
  [131971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4289), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [131982] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4331), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [131993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132004] = 5,
    ACTIONS(4254), 1,
      anon_sym_RPAREN,
    ACTIONS(4485), 1,
      anon_sym_COMMA,
    ACTIONS(4487), 1,
      anon_sym_as,
    STATE(2820), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4270), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132032] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4291), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4382), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132054] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4299), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4307), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132076] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4489), 1,
      anon_sym_RPAREN,
    ACTIONS(4491), 1,
      anon_sym_COMMA,
    STATE(2952), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132093] = 4,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    STATE(2637), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4493), 2,
      sym__newline,
      anon_sym_SEMI,
  [132108] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4351), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4378), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132130] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4279), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132141] = 5,
    ACTIONS(4428), 1,
      anon_sym_as,
    ACTIONS(4497), 1,
      anon_sym_COMMA,
    ACTIONS(4499), 1,
      anon_sym_RBRACK,
    STATE(2953), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132158] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4501), 1,
      anon_sym_RPAREN,
    ACTIONS(4503), 1,
      anon_sym_COMMA,
    STATE(2776), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132175] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4378), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4275), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132197] = 5,
    ACTIONS(3944), 1,
      sym_identifier,
    STATE(2397), 1,
      sym_dotted_name,
    STATE(2565), 1,
      sym_aliased_import,
    STATE(3015), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4372), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132225] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4372), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132236] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4370), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132247] = 4,
    ACTIONS(4507), 1,
      anon_sym_COMMA,
    STATE(2574), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4505), 2,
      sym__newline,
      anon_sym_SEMI,
  [132262] = 4,
    ACTIONS(4256), 1,
      anon_sym_COMMA,
    STATE(2569), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4254), 2,
      sym__newline,
      anon_sym_SEMI,
  [132277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4345), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132288] = 5,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4231), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4415), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132305] = 4,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4509), 2,
      sym__newline,
      anon_sym_SEMI,
  [132320] = 4,
    ACTIONS(4511), 1,
      anon_sym_COMMA,
    STATE(2574), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4505), 2,
      sym__newline,
      anon_sym_SEMI,
  [132335] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4513), 1,
      anon_sym_RPAREN,
    ACTIONS(4515), 1,
      anon_sym_COMMA,
    STATE(2745), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132352] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4407), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132363] = 5,
    ACTIONS(4465), 1,
      anon_sym_case,
    ACTIONS(4517), 1,
      sym__dedent,
    STATE(2528), 1,
      aux_sym__match_block_repeat1,
    STATE(3017), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132380] = 4,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    STATE(2637), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4519), 2,
      sym__newline,
      anon_sym_SEMI,
  [132395] = 4,
    ACTIONS(4523), 1,
      anon_sym_COMMA,
    STATE(2574), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4521), 2,
      sym__newline,
      anon_sym_SEMI,
  [132410] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4343), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132421] = 4,
    ACTIONS(4528), 1,
      anon_sym_DOT,
    STATE(2576), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4526), 2,
      anon_sym_import,
      sym_identifier,
  [132436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4266), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132447] = 5,
    ACTIONS(4428), 1,
      anon_sym_as,
    ACTIONS(4531), 1,
      anon_sym_COMMA,
    ACTIONS(4533), 1,
      anon_sym_RBRACK,
    STATE(2763), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132464] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2778), 1,
      sym_parameters,
    STATE(3005), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132481] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4535), 1,
      anon_sym_RPAREN,
    ACTIONS(4537), 1,
      anon_sym_COMMA,
    STATE(2761), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132498] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4264), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132509] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2818), 1,
      sym_parameters,
    STATE(3020), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4370), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132537] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4345), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132548] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4407), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132559] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2687), 1,
      sym_parameters,
    STATE(3019), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4407), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132587] = 5,
    ACTIONS(4539), 1,
      sym_identifier,
    STATE(2545), 1,
      sym_dotted_name,
    STATE(2843), 1,
      sym_aliased_import,
    STATE(3278), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132604] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4351), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132615] = 5,
    ACTIONS(4539), 1,
      sym_identifier,
    STATE(2545), 1,
      sym_dotted_name,
    STATE(2843), 1,
      sym_aliased_import,
    STATE(3316), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132632] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4343), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132643] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4307), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132654] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4388), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132665] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4299), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132676] = 4,
    ACTIONS(3816), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4541), 2,
      sym__newline,
      anon_sym_SEMI,
  [132691] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4543), 1,
      anon_sym_RPAREN,
    ACTIONS(4545), 1,
      anon_sym_COMMA,
    STATE(2702), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4388), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [132719] = 4,
    ACTIONS(4549), 1,
      anon_sym_COMMA,
    STATE(2598), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4547), 2,
      sym__newline,
      anon_sym_SEMI,
  [132734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4291), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132745] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(2982), 1,
      sym_type_parameter,
    STATE(3338), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132762] = 4,
    ACTIONS(4554), 1,
      anon_sym_COLON,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [132777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4305), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132788] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4331), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132799] = 5,
    ACTIONS(4465), 1,
      anon_sym_case,
    ACTIONS(4558), 1,
      sym__dedent,
    STATE(2512), 1,
      aux_sym__match_block_repeat1,
    STATE(3017), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132816] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4303), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132827] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2789), 1,
      sym_parameters,
    STATE(3014), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132844] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4275), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4266), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132866] = 5,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
    ACTIONS(4562), 1,
      anon_sym_COMMA,
    STATE(2955), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132883] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4264), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [132894] = 5,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4231), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4564), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132911] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4305), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132922] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(3029), 1,
      sym_type_parameter,
    STATE(3235), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132939] = 4,
    ACTIONS(4568), 1,
      anon_sym_COMMA,
    STATE(2541), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4566), 2,
      sym__newline,
      anon_sym_SEMI,
  [132954] = 3,
    ACTIONS(4160), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4570), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [132967] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4331), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [132978] = 5,
    ACTIONS(4465), 1,
      anon_sym_case,
    ACTIONS(4572), 1,
      sym__dedent,
    STATE(2604), 1,
      aux_sym__match_block_repeat1,
    STATE(3017), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [132995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4303), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [133006] = 5,
    ACTIONS(4301), 1,
      anon_sym_RPAREN,
    ACTIONS(4539), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_dotted_name,
    STATE(3041), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4574), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [133034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4345), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133045] = 5,
    ACTIONS(4301), 1,
      anon_sym_RPAREN,
    ACTIONS(4539), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_dotted_name,
    STATE(3041), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133062] = 4,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(2598), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4576), 2,
      sym__newline,
      anon_sym_SEMI,
  [133077] = 5,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4231), 1,
      anon_sym_COLON,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4275), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [133105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4266), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [133116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4370), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4372), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133138] = 5,
    ACTIONS(4327), 1,
      anon_sym_RPAREN,
    ACTIONS(4539), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_dotted_name,
    STATE(3041), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4378), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133166] = 4,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    STATE(2552), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4580), 2,
      sym__newline,
      anon_sym_SEMI,
  [133181] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4270), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133192] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4388), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [133203] = 4,
    ACTIONS(4582), 1,
      anon_sym_COMMA,
    STATE(2499), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 2,
      sym__newline,
      anon_sym_SEMI,
  [133218] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(2984), 1,
      sym_type_parameter,
    STATE(3337), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133235] = 4,
    ACTIONS(4584), 1,
      anon_sym_COMMA,
    STATE(2636), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4570), 2,
      anon_sym_if,
      anon_sym_COLON,
  [133250] = 4,
    ACTIONS(4589), 1,
      anon_sym_COMMA,
    STATE(2637), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4587), 2,
      sym__newline,
      anon_sym_SEMI,
  [133265] = 5,
    ACTIONS(1967), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2977), 1,
      sym_parameters,
    STATE(2983), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133282] = 4,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    STATE(2573), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4592), 2,
      sym__newline,
      anon_sym_SEMI,
  [133297] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4396), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4419), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133319] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4283), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [133330] = 4,
    ACTIONS(4594), 1,
      anon_sym_COMMA,
    ACTIONS(4596), 1,
      anon_sym_COLON,
    STATE(2692), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133344] = 4,
    ACTIONS(4598), 1,
      anon_sym_COLON,
    ACTIONS(4600), 1,
      anon_sym_raises,
    ACTIONS(4602), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133358] = 4,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4604), 1,
      anon_sym_RBRACE,
    STATE(3190), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133372] = 4,
    ACTIONS(3944), 1,
      sym_identifier,
    STATE(2539), 1,
      sym_dotted_name,
    STATE(2779), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133386] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4606), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133400] = 3,
    ACTIONS(4610), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4608), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [133412] = 4,
    ACTIONS(4612), 1,
      anon_sym_COMMA,
    ACTIONS(4615), 1,
      anon_sym_RBRACE,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133426] = 4,
    ACTIONS(4617), 1,
      anon_sym_COMMA,
    ACTIONS(4619), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133440] = 4,
    ACTIONS(3471), 1,
      anon_sym_RBRACK,
    ACTIONS(4621), 1,
      anon_sym_COMMA,
    STATE(2651), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133454] = 4,
    ACTIONS(3764), 1,
      anon_sym_RPAREN,
    ACTIONS(4624), 1,
      anon_sym_COMMA,
    STATE(2652), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133468] = 4,
    ACTIONS(4627), 1,
      anon_sym_COMMA,
    ACTIONS(4629), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133482] = 4,
    ACTIONS(1482), 1,
      anon_sym_RBRACK,
    ACTIONS(4631), 1,
      anon_sym_COMMA,
    STATE(2698), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133496] = 4,
    ACTIONS(1538), 1,
      anon_sym_RPAREN,
    ACTIONS(4633), 1,
      anon_sym_COMMA,
    STATE(2652), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133510] = 4,
    ACTIONS(1478), 1,
      anon_sym_RBRACK,
    ACTIONS(4635), 1,
      anon_sym_COMMA,
    STATE(2698), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133524] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4637), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133538] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4639), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133552] = 4,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4587), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [133576] = 4,
    ACTIONS(4643), 1,
      anon_sym_COLON,
    ACTIONS(4645), 1,
      anon_sym_raises,
    ACTIONS(4647), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133590] = 4,
    ACTIONS(4649), 1,
      anon_sym_SEMI,
    ACTIONS(4651), 1,
      sym__newline,
    STATE(2879), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133604] = 4,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    ACTIONS(4653), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133618] = 4,
    ACTIONS(1502), 1,
      anon_sym_RBRACE,
    ACTIONS(4655), 1,
      anon_sym_COMMA,
    STATE(2666), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133632] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4657), 3,
      anon_sym_COLON,
      anon_sym_raises,
      anon_sym_DASH_GT,
  [133642] = 4,
    ACTIONS(4004), 1,
      anon_sym_RBRACE,
    ACTIONS(4659), 1,
      anon_sym_COMMA,
    STATE(2666), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133656] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [133666] = 4,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    STATE(2668), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133680] = 4,
    ACTIONS(3503), 1,
      anon_sym_COMMA,
    ACTIONS(3515), 1,
      anon_sym_RBRACE,
    STATE(2664), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133694] = 3,
    ACTIONS(4428), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4570), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [133706] = 4,
    ACTIONS(1758), 1,
      anon_sym_RPAREN,
    ACTIONS(4667), 1,
      anon_sym_COMMA,
    STATE(2721), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133720] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4574), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [133730] = 4,
    ACTIONS(4570), 1,
      anon_sym_RBRACK,
    ACTIONS(4669), 1,
      anon_sym_COMMA,
    STATE(2673), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133744] = 3,
    ACTIONS(1806), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [133756] = 4,
    ACTIONS(4570), 1,
      anon_sym_RPAREN,
    ACTIONS(4672), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133770] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4574), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [133780] = 4,
    ACTIONS(4675), 1,
      anon_sym_COMMA,
    ACTIONS(4678), 1,
      anon_sym_COLON,
    STATE(2677), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133794] = 4,
    ACTIONS(4680), 1,
      anon_sym_SEMI,
    ACTIONS(4682), 1,
      sym__newline,
    STATE(2700), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133808] = 3,
    ACTIONS(4449), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4570), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [133820] = 4,
    ACTIONS(3237), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_import,
    STATE(3213), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133834] = 4,
    ACTIONS(1538), 1,
      anon_sym_RBRACK,
    ACTIONS(4686), 1,
      anon_sym_COMMA,
    STATE(2685), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133848] = 4,
    ACTIONS(3515), 1,
      anon_sym_RPAREN,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133862] = 4,
    ACTIONS(4688), 1,
      anon_sym_RPAREN,
    ACTIONS(4690), 1,
      anon_sym_COMMA,
    STATE(2946), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133876] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3558), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133890] = 4,
    ACTIONS(3764), 1,
      anon_sym_RBRACK,
    ACTIONS(4692), 1,
      anon_sym_COMMA,
    STATE(2685), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133904] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3567), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133918] = 4,
    ACTIONS(4695), 1,
      anon_sym_COLON,
    ACTIONS(4697), 1,
      anon_sym_raises,
    ACTIONS(4699), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133932] = 3,
    ACTIONS(4193), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4195), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [133944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [133954] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4574), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [133964] = 3,
    ACTIONS(4120), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4122), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [133976] = 4,
    ACTIONS(4701), 1,
      anon_sym_COMMA,
    ACTIONS(4704), 1,
      anon_sym_COLON,
    STATE(2692), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [133990] = 3,
    ACTIONS(4116), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4118), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [134002] = 4,
    ACTIONS(4706), 1,
      sym__newline,
    ACTIONS(4708), 1,
      sym__indent,
    STATE(1080), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134016] = 4,
    ACTIONS(3957), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_RBRACE,
    STATE(2712), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134030] = 3,
    ACTIONS(4112), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4114), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [134042] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2974), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [134052] = 4,
    ACTIONS(4096), 1,
      anon_sym_RBRACK,
    ACTIONS(4710), 1,
      anon_sym_COMMA,
    STATE(2698), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134066] = 4,
    ACTIONS(4004), 1,
      anon_sym_RPAREN,
    ACTIONS(4713), 1,
      anon_sym_COMMA,
    STATE(2699), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134080] = 4,
    ACTIONS(838), 1,
      sym__newline,
    ACTIONS(4716), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134094] = 3,
    ACTIONS(3768), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3766), 2,
      sym__newline,
      anon_sym_SEMI,
  [134106] = 4,
    ACTIONS(3127), 1,
      anon_sym_RPAREN,
    ACTIONS(4718), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134120] = 4,
    ACTIONS(4720), 1,
      sym__newline,
    ACTIONS(4722), 1,
      sym__indent,
    STATE(1087), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134134] = 3,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1620), 2,
      sym_argument_list,
      sym_generator_expression,
  [134146] = 4,
    ACTIONS(4539), 1,
      sym_identifier,
    STATE(2833), 1,
      sym_dotted_name,
    STATE(3041), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134160] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(4724), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134174] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(4726), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134188] = 3,
    ACTIONS(4080), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4082), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [134200] = 3,
    ACTIONS(4049), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4051), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [134212] = 3,
    ACTIONS(4043), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4045), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [134224] = 4,
    ACTIONS(4706), 1,
      sym__newline,
    ACTIONS(4708), 1,
      sym__indent,
    STATE(906), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134238] = 4,
    ACTIONS(1620), 1,
      anon_sym_RBRACE,
    ACTIONS(4728), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134252] = 3,
    ACTIONS(1790), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [134264] = 4,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
    ACTIONS(4730), 1,
      anon_sym_COMMA,
    STATE(2714), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134278] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2958), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [134288] = 4,
    ACTIONS(4706), 1,
      sym__newline,
    ACTIONS(4708), 1,
      sym__indent,
    STATE(902), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134302] = 4,
    ACTIONS(1538), 1,
      anon_sym_COLON,
    ACTIONS(4733), 1,
      anon_sym_COMMA,
    STATE(2727), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134316] = 4,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    ACTIONS(3605), 1,
      anon_sym_COMMA,
    STATE(2729), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134330] = 4,
    ACTIONS(4735), 1,
      anon_sym_RPAREN,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    STATE(2731), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4168), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [134354] = 4,
    ACTIONS(4665), 1,
      anon_sym_RPAREN,
    ACTIONS(4739), 1,
      anon_sym_COMMA,
    STATE(2721), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134368] = 4,
    ACTIONS(4742), 1,
      anon_sym_COMMA,
    ACTIONS(4744), 1,
      anon_sym_RBRACK,
    STATE(2735), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134382] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4746), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134396] = 4,
    ACTIONS(4720), 1,
      sym__newline,
    ACTIONS(4722), 1,
      sym__indent,
    STATE(879), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134410] = 4,
    ACTIONS(4748), 1,
      anon_sym_COLON,
    ACTIONS(4750), 1,
      anon_sym_raises,
    ACTIONS(4752), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134424] = 4,
    ACTIONS(4754), 1,
      anon_sym_COMMA,
    ACTIONS(4756), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134438] = 4,
    ACTIONS(3764), 1,
      anon_sym_COLON,
    ACTIONS(4758), 1,
      anon_sym_COMMA,
    STATE(2727), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134452] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4761), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134466] = 4,
    ACTIONS(1428), 1,
      anon_sym_RPAREN,
    ACTIONS(4763), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134480] = 4,
    ACTIONS(4765), 1,
      anon_sym_RPAREN,
    ACTIONS(4767), 1,
      anon_sym_COMMA,
    STATE(2659), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134494] = 4,
    ACTIONS(1432), 1,
      anon_sym_RPAREN,
    ACTIONS(4769), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134508] = 4,
    ACTIONS(4771), 1,
      anon_sym_COMMA,
    ACTIONS(4773), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134522] = 4,
    ACTIONS(4775), 1,
      anon_sym_COMMA,
    ACTIONS(4777), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134536] = 4,
    ACTIONS(4004), 1,
      anon_sym_RBRACK,
    ACTIONS(4779), 1,
      anon_sym_COMMA,
    STATE(2734), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134550] = 4,
    ACTIONS(4782), 1,
      anon_sym_COMMA,
    ACTIONS(4784), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134564] = 4,
    ACTIONS(4521), 1,
      anon_sym_RPAREN,
    ACTIONS(4786), 1,
      anon_sym_COMMA,
    STATE(2736), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134578] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4789), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134592] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4791), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134606] = 4,
    ACTIONS(1246), 1,
      anon_sym_RBRACK,
    ACTIONS(4793), 1,
      anon_sym_COMMA,
    STATE(2835), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134620] = 4,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    ACTIONS(4797), 1,
      anon_sym_COLON,
    STATE(2957), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134634] = 3,
    ACTIONS(4146), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4148), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [134646] = 4,
    ACTIONS(3471), 1,
      anon_sym_RPAREN,
    ACTIONS(4799), 1,
      anon_sym_COMMA,
    STATE(2742), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134660] = 3,
    ACTIONS(1810), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [134672] = 4,
    ACTIONS(3201), 1,
      anon_sym_RBRACK,
    ACTIONS(4802), 1,
      anon_sym_COMMA,
    STATE(2673), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134686] = 4,
    ACTIONS(3203), 1,
      anon_sym_RPAREN,
    ACTIONS(4804), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134700] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4806), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134714] = 3,
    ACTIONS(1820), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [134726] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4808), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134740] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4810), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134754] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4812), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134768] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4814), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [134778] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4816), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134792] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4818), 3,
      anon_sym_COLON,
      anon_sym_raises,
      anon_sym_DASH_GT,
  [134802] = 4,
    ACTIONS(4820), 1,
      anon_sym_COMMA,
    ACTIONS(4822), 1,
      anon_sym_RBRACE,
    STATE(2766), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134816] = 4,
    ACTIONS(1196), 1,
      anon_sym_RBRACK,
    ACTIONS(4824), 1,
      anon_sym_COMMA,
    STATE(2835), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134830] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4826), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134844] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4828), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134858] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4830), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134872] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4832), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134886] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4834), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134900] = 4,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(4836), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134914] = 4,
    ACTIONS(4838), 1,
      anon_sym_COMMA,
    ACTIONS(4840), 1,
      anon_sym_RBRACE,
    STATE(2732), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134928] = 4,
    ACTIONS(3163), 1,
      anon_sym_RBRACK,
    ACTIONS(4842), 1,
      anon_sym_COMMA,
    STATE(2673), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134942] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4844), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134956] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4846), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134970] = 4,
    ACTIONS(4848), 1,
      anon_sym_COMMA,
    ACTIONS(4850), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134984] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4852), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [134998] = 4,
    ACTIONS(4854), 1,
      anon_sym_COMMA,
    ACTIONS(4856), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135012] = 4,
    ACTIONS(4096), 1,
      anon_sym_RPAREN,
    ACTIONS(4858), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135026] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4861), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135040] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135054] = 4,
    ACTIONS(4865), 1,
      anon_sym_COLON,
    ACTIONS(4867), 1,
      anon_sym_raises,
    ACTIONS(4869), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135068] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135082] = 4,
    ACTIONS(4873), 1,
      anon_sym_COLON,
    ACTIONS(4875), 1,
      anon_sym_raises,
    ACTIONS(4877), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135096] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4879), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135110] = 4,
    ACTIONS(3205), 1,
      anon_sym_RPAREN,
    ACTIONS(4881), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135124] = 4,
    ACTIONS(4883), 1,
      anon_sym_COMMA,
    ACTIONS(4886), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135138] = 4,
    ACTIONS(4888), 1,
      anon_sym_COLON,
    ACTIONS(4890), 1,
      anon_sym_raises,
    ACTIONS(4892), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135152] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4479), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [135162] = 4,
    ACTIONS(4894), 1,
      anon_sym_COLON,
    ACTIONS(4896), 1,
      anon_sym_raises,
    ACTIONS(4898), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135176] = 4,
    ACTIONS(4900), 1,
      anon_sym_COLON,
    ACTIONS(4902), 1,
      anon_sym_raises,
    ACTIONS(4904), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135190] = 4,
    ACTIONS(1250), 1,
      anon_sym_RBRACK,
    ACTIONS(4906), 1,
      anon_sym_COMMA,
    STATE(2835), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135204] = 4,
    ACTIONS(4908), 1,
      anon_sym_COLON,
    ACTIONS(4910), 1,
      anon_sym_raises,
    ACTIONS(4912), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135218] = 4,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4914), 1,
      anon_sym_RBRACE,
    STATE(3283), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135232] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4916), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135246] = 4,
    ACTIONS(4918), 1,
      anon_sym_COLON,
    ACTIONS(4920), 1,
      anon_sym_raises,
    ACTIONS(4922), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135260] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4924), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135274] = 4,
    ACTIONS(4926), 1,
      anon_sym_SEMI,
    ACTIONS(4928), 1,
      sym__newline,
    STATE(2809), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135288] = 4,
    ACTIONS(4930), 1,
      anon_sym_COLON,
    ACTIONS(4932), 1,
      anon_sym_raises,
    ACTIONS(4934), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135302] = 4,
    ACTIONS(3463), 1,
      anon_sym_RPAREN,
    ACTIONS(4936), 1,
      anon_sym_COMMA,
    STATE(2714), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135316] = 4,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
    STATE(3191), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135330] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4940), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135344] = 4,
    ACTIONS(4942), 1,
      anon_sym_COMMA,
    ACTIONS(4944), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135358] = 4,
    ACTIONS(3534), 1,
      anon_sym_RPAREN,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135372] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4946), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135386] = 4,
    ACTIONS(4948), 1,
      anon_sym_COMMA,
    ACTIONS(4950), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135400] = 4,
    ACTIONS(4952), 1,
      anon_sym_COMMA,
    ACTIONS(4954), 1,
      anon_sym_RBRACK,
    STATE(2650), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135414] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4956), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135428] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4958), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135442] = 4,
    ACTIONS(1380), 1,
      anon_sym_RPAREN,
    ACTIONS(4960), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135456] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4962), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135470] = 4,
    ACTIONS(4964), 1,
      anon_sym_COMMA,
    ACTIONS(4966), 1,
      anon_sym_RBRACK,
    STATE(2654), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135484] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2461), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [135494] = 4,
    ACTIONS(3930), 1,
      anon_sym_COMMA,
    ACTIONS(3932), 1,
      anon_sym_RBRACE,
    STATE(2819), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135508] = 4,
    ACTIONS(1378), 1,
      anon_sym_RPAREN,
    ACTIONS(4968), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135522] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(4970), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135536] = 4,
    ACTIONS(2525), 1,
      anon_sym_RBRACK,
    ACTIONS(4972), 1,
      anon_sym_COMMA,
    STATE(2651), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135550] = 4,
    ACTIONS(4974), 1,
      anon_sym_COMMA,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    STATE(2656), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135564] = 4,
    ACTIONS(860), 1,
      sym__newline,
    ACTIONS(4978), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135578] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [135588] = 4,
    ACTIONS(1502), 1,
      anon_sym_RBRACK,
    ACTIONS(4980), 1,
      anon_sym_COMMA,
    STATE(2734), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135602] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4982), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135616] = 3,
    ACTIONS(2900), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1755), 2,
      sym_argument_list,
      sym_generator_expression,
  [135628] = 4,
    ACTIONS(4984), 1,
      anon_sym_COLON,
    ACTIONS(4986), 1,
      anon_sym_raises,
    ACTIONS(4988), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135642] = 4,
    ACTIONS(4990), 1,
      anon_sym_COLON,
    ACTIONS(4992), 1,
      anon_sym_raises,
    ACTIONS(4994), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135656] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(4996), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135670] = 4,
    ACTIONS(4250), 1,
      anon_sym_LPAREN,
    ACTIONS(4998), 1,
      anon_sym_COLON,
    STATE(3164), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135684] = 4,
    ACTIONS(5000), 1,
      anon_sym_COLON,
    ACTIONS(5002), 1,
      anon_sym_raises,
    ACTIONS(5004), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135698] = 4,
    ACTIONS(1584), 1,
      anon_sym_RBRACE,
    ACTIONS(5006), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135712] = 4,
    ACTIONS(4505), 1,
      anon_sym_RPAREN,
    ACTIONS(5008), 1,
      anon_sym_COMMA,
    STATE(2736), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135726] = 4,
    ACTIONS(4505), 1,
      anon_sym_RPAREN,
    ACTIONS(5010), 1,
      anon_sym_COMMA,
    STATE(2736), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135740] = 3,
    ACTIONS(5014), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5012), 2,
      sym__newline,
      anon_sym_SEMI,
  [135752] = 3,
    ACTIONS(1802), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [135764] = 3,
    ACTIONS(5016), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [135776] = 4,
    ACTIONS(3550), 1,
      anon_sym_RPAREN,
    ACTIONS(3552), 1,
      anon_sym_COMMA,
    STATE(2836), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135790] = 4,
    ACTIONS(5018), 1,
      anon_sym_RPAREN,
    ACTIONS(5020), 1,
      anon_sym_COMMA,
    STATE(2838), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135804] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5022), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135818] = 3,
    ACTIONS(4556), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [135830] = 4,
    ACTIONS(5024), 1,
      anon_sym_COMMA,
    ACTIONS(5026), 1,
      anon_sym_RBRACK,
    STATE(2842), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135844] = 4,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    ACTIONS(5030), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135858] = 4,
    ACTIONS(3593), 1,
      anon_sym_RPAREN,
    ACTIONS(3595), 1,
      anon_sym_COMMA,
    STATE(2663), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135872] = 4,
    ACTIONS(5032), 1,
      anon_sym_COMMA,
    ACTIONS(5034), 1,
      anon_sym_RBRACK,
    STATE(2793), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135886] = 3,
    ACTIONS(4487), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4479), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [135898] = 4,
    ACTIONS(3515), 1,
      anon_sym_RBRACK,
    ACTIONS(3579), 1,
      anon_sym_COMMA,
    STATE(2811), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135912] = 4,
    ACTIONS(4424), 1,
      anon_sym_RBRACK,
    ACTIONS(5036), 1,
      anon_sym_COMMA,
    STATE(2835), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135926] = 4,
    ACTIONS(1468), 1,
      anon_sym_RPAREN,
    ACTIONS(5039), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135940] = 4,
    ACTIONS(4720), 1,
      sym__newline,
    ACTIONS(4722), 1,
      sym__indent,
    STATE(897), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135954] = 4,
    ACTIONS(1472), 1,
      anon_sym_RPAREN,
    ACTIONS(5041), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135968] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5043), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135982] = 4,
    ACTIONS(5045), 1,
      anon_sym_COMMA,
    ACTIONS(5047), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [135996] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5049), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136010] = 4,
    ACTIONS(5051), 1,
      anon_sym_COMMA,
    ACTIONS(5053), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136024] = 4,
    ACTIONS(4254), 1,
      anon_sym_RPAREN,
    ACTIONS(4485), 1,
      anon_sym_COMMA,
    STATE(2821), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136038] = 4,
    ACTIONS(1212), 1,
      anon_sym_RBRACK,
    ACTIONS(5055), 1,
      anon_sym_COMMA,
    STATE(2835), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136052] = 4,
    ACTIONS(4333), 1,
      anon_sym_COLON,
    ACTIONS(5057), 1,
      anon_sym_RBRACE,
    STATE(3184), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136066] = 4,
    ACTIONS(5059), 1,
      anon_sym_COMMA,
    ACTIONS(5061), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136080] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5063), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136094] = 4,
    ACTIONS(5065), 1,
      anon_sym_RPAREN,
    ACTIONS(5067), 1,
      anon_sym_COMMA,
    STATE(2800), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136108] = 4,
    ACTIONS(3575), 1,
      anon_sym_RPAREN,
    ACTIONS(3577), 1,
      anon_sym_COMMA,
    STATE(2805), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136122] = 4,
    ACTIONS(3881), 1,
      anon_sym_COMMA,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    STATE(2927), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136136] = 4,
    ACTIONS(5069), 1,
      anon_sym_COMMA,
    ACTIONS(5071), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136150] = 4,
    ACTIONS(5073), 1,
      anon_sym_COMMA,
    ACTIONS(5075), 1,
      anon_sym_RBRACK,
    STATE(2846), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136164] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5077), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136178] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5079), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136192] = 4,
    ACTIONS(5081), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136206] = 4,
    ACTIONS(5085), 1,
      anon_sym_COMMA,
    ACTIONS(5087), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136220] = 4,
    ACTIONS(5089), 1,
      anon_sym_COMMA,
    ACTIONS(5091), 1,
      anon_sym_RBRACE,
    STATE(2868), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136234] = 3,
    ACTIONS(5093), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [136246] = 4,
    ACTIONS(5095), 1,
      anon_sym_COMMA,
    ACTIONS(5097), 1,
      anon_sym_RBRACK,
    STATE(2855), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136260] = 4,
    ACTIONS(1598), 1,
      anon_sym_RBRACE,
    ACTIONS(5099), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136274] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5101), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136288] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5103), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136302] = 4,
    ACTIONS(3133), 1,
      anon_sym_RPAREN,
    ACTIONS(5105), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136316] = 4,
    ACTIONS(5028), 1,
      anon_sym_COLON,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    STATE(2884), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136330] = 4,
    ACTIONS(3143), 1,
      anon_sym_RBRACK,
    ACTIONS(5109), 1,
      anon_sym_COMMA,
    STATE(2673), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136344] = 3,
    ACTIONS(5093), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [136356] = 4,
    ACTIONS(5111), 1,
      anon_sym_COMMA,
    ACTIONS(5113), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136370] = 4,
    ACTIONS(5115), 1,
      anon_sym_COMMA,
    ACTIONS(5117), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136384] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5119), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136398] = 4,
    ACTIONS(5121), 1,
      anon_sym_COMMA,
    ACTIONS(5123), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136412] = 4,
    ACTIONS(4720), 1,
      sym__newline,
    ACTIONS(4722), 1,
      sym__indent,
    STATE(1017), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136426] = 4,
    ACTIONS(5125), 1,
      anon_sym_COMMA,
    ACTIONS(5127), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136440] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(5129), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136454] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(5131), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136468] = 4,
    ACTIONS(1374), 1,
      anon_sym_RPAREN,
    ACTIONS(5133), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136482] = 4,
    ACTIONS(1418), 1,
      anon_sym_RPAREN,
    ACTIONS(5135), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136496] = 4,
    ACTIONS(3175), 1,
      anon_sym_RPAREN,
    ACTIONS(5137), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136510] = 3,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1707), 2,
      sym_argument_list,
      sym_generator_expression,
  [136522] = 4,
    ACTIONS(840), 1,
      sym__newline,
    ACTIONS(5139), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136536] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5141), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136550] = 4,
    ACTIONS(5143), 1,
      anon_sym_SEMI,
    ACTIONS(5146), 1,
      sym__newline,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136564] = 4,
    ACTIONS(5148), 1,
      anon_sym_COMMA,
    ACTIONS(5150), 1,
      anon_sym_RBRACK,
    STATE(2867), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136578] = 4,
    ACTIONS(844), 1,
      sym__newline,
    ACTIONS(5152), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136592] = 4,
    ACTIONS(3463), 1,
      anon_sym_COLON,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    STATE(2677), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136606] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5156), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136620] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5158), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136634] = 4,
    ACTIONS(5160), 1,
      anon_sym_SEMI,
    ACTIONS(5162), 1,
      sym__newline,
    STATE(2906), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136648] = 4,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    ACTIONS(5166), 1,
      anon_sym_COMMA,
    STATE(2875), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136662] = 4,
    ACTIONS(3996), 1,
      anon_sym_COMMA,
    ACTIONS(3998), 1,
      anon_sym_RBRACE,
    STATE(2860), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136676] = 4,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(2876), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136690] = 4,
    ACTIONS(4688), 1,
      anon_sym_RBRACK,
    ACTIONS(5168), 1,
      anon_sym_COMMA,
    STATE(2807), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136704] = 4,
    ACTIONS(1594), 1,
      anon_sym_RBRACE,
    ACTIONS(5170), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136718] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3569), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136732] = 3,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1812), 2,
      sym_argument_list,
      sym_generator_expression,
  [136744] = 4,
    ACTIONS(830), 1,
      sym__newline,
    ACTIONS(5172), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136758] = 3,
    ACTIONS(2605), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1423), 2,
      sym_argument_list,
      sym_generator_expression,
  [136770] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5174), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136784] = 4,
    ACTIONS(3905), 1,
      anon_sym_COMMA,
    ACTIONS(3907), 1,
      anon_sym_RBRACE,
    STATE(2892), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136798] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5176), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136812] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3556), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136826] = 4,
    ACTIONS(3972), 1,
      anon_sym_COMMA,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    STATE(2915), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136840] = 4,
    ACTIONS(5178), 1,
      anon_sym_SEMI,
    ACTIONS(5180), 1,
      sym__newline,
    STATE(2895), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136854] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5182), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136868] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5184), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136882] = 4,
    ACTIONS(4066), 1,
      anon_sym_PIPE,
    ACTIONS(5186), 1,
      anon_sym_COLON,
    STATE(2379), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136896] = 4,
    ACTIONS(832), 1,
      sym__newline,
    ACTIONS(5188), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136910] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5190), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136924] = 4,
    ACTIONS(5192), 1,
      anon_sym_COMMA,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    STATE(2941), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136938] = 4,
    ACTIONS(5196), 1,
      anon_sym_COLON,
    ACTIONS(5198), 1,
      anon_sym_raises,
    ACTIONS(5200), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136952] = 3,
    ACTIONS(2729), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1580), 2,
      sym_argument_list,
      sym_generator_expression,
  [136964] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5202), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136978] = 4,
    ACTIONS(5204), 1,
      anon_sym_COMMA,
    ACTIONS(5206), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [136992] = 4,
    ACTIONS(5208), 1,
      anon_sym_COMMA,
    ACTIONS(5210), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137006] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2461), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [137016] = 4,
    ACTIONS(1614), 1,
      anon_sym_RBRACE,
    ACTIONS(5212), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137030] = 4,
    ACTIONS(1424), 1,
      anon_sym_RPAREN,
    ACTIONS(5214), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137044] = 4,
    ACTIONS(1426), 1,
      anon_sym_RPAREN,
    ACTIONS(5216), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137058] = 4,
    ACTIONS(5218), 1,
      anon_sym_COLON,
    ACTIONS(5220), 1,
      anon_sym_raises,
    ACTIONS(5222), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137072] = 4,
    ACTIONS(5224), 1,
      anon_sym_COMMA,
    ACTIONS(5226), 1,
      anon_sym_RBRACK,
    STATE(2912), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137086] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5228), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137100] = 4,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    STATE(2930), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137114] = 4,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    ACTIONS(5232), 1,
      anon_sym_COMMA,
    STATE(2932), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137128] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137142] = 4,
    ACTIONS(5234), 1,
      anon_sym_RPAREN,
    ACTIONS(5236), 1,
      anon_sym_COMMA,
    STATE(2916), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137156] = 4,
    ACTIONS(5238), 1,
      anon_sym_COMMA,
    ACTIONS(5240), 1,
      anon_sym_RBRACK,
    STATE(2936), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137170] = 4,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    ACTIONS(3609), 1,
      anon_sym_COMMA,
    STATE(2917), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137184] = 4,
    ACTIONS(1610), 1,
      anon_sym_RBRACE,
    ACTIONS(5242), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137198] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(5244), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137212] = 4,
    ACTIONS(1604), 1,
      anon_sym_RBRACE,
    ACTIONS(5246), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137226] = 4,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    ACTIONS(5248), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137240] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(5250), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137254] = 4,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    ACTIONS(5252), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137268] = 4,
    ACTIONS(4250), 1,
      anon_sym_LPAREN,
    ACTIONS(5254), 1,
      anon_sym_COLON,
    STATE(3336), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137282] = 4,
    ACTIONS(5256), 1,
      anon_sym_COMMA,
    ACTIONS(5258), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137296] = 3,
    ACTIONS(2800), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1637), 2,
      sym_argument_list,
      sym_generator_expression,
  [137308] = 4,
    ACTIONS(5260), 1,
      anon_sym_COMMA,
    ACTIONS(5262), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137322] = 4,
    ACTIONS(5264), 1,
      anon_sym_SEMI,
    ACTIONS(5266), 1,
      sym__newline,
    STATE(2883), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137336] = 4,
    ACTIONS(5268), 1,
      anon_sym_COLON,
    ACTIONS(5270), 1,
      anon_sym_raises,
    ACTIONS(5272), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137350] = 4,
    ACTIONS(842), 1,
      sym__newline,
    ACTIONS(5274), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137364] = 4,
    ACTIONS(1502), 1,
      anon_sym_RPAREN,
    ACTIONS(5276), 1,
      anon_sym_COMMA,
    STATE(2699), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137378] = 4,
    ACTIONS(5278), 1,
      anon_sym_COMMA,
    ACTIONS(5280), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137392] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5282), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137406] = 4,
    ACTIONS(5284), 1,
      anon_sym_COLON,
    ACTIONS(5286), 1,
      anon_sym_raises,
    ACTIONS(5288), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137420] = 4,
    ACTIONS(3938), 1,
      anon_sym_COMMA,
    ACTIONS(3940), 1,
      anon_sym_RBRACE,
    STATE(2929), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137434] = 4,
    ACTIONS(5290), 1,
      anon_sym_COLON,
    ACTIONS(5292), 1,
      anon_sym_raises,
    ACTIONS(5294), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137448] = 4,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    ACTIONS(5296), 1,
      anon_sym_COMMA,
    STATE(2742), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137462] = 4,
    ACTIONS(5298), 1,
      anon_sym_COLON,
    ACTIONS(5300), 1,
      anon_sym_raises,
    ACTIONS(5302), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137476] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3554), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137490] = 4,
    ACTIONS(5304), 1,
      anon_sym_SEMI,
    ACTIONS(5306), 1,
      sym__newline,
    STATE(2966), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137504] = 4,
    ACTIONS(5308), 1,
      anon_sym_SEMI,
    ACTIONS(5310), 1,
      sym__newline,
    STATE(2939), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137518] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5312), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137532] = 4,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    ACTIONS(5314), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137546] = 4,
    ACTIONS(3161), 1,
      anon_sym_RBRACK,
    ACTIONS(5316), 1,
      anon_sym_COMMA,
    STATE(2673), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137560] = 4,
    ACTIONS(3536), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    STATE(2940), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137574] = 4,
    ACTIONS(3207), 1,
      anon_sym_RPAREN,
    ACTIONS(5318), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137588] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5320), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137602] = 4,
    ACTIONS(1762), 1,
      anon_sym_COLON,
    ACTIONS(5322), 1,
      anon_sym_COMMA,
    STATE(2668), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137616] = 3,
    ACTIONS(5326), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5324), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137628] = 4,
    ACTIONS(5328), 1,
      anon_sym_COMMA,
    ACTIONS(5331), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137642] = 4,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      anon_sym_raises,
    ACTIONS(5337), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137656] = 4,
    ACTIONS(3990), 1,
      anon_sym_COMMA,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
    STATE(2974), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137670] = 4,
    ACTIONS(5339), 1,
      anon_sym_COMMA,
    ACTIONS(5341), 1,
      anon_sym_RBRACE,
    STATE(2959), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137684] = 4,
    ACTIONS(5343), 1,
      anon_sym_COLON,
    ACTIONS(5345), 1,
      anon_sym_raises,
    ACTIONS(5347), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137698] = 4,
    ACTIONS(5349), 1,
      anon_sym_COMMA,
    ACTIONS(5351), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137712] = 4,
    ACTIONS(5353), 1,
      anon_sym_RPAREN,
    ACTIONS(5355), 1,
      anon_sym_COMMA,
    STATE(2671), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137726] = 4,
    ACTIONS(852), 1,
      sym__newline,
    ACTIONS(5357), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137740] = 4,
    ACTIONS(4229), 1,
      anon_sym_DOT,
    ACTIONS(4233), 1,
      anon_sym_PIPE,
    ACTIONS(5359), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137754] = 4,
    ACTIONS(5361), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_RBRACK,
    STATE(2777), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137768] = 4,
    ACTIONS(4706), 1,
      sym__newline,
    ACTIONS(4708), 1,
      sym__indent,
    STATE(969), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137782] = 3,
    ACTIONS(2766), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1486), 2,
      sym_argument_list,
      sym_generator_expression,
  [137794] = 4,
    ACTIONS(1446), 1,
      anon_sym_RPAREN,
    ACTIONS(5365), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137808] = 4,
    ACTIONS(5367), 1,
      anon_sym_COMMA,
    ACTIONS(5369), 1,
      anon_sym_COLON,
    STATE(2692), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137822] = 4,
    ACTIONS(1450), 1,
      anon_sym_RPAREN,
    ACTIONS(5371), 1,
      anon_sym_COMMA,
    STATE(2769), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137836] = 4,
    ACTIONS(1560), 1,
      anon_sym_RBRACE,
    ACTIONS(5373), 1,
      anon_sym_COMMA,
    STATE(2649), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137850] = 4,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    ACTIONS(5375), 1,
      anon_sym_in,
    STATE(2454), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137864] = 4,
    ACTIONS(5377), 1,
      anon_sym_COMMA,
    ACTIONS(5379), 1,
      anon_sym_RBRACK,
    STATE(2964), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137878] = 4,
    ACTIONS(5381), 1,
      anon_sym_COLON,
    ACTIONS(5383), 1,
      anon_sym_raises,
    ACTIONS(5385), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137892] = 4,
    ACTIONS(5387), 1,
      anon_sym_RPAREN,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    STATE(2971), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137906] = 4,
    ACTIONS(3571), 1,
      anon_sym_RPAREN,
    ACTIONS(3573), 1,
      anon_sym_COMMA,
    STATE(2973), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137920] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5391), 2,
      sym__dedent,
      anon_sym_case,
  [137929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5393), 2,
      sym__dedent,
      anon_sym_case,
  [137938] = 3,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(3340), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137949] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2943), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137960] = 3,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(3339), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [137971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [137980] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4615), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [137989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1816), 2,
      anon_sym_def,
      anon_sym_fn,
  [137998] = 3,
    ACTIONS(5395), 1,
      sym_identifier,
    ACTIONS(5397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138009] = 3,
    ACTIONS(5399), 1,
      sym_identifier,
    ACTIONS(5401), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138020] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5403), 2,
      sym__newline,
      anon_sym_SEMI,
  [138029] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5405), 2,
      sym__newline,
      anon_sym_SEMI,
  [138038] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5407), 2,
      sym__newline,
      anon_sym_SEMI,
  [138047] = 3,
    ACTIONS(5409), 1,
      sym_identifier,
    ACTIONS(5411), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5413), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138076] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5415), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138085] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138094] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2918), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3597), 2,
      sym__newline,
      anon_sym_SEMI,
  [138114] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5417), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [138123] = 3,
    ACTIONS(5419), 1,
      sym_integer,
    ACTIONS(5421), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138134] = 3,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(3204), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5423), 2,
      sym__dedent,
      anon_sym_case,
  [138154] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138163] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2772), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138174] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5425), 2,
      sym__dedent,
      anon_sym_case,
  [138183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [138192] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2774), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138203] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5427), 2,
      sym__dedent,
      anon_sym_case,
  [138212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5429), 2,
      sym__newline,
      anon_sym_SEMI,
  [138221] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2963), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138232] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2780), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138243] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2661), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138254] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2783), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5431), 2,
      sym__newline,
      anon_sym_SEMI,
  [138274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5433), 2,
      sym__dedent,
      anon_sym_case,
  [138292] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2644), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138303] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2725), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138314] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2814), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138325] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3843), 2,
      sym__newline,
      anon_sym_SEMI,
  [138343] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3853), 2,
      sym__newline,
      anon_sym_SEMI,
  [138352] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5435), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138361] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4096), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4678), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138379] = 3,
    ACTIONS(5437), 1,
      sym_identifier,
    ACTIONS(5439), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4665), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138399] = 3,
    ACTIONS(4434), 1,
      anon_sym_LPAREN,
    STATE(3148), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138410] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4004), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4004), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5415), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138437] = 3,
    ACTIONS(5441), 1,
      sym_integer,
    ACTIONS(5443), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138448] = 3,
    ACTIONS(4432), 1,
      anon_sym_LPAREN,
    STATE(2909), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5413), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138468] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4814), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138477] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5415), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138486] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5413), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5445), 2,
      sym__newline,
      anon_sym_SEMI,
  [138504] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5447), 2,
      sym__newline,
      anon_sym_SEMI,
  [138513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4479), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138522] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5449), 2,
      sym__newline,
      anon_sym_SEMI,
  [138531] = 3,
    ACTIONS(5451), 1,
      sym_integer,
    ACTIONS(5453), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138542] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3471), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138551] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5455), 2,
      sym__dedent,
      anon_sym_case,
  [138560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5457), 2,
      sym__newline,
      anon_sym_SEMI,
  [138569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5459), 2,
      sym__dedent,
      anon_sym_case,
  [138578] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5461), 2,
      anon_sym__,
      sym_identifier,
  [138587] = 3,
    ACTIONS(5463), 1,
      sym_integer,
    ACTIONS(5465), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138598] = 3,
    ACTIONS(5467), 1,
      sym_integer,
    ACTIONS(5469), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138609] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5471), 2,
      sym__dedent,
      anon_sym_case,
  [138618] = 3,
    ACTIONS(5473), 1,
      sym_integer,
    ACTIONS(5475), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138629] = 3,
    ACTIONS(5477), 1,
      sym_integer,
    ACTIONS(5479), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138640] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4096), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5435), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138658] = 3,
    ACTIONS(5481), 1,
      sym_integer,
    ACTIONS(5483), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138669] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5485), 2,
      anon_sym__,
      sym_identifier,
  [138678] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3867), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [138687] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5487), 2,
      sym__newline,
      anon_sym_SEMI,
  [138696] = 3,
    ACTIONS(5489), 1,
      anon_sym_COMMA,
    STATE(2285), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5491), 2,
      sym__newline,
      anon_sym_SEMI,
  [138716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5493), 2,
      sym__dedent,
      anon_sym_case,
  [138725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5495), 2,
      anon_sym__,
      sym_identifier,
  [138734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3467), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5497), 2,
      sym__dedent,
      anon_sym_case,
  [138752] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5499), 2,
      sym__dedent,
      anon_sym_case,
  [138761] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4678), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [138770] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1800), 2,
      sym__dedent,
      anon_sym_case,
  [138779] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1880), 2,
      anon_sym_def,
      anon_sym_fn,
  [138788] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138797] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5501), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138815] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1808), 2,
      sym__dedent,
      anon_sym_case,
  [138824] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1804), 2,
      sym__dedent,
      anon_sym_case,
  [138833] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 2,
      sym__dedent,
      anon_sym_case,
  [138842] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5503), 2,
      sym__newline,
      anon_sym_SEMI,
  [138851] = 3,
    ACTIONS(5505), 1,
      sym_integer,
    ACTIONS(5507), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138862] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5509), 2,
      anon_sym__,
      sym_identifier,
  [138871] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1969), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [138880] = 3,
    ACTIONS(5511), 1,
      sym_integer,
    ACTIONS(5513), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138891] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5515), 2,
      sym__dedent,
      anon_sym_case,
  [138900] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5517), 2,
      sym__newline,
      anon_sym_SEMI,
  [138909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5501), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [138918] = 3,
    ACTIONS(5519), 1,
      sym_integer,
    ACTIONS(5521), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 2,
      sym__dedent,
      anon_sym_case,
  [138938] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [138947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3701), 2,
      sym__newline,
      anon_sym_SEMI,
  [138956] = 3,
    ACTIONS(5523), 1,
      sym_integer,
    ACTIONS(5525), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138967] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(5146), 2,
      sym__newline,
      anon_sym_SEMI,
  [138976] = 3,
    ACTIONS(4461), 1,
      anon_sym_COLON,
    ACTIONS(4463), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [138987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [138996] = 2,
    ACTIONS(5527), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139004] = 2,
    ACTIONS(4791), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139012] = 2,
    ACTIONS(5529), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139020] = 2,
    ACTIONS(5531), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139028] = 2,
    ACTIONS(5533), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139036] = 2,
    ACTIONS(5535), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139044] = 2,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139052] = 2,
    ACTIONS(5537), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139060] = 2,
    ACTIONS(5539), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139068] = 2,
    ACTIONS(5541), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139076] = 2,
    ACTIONS(5543), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139084] = 2,
    ACTIONS(5545), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139092] = 2,
    ACTIONS(5547), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139100] = 2,
    ACTIONS(5549), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139108] = 2,
    ACTIONS(5551), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139116] = 2,
    ACTIONS(5553), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139124] = 2,
    ACTIONS(5555), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139132] = 2,
    ACTIONS(5557), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139140] = 2,
    ACTIONS(5559), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139148] = 2,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139156] = 2,
    ACTIONS(5563), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139164] = 2,
    ACTIONS(5565), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139172] = 2,
    ACTIONS(5567), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139180] = 2,
    ACTIONS(5569), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139188] = 2,
    ACTIONS(5571), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139196] = 2,
    ACTIONS(5573), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139204] = 2,
    ACTIONS(5575), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139212] = 2,
    ACTIONS(5577), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139220] = 2,
    ACTIONS(5579), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139228] = 2,
    ACTIONS(5581), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139236] = 2,
    ACTIONS(5583), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139244] = 2,
    ACTIONS(5585), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139252] = 2,
    ACTIONS(5587), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139260] = 2,
    ACTIONS(5589), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139268] = 2,
    ACTIONS(5591), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139276] = 2,
    ACTIONS(5593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139284] = 2,
    ACTIONS(5595), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139292] = 2,
    ACTIONS(5597), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139300] = 2,
    ACTIONS(3575), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139308] = 2,
    ACTIONS(5599), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139316] = 2,
    ACTIONS(5601), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139324] = 2,
    ACTIONS(3883), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139332] = 2,
    ACTIONS(5603), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139340] = 2,
    ACTIONS(5605), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139348] = 2,
    ACTIONS(5607), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139356] = 2,
    ACTIONS(5609), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139364] = 2,
    ACTIONS(3593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139372] = 2,
    ACTIONS(5611), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139380] = 2,
    ACTIONS(5613), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139388] = 2,
    ACTIONS(5615), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139396] = 2,
    ACTIONS(5617), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139404] = 2,
    ACTIONS(5619), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139412] = 2,
    ACTIONS(3907), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139420] = 2,
    ACTIONS(3550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139428] = 2,
    ACTIONS(5621), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139436] = 2,
    ACTIONS(5623), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139444] = 2,
    ACTIONS(5625), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139452] = 2,
    ACTIONS(5627), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139460] = 2,
    ACTIONS(5629), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139468] = 2,
    ACTIONS(5631), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139476] = 2,
    ACTIONS(5633), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139484] = 2,
    ACTIONS(4976), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139492] = 2,
    ACTIONS(5635), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139500] = 2,
    ACTIONS(5637), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139508] = 2,
    ACTIONS(5639), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139516] = 2,
    ACTIONS(4996), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139524] = 2,
    ACTIONS(5641), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139532] = 2,
    ACTIONS(3984), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139540] = 2,
    ACTIONS(5643), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139548] = 2,
    ACTIONS(5645), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139556] = 2,
    ACTIONS(3571), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139564] = 2,
    ACTIONS(5647), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139572] = 2,
    ACTIONS(5649), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139580] = 2,
    ACTIONS(5651), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139588] = 2,
    ACTIONS(4982), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139596] = 2,
    ACTIONS(5653), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139604] = 2,
    ACTIONS(3994), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139612] = 2,
    ACTIONS(5655), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139620] = 2,
    ACTIONS(5657), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139628] = 2,
    ACTIONS(5659), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139636] = 2,
    ACTIONS(5661), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139644] = 2,
    ACTIONS(5663), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139652] = 2,
    ACTIONS(3974), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139660] = 2,
    ACTIONS(3932), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139668] = 2,
    ACTIONS(5665), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139676] = 2,
    ACTIONS(5667), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139684] = 2,
    ACTIONS(5669), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139692] = 2,
    ACTIONS(5671), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139700] = 2,
    ACTIONS(5673), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139708] = 2,
    ACTIONS(5675), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139716] = 2,
    ACTIONS(5677), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139724] = 2,
    ACTIONS(5679), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139732] = 2,
    ACTIONS(5681), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139740] = 2,
    ACTIONS(5683), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139748] = 2,
    ACTIONS(5685), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139756] = 2,
    ACTIONS(5687), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139764] = 2,
    ACTIONS(5689), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139772] = 2,
    ACTIONS(5691), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139780] = 2,
    ACTIONS(5693), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139788] = 2,
    ACTIONS(5695), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139796] = 2,
    ACTIONS(5697), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139804] = 2,
    ACTIONS(5699), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139812] = 2,
    ACTIONS(5701), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139820] = 2,
    ACTIONS(5703), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139828] = 2,
    ACTIONS(5705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139836] = 2,
    ACTIONS(5707), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139844] = 2,
    ACTIONS(5709), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139852] = 2,
    ACTIONS(5711), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139860] = 2,
    ACTIONS(5713), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139868] = 2,
    ACTIONS(5715), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139876] = 2,
    ACTIONS(5717), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139884] = 2,
    ACTIONS(5719), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139892] = 2,
    ACTIONS(5721), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139900] = 2,
    ACTIONS(5723), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139908] = 2,
    ACTIONS(5725), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139916] = 2,
    ACTIONS(5727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139924] = 2,
    ACTIONS(5729), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139932] = 2,
    ACTIONS(5731), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139940] = 2,
    ACTIONS(5733), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139948] = 2,
    ACTIONS(5735), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139956] = 2,
    ACTIONS(5737), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139964] = 2,
    ACTIONS(5739), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139972] = 2,
    ACTIONS(5741), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139980] = 2,
    ACTIONS(5743), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139988] = 2,
    ACTIONS(4657), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [139996] = 2,
    ACTIONS(5745), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140004] = 2,
    ACTIONS(5747), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140012] = 2,
    ACTIONS(3998), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140020] = 2,
    ACTIONS(5749), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140028] = 2,
    ACTIONS(4789), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140036] = 2,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140044] = 2,
    ACTIONS(5751), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140052] = 2,
    ACTIONS(5753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140060] = 2,
    ACTIONS(5755), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140068] = 2,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140076] = 2,
    ACTIONS(5757), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140084] = 2,
    ACTIONS(5759), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140092] = 2,
    ACTIONS(4746), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140100] = 2,
    ACTIONS(5761), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140108] = 2,
    ACTIONS(4761), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140116] = 2,
    ACTIONS(5763), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140124] = 2,
    ACTIONS(5765), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140132] = 2,
    ACTIONS(5767), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140140] = 2,
    ACTIONS(5769), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140148] = 2,
    ACTIONS(3955), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140156] = 2,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140164] = 2,
    ACTIONS(5771), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140172] = 2,
    ACTIONS(5773), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140180] = 2,
    ACTIONS(5775), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140188] = 2,
    ACTIONS(5777), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140196] = 2,
    ACTIONS(5779), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140204] = 2,
    ACTIONS(5781), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140212] = 2,
    ACTIONS(5783), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140220] = 2,
    ACTIONS(5785), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140228] = 2,
    ACTIONS(5787), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140236] = 2,
    ACTIONS(4818), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140244] = 2,
    ACTIONS(5789), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140252] = 2,
    ACTIONS(5791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140260] = 2,
    ACTIONS(5793), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140268] = 2,
    ACTIONS(5795), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140276] = 2,
    ACTIONS(5797), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140284] = 2,
    ACTIONS(5799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140292] = 2,
    ACTIONS(5801), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140300] = 2,
    ACTIONS(5803), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140308] = 2,
    ACTIONS(5805), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140316] = 2,
    ACTIONS(5807), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140324] = 2,
    ACTIONS(3959), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140332] = 2,
    ACTIONS(5809), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140340] = 2,
    ACTIONS(5811), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140348] = 2,
    ACTIONS(4606), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140356] = 2,
    ACTIONS(5813), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140364] = 2,
    ACTIONS(5815), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140372] = 2,
    ACTIONS(5817), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140380] = 2,
    ACTIONS(5819), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140388] = 2,
    ACTIONS(5821), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140396] = 2,
    ACTIONS(5823), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140404] = 2,
    ACTIONS(5825), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140412] = 2,
    ACTIONS(5827), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140420] = 2,
    ACTIONS(5829), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140428] = 2,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140436] = 2,
    ACTIONS(5833), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140444] = 2,
    ACTIONS(3979), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140452] = 2,
    ACTIONS(5835), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140460] = 2,
    ACTIONS(5837), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140468] = 2,
    ACTIONS(5839), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140476] = 2,
    ACTIONS(5841), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140484] = 2,
    ACTIONS(5843), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140492] = 2,
    ACTIONS(5845), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140500] = 2,
    ACTIONS(5847), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140508] = 2,
    ACTIONS(3940), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140516] = 2,
    ACTIONS(5849), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140524] = 2,
    ACTIONS(5851), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140532] = 2,
    ACTIONS(5853), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140540] = 2,
    ACTIONS(1738), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140548] = 2,
    ACTIONS(5855), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140556] = 2,
    ACTIONS(5857), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140564] = 2,
    ACTIONS(5859), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140572] = 2,
    ACTIONS(5861), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140580] = 2,
    ACTIONS(5863), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140588] = 2,
    ACTIONS(5865), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140596] = 2,
    ACTIONS(5867), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140604] = 2,
    ACTIONS(5869), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140612] = 2,
    ACTIONS(5871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140620] = 2,
    ACTIONS(5873), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140628] = 2,
    ACTIONS(3992), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140636] = 2,
    ACTIONS(5875), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140644] = 2,
    ACTIONS(5877), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140652] = 2,
    ACTIONS(5879), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140660] = 2,
    ACTIONS(5881), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140668] = 2,
    ACTIONS(5883), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140676] = 2,
    ACTIONS(5885), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140684] = 2,
    ACTIONS(5887), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140692] = 2,
    ACTIONS(5889), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140700] = 2,
    ACTIONS(5891), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140708] = 2,
    ACTIONS(5893), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140716] = 2,
    ACTIONS(5895), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140724] = 2,
    ACTIONS(5897), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140732] = 2,
    ACTIONS(5899), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140740] = 2,
    ACTIONS(5901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140748] = 2,
    ACTIONS(5903), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140756] = 2,
    ACTIONS(5905), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140764] = 2,
    ACTIONS(4639), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140772] = 2,
    ACTIONS(5907), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140780] = 2,
    ACTIONS(5909), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140788] = 2,
    ACTIONS(5911), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140796] = 2,
    ACTIONS(4637), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140804] = 2,
    ACTIONS(5913), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140812] = 2,
    ACTIONS(5915), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140820] = 2,
    ACTIONS(5917), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140828] = 2,
    ACTIONS(5919), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140836] = 2,
    ACTIONS(5921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140844] = 2,
    ACTIONS(5923), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140852] = 2,
    ACTIONS(5925), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140860] = 2,
    ACTIONS(5927), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140868] = 2,
    ACTIONS(5929), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140876] = 2,
    ACTIONS(5931), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140884] = 2,
    ACTIONS(5933), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140892] = 2,
    ACTIONS(5935), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140900] = 2,
    ACTIONS(5937), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140908] = 2,
    ACTIONS(5939), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140916] = 2,
    ACTIONS(5941), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140924] = 2,
    ACTIONS(5943), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140932] = 2,
    ACTIONS(5945), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140940] = 2,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140948] = 2,
    ACTIONS(5949), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140956] = 2,
    ACTIONS(5951), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140964] = 2,
    ACTIONS(5953), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140972] = 2,
    ACTIONS(5955), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140980] = 2,
    ACTIONS(5957), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140988] = 2,
    ACTIONS(5959), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [140996] = 2,
    ACTIONS(5375), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [141004] = 2,
    ACTIONS(5961), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [141012] = 2,
    ACTIONS(5963), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [141020] = 2,
    ACTIONS(5965), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [141028] = 2,
    ACTIONS(5967), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(302)] = 0,
  [SMALL_STATE(303)] = 128,
  [SMALL_STATE(304)] = 256,
  [SMALL_STATE(305)] = 384,
  [SMALL_STATE(306)] = 514,
  [SMALL_STATE(307)] = 646,
  [SMALL_STATE(308)] = 774,
  [SMALL_STATE(309)] = 904,
  [SMALL_STATE(310)] = 1032,
  [SMALL_STATE(311)] = 1160,
  [SMALL_STATE(312)] = 1288,
  [SMALL_STATE(313)] = 1418,
  [SMALL_STATE(314)] = 1546,
  [SMALL_STATE(315)] = 1678,
  [SMALL_STATE(316)] = 1806,
  [SMALL_STATE(317)] = 1936,
  [SMALL_STATE(318)] = 2064,
  [SMALL_STATE(319)] = 2194,
  [SMALL_STATE(320)] = 2322,
  [SMALL_STATE(321)] = 2450,
  [SMALL_STATE(322)] = 2578,
  [SMALL_STATE(323)] = 2706,
  [SMALL_STATE(324)] = 2834,
  [SMALL_STATE(325)] = 2962,
  [SMALL_STATE(326)] = 3092,
  [SMALL_STATE(327)] = 3220,
  [SMALL_STATE(328)] = 3348,
  [SMALL_STATE(329)] = 3478,
  [SMALL_STATE(330)] = 3608,
  [SMALL_STATE(331)] = 3733,
  [SMALL_STATE(332)] = 3858,
  [SMALL_STATE(333)] = 3983,
  [SMALL_STATE(334)] = 4108,
  [SMALL_STATE(335)] = 4233,
  [SMALL_STATE(336)] = 4358,
  [SMALL_STATE(337)] = 4483,
  [SMALL_STATE(338)] = 4608,
  [SMALL_STATE(339)] = 4733,
  [SMALL_STATE(340)] = 4858,
  [SMALL_STATE(341)] = 4980,
  [SMALL_STATE(342)] = 5102,
  [SMALL_STATE(343)] = 5220,
  [SMALL_STATE(344)] = 5338,
  [SMALL_STATE(345)] = 5460,
  [SMALL_STATE(346)] = 5578,
  [SMALL_STATE(347)] = 5696,
  [SMALL_STATE(348)] = 5814,
  [SMALL_STATE(349)] = 5936,
  [SMALL_STATE(350)] = 6058,
  [SMALL_STATE(351)] = 6176,
  [SMALL_STATE(352)] = 6298,
  [SMALL_STATE(353)] = 6420,
  [SMALL_STATE(354)] = 6540,
  [SMALL_STATE(355)] = 6662,
  [SMALL_STATE(356)] = 6784,
  [SMALL_STATE(357)] = 6902,
  [SMALL_STATE(358)] = 7022,
  [SMALL_STATE(359)] = 7144,
  [SMALL_STATE(360)] = 7262,
  [SMALL_STATE(361)] = 7377,
  [SMALL_STATE(362)] = 7492,
  [SMALL_STATE(363)] = 7607,
  [SMALL_STATE(364)] = 7722,
  [SMALL_STATE(365)] = 7837,
  [SMALL_STATE(366)] = 7952,
  [SMALL_STATE(367)] = 8067,
  [SMALL_STATE(368)] = 8182,
  [SMALL_STATE(369)] = 8297,
  [SMALL_STATE(370)] = 8412,
  [SMALL_STATE(371)] = 8531,
  [SMALL_STATE(372)] = 8646,
  [SMALL_STATE(373)] = 8761,
  [SMALL_STATE(374)] = 8870,
  [SMALL_STATE(375)] = 8985,
  [SMALL_STATE(376)] = 9100,
  [SMALL_STATE(377)] = 9215,
  [SMALL_STATE(378)] = 9330,
  [SMALL_STATE(379)] = 9445,
  [SMALL_STATE(380)] = 9560,
  [SMALL_STATE(381)] = 9675,
  [SMALL_STATE(382)] = 9790,
  [SMALL_STATE(383)] = 9905,
  [SMALL_STATE(384)] = 10020,
  [SMALL_STATE(385)] = 10135,
  [SMALL_STATE(386)] = 10250,
  [SMALL_STATE(387)] = 10365,
  [SMALL_STATE(388)] = 10480,
  [SMALL_STATE(389)] = 10595,
  [SMALL_STATE(390)] = 10710,
  [SMALL_STATE(391)] = 10825,
  [SMALL_STATE(392)] = 10940,
  [SMALL_STATE(393)] = 11055,
  [SMALL_STATE(394)] = 11174,
  [SMALL_STATE(395)] = 11289,
  [SMALL_STATE(396)] = 11404,
  [SMALL_STATE(397)] = 11519,
  [SMALL_STATE(398)] = 11634,
  [SMALL_STATE(399)] = 11749,
  [SMALL_STATE(400)] = 11864,
  [SMALL_STATE(401)] = 11979,
  [SMALL_STATE(402)] = 12094,
  [SMALL_STATE(403)] = 12213,
  [SMALL_STATE(404)] = 12332,
  [SMALL_STATE(405)] = 12447,
  [SMALL_STATE(406)] = 12562,
  [SMALL_STATE(407)] = 12677,
  [SMALL_STATE(408)] = 12792,
  [SMALL_STATE(409)] = 12907,
  [SMALL_STATE(410)] = 13016,
  [SMALL_STATE(411)] = 13131,
  [SMALL_STATE(412)] = 13246,
  [SMALL_STATE(413)] = 13361,
  [SMALL_STATE(414)] = 13476,
  [SMALL_STATE(415)] = 13591,
  [SMALL_STATE(416)] = 13710,
  [SMALL_STATE(417)] = 13825,
  [SMALL_STATE(418)] = 13944,
  [SMALL_STATE(419)] = 14059,
  [SMALL_STATE(420)] = 14178,
  [SMALL_STATE(421)] = 14293,
  [SMALL_STATE(422)] = 14408,
  [SMALL_STATE(423)] = 14523,
  [SMALL_STATE(424)] = 14638,
  [SMALL_STATE(425)] = 14753,
  [SMALL_STATE(426)] = 14872,
  [SMALL_STATE(427)] = 14991,
  [SMALL_STATE(428)] = 15106,
  [SMALL_STATE(429)] = 15227,
  [SMALL_STATE(430)] = 15342,
  [SMALL_STATE(431)] = 15457,
  [SMALL_STATE(432)] = 15572,
  [SMALL_STATE(433)] = 15687,
  [SMALL_STATE(434)] = 15802,
  [SMALL_STATE(435)] = 15917,
  [SMALL_STATE(436)] = 16032,
  [SMALL_STATE(437)] = 16147,
  [SMALL_STATE(438)] = 16262,
  [SMALL_STATE(439)] = 16377,
  [SMALL_STATE(440)] = 16492,
  [SMALL_STATE(441)] = 16608,
  [SMALL_STATE(442)] = 16724,
  [SMALL_STATE(443)] = 16840,
  [SMALL_STATE(444)] = 16956,
  [SMALL_STATE(445)] = 17076,
  [SMALL_STATE(446)] = 17194,
  [SMALL_STATE(447)] = 17310,
  [SMALL_STATE(448)] = 17426,
  [SMALL_STATE(449)] = 17542,
  [SMALL_STATE(450)] = 17658,
  [SMALL_STATE(451)] = 17774,
  [SMALL_STATE(452)] = 17890,
  [SMALL_STATE(453)] = 18008,
  [SMALL_STATE(454)] = 18124,
  [SMALL_STATE(455)] = 18240,
  [SMALL_STATE(456)] = 18360,
  [SMALL_STATE(457)] = 18476,
  [SMALL_STATE(458)] = 18592,
  [SMALL_STATE(459)] = 18708,
  [SMALL_STATE(460)] = 18824,
  [SMALL_STATE(461)] = 18942,
  [SMALL_STATE(462)] = 19058,
  [SMALL_STATE(463)] = 19174,
  [SMALL_STATE(464)] = 19290,
  [SMALL_STATE(465)] = 19406,
  [SMALL_STATE(466)] = 19522,
  [SMALL_STATE(467)] = 19638,
  [SMALL_STATE(468)] = 19756,
  [SMALL_STATE(469)] = 19872,
  [SMALL_STATE(470)] = 19992,
  [SMALL_STATE(471)] = 20108,
  [SMALL_STATE(472)] = 20224,
  [SMALL_STATE(473)] = 20340,
  [SMALL_STATE(474)] = 20456,
  [SMALL_STATE(475)] = 20574,
  [SMALL_STATE(476)] = 20690,
  [SMALL_STATE(477)] = 20806,
  [SMALL_STATE(478)] = 20926,
  [SMALL_STATE(479)] = 21044,
  [SMALL_STATE(480)] = 21160,
  [SMALL_STATE(481)] = 21280,
  [SMALL_STATE(482)] = 21396,
  [SMALL_STATE(483)] = 21514,
  [SMALL_STATE(484)] = 21630,
  [SMALL_STATE(485)] = 21746,
  [SMALL_STATE(486)] = 21862,
  [SMALL_STATE(487)] = 21978,
  [SMALL_STATE(488)] = 22094,
  [SMALL_STATE(489)] = 22210,
  [SMALL_STATE(490)] = 22326,
  [SMALL_STATE(491)] = 22442,
  [SMALL_STATE(492)] = 22562,
  [SMALL_STATE(493)] = 22678,
  [SMALL_STATE(494)] = 22794,
  [SMALL_STATE(495)] = 22910,
  [SMALL_STATE(496)] = 23026,
  [SMALL_STATE(497)] = 23142,
  [SMALL_STATE(498)] = 23260,
  [SMALL_STATE(499)] = 23373,
  [SMALL_STATE(500)] = 23486,
  [SMALL_STATE(501)] = 23599,
  [SMALL_STATE(502)] = 23712,
  [SMALL_STATE(503)] = 23825,
  [SMALL_STATE(504)] = 23932,
  [SMALL_STATE(505)] = 24045,
  [SMALL_STATE(506)] = 24152,
  [SMALL_STATE(507)] = 24265,
  [SMALL_STATE(508)] = 24378,
  [SMALL_STATE(509)] = 24491,
  [SMALL_STATE(510)] = 24604,
  [SMALL_STATE(511)] = 24717,
  [SMALL_STATE(512)] = 24826,
  [SMALL_STATE(513)] = 24939,
  [SMALL_STATE(514)] = 25048,
  [SMALL_STATE(515)] = 25161,
  [SMALL_STATE(516)] = 25262,
  [SMALL_STATE(517)] = 25375,
  [SMALL_STATE(518)] = 25488,
  [SMALL_STATE(519)] = 25601,
  [SMALL_STATE(520)] = 25714,
  [SMALL_STATE(521)] = 25827,
  [SMALL_STATE(522)] = 25940,
  [SMALL_STATE(523)] = 26053,
  [SMALL_STATE(524)] = 26165,
  [SMALL_STATE(525)] = 26277,
  [SMALL_STATE(526)] = 26389,
  [SMALL_STATE(527)] = 26501,
  [SMALL_STATE(528)] = 26613,
  [SMALL_STATE(529)] = 26723,
  [SMALL_STATE(530)] = 26799,
  [SMALL_STATE(531)] = 26875,
  [SMALL_STATE(532)] = 26951,
  [SMALL_STATE(533)] = 27063,
  [SMALL_STATE(534)] = 27139,
  [SMALL_STATE(535)] = 27249,
  [SMALL_STATE(536)] = 27325,
  [SMALL_STATE(537)] = 27435,
  [SMALL_STATE(538)] = 27537,
  [SMALL_STATE(539)] = 27613,
  [SMALL_STATE(540)] = 27725,
  [SMALL_STATE(541)] = 27837,
  [SMALL_STATE(542)] = 27949,
  [SMALL_STATE(543)] = 28061,
  [SMALL_STATE(544)] = 28173,
  [SMALL_STATE(545)] = 28285,
  [SMALL_STATE(546)] = 28397,
  [SMALL_STATE(547)] = 28509,
  [SMALL_STATE(548)] = 28621,
  [SMALL_STATE(549)] = 28733,
  [SMALL_STATE(550)] = 28845,
  [SMALL_STATE(551)] = 28957,
  [SMALL_STATE(552)] = 29069,
  [SMALL_STATE(553)] = 29181,
  [SMALL_STATE(554)] = 29257,
  [SMALL_STATE(555)] = 29333,
  [SMALL_STATE(556)] = 29444,
  [SMALL_STATE(557)] = 29543,
  [SMALL_STATE(558)] = 29652,
  [SMALL_STATE(559)] = 29763,
  [SMALL_STATE(560)] = 29874,
  [SMALL_STATE(561)] = 29985,
  [SMALL_STATE(562)] = 30096,
  [SMALL_STATE(563)] = 30207,
  [SMALL_STATE(564)] = 30318,
  [SMALL_STATE(565)] = 30429,
  [SMALL_STATE(566)] = 30528,
  [SMALL_STATE(567)] = 30639,
  [SMALL_STATE(568)] = 30750,
  [SMALL_STATE(569)] = 30861,
  [SMALL_STATE(570)] = 30970,
  [SMALL_STATE(571)] = 31081,
  [SMALL_STATE(572)] = 31192,
  [SMALL_STATE(573)] = 31303,
  [SMALL_STATE(574)] = 31414,
  [SMALL_STATE(575)] = 31523,
  [SMALL_STATE(576)] = 31634,
  [SMALL_STATE(577)] = 31745,
  [SMALL_STATE(578)] = 31856,
  [SMALL_STATE(579)] = 31967,
  [SMALL_STATE(580)] = 32078,
  [SMALL_STATE(581)] = 32189,
  [SMALL_STATE(582)] = 32300,
  [SMALL_STATE(583)] = 32409,
  [SMALL_STATE(584)] = 32520,
  [SMALL_STATE(585)] = 32631,
  [SMALL_STATE(586)] = 32742,
  [SMALL_STATE(587)] = 32853,
  [SMALL_STATE(588)] = 32962,
  [SMALL_STATE(589)] = 33073,
  [SMALL_STATE(590)] = 33182,
  [SMALL_STATE(591)] = 33293,
  [SMALL_STATE(592)] = 33404,
  [SMALL_STATE(593)] = 33515,
  [SMALL_STATE(594)] = 33623,
  [SMALL_STATE(595)] = 33729,
  [SMALL_STATE(596)] = 33835,
  [SMALL_STATE(597)] = 33933,
  [SMALL_STATE(598)] = 34039,
  [SMALL_STATE(599)] = 34145,
  [SMALL_STATE(600)] = 34251,
  [SMALL_STATE(601)] = 34359,
  [SMALL_STATE(602)] = 34431,
  [SMALL_STATE(603)] = 34537,
  [SMALL_STATE(604)] = 34643,
  [SMALL_STATE(605)] = 34749,
  [SMALL_STATE(606)] = 34821,
  [SMALL_STATE(607)] = 34927,
  [SMALL_STATE(608)] = 34999,
  [SMALL_STATE(609)] = 35107,
  [SMALL_STATE(610)] = 35213,
  [SMALL_STATE(611)] = 35319,
  [SMALL_STATE(612)] = 35385,
  [SMALL_STATE(613)] = 35451,
  [SMALL_STATE(614)] = 35557,
  [SMALL_STATE(615)] = 35663,
  [SMALL_STATE(616)] = 35735,
  [SMALL_STATE(617)] = 35807,
  [SMALL_STATE(618)] = 35913,
  [SMALL_STATE(619)] = 35985,
  [SMALL_STATE(620)] = 36093,
  [SMALL_STATE(621)] = 36191,
  [SMALL_STATE(622)] = 36297,
  [SMALL_STATE(623)] = 36403,
  [SMALL_STATE(624)] = 36511,
  [SMALL_STATE(625)] = 36617,
  [SMALL_STATE(626)] = 36683,
  [SMALL_STATE(627)] = 36749,
  [SMALL_STATE(628)] = 36855,
  [SMALL_STATE(629)] = 36963,
  [SMALL_STATE(630)] = 37069,
  [SMALL_STATE(631)] = 37141,
  [SMALL_STATE(632)] = 37239,
  [SMALL_STATE(633)] = 37345,
  [SMALL_STATE(634)] = 37451,
  [SMALL_STATE(635)] = 37557,
  [SMALL_STATE(636)] = 37663,
  [SMALL_STATE(637)] = 37771,
  [SMALL_STATE(638)] = 37877,
  [SMALL_STATE(639)] = 37949,
  [SMALL_STATE(640)] = 38055,
  [SMALL_STATE(641)] = 38161,
  [SMALL_STATE(642)] = 38267,
  [SMALL_STATE(643)] = 38373,
  [SMALL_STATE(644)] = 38481,
  [SMALL_STATE(645)] = 38589,
  [SMALL_STATE(646)] = 38687,
  [SMALL_STATE(647)] = 38792,
  [SMALL_STATE(648)] = 38859,
  [SMALL_STATE(649)] = 38964,
  [SMALL_STATE(650)] = 39069,
  [SMALL_STATE(651)] = 39174,
  [SMALL_STATE(652)] = 39241,
  [SMALL_STATE(653)] = 39346,
  [SMALL_STATE(654)] = 39451,
  [SMALL_STATE(655)] = 39556,
  [SMALL_STATE(656)] = 39661,
  [SMALL_STATE(657)] = 39766,
  [SMALL_STATE(658)] = 39871,
  [SMALL_STATE(659)] = 39976,
  [SMALL_STATE(660)] = 40081,
  [SMALL_STATE(661)] = 40186,
  [SMALL_STATE(662)] = 40291,
  [SMALL_STATE(663)] = 40396,
  [SMALL_STATE(664)] = 40456,
  [SMALL_STATE(665)] = 40516,
  [SMALL_STATE(666)] = 40618,
  [SMALL_STATE(667)] = 40720,
  [SMALL_STATE(668)] = 40822,
  [SMALL_STATE(669)] = 40882,
  [SMALL_STATE(670)] = 40984,
  [SMALL_STATE(671)] = 41086,
  [SMALL_STATE(672)] = 41188,
  [SMALL_STATE(673)] = 41290,
  [SMALL_STATE(674)] = 41392,
  [SMALL_STATE(675)] = 41494,
  [SMALL_STATE(676)] = 41596,
  [SMALL_STATE(677)] = 41656,
  [SMALL_STATE(678)] = 41758,
  [SMALL_STATE(679)] = 41860,
  [SMALL_STATE(680)] = 41962,
  [SMALL_STATE(681)] = 42064,
  [SMALL_STATE(682)] = 42166,
  [SMALL_STATE(683)] = 42268,
  [SMALL_STATE(684)] = 42370,
  [SMALL_STATE(685)] = 42472,
  [SMALL_STATE(686)] = 42574,
  [SMALL_STATE(687)] = 42676,
  [SMALL_STATE(688)] = 42736,
  [SMALL_STATE(689)] = 42838,
  [SMALL_STATE(690)] = 42940,
  [SMALL_STATE(691)] = 43042,
  [SMALL_STATE(692)] = 43144,
  [SMALL_STATE(693)] = 43204,
  [SMALL_STATE(694)] = 43306,
  [SMALL_STATE(695)] = 43408,
  [SMALL_STATE(696)] = 43468,
  [SMALL_STATE(697)] = 43570,
  [SMALL_STATE(698)] = 43672,
  [SMALL_STATE(699)] = 43744,
  [SMALL_STATE(700)] = 43846,
  [SMALL_STATE(701)] = 43906,
  [SMALL_STATE(702)] = 43966,
  [SMALL_STATE(703)] = 44026,
  [SMALL_STATE(704)] = 44128,
  [SMALL_STATE(705)] = 44230,
  [SMALL_STATE(706)] = 44290,
  [SMALL_STATE(707)] = 44350,
  [SMALL_STATE(708)] = 44452,
  [SMALL_STATE(709)] = 44512,
  [SMALL_STATE(710)] = 44572,
  [SMALL_STATE(711)] = 44674,
  [SMALL_STATE(712)] = 44734,
  [SMALL_STATE(713)] = 44836,
  [SMALL_STATE(714)] = 44938,
  [SMALL_STATE(715)] = 44998,
  [SMALL_STATE(716)] = 45100,
  [SMALL_STATE(717)] = 45202,
  [SMALL_STATE(718)] = 45304,
  [SMALL_STATE(719)] = 45364,
  [SMALL_STATE(720)] = 45424,
  [SMALL_STATE(721)] = 45526,
  [SMALL_STATE(722)] = 45628,
  [SMALL_STATE(723)] = 45730,
  [SMALL_STATE(724)] = 45832,
  [SMALL_STATE(725)] = 45934,
  [SMALL_STATE(726)] = 46036,
  [SMALL_STATE(727)] = 46096,
  [SMALL_STATE(728)] = 46156,
  [SMALL_STATE(729)] = 46260,
  [SMALL_STATE(730)] = 46362,
  [SMALL_STATE(731)] = 46464,
  [SMALL_STATE(732)] = 46566,
  [SMALL_STATE(733)] = 46668,
  [SMALL_STATE(734)] = 46770,
  [SMALL_STATE(735)] = 46830,
  [SMALL_STATE(736)] = 46890,
  [SMALL_STATE(737)] = 46992,
  [SMALL_STATE(738)] = 47094,
  [SMALL_STATE(739)] = 47196,
  [SMALL_STATE(740)] = 47298,
  [SMALL_STATE(741)] = 47358,
  [SMALL_STATE(742)] = 47460,
  [SMALL_STATE(743)] = 47562,
  [SMALL_STATE(744)] = 47664,
  [SMALL_STATE(745)] = 47766,
  [SMALL_STATE(746)] = 47826,
  [SMALL_STATE(747)] = 47928,
  [SMALL_STATE(748)] = 48030,
  [SMALL_STATE(749)] = 48132,
  [SMALL_STATE(750)] = 48234,
  [SMALL_STATE(751)] = 48336,
  [SMALL_STATE(752)] = 48438,
  [SMALL_STATE(753)] = 48498,
  [SMALL_STATE(754)] = 48558,
  [SMALL_STATE(755)] = 48660,
  [SMALL_STATE(756)] = 48762,
  [SMALL_STATE(757)] = 48822,
  [SMALL_STATE(758)] = 48924,
  [SMALL_STATE(759)] = 48984,
  [SMALL_STATE(760)] = 49044,
  [SMALL_STATE(761)] = 49146,
  [SMALL_STATE(762)] = 49206,
  [SMALL_STATE(763)] = 49308,
  [SMALL_STATE(764)] = 49368,
  [SMALL_STATE(765)] = 49472,
  [SMALL_STATE(766)] = 49532,
  [SMALL_STATE(767)] = 49634,
  [SMALL_STATE(768)] = 49694,
  [SMALL_STATE(769)] = 49798,
  [SMALL_STATE(770)] = 49900,
  [SMALL_STATE(771)] = 50002,
  [SMALL_STATE(772)] = 50104,
  [SMALL_STATE(773)] = 50164,
  [SMALL_STATE(774)] = 50224,
  [SMALL_STATE(775)] = 50326,
  [SMALL_STATE(776)] = 50428,
  [SMALL_STATE(777)] = 50530,
  [SMALL_STATE(778)] = 50632,
  [SMALL_STATE(779)] = 50734,
  [SMALL_STATE(780)] = 50794,
  [SMALL_STATE(781)] = 50896,
  [SMALL_STATE(782)] = 50998,
  [SMALL_STATE(783)] = 51100,
  [SMALL_STATE(784)] = 51160,
  [SMALL_STATE(785)] = 51262,
  [SMALL_STATE(786)] = 51364,
  [SMALL_STATE(787)] = 51466,
  [SMALL_STATE(788)] = 51568,
  [SMALL_STATE(789)] = 51670,
  [SMALL_STATE(790)] = 51730,
  [SMALL_STATE(791)] = 51832,
  [SMALL_STATE(792)] = 51892,
  [SMALL_STATE(793)] = 51994,
  [SMALL_STATE(794)] = 52096,
  [SMALL_STATE(795)] = 52198,
  [SMALL_STATE(796)] = 52258,
  [SMALL_STATE(797)] = 52360,
  [SMALL_STATE(798)] = 52420,
  [SMALL_STATE(799)] = 52522,
  [SMALL_STATE(800)] = 52624,
  [SMALL_STATE(801)] = 52726,
  [SMALL_STATE(802)] = 52828,
  [SMALL_STATE(803)] = 52888,
  [SMALL_STATE(804)] = 52990,
  [SMALL_STATE(805)] = 53092,
  [SMALL_STATE(806)] = 53194,
  [SMALL_STATE(807)] = 53296,
  [SMALL_STATE(808)] = 53398,
  [SMALL_STATE(809)] = 53500,
  [SMALL_STATE(810)] = 53560,
  [SMALL_STATE(811)] = 53620,
  [SMALL_STATE(812)] = 53722,
  [SMALL_STATE(813)] = 53824,
  [SMALL_STATE(814)] = 53926,
  [SMALL_STATE(815)] = 53998,
  [SMALL_STATE(816)] = 54100,
  [SMALL_STATE(817)] = 54202,
  [SMALL_STATE(818)] = 54304,
  [SMALL_STATE(819)] = 54364,
  [SMALL_STATE(820)] = 54466,
  [SMALL_STATE(821)] = 54526,
  [SMALL_STATE(822)] = 54628,
  [SMALL_STATE(823)] = 54700,
  [SMALL_STATE(824)] = 54760,
  [SMALL_STATE(825)] = 54862,
  [SMALL_STATE(826)] = 54964,
  [SMALL_STATE(827)] = 55066,
  [SMALL_STATE(828)] = 55168,
  [SMALL_STATE(829)] = 55270,
  [SMALL_STATE(830)] = 55330,
  [SMALL_STATE(831)] = 55434,
  [SMALL_STATE(832)] = 55494,
  [SMALL_STATE(833)] = 55554,
  [SMALL_STATE(834)] = 55656,
  [SMALL_STATE(835)] = 55758,
  [SMALL_STATE(836)] = 55860,
  [SMALL_STATE(837)] = 55962,
  [SMALL_STATE(838)] = 56064,
  [SMALL_STATE(839)] = 56168,
  [SMALL_STATE(840)] = 56272,
  [SMALL_STATE(841)] = 56335,
  [SMALL_STATE(842)] = 56398,
  [SMALL_STATE(843)] = 56457,
  [SMALL_STATE(844)] = 56520,
  [SMALL_STATE(845)] = 56579,
  [SMALL_STATE(846)] = 56642,
  [SMALL_STATE(847)] = 56705,
  [SMALL_STATE(848)] = 56764,
  [SMALL_STATE(849)] = 56823,
  [SMALL_STATE(850)] = 56886,
  [SMALL_STATE(851)] = 56949,
  [SMALL_STATE(852)] = 57012,
  [SMALL_STATE(853)] = 57071,
  [SMALL_STATE(854)] = 57134,
  [SMALL_STATE(855)] = 57193,
  [SMALL_STATE(856)] = 57256,
  [SMALL_STATE(857)] = 57319,
  [SMALL_STATE(858)] = 57382,
  [SMALL_STATE(859)] = 57445,
  [SMALL_STATE(860)] = 57508,
  [SMALL_STATE(861)] = 57571,
  [SMALL_STATE(862)] = 57634,
  [SMALL_STATE(863)] = 57692,
  [SMALL_STATE(864)] = 57750,
  [SMALL_STATE(865)] = 57808,
  [SMALL_STATE(866)] = 57866,
  [SMALL_STATE(867)] = 57934,
  [SMALL_STATE(868)] = 57997,
  [SMALL_STATE(869)] = 58054,
  [SMALL_STATE(870)] = 58111,
  [SMALL_STATE(871)] = 58168,
  [SMALL_STATE(872)] = 58225,
  [SMALL_STATE(873)] = 58282,
  [SMALL_STATE(874)] = 58339,
  [SMALL_STATE(875)] = 58396,
  [SMALL_STATE(876)] = 58453,
  [SMALL_STATE(877)] = 58510,
  [SMALL_STATE(878)] = 58567,
  [SMALL_STATE(879)] = 58624,
  [SMALL_STATE(880)] = 58681,
  [SMALL_STATE(881)] = 58738,
  [SMALL_STATE(882)] = 58795,
  [SMALL_STATE(883)] = 58852,
  [SMALL_STATE(884)] = 58909,
  [SMALL_STATE(885)] = 58966,
  [SMALL_STATE(886)] = 59023,
  [SMALL_STATE(887)] = 59080,
  [SMALL_STATE(888)] = 59137,
  [SMALL_STATE(889)] = 59194,
  [SMALL_STATE(890)] = 59251,
  [SMALL_STATE(891)] = 59308,
  [SMALL_STATE(892)] = 59365,
  [SMALL_STATE(893)] = 59422,
  [SMALL_STATE(894)] = 59479,
  [SMALL_STATE(895)] = 59536,
  [SMALL_STATE(896)] = 59593,
  [SMALL_STATE(897)] = 59650,
  [SMALL_STATE(898)] = 59707,
  [SMALL_STATE(899)] = 59764,
  [SMALL_STATE(900)] = 59821,
  [SMALL_STATE(901)] = 59878,
  [SMALL_STATE(902)] = 59935,
  [SMALL_STATE(903)] = 59992,
  [SMALL_STATE(904)] = 60049,
  [SMALL_STATE(905)] = 60106,
  [SMALL_STATE(906)] = 60163,
  [SMALL_STATE(907)] = 60220,
  [SMALL_STATE(908)] = 60277,
  [SMALL_STATE(909)] = 60334,
  [SMALL_STATE(910)] = 60391,
  [SMALL_STATE(911)] = 60448,
  [SMALL_STATE(912)] = 60505,
  [SMALL_STATE(913)] = 60562,
  [SMALL_STATE(914)] = 60619,
  [SMALL_STATE(915)] = 60676,
  [SMALL_STATE(916)] = 60733,
  [SMALL_STATE(917)] = 60790,
  [SMALL_STATE(918)] = 60847,
  [SMALL_STATE(919)] = 60904,
  [SMALL_STATE(920)] = 60961,
  [SMALL_STATE(921)] = 61018,
  [SMALL_STATE(922)] = 61075,
  [SMALL_STATE(923)] = 61132,
  [SMALL_STATE(924)] = 61189,
  [SMALL_STATE(925)] = 61246,
  [SMALL_STATE(926)] = 61303,
  [SMALL_STATE(927)] = 61360,
  [SMALL_STATE(928)] = 61417,
  [SMALL_STATE(929)] = 61474,
  [SMALL_STATE(930)] = 61531,
  [SMALL_STATE(931)] = 61588,
  [SMALL_STATE(932)] = 61645,
  [SMALL_STATE(933)] = 61702,
  [SMALL_STATE(934)] = 61759,
  [SMALL_STATE(935)] = 61816,
  [SMALL_STATE(936)] = 61873,
  [SMALL_STATE(937)] = 61930,
  [SMALL_STATE(938)] = 61987,
  [SMALL_STATE(939)] = 62044,
  [SMALL_STATE(940)] = 62101,
  [SMALL_STATE(941)] = 62158,
  [SMALL_STATE(942)] = 62215,
  [SMALL_STATE(943)] = 62272,
  [SMALL_STATE(944)] = 62329,
  [SMALL_STATE(945)] = 62386,
  [SMALL_STATE(946)] = 62443,
  [SMALL_STATE(947)] = 62500,
  [SMALL_STATE(948)] = 62557,
  [SMALL_STATE(949)] = 62614,
  [SMALL_STATE(950)] = 62671,
  [SMALL_STATE(951)] = 62728,
  [SMALL_STATE(952)] = 62785,
  [SMALL_STATE(953)] = 62842,
  [SMALL_STATE(954)] = 62899,
  [SMALL_STATE(955)] = 62956,
  [SMALL_STATE(956)] = 63013,
  [SMALL_STATE(957)] = 63070,
  [SMALL_STATE(958)] = 63127,
  [SMALL_STATE(959)] = 63184,
  [SMALL_STATE(960)] = 63241,
  [SMALL_STATE(961)] = 63298,
  [SMALL_STATE(962)] = 63355,
  [SMALL_STATE(963)] = 63412,
  [SMALL_STATE(964)] = 63469,
  [SMALL_STATE(965)] = 63526,
  [SMALL_STATE(966)] = 63583,
  [SMALL_STATE(967)] = 63640,
  [SMALL_STATE(968)] = 63697,
  [SMALL_STATE(969)] = 63754,
  [SMALL_STATE(970)] = 63811,
  [SMALL_STATE(971)] = 63868,
  [SMALL_STATE(972)] = 63925,
  [SMALL_STATE(973)] = 63982,
  [SMALL_STATE(974)] = 64039,
  [SMALL_STATE(975)] = 64096,
  [SMALL_STATE(976)] = 64153,
  [SMALL_STATE(977)] = 64210,
  [SMALL_STATE(978)] = 64267,
  [SMALL_STATE(979)] = 64324,
  [SMALL_STATE(980)] = 64381,
  [SMALL_STATE(981)] = 64438,
  [SMALL_STATE(982)] = 64495,
  [SMALL_STATE(983)] = 64552,
  [SMALL_STATE(984)] = 64609,
  [SMALL_STATE(985)] = 64666,
  [SMALL_STATE(986)] = 64723,
  [SMALL_STATE(987)] = 64780,
  [SMALL_STATE(988)] = 64837,
  [SMALL_STATE(989)] = 64894,
  [SMALL_STATE(990)] = 64951,
  [SMALL_STATE(991)] = 65008,
  [SMALL_STATE(992)] = 65065,
  [SMALL_STATE(993)] = 65122,
  [SMALL_STATE(994)] = 65179,
  [SMALL_STATE(995)] = 65236,
  [SMALL_STATE(996)] = 65293,
  [SMALL_STATE(997)] = 65350,
  [SMALL_STATE(998)] = 65407,
  [SMALL_STATE(999)] = 65464,
  [SMALL_STATE(1000)] = 65521,
  [SMALL_STATE(1001)] = 65578,
  [SMALL_STATE(1002)] = 65635,
  [SMALL_STATE(1003)] = 65692,
  [SMALL_STATE(1004)] = 65749,
  [SMALL_STATE(1005)] = 65806,
  [SMALL_STATE(1006)] = 65863,
  [SMALL_STATE(1007)] = 65920,
  [SMALL_STATE(1008)] = 65977,
  [SMALL_STATE(1009)] = 66034,
  [SMALL_STATE(1010)] = 66091,
  [SMALL_STATE(1011)] = 66148,
  [SMALL_STATE(1012)] = 66205,
  [SMALL_STATE(1013)] = 66262,
  [SMALL_STATE(1014)] = 66319,
  [SMALL_STATE(1015)] = 66376,
  [SMALL_STATE(1016)] = 66433,
  [SMALL_STATE(1017)] = 66490,
  [SMALL_STATE(1018)] = 66547,
  [SMALL_STATE(1019)] = 66604,
  [SMALL_STATE(1020)] = 66661,
  [SMALL_STATE(1021)] = 66718,
  [SMALL_STATE(1022)] = 66775,
  [SMALL_STATE(1023)] = 66832,
  [SMALL_STATE(1024)] = 66889,
  [SMALL_STATE(1025)] = 66946,
  [SMALL_STATE(1026)] = 67003,
  [SMALL_STATE(1027)] = 67060,
  [SMALL_STATE(1028)] = 67117,
  [SMALL_STATE(1029)] = 67174,
  [SMALL_STATE(1030)] = 67231,
  [SMALL_STATE(1031)] = 67288,
  [SMALL_STATE(1032)] = 67345,
  [SMALL_STATE(1033)] = 67402,
  [SMALL_STATE(1034)] = 67459,
  [SMALL_STATE(1035)] = 67516,
  [SMALL_STATE(1036)] = 67573,
  [SMALL_STATE(1037)] = 67630,
  [SMALL_STATE(1038)] = 67687,
  [SMALL_STATE(1039)] = 67744,
  [SMALL_STATE(1040)] = 67801,
  [SMALL_STATE(1041)] = 67858,
  [SMALL_STATE(1042)] = 67915,
  [SMALL_STATE(1043)] = 67972,
  [SMALL_STATE(1044)] = 68029,
  [SMALL_STATE(1045)] = 68086,
  [SMALL_STATE(1046)] = 68143,
  [SMALL_STATE(1047)] = 68200,
  [SMALL_STATE(1048)] = 68257,
  [SMALL_STATE(1049)] = 68314,
  [SMALL_STATE(1050)] = 68371,
  [SMALL_STATE(1051)] = 68428,
  [SMALL_STATE(1052)] = 68485,
  [SMALL_STATE(1053)] = 68542,
  [SMALL_STATE(1054)] = 68599,
  [SMALL_STATE(1055)] = 68656,
  [SMALL_STATE(1056)] = 68713,
  [SMALL_STATE(1057)] = 68770,
  [SMALL_STATE(1058)] = 68827,
  [SMALL_STATE(1059)] = 68884,
  [SMALL_STATE(1060)] = 68941,
  [SMALL_STATE(1061)] = 68998,
  [SMALL_STATE(1062)] = 69055,
  [SMALL_STATE(1063)] = 69112,
  [SMALL_STATE(1064)] = 69169,
  [SMALL_STATE(1065)] = 69226,
  [SMALL_STATE(1066)] = 69283,
  [SMALL_STATE(1067)] = 69340,
  [SMALL_STATE(1068)] = 69397,
  [SMALL_STATE(1069)] = 69454,
  [SMALL_STATE(1070)] = 69511,
  [SMALL_STATE(1071)] = 69568,
  [SMALL_STATE(1072)] = 69625,
  [SMALL_STATE(1073)] = 69682,
  [SMALL_STATE(1074)] = 69739,
  [SMALL_STATE(1075)] = 69796,
  [SMALL_STATE(1076)] = 69853,
  [SMALL_STATE(1077)] = 69910,
  [SMALL_STATE(1078)] = 69967,
  [SMALL_STATE(1079)] = 70024,
  [SMALL_STATE(1080)] = 70081,
  [SMALL_STATE(1081)] = 70138,
  [SMALL_STATE(1082)] = 70195,
  [SMALL_STATE(1083)] = 70252,
  [SMALL_STATE(1084)] = 70309,
  [SMALL_STATE(1085)] = 70366,
  [SMALL_STATE(1086)] = 70423,
  [SMALL_STATE(1087)] = 70480,
  [SMALL_STATE(1088)] = 70537,
  [SMALL_STATE(1089)] = 70633,
  [SMALL_STATE(1090)] = 70689,
  [SMALL_STATE(1091)] = 70749,
  [SMALL_STATE(1092)] = 70809,
  [SMALL_STATE(1093)] = 70865,
  [SMALL_STATE(1094)] = 70921,
  [SMALL_STATE(1095)] = 70977,
  [SMALL_STATE(1096)] = 71073,
  [SMALL_STATE(1097)] = 71133,
  [SMALL_STATE(1098)] = 71189,
  [SMALL_STATE(1099)] = 71249,
  [SMALL_STATE(1100)] = 71305,
  [SMALL_STATE(1101)] = 71365,
  [SMALL_STATE(1102)] = 71425,
  [SMALL_STATE(1103)] = 71481,
  [SMALL_STATE(1104)] = 71545,
  [SMALL_STATE(1105)] = 71605,
  [SMALL_STATE(1106)] = 71661,
  [SMALL_STATE(1107)] = 71717,
  [SMALL_STATE(1108)] = 71777,
  [SMALL_STATE(1109)] = 71839,
  [SMALL_STATE(1110)] = 71899,
  [SMALL_STATE(1111)] = 71961,
  [SMALL_STATE(1112)] = 72058,
  [SMALL_STATE(1113)] = 72155,
  [SMALL_STATE(1114)] = 72251,
  [SMALL_STATE(1115)] = 72347,
  [SMALL_STATE(1116)] = 72440,
  [SMALL_STATE(1117)] = 72533,
  [SMALL_STATE(1118)] = 72626,
  [SMALL_STATE(1119)] = 72719,
  [SMALL_STATE(1120)] = 72812,
  [SMALL_STATE(1121)] = 72905,
  [SMALL_STATE(1122)] = 72998,
  [SMALL_STATE(1123)] = 73091,
  [SMALL_STATE(1124)] = 73184,
  [SMALL_STATE(1125)] = 73277,
  [SMALL_STATE(1126)] = 73370,
  [SMALL_STATE(1127)] = 73463,
  [SMALL_STATE(1128)] = 73556,
  [SMALL_STATE(1129)] = 73649,
  [SMALL_STATE(1130)] = 73742,
  [SMALL_STATE(1131)] = 73832,
  [SMALL_STATE(1132)] = 73922,
  [SMALL_STATE(1133)] = 74012,
  [SMALL_STATE(1134)] = 74102,
  [SMALL_STATE(1135)] = 74192,
  [SMALL_STATE(1136)] = 74282,
  [SMALL_STATE(1137)] = 74369,
  [SMALL_STATE(1138)] = 74456,
  [SMALL_STATE(1139)] = 74538,
  [SMALL_STATE(1140)] = 74620,
  [SMALL_STATE(1141)] = 74702,
  [SMALL_STATE(1142)] = 74784,
  [SMALL_STATE(1143)] = 74866,
  [SMALL_STATE(1144)] = 74948,
  [SMALL_STATE(1145)] = 75030,
  [SMALL_STATE(1146)] = 75112,
  [SMALL_STATE(1147)] = 75191,
  [SMALL_STATE(1148)] = 75270,
  [SMALL_STATE(1149)] = 75353,
  [SMALL_STATE(1150)] = 75432,
  [SMALL_STATE(1151)] = 75511,
  [SMALL_STATE(1152)] = 75590,
  [SMALL_STATE(1153)] = 75669,
  [SMALL_STATE(1154)] = 75748,
  [SMALL_STATE(1155)] = 75827,
  [SMALL_STATE(1156)] = 75910,
  [SMALL_STATE(1157)] = 75989,
  [SMALL_STATE(1158)] = 76068,
  [SMALL_STATE(1159)] = 76151,
  [SMALL_STATE(1160)] = 76230,
  [SMALL_STATE(1161)] = 76313,
  [SMALL_STATE(1162)] = 76398,
  [SMALL_STATE(1163)] = 76477,
  [SMALL_STATE(1164)] = 76556,
  [SMALL_STATE(1165)] = 76635,
  [SMALL_STATE(1166)] = 76714,
  [SMALL_STATE(1167)] = 76793,
  [SMALL_STATE(1168)] = 76876,
  [SMALL_STATE(1169)] = 76959,
  [SMALL_STATE(1170)] = 77038,
  [SMALL_STATE(1171)] = 77117,
  [SMALL_STATE(1172)] = 77196,
  [SMALL_STATE(1173)] = 77275,
  [SMALL_STATE(1174)] = 77354,
  [SMALL_STATE(1175)] = 77433,
  [SMALL_STATE(1176)] = 77512,
  [SMALL_STATE(1177)] = 77591,
  [SMALL_STATE(1178)] = 77670,
  [SMALL_STATE(1179)] = 77749,
  [SMALL_STATE(1180)] = 77828,
  [SMALL_STATE(1181)] = 77911,
  [SMALL_STATE(1182)] = 77990,
  [SMALL_STATE(1183)] = 78069,
  [SMALL_STATE(1184)] = 78148,
  [SMALL_STATE(1185)] = 78227,
  [SMALL_STATE(1186)] = 78306,
  [SMALL_STATE(1187)] = 78385,
  [SMALL_STATE(1188)] = 78464,
  [SMALL_STATE(1189)] = 78543,
  [SMALL_STATE(1190)] = 78622,
  [SMALL_STATE(1191)] = 78701,
  [SMALL_STATE(1192)] = 78780,
  [SMALL_STATE(1193)] = 78859,
  [SMALL_STATE(1194)] = 78938,
  [SMALL_STATE(1195)] = 79017,
  [SMALL_STATE(1196)] = 79100,
  [SMALL_STATE(1197)] = 79179,
  [SMALL_STATE(1198)] = 79258,
  [SMALL_STATE(1199)] = 79337,
  [SMALL_STATE(1200)] = 79416,
  [SMALL_STATE(1201)] = 79495,
  [SMALL_STATE(1202)] = 79578,
  [SMALL_STATE(1203)] = 79657,
  [SMALL_STATE(1204)] = 79736,
  [SMALL_STATE(1205)] = 79819,
  [SMALL_STATE(1206)] = 79898,
  [SMALL_STATE(1207)] = 79977,
  [SMALL_STATE(1208)] = 80056,
  [SMALL_STATE(1209)] = 80135,
  [SMALL_STATE(1210)] = 80214,
  [SMALL_STATE(1211)] = 80293,
  [SMALL_STATE(1212)] = 80372,
  [SMALL_STATE(1213)] = 80451,
  [SMALL_STATE(1214)] = 80530,
  [SMALL_STATE(1215)] = 80609,
  [SMALL_STATE(1216)] = 80688,
  [SMALL_STATE(1217)] = 80767,
  [SMALL_STATE(1218)] = 80846,
  [SMALL_STATE(1219)] = 80925,
  [SMALL_STATE(1220)] = 81004,
  [SMALL_STATE(1221)] = 81083,
  [SMALL_STATE(1222)] = 81166,
  [SMALL_STATE(1223)] = 81249,
  [SMALL_STATE(1224)] = 81328,
  [SMALL_STATE(1225)] = 81411,
  [SMALL_STATE(1226)] = 81494,
  [SMALL_STATE(1227)] = 81577,
  [SMALL_STATE(1228)] = 81656,
  [SMALL_STATE(1229)] = 81739,
  [SMALL_STATE(1230)] = 81818,
  [SMALL_STATE(1231)] = 81897,
  [SMALL_STATE(1232)] = 81976,
  [SMALL_STATE(1233)] = 82055,
  [SMALL_STATE(1234)] = 82134,
  [SMALL_STATE(1235)] = 82213,
  [SMALL_STATE(1236)] = 82292,
  [SMALL_STATE(1237)] = 82371,
  [SMALL_STATE(1238)] = 82450,
  [SMALL_STATE(1239)] = 82529,
  [SMALL_STATE(1240)] = 82612,
  [SMALL_STATE(1241)] = 82695,
  [SMALL_STATE(1242)] = 82774,
  [SMALL_STATE(1243)] = 82853,
  [SMALL_STATE(1244)] = 82932,
  [SMALL_STATE(1245)] = 83011,
  [SMALL_STATE(1246)] = 83090,
  [SMALL_STATE(1247)] = 83169,
  [SMALL_STATE(1248)] = 83248,
  [SMALL_STATE(1249)] = 83331,
  [SMALL_STATE(1250)] = 83410,
  [SMALL_STATE(1251)] = 83489,
  [SMALL_STATE(1252)] = 83568,
  [SMALL_STATE(1253)] = 83647,
  [SMALL_STATE(1254)] = 83730,
  [SMALL_STATE(1255)] = 83809,
  [SMALL_STATE(1256)] = 83877,
  [SMALL_STATE(1257)] = 83951,
  [SMALL_STATE(1258)] = 84025,
  [SMALL_STATE(1259)] = 84091,
  [SMALL_STATE(1260)] = 84151,
  [SMALL_STATE(1261)] = 84211,
  [SMALL_STATE(1262)] = 84285,
  [SMALL_STATE(1263)] = 84357,
  [SMALL_STATE(1264)] = 84421,
  [SMALL_STATE(1265)] = 84473,
  [SMALL_STATE(1266)] = 84557,
  [SMALL_STATE(1267)] = 84627,
  [SMALL_STATE(1268)] = 84679,
  [SMALL_STATE(1269)] = 84739,
  [SMALL_STATE(1270)] = 84823,
  [SMALL_STATE(1271)] = 84883,
  [SMALL_STATE(1272)] = 84935,
  [SMALL_STATE(1273)] = 84994,
  [SMALL_STATE(1274)] = 85077,
  [SMALL_STATE(1275)] = 85136,
  [SMALL_STATE(1276)] = 85195,
  [SMALL_STATE(1277)] = 85254,
  [SMALL_STATE(1278)] = 85317,
  [SMALL_STATE(1279)] = 85376,
  [SMALL_STATE(1280)] = 85447,
  [SMALL_STATE(1281)] = 85516,
  [SMALL_STATE(1282)] = 85567,
  [SMALL_STATE(1283)] = 85634,
  [SMALL_STATE(1284)] = 85685,
  [SMALL_STATE(1285)] = 85736,
  [SMALL_STATE(1286)] = 85787,
  [SMALL_STATE(1287)] = 85854,
  [SMALL_STATE(1288)] = 85919,
  [SMALL_STATE(1289)] = 86002,
  [SMALL_STATE(1290)] = 86075,
  [SMALL_STATE(1291)] = 86148,
  [SMALL_STATE(1292)] = 86221,
  [SMALL_STATE(1293)] = 86280,
  [SMALL_STATE(1294)] = 86331,
  [SMALL_STATE(1295)] = 86414,
  [SMALL_STATE(1296)] = 86495,
  [SMALL_STATE(1297)] = 86578,
  [SMALL_STATE(1298)] = 86651,
  [SMALL_STATE(1299)] = 86716,
  [SMALL_STATE(1300)] = 86789,
  [SMALL_STATE(1301)] = 86848,
  [SMALL_STATE(1302)] = 86911,
  [SMALL_STATE(1303)] = 86962,
  [SMALL_STATE(1304)] = 87035,
  [SMALL_STATE(1305)] = 87106,
  [SMALL_STATE(1306)] = 87165,
  [SMALL_STATE(1307)] = 87234,
  [SMALL_STATE(1308)] = 87296,
  [SMALL_STATE(1309)] = 87354,
  [SMALL_STATE(1310)] = 87412,
  [SMALL_STATE(1311)] = 87458,
  [SMALL_STATE(1312)] = 87538,
  [SMALL_STATE(1313)] = 87584,
  [SMALL_STATE(1314)] = 87630,
  [SMALL_STATE(1315)] = 87676,
  [SMALL_STATE(1316)] = 87726,
  [SMALL_STATE(1317)] = 87772,
  [SMALL_STATE(1318)] = 87818,
  [SMALL_STATE(1319)] = 87864,
  [SMALL_STATE(1320)] = 87914,
  [SMALL_STATE(1321)] = 87980,
  [SMALL_STATE(1322)] = 88044,
  [SMALL_STATE(1323)] = 88092,
  [SMALL_STATE(1324)] = 88150,
  [SMALL_STATE(1325)] = 88208,
  [SMALL_STATE(1326)] = 88280,
  [SMALL_STATE(1327)] = 88338,
  [SMALL_STATE(1328)] = 88396,
  [SMALL_STATE(1329)] = 88444,
  [SMALL_STATE(1330)] = 88516,
  [SMALL_STATE(1331)] = 88588,
  [SMALL_STATE(1332)] = 88646,
  [SMALL_STATE(1333)] = 88694,
  [SMALL_STATE(1334)] = 88766,
  [SMALL_STATE(1335)] = 88824,
  [SMALL_STATE(1336)] = 88888,
  [SMALL_STATE(1337)] = 88952,
  [SMALL_STATE(1338)] = 89024,
  [SMALL_STATE(1339)] = 89096,
  [SMALL_STATE(1340)] = 89166,
  [SMALL_STATE(1341)] = 89224,
  [SMALL_STATE(1342)] = 89296,
  [SMALL_STATE(1343)] = 89346,
  [SMALL_STATE(1344)] = 89408,
  [SMALL_STATE(1345)] = 89466,
  [SMALL_STATE(1346)] = 89536,
  [SMALL_STATE(1347)] = 89604,
  [SMALL_STATE(1348)] = 89666,
  [SMALL_STATE(1349)] = 89736,
  [SMALL_STATE(1350)] = 89794,
  [SMALL_STATE(1351)] = 89862,
  [SMALL_STATE(1352)] = 89912,
  [SMALL_STATE(1353)] = 89980,
  [SMALL_STATE(1354)] = 90046,
  [SMALL_STATE(1355)] = 90112,
  [SMALL_STATE(1356)] = 90178,
  [SMALL_STATE(1357)] = 90228,
  [SMALL_STATE(1358)] = 90296,
  [SMALL_STATE(1359)] = 90368,
  [SMALL_STATE(1360)] = 90414,
  [SMALL_STATE(1361)] = 90484,
  [SMALL_STATE(1362)] = 90534,
  [SMALL_STATE(1363)] = 90606,
  [SMALL_STATE(1364)] = 90668,
  [SMALL_STATE(1365)] = 90726,
  [SMALL_STATE(1366)] = 90798,
  [SMALL_STATE(1367)] = 90862,
  [SMALL_STATE(1368)] = 90920,
  [SMALL_STATE(1369)] = 90992,
  [SMALL_STATE(1370)] = 91042,
  [SMALL_STATE(1371)] = 91100,
  [SMALL_STATE(1372)] = 91150,
  [SMALL_STATE(1373)] = 91200,
  [SMALL_STATE(1374)] = 91246,
  [SMALL_STATE(1375)] = 91304,
  [SMALL_STATE(1376)] = 91354,
  [SMALL_STATE(1377)] = 91404,
  [SMALL_STATE(1378)] = 91454,
  [SMALL_STATE(1379)] = 91500,
  [SMALL_STATE(1380)] = 91546,
  [SMALL_STATE(1381)] = 91618,
  [SMALL_STATE(1382)] = 91676,
  [SMALL_STATE(1383)] = 91727,
  [SMALL_STATE(1384)] = 91776,
  [SMALL_STATE(1385)] = 91825,
  [SMALL_STATE(1386)] = 91870,
  [SMALL_STATE(1387)] = 91919,
  [SMALL_STATE(1388)] = 91964,
  [SMALL_STATE(1389)] = 92009,
  [SMALL_STATE(1390)] = 92056,
  [SMALL_STATE(1391)] = 92101,
  [SMALL_STATE(1392)] = 92180,
  [SMALL_STATE(1393)] = 92229,
  [SMALL_STATE(1394)] = 92274,
  [SMALL_STATE(1395)] = 92323,
  [SMALL_STATE(1396)] = 92372,
  [SMALL_STATE(1397)] = 92417,
  [SMALL_STATE(1398)] = 92462,
  [SMALL_STATE(1399)] = 92509,
  [SMALL_STATE(1400)] = 92556,
  [SMALL_STATE(1401)] = 92603,
  [SMALL_STATE(1402)] = 92648,
  [SMALL_STATE(1403)] = 92693,
  [SMALL_STATE(1404)] = 92738,
  [SMALL_STATE(1405)] = 92783,
  [SMALL_STATE(1406)] = 92828,
  [SMALL_STATE(1407)] = 92873,
  [SMALL_STATE(1408)] = 92918,
  [SMALL_STATE(1409)] = 92965,
  [SMALL_STATE(1410)] = 93010,
  [SMALL_STATE(1411)] = 93055,
  [SMALL_STATE(1412)] = 93100,
  [SMALL_STATE(1413)] = 93151,
  [SMALL_STATE(1414)] = 93196,
  [SMALL_STATE(1415)] = 93241,
  [SMALL_STATE(1416)] = 93286,
  [SMALL_STATE(1417)] = 93331,
  [SMALL_STATE(1418)] = 93388,
  [SMALL_STATE(1419)] = 93467,
  [SMALL_STATE(1420)] = 93524,
  [SMALL_STATE(1421)] = 93569,
  [SMALL_STATE(1422)] = 93618,
  [SMALL_STATE(1423)] = 93663,
  [SMALL_STATE(1424)] = 93708,
  [SMALL_STATE(1425)] = 93759,
  [SMALL_STATE(1426)] = 93816,
  [SMALL_STATE(1427)] = 93879,
  [SMALL_STATE(1428)] = 93924,
  [SMALL_STATE(1429)] = 93969,
  [SMALL_STATE(1430)] = 94040,
  [SMALL_STATE(1431)] = 94097,
  [SMALL_STATE(1432)] = 94142,
  [SMALL_STATE(1433)] = 94203,
  [SMALL_STATE(1434)] = 94272,
  [SMALL_STATE(1435)] = 94317,
  [SMALL_STATE(1436)] = 94384,
  [SMALL_STATE(1437)] = 94429,
  [SMALL_STATE(1438)] = 94474,
  [SMALL_STATE(1439)] = 94539,
  [SMALL_STATE(1440)] = 94588,
  [SMALL_STATE(1441)] = 94637,
  [SMALL_STATE(1442)] = 94688,
  [SMALL_STATE(1443)] = 94737,
  [SMALL_STATE(1444)] = 94784,
  [SMALL_STATE(1445)] = 94835,
  [SMALL_STATE(1446)] = 94884,
  [SMALL_STATE(1447)] = 94929,
  [SMALL_STATE(1448)] = 95000,
  [SMALL_STATE(1449)] = 95045,
  [SMALL_STATE(1450)] = 95116,
  [SMALL_STATE(1451)] = 95161,
  [SMALL_STATE(1452)] = 95206,
  [SMALL_STATE(1453)] = 95255,
  [SMALL_STATE(1454)] = 95300,
  [SMALL_STATE(1455)] = 95345,
  [SMALL_STATE(1456)] = 95390,
  [SMALL_STATE(1457)] = 95435,
  [SMALL_STATE(1458)] = 95514,
  [SMALL_STATE(1459)] = 95559,
  [SMALL_STATE(1460)] = 95604,
  [SMALL_STATE(1461)] = 95653,
  [SMALL_STATE(1462)] = 95698,
  [SMALL_STATE(1463)] = 95743,
  [SMALL_STATE(1464)] = 95787,
  [SMALL_STATE(1465)] = 95831,
  [SMALL_STATE(1466)] = 95875,
  [SMALL_STATE(1467)] = 95919,
  [SMALL_STATE(1468)] = 95963,
  [SMALL_STATE(1469)] = 96007,
  [SMALL_STATE(1470)] = 96051,
  [SMALL_STATE(1471)] = 96099,
  [SMALL_STATE(1472)] = 96145,
  [SMALL_STATE(1473)] = 96193,
  [SMALL_STATE(1474)] = 96241,
  [SMALL_STATE(1475)] = 96287,
  [SMALL_STATE(1476)] = 96333,
  [SMALL_STATE(1477)] = 96377,
  [SMALL_STATE(1478)] = 96425,
  [SMALL_STATE(1479)] = 96469,
  [SMALL_STATE(1480)] = 96513,
  [SMALL_STATE(1481)] = 96557,
  [SMALL_STATE(1482)] = 96601,
  [SMALL_STATE(1483)] = 96645,
  [SMALL_STATE(1484)] = 96689,
  [SMALL_STATE(1485)] = 96733,
  [SMALL_STATE(1486)] = 96777,
  [SMALL_STATE(1487)] = 96821,
  [SMALL_STATE(1488)] = 96869,
  [SMALL_STATE(1489)] = 96915,
  [SMALL_STATE(1490)] = 96959,
  [SMALL_STATE(1491)] = 97003,
  [SMALL_STATE(1492)] = 97049,
  [SMALL_STATE(1493)] = 97095,
  [SMALL_STATE(1494)] = 97139,
  [SMALL_STATE(1495)] = 97183,
  [SMALL_STATE(1496)] = 97227,
  [SMALL_STATE(1497)] = 97271,
  [SMALL_STATE(1498)] = 97315,
  [SMALL_STATE(1499)] = 97359,
  [SMALL_STATE(1500)] = 97403,
  [SMALL_STATE(1501)] = 97447,
  [SMALL_STATE(1502)] = 97495,
  [SMALL_STATE(1503)] = 97545,
  [SMALL_STATE(1504)] = 97589,
  [SMALL_STATE(1505)] = 97633,
  [SMALL_STATE(1506)] = 97677,
  [SMALL_STATE(1507)] = 97721,
  [SMALL_STATE(1508)] = 97765,
  [SMALL_STATE(1509)] = 97809,
  [SMALL_STATE(1510)] = 97853,
  [SMALL_STATE(1511)] = 97901,
  [SMALL_STATE(1512)] = 97945,
  [SMALL_STATE(1513)] = 97993,
  [SMALL_STATE(1514)] = 98037,
  [SMALL_STATE(1515)] = 98081,
  [SMALL_STATE(1516)] = 98125,
  [SMALL_STATE(1517)] = 98173,
  [SMALL_STATE(1518)] = 98221,
  [SMALL_STATE(1519)] = 98269,
  [SMALL_STATE(1520)] = 98317,
  [SMALL_STATE(1521)] = 98361,
  [SMALL_STATE(1522)] = 98405,
  [SMALL_STATE(1523)] = 98453,
  [SMALL_STATE(1524)] = 98497,
  [SMALL_STATE(1525)] = 98541,
  [SMALL_STATE(1526)] = 98585,
  [SMALL_STATE(1527)] = 98629,
  [SMALL_STATE(1528)] = 98673,
  [SMALL_STATE(1529)] = 98719,
  [SMALL_STATE(1530)] = 98765,
  [SMALL_STATE(1531)] = 98809,
  [SMALL_STATE(1532)] = 98855,
  [SMALL_STATE(1533)] = 98901,
  [SMALL_STATE(1534)] = 98951,
  [SMALL_STATE(1535)] = 98997,
  [SMALL_STATE(1536)] = 99041,
  [SMALL_STATE(1537)] = 99085,
  [SMALL_STATE(1538)] = 99129,
  [SMALL_STATE(1539)] = 99177,
  [SMALL_STATE(1540)] = 99221,
  [SMALL_STATE(1541)] = 99265,
  [SMALL_STATE(1542)] = 99309,
  [SMALL_STATE(1543)] = 99353,
  [SMALL_STATE(1544)] = 99397,
  [SMALL_STATE(1545)] = 99441,
  [SMALL_STATE(1546)] = 99485,
  [SMALL_STATE(1547)] = 99529,
  [SMALL_STATE(1548)] = 99573,
  [SMALL_STATE(1549)] = 99617,
  [SMALL_STATE(1550)] = 99663,
  [SMALL_STATE(1551)] = 99709,
  [SMALL_STATE(1552)] = 99755,
  [SMALL_STATE(1553)] = 99799,
  [SMALL_STATE(1554)] = 99843,
  [SMALL_STATE(1555)] = 99887,
  [SMALL_STATE(1556)] = 99931,
  [SMALL_STATE(1557)] = 99975,
  [SMALL_STATE(1558)] = 100021,
  [SMALL_STATE(1559)] = 100069,
  [SMALL_STATE(1560)] = 100117,
  [SMALL_STATE(1561)] = 100161,
  [SMALL_STATE(1562)] = 100205,
  [SMALL_STATE(1563)] = 100251,
  [SMALL_STATE(1564)] = 100297,
  [SMALL_STATE(1565)] = 100343,
  [SMALL_STATE(1566)] = 100387,
  [SMALL_STATE(1567)] = 100431,
  [SMALL_STATE(1568)] = 100475,
  [SMALL_STATE(1569)] = 100519,
  [SMALL_STATE(1570)] = 100565,
  [SMALL_STATE(1571)] = 100613,
  [SMALL_STATE(1572)] = 100661,
  [SMALL_STATE(1573)] = 100709,
  [SMALL_STATE(1574)] = 100757,
  [SMALL_STATE(1575)] = 100805,
  [SMALL_STATE(1576)] = 100853,
  [SMALL_STATE(1577)] = 100901,
  [SMALL_STATE(1578)] = 100945,
  [SMALL_STATE(1579)] = 100989,
  [SMALL_STATE(1580)] = 101033,
  [SMALL_STATE(1581)] = 101077,
  [SMALL_STATE(1582)] = 101121,
  [SMALL_STATE(1583)] = 101165,
  [SMALL_STATE(1584)] = 101209,
  [SMALL_STATE(1585)] = 101253,
  [SMALL_STATE(1586)] = 101297,
  [SMALL_STATE(1587)] = 101341,
  [SMALL_STATE(1588)] = 101385,
  [SMALL_STATE(1589)] = 101429,
  [SMALL_STATE(1590)] = 101473,
  [SMALL_STATE(1591)] = 101517,
  [SMALL_STATE(1592)] = 101560,
  [SMALL_STATE(1593)] = 101607,
  [SMALL_STATE(1594)] = 101654,
  [SMALL_STATE(1595)] = 101701,
  [SMALL_STATE(1596)] = 101744,
  [SMALL_STATE(1597)] = 101791,
  [SMALL_STATE(1598)] = 101838,
  [SMALL_STATE(1599)] = 101881,
  [SMALL_STATE(1600)] = 101928,
  [SMALL_STATE(1601)] = 101975,
  [SMALL_STATE(1602)] = 102022,
  [SMALL_STATE(1603)] = 102069,
  [SMALL_STATE(1604)] = 102112,
  [SMALL_STATE(1605)] = 102155,
  [SMALL_STATE(1606)] = 102198,
  [SMALL_STATE(1607)] = 102241,
  [SMALL_STATE(1608)] = 102288,
  [SMALL_STATE(1609)] = 102335,
  [SMALL_STATE(1610)] = 102382,
  [SMALL_STATE(1611)] = 102425,
  [SMALL_STATE(1612)] = 102468,
  [SMALL_STATE(1613)] = 102511,
  [SMALL_STATE(1614)] = 102554,
  [SMALL_STATE(1615)] = 102597,
  [SMALL_STATE(1616)] = 102640,
  [SMALL_STATE(1617)] = 102683,
  [SMALL_STATE(1618)] = 102734,
  [SMALL_STATE(1619)] = 102777,
  [SMALL_STATE(1620)] = 102820,
  [SMALL_STATE(1621)] = 102863,
  [SMALL_STATE(1622)] = 102906,
  [SMALL_STATE(1623)] = 102949,
  [SMALL_STATE(1624)] = 102992,
  [SMALL_STATE(1625)] = 103035,
  [SMALL_STATE(1626)] = 103078,
  [SMALL_STATE(1627)] = 103121,
  [SMALL_STATE(1628)] = 103164,
  [SMALL_STATE(1629)] = 103207,
  [SMALL_STATE(1630)] = 103250,
  [SMALL_STATE(1631)] = 103293,
  [SMALL_STATE(1632)] = 103336,
  [SMALL_STATE(1633)] = 103379,
  [SMALL_STATE(1634)] = 103422,
  [SMALL_STATE(1635)] = 103465,
  [SMALL_STATE(1636)] = 103508,
  [SMALL_STATE(1637)] = 103551,
  [SMALL_STATE(1638)] = 103594,
  [SMALL_STATE(1639)] = 103637,
  [SMALL_STATE(1640)] = 103680,
  [SMALL_STATE(1641)] = 103723,
  [SMALL_STATE(1642)] = 103766,
  [SMALL_STATE(1643)] = 103809,
  [SMALL_STATE(1644)] = 103852,
  [SMALL_STATE(1645)] = 103895,
  [SMALL_STATE(1646)] = 103938,
  [SMALL_STATE(1647)] = 103981,
  [SMALL_STATE(1648)] = 104024,
  [SMALL_STATE(1649)] = 104067,
  [SMALL_STATE(1650)] = 104110,
  [SMALL_STATE(1651)] = 104153,
  [SMALL_STATE(1652)] = 104196,
  [SMALL_STATE(1653)] = 104239,
  [SMALL_STATE(1654)] = 104282,
  [SMALL_STATE(1655)] = 104325,
  [SMALL_STATE(1656)] = 104368,
  [SMALL_STATE(1657)] = 104411,
  [SMALL_STATE(1658)] = 104454,
  [SMALL_STATE(1659)] = 104497,
  [SMALL_STATE(1660)] = 104540,
  [SMALL_STATE(1661)] = 104583,
  [SMALL_STATE(1662)] = 104626,
  [SMALL_STATE(1663)] = 104671,
  [SMALL_STATE(1664)] = 104716,
  [SMALL_STATE(1665)] = 104761,
  [SMALL_STATE(1666)] = 104808,
  [SMALL_STATE(1667)] = 104855,
  [SMALL_STATE(1668)] = 104898,
  [SMALL_STATE(1669)] = 104941,
  [SMALL_STATE(1670)] = 104986,
  [SMALL_STATE(1671)] = 105031,
  [SMALL_STATE(1672)] = 105076,
  [SMALL_STATE(1673)] = 105119,
  [SMALL_STATE(1674)] = 105162,
  [SMALL_STATE(1675)] = 105207,
  [SMALL_STATE(1676)] = 105254,
  [SMALL_STATE(1677)] = 105301,
  [SMALL_STATE(1678)] = 105348,
  [SMALL_STATE(1679)] = 105393,
  [SMALL_STATE(1680)] = 105438,
  [SMALL_STATE(1681)] = 105481,
  [SMALL_STATE(1682)] = 105526,
  [SMALL_STATE(1683)] = 105569,
  [SMALL_STATE(1684)] = 105612,
  [SMALL_STATE(1685)] = 105655,
  [SMALL_STATE(1686)] = 105698,
  [SMALL_STATE(1687)] = 105741,
  [SMALL_STATE(1688)] = 105784,
  [SMALL_STATE(1689)] = 105827,
  [SMALL_STATE(1690)] = 105870,
  [SMALL_STATE(1691)] = 105913,
  [SMALL_STATE(1692)] = 105956,
  [SMALL_STATE(1693)] = 105999,
  [SMALL_STATE(1694)] = 106042,
  [SMALL_STATE(1695)] = 106085,
  [SMALL_STATE(1696)] = 106128,
  [SMALL_STATE(1697)] = 106175,
  [SMALL_STATE(1698)] = 106222,
  [SMALL_STATE(1699)] = 106265,
  [SMALL_STATE(1700)] = 106308,
  [SMALL_STATE(1701)] = 106351,
  [SMALL_STATE(1702)] = 106394,
  [SMALL_STATE(1703)] = 106437,
  [SMALL_STATE(1704)] = 106480,
  [SMALL_STATE(1705)] = 106523,
  [SMALL_STATE(1706)] = 106566,
  [SMALL_STATE(1707)] = 106609,
  [SMALL_STATE(1708)] = 106652,
  [SMALL_STATE(1709)] = 106695,
  [SMALL_STATE(1710)] = 106738,
  [SMALL_STATE(1711)] = 106781,
  [SMALL_STATE(1712)] = 106824,
  [SMALL_STATE(1713)] = 106867,
  [SMALL_STATE(1714)] = 106910,
  [SMALL_STATE(1715)] = 106953,
  [SMALL_STATE(1716)] = 106996,
  [SMALL_STATE(1717)] = 107039,
  [SMALL_STATE(1718)] = 107082,
  [SMALL_STATE(1719)] = 107125,
  [SMALL_STATE(1720)] = 107168,
  [SMALL_STATE(1721)] = 107213,
  [SMALL_STATE(1722)] = 107256,
  [SMALL_STATE(1723)] = 107301,
  [SMALL_STATE(1724)] = 107344,
  [SMALL_STATE(1725)] = 107387,
  [SMALL_STATE(1726)] = 107430,
  [SMALL_STATE(1727)] = 107473,
  [SMALL_STATE(1728)] = 107516,
  [SMALL_STATE(1729)] = 107559,
  [SMALL_STATE(1730)] = 107602,
  [SMALL_STATE(1731)] = 107645,
  [SMALL_STATE(1732)] = 107690,
  [SMALL_STATE(1733)] = 107733,
  [SMALL_STATE(1734)] = 107778,
  [SMALL_STATE(1735)] = 107823,
  [SMALL_STATE(1736)] = 107866,
  [SMALL_STATE(1737)] = 107909,
  [SMALL_STATE(1738)] = 107952,
  [SMALL_STATE(1739)] = 107995,
  [SMALL_STATE(1740)] = 108040,
  [SMALL_STATE(1741)] = 108083,
  [SMALL_STATE(1742)] = 108126,
  [SMALL_STATE(1743)] = 108169,
  [SMALL_STATE(1744)] = 108212,
  [SMALL_STATE(1745)] = 108255,
  [SMALL_STATE(1746)] = 108298,
  [SMALL_STATE(1747)] = 108341,
  [SMALL_STATE(1748)] = 108384,
  [SMALL_STATE(1749)] = 108427,
  [SMALL_STATE(1750)] = 108470,
  [SMALL_STATE(1751)] = 108513,
  [SMALL_STATE(1752)] = 108556,
  [SMALL_STATE(1753)] = 108599,
  [SMALL_STATE(1754)] = 108642,
  [SMALL_STATE(1755)] = 108685,
  [SMALL_STATE(1756)] = 108728,
  [SMALL_STATE(1757)] = 108773,
  [SMALL_STATE(1758)] = 108816,
  [SMALL_STATE(1759)] = 108859,
  [SMALL_STATE(1760)] = 108902,
  [SMALL_STATE(1761)] = 108945,
  [SMALL_STATE(1762)] = 108988,
  [SMALL_STATE(1763)] = 109031,
  [SMALL_STATE(1764)] = 109074,
  [SMALL_STATE(1765)] = 109117,
  [SMALL_STATE(1766)] = 109160,
  [SMALL_STATE(1767)] = 109203,
  [SMALL_STATE(1768)] = 109254,
  [SMALL_STATE(1769)] = 109297,
  [SMALL_STATE(1770)] = 109340,
  [SMALL_STATE(1771)] = 109383,
  [SMALL_STATE(1772)] = 109426,
  [SMALL_STATE(1773)] = 109469,
  [SMALL_STATE(1774)] = 109516,
  [SMALL_STATE(1775)] = 109563,
  [SMALL_STATE(1776)] = 109610,
  [SMALL_STATE(1777)] = 109653,
  [SMALL_STATE(1778)] = 109695,
  [SMALL_STATE(1779)] = 109737,
  [SMALL_STATE(1780)] = 109781,
  [SMALL_STATE(1781)] = 109825,
  [SMALL_STATE(1782)] = 109869,
  [SMALL_STATE(1783)] = 109913,
  [SMALL_STATE(1784)] = 109959,
  [SMALL_STATE(1785)] = 110005,
  [SMALL_STATE(1786)] = 110055,
  [SMALL_STATE(1787)] = 110097,
  [SMALL_STATE(1788)] = 110139,
  [SMALL_STATE(1789)] = 110181,
  [SMALL_STATE(1790)] = 110223,
  [SMALL_STATE(1791)] = 110265,
  [SMALL_STATE(1792)] = 110307,
  [SMALL_STATE(1793)] = 110349,
  [SMALL_STATE(1794)] = 110391,
  [SMALL_STATE(1795)] = 110433,
  [SMALL_STATE(1796)] = 110475,
  [SMALL_STATE(1797)] = 110521,
  [SMALL_STATE(1798)] = 110567,
  [SMALL_STATE(1799)] = 110609,
  [SMALL_STATE(1800)] = 110651,
  [SMALL_STATE(1801)] = 110693,
  [SMALL_STATE(1802)] = 110735,
  [SMALL_STATE(1803)] = 110777,
  [SMALL_STATE(1804)] = 110819,
  [SMALL_STATE(1805)] = 110861,
  [SMALL_STATE(1806)] = 110905,
  [SMALL_STATE(1807)] = 110949,
  [SMALL_STATE(1808)] = 110993,
  [SMALL_STATE(1809)] = 111035,
  [SMALL_STATE(1810)] = 111077,
  [SMALL_STATE(1811)] = 111119,
  [SMALL_STATE(1812)] = 111161,
  [SMALL_STATE(1813)] = 111203,
  [SMALL_STATE(1814)] = 111245,
  [SMALL_STATE(1815)] = 111287,
  [SMALL_STATE(1816)] = 111329,
  [SMALL_STATE(1817)] = 111371,
  [SMALL_STATE(1818)] = 111419,
  [SMALL_STATE(1819)] = 111461,
  [SMALL_STATE(1820)] = 111505,
  [SMALL_STATE(1821)] = 111547,
  [SMALL_STATE(1822)] = 111589,
  [SMALL_STATE(1823)] = 111631,
  [SMALL_STATE(1824)] = 111673,
  [SMALL_STATE(1825)] = 111715,
  [SMALL_STATE(1826)] = 111757,
  [SMALL_STATE(1827)] = 111799,
  [SMALL_STATE(1828)] = 111841,
  [SMALL_STATE(1829)] = 111883,
  [SMALL_STATE(1830)] = 111926,
  [SMALL_STATE(1831)] = 111969,
  [SMALL_STATE(1832)] = 112010,
  [SMALL_STATE(1833)] = 112051,
  [SMALL_STATE(1834)] = 112092,
  [SMALL_STATE(1835)] = 112135,
  [SMALL_STATE(1836)] = 112178,
  [SMALL_STATE(1837)] = 112221,
  [SMALL_STATE(1838)] = 112262,
  [SMALL_STATE(1839)] = 112305,
  [SMALL_STATE(1840)] = 112348,
  [SMALL_STATE(1841)] = 112422,
  [SMALL_STATE(1842)] = 112496,
  [SMALL_STATE(1843)] = 112535,
  [SMALL_STATE(1844)] = 112576,
  [SMALL_STATE(1845)] = 112617,
  [SMALL_STATE(1846)] = 112656,
  [SMALL_STATE(1847)] = 112697,
  [SMALL_STATE(1848)] = 112738,
  [SMALL_STATE(1849)] = 112779,
  [SMALL_STATE(1850)] = 112818,
  [SMALL_STATE(1851)] = 112857,
  [SMALL_STATE(1852)] = 112896,
  [SMALL_STATE(1853)] = 112935,
  [SMALL_STATE(1854)] = 112974,
  [SMALL_STATE(1855)] = 113015,
  [SMALL_STATE(1856)] = 113056,
  [SMALL_STATE(1857)] = 113097,
  [SMALL_STATE(1858)] = 113138,
  [SMALL_STATE(1859)] = 113179,
  [SMALL_STATE(1860)] = 113220,
  [SMALL_STATE(1861)] = 113259,
  [SMALL_STATE(1862)] = 113298,
  [SMALL_STATE(1863)] = 113366,
  [SMALL_STATE(1864)] = 113434,
  [SMALL_STATE(1865)] = 113502,
  [SMALL_STATE(1866)] = 113570,
  [SMALL_STATE(1867)] = 113638,
  [SMALL_STATE(1868)] = 113706,
  [SMALL_STATE(1869)] = 113774,
  [SMALL_STATE(1870)] = 113842,
  [SMALL_STATE(1871)] = 113910,
  [SMALL_STATE(1872)] = 113978,
  [SMALL_STATE(1873)] = 114046,
  [SMALL_STATE(1874)] = 114114,
  [SMALL_STATE(1875)] = 114182,
  [SMALL_STATE(1876)] = 114250,
  [SMALL_STATE(1877)] = 114318,
  [SMALL_STATE(1878)] = 114386,
  [SMALL_STATE(1879)] = 114454,
  [SMALL_STATE(1880)] = 114522,
  [SMALL_STATE(1881)] = 114590,
  [SMALL_STATE(1882)] = 114658,
  [SMALL_STATE(1883)] = 114726,
  [SMALL_STATE(1884)] = 114794,
  [SMALL_STATE(1885)] = 114862,
  [SMALL_STATE(1886)] = 114930,
  [SMALL_STATE(1887)] = 114998,
  [SMALL_STATE(1888)] = 115066,
  [SMALL_STATE(1889)] = 115134,
  [SMALL_STATE(1890)] = 115202,
  [SMALL_STATE(1891)] = 115270,
  [SMALL_STATE(1892)] = 115338,
  [SMALL_STATE(1893)] = 115406,
  [SMALL_STATE(1894)] = 115474,
  [SMALL_STATE(1895)] = 115542,
  [SMALL_STATE(1896)] = 115610,
  [SMALL_STATE(1897)] = 115678,
  [SMALL_STATE(1898)] = 115746,
  [SMALL_STATE(1899)] = 115811,
  [SMALL_STATE(1900)] = 115876,
  [SMALL_STATE(1901)] = 115941,
  [SMALL_STATE(1902)] = 116006,
  [SMALL_STATE(1903)] = 116071,
  [SMALL_STATE(1904)] = 116137,
  [SMALL_STATE(1905)] = 116203,
  [SMALL_STATE(1906)] = 116269,
  [SMALL_STATE(1907)] = 116335,
  [SMALL_STATE(1908)] = 116401,
  [SMALL_STATE(1909)] = 116467,
  [SMALL_STATE(1910)] = 116533,
  [SMALL_STATE(1911)] = 116599,
  [SMALL_STATE(1912)] = 116665,
  [SMALL_STATE(1913)] = 116731,
  [SMALL_STATE(1914)] = 116797,
  [SMALL_STATE(1915)] = 116863,
  [SMALL_STATE(1916)] = 116929,
  [SMALL_STATE(1917)] = 116995,
  [SMALL_STATE(1918)] = 117061,
  [SMALL_STATE(1919)] = 117127,
  [SMALL_STATE(1920)] = 117193,
  [SMALL_STATE(1921)] = 117259,
  [SMALL_STATE(1922)] = 117325,
  [SMALL_STATE(1923)] = 117391,
  [SMALL_STATE(1924)] = 117454,
  [SMALL_STATE(1925)] = 117512,
  [SMALL_STATE(1926)] = 117570,
  [SMALL_STATE(1927)] = 117628,
  [SMALL_STATE(1928)] = 117686,
  [SMALL_STATE(1929)] = 117744,
  [SMALL_STATE(1930)] = 117802,
  [SMALL_STATE(1931)] = 117860,
  [SMALL_STATE(1932)] = 117918,
  [SMALL_STATE(1933)] = 117960,
  [SMALL_STATE(1934)] = 118002,
  [SMALL_STATE(1935)] = 118034,
  [SMALL_STATE(1936)] = 118066,
  [SMALL_STATE(1937)] = 118098,
  [SMALL_STATE(1938)] = 118130,
  [SMALL_STATE(1939)] = 118162,
  [SMALL_STATE(1940)] = 118202,
  [SMALL_STATE(1941)] = 118234,
  [SMALL_STATE(1942)] = 118266,
  [SMALL_STATE(1943)] = 118306,
  [SMALL_STATE(1944)] = 118346,
  [SMALL_STATE(1945)] = 118386,
  [SMALL_STATE(1946)] = 118437,
  [SMALL_STATE(1947)] = 118468,
  [SMALL_STATE(1948)] = 118507,
  [SMALL_STATE(1949)] = 118558,
  [SMALL_STATE(1950)] = 118597,
  [SMALL_STATE(1951)] = 118648,
  [SMALL_STATE(1952)] = 118699,
  [SMALL_STATE(1953)] = 118750,
  [SMALL_STATE(1954)] = 118781,
  [SMALL_STATE(1955)] = 118832,
  [SMALL_STATE(1956)] = 118883,
  [SMALL_STATE(1957)] = 118914,
  [SMALL_STATE(1958)] = 118945,
  [SMALL_STATE(1959)] = 118996,
  [SMALL_STATE(1960)] = 119033,
  [SMALL_STATE(1961)] = 119084,
  [SMALL_STATE(1962)] = 119115,
  [SMALL_STATE(1963)] = 119166,
  [SMALL_STATE(1964)] = 119197,
  [SMALL_STATE(1965)] = 119234,
  [SMALL_STATE(1966)] = 119265,
  [SMALL_STATE(1967)] = 119316,
  [SMALL_STATE(1968)] = 119355,
  [SMALL_STATE(1969)] = 119394,
  [SMALL_STATE(1970)] = 119432,
  [SMALL_STATE(1971)] = 119482,
  [SMALL_STATE(1972)] = 119532,
  [SMALL_STATE(1973)] = 119570,
  [SMALL_STATE(1974)] = 119600,
  [SMALL_STATE(1975)] = 119630,
  [SMALL_STATE(1976)] = 119680,
  [SMALL_STATE(1977)] = 119710,
  [SMALL_STATE(1978)] = 119760,
  [SMALL_STATE(1979)] = 119808,
  [SMALL_STATE(1980)] = 119838,
  [SMALL_STATE(1981)] = 119886,
  [SMALL_STATE(1982)] = 119936,
  [SMALL_STATE(1983)] = 119966,
  [SMALL_STATE(1984)] = 120016,
  [SMALL_STATE(1985)] = 120046,
  [SMALL_STATE(1986)] = 120096,
  [SMALL_STATE(1987)] = 120126,
  [SMALL_STATE(1988)] = 120176,
  [SMALL_STATE(1989)] = 120206,
  [SMALL_STATE(1990)] = 120244,
  [SMALL_STATE(1991)] = 120294,
  [SMALL_STATE(1992)] = 120344,
  [SMALL_STATE(1993)] = 120382,
  [SMALL_STATE(1994)] = 120411,
  [SMALL_STATE(1995)] = 120440,
  [SMALL_STATE(1996)] = 120469,
  [SMALL_STATE(1997)] = 120514,
  [SMALL_STATE(1998)] = 120543,
  [SMALL_STATE(1999)] = 120572,
  [SMALL_STATE(2000)] = 120601,
  [SMALL_STATE(2001)] = 120630,
  [SMALL_STATE(2002)] = 120659,
  [SMALL_STATE(2003)] = 120688,
  [SMALL_STATE(2004)] = 120717,
  [SMALL_STATE(2005)] = 120746,
  [SMALL_STATE(2006)] = 120791,
  [SMALL_STATE(2007)] = 120836,
  [SMALL_STATE(2008)] = 120865,
  [SMALL_STATE(2009)] = 120894,
  [SMALL_STATE(2010)] = 120923,
  [SMALL_STATE(2011)] = 120952,
  [SMALL_STATE(2012)] = 120981,
  [SMALL_STATE(2013)] = 121026,
  [SMALL_STATE(2014)] = 121055,
  [SMALL_STATE(2015)] = 121084,
  [SMALL_STATE(2016)] = 121113,
  [SMALL_STATE(2017)] = 121142,
  [SMALL_STATE(2018)] = 121171,
  [SMALL_STATE(2019)] = 121200,
  [SMALL_STATE(2020)] = 121224,
  [SMALL_STATE(2021)] = 121248,
  [SMALL_STATE(2022)] = 121290,
  [SMALL_STATE(2023)] = 121318,
  [SMALL_STATE(2024)] = 121342,
  [SMALL_STATE(2025)] = 121370,
  [SMALL_STATE(2026)] = 121394,
  [SMALL_STATE(2027)] = 121436,
  [SMALL_STATE(2028)] = 121459,
  [SMALL_STATE(2029)] = 121482,
  [SMALL_STATE(2030)] = 121505,
  [SMALL_STATE(2031)] = 121528,
  [SMALL_STATE(2032)] = 121554,
  [SMALL_STATE(2033)] = 121578,
  [SMALL_STATE(2034)] = 121604,
  [SMALL_STATE(2035)] = 121630,
  [SMALL_STATE(2036)] = 121656,
  [SMALL_STATE(2037)] = 121676,
  [SMALL_STATE(2038)] = 121703,
  [SMALL_STATE(2039)] = 121722,
  [SMALL_STATE(2040)] = 121743,
  [SMALL_STATE(2041)] = 121784,
  [SMALL_STATE(2042)] = 121825,
  [SMALL_STATE(2043)] = 121852,
  [SMALL_STATE(2044)] = 121893,
  [SMALL_STATE(2045)] = 121934,
  [SMALL_STATE(2046)] = 121953,
  [SMALL_STATE(2047)] = 121994,
  [SMALL_STATE(2048)] = 122035,
  [SMALL_STATE(2049)] = 122054,
  [SMALL_STATE(2050)] = 122095,
  [SMALL_STATE(2051)] = 122136,
  [SMALL_STATE(2052)] = 122161,
  [SMALL_STATE(2053)] = 122184,
  [SMALL_STATE(2054)] = 122211,
  [SMALL_STATE(2055)] = 122249,
  [SMALL_STATE(2056)] = 122287,
  [SMALL_STATE(2057)] = 122325,
  [SMALL_STATE(2058)] = 122363,
  [SMALL_STATE(2059)] = 122401,
  [SMALL_STATE(2060)] = 122439,
  [SMALL_STATE(2061)] = 122477,
  [SMALL_STATE(2062)] = 122515,
  [SMALL_STATE(2063)] = 122553,
  [SMALL_STATE(2064)] = 122591,
  [SMALL_STATE(2065)] = 122629,
  [SMALL_STATE(2066)] = 122667,
  [SMALL_STATE(2067)] = 122705,
  [SMALL_STATE(2068)] = 122743,
  [SMALL_STATE(2069)] = 122781,
  [SMALL_STATE(2070)] = 122819,
  [SMALL_STATE(2071)] = 122857,
  [SMALL_STATE(2072)] = 122895,
  [SMALL_STATE(2073)] = 122927,
  [SMALL_STATE(2074)] = 122965,
  [SMALL_STATE(2075)] = 123003,
  [SMALL_STATE(2076)] = 123041,
  [SMALL_STATE(2077)] = 123079,
  [SMALL_STATE(2078)] = 123117,
  [SMALL_STATE(2079)] = 123155,
  [SMALL_STATE(2080)] = 123193,
  [SMALL_STATE(2081)] = 123214,
  [SMALL_STATE(2082)] = 123243,
  [SMALL_STATE(2083)] = 123268,
  [SMALL_STATE(2084)] = 123297,
  [SMALL_STATE(2085)] = 123326,
  [SMALL_STATE(2086)] = 123355,
  [SMALL_STATE(2087)] = 123380,
  [SMALL_STATE(2088)] = 123409,
  [SMALL_STATE(2089)] = 123426,
  [SMALL_STATE(2090)] = 123451,
  [SMALL_STATE(2091)] = 123480,
  [SMALL_STATE(2092)] = 123497,
  [SMALL_STATE(2093)] = 123526,
  [SMALL_STATE(2094)] = 123555,
  [SMALL_STATE(2095)] = 123582,
  [SMALL_STATE(2096)] = 123611,
  [SMALL_STATE(2097)] = 123634,
  [SMALL_STATE(2098)] = 123651,
  [SMALL_STATE(2099)] = 123680,
  [SMALL_STATE(2100)] = 123705,
  [SMALL_STATE(2101)] = 123726,
  [SMALL_STATE(2102)] = 123743,
  [SMALL_STATE(2103)] = 123772,
  [SMALL_STATE(2104)] = 123797,
  [SMALL_STATE(2105)] = 123822,
  [SMALL_STATE(2106)] = 123849,
  [SMALL_STATE(2107)] = 123878,
  [SMALL_STATE(2108)] = 123907,
  [SMALL_STATE(2109)] = 123936,
  [SMALL_STATE(2110)] = 123965,
  [SMALL_STATE(2111)] = 123994,
  [SMALL_STATE(2112)] = 124019,
  [SMALL_STATE(2113)] = 124036,
  [SMALL_STATE(2114)] = 124055,
  [SMALL_STATE(2115)] = 124078,
  [SMALL_STATE(2116)] = 124107,
  [SMALL_STATE(2117)] = 124124,
  [SMALL_STATE(2118)] = 124143,
  [SMALL_STATE(2119)] = 124172,
  [SMALL_STATE(2120)] = 124197,
  [SMALL_STATE(2121)] = 124226,
  [SMALL_STATE(2122)] = 124255,
  [SMALL_STATE(2123)] = 124284,
  [SMALL_STATE(2124)] = 124308,
  [SMALL_STATE(2125)] = 124326,
  [SMALL_STATE(2126)] = 124346,
  [SMALL_STATE(2127)] = 124368,
  [SMALL_STATE(2128)] = 124390,
  [SMALL_STATE(2129)] = 124414,
  [SMALL_STATE(2130)] = 124438,
  [SMALL_STATE(2131)] = 124462,
  [SMALL_STATE(2132)] = 124494,
  [SMALL_STATE(2133)] = 124518,
  [SMALL_STATE(2134)] = 124542,
  [SMALL_STATE(2135)] = 124560,
  [SMALL_STATE(2136)] = 124592,
  [SMALL_STATE(2137)] = 124608,
  [SMALL_STATE(2138)] = 124628,
  [SMALL_STATE(2139)] = 124650,
  [SMALL_STATE(2140)] = 124674,
  [SMALL_STATE(2141)] = 124692,
  [SMALL_STATE(2142)] = 124714,
  [SMALL_STATE(2143)] = 124746,
  [SMALL_STATE(2144)] = 124770,
  [SMALL_STATE(2145)] = 124802,
  [SMALL_STATE(2146)] = 124826,
  [SMALL_STATE(2147)] = 124856,
  [SMALL_STATE(2148)] = 124874,
  [SMALL_STATE(2149)] = 124906,
  [SMALL_STATE(2150)] = 124938,
  [SMALL_STATE(2151)] = 124970,
  [SMALL_STATE(2152)] = 124986,
  [SMALL_STATE(2153)] = 125006,
  [SMALL_STATE(2154)] = 125026,
  [SMALL_STATE(2155)] = 125050,
  [SMALL_STATE(2156)] = 125082,
  [SMALL_STATE(2157)] = 125106,
  [SMALL_STATE(2158)] = 125128,
  [SMALL_STATE(2159)] = 125160,
  [SMALL_STATE(2160)] = 125180,
  [SMALL_STATE(2161)] = 125204,
  [SMALL_STATE(2162)] = 125228,
  [SMALL_STATE(2163)] = 125244,
  [SMALL_STATE(2164)] = 125276,
  [SMALL_STATE(2165)] = 125292,
  [SMALL_STATE(2166)] = 125312,
  [SMALL_STATE(2167)] = 125328,
  [SMALL_STATE(2168)] = 125344,
  [SMALL_STATE(2169)] = 125362,
  [SMALL_STATE(2170)] = 125381,
  [SMALL_STATE(2171)] = 125398,
  [SMALL_STATE(2172)] = 125423,
  [SMALL_STATE(2173)] = 125446,
  [SMALL_STATE(2174)] = 125471,
  [SMALL_STATE(2175)] = 125492,
  [SMALL_STATE(2176)] = 125519,
  [SMALL_STATE(2177)] = 125540,
  [SMALL_STATE(2178)] = 125561,
  [SMALL_STATE(2179)] = 125584,
  [SMALL_STATE(2180)] = 125607,
  [SMALL_STATE(2181)] = 125622,
  [SMALL_STATE(2182)] = 125645,
  [SMALL_STATE(2183)] = 125666,
  [SMALL_STATE(2184)] = 125691,
  [SMALL_STATE(2185)] = 125710,
  [SMALL_STATE(2186)] = 125731,
  [SMALL_STATE(2187)] = 125750,
  [SMALL_STATE(2188)] = 125771,
  [SMALL_STATE(2189)] = 125798,
  [SMALL_STATE(2190)] = 125821,
  [SMALL_STATE(2191)] = 125838,
  [SMALL_STATE(2192)] = 125855,
  [SMALL_STATE(2193)] = 125880,
  [SMALL_STATE(2194)] = 125901,
  [SMALL_STATE(2195)] = 125922,
  [SMALL_STATE(2196)] = 125943,
  [SMALL_STATE(2197)] = 125970,
  [SMALL_STATE(2198)] = 125997,
  [SMALL_STATE(2199)] = 126020,
  [SMALL_STATE(2200)] = 126047,
  [SMALL_STATE(2201)] = 126068,
  [SMALL_STATE(2202)] = 126095,
  [SMALL_STATE(2203)] = 126116,
  [SMALL_STATE(2204)] = 126137,
  [SMALL_STATE(2205)] = 126156,
  [SMALL_STATE(2206)] = 126183,
  [SMALL_STATE(2207)] = 126200,
  [SMALL_STATE(2208)] = 126223,
  [SMALL_STATE(2209)] = 126240,
  [SMALL_STATE(2210)] = 126261,
  [SMALL_STATE(2211)] = 126284,
  [SMALL_STATE(2212)] = 126305,
  [SMALL_STATE(2213)] = 126326,
  [SMALL_STATE(2214)] = 126347,
  [SMALL_STATE(2215)] = 126364,
  [SMALL_STATE(2216)] = 126391,
  [SMALL_STATE(2217)] = 126409,
  [SMALL_STATE(2218)] = 126431,
  [SMALL_STATE(2219)] = 126449,
  [SMALL_STATE(2220)] = 126471,
  [SMALL_STATE(2221)] = 126495,
  [SMALL_STATE(2222)] = 126519,
  [SMALL_STATE(2223)] = 126543,
  [SMALL_STATE(2224)] = 126561,
  [SMALL_STATE(2225)] = 126583,
  [SMALL_STATE(2226)] = 126601,
  [SMALL_STATE(2227)] = 126627,
  [SMALL_STATE(2228)] = 126651,
  [SMALL_STATE(2229)] = 126673,
  [SMALL_STATE(2230)] = 126689,
  [SMALL_STATE(2231)] = 126711,
  [SMALL_STATE(2232)] = 126737,
  [SMALL_STATE(2233)] = 126759,
  [SMALL_STATE(2234)] = 126781,
  [SMALL_STATE(2235)] = 126801,
  [SMALL_STATE(2236)] = 126823,
  [SMALL_STATE(2237)] = 126849,
  [SMALL_STATE(2238)] = 126875,
  [SMALL_STATE(2239)] = 126897,
  [SMALL_STATE(2240)] = 126923,
  [SMALL_STATE(2241)] = 126945,
  [SMALL_STATE(2242)] = 126967,
  [SMALL_STATE(2243)] = 126993,
  [SMALL_STATE(2244)] = 127019,
  [SMALL_STATE(2245)] = 127039,
  [SMALL_STATE(2246)] = 127065,
  [SMALL_STATE(2247)] = 127083,
  [SMALL_STATE(2248)] = 127109,
  [SMALL_STATE(2249)] = 127127,
  [SMALL_STATE(2250)] = 127153,
  [SMALL_STATE(2251)] = 127179,
  [SMALL_STATE(2252)] = 127201,
  [SMALL_STATE(2253)] = 127221,
  [SMALL_STATE(2254)] = 127239,
  [SMALL_STATE(2255)] = 127263,
  [SMALL_STATE(2256)] = 127281,
  [SMALL_STATE(2257)] = 127299,
  [SMALL_STATE(2258)] = 127325,
  [SMALL_STATE(2259)] = 127343,
  [SMALL_STATE(2260)] = 127361,
  [SMALL_STATE(2261)] = 127387,
  [SMALL_STATE(2262)] = 127409,
  [SMALL_STATE(2263)] = 127435,
  [SMALL_STATE(2264)] = 127453,
  [SMALL_STATE(2265)] = 127479,
  [SMALL_STATE(2266)] = 127495,
  [SMALL_STATE(2267)] = 127521,
  [SMALL_STATE(2268)] = 127547,
  [SMALL_STATE(2269)] = 127573,
  [SMALL_STATE(2270)] = 127586,
  [SMALL_STATE(2271)] = 127607,
  [SMALL_STATE(2272)] = 127624,
  [SMALL_STATE(2273)] = 127645,
  [SMALL_STATE(2274)] = 127668,
  [SMALL_STATE(2275)] = 127685,
  [SMALL_STATE(2276)] = 127708,
  [SMALL_STATE(2277)] = 127729,
  [SMALL_STATE(2278)] = 127742,
  [SMALL_STATE(2279)] = 127757,
  [SMALL_STATE(2280)] = 127778,
  [SMALL_STATE(2281)] = 127799,
  [SMALL_STATE(2282)] = 127812,
  [SMALL_STATE(2283)] = 127829,
  [SMALL_STATE(2284)] = 127850,
  [SMALL_STATE(2285)] = 127867,
  [SMALL_STATE(2286)] = 127884,
  [SMALL_STATE(2287)] = 127901,
  [SMALL_STATE(2288)] = 127922,
  [SMALL_STATE(2289)] = 127943,
  [SMALL_STATE(2290)] = 127960,
  [SMALL_STATE(2291)] = 127983,
  [SMALL_STATE(2292)] = 127998,
  [SMALL_STATE(2293)] = 128019,
  [SMALL_STATE(2294)] = 128042,
  [SMALL_STATE(2295)] = 128055,
  [SMALL_STATE(2296)] = 128072,
  [SMALL_STATE(2297)] = 128093,
  [SMALL_STATE(2298)] = 128114,
  [SMALL_STATE(2299)] = 128127,
  [SMALL_STATE(2300)] = 128140,
  [SMALL_STATE(2301)] = 128161,
  [SMALL_STATE(2302)] = 128182,
  [SMALL_STATE(2303)] = 128199,
  [SMALL_STATE(2304)] = 128220,
  [SMALL_STATE(2305)] = 128241,
  [SMALL_STATE(2306)] = 128262,
  [SMALL_STATE(2307)] = 128279,
  [SMALL_STATE(2308)] = 128296,
  [SMALL_STATE(2309)] = 128317,
  [SMALL_STATE(2310)] = 128334,
  [SMALL_STATE(2311)] = 128351,
  [SMALL_STATE(2312)] = 128368,
  [SMALL_STATE(2313)] = 128381,
  [SMALL_STATE(2314)] = 128402,
  [SMALL_STATE(2315)] = 128419,
  [SMALL_STATE(2316)] = 128436,
  [SMALL_STATE(2317)] = 128453,
  [SMALL_STATE(2318)] = 128474,
  [SMALL_STATE(2319)] = 128495,
  [SMALL_STATE(2320)] = 128512,
  [SMALL_STATE(2321)] = 128529,
  [SMALL_STATE(2322)] = 128542,
  [SMALL_STATE(2323)] = 128559,
  [SMALL_STATE(2324)] = 128576,
  [SMALL_STATE(2325)] = 128597,
  [SMALL_STATE(2326)] = 128610,
  [SMALL_STATE(2327)] = 128627,
  [SMALL_STATE(2328)] = 128640,
  [SMALL_STATE(2329)] = 128655,
  [SMALL_STATE(2330)] = 128678,
  [SMALL_STATE(2331)] = 128695,
  [SMALL_STATE(2332)] = 128712,
  [SMALL_STATE(2333)] = 128727,
  [SMALL_STATE(2334)] = 128750,
  [SMALL_STATE(2335)] = 128771,
  [SMALL_STATE(2336)] = 128794,
  [SMALL_STATE(2337)] = 128815,
  [SMALL_STATE(2338)] = 128828,
  [SMALL_STATE(2339)] = 128845,
  [SMALL_STATE(2340)] = 128862,
  [SMALL_STATE(2341)] = 128879,
  [SMALL_STATE(2342)] = 128900,
  [SMALL_STATE(2343)] = 128913,
  [SMALL_STATE(2344)] = 128926,
  [SMALL_STATE(2345)] = 128943,
  [SMALL_STATE(2346)] = 128956,
  [SMALL_STATE(2347)] = 128969,
  [SMALL_STATE(2348)] = 128990,
  [SMALL_STATE(2349)] = 129011,
  [SMALL_STATE(2350)] = 129032,
  [SMALL_STATE(2351)] = 129053,
  [SMALL_STATE(2352)] = 129074,
  [SMALL_STATE(2353)] = 129091,
  [SMALL_STATE(2354)] = 129112,
  [SMALL_STATE(2355)] = 129131,
  [SMALL_STATE(2356)] = 129144,
  [SMALL_STATE(2357)] = 129163,
  [SMALL_STATE(2358)] = 129180,
  [SMALL_STATE(2359)] = 129195,
  [SMALL_STATE(2360)] = 129216,
  [SMALL_STATE(2361)] = 129229,
  [SMALL_STATE(2362)] = 129242,
  [SMALL_STATE(2363)] = 129259,
  [SMALL_STATE(2364)] = 129276,
  [SMALL_STATE(2365)] = 129297,
  [SMALL_STATE(2366)] = 129318,
  [SMALL_STATE(2367)] = 129339,
  [SMALL_STATE(2368)] = 129352,
  [SMALL_STATE(2369)] = 129369,
  [SMALL_STATE(2370)] = 129390,
  [SMALL_STATE(2371)] = 129403,
  [SMALL_STATE(2372)] = 129418,
  [SMALL_STATE(2373)] = 129439,
  [SMALL_STATE(2374)] = 129456,
  [SMALL_STATE(2375)] = 129469,
  [SMALL_STATE(2376)] = 129482,
  [SMALL_STATE(2377)] = 129497,
  [SMALL_STATE(2378)] = 129512,
  [SMALL_STATE(2379)] = 129525,
  [SMALL_STATE(2380)] = 129542,
  [SMALL_STATE(2381)] = 129554,
  [SMALL_STATE(2382)] = 129570,
  [SMALL_STATE(2383)] = 129586,
  [SMALL_STATE(2384)] = 129606,
  [SMALL_STATE(2385)] = 129626,
  [SMALL_STATE(2386)] = 129638,
  [SMALL_STATE(2387)] = 129650,
  [SMALL_STATE(2388)] = 129668,
  [SMALL_STATE(2389)] = 129686,
  [SMALL_STATE(2390)] = 129698,
  [SMALL_STATE(2391)] = 129718,
  [SMALL_STATE(2392)] = 129738,
  [SMALL_STATE(2393)] = 129750,
  [SMALL_STATE(2394)] = 129770,
  [SMALL_STATE(2395)] = 129786,
  [SMALL_STATE(2396)] = 129800,
  [SMALL_STATE(2397)] = 129820,
  [SMALL_STATE(2398)] = 129838,
  [SMALL_STATE(2399)] = 129854,
  [SMALL_STATE(2400)] = 129866,
  [SMALL_STATE(2401)] = 129886,
  [SMALL_STATE(2402)] = 129898,
  [SMALL_STATE(2403)] = 129910,
  [SMALL_STATE(2404)] = 129930,
  [SMALL_STATE(2405)] = 129942,
  [SMALL_STATE(2406)] = 129956,
  [SMALL_STATE(2407)] = 129972,
  [SMALL_STATE(2408)] = 129988,
  [SMALL_STATE(2409)] = 130004,
  [SMALL_STATE(2410)] = 130016,
  [SMALL_STATE(2411)] = 130028,
  [SMALL_STATE(2412)] = 130044,
  [SMALL_STATE(2413)] = 130056,
  [SMALL_STATE(2414)] = 130068,
  [SMALL_STATE(2415)] = 130080,
  [SMALL_STATE(2416)] = 130092,
  [SMALL_STATE(2417)] = 130112,
  [SMALL_STATE(2418)] = 130124,
  [SMALL_STATE(2419)] = 130136,
  [SMALL_STATE(2420)] = 130156,
  [SMALL_STATE(2421)] = 130168,
  [SMALL_STATE(2422)] = 130180,
  [SMALL_STATE(2423)] = 130200,
  [SMALL_STATE(2424)] = 130216,
  [SMALL_STATE(2425)] = 130230,
  [SMALL_STATE(2426)] = 130242,
  [SMALL_STATE(2427)] = 130260,
  [SMALL_STATE(2428)] = 130272,
  [SMALL_STATE(2429)] = 130284,
  [SMALL_STATE(2430)] = 130296,
  [SMALL_STATE(2431)] = 130314,
  [SMALL_STATE(2432)] = 130326,
  [SMALL_STATE(2433)] = 130344,
  [SMALL_STATE(2434)] = 130356,
  [SMALL_STATE(2435)] = 130374,
  [SMALL_STATE(2436)] = 130394,
  [SMALL_STATE(2437)] = 130414,
  [SMALL_STATE(2438)] = 130426,
  [SMALL_STATE(2439)] = 130446,
  [SMALL_STATE(2440)] = 130458,
  [SMALL_STATE(2441)] = 130476,
  [SMALL_STATE(2442)] = 130494,
  [SMALL_STATE(2443)] = 130514,
  [SMALL_STATE(2444)] = 130526,
  [SMALL_STATE(2445)] = 130538,
  [SMALL_STATE(2446)] = 130556,
  [SMALL_STATE(2447)] = 130576,
  [SMALL_STATE(2448)] = 130596,
  [SMALL_STATE(2449)] = 130610,
  [SMALL_STATE(2450)] = 130622,
  [SMALL_STATE(2451)] = 130634,
  [SMALL_STATE(2452)] = 130646,
  [SMALL_STATE(2453)] = 130658,
  [SMALL_STATE(2454)] = 130674,
  [SMALL_STATE(2455)] = 130690,
  [SMALL_STATE(2456)] = 130710,
  [SMALL_STATE(2457)] = 130722,
  [SMALL_STATE(2458)] = 130738,
  [SMALL_STATE(2459)] = 130754,
  [SMALL_STATE(2460)] = 130774,
  [SMALL_STATE(2461)] = 130786,
  [SMALL_STATE(2462)] = 130806,
  [SMALL_STATE(2463)] = 130818,
  [SMALL_STATE(2464)] = 130830,
  [SMALL_STATE(2465)] = 130850,
  [SMALL_STATE(2466)] = 130870,
  [SMALL_STATE(2467)] = 130882,
  [SMALL_STATE(2468)] = 130894,
  [SMALL_STATE(2469)] = 130906,
  [SMALL_STATE(2470)] = 130918,
  [SMALL_STATE(2471)] = 130938,
  [SMALL_STATE(2472)] = 130950,
  [SMALL_STATE(2473)] = 130962,
  [SMALL_STATE(2474)] = 130974,
  [SMALL_STATE(2475)] = 130990,
  [SMALL_STATE(2476)] = 131002,
  [SMALL_STATE(2477)] = 131020,
  [SMALL_STATE(2478)] = 131032,
  [SMALL_STATE(2479)] = 131050,
  [SMALL_STATE(2480)] = 131070,
  [SMALL_STATE(2481)] = 131090,
  [SMALL_STATE(2482)] = 131102,
  [SMALL_STATE(2483)] = 131122,
  [SMALL_STATE(2484)] = 131138,
  [SMALL_STATE(2485)] = 131158,
  [SMALL_STATE(2486)] = 131170,
  [SMALL_STATE(2487)] = 131190,
  [SMALL_STATE(2488)] = 131202,
  [SMALL_STATE(2489)] = 131222,
  [SMALL_STATE(2490)] = 131242,
  [SMALL_STATE(2491)] = 131256,
  [SMALL_STATE(2492)] = 131274,
  [SMALL_STATE(2493)] = 131286,
  [SMALL_STATE(2494)] = 131298,
  [SMALL_STATE(2495)] = 131314,
  [SMALL_STATE(2496)] = 131334,
  [SMALL_STATE(2497)] = 131346,
  [SMALL_STATE(2498)] = 131360,
  [SMALL_STATE(2499)] = 131372,
  [SMALL_STATE(2500)] = 131388,
  [SMALL_STATE(2501)] = 131406,
  [SMALL_STATE(2502)] = 131423,
  [SMALL_STATE(2503)] = 131440,
  [SMALL_STATE(2504)] = 131451,
  [SMALL_STATE(2505)] = 131468,
  [SMALL_STATE(2506)] = 131485,
  [SMALL_STATE(2507)] = 131496,
  [SMALL_STATE(2508)] = 131513,
  [SMALL_STATE(2509)] = 131524,
  [SMALL_STATE(2510)] = 131541,
  [SMALL_STATE(2511)] = 131552,
  [SMALL_STATE(2512)] = 131563,
  [SMALL_STATE(2513)] = 131580,
  [SMALL_STATE(2514)] = 131591,
  [SMALL_STATE(2515)] = 131602,
  [SMALL_STATE(2516)] = 131619,
  [SMALL_STATE(2517)] = 131630,
  [SMALL_STATE(2518)] = 131647,
  [SMALL_STATE(2519)] = 131658,
  [SMALL_STATE(2520)] = 131669,
  [SMALL_STATE(2521)] = 131680,
  [SMALL_STATE(2522)] = 131697,
  [SMALL_STATE(2523)] = 131708,
  [SMALL_STATE(2524)] = 131725,
  [SMALL_STATE(2525)] = 131742,
  [SMALL_STATE(2526)] = 131759,
  [SMALL_STATE(2527)] = 131776,
  [SMALL_STATE(2528)] = 131787,
  [SMALL_STATE(2529)] = 131804,
  [SMALL_STATE(2530)] = 131817,
  [SMALL_STATE(2531)] = 131828,
  [SMALL_STATE(2532)] = 131839,
  [SMALL_STATE(2533)] = 131850,
  [SMALL_STATE(2534)] = 131867,
  [SMALL_STATE(2535)] = 131882,
  [SMALL_STATE(2536)] = 131893,
  [SMALL_STATE(2537)] = 131904,
  [SMALL_STATE(2538)] = 131915,
  [SMALL_STATE(2539)] = 131932,
  [SMALL_STATE(2540)] = 131945,
  [SMALL_STATE(2541)] = 131956,
  [SMALL_STATE(2542)] = 131971,
  [SMALL_STATE(2543)] = 131982,
  [SMALL_STATE(2544)] = 131993,
  [SMALL_STATE(2545)] = 132004,
  [SMALL_STATE(2546)] = 132021,
  [SMALL_STATE(2547)] = 132032,
  [SMALL_STATE(2548)] = 132043,
  [SMALL_STATE(2549)] = 132054,
  [SMALL_STATE(2550)] = 132065,
  [SMALL_STATE(2551)] = 132076,
  [SMALL_STATE(2552)] = 132093,
  [SMALL_STATE(2553)] = 132108,
  [SMALL_STATE(2554)] = 132119,
  [SMALL_STATE(2555)] = 132130,
  [SMALL_STATE(2556)] = 132141,
  [SMALL_STATE(2557)] = 132158,
  [SMALL_STATE(2558)] = 132175,
  [SMALL_STATE(2559)] = 132186,
  [SMALL_STATE(2560)] = 132197,
  [SMALL_STATE(2561)] = 132214,
  [SMALL_STATE(2562)] = 132225,
  [SMALL_STATE(2563)] = 132236,
  [SMALL_STATE(2564)] = 132247,
  [SMALL_STATE(2565)] = 132262,
  [SMALL_STATE(2566)] = 132277,
  [SMALL_STATE(2567)] = 132288,
  [SMALL_STATE(2568)] = 132305,
  [SMALL_STATE(2569)] = 132320,
  [SMALL_STATE(2570)] = 132335,
  [SMALL_STATE(2571)] = 132352,
  [SMALL_STATE(2572)] = 132363,
  [SMALL_STATE(2573)] = 132380,
  [SMALL_STATE(2574)] = 132395,
  [SMALL_STATE(2575)] = 132410,
  [SMALL_STATE(2576)] = 132421,
  [SMALL_STATE(2577)] = 132436,
  [SMALL_STATE(2578)] = 132447,
  [SMALL_STATE(2579)] = 132464,
  [SMALL_STATE(2580)] = 132481,
  [SMALL_STATE(2581)] = 132498,
  [SMALL_STATE(2582)] = 132509,
  [SMALL_STATE(2583)] = 132526,
  [SMALL_STATE(2584)] = 132537,
  [SMALL_STATE(2585)] = 132548,
  [SMALL_STATE(2586)] = 132559,
  [SMALL_STATE(2587)] = 132576,
  [SMALL_STATE(2588)] = 132587,
  [SMALL_STATE(2589)] = 132604,
  [SMALL_STATE(2590)] = 132615,
  [SMALL_STATE(2591)] = 132632,
  [SMALL_STATE(2592)] = 132643,
  [SMALL_STATE(2593)] = 132654,
  [SMALL_STATE(2594)] = 132665,
  [SMALL_STATE(2595)] = 132676,
  [SMALL_STATE(2596)] = 132691,
  [SMALL_STATE(2597)] = 132708,
  [SMALL_STATE(2598)] = 132719,
  [SMALL_STATE(2599)] = 132734,
  [SMALL_STATE(2600)] = 132745,
  [SMALL_STATE(2601)] = 132762,
  [SMALL_STATE(2602)] = 132777,
  [SMALL_STATE(2603)] = 132788,
  [SMALL_STATE(2604)] = 132799,
  [SMALL_STATE(2605)] = 132816,
  [SMALL_STATE(2606)] = 132827,
  [SMALL_STATE(2607)] = 132844,
  [SMALL_STATE(2608)] = 132855,
  [SMALL_STATE(2609)] = 132866,
  [SMALL_STATE(2610)] = 132883,
  [SMALL_STATE(2611)] = 132894,
  [SMALL_STATE(2612)] = 132911,
  [SMALL_STATE(2613)] = 132922,
  [SMALL_STATE(2614)] = 132939,
  [SMALL_STATE(2615)] = 132954,
  [SMALL_STATE(2616)] = 132967,
  [SMALL_STATE(2617)] = 132978,
  [SMALL_STATE(2618)] = 132995,
  [SMALL_STATE(2619)] = 133006,
  [SMALL_STATE(2620)] = 133023,
  [SMALL_STATE(2621)] = 133034,
  [SMALL_STATE(2622)] = 133045,
  [SMALL_STATE(2623)] = 133062,
  [SMALL_STATE(2624)] = 133077,
  [SMALL_STATE(2625)] = 133094,
  [SMALL_STATE(2626)] = 133105,
  [SMALL_STATE(2627)] = 133116,
  [SMALL_STATE(2628)] = 133127,
  [SMALL_STATE(2629)] = 133138,
  [SMALL_STATE(2630)] = 133155,
  [SMALL_STATE(2631)] = 133166,
  [SMALL_STATE(2632)] = 133181,
  [SMALL_STATE(2633)] = 133192,
  [SMALL_STATE(2634)] = 133203,
  [SMALL_STATE(2635)] = 133218,
  [SMALL_STATE(2636)] = 133235,
  [SMALL_STATE(2637)] = 133250,
  [SMALL_STATE(2638)] = 133265,
  [SMALL_STATE(2639)] = 133282,
  [SMALL_STATE(2640)] = 133297,
  [SMALL_STATE(2641)] = 133308,
  [SMALL_STATE(2642)] = 133319,
  [SMALL_STATE(2643)] = 133330,
  [SMALL_STATE(2644)] = 133344,
  [SMALL_STATE(2645)] = 133358,
  [SMALL_STATE(2646)] = 133372,
  [SMALL_STATE(2647)] = 133386,
  [SMALL_STATE(2648)] = 133400,
  [SMALL_STATE(2649)] = 133412,
  [SMALL_STATE(2650)] = 133426,
  [SMALL_STATE(2651)] = 133440,
  [SMALL_STATE(2652)] = 133454,
  [SMALL_STATE(2653)] = 133468,
  [SMALL_STATE(2654)] = 133482,
  [SMALL_STATE(2655)] = 133496,
  [SMALL_STATE(2656)] = 133510,
  [SMALL_STATE(2657)] = 133524,
  [SMALL_STATE(2658)] = 133538,
  [SMALL_STATE(2659)] = 133552,
  [SMALL_STATE(2660)] = 133566,
  [SMALL_STATE(2661)] = 133576,
  [SMALL_STATE(2662)] = 133590,
  [SMALL_STATE(2663)] = 133604,
  [SMALL_STATE(2664)] = 133618,
  [SMALL_STATE(2665)] = 133632,
  [SMALL_STATE(2666)] = 133642,
  [SMALL_STATE(2667)] = 133656,
  [SMALL_STATE(2668)] = 133666,
  [SMALL_STATE(2669)] = 133680,
  [SMALL_STATE(2670)] = 133694,
  [SMALL_STATE(2671)] = 133706,
  [SMALL_STATE(2672)] = 133720,
  [SMALL_STATE(2673)] = 133730,
  [SMALL_STATE(2674)] = 133744,
  [SMALL_STATE(2675)] = 133756,
  [SMALL_STATE(2676)] = 133770,
  [SMALL_STATE(2677)] = 133780,
  [SMALL_STATE(2678)] = 133794,
  [SMALL_STATE(2679)] = 133808,
  [SMALL_STATE(2680)] = 133820,
  [SMALL_STATE(2681)] = 133834,
  [SMALL_STATE(2682)] = 133848,
  [SMALL_STATE(2683)] = 133862,
  [SMALL_STATE(2684)] = 133876,
  [SMALL_STATE(2685)] = 133890,
  [SMALL_STATE(2686)] = 133904,
  [SMALL_STATE(2687)] = 133918,
  [SMALL_STATE(2688)] = 133932,
  [SMALL_STATE(2689)] = 133944,
  [SMALL_STATE(2690)] = 133954,
  [SMALL_STATE(2691)] = 133964,
  [SMALL_STATE(2692)] = 133976,
  [SMALL_STATE(2693)] = 133990,
  [SMALL_STATE(2694)] = 134002,
  [SMALL_STATE(2695)] = 134016,
  [SMALL_STATE(2696)] = 134030,
  [SMALL_STATE(2697)] = 134042,
  [SMALL_STATE(2698)] = 134052,
  [SMALL_STATE(2699)] = 134066,
  [SMALL_STATE(2700)] = 134080,
  [SMALL_STATE(2701)] = 134094,
  [SMALL_STATE(2702)] = 134106,
  [SMALL_STATE(2703)] = 134120,
  [SMALL_STATE(2704)] = 134134,
  [SMALL_STATE(2705)] = 134146,
  [SMALL_STATE(2706)] = 134160,
  [SMALL_STATE(2707)] = 134174,
  [SMALL_STATE(2708)] = 134188,
  [SMALL_STATE(2709)] = 134200,
  [SMALL_STATE(2710)] = 134212,
  [SMALL_STATE(2711)] = 134224,
  [SMALL_STATE(2712)] = 134238,
  [SMALL_STATE(2713)] = 134252,
  [SMALL_STATE(2714)] = 134264,
  [SMALL_STATE(2715)] = 134278,
  [SMALL_STATE(2716)] = 134288,
  [SMALL_STATE(2717)] = 134302,
  [SMALL_STATE(2718)] = 134316,
  [SMALL_STATE(2719)] = 134330,
  [SMALL_STATE(2720)] = 134344,
  [SMALL_STATE(2721)] = 134354,
  [SMALL_STATE(2722)] = 134368,
  [SMALL_STATE(2723)] = 134382,
  [SMALL_STATE(2724)] = 134396,
  [SMALL_STATE(2725)] = 134410,
  [SMALL_STATE(2726)] = 134424,
  [SMALL_STATE(2727)] = 134438,
  [SMALL_STATE(2728)] = 134452,
  [SMALL_STATE(2729)] = 134466,
  [SMALL_STATE(2730)] = 134480,
  [SMALL_STATE(2731)] = 134494,
  [SMALL_STATE(2732)] = 134508,
  [SMALL_STATE(2733)] = 134522,
  [SMALL_STATE(2734)] = 134536,
  [SMALL_STATE(2735)] = 134550,
  [SMALL_STATE(2736)] = 134564,
  [SMALL_STATE(2737)] = 134578,
  [SMALL_STATE(2738)] = 134592,
  [SMALL_STATE(2739)] = 134606,
  [SMALL_STATE(2740)] = 134620,
  [SMALL_STATE(2741)] = 134634,
  [SMALL_STATE(2742)] = 134646,
  [SMALL_STATE(2743)] = 134660,
  [SMALL_STATE(2744)] = 134672,
  [SMALL_STATE(2745)] = 134686,
  [SMALL_STATE(2746)] = 134700,
  [SMALL_STATE(2747)] = 134714,
  [SMALL_STATE(2748)] = 134726,
  [SMALL_STATE(2749)] = 134740,
  [SMALL_STATE(2750)] = 134754,
  [SMALL_STATE(2751)] = 134768,
  [SMALL_STATE(2752)] = 134778,
  [SMALL_STATE(2753)] = 134792,
  [SMALL_STATE(2754)] = 134802,
  [SMALL_STATE(2755)] = 134816,
  [SMALL_STATE(2756)] = 134830,
  [SMALL_STATE(2757)] = 134844,
  [SMALL_STATE(2758)] = 134858,
  [SMALL_STATE(2759)] = 134872,
  [SMALL_STATE(2760)] = 134886,
  [SMALL_STATE(2761)] = 134900,
  [SMALL_STATE(2762)] = 134914,
  [SMALL_STATE(2763)] = 134928,
  [SMALL_STATE(2764)] = 134942,
  [SMALL_STATE(2765)] = 134956,
  [SMALL_STATE(2766)] = 134970,
  [SMALL_STATE(2767)] = 134984,
  [SMALL_STATE(2768)] = 134998,
  [SMALL_STATE(2769)] = 135012,
  [SMALL_STATE(2770)] = 135026,
  [SMALL_STATE(2771)] = 135040,
  [SMALL_STATE(2772)] = 135054,
  [SMALL_STATE(2773)] = 135068,
  [SMALL_STATE(2774)] = 135082,
  [SMALL_STATE(2775)] = 135096,
  [SMALL_STATE(2776)] = 135110,
  [SMALL_STATE(2777)] = 135124,
  [SMALL_STATE(2778)] = 135138,
  [SMALL_STATE(2779)] = 135152,
  [SMALL_STATE(2780)] = 135162,
  [SMALL_STATE(2781)] = 135176,
  [SMALL_STATE(2782)] = 135190,
  [SMALL_STATE(2783)] = 135204,
  [SMALL_STATE(2784)] = 135218,
  [SMALL_STATE(2785)] = 135232,
  [SMALL_STATE(2786)] = 135246,
  [SMALL_STATE(2787)] = 135260,
  [SMALL_STATE(2788)] = 135274,
  [SMALL_STATE(2789)] = 135288,
  [SMALL_STATE(2790)] = 135302,
  [SMALL_STATE(2791)] = 135316,
  [SMALL_STATE(2792)] = 135330,
  [SMALL_STATE(2793)] = 135344,
  [SMALL_STATE(2794)] = 135358,
  [SMALL_STATE(2795)] = 135372,
  [SMALL_STATE(2796)] = 135386,
  [SMALL_STATE(2797)] = 135400,
  [SMALL_STATE(2798)] = 135414,
  [SMALL_STATE(2799)] = 135428,
  [SMALL_STATE(2800)] = 135442,
  [SMALL_STATE(2801)] = 135456,
  [SMALL_STATE(2802)] = 135470,
  [SMALL_STATE(2803)] = 135484,
  [SMALL_STATE(2804)] = 135494,
  [SMALL_STATE(2805)] = 135508,
  [SMALL_STATE(2806)] = 135522,
  [SMALL_STATE(2807)] = 135536,
  [SMALL_STATE(2808)] = 135550,
  [SMALL_STATE(2809)] = 135564,
  [SMALL_STATE(2810)] = 135578,
  [SMALL_STATE(2811)] = 135588,
  [SMALL_STATE(2812)] = 135602,
  [SMALL_STATE(2813)] = 135616,
  [SMALL_STATE(2814)] = 135628,
  [SMALL_STATE(2815)] = 135642,
  [SMALL_STATE(2816)] = 135656,
  [SMALL_STATE(2817)] = 135670,
  [SMALL_STATE(2818)] = 135684,
  [SMALL_STATE(2819)] = 135698,
  [SMALL_STATE(2820)] = 135712,
  [SMALL_STATE(2821)] = 135726,
  [SMALL_STATE(2822)] = 135740,
  [SMALL_STATE(2823)] = 135752,
  [SMALL_STATE(2824)] = 135764,
  [SMALL_STATE(2825)] = 135776,
  [SMALL_STATE(2826)] = 135790,
  [SMALL_STATE(2827)] = 135804,
  [SMALL_STATE(2828)] = 135818,
  [SMALL_STATE(2829)] = 135830,
  [SMALL_STATE(2830)] = 135844,
  [SMALL_STATE(2831)] = 135858,
  [SMALL_STATE(2832)] = 135872,
  [SMALL_STATE(2833)] = 135886,
  [SMALL_STATE(2834)] = 135898,
  [SMALL_STATE(2835)] = 135912,
  [SMALL_STATE(2836)] = 135926,
  [SMALL_STATE(2837)] = 135940,
  [SMALL_STATE(2838)] = 135954,
  [SMALL_STATE(2839)] = 135968,
  [SMALL_STATE(2840)] = 135982,
  [SMALL_STATE(2841)] = 135996,
  [SMALL_STATE(2842)] = 136010,
  [SMALL_STATE(2843)] = 136024,
  [SMALL_STATE(2844)] = 136038,
  [SMALL_STATE(2845)] = 136052,
  [SMALL_STATE(2846)] = 136066,
  [SMALL_STATE(2847)] = 136080,
  [SMALL_STATE(2848)] = 136094,
  [SMALL_STATE(2849)] = 136108,
  [SMALL_STATE(2850)] = 136122,
  [SMALL_STATE(2851)] = 136136,
  [SMALL_STATE(2852)] = 136150,
  [SMALL_STATE(2853)] = 136164,
  [SMALL_STATE(2854)] = 136178,
  [SMALL_STATE(2855)] = 136192,
  [SMALL_STATE(2856)] = 136206,
  [SMALL_STATE(2857)] = 136220,
  [SMALL_STATE(2858)] = 136234,
  [SMALL_STATE(2859)] = 136246,
  [SMALL_STATE(2860)] = 136260,
  [SMALL_STATE(2861)] = 136274,
  [SMALL_STATE(2862)] = 136288,
  [SMALL_STATE(2863)] = 136302,
  [SMALL_STATE(2864)] = 136316,
  [SMALL_STATE(2865)] = 136330,
  [SMALL_STATE(2866)] = 136344,
  [SMALL_STATE(2867)] = 136356,
  [SMALL_STATE(2868)] = 136370,
  [SMALL_STATE(2869)] = 136384,
  [SMALL_STATE(2870)] = 136398,
  [SMALL_STATE(2871)] = 136412,
  [SMALL_STATE(2872)] = 136426,
  [SMALL_STATE(2873)] = 136440,
  [SMALL_STATE(2874)] = 136454,
  [SMALL_STATE(2875)] = 136468,
  [SMALL_STATE(2876)] = 136482,
  [SMALL_STATE(2877)] = 136496,
  [SMALL_STATE(2878)] = 136510,
  [SMALL_STATE(2879)] = 136522,
  [SMALL_STATE(2880)] = 136536,
  [SMALL_STATE(2881)] = 136550,
  [SMALL_STATE(2882)] = 136564,
  [SMALL_STATE(2883)] = 136578,
  [SMALL_STATE(2884)] = 136592,
  [SMALL_STATE(2885)] = 136606,
  [SMALL_STATE(2886)] = 136620,
  [SMALL_STATE(2887)] = 136634,
  [SMALL_STATE(2888)] = 136648,
  [SMALL_STATE(2889)] = 136662,
  [SMALL_STATE(2890)] = 136676,
  [SMALL_STATE(2891)] = 136690,
  [SMALL_STATE(2892)] = 136704,
  [SMALL_STATE(2893)] = 136718,
  [SMALL_STATE(2894)] = 136732,
  [SMALL_STATE(2895)] = 136744,
  [SMALL_STATE(2896)] = 136758,
  [SMALL_STATE(2897)] = 136770,
  [SMALL_STATE(2898)] = 136784,
  [SMALL_STATE(2899)] = 136798,
  [SMALL_STATE(2900)] = 136812,
  [SMALL_STATE(2901)] = 136826,
  [SMALL_STATE(2902)] = 136840,
  [SMALL_STATE(2903)] = 136854,
  [SMALL_STATE(2904)] = 136868,
  [SMALL_STATE(2905)] = 136882,
  [SMALL_STATE(2906)] = 136896,
  [SMALL_STATE(2907)] = 136910,
  [SMALL_STATE(2908)] = 136924,
  [SMALL_STATE(2909)] = 136938,
  [SMALL_STATE(2910)] = 136952,
  [SMALL_STATE(2911)] = 136964,
  [SMALL_STATE(2912)] = 136978,
  [SMALL_STATE(2913)] = 136992,
  [SMALL_STATE(2914)] = 137006,
  [SMALL_STATE(2915)] = 137016,
  [SMALL_STATE(2916)] = 137030,
  [SMALL_STATE(2917)] = 137044,
  [SMALL_STATE(2918)] = 137058,
  [SMALL_STATE(2919)] = 137072,
  [SMALL_STATE(2920)] = 137086,
  [SMALL_STATE(2921)] = 137100,
  [SMALL_STATE(2922)] = 137114,
  [SMALL_STATE(2923)] = 137128,
  [SMALL_STATE(2924)] = 137142,
  [SMALL_STATE(2925)] = 137156,
  [SMALL_STATE(2926)] = 137170,
  [SMALL_STATE(2927)] = 137184,
  [SMALL_STATE(2928)] = 137198,
  [SMALL_STATE(2929)] = 137212,
  [SMALL_STATE(2930)] = 137226,
  [SMALL_STATE(2931)] = 137240,
  [SMALL_STATE(2932)] = 137254,
  [SMALL_STATE(2933)] = 137268,
  [SMALL_STATE(2934)] = 137282,
  [SMALL_STATE(2935)] = 137296,
  [SMALL_STATE(2936)] = 137308,
  [SMALL_STATE(2937)] = 137322,
  [SMALL_STATE(2938)] = 137336,
  [SMALL_STATE(2939)] = 137350,
  [SMALL_STATE(2940)] = 137364,
  [SMALL_STATE(2941)] = 137378,
  [SMALL_STATE(2942)] = 137392,
  [SMALL_STATE(2943)] = 137406,
  [SMALL_STATE(2944)] = 137420,
  [SMALL_STATE(2945)] = 137434,
  [SMALL_STATE(2946)] = 137448,
  [SMALL_STATE(2947)] = 137462,
  [SMALL_STATE(2948)] = 137476,
  [SMALL_STATE(2949)] = 137490,
  [SMALL_STATE(2950)] = 137504,
  [SMALL_STATE(2951)] = 137518,
  [SMALL_STATE(2952)] = 137532,
  [SMALL_STATE(2953)] = 137546,
  [SMALL_STATE(2954)] = 137560,
  [SMALL_STATE(2955)] = 137574,
  [SMALL_STATE(2956)] = 137588,
  [SMALL_STATE(2957)] = 137602,
  [SMALL_STATE(2958)] = 137616,
  [SMALL_STATE(2959)] = 137628,
  [SMALL_STATE(2960)] = 137642,
  [SMALL_STATE(2961)] = 137656,
  [SMALL_STATE(2962)] = 137670,
  [SMALL_STATE(2963)] = 137684,
  [SMALL_STATE(2964)] = 137698,
  [SMALL_STATE(2965)] = 137712,
  [SMALL_STATE(2966)] = 137726,
  [SMALL_STATE(2967)] = 137740,
  [SMALL_STATE(2968)] = 137754,
  [SMALL_STATE(2969)] = 137768,
  [SMALL_STATE(2970)] = 137782,
  [SMALL_STATE(2971)] = 137794,
  [SMALL_STATE(2972)] = 137808,
  [SMALL_STATE(2973)] = 137822,
  [SMALL_STATE(2974)] = 137836,
  [SMALL_STATE(2975)] = 137850,
  [SMALL_STATE(2976)] = 137864,
  [SMALL_STATE(2977)] = 137878,
  [SMALL_STATE(2978)] = 137892,
  [SMALL_STATE(2979)] = 137906,
  [SMALL_STATE(2980)] = 137920,
  [SMALL_STATE(2981)] = 137929,
  [SMALL_STATE(2982)] = 137938,
  [SMALL_STATE(2983)] = 137949,
  [SMALL_STATE(2984)] = 137960,
  [SMALL_STATE(2985)] = 137971,
  [SMALL_STATE(2986)] = 137980,
  [SMALL_STATE(2987)] = 137989,
  [SMALL_STATE(2988)] = 137998,
  [SMALL_STATE(2989)] = 138009,
  [SMALL_STATE(2990)] = 138020,
  [SMALL_STATE(2991)] = 138029,
  [SMALL_STATE(2992)] = 138038,
  [SMALL_STATE(2993)] = 138047,
  [SMALL_STATE(2994)] = 138058,
  [SMALL_STATE(2995)] = 138067,
  [SMALL_STATE(2996)] = 138076,
  [SMALL_STATE(2997)] = 138085,
  [SMALL_STATE(2998)] = 138094,
  [SMALL_STATE(2999)] = 138105,
  [SMALL_STATE(3000)] = 138114,
  [SMALL_STATE(3001)] = 138123,
  [SMALL_STATE(3002)] = 138134,
  [SMALL_STATE(3003)] = 138145,
  [SMALL_STATE(3004)] = 138154,
  [SMALL_STATE(3005)] = 138163,
  [SMALL_STATE(3006)] = 138174,
  [SMALL_STATE(3007)] = 138183,
  [SMALL_STATE(3008)] = 138192,
  [SMALL_STATE(3009)] = 138203,
  [SMALL_STATE(3010)] = 138212,
  [SMALL_STATE(3011)] = 138221,
  [SMALL_STATE(3012)] = 138232,
  [SMALL_STATE(3013)] = 138243,
  [SMALL_STATE(3014)] = 138254,
  [SMALL_STATE(3015)] = 138265,
  [SMALL_STATE(3016)] = 138274,
  [SMALL_STATE(3017)] = 138283,
  [SMALL_STATE(3018)] = 138292,
  [SMALL_STATE(3019)] = 138303,
  [SMALL_STATE(3020)] = 138314,
  [SMALL_STATE(3021)] = 138325,
  [SMALL_STATE(3022)] = 138334,
  [SMALL_STATE(3023)] = 138343,
  [SMALL_STATE(3024)] = 138352,
  [SMALL_STATE(3025)] = 138361,
  [SMALL_STATE(3026)] = 138370,
  [SMALL_STATE(3027)] = 138379,
  [SMALL_STATE(3028)] = 138390,
  [SMALL_STATE(3029)] = 138399,
  [SMALL_STATE(3030)] = 138410,
  [SMALL_STATE(3031)] = 138419,
  [SMALL_STATE(3032)] = 138428,
  [SMALL_STATE(3033)] = 138437,
  [SMALL_STATE(3034)] = 138448,
  [SMALL_STATE(3035)] = 138459,
  [SMALL_STATE(3036)] = 138468,
  [SMALL_STATE(3037)] = 138477,
  [SMALL_STATE(3038)] = 138486,
  [SMALL_STATE(3039)] = 138495,
  [SMALL_STATE(3040)] = 138504,
  [SMALL_STATE(3041)] = 138513,
  [SMALL_STATE(3042)] = 138522,
  [SMALL_STATE(3043)] = 138531,
  [SMALL_STATE(3044)] = 138542,
  [SMALL_STATE(3045)] = 138551,
  [SMALL_STATE(3046)] = 138560,
  [SMALL_STATE(3047)] = 138569,
  [SMALL_STATE(3048)] = 138578,
  [SMALL_STATE(3049)] = 138587,
  [SMALL_STATE(3050)] = 138598,
  [SMALL_STATE(3051)] = 138609,
  [SMALL_STATE(3052)] = 138618,
  [SMALL_STATE(3053)] = 138629,
  [SMALL_STATE(3054)] = 138640,
  [SMALL_STATE(3055)] = 138649,
  [SMALL_STATE(3056)] = 138658,
  [SMALL_STATE(3057)] = 138669,
  [SMALL_STATE(3058)] = 138678,
  [SMALL_STATE(3059)] = 138687,
  [SMALL_STATE(3060)] = 138696,
  [SMALL_STATE(3061)] = 138707,
  [SMALL_STATE(3062)] = 138716,
  [SMALL_STATE(3063)] = 138725,
  [SMALL_STATE(3064)] = 138734,
  [SMALL_STATE(3065)] = 138743,
  [SMALL_STATE(3066)] = 138752,
  [SMALL_STATE(3067)] = 138761,
  [SMALL_STATE(3068)] = 138770,
  [SMALL_STATE(3069)] = 138779,
  [SMALL_STATE(3070)] = 138788,
  [SMALL_STATE(3071)] = 138797,
  [SMALL_STATE(3072)] = 138806,
  [SMALL_STATE(3073)] = 138815,
  [SMALL_STATE(3074)] = 138824,
  [SMALL_STATE(3075)] = 138833,
  [SMALL_STATE(3076)] = 138842,
  [SMALL_STATE(3077)] = 138851,
  [SMALL_STATE(3078)] = 138862,
  [SMALL_STATE(3079)] = 138871,
  [SMALL_STATE(3080)] = 138880,
  [SMALL_STATE(3081)] = 138891,
  [SMALL_STATE(3082)] = 138900,
  [SMALL_STATE(3083)] = 138909,
  [SMALL_STATE(3084)] = 138918,
  [SMALL_STATE(3085)] = 138929,
  [SMALL_STATE(3086)] = 138938,
  [SMALL_STATE(3087)] = 138947,
  [SMALL_STATE(3088)] = 138956,
  [SMALL_STATE(3089)] = 138967,
  [SMALL_STATE(3090)] = 138976,
  [SMALL_STATE(3091)] = 138987,
  [SMALL_STATE(3092)] = 138996,
  [SMALL_STATE(3093)] = 139004,
  [SMALL_STATE(3094)] = 139012,
  [SMALL_STATE(3095)] = 139020,
  [SMALL_STATE(3096)] = 139028,
  [SMALL_STATE(3097)] = 139036,
  [SMALL_STATE(3098)] = 139044,
  [SMALL_STATE(3099)] = 139052,
  [SMALL_STATE(3100)] = 139060,
  [SMALL_STATE(3101)] = 139068,
  [SMALL_STATE(3102)] = 139076,
  [SMALL_STATE(3103)] = 139084,
  [SMALL_STATE(3104)] = 139092,
  [SMALL_STATE(3105)] = 139100,
  [SMALL_STATE(3106)] = 139108,
  [SMALL_STATE(3107)] = 139116,
  [SMALL_STATE(3108)] = 139124,
  [SMALL_STATE(3109)] = 139132,
  [SMALL_STATE(3110)] = 139140,
  [SMALL_STATE(3111)] = 139148,
  [SMALL_STATE(3112)] = 139156,
  [SMALL_STATE(3113)] = 139164,
  [SMALL_STATE(3114)] = 139172,
  [SMALL_STATE(3115)] = 139180,
  [SMALL_STATE(3116)] = 139188,
  [SMALL_STATE(3117)] = 139196,
  [SMALL_STATE(3118)] = 139204,
  [SMALL_STATE(3119)] = 139212,
  [SMALL_STATE(3120)] = 139220,
  [SMALL_STATE(3121)] = 139228,
  [SMALL_STATE(3122)] = 139236,
  [SMALL_STATE(3123)] = 139244,
  [SMALL_STATE(3124)] = 139252,
  [SMALL_STATE(3125)] = 139260,
  [SMALL_STATE(3126)] = 139268,
  [SMALL_STATE(3127)] = 139276,
  [SMALL_STATE(3128)] = 139284,
  [SMALL_STATE(3129)] = 139292,
  [SMALL_STATE(3130)] = 139300,
  [SMALL_STATE(3131)] = 139308,
  [SMALL_STATE(3132)] = 139316,
  [SMALL_STATE(3133)] = 139324,
  [SMALL_STATE(3134)] = 139332,
  [SMALL_STATE(3135)] = 139340,
  [SMALL_STATE(3136)] = 139348,
  [SMALL_STATE(3137)] = 139356,
  [SMALL_STATE(3138)] = 139364,
  [SMALL_STATE(3139)] = 139372,
  [SMALL_STATE(3140)] = 139380,
  [SMALL_STATE(3141)] = 139388,
  [SMALL_STATE(3142)] = 139396,
  [SMALL_STATE(3143)] = 139404,
  [SMALL_STATE(3144)] = 139412,
  [SMALL_STATE(3145)] = 139420,
  [SMALL_STATE(3146)] = 139428,
  [SMALL_STATE(3147)] = 139436,
  [SMALL_STATE(3148)] = 139444,
  [SMALL_STATE(3149)] = 139452,
  [SMALL_STATE(3150)] = 139460,
  [SMALL_STATE(3151)] = 139468,
  [SMALL_STATE(3152)] = 139476,
  [SMALL_STATE(3153)] = 139484,
  [SMALL_STATE(3154)] = 139492,
  [SMALL_STATE(3155)] = 139500,
  [SMALL_STATE(3156)] = 139508,
  [SMALL_STATE(3157)] = 139516,
  [SMALL_STATE(3158)] = 139524,
  [SMALL_STATE(3159)] = 139532,
  [SMALL_STATE(3160)] = 139540,
  [SMALL_STATE(3161)] = 139548,
  [SMALL_STATE(3162)] = 139556,
  [SMALL_STATE(3163)] = 139564,
  [SMALL_STATE(3164)] = 139572,
  [SMALL_STATE(3165)] = 139580,
  [SMALL_STATE(3166)] = 139588,
  [SMALL_STATE(3167)] = 139596,
  [SMALL_STATE(3168)] = 139604,
  [SMALL_STATE(3169)] = 139612,
  [SMALL_STATE(3170)] = 139620,
  [SMALL_STATE(3171)] = 139628,
  [SMALL_STATE(3172)] = 139636,
  [SMALL_STATE(3173)] = 139644,
  [SMALL_STATE(3174)] = 139652,
  [SMALL_STATE(3175)] = 139660,
  [SMALL_STATE(3176)] = 139668,
  [SMALL_STATE(3177)] = 139676,
  [SMALL_STATE(3178)] = 139684,
  [SMALL_STATE(3179)] = 139692,
  [SMALL_STATE(3180)] = 139700,
  [SMALL_STATE(3181)] = 139708,
  [SMALL_STATE(3182)] = 139716,
  [SMALL_STATE(3183)] = 139724,
  [SMALL_STATE(3184)] = 139732,
  [SMALL_STATE(3185)] = 139740,
  [SMALL_STATE(3186)] = 139748,
  [SMALL_STATE(3187)] = 139756,
  [SMALL_STATE(3188)] = 139764,
  [SMALL_STATE(3189)] = 139772,
  [SMALL_STATE(3190)] = 139780,
  [SMALL_STATE(3191)] = 139788,
  [SMALL_STATE(3192)] = 139796,
  [SMALL_STATE(3193)] = 139804,
  [SMALL_STATE(3194)] = 139812,
  [SMALL_STATE(3195)] = 139820,
  [SMALL_STATE(3196)] = 139828,
  [SMALL_STATE(3197)] = 139836,
  [SMALL_STATE(3198)] = 139844,
  [SMALL_STATE(3199)] = 139852,
  [SMALL_STATE(3200)] = 139860,
  [SMALL_STATE(3201)] = 139868,
  [SMALL_STATE(3202)] = 139876,
  [SMALL_STATE(3203)] = 139884,
  [SMALL_STATE(3204)] = 139892,
  [SMALL_STATE(3205)] = 139900,
  [SMALL_STATE(3206)] = 139908,
  [SMALL_STATE(3207)] = 139916,
  [SMALL_STATE(3208)] = 139924,
  [SMALL_STATE(3209)] = 139932,
  [SMALL_STATE(3210)] = 139940,
  [SMALL_STATE(3211)] = 139948,
  [SMALL_STATE(3212)] = 139956,
  [SMALL_STATE(3213)] = 139964,
  [SMALL_STATE(3214)] = 139972,
  [SMALL_STATE(3215)] = 139980,
  [SMALL_STATE(3216)] = 139988,
  [SMALL_STATE(3217)] = 139996,
  [SMALL_STATE(3218)] = 140004,
  [SMALL_STATE(3219)] = 140012,
  [SMALL_STATE(3220)] = 140020,
  [SMALL_STATE(3221)] = 140028,
  [SMALL_STATE(3222)] = 140036,
  [SMALL_STATE(3223)] = 140044,
  [SMALL_STATE(3224)] = 140052,
  [SMALL_STATE(3225)] = 140060,
  [SMALL_STATE(3226)] = 140068,
  [SMALL_STATE(3227)] = 140076,
  [SMALL_STATE(3228)] = 140084,
  [SMALL_STATE(3229)] = 140092,
  [SMALL_STATE(3230)] = 140100,
  [SMALL_STATE(3231)] = 140108,
  [SMALL_STATE(3232)] = 140116,
  [SMALL_STATE(3233)] = 140124,
  [SMALL_STATE(3234)] = 140132,
  [SMALL_STATE(3235)] = 140140,
  [SMALL_STATE(3236)] = 140148,
  [SMALL_STATE(3237)] = 140156,
  [SMALL_STATE(3238)] = 140164,
  [SMALL_STATE(3239)] = 140172,
  [SMALL_STATE(3240)] = 140180,
  [SMALL_STATE(3241)] = 140188,
  [SMALL_STATE(3242)] = 140196,
  [SMALL_STATE(3243)] = 140204,
  [SMALL_STATE(3244)] = 140212,
  [SMALL_STATE(3245)] = 140220,
  [SMALL_STATE(3246)] = 140228,
  [SMALL_STATE(3247)] = 140236,
  [SMALL_STATE(3248)] = 140244,
  [SMALL_STATE(3249)] = 140252,
  [SMALL_STATE(3250)] = 140260,
  [SMALL_STATE(3251)] = 140268,
  [SMALL_STATE(3252)] = 140276,
  [SMALL_STATE(3253)] = 140284,
  [SMALL_STATE(3254)] = 140292,
  [SMALL_STATE(3255)] = 140300,
  [SMALL_STATE(3256)] = 140308,
  [SMALL_STATE(3257)] = 140316,
  [SMALL_STATE(3258)] = 140324,
  [SMALL_STATE(3259)] = 140332,
  [SMALL_STATE(3260)] = 140340,
  [SMALL_STATE(3261)] = 140348,
  [SMALL_STATE(3262)] = 140356,
  [SMALL_STATE(3263)] = 140364,
  [SMALL_STATE(3264)] = 140372,
  [SMALL_STATE(3265)] = 140380,
  [SMALL_STATE(3266)] = 140388,
  [SMALL_STATE(3267)] = 140396,
  [SMALL_STATE(3268)] = 140404,
  [SMALL_STATE(3269)] = 140412,
  [SMALL_STATE(3270)] = 140420,
  [SMALL_STATE(3271)] = 140428,
  [SMALL_STATE(3272)] = 140436,
  [SMALL_STATE(3273)] = 140444,
  [SMALL_STATE(3274)] = 140452,
  [SMALL_STATE(3275)] = 140460,
  [SMALL_STATE(3276)] = 140468,
  [SMALL_STATE(3277)] = 140476,
  [SMALL_STATE(3278)] = 140484,
  [SMALL_STATE(3279)] = 140492,
  [SMALL_STATE(3280)] = 140500,
  [SMALL_STATE(3281)] = 140508,
  [SMALL_STATE(3282)] = 140516,
  [SMALL_STATE(3283)] = 140524,
  [SMALL_STATE(3284)] = 140532,
  [SMALL_STATE(3285)] = 140540,
  [SMALL_STATE(3286)] = 140548,
  [SMALL_STATE(3287)] = 140556,
  [SMALL_STATE(3288)] = 140564,
  [SMALL_STATE(3289)] = 140572,
  [SMALL_STATE(3290)] = 140580,
  [SMALL_STATE(3291)] = 140588,
  [SMALL_STATE(3292)] = 140596,
  [SMALL_STATE(3293)] = 140604,
  [SMALL_STATE(3294)] = 140612,
  [SMALL_STATE(3295)] = 140620,
  [SMALL_STATE(3296)] = 140628,
  [SMALL_STATE(3297)] = 140636,
  [SMALL_STATE(3298)] = 140644,
  [SMALL_STATE(3299)] = 140652,
  [SMALL_STATE(3300)] = 140660,
  [SMALL_STATE(3301)] = 140668,
  [SMALL_STATE(3302)] = 140676,
  [SMALL_STATE(3303)] = 140684,
  [SMALL_STATE(3304)] = 140692,
  [SMALL_STATE(3305)] = 140700,
  [SMALL_STATE(3306)] = 140708,
  [SMALL_STATE(3307)] = 140716,
  [SMALL_STATE(3308)] = 140724,
  [SMALL_STATE(3309)] = 140732,
  [SMALL_STATE(3310)] = 140740,
  [SMALL_STATE(3311)] = 140748,
  [SMALL_STATE(3312)] = 140756,
  [SMALL_STATE(3313)] = 140764,
  [SMALL_STATE(3314)] = 140772,
  [SMALL_STATE(3315)] = 140780,
  [SMALL_STATE(3316)] = 140788,
  [SMALL_STATE(3317)] = 140796,
  [SMALL_STATE(3318)] = 140804,
  [SMALL_STATE(3319)] = 140812,
  [SMALL_STATE(3320)] = 140820,
  [SMALL_STATE(3321)] = 140828,
  [SMALL_STATE(3322)] = 140836,
  [SMALL_STATE(3323)] = 140844,
  [SMALL_STATE(3324)] = 140852,
  [SMALL_STATE(3325)] = 140860,
  [SMALL_STATE(3326)] = 140868,
  [SMALL_STATE(3327)] = 140876,
  [SMALL_STATE(3328)] = 140884,
  [SMALL_STATE(3329)] = 140892,
  [SMALL_STATE(3330)] = 140900,
  [SMALL_STATE(3331)] = 140908,
  [SMALL_STATE(3332)] = 140916,
  [SMALL_STATE(3333)] = 140924,
  [SMALL_STATE(3334)] = 140932,
  [SMALL_STATE(3335)] = 140940,
  [SMALL_STATE(3336)] = 140948,
  [SMALL_STATE(3337)] = 140956,
  [SMALL_STATE(3338)] = 140964,
  [SMALL_STATE(3339)] = 140972,
  [SMALL_STATE(3340)] = 140980,
  [SMALL_STATE(3341)] = 140988,
  [SMALL_STATE(3342)] = 140996,
  [SMALL_STATE(3343)] = 141004,
  [SMALL_STATE(3344)] = 141012,
  [SMALL_STATE(3345)] = 141020,
  [SMALL_STATE(3346)] = 141028,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3302),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1108),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2560),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(325),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1160),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(739),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(557),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(659),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(525),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2990),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2991),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2992),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(794),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(814),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1115),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(817),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3306),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(608),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2993),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(307),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3304),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3303),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(822),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3302),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(827),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1229),
  [210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(310),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(837),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1948),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1128),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(541),
  [225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1388),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(264),
  [234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(698),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1118),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(666),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3257),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(3259),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(445),
  [289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1168),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(446),
  [302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3117),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1208),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(828),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(474),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1204),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(472),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(1229),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(837),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [1020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [1180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [1232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [1282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [1300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 99),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 99),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 111),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 111),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 48),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 48),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 100),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 100),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 64),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 64),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3167),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 41),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 41),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 6),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 36),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 36),
  [1708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 57),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 57),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 58),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 58),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 14),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(661),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(724),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 15),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(656),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(731),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 83),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 83),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81),
  [1770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81), SHIFT_REPEAT(729),
  [1773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 81), SHIFT_REPEAT(725),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 107),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 107),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 90),
  [1798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 90),
  [1800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 132),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 132),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 132),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 132),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 107),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 107),
  [1846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 106),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 106),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 58),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 58),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 88),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 88),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 36),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 36),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 115),
  [1924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 115),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 40),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 40),
  [1930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 55),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 55),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 64),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 64),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 63),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 63),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 41),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 41),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 64),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 64),
  [1954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 41),
  [1956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 41),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 157),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 157),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 15, 0, 191),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 15, 0, 191),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 190),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 190),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 189),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 189),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 188),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 188),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 187),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 187),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 186),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 186),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 185),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 185),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 61),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 61),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 184),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 184),
  [2011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 183),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 183),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 60),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 60),
  [2019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 182),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 182),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 94),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 94),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 14, 0, 181),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 14, 0, 181),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 180),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 180),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 179),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 179),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 178),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 178),
  [2043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 177),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 177),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 128),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 128),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 89),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 89),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 176),
  [2057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 176),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 175),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 175),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 129),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 129),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 130),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 130),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 174),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 174),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 131),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 131),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 173),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 173),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 59),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 59),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 133),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 133),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 84),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 84),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 172),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 172),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 171),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 171),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 85),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 85),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 13, 0, 170),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 13, 0, 170),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 169),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 169),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 168),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 168),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 167),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 167),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 56),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 56),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 134),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 134),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 135),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 135),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 90),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 90),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 136),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 136),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 86),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 86),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 41),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 41),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 95),
  [2157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 95),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 82),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 82),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 80),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 80),
  [2167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 166),
  [2169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 166),
  [2171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 165),
  [2173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 165),
  [2175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 164),
  [2177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 164),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 141),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 141),
  [2183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 101),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 101),
  [2187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 163),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 163),
  [2191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 15, 0, 193),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 15, 0, 193),
  [2195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 162),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 162),
  [2199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 12, 0, 161),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 12, 0, 161),
  [2203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 159),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 159),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 158),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 158),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 15, 0, 194),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 15, 0, 194),
  [2215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 103),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 103),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 142),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 142),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 143),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 143),
  [2227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 104),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 104),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 144),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 144),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 15, 0, 195),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 15, 0, 195),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 145),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 145),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 16, 0, 196),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 16, 0, 196),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 146),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 146),
  [2251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 105),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 105),
  [2255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 121),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 121),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 147),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 147),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 120),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 120),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 119),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 119),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 87),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 87),
  [2283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 156),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 156),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 155),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 155),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 148),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 148),
  [2295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 154),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 154),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 153),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 153),
  [2303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 11, 0, 152),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 11, 0, 152),
  [2307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 62),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 62),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 92),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 92),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 43),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 43),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 91),
  [2321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 91),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 38),
  [2325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 38),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 42),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 42),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 118),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 118),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 117),
  [2337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 117),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 116),
  [2345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 116),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 64),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 64),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 114),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 114),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 93),
  [2357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 93),
  [2359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 69),
  [2361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 69),
  [2363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 68),
  [2365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 68),
  [2367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 15, 0, 192),
  [2369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 15, 0, 192),
  [2371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 67),
  [2373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 67),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 66),
  [2377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 66),
  [2379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 65),
  [2381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 65),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, 0, 110),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 110),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 109),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 109),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 108),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 108),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 49),
  [2411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 49),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [2418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [2423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, -1, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, -1, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 73),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 73),
  [2433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 73),
  [2435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 73),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 21),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 21),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 49),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 49),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [2456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [2459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [2461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, -1, 0),
  [2476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, -1, 0),
  [2479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, -1, 0),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1965),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 19),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 19),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 51),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 51),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 22),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 22),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 50),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, 0, 50),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2121),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2102),
  [2831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2115),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2122),
  [2965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2090),
  [2968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2095),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 33),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 33),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 32),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 32),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 1, 0),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 1, 0),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, 0, 23),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, 0, 23),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 33),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 33),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 10),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 10),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 33),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 33),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 33),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 33),
  [3030] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2109),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [3041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [3043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 32),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 32),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [3053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 32),
  [3057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 32),
  [3059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [3071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2371),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [3305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1214),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [3310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3129),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1214),
  [3316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1140),
  [3319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [3323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1184),
  [3326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3248),
  [3329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1184),
  [3332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1141),
  [3335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1243),
  [3338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3251),
  [3341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1243),
  [3344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1145),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1166),
  [3364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3309),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1166),
  [3370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1143),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [3387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1146),
  [3390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3128),
  [3393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1146),
  [3396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1142),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1236),
  [3408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3197),
  [3411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1236),
  [3414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1139),
  [3417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1163),
  [3420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3104),
  [3423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1163),
  [3426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1138),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [3447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1188),
  [3450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(3165),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1188),
  [3456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24), SHIFT_REPEAT(1144),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [3467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(1130),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [3491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 19),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 46),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18),
  [3527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(807),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 20),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 17),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [3560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7), SHIFT(506),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [3634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2224),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2224),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [3680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(782),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [3707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(665),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [3726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 20),
  [3728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(679),
  [3731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [3749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(742),
  [3752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3105),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(806),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 19),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [3814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 8),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [3818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 44),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [3828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(827),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 6),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [3847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(778),
  [3850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(754),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2217),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2217),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 72),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), REDUCE(aux_sym_subscript_repeat1, 2, 0, 72),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(688),
  [3891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [3894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1127),
  [3897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(799),
  [3924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(3334),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1116),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 6),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [3950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3246),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(786),
  [3966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(3291),
  [3969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(1120),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3163),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [4004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [4014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1928),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 18),
  [4031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 47),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 25),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 25),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 53),
  [4051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 53),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(602),
  [4058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 37),
  [4062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 35),
  [4064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [4078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [4080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 54),
  [4082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 54),
  [4084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 16),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 71),
  [4090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 18),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [4094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 111),
  [4096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 100),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 99),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(1132),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(722),
  [4112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 75),
  [4114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 75),
  [4116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 76),
  [4118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 76),
  [4120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 77),
  [4122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 77),
  [4124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 45),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(614),
  [4140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 48),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [4146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 25),
  [4148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 25),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [4180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 96),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 98),
  [4195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 98),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 46),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_statement, 4, 1, 0),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [4243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1924),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 4),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [4266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [4270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 122),
  [4272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1925),
  [4275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [4281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 17),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 122),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 124),
  [4301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 13),
  [4303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 112),
  [4305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 4),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [4345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [4353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1931),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [4362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [4365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2461),
  [4370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [4372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 112),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [4388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [4390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 124),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(1134),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 4, 0, 70),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [4421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [4424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [4440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 81), SHIFT_REPEAT(1902),
  [4443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 81),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [4471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [4479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 26),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 14),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 13),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [4509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 8),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27),
  [4523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27), SHIFT_REPEAT(2646),
  [4526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(2576),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 34),
  [4549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 34), SHIFT_REPEAT(696),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [4566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [4570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 15),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1898),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [4589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 52),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 52),
  [4612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(589),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(1131),
  [4624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(787),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [4657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(536),
  [4662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1899),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1900),
  [4675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [4692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(713),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 39), SHIFT_REPEAT(716),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 39),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [4710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(521),
  [4713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(649),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [4758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(743),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27), SHIFT_REPEAT(2705),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [4799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(1135),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 28),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(498),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 74), SHIFT_REPEAT(628),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 74),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [5012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 8),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [5028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(382),
  [5039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [5146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 44),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [5328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 123), SHIFT_REPEAT(1923),
  [5331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 123),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [5391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 160),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 113),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [5397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [5405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [5413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [5415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 32),
  [5417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 112),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 125),
  [5425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 126),
  [5427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 127),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 48),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 3),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 55),
  [5435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 32),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [5445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 31),
  [5447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 30),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 138),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 29),
  [5459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 139),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 140),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [5485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 78),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 79),
  [5493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 149),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [5497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 150),
  [5499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 151),
  [5501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [5503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 19),
  [5505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 137),
  [5517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 6, 0, 97),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5, 0, 32),
  [5563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [5575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5, 0, 0),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [5615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [5655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2, 0, 0),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 32),
  [5705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4, 0, 0),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [5739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [5793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [5881] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [5905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 0),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [5947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3, 0, 32),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[20][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [10] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [11] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [16] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [18] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [19] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_mojo_external_scanner_create(void);
void tree_sitter_mojo_external_scanner_destroy(void *);
bool tree_sitter_mojo_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_mojo_external_scanner_serialize(void *, char *);
void tree_sitter_mojo_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_mojo(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_mojo_external_scanner_create,
      tree_sitter_mojo_external_scanner_destroy,
      tree_sitter_mojo_external_scanner_scan,
      tree_sitter_mojo_external_scanner_serialize,
      tree_sitter_mojo_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
