#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4271
#define LARGE_STATE_COUNT 809
#define SYMBOL_COUNT 210
#define ALIAS_COUNT 2
#define TOKEN_COUNT 121
#define EXTERNAL_TOKEN_COUNT 47
#define FIELD_COUNT 10
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 34

enum ts_symbol_identifiers {
  sym__identifier = 1,
  sym_parbreak = 2,
  aux_sym_escape_token1 = 3,
  aux_sym_url_token1 = 4,
  sym__lb = 5,
  sym_linebreak = 6,
  sym_quote = 7,
  aux_sym_text_token1 = 8,
  anon_sym_COLON = 9,
  anon_sym_BQUOTE_BQUOTE_BQUOTE = 10,
  anon_sym_BQUOTE = 11,
  sym_shorthand = 12,
  anon_sym_DOLLAR = 13,
  sym__math_token_align = 14,
  sym__math_token_rpar = 15,
  sym__math_token_lpar = 16,
  sym__math_token_ldlm = 17,
  sym__math_token_orph = 18,
  sym__math_number = 19,
  aux_sym__math_root_token1 = 20,
  anon_sym_BANG = 21,
  anon_sym_CARET = 22,
  anon_sym__ = 23,
  anon_sym_COMMA = 24,
  anon_sym_SEMI = 25,
  aux_sym__math_shorthand_token1 = 26,
  aux_sym__math_symbol_token1 = 27,
  anon_sym_POUND = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  aux_sym_number_token1 = 31,
  anon_sym_DQUOTE = 32,
  anon_sym_context = 33,
  anon_sym_DOT_DOT = 34,
  aux_sym_assign_token1 = 35,
  anon_sym_EQ_GT = 36,
  anon_sym_or = 37,
  anon_sym_not = 38,
  anon_sym_and = 39,
  anon_sym_LT = 40,
  anon_sym_GT = 41,
  anon_sym_LT_EQ = 42,
  anon_sym_GT_EQ = 43,
  anon_sym_EQ_EQ = 44,
  anon_sym_BANG_EQ = 45,
  anon_sym_in = 46,
  anon_sym_PLUS = 47,
  anon_sym_DASH = 48,
  anon_sym_STAR = 49,
  anon_sym_SLASH = 50,
  anon_sym_DOT = 51,
  anon_sym_AT = 52,
  anon_sym_LPAREN = 53,
  anon_sym_RPAREN = 54,
  anon_sym_LBRACE = 55,
  anon_sym_RBRACE = 56,
  anon_sym_if = 57,
  anon_sym_let = 58,
  anon_sym_EQ = 59,
  anon_sym_set = 60,
  anon_sym_as = 61,
  anon_sym_import = 62,
  anon_sym_COLON2 = 63,
  anon_sym_COMMA2 = 64,
  anon_sym_include = 65,
  anon_sym_for = 66,
  anon_sym_while = 67,
  anon_sym_show = 68,
  anon_sym_return = 69,
  anon_sym_break = 70,
  anon_sym_continue = 71,
  sym_auto = 72,
  sym_none = 73,
  sym__indent = 74,
  sym__dedent = 75,
  sym__redent = 76,
  sym__line_start_check = 77,
  sym__token_content = 78,
  sym__token_strong = 79,
  sym__token_emph = 80,
  sym__barrier = 81,
  sym__token_bracket = 82,
  sym__token_section = 83,
  sym__termination = 84,
  sym__token_inlined_item_end = 85,
  sym__token_inlined_stmt_end = 86,
  sym__token_blocked_expr_end = 87,
  sym__token_math_letter = 88,
  sym__token_math_ident = 89,
  sym__token_math_frac = 90,
  sym__token_math_group_end = 91,
  sym__token_else = 92,
  sym__token_unit = 93,
  sym__token_url = 94,
  sym__token_item = 95,
  sym__token_term = 96,
  sym__token_head_1 = 97,
  sym__token_head_2 = 98,
  sym__token_head_3 = 99,
  sym__token_head_4 = 100,
  sym__token_head_5 = 101,
  sym__token_head_p = 102,
  sym__token_string_blob = 103,
  sym__token_raw_span_blob = 104,
  sym__token_raw_blck_blob = 105,
  sym__token_raw_lang = 106,
  sym__token_identifier = 107,
  sym__token_label = 108,
  sym__token_anti_markup = 109,
  sym_comment = 110,
  sym__sp = 111,
  sym__immediate = 112,
  sym__immediate_paren = 113,
  sym__immediate_brack = 114,
  sym__immediate_ident = 115,
  sym__immediate_math_call = 116,
  sym__immediate_math_apply = 117,
  sym__immediate_math_field = 118,
  sym__immediate_math_prime = 119,
  sym__recovery = 120,
  sym_source_file = 121,
  sym__line_content = 122,
  sym_escape = 123,
  sym_url = 124,
  sym__content_lb = 125,
  sym__brackets = 126,
  sym__markup = 127,
  sym_text = 128,
  sym__indented = 129,
  sym_item = 130,
  sym_term = 131,
  sym__section = 132,
  sym_section = 133,
  sym_heading = 134,
  sym_strong = 135,
  sym_emph = 136,
  sym_raw_blck = 137,
  sym_raw_span = 138,
  sym_math = 139,
  sym_formula = 140,
  sym__math_expr = 141,
  sym__math_token_colon = 142,
  sym__math_group = 143,
  sym__math_item = 144,
  sym__math_div = 145,
  sym__math_root = 146,
  sym__math_fac = 147,
  sym__math_prime = 148,
  sym__math_attach_sup = 149,
  sym__math_attach_sub = 150,
  sym__math_field = 151,
  sym__math_call = 152,
  sym__math_tag = 153,
  sym__math_tagged = 154,
  sym__math_apply = 155,
  sym__math_shorthand = 156,
  sym__math_symbol = 157,
  sym__code = 158,
  sym__item = 159,
  sym__stmt = 160,
  sym__expr = 161,
  sym_ident = 162,
  sym_unit = 163,
  sym_bool = 164,
  sym_number = 165,
  sym_string = 166,
  sym_tagged = 167,
  sym_context = 168,
  sym_elude = 169,
  sym_assign = 170,
  sym_lambda = 171,
  sym_or = 172,
  sym_not = 173,
  sym_and = 174,
  sym_cmp = 175,
  sym_in = 176,
  sym_add = 177,
  sym_sub = 178,
  sym_mul = 179,
  sym_div = 180,
  sym_sign = 181,
  sym_call = 182,
  sym_field = 183,
  sym_label = 184,
  sym_ref = 185,
  sym_content = 186,
  sym_group = 187,
  sym_block = 188,
  sym_branch = 189,
  sym_let = 190,
  sym_set = 191,
  sym_as = 192,
  sym_import = 193,
  sym_include = 194,
  sym_for = 195,
  sym_while = 196,
  sym_show = 197,
  sym_return = 198,
  sym_flow = 199,
  aux_sym_source_file_repeat1 = 200,
  aux_sym__line_content_repeat1 = 201,
  aux_sym_text_repeat1 = 202,
  aux_sym_formula_repeat1 = 203,
  aux_sym__math_call_repeat1 = 204,
  aux_sym_string_repeat1 = 205,
  aux_sym_group_repeat1 = 206,
  aux_sym_block_repeat1 = 207,
  aux_sym_branch_repeat1 = 208,
  aux_sym_import_repeat1 = 209,
  anon_alias_sym_RBRACK = 210,
  alias_sym_wildcard = 211,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [sym_parbreak] = "parbreak",
  [aux_sym_escape_token1] = "escape_token1",
  [aux_sym_url_token1] = "url_token1",
  [sym__lb] = "_lb",
  [sym_linebreak] = "linebreak",
  [sym_quote] = "quote",
  [aux_sym_text_token1] = "text_token1",
  [anon_sym_COLON] = ":",
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = "```",
  [anon_sym_BQUOTE] = "`",
  [sym_shorthand] = "shorthand",
  [anon_sym_DOLLAR] = "$",
  [sym__math_token_align] = "align",
  [sym__math_token_rpar] = ")",
  [sym__math_token_lpar] = "(",
  [sym__math_token_ldlm] = "(",
  [sym__math_token_orph] = "_math_token_orph",
  [sym__math_number] = "number",
  [aux_sym__math_root_token1] = "_math_root_token1",
  [anon_sym_BANG] = "!",
  [anon_sym_CARET] = "^",
  [anon_sym__] = "_",
  [anon_sym_COMMA] = ",",
  [anon_sym_SEMI] = ";",
  [aux_sym__math_shorthand_token1] = "_math_shorthand_token1",
  [aux_sym__math_symbol_token1] = "_math_symbol_token1",
  [anon_sym_POUND] = "#",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [aux_sym_number_token1] = "number_token1",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_context] = "context",
  [anon_sym_DOT_DOT] = "..",
  [aux_sym_assign_token1] = "assign",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_or] = "or",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_in] = "in",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_DOT] = ".",
  [anon_sym_AT] = "@",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_if] = "if",
  [anon_sym_let] = "let",
  [anon_sym_EQ] = "=",
  [anon_sym_set] = "set",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_COLON2] = ":",
  [anon_sym_COMMA2] = ",",
  [anon_sym_include] = "include",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [anon_sym_show] = "show",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [sym_auto] = "auto",
  [sym_none] = "none",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__redent] = "_redent",
  [sym__line_start_check] = "_line_start_check",
  [sym__token_content] = "[",
  [sym__token_strong] = "*",
  [sym__token_emph] = "_",
  [sym__barrier] = "_barrier",
  [sym__token_bracket] = "text",
  [sym__token_section] = "_token_section",
  [sym__termination] = "_termination",
  [sym__token_inlined_item_end] = "end",
  [sym__token_inlined_stmt_end] = "end",
  [sym__token_blocked_expr_end] = "sep",
  [sym__token_math_letter] = "letter",
  [sym__token_math_ident] = "ident",
  [sym__token_math_frac] = "/",
  [sym__token_math_group_end] = ")",
  [sym__token_else] = "else",
  [sym__token_unit] = "_token_unit",
  [sym__token_url] = "_token_url",
  [sym__token_item] = "-",
  [sym__token_term] = "/",
  [sym__token_head_1] = "=",
  [sym__token_head_2] = "==",
  [sym__token_head_3] = "===",
  [sym__token_head_4] = "====",
  [sym__token_head_5] = "=====",
  [sym__token_head_p] = "======",
  [sym__token_string_blob] = "_token_string_blob",
  [sym__token_raw_span_blob] = "blob",
  [sym__token_raw_blck_blob] = "blob",
  [sym__token_raw_lang] = "ident",
  [sym__token_identifier] = "_token_identifier",
  [sym__token_label] = "_token_label",
  [sym__token_anti_markup] = "_token_anti_markup",
  [sym_comment] = "comment",
  [sym__sp] = "_sp",
  [sym__immediate] = "_immediate",
  [sym__immediate_paren] = "_immediate_paren",
  [sym__immediate_brack] = "_immediate_brack",
  [sym__immediate_ident] = "_immediate_ident",
  [sym__immediate_math_call] = "_immediate_math_call",
  [sym__immediate_math_apply] = "_immediate_math_apply",
  [sym__immediate_math_field] = "_immediate_math_field",
  [sym__immediate_math_prime] = "_immediate_math_prime",
  [sym__recovery] = "_recovery",
  [sym_source_file] = "source_file",
  [sym__line_content] = "_line_content",
  [sym_escape] = "escape",
  [sym_url] = "url",
  [sym__content_lb] = "_content_lb",
  [sym__brackets] = "_brackets",
  [sym__markup] = "_markup",
  [sym_text] = "text",
  [sym__indented] = "_indented",
  [sym_item] = "item",
  [sym_term] = "term",
  [sym__section] = "content",
  [sym_section] = "section",
  [sym_heading] = "heading",
  [sym_strong] = "strong",
  [sym_emph] = "emph",
  [sym_raw_blck] = "raw_blck",
  [sym_raw_span] = "raw_span",
  [sym_math] = "math",
  [sym_formula] = "formula",
  [sym__math_expr] = "_math_expr",
  [sym__math_token_colon] = "_math_token_colon",
  [sym__math_group] = "_math_group",
  [sym__math_item] = "_math_item",
  [sym__math_div] = "fraction",
  [sym__math_root] = "root",
  [sym__math_fac] = "fac",
  [sym__math_prime] = "prime",
  [sym__math_attach_sup] = "attach",
  [sym__math_attach_sub] = "attach",
  [sym__math_field] = "field",
  [sym__math_call] = "call",
  [sym__math_tag] = "_math_tag",
  [sym__math_tagged] = "tagged",
  [sym__math_apply] = "apply",
  [sym__math_shorthand] = "shorthand",
  [sym__math_symbol] = "symbol",
  [sym__code] = "_code",
  [sym__item] = "_item",
  [sym__stmt] = "_stmt",
  [sym__expr] = "_expr",
  [sym_ident] = "ident",
  [sym_unit] = "unit",
  [sym_bool] = "bool",
  [sym_number] = "number",
  [sym_string] = "string",
  [sym_tagged] = "tagged",
  [sym_context] = "context",
  [sym_elude] = "elude",
  [sym_assign] = "assign",
  [sym_lambda] = "lambda",
  [sym_or] = "or",
  [sym_not] = "not",
  [sym_and] = "and",
  [sym_cmp] = "cmp",
  [sym_in] = "in",
  [sym_add] = "add",
  [sym_sub] = "sub",
  [sym_mul] = "mul",
  [sym_div] = "div",
  [sym_sign] = "sign",
  [sym_call] = "call",
  [sym_field] = "field",
  [sym_label] = "label",
  [sym_ref] = "ref",
  [sym_content] = "content",
  [sym_group] = "group",
  [sym_block] = "block",
  [sym_branch] = "branch",
  [sym_let] = "let",
  [sym_set] = "set",
  [sym_as] = "as",
  [sym_import] = "import",
  [sym_include] = "include",
  [sym_for] = "for",
  [sym_while] = "while",
  [sym_show] = "show",
  [sym_return] = "return",
  [sym_flow] = "flow",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym__line_content_repeat1] = "_line_content_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_formula_repeat1] = "formula_repeat1",
  [aux_sym__math_call_repeat1] = "_math_call_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_group_repeat1] = "group_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_branch_repeat1] = "branch_repeat1",
  [aux_sym_import_repeat1] = "import_repeat1",
  [anon_alias_sym_RBRACK] = "]",
  [alias_sym_wildcard] = "wildcard",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [sym_parbreak] = sym_parbreak,
  [aux_sym_escape_token1] = aux_sym_escape_token1,
  [aux_sym_url_token1] = aux_sym_url_token1,
  [sym__lb] = sym__lb,
  [sym_linebreak] = sym_linebreak,
  [sym_quote] = sym_quote,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [sym_shorthand] = sym_shorthand,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__math_token_align] = sym__math_token_align,
  [sym__math_token_rpar] = anon_sym_RPAREN,
  [sym__math_token_lpar] = anon_sym_LPAREN,
  [sym__math_token_ldlm] = anon_sym_LPAREN,
  [sym__math_token_orph] = sym__math_token_orph,
  [sym__math_number] = sym_number,
  [aux_sym__math_root_token1] = aux_sym__math_root_token1,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym__] = anon_sym__,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym__math_shorthand_token1] = aux_sym__math_shorthand_token1,
  [aux_sym__math_symbol_token1] = aux_sym__math_symbol_token1,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_context] = anon_sym_context,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [aux_sym_assign_token1] = aux_sym_assign_token1,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_COMMA2] = anon_sym_COMMA,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_show] = anon_sym_show,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [sym_auto] = sym_auto,
  [sym_none] = sym_none,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__redent] = sym__redent,
  [sym__line_start_check] = sym__line_start_check,
  [sym__token_content] = sym__token_content,
  [sym__token_strong] = anon_sym_STAR,
  [sym__token_emph] = anon_sym__,
  [sym__barrier] = sym__barrier,
  [sym__token_bracket] = sym_text,
  [sym__token_section] = sym__token_section,
  [sym__termination] = sym__termination,
  [sym__token_inlined_item_end] = sym__token_inlined_item_end,
  [sym__token_inlined_stmt_end] = sym__token_inlined_item_end,
  [sym__token_blocked_expr_end] = sym__token_blocked_expr_end,
  [sym__token_math_letter] = sym__token_math_letter,
  [sym__token_math_ident] = sym_ident,
  [sym__token_math_frac] = anon_sym_SLASH,
  [sym__token_math_group_end] = anon_sym_RPAREN,
  [sym__token_else] = sym__token_else,
  [sym__token_unit] = sym__token_unit,
  [sym__token_url] = sym__token_url,
  [sym__token_item] = anon_sym_DASH,
  [sym__token_term] = anon_sym_SLASH,
  [sym__token_head_1] = anon_sym_EQ,
  [sym__token_head_2] = anon_sym_EQ_EQ,
  [sym__token_head_3] = sym__token_head_3,
  [sym__token_head_4] = sym__token_head_4,
  [sym__token_head_5] = sym__token_head_5,
  [sym__token_head_p] = sym__token_head_p,
  [sym__token_string_blob] = sym__token_string_blob,
  [sym__token_raw_span_blob] = sym__token_raw_span_blob,
  [sym__token_raw_blck_blob] = sym__token_raw_span_blob,
  [sym__token_raw_lang] = sym_ident,
  [sym__token_identifier] = sym__token_identifier,
  [sym__token_label] = sym__token_label,
  [sym__token_anti_markup] = sym__token_anti_markup,
  [sym_comment] = sym_comment,
  [sym__sp] = sym__sp,
  [sym__immediate] = sym__immediate,
  [sym__immediate_paren] = sym__immediate_paren,
  [sym__immediate_brack] = sym__immediate_brack,
  [sym__immediate_ident] = sym__immediate_ident,
  [sym__immediate_math_call] = sym__immediate_math_call,
  [sym__immediate_math_apply] = sym__immediate_math_apply,
  [sym__immediate_math_field] = sym__immediate_math_field,
  [sym__immediate_math_prime] = sym__immediate_math_prime,
  [sym__recovery] = sym__recovery,
  [sym_source_file] = sym_source_file,
  [sym__line_content] = sym__line_content,
  [sym_escape] = sym_escape,
  [sym_url] = sym_url,
  [sym__content_lb] = sym__content_lb,
  [sym__brackets] = sym__brackets,
  [sym__markup] = sym__markup,
  [sym_text] = sym_text,
  [sym__indented] = sym__indented,
  [sym_item] = sym_item,
  [sym_term] = sym_term,
  [sym__section] = sym_content,
  [sym_section] = sym_section,
  [sym_heading] = sym_heading,
  [sym_strong] = sym_strong,
  [sym_emph] = sym_emph,
  [sym_raw_blck] = sym_raw_blck,
  [sym_raw_span] = sym_raw_span,
  [sym_math] = sym_math,
  [sym_formula] = sym_formula,
  [sym__math_expr] = sym__math_expr,
  [sym__math_token_colon] = sym__math_token_colon,
  [sym__math_group] = sym__math_group,
  [sym__math_item] = sym__math_item,
  [sym__math_div] = sym__math_div,
  [sym__math_root] = sym__math_root,
  [sym__math_fac] = sym__math_fac,
  [sym__math_prime] = sym__math_prime,
  [sym__math_attach_sup] = sym__math_attach_sup,
  [sym__math_attach_sub] = sym__math_attach_sup,
  [sym__math_field] = sym_field,
  [sym__math_call] = sym_call,
  [sym__math_tag] = sym__math_tag,
  [sym__math_tagged] = sym_tagged,
  [sym__math_apply] = sym__math_apply,
  [sym__math_shorthand] = sym_shorthand,
  [sym__math_symbol] = sym__math_symbol,
  [sym__code] = sym__code,
  [sym__item] = sym__item,
  [sym__stmt] = sym__stmt,
  [sym__expr] = sym__expr,
  [sym_ident] = sym_ident,
  [sym_unit] = sym_unit,
  [sym_bool] = sym_bool,
  [sym_number] = sym_number,
  [sym_string] = sym_string,
  [sym_tagged] = sym_tagged,
  [sym_context] = sym_context,
  [sym_elude] = sym_elude,
  [sym_assign] = sym_assign,
  [sym_lambda] = sym_lambda,
  [sym_or] = sym_or,
  [sym_not] = sym_not,
  [sym_and] = sym_and,
  [sym_cmp] = sym_cmp,
  [sym_in] = sym_in,
  [sym_add] = sym_add,
  [sym_sub] = sym_sub,
  [sym_mul] = sym_mul,
  [sym_div] = sym_div,
  [sym_sign] = sym_sign,
  [sym_call] = sym_call,
  [sym_field] = sym_field,
  [sym_label] = sym_label,
  [sym_ref] = sym_ref,
  [sym_content] = sym_content,
  [sym_group] = sym_group,
  [sym_block] = sym_block,
  [sym_branch] = sym_branch,
  [sym_let] = sym_let,
  [sym_set] = sym_set,
  [sym_as] = sym_as,
  [sym_import] = sym_import,
  [sym_include] = sym_include,
  [sym_for] = sym_for,
  [sym_while] = sym_while,
  [sym_show] = sym_show,
  [sym_return] = sym_return,
  [sym_flow] = sym_flow,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym__line_content_repeat1] = aux_sym__line_content_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_formula_repeat1] = aux_sym_formula_repeat1,
  [aux_sym__math_call_repeat1] = aux_sym__math_call_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_group_repeat1] = aux_sym_group_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_branch_repeat1] = aux_sym_branch_repeat1,
  [aux_sym_import_repeat1] = aux_sym_import_repeat1,
  [anon_alias_sym_RBRACK] = anon_alias_sym_RBRACK,
  [alias_sym_wildcard] = alias_sym_wildcard,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_parbreak] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_escape_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_url_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__lb] = {
    .visible = false,
    .named = true,
  },
  [sym_linebreak] = {
    .visible = true,
    .named = true,
  },
  [sym_quote] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_shorthand] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_align] = {
    .visible = true,
    .named = true,
  },
  [sym__math_token_rpar] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_lpar] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_ldlm] = {
    .visible = true,
    .named = false,
  },
  [sym__math_token_orph] = {
    .visible = false,
    .named = true,
  },
  [sym__math_number] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__math_root_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__math_shorthand_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__math_symbol_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_context] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_assign_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_show] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__redent] = {
    .visible = false,
    .named = true,
  },
  [sym__line_start_check] = {
    .visible = false,
    .named = true,
  },
  [sym__token_content] = {
    .visible = true,
    .named = false,
  },
  [sym__token_strong] = {
    .visible = true,
    .named = false,
  },
  [sym__token_emph] = {
    .visible = true,
    .named = false,
  },
  [sym__barrier] = {
    .visible = false,
    .named = true,
  },
  [sym__token_bracket] = {
    .visible = true,
    .named = true,
  },
  [sym__token_section] = {
    .visible = false,
    .named = true,
  },
  [sym__termination] = {
    .visible = false,
    .named = true,
  },
  [sym__token_inlined_item_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_inlined_stmt_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_blocked_expr_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_math_letter] = {
    .visible = true,
    .named = true,
  },
  [sym__token_math_ident] = {
    .visible = true,
    .named = true,
  },
  [sym__token_math_frac] = {
    .visible = true,
    .named = false,
  },
  [sym__token_math_group_end] = {
    .visible = true,
    .named = false,
  },
  [sym__token_else] = {
    .visible = true,
    .named = false,
  },
  [sym__token_unit] = {
    .visible = false,
    .named = true,
  },
  [sym__token_url] = {
    .visible = false,
    .named = true,
  },
  [sym__token_item] = {
    .visible = true,
    .named = false,
  },
  [sym__token_term] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_1] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_2] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_3] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_4] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_5] = {
    .visible = true,
    .named = false,
  },
  [sym__token_head_p] = {
    .visible = true,
    .named = false,
  },
  [sym__token_string_blob] = {
    .visible = false,
    .named = true,
  },
  [sym__token_raw_span_blob] = {
    .visible = true,
    .named = true,
  },
  [sym__token_raw_blck_blob] = {
    .visible = true,
    .named = true,
  },
  [sym__token_raw_lang] = {
    .visible = true,
    .named = true,
  },
  [sym__token_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__token_label] = {
    .visible = false,
    .named = true,
  },
  [sym__token_anti_markup] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__sp] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_paren] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_brack] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_ident] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_call] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_apply] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_field] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_math_prime] = {
    .visible = false,
    .named = true,
  },
  [sym__recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__line_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_url] = {
    .visible = true,
    .named = true,
  },
  [sym__content_lb] = {
    .visible = false,
    .named = true,
  },
  [sym__brackets] = {
    .visible = false,
    .named = true,
  },
  [sym__markup] = {
    .visible = false,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym__indented] = {
    .visible = false,
    .named = true,
  },
  [sym_item] = {
    .visible = true,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym__section] = {
    .visible = true,
    .named = true,
  },
  [sym_section] = {
    .visible = true,
    .named = true,
  },
  [sym_heading] = {
    .visible = true,
    .named = true,
  },
  [sym_strong] = {
    .visible = true,
    .named = true,
  },
  [sym_emph] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_blck] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_span] = {
    .visible = true,
    .named = true,
  },
  [sym_math] = {
    .visible = true,
    .named = true,
  },
  [sym_formula] = {
    .visible = true,
    .named = true,
  },
  [sym__math_expr] = {
    .visible = false,
    .named = true,
  },
  [sym__math_token_colon] = {
    .visible = false,
    .named = true,
  },
  [sym__math_group] = {
    .visible = false,
    .named = true,
  },
  [sym__math_item] = {
    .visible = false,
    .named = true,
  },
  [sym__math_div] = {
    .visible = true,
    .named = true,
  },
  [sym__math_root] = {
    .visible = true,
    .named = true,
  },
  [sym__math_fac] = {
    .visible = true,
    .named = true,
  },
  [sym__math_prime] = {
    .visible = true,
    .named = true,
  },
  [sym__math_attach_sup] = {
    .visible = true,
    .named = true,
  },
  [sym__math_attach_sub] = {
    .visible = true,
    .named = true,
  },
  [sym__math_field] = {
    .visible = true,
    .named = true,
  },
  [sym__math_call] = {
    .visible = true,
    .named = true,
  },
  [sym__math_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__math_tagged] = {
    .visible = true,
    .named = true,
  },
  [sym__math_apply] = {
    .visible = true,
    .named = true,
  },
  [sym__math_shorthand] = {
    .visible = true,
    .named = true,
  },
  [sym__math_symbol] = {
    .visible = true,
    .named = true,
  },
  [sym__code] = {
    .visible = false,
    .named = true,
  },
  [sym__item] = {
    .visible = false,
    .named = true,
  },
  [sym__stmt] = {
    .visible = false,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym_ident] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged] = {
    .visible = true,
    .named = true,
  },
  [sym_context] = {
    .visible = true,
    .named = true,
  },
  [sym_elude] = {
    .visible = true,
    .named = true,
  },
  [sym_assign] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_or] = {
    .visible = true,
    .named = true,
  },
  [sym_not] = {
    .visible = true,
    .named = true,
  },
  [sym_and] = {
    .visible = true,
    .named = true,
  },
  [sym_cmp] = {
    .visible = true,
    .named = true,
  },
  [sym_in] = {
    .visible = true,
    .named = true,
  },
  [sym_add] = {
    .visible = true,
    .named = true,
  },
  [sym_sub] = {
    .visible = true,
    .named = true,
  },
  [sym_mul] = {
    .visible = true,
    .named = true,
  },
  [sym_div] = {
    .visible = true,
    .named = true,
  },
  [sym_sign] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_content] = {
    .visible = true,
    .named = true,
  },
  [sym_group] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_branch] = {
    .visible = true,
    .named = true,
  },
  [sym_let] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_as] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym_for] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_show] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym_flow] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__line_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formula_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__math_call_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_branch_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_wildcard] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_condition = 1,
  field_field = 2,
  field_import = 3,
  field_item = 4,
  field_lang = 5,
  field_pattern = 6,
  field_sub = 7,
  field_sup = 8,
  field_term = 9,
  field_value = 10,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_condition] = "condition",
  [field_field] = "field",
  [field_import] = "import",
  [field_item] = "item",
  [field_lang] = "lang",
  [field_pattern] = "pattern",
  [field_sub] = "sub",
  [field_sup] = "sup",
  [field_term] = "term",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [4] = {.index = 0, .length = 2},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [10] = {.index = 4, .length = 1},
  [11] = {.index = 5, .length = 1},
  [13] = {.index = 6, .length = 1},
  [14] = {.index = 7, .length = 1},
  [15] = {.index = 8, .length = 1},
  [16] = {.index = 9, .length = 1},
  [17] = {.index = 10, .length = 1},
  [18] = {.index = 11, .length = 1},
  [19] = {.index = 12, .length = 1},
  [20] = {.index = 13, .length = 2},
  [21] = {.index = 15, .length = 1},
  [22] = {.index = 16, .length = 1},
  [25] = {.index = 17, .length = 2},
  [26] = {.index = 19, .length = 1},
  [27] = {.index = 5, .length = 1},
  [28] = {.index = 20, .length = 2},
  [29] = {.index = 22, .length = 2},
  [30] = {.index = 24, .length = 2},
  [32] = {.index = 5, .length = 1},
  [33] = {.index = 26, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_sub, 0, .inherited = true},
    {field_sup, 0, .inherited = true},
  [2] =
    {field_field, 0, .inherited = true},
  [3] =
    {field_item, 0, .inherited = true},
  [4] =
    {field_pattern, 1},
  [5] =
    {field_import, 1},
  [6] =
    {field_item, 0},
  [7] =
    {field_sup, 2},
  [8] =
    {field_sub, 2},
  [9] =
    {field_field, 2},
  [10] =
    {field_condition, 1},
  [11] =
    {field_value, 2},
  [12] =
    {field_field, 0},
  [13] =
    {field_pattern, 0},
    {field_value, 2},
  [15] =
    {field_term, 1},
  [16] =
    {field_lang, 1},
  [17] =
    {field_pattern, 1},
    {field_value, 3},
  [19] =
    {field_condition, 3},
  [20] =
    {field_sub, 4},
    {field_sup, 2},
  [22] =
    {field_sub, 2},
    {field_sup, 4},
  [24] =
    {field_field, 3, .inherited = true},
    {field_item, 0},
  [26] =
    {field_field, 4, .inherited = true},
    {field_item, 0},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [1] = anon_sym_STAR,
  },
  [2] = {
    [1] = anon_sym__,
  },
  [3] = {
    [0] = sym_group,
  },
  [7] = {
    [2] = anon_sym_STAR,
  },
  [8] = {
    [2] = anon_sym__,
  },
  [9] = {
    [2] = sym_text,
  },
  [12] = {
    [3] = sym_text,
  },
  [23] = {
    [0] = sym_ident,
  },
  [24] = {
    [2] = anon_alias_sym_RBRACK,
  },
  [27] = {
    [3] = alias_sym_wildcard,
  },
  [31] = {
    [3] = anon_alias_sym_RBRACK,
  },
  [32] = {
    [4] = alias_sym_wildcard,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__math_group, 2,
    sym__math_group,
    sym_group,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 3,
  [6] = 3,
  [7] = 2,
  [8] = 3,
  [9] = 3,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 3,
  [15] = 2,
  [16] = 2,
  [17] = 3,
  [18] = 3,
  [19] = 3,
  [20] = 3,
  [21] = 2,
  [22] = 3,
  [23] = 3,
  [24] = 2,
  [25] = 2,
  [26] = 3,
  [27] = 3,
  [28] = 2,
  [29] = 3,
  [30] = 3,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 3,
  [35] = 3,
  [36] = 2,
  [37] = 2,
  [38] = 3,
  [39] = 2,
  [40] = 3,
  [41] = 2,
  [42] = 2,
  [43] = 3,
  [44] = 2,
  [45] = 3,
  [46] = 46,
  [47] = 46,
  [48] = 46,
  [49] = 46,
  [50] = 46,
  [51] = 46,
  [52] = 46,
  [53] = 46,
  [54] = 46,
  [55] = 46,
  [56] = 46,
  [57] = 46,
  [58] = 46,
  [59] = 46,
  [60] = 46,
  [61] = 46,
  [62] = 46,
  [63] = 46,
  [64] = 46,
  [65] = 46,
  [66] = 46,
  [67] = 67,
  [68] = 67,
  [69] = 69,
  [70] = 70,
  [71] = 70,
  [72] = 72,
  [73] = 67,
  [74] = 67,
  [75] = 70,
  [76] = 76,
  [77] = 69,
  [78] = 70,
  [79] = 79,
  [80] = 67,
  [81] = 67,
  [82] = 72,
  [83] = 67,
  [84] = 70,
  [85] = 76,
  [86] = 67,
  [87] = 72,
  [88] = 70,
  [89] = 67,
  [90] = 76,
  [91] = 69,
  [92] = 70,
  [93] = 79,
  [94] = 72,
  [95] = 67,
  [96] = 76,
  [97] = 69,
  [98] = 70,
  [99] = 79,
  [100] = 72,
  [101] = 67,
  [102] = 67,
  [103] = 76,
  [104] = 69,
  [105] = 70,
  [106] = 70,
  [107] = 67,
  [108] = 79,
  [109] = 72,
  [110] = 70,
  [111] = 67,
  [112] = 67,
  [113] = 70,
  [114] = 76,
  [115] = 67,
  [116] = 69,
  [117] = 70,
  [118] = 70,
  [119] = 79,
  [120] = 72,
  [121] = 67,
  [122] = 76,
  [123] = 69,
  [124] = 70,
  [125] = 70,
  [126] = 67,
  [127] = 79,
  [128] = 70,
  [129] = 76,
  [130] = 72,
  [131] = 67,
  [132] = 69,
  [133] = 76,
  [134] = 70,
  [135] = 70,
  [136] = 67,
  [137] = 76,
  [138] = 67,
  [139] = 79,
  [140] = 79,
  [141] = 70,
  [142] = 69,
  [143] = 70,
  [144] = 79,
  [145] = 67,
  [146] = 72,
  [147] = 69,
  [148] = 70,
  [149] = 67,
  [150] = 76,
  [151] = 69,
  [152] = 70,
  [153] = 79,
  [154] = 70,
  [155] = 67,
  [156] = 76,
  [157] = 69,
  [158] = 70,
  [159] = 79,
  [160] = 79,
  [161] = 67,
  [162] = 67,
  [163] = 76,
  [164] = 69,
  [165] = 70,
  [166] = 79,
  [167] = 70,
  [168] = 67,
  [169] = 76,
  [170] = 69,
  [171] = 70,
  [172] = 79,
  [173] = 70,
  [174] = 69,
  [175] = 67,
  [176] = 76,
  [177] = 67,
  [178] = 69,
  [179] = 70,
  [180] = 70,
  [181] = 67,
  [182] = 79,
  [183] = 76,
  [184] = 70,
  [185] = 67,
  [186] = 76,
  [187] = 67,
  [188] = 69,
  [189] = 70,
  [190] = 79,
  [191] = 70,
  [192] = 67,
  [193] = 67,
  [194] = 79,
  [195] = 67,
  [196] = 76,
  [197] = 197,
  [198] = 69,
  [199] = 79,
  [200] = 70,
  [201] = 201,
  [202] = 70,
  [203] = 70,
  [204] = 79,
  [205] = 67,
  [206] = 67,
  [207] = 67,
  [208] = 76,
  [209] = 69,
  [210] = 70,
  [211] = 70,
  [212] = 79,
  [213] = 67,
  [214] = 69,
  [215] = 79,
  [216] = 67,
  [217] = 76,
  [218] = 70,
  [219] = 69,
  [220] = 76,
  [221] = 221,
  [222] = 221,
  [223] = 221,
  [224] = 221,
  [225] = 221,
  [226] = 221,
  [227] = 221,
  [228] = 221,
  [229] = 221,
  [230] = 221,
  [231] = 221,
  [232] = 221,
  [233] = 221,
  [234] = 221,
  [235] = 221,
  [236] = 221,
  [237] = 221,
  [238] = 221,
  [239] = 221,
  [240] = 221,
  [241] = 221,
  [242] = 221,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 248,
  [250] = 243,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 243,
  [259] = 252,
  [260] = 251,
  [261] = 254,
  [262] = 256,
  [263] = 257,
  [264] = 253,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 255,
  [273] = 273,
  [274] = 274,
  [275] = 273,
  [276] = 269,
  [277] = 268,
  [278] = 267,
  [279] = 274,
  [280] = 271,
  [281] = 252,
  [282] = 253,
  [283] = 270,
  [284] = 266,
  [285] = 265,
  [286] = 255,
  [287] = 287,
  [288] = 257,
  [289] = 265,
  [290] = 266,
  [291] = 255,
  [292] = 267,
  [293] = 256,
  [294] = 254,
  [295] = 295,
  [296] = 251,
  [297] = 252,
  [298] = 253,
  [299] = 299,
  [300] = 243,
  [301] = 248,
  [302] = 255,
  [303] = 247,
  [304] = 246,
  [305] = 268,
  [306] = 245,
  [307] = 245,
  [308] = 299,
  [309] = 244,
  [310] = 310,
  [311] = 270,
  [312] = 271,
  [313] = 274,
  [314] = 273,
  [315] = 269,
  [316] = 268,
  [317] = 267,
  [318] = 299,
  [319] = 252,
  [320] = 253,
  [321] = 255,
  [322] = 266,
  [323] = 245,
  [324] = 255,
  [325] = 269,
  [326] = 265,
  [327] = 257,
  [328] = 246,
  [329] = 270,
  [330] = 247,
  [331] = 271,
  [332] = 274,
  [333] = 310,
  [334] = 256,
  [335] = 246,
  [336] = 247,
  [337] = 254,
  [338] = 251,
  [339] = 243,
  [340] = 248,
  [341] = 247,
  [342] = 246,
  [343] = 245,
  [344] = 248,
  [345] = 243,
  [346] = 251,
  [347] = 254,
  [348] = 256,
  [349] = 257,
  [350] = 252,
  [351] = 265,
  [352] = 253,
  [353] = 266,
  [354] = 267,
  [355] = 268,
  [356] = 269,
  [357] = 299,
  [358] = 273,
  [359] = 273,
  [360] = 255,
  [361] = 274,
  [362] = 271,
  [363] = 270,
  [364] = 270,
  [365] = 271,
  [366] = 274,
  [367] = 273,
  [368] = 273,
  [369] = 269,
  [370] = 269,
  [371] = 268,
  [372] = 267,
  [373] = 266,
  [374] = 265,
  [375] = 257,
  [376] = 256,
  [377] = 254,
  [378] = 251,
  [379] = 243,
  [380] = 248,
  [381] = 268,
  [382] = 267,
  [383] = 266,
  [384] = 265,
  [385] = 257,
  [386] = 256,
  [387] = 254,
  [388] = 251,
  [389] = 252,
  [390] = 253,
  [391] = 274,
  [392] = 243,
  [393] = 248,
  [394] = 299,
  [395] = 255,
  [396] = 247,
  [397] = 246,
  [398] = 245,
  [399] = 271,
  [400] = 247,
  [401] = 246,
  [402] = 287,
  [403] = 295,
  [404] = 244,
  [405] = 310,
  [406] = 245,
  [407] = 252,
  [408] = 253,
  [409] = 245,
  [410] = 299,
  [411] = 299,
  [412] = 299,
  [413] = 255,
  [414] = 245,
  [415] = 246,
  [416] = 246,
  [417] = 247,
  [418] = 247,
  [419] = 248,
  [420] = 252,
  [421] = 243,
  [422] = 251,
  [423] = 248,
  [424] = 254,
  [425] = 251,
  [426] = 254,
  [427] = 256,
  [428] = 257,
  [429] = 253,
  [430] = 265,
  [431] = 266,
  [432] = 267,
  [433] = 270,
  [434] = 268,
  [435] = 269,
  [436] = 255,
  [437] = 273,
  [438] = 256,
  [439] = 247,
  [440] = 257,
  [441] = 287,
  [442] = 246,
  [443] = 295,
  [444] = 244,
  [445] = 310,
  [446] = 274,
  [447] = 271,
  [448] = 252,
  [449] = 270,
  [450] = 265,
  [451] = 266,
  [452] = 267,
  [453] = 253,
  [454] = 268,
  [455] = 269,
  [456] = 273,
  [457] = 255,
  [458] = 248,
  [459] = 270,
  [460] = 245,
  [461] = 243,
  [462] = 251,
  [463] = 287,
  [464] = 299,
  [465] = 254,
  [466] = 299,
  [467] = 295,
  [468] = 271,
  [469] = 252,
  [470] = 253,
  [471] = 256,
  [472] = 257,
  [473] = 299,
  [474] = 255,
  [475] = 265,
  [476] = 245,
  [477] = 274,
  [478] = 310,
  [479] = 274,
  [480] = 271,
  [481] = 266,
  [482] = 267,
  [483] = 270,
  [484] = 273,
  [485] = 252,
  [486] = 253,
  [487] = 268,
  [488] = 269,
  [489] = 269,
  [490] = 268,
  [491] = 267,
  [492] = 246,
  [493] = 255,
  [494] = 266,
  [495] = 247,
  [496] = 265,
  [497] = 287,
  [498] = 257,
  [499] = 273,
  [500] = 270,
  [501] = 295,
  [502] = 271,
  [503] = 274,
  [504] = 310,
  [505] = 244,
  [506] = 310,
  [507] = 256,
  [508] = 254,
  [509] = 251,
  [510] = 287,
  [511] = 295,
  [512] = 252,
  [513] = 244,
  [514] = 253,
  [515] = 299,
  [516] = 248,
  [517] = 310,
  [518] = 243,
  [519] = 248,
  [520] = 255,
  [521] = 247,
  [522] = 245,
  [523] = 287,
  [524] = 295,
  [525] = 244,
  [526] = 246,
  [527] = 246,
  [528] = 247,
  [529] = 310,
  [530] = 245,
  [531] = 252,
  [532] = 253,
  [533] = 299,
  [534] = 287,
  [535] = 248,
  [536] = 243,
  [537] = 243,
  [538] = 273,
  [539] = 255,
  [540] = 251,
  [541] = 269,
  [542] = 268,
  [543] = 267,
  [544] = 266,
  [545] = 265,
  [546] = 257,
  [547] = 256,
  [548] = 254,
  [549] = 251,
  [550] = 243,
  [551] = 248,
  [552] = 254,
  [553] = 256,
  [554] = 257,
  [555] = 265,
  [556] = 266,
  [557] = 267,
  [558] = 268,
  [559] = 269,
  [560] = 295,
  [561] = 252,
  [562] = 253,
  [563] = 244,
  [564] = 273,
  [565] = 310,
  [566] = 299,
  [567] = 251,
  [568] = 255,
  [569] = 270,
  [570] = 295,
  [571] = 247,
  [572] = 246,
  [573] = 254,
  [574] = 287,
  [575] = 271,
  [576] = 274,
  [577] = 245,
  [578] = 295,
  [579] = 252,
  [580] = 253,
  [581] = 244,
  [582] = 274,
  [583] = 299,
  [584] = 271,
  [585] = 270,
  [586] = 255,
  [587] = 310,
  [588] = 245,
  [589] = 273,
  [590] = 269,
  [591] = 287,
  [592] = 295,
  [593] = 244,
  [594] = 310,
  [595] = 268,
  [596] = 267,
  [597] = 266,
  [598] = 265,
  [599] = 252,
  [600] = 253,
  [601] = 257,
  [602] = 256,
  [603] = 254,
  [604] = 251,
  [605] = 287,
  [606] = 295,
  [607] = 255,
  [608] = 244,
  [609] = 310,
  [610] = 243,
  [611] = 256,
  [612] = 248,
  [613] = 257,
  [614] = 265,
  [615] = 266,
  [616] = 246,
  [617] = 247,
  [618] = 247,
  [619] = 246,
  [620] = 245,
  [621] = 248,
  [622] = 252,
  [623] = 253,
  [624] = 287,
  [625] = 295,
  [626] = 244,
  [627] = 310,
  [628] = 243,
  [629] = 287,
  [630] = 310,
  [631] = 299,
  [632] = 267,
  [633] = 268,
  [634] = 287,
  [635] = 269,
  [636] = 310,
  [637] = 251,
  [638] = 273,
  [639] = 287,
  [640] = 295,
  [641] = 274,
  [642] = 271,
  [643] = 244,
  [644] = 270,
  [645] = 310,
  [646] = 254,
  [647] = 299,
  [648] = 256,
  [649] = 299,
  [650] = 257,
  [651] = 287,
  [652] = 299,
  [653] = 245,
  [654] = 245,
  [655] = 295,
  [656] = 244,
  [657] = 246,
  [658] = 246,
  [659] = 247,
  [660] = 248,
  [661] = 247,
  [662] = 243,
  [663] = 251,
  [664] = 245,
  [665] = 254,
  [666] = 270,
  [667] = 310,
  [668] = 271,
  [669] = 274,
  [670] = 252,
  [671] = 256,
  [672] = 257,
  [673] = 265,
  [674] = 265,
  [675] = 266,
  [676] = 267,
  [677] = 268,
  [678] = 269,
  [679] = 273,
  [680] = 310,
  [681] = 274,
  [682] = 266,
  [683] = 271,
  [684] = 244,
  [685] = 246,
  [686] = 247,
  [687] = 267,
  [688] = 268,
  [689] = 248,
  [690] = 270,
  [691] = 243,
  [692] = 251,
  [693] = 254,
  [694] = 256,
  [695] = 257,
  [696] = 265,
  [697] = 266,
  [698] = 273,
  [699] = 267,
  [700] = 268,
  [701] = 269,
  [702] = 268,
  [703] = 267,
  [704] = 266,
  [705] = 265,
  [706] = 257,
  [707] = 256,
  [708] = 254,
  [709] = 251,
  [710] = 243,
  [711] = 248,
  [712] = 269,
  [713] = 299,
  [714] = 273,
  [715] = 295,
  [716] = 274,
  [717] = 271,
  [718] = 245,
  [719] = 269,
  [720] = 246,
  [721] = 247,
  [722] = 248,
  [723] = 270,
  [724] = 243,
  [725] = 251,
  [726] = 287,
  [727] = 247,
  [728] = 246,
  [729] = 295,
  [730] = 254,
  [731] = 256,
  [732] = 257,
  [733] = 245,
  [734] = 265,
  [735] = 266,
  [736] = 267,
  [737] = 268,
  [738] = 269,
  [739] = 299,
  [740] = 273,
  [741] = 295,
  [742] = 274,
  [743] = 271,
  [744] = 287,
  [745] = 270,
  [746] = 255,
  [747] = 253,
  [748] = 244,
  [749] = 274,
  [750] = 271,
  [751] = 310,
  [752] = 248,
  [753] = 270,
  [754] = 243,
  [755] = 252,
  [756] = 244,
  [757] = 287,
  [758] = 251,
  [759] = 253,
  [760] = 254,
  [761] = 256,
  [762] = 257,
  [763] = 265,
  [764] = 299,
  [765] = 245,
  [766] = 266,
  [767] = 267,
  [768] = 244,
  [769] = 268,
  [770] = 246,
  [771] = 247,
  [772] = 269,
  [773] = 244,
  [774] = 295,
  [775] = 270,
  [776] = 248,
  [777] = 243,
  [778] = 251,
  [779] = 254,
  [780] = 256,
  [781] = 257,
  [782] = 273,
  [783] = 244,
  [784] = 295,
  [785] = 287,
  [786] = 265,
  [787] = 266,
  [788] = 267,
  [789] = 274,
  [790] = 268,
  [791] = 310,
  [792] = 244,
  [793] = 273,
  [794] = 271,
  [795] = 270,
  [796] = 295,
  [797] = 287,
  [798] = 287,
  [799] = 270,
  [800] = 295,
  [801] = 271,
  [802] = 274,
  [803] = 244,
  [804] = 269,
  [805] = 310,
  [806] = 271,
  [807] = 274,
  [808] = 273,
  [809] = 809,
  [810] = 810,
  [811] = 811,
  [812] = 810,
  [813] = 811,
  [814] = 810,
  [815] = 811,
  [816] = 811,
  [817] = 810,
  [818] = 811,
  [819] = 810,
  [820] = 810,
  [821] = 811,
  [822] = 822,
  [823] = 810,
  [824] = 811,
  [825] = 810,
  [826] = 809,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 811,
  [831] = 810,
  [832] = 810,
  [833] = 811,
  [834] = 810,
  [835] = 828,
  [836] = 810,
  [837] = 837,
  [838] = 811,
  [839] = 811,
  [840] = 810,
  [841] = 810,
  [842] = 809,
  [843] = 811,
  [844] = 844,
  [845] = 811,
  [846] = 810,
  [847] = 847,
  [848] = 810,
  [849] = 811,
  [850] = 811,
  [851] = 851,
  [852] = 847,
  [853] = 828,
  [854] = 810,
  [855] = 855,
  [856] = 811,
  [857] = 810,
  [858] = 858,
  [859] = 810,
  [860] = 827,
  [861] = 861,
  [862] = 822,
  [863] = 810,
  [864] = 811,
  [865] = 810,
  [866] = 810,
  [867] = 810,
  [868] = 811,
  [869] = 810,
  [870] = 810,
  [871] = 858,
  [872] = 811,
  [873] = 811,
  [874] = 811,
  [875] = 810,
  [876] = 829,
  [877] = 810,
  [878] = 851,
  [879] = 810,
  [880] = 858,
  [881] = 811,
  [882] = 811,
  [883] = 810,
  [884] = 837,
  [885] = 811,
  [886] = 811,
  [887] = 811,
  [888] = 810,
  [889] = 811,
  [890] = 811,
  [891] = 811,
  [892] = 822,
  [893] = 809,
  [894] = 828,
  [895] = 829,
  [896] = 810,
  [897] = 837,
  [898] = 810,
  [899] = 811,
  [900] = 847,
  [901] = 811,
  [902] = 810,
  [903] = 844,
  [904] = 851,
  [905] = 811,
  [906] = 847,
  [907] = 810,
  [908] = 908,
  [909] = 811,
  [910] = 810,
  [911] = 844,
  [912] = 810,
  [913] = 811,
  [914] = 811,
  [915] = 811,
  [916] = 827,
  [917] = 811,
  [918] = 837,
  [919] = 810,
  [920] = 810,
  [921] = 811,
  [922] = 810,
  [923] = 810,
  [924] = 822,
  [925] = 811,
  [926] = 810,
  [927] = 811,
  [928] = 829,
  [929] = 837,
  [930] = 908,
  [931] = 811,
  [932] = 847,
  [933] = 810,
  [934] = 810,
  [935] = 811,
  [936] = 811,
  [937] = 811,
  [938] = 822,
  [939] = 810,
  [940] = 809,
  [941] = 811,
  [942] = 908,
  [943] = 810,
  [944] = 829,
  [945] = 828,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 946,
  [951] = 949,
  [952] = 948,
  [953] = 947,
  [954] = 949,
  [955] = 947,
  [956] = 946,
  [957] = 948,
  [958] = 958,
  [959] = 958,
  [960] = 960,
  [961] = 960,
  [962] = 958,
  [963] = 963,
  [964] = 960,
  [965] = 960,
  [966] = 958,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 969,
  [971] = 969,
  [972] = 969,
  [973] = 969,
  [974] = 969,
  [975] = 969,
  [976] = 969,
  [977] = 969,
  [978] = 967,
  [979] = 979,
  [980] = 969,
  [981] = 979,
  [982] = 969,
  [983] = 969,
  [984] = 969,
  [985] = 969,
  [986] = 969,
  [987] = 969,
  [988] = 969,
  [989] = 969,
  [990] = 969,
  [991] = 969,
  [992] = 969,
  [993] = 969,
  [994] = 969,
  [995] = 979,
  [996] = 969,
  [997] = 968,
  [998] = 969,
  [999] = 979,
  [1000] = 968,
  [1001] = 968,
  [1002] = 1002,
  [1003] = 967,
  [1004] = 1002,
  [1005] = 967,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1007,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1011,
  [1013] = 1013,
  [1014] = 1013,
  [1015] = 1015,
  [1016] = 1015,
  [1017] = 1017,
  [1018] = 948,
  [1019] = 1019,
  [1020] = 1006,
  [1021] = 1021,
  [1022] = 1006,
  [1023] = 1006,
  [1024] = 1021,
  [1025] = 1007,
  [1026] = 1026,
  [1027] = 1021,
  [1028] = 1021,
  [1029] = 1029,
  [1030] = 1007,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 948,
  [1034] = 1034,
  [1035] = 1017,
  [1036] = 1029,
  [1037] = 1013,
  [1038] = 1015,
  [1039] = 1029,
  [1040] = 1031,
  [1041] = 1034,
  [1042] = 1011,
  [1043] = 1013,
  [1044] = 1015,
  [1045] = 1034,
  [1046] = 1009,
  [1047] = 1017,
  [1048] = 1031,
  [1049] = 1017,
  [1050] = 1050,
  [1051] = 1009,
  [1052] = 1032,
  [1053] = 1032,
  [1054] = 1026,
  [1055] = 1019,
  [1056] = 1026,
  [1057] = 1019,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1061,
  [1064] = 1060,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1062,
  [1068] = 1068,
  [1069] = 1066,
  [1070] = 1070,
  [1071] = 1070,
  [1072] = 1070,
  [1073] = 1060,
  [1074] = 1065,
  [1075] = 1068,
  [1076] = 1061,
  [1077] = 1066,
  [1078] = 1078,
  [1079] = 1078,
  [1080] = 1065,
  [1081] = 1068,
  [1082] = 1062,
  [1083] = 1078,
  [1084] = 1084,
  [1085] = 1084,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1089,
  [1092] = 1088,
  [1093] = 1086,
  [1094] = 1090,
  [1095] = 1087,
  [1096] = 1084,
  [1097] = 1097,
  [1098] = 1088,
  [1099] = 1099,
  [1100] = 1087,
  [1101] = 1088,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1089,
  [1105] = 1090,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1086,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1120,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1097,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1128,
  [1135] = 1102,
  [1136] = 1127,
  [1137] = 1090,
  [1138] = 1138,
  [1139] = 1119,
  [1140] = 1125,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1118,
  [1144] = 1103,
  [1145] = 1089,
  [1146] = 1146,
  [1147] = 1086,
  [1148] = 1148,
  [1149] = 1141,
  [1150] = 1133,
  [1151] = 1131,
  [1152] = 1122,
  [1153] = 1087,
  [1154] = 1089,
  [1155] = 1155,
  [1156] = 1099,
  [1157] = 1088,
  [1158] = 1158,
  [1159] = 1121,
  [1160] = 1138,
  [1161] = 1089,
  [1162] = 1097,
  [1163] = 1163,
  [1164] = 1125,
  [1165] = 1165,
  [1166] = 1090,
  [1167] = 1113,
  [1168] = 1118,
  [1169] = 1119,
  [1170] = 1120,
  [1171] = 1165,
  [1172] = 1107,
  [1173] = 1116,
  [1174] = 1112,
  [1175] = 1109,
  [1176] = 1117,
  [1177] = 1127,
  [1178] = 1116,
  [1179] = 1115,
  [1180] = 1114,
  [1181] = 1087,
  [1182] = 1114,
  [1183] = 1111,
  [1184] = 1087,
  [1185] = 1086,
  [1186] = 1142,
  [1187] = 1090,
  [1188] = 1086,
  [1189] = 1141,
  [1190] = 1158,
  [1191] = 1123,
  [1192] = 1133,
  [1193] = 1124,
  [1194] = 1132,
  [1195] = 1131,
  [1196] = 1115,
  [1197] = 1088,
  [1198] = 1087,
  [1199] = 1163,
  [1200] = 1088,
  [1201] = 1089,
  [1202] = 1110,
  [1203] = 1122,
  [1204] = 1128,
  [1205] = 1090,
  [1206] = 1110,
  [1207] = 1103,
  [1208] = 1121,
  [1209] = 1130,
  [1210] = 1113,
  [1211] = 1086,
  [1212] = 1146,
  [1213] = 1106,
  [1214] = 1142,
  [1215] = 1130,
  [1216] = 1132,
  [1217] = 1124,
  [1218] = 1123,
  [1219] = 1163,
  [1220] = 1138,
  [1221] = 1155,
  [1222] = 1099,
  [1223] = 1102,
  [1224] = 1155,
  [1225] = 1148,
  [1226] = 1109,
  [1227] = 1158,
  [1228] = 1165,
  [1229] = 1090,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1146,
  [1235] = 1112,
  [1236] = 1111,
  [1237] = 1107,
  [1238] = 1106,
  [1239] = 1117,
  [1240] = 1089,
  [1241] = 1088,
  [1242] = 1110,
  [1243] = 1087,
  [1244] = 1086,
  [1245] = 1117,
  [1246] = 1246,
  [1247] = 1112,
  [1248] = 1148,
  [1249] = 1107,
  [1250] = 1231,
  [1251] = 1148,
  [1252] = 1233,
  [1253] = 1253,
  [1254] = 1090,
  [1255] = 1089,
  [1256] = 1088,
  [1257] = 1257,
  [1258] = 1090,
  [1259] = 1146,
  [1260] = 1117,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1089,
  [1265] = 1088,
  [1266] = 1087,
  [1267] = 1086,
  [1268] = 1246,
  [1269] = 1253,
  [1270] = 1087,
  [1271] = 1086,
  [1272] = 1146,
  [1273] = 1148,
  [1274] = 1112,
  [1275] = 1106,
  [1276] = 1276,
  [1277] = 1146,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1117,
  [1281] = 1107,
  [1282] = 1111,
  [1283] = 1086,
  [1284] = 1087,
  [1285] = 1112,
  [1286] = 1112,
  [1287] = 1117,
  [1288] = 1110,
  [1289] = 1103,
  [1290] = 1088,
  [1291] = 1089,
  [1292] = 1107,
  [1293] = 1146,
  [1294] = 1279,
  [1295] = 1276,
  [1296] = 1103,
  [1297] = 1253,
  [1298] = 1262,
  [1299] = 1107,
  [1300] = 1261,
  [1301] = 1111,
  [1302] = 1257,
  [1303] = 1090,
  [1304] = 1148,
  [1305] = 1103,
  [1306] = 1306,
  [1307] = 1253,
  [1308] = 1308,
  [1309] = 1148,
  [1310] = 1306,
  [1311] = 1110,
  [1312] = 1110,
  [1313] = 1106,
  [1314] = 1107,
  [1315] = 1232,
  [1316] = 1111,
  [1317] = 1317,
  [1318] = 1107,
  [1319] = 1308,
  [1320] = 1112,
  [1321] = 1278,
  [1322] = 1112,
  [1323] = 1106,
  [1324] = 1263,
  [1325] = 1117,
  [1326] = 1117,
  [1327] = 1086,
  [1328] = 1087,
  [1329] = 1088,
  [1330] = 1089,
  [1331] = 1111,
  [1332] = 1090,
  [1333] = 1103,
  [1334] = 1317,
  [1335] = 1230,
  [1336] = 1106,
  [1337] = 1148,
  [1338] = 1338,
  [1339] = 1253,
  [1340] = 1340,
  [1341] = 1276,
  [1342] = 1090,
  [1343] = 1306,
  [1344] = 1107,
  [1345] = 1345,
  [1346] = 1279,
  [1347] = 1089,
  [1348] = 1088,
  [1349] = 1349,
  [1350] = 1112,
  [1351] = 1086,
  [1352] = 1352,
  [1353] = 1306,
  [1354] = 1354,
  [1355] = 1231,
  [1356] = 1356,
  [1357] = 1110,
  [1358] = 1110,
  [1359] = 1106,
  [1360] = 1230,
  [1361] = 1103,
  [1362] = 1107,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1306,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1111,
  [1371] = 1371,
  [1372] = 1087,
  [1373] = 1112,
  [1374] = 1148,
  [1375] = 1375,
  [1376] = 1090,
  [1377] = 1257,
  [1378] = 1378,
  [1379] = 1107,
  [1380] = 1261,
  [1381] = 1262,
  [1382] = 1278,
  [1383] = 1117,
  [1384] = 1230,
  [1385] = 1385,
  [1386] = 1233,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1231,
  [1390] = 1103,
  [1391] = 1276,
  [1392] = 1125,
  [1393] = 1393,
  [1394] = 1279,
  [1395] = 1146,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1262,
  [1399] = 1261,
  [1400] = 1308,
  [1401] = 1165,
  [1402] = 1402,
  [1403] = 1103,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1257,
  [1407] = 1407,
  [1408] = 1263,
  [1409] = 1338,
  [1410] = 1317,
  [1411] = 1317,
  [1412] = 1263,
  [1413] = 1253,
  [1414] = 1414,
  [1415] = 1120,
  [1416] = 1263,
  [1417] = 1119,
  [1418] = 1118,
  [1419] = 1113,
  [1420] = 1420,
  [1421] = 1113,
  [1422] = 1422,
  [1423] = 1233,
  [1424] = 1352,
  [1425] = 1118,
  [1426] = 1125,
  [1427] = 1119,
  [1428] = 1253,
  [1429] = 1232,
  [1430] = 1120,
  [1431] = 1165,
  [1432] = 1146,
  [1433] = 1433,
  [1434] = 1279,
  [1435] = 1278,
  [1436] = 1436,
  [1437] = 1253,
  [1438] = 1363,
  [1439] = 1276,
  [1440] = 1103,
  [1441] = 1110,
  [1442] = 1110,
  [1443] = 1253,
  [1444] = 1444,
  [1445] = 1112,
  [1446] = 1308,
  [1447] = 1246,
  [1448] = 1103,
  [1449] = 1106,
  [1450] = 1354,
  [1451] = 1365,
  [1452] = 1306,
  [1453] = 1257,
  [1454] = 1246,
  [1455] = 1455,
  [1456] = 1089,
  [1457] = 1088,
  [1458] = 1422,
  [1459] = 1261,
  [1460] = 1262,
  [1461] = 1117,
  [1462] = 1111,
  [1463] = 1117,
  [1464] = 1276,
  [1465] = 1233,
  [1466] = 1231,
  [1467] = 1368,
  [1468] = 1110,
  [1469] = 1369,
  [1470] = 1279,
  [1471] = 1308,
  [1472] = 1110,
  [1473] = 1278,
  [1474] = 1317,
  [1475] = 1444,
  [1476] = 1232,
  [1477] = 1086,
  [1478] = 1087,
  [1479] = 1112,
  [1480] = 1103,
  [1481] = 1262,
  [1482] = 1263,
  [1483] = 1117,
  [1484] = 1103,
  [1485] = 1261,
  [1486] = 1397,
  [1487] = 1117,
  [1488] = 1396,
  [1489] = 1393,
  [1490] = 1455,
  [1491] = 1371,
  [1492] = 1385,
  [1493] = 1388,
  [1494] = 1257,
  [1495] = 1402,
  [1496] = 1246,
  [1497] = 1279,
  [1498] = 1253,
  [1499] = 1306,
  [1500] = 1308,
  [1501] = 1352,
  [1502] = 1110,
  [1503] = 1112,
  [1504] = 1504,
  [1505] = 1253,
  [1506] = 1086,
  [1507] = 1507,
  [1508] = 1117,
  [1509] = 1436,
  [1510] = 1510,
  [1511] = 1088,
  [1512] = 1089,
  [1513] = 1404,
  [1514] = 1112,
  [1515] = 1107,
  [1516] = 1278,
  [1517] = 1090,
  [1518] = 1405,
  [1519] = 1407,
  [1520] = 1107,
  [1521] = 1414,
  [1522] = 1230,
  [1523] = 1230,
  [1524] = 1420,
  [1525] = 1378,
  [1526] = 1111,
  [1527] = 1306,
  [1528] = 1433,
  [1529] = 1317,
  [1530] = 1233,
  [1531] = 1232,
  [1532] = 1231,
  [1533] = 1107,
  [1534] = 1246,
  [1535] = 1106,
  [1536] = 1090,
  [1537] = 1253,
  [1538] = 1349,
  [1539] = 1539,
  [1540] = 1233,
  [1541] = 1230,
  [1542] = 1510,
  [1543] = 1148,
  [1544] = 1253,
  [1545] = 1232,
  [1546] = 1231,
  [1547] = 1089,
  [1548] = 1088,
  [1549] = 1306,
  [1550] = 1107,
  [1551] = 1117,
  [1552] = 1089,
  [1553] = 1088,
  [1554] = 1087,
  [1555] = 1504,
  [1556] = 1086,
  [1557] = 1233,
  [1558] = 1087,
  [1559] = 1507,
  [1560] = 1086,
  [1561] = 1231,
  [1562] = 1117,
  [1563] = 1356,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1246,
  [1568] = 1086,
  [1569] = 1306,
  [1570] = 1112,
  [1571] = 1087,
  [1572] = 1565,
  [1573] = 1112,
  [1574] = 1111,
  [1575] = 1263,
  [1576] = 1367,
  [1577] = 1146,
  [1578] = 1564,
  [1579] = 1146,
  [1580] = 1146,
  [1581] = 1088,
  [1582] = 1566,
  [1583] = 1089,
  [1584] = 1117,
  [1585] = 1375,
  [1586] = 1107,
  [1587] = 1257,
  [1588] = 1230,
  [1589] = 1233,
  [1590] = 1103,
  [1591] = 1106,
  [1592] = 1112,
  [1593] = 1111,
  [1594] = 1231,
  [1595] = 1110,
  [1596] = 1103,
  [1597] = 1107,
  [1598] = 1345,
  [1599] = 1090,
  [1600] = 1261,
  [1601] = 1262,
  [1602] = 1253,
  [1603] = 1278,
  [1604] = 1317,
  [1605] = 1106,
  [1606] = 1148,
  [1607] = 1232,
  [1608] = 1110,
  [1609] = 1090,
  [1610] = 1103,
  [1611] = 1148,
  [1612] = 1352,
  [1613] = 1308,
  [1614] = 1110,
  [1615] = 1276,
  [1616] = 1396,
  [1617] = 1433,
  [1618] = 1232,
  [1619] = 1263,
  [1620] = 1444,
  [1621] = 1621,
  [1622] = 1354,
  [1623] = 1365,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1504,
  [1627] = 1422,
  [1628] = 1368,
  [1629] = 1103,
  [1630] = 1369,
  [1631] = 1625,
  [1632] = 1231,
  [1633] = 1624,
  [1634] = 1621,
  [1635] = 1338,
  [1636] = 1436,
  [1637] = 1433,
  [1638] = 1566,
  [1639] = 1625,
  [1640] = 1624,
  [1641] = 1165,
  [1642] = 1397,
  [1643] = 1110,
  [1644] = 1621,
  [1645] = 1393,
  [1646] = 1103,
  [1647] = 1279,
  [1648] = 1276,
  [1649] = 1317,
  [1650] = 1625,
  [1651] = 1455,
  [1652] = 1624,
  [1653] = 1371,
  [1654] = 1385,
  [1655] = 1388,
  [1656] = 1262,
  [1657] = 1261,
  [1658] = 1402,
  [1659] = 1621,
  [1660] = 1352,
  [1661] = 1257,
  [1662] = 1404,
  [1663] = 1621,
  [1664] = 1624,
  [1665] = 1625,
  [1666] = 1246,
  [1667] = 1110,
  [1668] = 1405,
  [1669] = 1407,
  [1670] = 1306,
  [1671] = 1306,
  [1672] = 1414,
  [1673] = 1308,
  [1674] = 1306,
  [1675] = 1420,
  [1676] = 1246,
  [1677] = 1378,
  [1678] = 1262,
  [1679] = 1624,
  [1680] = 1125,
  [1681] = 1625,
  [1682] = 1565,
  [1683] = 1278,
  [1684] = 1621,
  [1685] = 1278,
  [1686] = 1089,
  [1687] = 1624,
  [1688] = 1625,
  [1689] = 1111,
  [1690] = 1111,
  [1691] = 1625,
  [1692] = 1308,
  [1693] = 1624,
  [1694] = 1233,
  [1695] = 1621,
  [1696] = 1232,
  [1697] = 1120,
  [1698] = 1246,
  [1699] = 1621,
  [1700] = 1621,
  [1701] = 1106,
  [1702] = 1317,
  [1703] = 1119,
  [1704] = 1624,
  [1705] = 1263,
  [1706] = 1118,
  [1707] = 1113,
  [1708] = 1625,
  [1709] = 1106,
  [1710] = 1621,
  [1711] = 1624,
  [1712] = 1625,
  [1713] = 1621,
  [1714] = 1624,
  [1715] = 1625,
  [1716] = 1621,
  [1717] = 1510,
  [1718] = 1148,
  [1719] = 1624,
  [1720] = 1504,
  [1721] = 1103,
  [1722] = 1625,
  [1723] = 1317,
  [1724] = 1507,
  [1725] = 1113,
  [1726] = 1165,
  [1727] = 1356,
  [1728] = 1564,
  [1729] = 1565,
  [1730] = 1118,
  [1731] = 1119,
  [1732] = 1120,
  [1733] = 1566,
  [1734] = 1625,
  [1735] = 1110,
  [1736] = 1308,
  [1737] = 1263,
  [1738] = 1624,
  [1739] = 1279,
  [1740] = 1276,
  [1741] = 1621,
  [1742] = 1148,
  [1743] = 1125,
  [1744] = 1232,
  [1745] = 1367,
  [1746] = 1278,
  [1747] = 1120,
  [1748] = 1262,
  [1749] = 1261,
  [1750] = 1621,
  [1751] = 1119,
  [1752] = 1624,
  [1753] = 1257,
  [1754] = 1375,
  [1755] = 1625,
  [1756] = 1118,
  [1757] = 1113,
  [1758] = 1621,
  [1759] = 1279,
  [1760] = 1367,
  [1761] = 1146,
  [1762] = 1276,
  [1763] = 1510,
  [1764] = 1566,
  [1765] = 1565,
  [1766] = 1564,
  [1767] = 1356,
  [1768] = 1352,
  [1769] = 1507,
  [1770] = 1306,
  [1771] = 1504,
  [1772] = 1624,
  [1773] = 1625,
  [1774] = 1117,
  [1775] = 1621,
  [1776] = 1624,
  [1777] = 1625,
  [1778] = 1086,
  [1779] = 1621,
  [1780] = 1087,
  [1781] = 1112,
  [1782] = 1624,
  [1783] = 1625,
  [1784] = 1375,
  [1785] = 1257,
  [1786] = 1261,
  [1787] = 1146,
  [1788] = 1232,
  [1789] = 1233,
  [1790] = 1125,
  [1791] = 1111,
  [1792] = 1621,
  [1793] = 1624,
  [1794] = 1378,
  [1795] = 1420,
  [1796] = 1625,
  [1797] = 1165,
  [1798] = 1414,
  [1799] = 1407,
  [1800] = 1405,
  [1801] = 1404,
  [1802] = 1088,
  [1803] = 1402,
  [1804] = 1388,
  [1805] = 1385,
  [1806] = 1371,
  [1807] = 1455,
  [1808] = 1393,
  [1809] = 1396,
  [1810] = 1397,
  [1811] = 1261,
  [1812] = 1433,
  [1813] = 1375,
  [1814] = 1338,
  [1815] = 1317,
  [1816] = 1231,
  [1817] = 1507,
  [1818] = 1369,
  [1819] = 1368,
  [1820] = 1367,
  [1821] = 1422,
  [1822] = 1257,
  [1823] = 1230,
  [1824] = 1107,
  [1825] = 1365,
  [1826] = 1354,
  [1827] = 1261,
  [1828] = 1308,
  [1829] = 1444,
  [1830] = 1262,
  [1831] = 1253,
  [1832] = 1278,
  [1833] = 1276,
  [1834] = 1279,
  [1835] = 1363,
  [1836] = 1106,
  [1837] = 1436,
  [1838] = 1278,
  [1839] = 1363,
  [1840] = 1230,
  [1841] = 1308,
  [1842] = 1436,
  [1843] = 1110,
  [1844] = 1090,
  [1845] = 1352,
  [1846] = 1375,
  [1847] = 1148,
  [1848] = 1340,
  [1849] = 1420,
  [1850] = 1414,
  [1851] = 1407,
  [1852] = 1367,
  [1853] = 1363,
  [1854] = 1510,
  [1855] = 1356,
  [1856] = 1566,
  [1857] = 1565,
  [1858] = 1564,
  [1859] = 1356,
  [1860] = 1352,
  [1861] = 1507,
  [1862] = 1405,
  [1863] = 1504,
  [1864] = 1404,
  [1865] = 1402,
  [1866] = 1388,
  [1867] = 1385,
  [1868] = 1371,
  [1869] = 1253,
  [1870] = 1455,
  [1871] = 1369,
  [1872] = 1368,
  [1873] = 1365,
  [1874] = 1354,
  [1875] = 1146,
  [1876] = 1317,
  [1877] = 1103,
  [1878] = 1510,
  [1879] = 1352,
  [1880] = 1510,
  [1881] = 1444,
  [1882] = 1263,
  [1883] = 1306,
  [1884] = 1364,
  [1885] = 1387,
  [1886] = 1378,
  [1887] = 1420,
  [1888] = 1253,
  [1889] = 1232,
  [1890] = 1414,
  [1891] = 1407,
  [1892] = 1405,
  [1893] = 1404,
  [1894] = 1349,
  [1895] = 1402,
  [1896] = 1388,
  [1897] = 1385,
  [1898] = 1371,
  [1899] = 1455,
  [1900] = 1393,
  [1901] = 1396,
  [1902] = 1397,
  [1903] = 1625,
  [1904] = 1233,
  [1905] = 1354,
  [1906] = 1338,
  [1907] = 1090,
  [1908] = 1365,
  [1909] = 1510,
  [1910] = 1369,
  [1911] = 1368,
  [1912] = 1378,
  [1913] = 1422,
  [1914] = 1253,
  [1915] = 1253,
  [1916] = 1393,
  [1917] = 1365,
  [1918] = 1354,
  [1919] = 1396,
  [1920] = 1397,
  [1921] = 1444,
  [1922] = 1246,
  [1923] = 1345,
  [1924] = 1306,
  [1925] = 1621,
  [1926] = 1338,
  [1927] = 1363,
  [1928] = 1231,
  [1929] = 1436,
  [1930] = 1257,
  [1931] = 1433,
  [1932] = 1306,
  [1933] = 1110,
  [1934] = 1262,
  [1935] = 1422,
  [1936] = 1422,
  [1937] = 1107,
  [1938] = 1089,
  [1939] = 1349,
  [1940] = 1276,
  [1941] = 1624,
  [1942] = 1279,
  [1943] = 1088,
  [1944] = 1233,
  [1945] = 1230,
  [1946] = 1148,
  [1947] = 1564,
  [1948] = 1368,
  [1949] = 1369,
  [1950] = 1345,
  [1951] = 1231,
  [1952] = 1444,
  [1953] = 1103,
  [1954] = 1345,
  [1955] = 1338,
  [1956] = 1125,
  [1957] = 1113,
  [1958] = 1253,
  [1959] = 1118,
  [1960] = 1119,
  [1961] = 1120,
  [1962] = 1165,
  [1963] = 1230,
  [1964] = 1125,
  [1965] = 1263,
  [1966] = 1113,
  [1967] = 1118,
  [1968] = 1345,
  [1969] = 1397,
  [1970] = 1349,
  [1971] = 1396,
  [1972] = 1510,
  [1973] = 1233,
  [1974] = 1621,
  [1975] = 1624,
  [1976] = 1112,
  [1977] = 1363,
  [1978] = 1119,
  [1979] = 1393,
  [1980] = 1120,
  [1981] = 1349,
  [1982] = 1455,
  [1983] = 1371,
  [1984] = 1385,
  [1985] = 1388,
  [1986] = 1117,
  [1987] = 1402,
  [1988] = 1086,
  [1989] = 1404,
  [1990] = 1405,
  [1991] = 1407,
  [1992] = 1165,
  [1993] = 1086,
  [1994] = 1436,
  [1995] = 1414,
  [1996] = 1345,
  [1997] = 1433,
  [1998] = 1117,
  [1999] = 1306,
  [2000] = 1231,
  [2001] = 1087,
  [2002] = 1146,
  [2003] = 1112,
  [2004] = 1420,
  [2005] = 1352,
  [2006] = 1246,
  [2007] = 1306,
  [2008] = 1233,
  [2009] = 1378,
  [2010] = 1111,
  [2011] = 1231,
  [2012] = 1103,
  [2013] = 1110,
  [2014] = 1088,
  [2015] = 1233,
  [2016] = 1231,
  [2017] = 1233,
  [2018] = 1089,
  [2019] = 1111,
  [2020] = 1231,
  [2021] = 1233,
  [2022] = 1231,
  [2023] = 1233,
  [2024] = 1103,
  [2025] = 1231,
  [2026] = 1107,
  [2027] = 1106,
  [2028] = 1230,
  [2029] = 1110,
  [2030] = 1375,
  [2031] = 1106,
  [2032] = 1539,
  [2033] = 1090,
  [2034] = 1148,
  [2035] = 1103,
  [2036] = 1367,
  [2037] = 1110,
  [2038] = 1103,
  [2039] = 1110,
  [2040] = 1566,
  [2041] = 1565,
  [2042] = 1564,
  [2043] = 1356,
  [2044] = 1103,
  [2045] = 1507,
  [2046] = 1253,
  [2047] = 1504,
  [2048] = 1146,
  [2049] = 1090,
  [2050] = 1117,
  [2051] = 1086,
  [2052] = 1087,
  [2053] = 1112,
  [2054] = 1625,
  [2055] = 1088,
  [2056] = 1089,
  [2057] = 1107,
  [2058] = 1230,
  [2059] = 1349,
  [2060] = 1110,
  [2061] = 1369,
  [2062] = 1276,
  [2063] = 1120,
  [2064] = 1118,
  [2065] = 1119,
  [2066] = 1317,
  [2067] = 1125,
  [2068] = 1103,
  [2069] = 1263,
  [2070] = 1232,
  [2071] = 1261,
  [2072] = 1230,
  [2073] = 1257,
  [2074] = 1262,
  [2075] = 1165,
  [2076] = 1276,
  [2077] = 1279,
  [2078] = 1111,
  [2079] = 1110,
  [2080] = 1106,
  [2081] = 1308,
  [2082] = 1278,
  [2083] = 1510,
  [2084] = 1148,
  [2085] = 1246,
  [2086] = 1120,
  [2087] = 1165,
  [2088] = 1119,
  [2089] = 1118,
  [2090] = 1113,
  [2091] = 1352,
  [2092] = 1352,
  [2093] = 1246,
  [2094] = 1246,
  [2095] = 1146,
  [2096] = 1306,
  [2097] = 1125,
  [2098] = 2098,
  [2099] = 1165,
  [2100] = 1232,
  [2101] = 1230,
  [2102] = 1510,
  [2103] = 2103,
  [2104] = 1345,
  [2105] = 1263,
  [2106] = 1278,
  [2107] = 1308,
  [2108] = 1349,
  [2109] = 1110,
  [2110] = 1103,
  [2111] = 1317,
  [2112] = 1317,
  [2113] = 1103,
  [2114] = 1110,
  [2115] = 1230,
  [2116] = 1345,
  [2117] = 1367,
  [2118] = 1308,
  [2119] = 1120,
  [2120] = 1279,
  [2121] = 1349,
  [2122] = 1119,
  [2123] = 1118,
  [2124] = 1113,
  [2125] = 1125,
  [2126] = 1276,
  [2127] = 1263,
  [2128] = 1433,
  [2129] = 1436,
  [2130] = 1363,
  [2131] = 1444,
  [2132] = 1354,
  [2133] = 1365,
  [2134] = 1422,
  [2135] = 1232,
  [2136] = 1368,
  [2137] = 1369,
  [2138] = 1231,
  [2139] = 1338,
  [2140] = 1340,
  [2141] = 1165,
  [2142] = 1397,
  [2143] = 1396,
  [2144] = 1393,
  [2145] = 1455,
  [2146] = 1371,
  [2147] = 1385,
  [2148] = 1388,
  [2149] = 1402,
  [2150] = 1404,
  [2151] = 1405,
  [2152] = 1407,
  [2153] = 1414,
  [2154] = 1420,
  [2155] = 1378,
  [2156] = 1233,
  [2157] = 1120,
  [2158] = 1278,
  [2159] = 1119,
  [2160] = 1118,
  [2161] = 1113,
  [2162] = 1504,
  [2163] = 1507,
  [2164] = 1356,
  [2165] = 1564,
  [2166] = 1565,
  [2167] = 1566,
  [2168] = 1125,
  [2169] = 1378,
  [2170] = 1375,
  [2171] = 1262,
  [2172] = 1261,
  [2173] = 1433,
  [2174] = 1278,
  [2175] = 1436,
  [2176] = 1363,
  [2177] = 1444,
  [2178] = 1308,
  [2179] = 1354,
  [2180] = 1365,
  [2181] = 1422,
  [2182] = 1230,
  [2183] = 1368,
  [2184] = 1369,
  [2185] = 1231,
  [2186] = 1317,
  [2187] = 1338,
  [2188] = 1230,
  [2189] = 1345,
  [2190] = 1257,
  [2191] = 1397,
  [2192] = 1396,
  [2193] = 1393,
  [2194] = 1455,
  [2195] = 1371,
  [2196] = 1385,
  [2197] = 1388,
  [2198] = 1402,
  [2199] = 1404,
  [2200] = 1405,
  [2201] = 1407,
  [2202] = 1414,
  [2203] = 1420,
  [2204] = 1375,
  [2205] = 1233,
  [2206] = 1232,
  [2207] = 1367,
  [2208] = 1349,
  [2209] = 1566,
  [2210] = 1565,
  [2211] = 1564,
  [2212] = 1356,
  [2213] = 1246,
  [2214] = 1504,
  [2215] = 1507,
  [2216] = 1356,
  [2217] = 1564,
  [2218] = 1565,
  [2219] = 1566,
  [2220] = 1364,
  [2221] = 1367,
  [2222] = 1375,
  [2223] = 1257,
  [2224] = 1387,
  [2225] = 1233,
  [2226] = 1261,
  [2227] = 1262,
  [2228] = 1510,
  [2229] = 1414,
  [2230] = 1111,
  [2231] = 1276,
  [2232] = 1279,
  [2233] = 1407,
  [2234] = 1110,
  [2235] = 1405,
  [2236] = 1404,
  [2237] = 1402,
  [2238] = 1388,
  [2239] = 1385,
  [2240] = 1371,
  [2241] = 1455,
  [2242] = 1106,
  [2243] = 1103,
  [2244] = 1345,
  [2245] = 1393,
  [2246] = 1349,
  [2247] = 1396,
  [2248] = 1397,
  [2249] = 1233,
  [2250] = 1338,
  [2251] = 1231,
  [2252] = 2252,
  [2253] = 1354,
  [2254] = 1444,
  [2255] = 1279,
  [2256] = 1276,
  [2257] = 1433,
  [2258] = 1262,
  [2259] = 1263,
  [2260] = 1261,
  [2261] = 1257,
  [2262] = 1148,
  [2263] = 1349,
  [2264] = 1340,
  [2265] = 1306,
  [2266] = 1246,
  [2267] = 1146,
  [2268] = 1507,
  [2269] = 1504,
  [2270] = 1148,
  [2271] = 1306,
  [2272] = 1345,
  [2273] = 1510,
  [2274] = 1378,
  [2275] = 1420,
  [2276] = 1231,
  [2277] = 1113,
  [2278] = 1433,
  [2279] = 1436,
  [2280] = 1363,
  [2281] = 1444,
  [2282] = 1354,
  [2283] = 1365,
  [2284] = 1422,
  [2285] = 1146,
  [2286] = 1368,
  [2287] = 1369,
  [2288] = 1231,
  [2289] = 1338,
  [2290] = 1306,
  [2291] = 1106,
  [2292] = 1397,
  [2293] = 1396,
  [2294] = 1393,
  [2295] = 1455,
  [2296] = 1371,
  [2297] = 1385,
  [2298] = 1388,
  [2299] = 1402,
  [2300] = 1404,
  [2301] = 1405,
  [2302] = 1368,
  [2303] = 1407,
  [2304] = 1364,
  [2305] = 1414,
  [2306] = 1420,
  [2307] = 1378,
  [2308] = 1233,
  [2309] = 1387,
  [2310] = 1422,
  [2311] = 1365,
  [2312] = 1111,
  [2313] = 1436,
  [2314] = 1363,
  [2315] = 1504,
  [2316] = 1507,
  [2317] = 1436,
  [2318] = 1356,
  [2319] = 1352,
  [2320] = 1510,
  [2321] = 1564,
  [2322] = 1349,
  [2323] = 1565,
  [2324] = 1566,
  [2325] = 1253,
  [2326] = 1367,
  [2327] = 1375,
  [2328] = 1352,
  [2329] = 1510,
  [2330] = 1433,
  [2331] = 1278,
  [2332] = 1510,
  [2333] = 1363,
  [2334] = 1444,
  [2335] = 1308,
  [2336] = 1354,
  [2337] = 1365,
  [2338] = 1422,
  [2339] = 1368,
  [2340] = 1369,
  [2341] = 1231,
  [2342] = 1317,
  [2343] = 1338,
  [2344] = 1165,
  [2345] = 1397,
  [2346] = 1396,
  [2347] = 1393,
  [2348] = 1455,
  [2349] = 1371,
  [2350] = 1385,
  [2351] = 1233,
  [2352] = 1388,
  [2353] = 1402,
  [2354] = 1103,
  [2355] = 1231,
  [2356] = 1404,
  [2357] = 1110,
  [2358] = 1405,
  [2359] = 1407,
  [2360] = 1414,
  [2361] = 1420,
  [2362] = 1378,
  [2363] = 1345,
  [2364] = 1233,
  [2365] = 1232,
  [2366] = 1120,
  [2367] = 1099,
  [2368] = 1246,
  [2369] = 1119,
  [2370] = 1279,
  [2371] = 1118,
  [2372] = 1113,
  [2373] = 1504,
  [2374] = 1507,
  [2375] = 1356,
  [2376] = 1564,
  [2377] = 1233,
  [2378] = 1565,
  [2379] = 1566,
  [2380] = 1231,
  [2381] = 1125,
  [2382] = 1367,
  [2383] = 1103,
  [2384] = 1375,
  [2385] = 1110,
  [2386] = 1103,
  [2387] = 1233,
  [2388] = 1110,
  [2389] = 1257,
  [2390] = 1231,
  [2391] = 1103,
  [2392] = 1510,
  [2393] = 1110,
  [2394] = 1233,
  [2395] = 1261,
  [2396] = 1231,
  [2397] = 1262,
  [2398] = 1110,
  [2399] = 1103,
  [2400] = 1103,
  [2401] = 1110,
  [2402] = 1263,
  [2403] = 1368,
  [2404] = 2404,
  [2405] = 1233,
  [2406] = 1099,
  [2407] = 1231,
  [2408] = 1231,
  [2409] = 2409,
  [2410] = 1566,
  [2411] = 1103,
  [2412] = 1436,
  [2413] = 1110,
  [2414] = 1363,
  [2415] = 1444,
  [2416] = 1368,
  [2417] = 2404,
  [2418] = 1354,
  [2419] = 1365,
  [2420] = 1422,
  [2421] = 1368,
  [2422] = 1369,
  [2423] = 1231,
  [2424] = 1338,
  [2425] = 1338,
  [2426] = 1165,
  [2427] = 1397,
  [2428] = 1396,
  [2429] = 1393,
  [2430] = 1455,
  [2431] = 1371,
  [2432] = 1385,
  [2433] = 1388,
  [2434] = 1402,
  [2435] = 1404,
  [2436] = 1405,
  [2437] = 1407,
  [2438] = 1414,
  [2439] = 1420,
  [2440] = 1378,
  [2441] = 1233,
  [2442] = 1120,
  [2443] = 1369,
  [2444] = 1119,
  [2445] = 1118,
  [2446] = 1113,
  [2447] = 1231,
  [2448] = 1504,
  [2449] = 1507,
  [2450] = 1345,
  [2451] = 1356,
  [2452] = 1564,
  [2453] = 1565,
  [2454] = 1110,
  [2455] = 1354,
  [2456] = 1356,
  [2457] = 1338,
  [2458] = 2458,
  [2459] = 1338,
  [2460] = 1165,
  [2461] = 1125,
  [2462] = 1367,
  [2463] = 1375,
  [2464] = 1345,
  [2465] = 1103,
  [2466] = 2252,
  [2467] = 2409,
  [2468] = 1397,
  [2469] = 2404,
  [2470] = 1396,
  [2471] = 1393,
  [2472] = 1455,
  [2473] = 1113,
  [2474] = 1371,
  [2475] = 1385,
  [2476] = 1388,
  [2477] = 2458,
  [2478] = 1422,
  [2479] = 1365,
  [2480] = 1402,
  [2481] = 1404,
  [2482] = 1405,
  [2483] = 1407,
  [2484] = 1414,
  [2485] = 1354,
  [2486] = 1397,
  [2487] = 2458,
  [2488] = 1510,
  [2489] = 1233,
  [2490] = 1365,
  [2491] = 1352,
  [2492] = 2409,
  [2493] = 1233,
  [2494] = 1444,
  [2495] = 2404,
  [2496] = 1118,
  [2497] = 2404,
  [2498] = 1119,
  [2499] = 1349,
  [2500] = 1444,
  [2501] = 1397,
  [2502] = 2409,
  [2503] = 1279,
  [2504] = 1230,
  [2505] = 1276,
  [2506] = 1396,
  [2507] = 1363,
  [2508] = 1436,
  [2509] = 2458,
  [2510] = 1510,
  [2511] = 1233,
  [2512] = 1349,
  [2513] = 2409,
  [2514] = 1345,
  [2515] = 1246,
  [2516] = 1352,
  [2517] = 1349,
  [2518] = 1393,
  [2519] = 1368,
  [2520] = 1564,
  [2521] = 1433,
  [2522] = 1565,
  [2523] = 1566,
  [2524] = 1455,
  [2525] = 1165,
  [2526] = 2098,
  [2527] = 1352,
  [2528] = 1120,
  [2529] = 1433,
  [2530] = 1371,
  [2531] = 2404,
  [2532] = 1385,
  [2533] = 1352,
  [2534] = 2458,
  [2535] = 1120,
  [2536] = 1367,
  [2537] = 1119,
  [2538] = 1118,
  [2539] = 1113,
  [2540] = 1109,
  [2541] = 1354,
  [2542] = 1352,
  [2543] = 1388,
  [2544] = 1246,
  [2545] = 1402,
  [2546] = 1433,
  [2547] = 1262,
  [2548] = 1510,
  [2549] = 1375,
  [2550] = 1125,
  [2551] = 1261,
  [2552] = 1261,
  [2553] = 2458,
  [2554] = 1278,
  [2555] = 1231,
  [2556] = 2404,
  [2557] = 1233,
  [2558] = 2409,
  [2559] = 1308,
  [2560] = 1110,
  [2561] = 1257,
  [2562] = 1125,
  [2563] = 1246,
  [2564] = 1352,
  [2565] = 1349,
  [2566] = 2409,
  [2567] = 2404,
  [2568] = 1120,
  [2569] = 1119,
  [2570] = 2103,
  [2571] = 1125,
  [2572] = 1404,
  [2573] = 1317,
  [2574] = 1369,
  [2575] = 1118,
  [2576] = 1232,
  [2577] = 2458,
  [2578] = 1566,
  [2579] = 1103,
  [2580] = 1345,
  [2581] = 1306,
  [2582] = 1110,
  [2583] = 1405,
  [2584] = 1407,
  [2585] = 1414,
  [2586] = 1278,
  [2587] = 1233,
  [2588] = 1420,
  [2589] = 1165,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 1436,
  [2595] = 1363,
  [2596] = 2458,
  [2597] = 1378,
  [2598] = 1371,
  [2599] = 1385,
  [2600] = 1367,
  [2601] = 1375,
  [2602] = 1103,
  [2603] = 1388,
  [2604] = 2409,
  [2605] = 2605,
  [2606] = 1113,
  [2607] = 1308,
  [2608] = 1231,
  [2609] = 2609,
  [2610] = 2404,
  [2611] = 2404,
  [2612] = 1345,
  [2613] = 1230,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 1565,
  [2617] = 1564,
  [2618] = 1356,
  [2619] = 1110,
  [2620] = 1385,
  [2621] = 1375,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 1367,
  [2625] = 2409,
  [2626] = 1352,
  [2627] = 2627,
  [2628] = 1507,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 1246,
  [2632] = 1504,
  [2633] = 1232,
  [2634] = 1276,
  [2635] = 1349,
  [2636] = 1113,
  [2637] = 1118,
  [2638] = 1422,
  [2639] = 2458,
  [2640] = 1231,
  [2641] = 2641,
  [2642] = 1566,
  [2643] = 1565,
  [2644] = 1352,
  [2645] = 2458,
  [2646] = 2458,
  [2647] = 1365,
  [2648] = 1422,
  [2649] = 1368,
  [2650] = 2650,
  [2651] = 1257,
  [2652] = 2409,
  [2653] = 1564,
  [2654] = 1356,
  [2655] = 1231,
  [2656] = 1402,
  [2657] = 2404,
  [2658] = 1262,
  [2659] = 1455,
  [2660] = 2409,
  [2661] = 1369,
  [2662] = 1404,
  [2663] = 2404,
  [2664] = 1507,
  [2665] = 2409,
  [2666] = 2666,
  [2667] = 1232,
  [2668] = 2409,
  [2669] = 1278,
  [2670] = 2670,
  [2671] = 1317,
  [2672] = 1405,
  [2673] = 1444,
  [2674] = 1279,
  [2675] = 1566,
  [2676] = 1349,
  [2677] = 1504,
  [2678] = 1103,
  [2679] = 2679,
  [2680] = 1120,
  [2681] = 2458,
  [2682] = 2458,
  [2683] = 2458,
  [2684] = 1504,
  [2685] = 1507,
  [2686] = 1233,
  [2687] = 1565,
  [2688] = 2458,
  [2689] = 1564,
  [2690] = 1263,
  [2691] = 2409,
  [2692] = 1433,
  [2693] = 1414,
  [2694] = 1436,
  [2695] = 1378,
  [2696] = 1378,
  [2697] = 1420,
  [2698] = 1407,
  [2699] = 1263,
  [2700] = 1420,
  [2701] = 1414,
  [2702] = 1436,
  [2703] = 1405,
  [2704] = 2404,
  [2705] = 1404,
  [2706] = 1363,
  [2707] = 1407,
  [2708] = 1405,
  [2709] = 1404,
  [2710] = 1402,
  [2711] = 2409,
  [2712] = 1402,
  [2713] = 1388,
  [2714] = 1365,
  [2715] = 1385,
  [2716] = 2458,
  [2717] = 1371,
  [2718] = 1455,
  [2719] = 2404,
  [2720] = 2409,
  [2721] = 1119,
  [2722] = 1276,
  [2723] = 1279,
  [2724] = 1356,
  [2725] = 2404,
  [2726] = 1393,
  [2727] = 1363,
  [2728] = 1407,
  [2729] = 1396,
  [2730] = 1433,
  [2731] = 1564,
  [2732] = 2404,
  [2733] = 1444,
  [2734] = 1388,
  [2735] = 1507,
  [2736] = 2409,
  [2737] = 1308,
  [2738] = 1504,
  [2739] = 1369,
  [2740] = 1262,
  [2741] = 1507,
  [2742] = 1263,
  [2743] = 2458,
  [2744] = 2458,
  [2745] = 1103,
  [2746] = 1125,
  [2747] = 1371,
  [2748] = 1345,
  [2749] = 1165,
  [2750] = 1455,
  [2751] = 1420,
  [2752] = 1378,
  [2753] = 1110,
  [2754] = 1317,
  [2755] = 1414,
  [2756] = 2404,
  [2757] = 2404,
  [2758] = 1504,
  [2759] = 1565,
  [2760] = 1393,
  [2761] = 1396,
  [2762] = 1566,
  [2763] = 2409,
  [2764] = 1420,
  [2765] = 2409,
  [2766] = 1354,
  [2767] = 1261,
  [2768] = 1397,
  [2769] = 1365,
  [2770] = 2458,
  [2771] = 2458,
  [2772] = 1510,
  [2773] = 2404,
  [2774] = 2404,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 1338,
  [2778] = 2409,
  [2779] = 2779,
  [2780] = 1354,
  [2781] = 1257,
  [2782] = 1375,
  [2783] = 1367,
  [2784] = 2458,
  [2785] = 1369,
  [2786] = 1368,
  [2787] = 1230,
  [2788] = 1422,
  [2789] = 2409,
  [2790] = 2404,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 1165,
  [2794] = 2775,
  [2795] = 1365,
  [2796] = 1233,
  [2797] = 1368,
  [2798] = 1369,
  [2799] = 2799,
  [2800] = 2799,
  [2801] = 2799,
  [2802] = 2799,
  [2803] = 1231,
  [2804] = 2804,
  [2805] = 1338,
  [2806] = 1414,
  [2807] = 1407,
  [2808] = 1405,
  [2809] = 1444,
  [2810] = 1404,
  [2811] = 1356,
  [2812] = 1564,
  [2813] = 1345,
  [2814] = 1397,
  [2815] = 2592,
  [2816] = 2593,
  [2817] = 1402,
  [2818] = 2799,
  [2819] = 1388,
  [2820] = 1385,
  [2821] = 1363,
  [2822] = 1371,
  [2823] = 1455,
  [2824] = 1436,
  [2825] = 1363,
  [2826] = 2799,
  [2827] = 1436,
  [2828] = 1393,
  [2829] = 1420,
  [2830] = 1378,
  [2831] = 1396,
  [2832] = 1565,
  [2833] = 1566,
  [2834] = 1397,
  [2835] = 2622,
  [2836] = 1345,
  [2837] = 1233,
  [2838] = 2799,
  [2839] = 1338,
  [2840] = 2799,
  [2841] = 1375,
  [2842] = 1367,
  [2843] = 1433,
  [2844] = 1231,
  [2845] = 1125,
  [2846] = 1349,
  [2847] = 1422,
  [2848] = 2630,
  [2849] = 2799,
  [2850] = 1566,
  [2851] = 1565,
  [2852] = 1564,
  [2853] = 2103,
  [2854] = 1356,
  [2855] = 2799,
  [2856] = 1504,
  [2857] = 1349,
  [2858] = 2799,
  [2859] = 1507,
  [2860] = 1118,
  [2861] = 1119,
  [2862] = 1120,
  [2863] = 1354,
  [2864] = 1233,
  [2865] = 1367,
  [2866] = 1375,
  [2867] = 2623,
  [2868] = 2868,
  [2869] = 1566,
  [2870] = 2629,
  [2871] = 1414,
  [2872] = 1407,
  [2873] = 1405,
  [2874] = 1404,
  [2875] = 1444,
  [2876] = 2799,
  [2877] = 1165,
  [2878] = 2799,
  [2879] = 2799,
  [2880] = 2799,
  [2881] = 1402,
  [2882] = 1388,
  [2883] = 2799,
  [2884] = 2098,
  [2885] = 2885,
  [2886] = 2098,
  [2887] = 1385,
  [2888] = 1371,
  [2889] = 1113,
  [2890] = 1393,
  [2891] = 2891,
  [2892] = 1367,
  [2893] = 1396,
  [2894] = 1397,
  [2895] = 2666,
  [2896] = 1113,
  [2897] = 1349,
  [2898] = 1338,
  [2899] = 1231,
  [2900] = 1099,
  [2901] = 1120,
  [2902] = 2590,
  [2903] = 1565,
  [2904] = 2591,
  [2905] = 1564,
  [2906] = 1356,
  [2907] = 2605,
  [2908] = 2609,
  [2909] = 1119,
  [2910] = 1099,
  [2911] = 1118,
  [2912] = 2799,
  [2913] = 1354,
  [2914] = 1444,
  [2915] = 1507,
  [2916] = 2614,
  [2917] = 1433,
  [2918] = 1504,
  [2919] = 2615,
  [2920] = 2627,
  [2921] = 1566,
  [2922] = 1565,
  [2923] = 2799,
  [2924] = 1349,
  [2925] = 1564,
  [2926] = 1507,
  [2927] = 1504,
  [2928] = 1125,
  [2929] = 1436,
  [2930] = 1125,
  [2931] = 1510,
  [2932] = 2641,
  [2933] = 2650,
  [2934] = 1375,
  [2935] = 2670,
  [2936] = 1420,
  [2937] = 2103,
  [2938] = 1414,
  [2939] = 1407,
  [2940] = 1405,
  [2941] = 1507,
  [2942] = 1504,
  [2943] = 1378,
  [2944] = 1113,
  [2945] = 1118,
  [2946] = 1119,
  [2947] = 2799,
  [2948] = 1404,
  [2949] = 1363,
  [2950] = 1420,
  [2951] = 2792,
  [2952] = 2791,
  [2953] = 1402,
  [2954] = 1388,
  [2955] = 1414,
  [2956] = 1407,
  [2957] = 1405,
  [2958] = 1385,
  [2959] = 1404,
  [2960] = 1371,
  [2961] = 1120,
  [2962] = 2779,
  [2963] = 1402,
  [2964] = 2776,
  [2965] = 1433,
  [2966] = 1388,
  [2967] = 1385,
  [2968] = 2799,
  [2969] = 2799,
  [2970] = 1345,
  [2971] = 1354,
  [2972] = 1455,
  [2973] = 1455,
  [2974] = 1371,
  [2975] = 1455,
  [2976] = 1393,
  [2977] = 1378,
  [2978] = 1396,
  [2979] = 1420,
  [2980] = 1369,
  [2981] = 1368,
  [2982] = 2799,
  [2983] = 1365,
  [2984] = 1365,
  [2985] = 1422,
  [2986] = 1368,
  [2987] = 1354,
  [2988] = 1345,
  [2989] = 1165,
  [2990] = 2679,
  [2991] = 1365,
  [2992] = 1109,
  [2993] = 1349,
  [2994] = 1345,
  [2995] = 1422,
  [2996] = 1369,
  [2997] = 1368,
  [2998] = 1369,
  [2999] = 2670,
  [3000] = 2615,
  [3001] = 3001,
  [3002] = 2623,
  [3003] = 3001,
  [3004] = 3001,
  [3005] = 2593,
  [3006] = 2592,
  [3007] = 2679,
  [3008] = 3001,
  [3009] = 3001,
  [3010] = 1109,
  [3011] = 3001,
  [3012] = 2590,
  [3013] = 2622,
  [3014] = 3001,
  [3015] = 2630,
  [3016] = 2590,
  [3017] = 2591,
  [3018] = 2629,
  [3019] = 2630,
  [3020] = 2792,
  [3021] = 2623,
  [3022] = 2622,
  [3023] = 2591,
  [3024] = 3001,
  [3025] = 3001,
  [3026] = 3001,
  [3027] = 3001,
  [3028] = 2605,
  [3029] = 2609,
  [3030] = 3001,
  [3031] = 3001,
  [3032] = 2614,
  [3033] = 2776,
  [3034] = 1109,
  [3035] = 3001,
  [3036] = 2666,
  [3037] = 2629,
  [3038] = 2605,
  [3039] = 2650,
  [3040] = 2627,
  [3041] = 3001,
  [3042] = 2641,
  [3043] = 2775,
  [3044] = 2650,
  [3045] = 2593,
  [3046] = 2666,
  [3047] = 3001,
  [3048] = 2592,
  [3049] = 3001,
  [3050] = 2776,
  [3051] = 2609,
  [3052] = 2779,
  [3053] = 2670,
  [3054] = 2614,
  [3055] = 2615,
  [3056] = 2627,
  [3057] = 2791,
  [3058] = 3001,
  [3059] = 3001,
  [3060] = 3001,
  [3061] = 2679,
  [3062] = 2792,
  [3063] = 2791,
  [3064] = 2779,
  [3065] = 2641,
  [3066] = 3001,
  [3067] = 2775,
  [3068] = 1070,
  [3069] = 1070,
  [3070] = 1062,
  [3071] = 1062,
  [3072] = 1084,
  [3073] = 1084,
  [3074] = 1138,
  [3075] = 1097,
  [3076] = 1099,
  [3077] = 3077,
  [3078] = 1103,
  [3079] = 1110,
  [3080] = 1155,
  [3081] = 1099,
  [3082] = 1165,
  [3083] = 1141,
  [3084] = 1125,
  [3085] = 1138,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 1163,
  [3089] = 1119,
  [3090] = 1118,
  [3091] = 1115,
  [3092] = 1113,
  [3093] = 1109,
  [3094] = 1141,
  [3095] = 1110,
  [3096] = 1115,
  [3097] = 1120,
  [3098] = 1127,
  [3099] = 1165,
  [3100] = 1128,
  [3101] = 1109,
  [3102] = 1113,
  [3103] = 1163,
  [3104] = 1097,
  [3105] = 1128,
  [3106] = 1155,
  [3107] = 1125,
  [3108] = 1127,
  [3109] = 1120,
  [3110] = 1103,
  [3111] = 1119,
  [3112] = 1118,
  [3113] = 3113,
  [3114] = 3113,
  [3115] = 3115,
  [3116] = 3113,
  [3117] = 3113,
  [3118] = 3113,
  [3119] = 3115,
  [3120] = 3115,
  [3121] = 3115,
  [3122] = 3113,
  [3123] = 3113,
  [3124] = 3115,
  [3125] = 3115,
  [3126] = 3113,
  [3127] = 3115,
  [3128] = 3113,
  [3129] = 3113,
  [3130] = 3115,
  [3131] = 3115,
  [3132] = 3113,
  [3133] = 3113,
  [3134] = 3115,
  [3135] = 3115,
  [3136] = 3113,
  [3137] = 3115,
  [3138] = 3115,
  [3139] = 3115,
  [3140] = 3113,
  [3141] = 3115,
  [3142] = 3115,
  [3143] = 3113,
  [3144] = 3113,
  [3145] = 3115,
  [3146] = 3113,
  [3147] = 3115,
  [3148] = 3115,
  [3149] = 3113,
  [3150] = 3115,
  [3151] = 3113,
  [3152] = 3113,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3153,
  [3156] = 3153,
  [3157] = 3154,
  [3158] = 3153,
  [3159] = 3154,
  [3160] = 3154,
  [3161] = 3161,
  [3162] = 3154,
  [3163] = 3153,
  [3164] = 3153,
  [3165] = 3154,
  [3166] = 3154,
  [3167] = 3154,
  [3168] = 3153,
  [3169] = 3153,
  [3170] = 3153,
  [3171] = 3153,
  [3172] = 3154,
  [3173] = 3154,
  [3174] = 3153,
  [3175] = 3154,
  [3176] = 3153,
  [3177] = 3153,
  [3178] = 3153,
  [3179] = 3153,
  [3180] = 3153,
  [3181] = 3153,
  [3182] = 3154,
  [3183] = 3154,
  [3184] = 3154,
  [3185] = 3153,
  [3186] = 3154,
  [3187] = 3153,
  [3188] = 3153,
  [3189] = 3154,
  [3190] = 3154,
  [3191] = 3154,
  [3192] = 3154,
  [3193] = 3153,
  [3194] = 3154,
  [3195] = 3154,
  [3196] = 3153,
  [3197] = 3153,
  [3198] = 3154,
  [3199] = 3153,
  [3200] = 3154,
  [3201] = 3154,
  [3202] = 3202,
  [3203] = 3202,
  [3204] = 3202,
  [3205] = 3202,
  [3206] = 3202,
  [3207] = 3202,
  [3208] = 3202,
  [3209] = 3202,
  [3210] = 3202,
  [3211] = 3202,
  [3212] = 3202,
  [3213] = 3202,
  [3214] = 3202,
  [3215] = 3202,
  [3216] = 3202,
  [3217] = 3202,
  [3218] = 3202,
  [3219] = 3202,
  [3220] = 3202,
  [3221] = 3202,
  [3222] = 3222,
  [3223] = 3222,
  [3224] = 3222,
  [3225] = 3222,
  [3226] = 3222,
  [3227] = 3222,
  [3228] = 3222,
  [3229] = 3229,
  [3230] = 3222,
  [3231] = 3231,
  [3232] = 3222,
  [3233] = 3233,
  [3234] = 3234,
  [3235] = 3234,
  [3236] = 3229,
  [3237] = 1306,
  [3238] = 3233,
  [3239] = 3222,
  [3240] = 3222,
  [3241] = 3229,
  [3242] = 3222,
  [3243] = 3231,
  [3244] = 3233,
  [3245] = 3222,
  [3246] = 1099,
  [3247] = 3234,
  [3248] = 3234,
  [3249] = 3222,
  [3250] = 3222,
  [3251] = 3233,
  [3252] = 3231,
  [3253] = 3222,
  [3254] = 3222,
  [3255] = 3255,
  [3256] = 3222,
  [3257] = 3231,
  [3258] = 3222,
  [3259] = 3229,
  [3260] = 3222,
  [3261] = 3261,
  [3262] = 3262,
  [3263] = 3262,
  [3264] = 3261,
  [3265] = 3265,
  [3266] = 3261,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3261,
  [3270] = 3262,
  [3271] = 3261,
  [3272] = 3268,
  [3273] = 3267,
  [3274] = 3274,
  [3275] = 3261,
  [3276] = 3262,
  [3277] = 3268,
  [3278] = 3267,
  [3279] = 3262,
  [3280] = 3261,
  [3281] = 3265,
  [3282] = 3265,
  [3283] = 3261,
  [3284] = 3267,
  [3285] = 3268,
  [3286] = 3267,
  [3287] = 3268,
  [3288] = 3262,
  [3289] = 3262,
  [3290] = 3262,
  [3291] = 3274,
  [3292] = 3262,
  [3293] = 3274,
  [3294] = 3262,
  [3295] = 3261,
  [3296] = 3261,
  [3297] = 3267,
  [3298] = 3268,
  [3299] = 3268,
  [3300] = 3268,
  [3301] = 3267,
  [3302] = 3261,
  [3303] = 3267,
  [3304] = 3268,
  [3305] = 3267,
  [3306] = 3306,
  [3307] = 3262,
  [3308] = 3262,
  [3309] = 3261,
  [3310] = 3265,
  [3311] = 3262,
  [3312] = 3262,
  [3313] = 3267,
  [3314] = 3268,
  [3315] = 3262,
  [3316] = 3261,
  [3317] = 3267,
  [3318] = 3268,
  [3319] = 3319,
  [3320] = 3262,
  [3321] = 3268,
  [3322] = 3267,
  [3323] = 3267,
  [3324] = 3261,
  [3325] = 3261,
  [3326] = 3267,
  [3327] = 3268,
  [3328] = 3262,
  [3329] = 3268,
  [3330] = 3268,
  [3331] = 3331,
  [3332] = 3267,
  [3333] = 3261,
  [3334] = 3262,
  [3335] = 3267,
  [3336] = 3306,
  [3337] = 3262,
  [3338] = 3331,
  [3339] = 3331,
  [3340] = 3331,
  [3341] = 3331,
  [3342] = 3331,
  [3343] = 3265,
  [3344] = 3261,
  [3345] = 3331,
  [3346] = 3267,
  [3347] = 3268,
  [3348] = 3261,
  [3349] = 3331,
  [3350] = 3331,
  [3351] = 3331,
  [3352] = 3331,
  [3353] = 3331,
  [3354] = 3331,
  [3355] = 3274,
  [3356] = 3331,
  [3357] = 3331,
  [3358] = 3331,
  [3359] = 3331,
  [3360] = 3331,
  [3361] = 3331,
  [3362] = 3331,
  [3363] = 3331,
  [3364] = 3268,
  [3365] = 3319,
  [3366] = 3331,
  [3367] = 3367,
  [3368] = 3331,
  [3369] = 3331,
  [3370] = 3331,
  [3371] = 3371,
  [3372] = 3262,
  [3373] = 3268,
  [3374] = 3306,
  [3375] = 3267,
  [3376] = 3262,
  [3377] = 3262,
  [3378] = 3261,
  [3379] = 3261,
  [3380] = 3268,
  [3381] = 3262,
  [3382] = 3267,
  [3383] = 3268,
  [3384] = 3267,
  [3385] = 3385,
  [3386] = 3386,
  [3387] = 3387,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3386,
  [3391] = 3387,
  [3392] = 3388,
  [3393] = 3389,
  [3394] = 3386,
  [3395] = 3387,
  [3396] = 3388,
  [3397] = 3389,
  [3398] = 3386,
  [3399] = 3387,
  [3400] = 3388,
  [3401] = 3389,
  [3402] = 3386,
  [3403] = 3387,
  [3404] = 3388,
  [3405] = 3389,
  [3406] = 3386,
  [3407] = 3387,
  [3408] = 3389,
  [3409] = 3387,
  [3410] = 3389,
  [3411] = 3387,
  [3412] = 3389,
  [3413] = 3387,
  [3414] = 3389,
  [3415] = 3387,
  [3416] = 3389,
  [3417] = 3387,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3387,
  [3422] = 3388,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 3426,
  [3427] = 3389,
  [3428] = 3428,
  [3429] = 3386,
  [3430] = 3387,
  [3431] = 3388,
  [3432] = 3389,
  [3433] = 3386,
  [3434] = 3387,
  [3435] = 3388,
  [3436] = 3436,
  [3437] = 3437,
  [3438] = 3389,
  [3439] = 3439,
  [3440] = 3388,
  [3441] = 3386,
  [3442] = 3389,
  [3443] = 3388,
  [3444] = 3387,
  [3445] = 3386,
  [3446] = 3389,
  [3447] = 3388,
  [3448] = 3387,
  [3449] = 3386,
  [3450] = 3389,
  [3451] = 3388,
  [3452] = 3387,
  [3453] = 3386,
  [3454] = 3389,
  [3455] = 3388,
  [3456] = 3387,
  [3457] = 3386,
  [3458] = 3389,
  [3459] = 3388,
  [3460] = 3387,
  [3461] = 3386,
  [3462] = 3389,
  [3463] = 3388,
  [3464] = 3387,
  [3465] = 3386,
  [3466] = 3389,
  [3467] = 3467,
  [3468] = 3387,
  [3469] = 3386,
  [3470] = 3389,
  [3471] = 3471,
  [3472] = 3388,
  [3473] = 3473,
  [3474] = 3474,
  [3475] = 3475,
  [3476] = 3476,
  [3477] = 3467,
  [3478] = 3478,
  [3479] = 3387,
  [3480] = 3386,
  [3481] = 3389,
  [3482] = 3385,
  [3483] = 3471,
  [3484] = 3388,
  [3485] = 3473,
  [3486] = 3486,
  [3487] = 3474,
  [3488] = 3475,
  [3489] = 3476,
  [3490] = 3467,
  [3491] = 3478,
  [3492] = 3387,
  [3493] = 3386,
  [3494] = 3389,
  [3495] = 3385,
  [3496] = 3471,
  [3497] = 3388,
  [3498] = 3473,
  [3499] = 3486,
  [3500] = 3474,
  [3501] = 3475,
  [3502] = 3476,
  [3503] = 3486,
  [3504] = 3478,
  [3505] = 3387,
  [3506] = 3386,
  [3507] = 3389,
  [3508] = 3385,
  [3509] = 3471,
  [3510] = 3388,
  [3511] = 3473,
  [3512] = 3486,
  [3513] = 3474,
  [3514] = 3475,
  [3515] = 3515,
  [3516] = 3476,
  [3517] = 3467,
  [3518] = 3478,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3387,
  [3522] = 3386,
  [3523] = 3523,
  [3524] = 3389,
  [3525] = 3385,
  [3526] = 3526,
  [3527] = 3471,
  [3528] = 3388,
  [3529] = 3529,
  [3530] = 3473,
  [3531] = 3526,
  [3532] = 3418,
  [3533] = 3419,
  [3534] = 3420,
  [3535] = 3486,
  [3536] = 3474,
  [3537] = 3423,
  [3538] = 3424,
  [3539] = 3425,
  [3540] = 3426,
  [3541] = 3475,
  [3542] = 3428,
  [3543] = 3476,
  [3544] = 3467,
  [3545] = 3478,
  [3546] = 3519,
  [3547] = 3520,
  [3548] = 3436,
  [3549] = 3437,
  [3550] = 3387,
  [3551] = 3439,
  [3552] = 3386,
  [3553] = 3523,
  [3554] = 3554,
  [3555] = 3389,
  [3556] = 3385,
  [3557] = 3471,
  [3558] = 3526,
  [3559] = 3388,
  [3560] = 3529,
  [3561] = 3473,
  [3562] = 3419,
  [3563] = 3486,
  [3564] = 3474,
  [3565] = 3423,
  [3566] = 3425,
  [3567] = 3426,
  [3568] = 3475,
  [3569] = 3428,
  [3570] = 3476,
  [3571] = 3571,
  [3572] = 3467,
  [3573] = 3478,
  [3574] = 3519,
  [3575] = 3437,
  [3576] = 3520,
  [3577] = 3439,
  [3578] = 3387,
  [3579] = 3386,
  [3580] = 3523,
  [3581] = 3554,
  [3582] = 3389,
  [3583] = 3385,
  [3584] = 3471,
  [3585] = 3526,
  [3586] = 3388,
  [3587] = 3529,
  [3588] = 3419,
  [3589] = 3473,
  [3590] = 3386,
  [3591] = 3423,
  [3592] = 3425,
  [3593] = 3426,
  [3594] = 3474,
  [3595] = 3428,
  [3596] = 3475,
  [3597] = 3476,
  [3598] = 3571,
  [3599] = 3467,
  [3600] = 3478,
  [3601] = 3437,
  [3602] = 3519,
  [3603] = 3520,
  [3604] = 3387,
  [3605] = 3386,
  [3606] = 3523,
  [3607] = 3554,
  [3608] = 3389,
  [3609] = 3385,
  [3610] = 3471,
  [3611] = 3526,
  [3612] = 3388,
  [3613] = 3529,
  [3614] = 3473,
  [3615] = 3423,
  [3616] = 3425,
  [3617] = 3426,
  [3618] = 3486,
  [3619] = 3428,
  [3620] = 3474,
  [3621] = 3475,
  [3622] = 3476,
  [3623] = 3515,
  [3624] = 3571,
  [3625] = 3437,
  [3626] = 3467,
  [3627] = 3478,
  [3628] = 3519,
  [3629] = 3520,
  [3630] = 3387,
  [3631] = 3471,
  [3632] = 3523,
  [3633] = 3554,
  [3634] = 3389,
  [3635] = 3385,
  [3636] = 3471,
  [3637] = 3526,
  [3638] = 3388,
  [3639] = 3423,
  [3640] = 3425,
  [3641] = 3426,
  [3642] = 3529,
  [3643] = 3428,
  [3644] = 3473,
  [3645] = 3486,
  [3646] = 3474,
  [3647] = 3475,
  [3648] = 3476,
  [3649] = 3437,
  [3650] = 3571,
  [3651] = 3467,
  [3652] = 3478,
  [3653] = 3519,
  [3654] = 3520,
  [3655] = 3387,
  [3656] = 3386,
  [3657] = 3523,
  [3658] = 3554,
  [3659] = 3389,
  [3660] = 3385,
  [3661] = 3471,
  [3662] = 3526,
  [3663] = 3423,
  [3664] = 3425,
  [3665] = 3426,
  [3666] = 3388,
  [3667] = 3428,
  [3668] = 3529,
  [3669] = 3473,
  [3670] = 3486,
  [3671] = 3474,
  [3672] = 3475,
  [3673] = 3437,
  [3674] = 3476,
  [3675] = 3571,
  [3676] = 3467,
  [3677] = 3478,
  [3678] = 3519,
  [3679] = 3520,
  [3680] = 3387,
  [3681] = 3386,
  [3682] = 3523,
  [3683] = 3554,
  [3684] = 3389,
  [3685] = 3385,
  [3686] = 3387,
  [3687] = 3423,
  [3688] = 3425,
  [3689] = 3426,
  [3690] = 3526,
  [3691] = 3428,
  [3692] = 3388,
  [3693] = 3529,
  [3694] = 3473,
  [3695] = 3486,
  [3696] = 3474,
  [3697] = 3437,
  [3698] = 3475,
  [3699] = 3476,
  [3700] = 3571,
  [3701] = 3467,
  [3702] = 3478,
  [3703] = 3519,
  [3704] = 3520,
  [3705] = 3387,
  [3706] = 3515,
  [3707] = 3386,
  [3708] = 3523,
  [3709] = 3554,
  [3710] = 3423,
  [3711] = 3425,
  [3712] = 3426,
  [3713] = 3389,
  [3714] = 3428,
  [3715] = 3385,
  [3716] = 3471,
  [3717] = 3526,
  [3718] = 3388,
  [3719] = 3529,
  [3720] = 3437,
  [3721] = 3473,
  [3722] = 3486,
  [3723] = 3474,
  [3724] = 3475,
  [3725] = 3476,
  [3726] = 3571,
  [3727] = 3467,
  [3728] = 3478,
  [3729] = 3519,
  [3730] = 3520,
  [3731] = 3387,
  [3732] = 3386,
  [3733] = 3423,
  [3734] = 3425,
  [3735] = 3426,
  [3736] = 3523,
  [3737] = 3428,
  [3738] = 3554,
  [3739] = 3389,
  [3740] = 3385,
  [3741] = 3471,
  [3742] = 3526,
  [3743] = 3437,
  [3744] = 3388,
  [3745] = 3529,
  [3746] = 3473,
  [3747] = 3486,
  [3748] = 3474,
  [3749] = 3475,
  [3750] = 3476,
  [3751] = 3571,
  [3752] = 3467,
  [3753] = 3478,
  [3754] = 3519,
  [3755] = 3520,
  [3756] = 3423,
  [3757] = 3425,
  [3758] = 3426,
  [3759] = 3478,
  [3760] = 3428,
  [3761] = 3386,
  [3762] = 3523,
  [3763] = 3554,
  [3764] = 3389,
  [3765] = 3385,
  [3766] = 3437,
  [3767] = 3471,
  [3768] = 3526,
  [3769] = 3388,
  [3770] = 3529,
  [3771] = 3473,
  [3772] = 3486,
  [3773] = 3474,
  [3774] = 3475,
  [3775] = 3476,
  [3776] = 3571,
  [3777] = 3467,
  [3778] = 3526,
  [3779] = 3423,
  [3780] = 3425,
  [3781] = 3426,
  [3782] = 3519,
  [3783] = 3428,
  [3784] = 3520,
  [3785] = 3387,
  [3786] = 3386,
  [3787] = 3523,
  [3788] = 3554,
  [3789] = 3437,
  [3790] = 3389,
  [3791] = 3385,
  [3792] = 3471,
  [3793] = 3526,
  [3794] = 3388,
  [3795] = 3529,
  [3796] = 3473,
  [3797] = 3486,
  [3798] = 3474,
  [3799] = 3475,
  [3800] = 3476,
  [3801] = 3571,
  [3802] = 3423,
  [3803] = 3425,
  [3804] = 3426,
  [3805] = 3467,
  [3806] = 3428,
  [3807] = 3478,
  [3808] = 3519,
  [3809] = 3520,
  [3810] = 3387,
  [3811] = 3386,
  [3812] = 3437,
  [3813] = 3523,
  [3814] = 3554,
  [3815] = 3389,
  [3816] = 3385,
  [3817] = 3471,
  [3818] = 3526,
  [3819] = 3388,
  [3820] = 3529,
  [3821] = 3473,
  [3822] = 3486,
  [3823] = 3474,
  [3824] = 3475,
  [3825] = 3423,
  [3826] = 3425,
  [3827] = 3426,
  [3828] = 3476,
  [3829] = 3428,
  [3830] = 3571,
  [3831] = 3467,
  [3832] = 3478,
  [3833] = 3833,
  [3834] = 3519,
  [3835] = 3437,
  [3836] = 3520,
  [3837] = 3387,
  [3838] = 3386,
  [3839] = 3523,
  [3840] = 3554,
  [3841] = 3389,
  [3842] = 3385,
  [3843] = 3471,
  [3844] = 3526,
  [3845] = 3388,
  [3846] = 3529,
  [3847] = 3473,
  [3848] = 3423,
  [3849] = 3425,
  [3850] = 3426,
  [3851] = 3486,
  [3852] = 3428,
  [3853] = 3474,
  [3854] = 3475,
  [3855] = 3476,
  [3856] = 3856,
  [3857] = 3857,
  [3858] = 3437,
  [3859] = 3571,
  [3860] = 3467,
  [3861] = 3478,
  [3862] = 3833,
  [3863] = 3519,
  [3864] = 3515,
  [3865] = 3515,
  [3866] = 3520,
  [3867] = 3387,
  [3868] = 3386,
  [3869] = 3523,
  [3870] = 3554,
  [3871] = 3423,
  [3872] = 3425,
  [3873] = 3426,
  [3874] = 3389,
  [3875] = 3428,
  [3876] = 3385,
  [3877] = 3471,
  [3878] = 3856,
  [3879] = 3388,
  [3880] = 3529,
  [3881] = 3437,
  [3882] = 3473,
  [3883] = 3486,
  [3884] = 3474,
  [3885] = 3475,
  [3886] = 3476,
  [3887] = 3857,
  [3888] = 3857,
  [3889] = 3571,
  [3890] = 3467,
  [3891] = 3478,
  [3892] = 3833,
  [3893] = 3519,
  [3894] = 3423,
  [3895] = 3425,
  [3896] = 3426,
  [3897] = 3520,
  [3898] = 3428,
  [3899] = 3387,
  [3900] = 3386,
  [3901] = 3519,
  [3902] = 3523,
  [3903] = 3554,
  [3904] = 3437,
  [3905] = 3389,
  [3906] = 3385,
  [3907] = 3471,
  [3908] = 3526,
  [3909] = 3388,
  [3910] = 3529,
  [3911] = 3473,
  [3912] = 3486,
  [3913] = 3474,
  [3914] = 3475,
  [3915] = 3476,
  [3916] = 3856,
  [3917] = 3423,
  [3918] = 3425,
  [3919] = 3426,
  [3920] = 3857,
  [3921] = 3428,
  [3922] = 3571,
  [3923] = 3467,
  [3924] = 3478,
  [3925] = 3833,
  [3926] = 3519,
  [3927] = 3437,
  [3928] = 3520,
  [3929] = 3387,
  [3930] = 3386,
  [3931] = 3523,
  [3932] = 3554,
  [3933] = 3389,
  [3934] = 3385,
  [3935] = 3471,
  [3936] = 3526,
  [3937] = 3388,
  [3938] = 3529,
  [3939] = 3473,
  [3940] = 3423,
  [3941] = 3425,
  [3942] = 3426,
  [3943] = 3486,
  [3944] = 3428,
  [3945] = 3520,
  [3946] = 3474,
  [3947] = 3475,
  [3948] = 3387,
  [3949] = 3476,
  [3950] = 3437,
  [3951] = 3856,
  [3952] = 3857,
  [3953] = 3571,
  [3954] = 3467,
  [3955] = 3478,
  [3956] = 3833,
  [3957] = 3519,
  [3958] = 3520,
  [3959] = 3387,
  [3960] = 3386,
  [3961] = 3523,
  [3962] = 3554,
  [3963] = 3423,
  [3964] = 3425,
  [3965] = 3426,
  [3966] = 3389,
  [3967] = 3428,
  [3968] = 3385,
  [3969] = 3471,
  [3970] = 3526,
  [3971] = 3437,
  [3972] = 3388,
  [3973] = 3529,
  [3974] = 3473,
  [3975] = 3486,
  [3976] = 3474,
  [3977] = 3475,
  [3978] = 3476,
  [3979] = 3856,
  [3980] = 3529,
  [3981] = 3571,
  [3982] = 3467,
  [3983] = 3423,
  [3984] = 3425,
  [3985] = 3426,
  [3986] = 3478,
  [3987] = 3428,
  [3988] = 3988,
  [3989] = 3437,
  [3990] = 3990,
  [3991] = 3833,
  [3992] = 3519,
  [3993] = 3515,
  [3994] = 3520,
  [3995] = 3423,
  [3996] = 3425,
  [3997] = 3426,
  [3998] = 3387,
  [3999] = 3428,
  [4000] = 3386,
  [4001] = 3437,
  [4002] = 3523,
  [4003] = 3554,
  [4004] = 3389,
  [4005] = 3386,
  [4006] = 3385,
  [4007] = 3423,
  [4008] = 3425,
  [4009] = 3426,
  [4010] = 3471,
  [4011] = 3428,
  [4012] = 3526,
  [4013] = 3437,
  [4014] = 3388,
  [4015] = 3857,
  [4016] = 3523,
  [4017] = 3554,
  [4018] = 4018,
  [4019] = 3423,
  [4020] = 3425,
  [4021] = 3426,
  [4022] = 3428,
  [4023] = 3389,
  [4024] = 3437,
  [4025] = 4025,
  [4026] = 3473,
  [4027] = 3486,
  [4028] = 4028,
  [4029] = 3474,
  [4030] = 3385,
  [4031] = 3475,
  [4032] = 3476,
  [4033] = 3856,
  [4034] = 3471,
  [4035] = 4035,
  [4036] = 3857,
  [4037] = 3571,
  [4038] = 3526,
  [4039] = 3467,
  [4040] = 4040,
  [4041] = 3478,
  [4042] = 3988,
  [4043] = 4043,
  [4044] = 3990,
  [4045] = 3833,
  [4046] = 3519,
  [4047] = 3520,
  [4048] = 3388,
  [4049] = 4049,
  [4050] = 3529,
  [4051] = 3387,
  [4052] = 3386,
  [4053] = 3523,
  [4054] = 3554,
  [4055] = 3389,
  [4056] = 3471,
  [4057] = 4025,
  [4058] = 3439,
  [4059] = 3526,
  [4060] = 3388,
  [4061] = 3473,
  [4062] = 3529,
  [4063] = 3486,
  [4064] = 4025,
  [4065] = 3473,
  [4066] = 4028,
  [4067] = 3486,
  [4068] = 4028,
  [4069] = 3474,
  [4070] = 3437,
  [4071] = 3475,
  [4072] = 4072,
  [4073] = 3436,
  [4074] = 3476,
  [4075] = 3474,
  [4076] = 3475,
  [4077] = 3856,
  [4078] = 3857,
  [4079] = 3476,
  [4080] = 3856,
  [4081] = 3526,
  [4082] = 3571,
  [4083] = 3571,
  [4084] = 3467,
  [4085] = 4085,
  [4086] = 3467,
  [4087] = 4040,
  [4088] = 3478,
  [4089] = 4089,
  [4090] = 3988,
  [4091] = 3990,
  [4092] = 3833,
  [4093] = 4093,
  [4094] = 3428,
  [4095] = 3515,
  [4096] = 4040,
  [4097] = 3519,
  [4098] = 3478,
  [4099] = 1232,
  [4100] = 4100,
  [4101] = 3520,
  [4102] = 4102,
  [4103] = 4085,
  [4104] = 4043,
  [4105] = 3426,
  [4106] = 4102,
  [4107] = 3425,
  [4108] = 3424,
  [4109] = 4089,
  [4110] = 3387,
  [4111] = 3988,
  [4112] = 3423,
  [4113] = 4100,
  [4114] = 3386,
  [4115] = 3990,
  [4116] = 3833,
  [4117] = 4093,
  [4118] = 4118,
  [4119] = 3420,
  [4120] = 3419,
  [4121] = 3523,
  [4122] = 4100,
  [4123] = 3418,
  [4124] = 4102,
  [4125] = 4085,
  [4126] = 4043,
  [4127] = 3554,
  [4128] = 4100,
  [4129] = 4102,
  [4130] = 4085,
  [4131] = 4043,
  [4132] = 3389,
  [4133] = 4100,
  [4134] = 4102,
  [4135] = 4085,
  [4136] = 4043,
  [4137] = 3385,
  [4138] = 4100,
  [4139] = 4102,
  [4140] = 4085,
  [4141] = 4043,
  [4142] = 3471,
  [4143] = 4100,
  [4144] = 4102,
  [4145] = 4085,
  [4146] = 4043,
  [4147] = 4093,
  [4148] = 4100,
  [4149] = 4102,
  [4150] = 4085,
  [4151] = 4043,
  [4152] = 3388,
  [4153] = 4100,
  [4154] = 4102,
  [4155] = 4085,
  [4156] = 4043,
  [4157] = 3529,
  [4158] = 4100,
  [4159] = 4102,
  [4160] = 4085,
  [4161] = 4043,
  [4162] = 4025,
  [4163] = 4100,
  [4164] = 4102,
  [4165] = 4085,
  [4166] = 4043,
  [4167] = 3473,
  [4168] = 4100,
  [4169] = 4102,
  [4170] = 4085,
  [4171] = 4043,
  [4172] = 3486,
  [4173] = 4100,
  [4174] = 4102,
  [4175] = 4085,
  [4176] = 4043,
  [4177] = 4028,
  [4178] = 4100,
  [4179] = 4102,
  [4180] = 4085,
  [4181] = 4043,
  [4182] = 3474,
  [4183] = 4100,
  [4184] = 4102,
  [4185] = 4085,
  [4186] = 4043,
  [4187] = 3475,
  [4188] = 4100,
  [4189] = 4102,
  [4190] = 4085,
  [4191] = 4043,
  [4192] = 1317,
  [4193] = 4100,
  [4194] = 4102,
  [4195] = 4085,
  [4196] = 4043,
  [4197] = 3476,
  [4198] = 4100,
  [4199] = 4102,
  [4200] = 4085,
  [4201] = 4043,
  [4202] = 3856,
  [4203] = 4100,
  [4204] = 4102,
  [4205] = 4085,
  [4206] = 4043,
  [4207] = 3857,
  [4208] = 4100,
  [4209] = 4102,
  [4210] = 4085,
  [4211] = 4043,
  [4212] = 1308,
  [4213] = 4100,
  [4214] = 4102,
  [4215] = 4085,
  [4216] = 1278,
  [4217] = 4100,
  [4218] = 4102,
  [4219] = 4085,
  [4220] = 3515,
  [4221] = 4100,
  [4222] = 4102,
  [4223] = 4085,
  [4224] = 3571,
  [4225] = 4100,
  [4226] = 4102,
  [4227] = 4085,
  [4228] = 3467,
  [4229] = 4100,
  [4230] = 4102,
  [4231] = 4085,
  [4232] = 4085,
  [4233] = 4085,
  [4234] = 4085,
  [4235] = 4085,
  [4236] = 4085,
  [4237] = 4085,
  [4238] = 4085,
  [4239] = 4085,
  [4240] = 4085,
  [4241] = 4085,
  [4242] = 4085,
  [4243] = 4085,
  [4244] = 4085,
  [4245] = 4085,
  [4246] = 4085,
  [4247] = 4085,
  [4248] = 4085,
  [4249] = 4085,
  [4250] = 4085,
  [4251] = 4085,
  [4252] = 4040,
  [4253] = 3478,
  [4254] = 4089,
  [4255] = 3988,
  [4256] = 3990,
  [4257] = 3833,
  [4258] = 3515,
  [4259] = 3515,
  [4260] = 3515,
  [4261] = 1230,
  [4262] = 3515,
  [4263] = 3515,
  [4264] = 3515,
  [4265] = 3515,
  [4266] = 3515,
  [4267] = 3515,
  [4268] = 3515,
  [4269] = 3515,
  [4270] = 3515,
};

static inline bool aux_sym_escape_token1_character_set_1(int32_t c) {
  return (c < 5760
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < 160
        ? c == 133
        : c <= 160)))
    : (c <= 5760 || (c < 8239
      ? (c < 8232
        ? (c >= 8192 && c <= 8202)
        : c <= 8233)
      : (c <= 8239 || (c < 12288
        ? c == 8287
        : c <= 12288)))));
}

static inline bool aux_sym_text_token1_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym__identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym__identifier_character_set_2(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 910
            ? (c < 736
              ? (c < 186
                ? (c < 'a'
                  ? (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))
              : (c <= 740 || (c < 891
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))))
            : (c <= 929 || (c < 1649
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym__identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '-'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(42);
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(77);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '\'') ADVANCE(53);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == '*') ADVANCE(124);
      if (lookahead == '+') ADVANCE(120);
      if (lookahead == ',') ADVANCE(137);
      if (lookahead == '-') ADVANCE(122);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(126);
      if (lookahead == ':') ADVANCE(136);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '_') ADVANCE(81);
      if (lookahead == '`') ADVANCE(62);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '}') ADVANCE(134);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(54);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (aux_sym_text_token1_character_set_1(lookahead)) ADVANCE(58);
      if (lookahead != 0) ADVANCE(54);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(93);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')' ||
          lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(93);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(93);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')' ||
          lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(93);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')' ||
          lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(78);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')' ||
          lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '_') ADVANCE(80);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(78);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')') ADVANCE(68);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '_') ADVANCE(80);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(78);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')' ||
          lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '_') ADVANCE(80);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(78);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '&') ADVANCE(67);
      if (lookahead == '(' ||
          lookahead == '{') ADVANCE(70);
      if (lookahead == ')' ||
          lookahead == ']' ||
          lookahead == '}') ADVANCE(72);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead == '.') ADVANCE(92);
      if (lookahead == ':') ADVANCE(60);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '=') ADVANCE(96);
      if (lookahead == '>') ADVANCE(94);
      if (lookahead == '[') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '^') ADVANCE(79);
      if (lookahead == '_') ADVANCE(80);
      if (lookahead == '|') ADVANCE(73);
      if (lookahead == '~') ADVANCE(95);
      if ((8730 <= lookahead && lookahead <= 8732)) ADVANCE(76);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      if (lookahead != 0) ADVANCE(89);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(53);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == ':') ADVANCE(59);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '@') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (lookahead != 0) ADVANCE(54);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(48);
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(53);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '@') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (lookahead != 0) ADVANCE(54);
      END_STATE();
    case 11:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '(') ADVANCE(131);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == '0') ADVANCE(99);
      if (lookahead == ':') ADVANCE(136);
      if (lookahead == ';') ADVANCE(83);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == '{') ADVANCE(133);
      if (lookahead == '}') ADVANCE(134);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (sym__identifier_character_set_1(lookahead)) ADVANCE(98);
      END_STATE();
    case 12:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '(') ADVANCE(131);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == '0') ADVANCE(99);
      if (lookahead == ':') ADVANCE(136);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (sym__identifier_character_set_1(lookahead)) ADVANCE(98);
      END_STATE();
    case 13:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '(') ADVANCE(131);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == '0') ADVANCE(99);
      if (lookahead == ':') ADVANCE(59);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (sym__identifier_character_set_1(lookahead)) ADVANCE(98);
      END_STATE();
    case 14:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == '"') ADVANCE(107);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '(') ADVANCE(131);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(82);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == '0') ADVANCE(99);
      if (lookahead == ':') ADVANCE(59);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(100);
      if (sym__identifier_character_set_1(lookahead)) ADVANCE(98);
      END_STATE();
    case 15:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == '(') ADVANCE(69);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(137);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == ':') ADVANCE(136);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (sym__identifier_character_set_2(lookahead)) ADVANCE(98);
      END_STATE();
    case 16:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(137);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == ':') ADVANCE(136);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (sym__identifier_character_set_2(lookahead)) ADVANCE(98);
      END_STATE();
    case 17:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(137);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == ':') ADVANCE(59);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(135);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (sym__identifier_character_set_2(lookahead)) ADVANCE(98);
      END_STATE();
    case 18:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '!') ADVANCE(27);
      if (lookahead == ')') ADVANCE(132);
      if (lookahead == '*') ADVANCE(125);
      if (lookahead == '+') ADVANCE(121);
      if (lookahead == ',') ADVANCE(137);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(127);
      if (lookahead == ':') ADVANCE(59);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(110);
      if (lookahead == '>') ADVANCE(115);
      if (lookahead == '{') ADVANCE(133);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      if (sym__identifier_character_set_2(lookahead)) ADVANCE(98);
      END_STATE();
    case 19:
      if (lookahead == '\r') ADVANCE(49);
      if (lookahead == '>') ADVANCE(114);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(48);
      END_STATE();
    case 20:
      if (lookahead == '\r') ADVANCE(44);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8202) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 12288) ADVANCE(20);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(64);
      END_STATE();
    case 22:
      if (lookahead == '.') ADVANCE(84);
      END_STATE();
    case 23:
      if (lookahead == '/') ADVANCE(47);
      END_STATE();
    case 24:
      if (lookahead == '/') ADVANCE(23);
      END_STATE();
    case 25:
      if (lookahead == ':') ADVANCE(24);
      END_STATE();
    case 26:
      if (lookahead == ':') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 29:
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 30:
      if (lookahead == '`') ADVANCE(61);
      END_STATE();
    case 31:
      if (lookahead == 'p') ADVANCE(26);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(46);
      if (!aux_sym_escape_token1_character_set_1(lookahead)) ADVANCE(45);
      END_STATE();
    case 34:
      if (lookahead == '}') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 36:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 41:
      if (eof) ADVANCE(42);
      if (lookahead == '\n') ADVANCE(51);
      if (lookahead == '\r') ADVANCE(50);
      if (lookahead == '"' ||
          lookahead == '\'') ADVANCE(53);
      if (lookahead == '#') ADVANCE(97);
      if (lookahead == '$') ADVANCE(66);
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '@') ADVANCE(130);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == '`') ADVANCE(63);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == '~') ADVANCE(64);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(51);
      if (lookahead != 0) ADVANCE(54);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_parbreak);
      if (lookahead == '\r') ADVANCE(44);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8202) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 12288) ADVANCE(20);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_parbreak);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(43);
      if (lookahead == '\r') ADVANCE(44);
      if (lookahead == '\t' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8202) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 12288) ADVANCE(20);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym_escape_token1);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(aux_sym_escape_token1);
      if (lookahead == '{') ADVANCE(34);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(aux_sym_url_token1);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(sym__lb);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(sym__lb);
      if (lookahead == '\n') ADVANCE(48);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym__lb);
      if (lookahead == '\n') ADVANCE(43);
      if (lookahead == '\r') ADVANCE(44);
      if (lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8202) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 12288) ADVANCE(20);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym__lb);
      if (lookahead == '\r') ADVANCE(44);
      if (('\n' <= lookahead && lookahead <= '\f') ||
          lookahead == 133 ||
          lookahead == 8232 ||
          lookahead == 8233) ADVANCE(43);
      if (lookahead == '\t' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8202) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 12288) ADVANCE(20);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_linebreak);
      if (lookahead == 'u') ADVANCE(46);
      if (!aux_sym_escape_token1_character_set_1(lookahead)) ADVANCE(45);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_quote);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(aux_sym_text_token1);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '?') ADVANCE(64);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '.') ADVANCE(21);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (sym__identifier_character_set_3(lookahead)) ADVANCE(98);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(28);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_BQUOTE_BQUOTE_BQUOTE);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(30);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_shorthand);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_shorthand);
      if (lookahead == '-') ADVANCE(64);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym__math_token_align);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym__math_token_rpar);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym__math_token_lpar);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym__math_token_ldlm);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym__math_token_ldlm);
      if (lookahead == '|') ADVANCE(70);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym__math_token_orph);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym__math_token_orph);
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == ']' ||
          lookahead == '|') ADVANCE(72);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym__math_number);
      if (lookahead == '.') ADVANCE(38);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym__math_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym__math_root_token1);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym__);
      if (sym__identifier_character_set_3(lookahead)) ADVANCE(98);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '>') ADVANCE(84);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym__math_shorthand_token1);
      if (lookahead == '-' ||
          lookahead == '<') ADVANCE(84);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '>') ADVANCE(87);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '<') ADVANCE(88);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '.') ADVANCE(22);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '=') ADVANCE(84);
      if (lookahead == '>') ADVANCE(87);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == '>') ADVANCE(84);
      if (lookahead == '~') ADVANCE(29);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__math_symbol_token1);
      if (lookahead == ':' ||
          lookahead == '>') ADVANCE(84);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym__identifier);
      if (sym__identifier_character_set_3(lookahead)) ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == 'b') ADVANCE(36);
      if (lookahead == 'e') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'x') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(104);
      if (lookahead == 'e') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'e') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(102);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym_assign_token1);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym_assign_token1);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '>') ADVANCE(111);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(101);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_COMMA2);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'f') ADVANCE(4);
      if (lookahead == 'i') ADVANCE(5);
      if (lookahead == 'l') ADVANCE(6);
      if (lookahead == 'n') ADVANCE(7);
      if (lookahead == 'o') ADVANCE(8);
      if (lookahead == 'r') ADVANCE(9);
      if (lookahead == 's') ADVANCE(10);
      if (lookahead == 't') ADVANCE(11);
      if (lookahead == 'w') ADVANCE(12);
      END_STATE();
    case 1:
      if (lookahead == 'n') ADVANCE(13);
      if (lookahead == 's') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(18);
      if (lookahead == 'o') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'f') ADVANCE(20);
      if (lookahead == 'm') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(26);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'h') ADVANCE(28);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 12:
      if (lookahead == 'h') ADVANCE(30);
      END_STATE();
    case 13:
      if (lookahead == 'd') ADVANCE(31);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 15:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'n') ADVANCE(34);
      END_STATE();
    case 18:
      if (lookahead == 'l') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 21:
      if (lookahead == 'p') ADVANCE(37);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(38);
      END_STATE();
    case 23:
      if (lookahead == 't') ADVANCE(39);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(40);
      if (lookahead == 't') ADVANCE(41);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 27:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == 'u') ADVANCE(45);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(46);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 35:
      if (lookahead == 's') ADVANCE(50);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 42:
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 44:
      if (lookahead == 'w') ADVANCE(55);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 48:
      if (lookahead == 'k') ADVANCE(58);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(59);
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 50:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(62);
      END_STATE();
    case 52:
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 54:
      if (lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_show);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 59:
      if (lookahead == 'x') ADVANCE(66);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(68);
      END_STATE();
    case 63:
      if (lookahead == 'd') ADVANCE(69);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(72);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_context);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(74);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 0, .external_lex_state = 2},
  [2] = {.lex_state = 11, .external_lex_state = 3},
  [3] = {.lex_state = 11, .external_lex_state = 3},
  [4] = {.lex_state = 11, .external_lex_state = 4},
  [5] = {.lex_state = 11, .external_lex_state = 4},
  [6] = {.lex_state = 12, .external_lex_state = 3},
  [7] = {.lex_state = 11, .external_lex_state = 5},
  [8] = {.lex_state = 11, .external_lex_state = 5},
  [9] = {.lex_state = 11, .external_lex_state = 6},
  [10] = {.lex_state = 12, .external_lex_state = 3},
  [11] = {.lex_state = 11, .external_lex_state = 6},
  [12] = {.lex_state = 12, .external_lex_state = 6},
  [13] = {.lex_state = 12, .external_lex_state = 4},
  [14] = {.lex_state = 11, .external_lex_state = 3},
  [15] = {.lex_state = 11, .external_lex_state = 3},
  [16] = {.lex_state = 12, .external_lex_state = 5},
  [17] = {.lex_state = 12, .external_lex_state = 5},
  [18] = {.lex_state = 12, .external_lex_state = 6},
  [19] = {.lex_state = 12, .external_lex_state = 4},
  [20] = {.lex_state = 13, .external_lex_state = 3},
  [21] = {.lex_state = 13, .external_lex_state = 3},
  [22] = {.lex_state = 13, .external_lex_state = 6},
  [23] = {.lex_state = 14, .external_lex_state = 3},
  [24] = {.lex_state = 13, .external_lex_state = 6},
  [25] = {.lex_state = 13, .external_lex_state = 4},
  [26] = {.lex_state = 13, .external_lex_state = 4},
  [27] = {.lex_state = 12, .external_lex_state = 3},
  [28] = {.lex_state = 12, .external_lex_state = 3},
  [29] = {.lex_state = 13, .external_lex_state = 5},
  [30] = {.lex_state = 11, .external_lex_state = 3},
  [31] = {.lex_state = 14, .external_lex_state = 3},
  [32] = {.lex_state = 11, .external_lex_state = 3},
  [33] = {.lex_state = 13, .external_lex_state = 5},
  [34] = {.lex_state = 14, .external_lex_state = 6},
  [35] = {.lex_state = 14, .external_lex_state = 4},
  [36] = {.lex_state = 14, .external_lex_state = 4},
  [37] = {.lex_state = 13, .external_lex_state = 3},
  [38] = {.lex_state = 13, .external_lex_state = 3},
  [39] = {.lex_state = 14, .external_lex_state = 5},
  [40] = {.lex_state = 14, .external_lex_state = 5},
  [41] = {.lex_state = 14, .external_lex_state = 6},
  [42] = {.lex_state = 12, .external_lex_state = 3},
  [43] = {.lex_state = 12, .external_lex_state = 3},
  [44] = {.lex_state = 14, .external_lex_state = 3},
  [45] = {.lex_state = 14, .external_lex_state = 3},
  [46] = {.lex_state = 13, .external_lex_state = 7},
  [47] = {.lex_state = 13, .external_lex_state = 7},
  [48] = {.lex_state = 13, .external_lex_state = 7},
  [49] = {.lex_state = 13, .external_lex_state = 7},
  [50] = {.lex_state = 13, .external_lex_state = 7},
  [51] = {.lex_state = 13, .external_lex_state = 7},
  [52] = {.lex_state = 13, .external_lex_state = 7},
  [53] = {.lex_state = 13, .external_lex_state = 7},
  [54] = {.lex_state = 13, .external_lex_state = 7},
  [55] = {.lex_state = 13, .external_lex_state = 7},
  [56] = {.lex_state = 13, .external_lex_state = 7},
  [57] = {.lex_state = 13, .external_lex_state = 7},
  [58] = {.lex_state = 13, .external_lex_state = 7},
  [59] = {.lex_state = 13, .external_lex_state = 7},
  [60] = {.lex_state = 13, .external_lex_state = 7},
  [61] = {.lex_state = 13, .external_lex_state = 7},
  [62] = {.lex_state = 13, .external_lex_state = 7},
  [63] = {.lex_state = 13, .external_lex_state = 7},
  [64] = {.lex_state = 13, .external_lex_state = 7},
  [65] = {.lex_state = 13, .external_lex_state = 7},
  [66] = {.lex_state = 13, .external_lex_state = 7},
  [67] = {.lex_state = 11, .external_lex_state = 7},
  [68] = {.lex_state = 11, .external_lex_state = 7},
  [69] = {.lex_state = 11, .external_lex_state = 7},
  [70] = {.lex_state = 11, .external_lex_state = 7},
  [71] = {.lex_state = 11, .external_lex_state = 7},
  [72] = {.lex_state = 11, .external_lex_state = 7},
  [73] = {.lex_state = 11, .external_lex_state = 7},
  [74] = {.lex_state = 11, .external_lex_state = 7},
  [75] = {.lex_state = 11, .external_lex_state = 7},
  [76] = {.lex_state = 11, .external_lex_state = 7},
  [77] = {.lex_state = 11, .external_lex_state = 7},
  [78] = {.lex_state = 11, .external_lex_state = 7},
  [79] = {.lex_state = 11, .external_lex_state = 7},
  [80] = {.lex_state = 11, .external_lex_state = 7},
  [81] = {.lex_state = 11, .external_lex_state = 7},
  [82] = {.lex_state = 11, .external_lex_state = 7},
  [83] = {.lex_state = 11, .external_lex_state = 7},
  [84] = {.lex_state = 11, .external_lex_state = 7},
  [85] = {.lex_state = 11, .external_lex_state = 7},
  [86] = {.lex_state = 11, .external_lex_state = 7},
  [87] = {.lex_state = 11, .external_lex_state = 7},
  [88] = {.lex_state = 11, .external_lex_state = 7},
  [89] = {.lex_state = 11, .external_lex_state = 7},
  [90] = {.lex_state = 11, .external_lex_state = 7},
  [91] = {.lex_state = 11, .external_lex_state = 7},
  [92] = {.lex_state = 11, .external_lex_state = 7},
  [93] = {.lex_state = 11, .external_lex_state = 7},
  [94] = {.lex_state = 11, .external_lex_state = 7},
  [95] = {.lex_state = 11, .external_lex_state = 7},
  [96] = {.lex_state = 11, .external_lex_state = 7},
  [97] = {.lex_state = 11, .external_lex_state = 7},
  [98] = {.lex_state = 11, .external_lex_state = 7},
  [99] = {.lex_state = 11, .external_lex_state = 7},
  [100] = {.lex_state = 11, .external_lex_state = 7},
  [101] = {.lex_state = 11, .external_lex_state = 7},
  [102] = {.lex_state = 11, .external_lex_state = 7},
  [103] = {.lex_state = 11, .external_lex_state = 7},
  [104] = {.lex_state = 11, .external_lex_state = 7},
  [105] = {.lex_state = 11, .external_lex_state = 7},
  [106] = {.lex_state = 11, .external_lex_state = 7},
  [107] = {.lex_state = 11, .external_lex_state = 7},
  [108] = {.lex_state = 11, .external_lex_state = 7},
  [109] = {.lex_state = 11, .external_lex_state = 7},
  [110] = {.lex_state = 11, .external_lex_state = 7},
  [111] = {.lex_state = 11, .external_lex_state = 7},
  [112] = {.lex_state = 11, .external_lex_state = 7},
  [113] = {.lex_state = 11, .external_lex_state = 7},
  [114] = {.lex_state = 11, .external_lex_state = 7},
  [115] = {.lex_state = 11, .external_lex_state = 7},
  [116] = {.lex_state = 11, .external_lex_state = 7},
  [117] = {.lex_state = 11, .external_lex_state = 7},
  [118] = {.lex_state = 11, .external_lex_state = 7},
  [119] = {.lex_state = 11, .external_lex_state = 7},
  [120] = {.lex_state = 11, .external_lex_state = 7},
  [121] = {.lex_state = 11, .external_lex_state = 7},
  [122] = {.lex_state = 11, .external_lex_state = 7},
  [123] = {.lex_state = 11, .external_lex_state = 7},
  [124] = {.lex_state = 11, .external_lex_state = 7},
  [125] = {.lex_state = 11, .external_lex_state = 7},
  [126] = {.lex_state = 11, .external_lex_state = 7},
  [127] = {.lex_state = 11, .external_lex_state = 7},
  [128] = {.lex_state = 11, .external_lex_state = 7},
  [129] = {.lex_state = 11, .external_lex_state = 7},
  [130] = {.lex_state = 11, .external_lex_state = 7},
  [131] = {.lex_state = 11, .external_lex_state = 7},
  [132] = {.lex_state = 11, .external_lex_state = 7},
  [133] = {.lex_state = 11, .external_lex_state = 7},
  [134] = {.lex_state = 11, .external_lex_state = 7},
  [135] = {.lex_state = 11, .external_lex_state = 7},
  [136] = {.lex_state = 11, .external_lex_state = 7},
  [137] = {.lex_state = 11, .external_lex_state = 7},
  [138] = {.lex_state = 11, .external_lex_state = 7},
  [139] = {.lex_state = 11, .external_lex_state = 7},
  [140] = {.lex_state = 11, .external_lex_state = 7},
  [141] = {.lex_state = 11, .external_lex_state = 7},
  [142] = {.lex_state = 11, .external_lex_state = 7},
  [143] = {.lex_state = 11, .external_lex_state = 7},
  [144] = {.lex_state = 11, .external_lex_state = 7},
  [145] = {.lex_state = 11, .external_lex_state = 7},
  [146] = {.lex_state = 11, .external_lex_state = 7},
  [147] = {.lex_state = 11, .external_lex_state = 7},
  [148] = {.lex_state = 11, .external_lex_state = 7},
  [149] = {.lex_state = 11, .external_lex_state = 7},
  [150] = {.lex_state = 11, .external_lex_state = 7},
  [151] = {.lex_state = 11, .external_lex_state = 7},
  [152] = {.lex_state = 11, .external_lex_state = 7},
  [153] = {.lex_state = 11, .external_lex_state = 7},
  [154] = {.lex_state = 11, .external_lex_state = 7},
  [155] = {.lex_state = 11, .external_lex_state = 7},
  [156] = {.lex_state = 11, .external_lex_state = 7},
  [157] = {.lex_state = 11, .external_lex_state = 7},
  [158] = {.lex_state = 11, .external_lex_state = 7},
  [159] = {.lex_state = 11, .external_lex_state = 7},
  [160] = {.lex_state = 11, .external_lex_state = 7},
  [161] = {.lex_state = 11, .external_lex_state = 7},
  [162] = {.lex_state = 11, .external_lex_state = 7},
  [163] = {.lex_state = 11, .external_lex_state = 7},
  [164] = {.lex_state = 11, .external_lex_state = 7},
  [165] = {.lex_state = 11, .external_lex_state = 7},
  [166] = {.lex_state = 11, .external_lex_state = 7},
  [167] = {.lex_state = 11, .external_lex_state = 7},
  [168] = {.lex_state = 11, .external_lex_state = 7},
  [169] = {.lex_state = 11, .external_lex_state = 7},
  [170] = {.lex_state = 11, .external_lex_state = 7},
  [171] = {.lex_state = 11, .external_lex_state = 7},
  [172] = {.lex_state = 11, .external_lex_state = 7},
  [173] = {.lex_state = 11, .external_lex_state = 7},
  [174] = {.lex_state = 11, .external_lex_state = 7},
  [175] = {.lex_state = 11, .external_lex_state = 7},
  [176] = {.lex_state = 11, .external_lex_state = 7},
  [177] = {.lex_state = 11, .external_lex_state = 7},
  [178] = {.lex_state = 11, .external_lex_state = 7},
  [179] = {.lex_state = 11, .external_lex_state = 7},
  [180] = {.lex_state = 11, .external_lex_state = 7},
  [181] = {.lex_state = 11, .external_lex_state = 7},
  [182] = {.lex_state = 11, .external_lex_state = 7},
  [183] = {.lex_state = 11, .external_lex_state = 7},
  [184] = {.lex_state = 11, .external_lex_state = 7},
  [185] = {.lex_state = 11, .external_lex_state = 7},
  [186] = {.lex_state = 11, .external_lex_state = 7},
  [187] = {.lex_state = 11, .external_lex_state = 7},
  [188] = {.lex_state = 11, .external_lex_state = 7},
  [189] = {.lex_state = 11, .external_lex_state = 7},
  [190] = {.lex_state = 11, .external_lex_state = 7},
  [191] = {.lex_state = 11, .external_lex_state = 7},
  [192] = {.lex_state = 11, .external_lex_state = 7},
  [193] = {.lex_state = 11, .external_lex_state = 7},
  [194] = {.lex_state = 11, .external_lex_state = 7},
  [195] = {.lex_state = 11, .external_lex_state = 7},
  [196] = {.lex_state = 11, .external_lex_state = 7},
  [197] = {.lex_state = 11, .external_lex_state = 7},
  [198] = {.lex_state = 11, .external_lex_state = 7},
  [199] = {.lex_state = 11, .external_lex_state = 7},
  [200] = {.lex_state = 11, .external_lex_state = 7},
  [201] = {.lex_state = 11, .external_lex_state = 7},
  [202] = {.lex_state = 11, .external_lex_state = 7},
  [203] = {.lex_state = 11, .external_lex_state = 7},
  [204] = {.lex_state = 11, .external_lex_state = 7},
  [205] = {.lex_state = 11, .external_lex_state = 7},
  [206] = {.lex_state = 11, .external_lex_state = 7},
  [207] = {.lex_state = 11, .external_lex_state = 7},
  [208] = {.lex_state = 11, .external_lex_state = 7},
  [209] = {.lex_state = 11, .external_lex_state = 7},
  [210] = {.lex_state = 11, .external_lex_state = 7},
  [211] = {.lex_state = 11, .external_lex_state = 7},
  [212] = {.lex_state = 11, .external_lex_state = 7},
  [213] = {.lex_state = 11, .external_lex_state = 7},
  [214] = {.lex_state = 11, .external_lex_state = 7},
  [215] = {.lex_state = 11, .external_lex_state = 7},
  [216] = {.lex_state = 11, .external_lex_state = 7},
  [217] = {.lex_state = 11, .external_lex_state = 7},
  [218] = {.lex_state = 11, .external_lex_state = 7},
  [219] = {.lex_state = 11, .external_lex_state = 7},
  [220] = {.lex_state = 11, .external_lex_state = 7},
  [221] = {.lex_state = 11, .external_lex_state = 7},
  [222] = {.lex_state = 11, .external_lex_state = 7},
  [223] = {.lex_state = 11, .external_lex_state = 7},
  [224] = {.lex_state = 11, .external_lex_state = 7},
  [225] = {.lex_state = 11, .external_lex_state = 7},
  [226] = {.lex_state = 11, .external_lex_state = 7},
  [227] = {.lex_state = 11, .external_lex_state = 7},
  [228] = {.lex_state = 11, .external_lex_state = 7},
  [229] = {.lex_state = 11, .external_lex_state = 7},
  [230] = {.lex_state = 11, .external_lex_state = 7},
  [231] = {.lex_state = 11, .external_lex_state = 7},
  [232] = {.lex_state = 11, .external_lex_state = 7},
  [233] = {.lex_state = 11, .external_lex_state = 7},
  [234] = {.lex_state = 11, .external_lex_state = 7},
  [235] = {.lex_state = 11, .external_lex_state = 7},
  [236] = {.lex_state = 11, .external_lex_state = 7},
  [237] = {.lex_state = 11, .external_lex_state = 7},
  [238] = {.lex_state = 11, .external_lex_state = 7},
  [239] = {.lex_state = 11, .external_lex_state = 7},
  [240] = {.lex_state = 11, .external_lex_state = 7},
  [241] = {.lex_state = 11, .external_lex_state = 7},
  [242] = {.lex_state = 11, .external_lex_state = 7},
  [243] = {.lex_state = 11, .external_lex_state = 7},
  [244] = {.lex_state = 11, .external_lex_state = 7},
  [245] = {.lex_state = 11, .external_lex_state = 7},
  [246] = {.lex_state = 11, .external_lex_state = 7},
  [247] = {.lex_state = 11, .external_lex_state = 7},
  [248] = {.lex_state = 11, .external_lex_state = 7},
  [249] = {.lex_state = 11, .external_lex_state = 7},
  [250] = {.lex_state = 11, .external_lex_state = 7},
  [251] = {.lex_state = 11, .external_lex_state = 7},
  [252] = {.lex_state = 11, .external_lex_state = 7},
  [253] = {.lex_state = 11, .external_lex_state = 7},
  [254] = {.lex_state = 11, .external_lex_state = 7},
  [255] = {.lex_state = 11, .external_lex_state = 7},
  [256] = {.lex_state = 11, .external_lex_state = 7},
  [257] = {.lex_state = 11, .external_lex_state = 7},
  [258] = {.lex_state = 11, .external_lex_state = 7},
  [259] = {.lex_state = 11, .external_lex_state = 7},
  [260] = {.lex_state = 11, .external_lex_state = 7},
  [261] = {.lex_state = 11, .external_lex_state = 7},
  [262] = {.lex_state = 11, .external_lex_state = 7},
  [263] = {.lex_state = 11, .external_lex_state = 7},
  [264] = {.lex_state = 11, .external_lex_state = 7},
  [265] = {.lex_state = 11, .external_lex_state = 7},
  [266] = {.lex_state = 11, .external_lex_state = 7},
  [267] = {.lex_state = 11, .external_lex_state = 7},
  [268] = {.lex_state = 11, .external_lex_state = 7},
  [269] = {.lex_state = 11, .external_lex_state = 7},
  [270] = {.lex_state = 11, .external_lex_state = 7},
  [271] = {.lex_state = 11, .external_lex_state = 7},
  [272] = {.lex_state = 11, .external_lex_state = 7},
  [273] = {.lex_state = 11, .external_lex_state = 7},
  [274] = {.lex_state = 11, .external_lex_state = 7},
  [275] = {.lex_state = 11, .external_lex_state = 7},
  [276] = {.lex_state = 11, .external_lex_state = 7},
  [277] = {.lex_state = 11, .external_lex_state = 7},
  [278] = {.lex_state = 11, .external_lex_state = 7},
  [279] = {.lex_state = 11, .external_lex_state = 7},
  [280] = {.lex_state = 11, .external_lex_state = 7},
  [281] = {.lex_state = 11, .external_lex_state = 7},
  [282] = {.lex_state = 11, .external_lex_state = 7},
  [283] = {.lex_state = 11, .external_lex_state = 7},
  [284] = {.lex_state = 11, .external_lex_state = 7},
  [285] = {.lex_state = 11, .external_lex_state = 7},
  [286] = {.lex_state = 11, .external_lex_state = 7},
  [287] = {.lex_state = 11, .external_lex_state = 7},
  [288] = {.lex_state = 11, .external_lex_state = 7},
  [289] = {.lex_state = 11, .external_lex_state = 7},
  [290] = {.lex_state = 11, .external_lex_state = 7},
  [291] = {.lex_state = 11, .external_lex_state = 7},
  [292] = {.lex_state = 11, .external_lex_state = 7},
  [293] = {.lex_state = 11, .external_lex_state = 7},
  [294] = {.lex_state = 11, .external_lex_state = 7},
  [295] = {.lex_state = 11, .external_lex_state = 7},
  [296] = {.lex_state = 11, .external_lex_state = 7},
  [297] = {.lex_state = 11, .external_lex_state = 7},
  [298] = {.lex_state = 11, .external_lex_state = 7},
  [299] = {.lex_state = 11, .external_lex_state = 7},
  [300] = {.lex_state = 11, .external_lex_state = 7},
  [301] = {.lex_state = 11, .external_lex_state = 7},
  [302] = {.lex_state = 11, .external_lex_state = 7},
  [303] = {.lex_state = 11, .external_lex_state = 7},
  [304] = {.lex_state = 11, .external_lex_state = 7},
  [305] = {.lex_state = 11, .external_lex_state = 7},
  [306] = {.lex_state = 11, .external_lex_state = 7},
  [307] = {.lex_state = 11, .external_lex_state = 7},
  [308] = {.lex_state = 11, .external_lex_state = 7},
  [309] = {.lex_state = 11, .external_lex_state = 7},
  [310] = {.lex_state = 11, .external_lex_state = 7},
  [311] = {.lex_state = 11, .external_lex_state = 7},
  [312] = {.lex_state = 11, .external_lex_state = 7},
  [313] = {.lex_state = 11, .external_lex_state = 7},
  [314] = {.lex_state = 11, .external_lex_state = 7},
  [315] = {.lex_state = 11, .external_lex_state = 7},
  [316] = {.lex_state = 11, .external_lex_state = 7},
  [317] = {.lex_state = 11, .external_lex_state = 7},
  [318] = {.lex_state = 11, .external_lex_state = 7},
  [319] = {.lex_state = 11, .external_lex_state = 7},
  [320] = {.lex_state = 11, .external_lex_state = 7},
  [321] = {.lex_state = 11, .external_lex_state = 7},
  [322] = {.lex_state = 11, .external_lex_state = 7},
  [323] = {.lex_state = 11, .external_lex_state = 7},
  [324] = {.lex_state = 11, .external_lex_state = 7},
  [325] = {.lex_state = 11, .external_lex_state = 7},
  [326] = {.lex_state = 11, .external_lex_state = 7},
  [327] = {.lex_state = 11, .external_lex_state = 7},
  [328] = {.lex_state = 11, .external_lex_state = 7},
  [329] = {.lex_state = 11, .external_lex_state = 7},
  [330] = {.lex_state = 11, .external_lex_state = 7},
  [331] = {.lex_state = 11, .external_lex_state = 7},
  [332] = {.lex_state = 11, .external_lex_state = 7},
  [333] = {.lex_state = 11, .external_lex_state = 7},
  [334] = {.lex_state = 11, .external_lex_state = 7},
  [335] = {.lex_state = 11, .external_lex_state = 7},
  [336] = {.lex_state = 11, .external_lex_state = 7},
  [337] = {.lex_state = 11, .external_lex_state = 7},
  [338] = {.lex_state = 11, .external_lex_state = 7},
  [339] = {.lex_state = 11, .external_lex_state = 7},
  [340] = {.lex_state = 11, .external_lex_state = 7},
  [341] = {.lex_state = 11, .external_lex_state = 7},
  [342] = {.lex_state = 11, .external_lex_state = 7},
  [343] = {.lex_state = 11, .external_lex_state = 7},
  [344] = {.lex_state = 11, .external_lex_state = 7},
  [345] = {.lex_state = 11, .external_lex_state = 7},
  [346] = {.lex_state = 11, .external_lex_state = 7},
  [347] = {.lex_state = 11, .external_lex_state = 7},
  [348] = {.lex_state = 11, .external_lex_state = 7},
  [349] = {.lex_state = 11, .external_lex_state = 7},
  [350] = {.lex_state = 11, .external_lex_state = 7},
  [351] = {.lex_state = 11, .external_lex_state = 7},
  [352] = {.lex_state = 11, .external_lex_state = 7},
  [353] = {.lex_state = 11, .external_lex_state = 7},
  [354] = {.lex_state = 11, .external_lex_state = 7},
  [355] = {.lex_state = 11, .external_lex_state = 7},
  [356] = {.lex_state = 11, .external_lex_state = 7},
  [357] = {.lex_state = 11, .external_lex_state = 7},
  [358] = {.lex_state = 11, .external_lex_state = 7},
  [359] = {.lex_state = 11, .external_lex_state = 7},
  [360] = {.lex_state = 11, .external_lex_state = 7},
  [361] = {.lex_state = 11, .external_lex_state = 7},
  [362] = {.lex_state = 11, .external_lex_state = 7},
  [363] = {.lex_state = 11, .external_lex_state = 7},
  [364] = {.lex_state = 11, .external_lex_state = 7},
  [365] = {.lex_state = 11, .external_lex_state = 7},
  [366] = {.lex_state = 11, .external_lex_state = 7},
  [367] = {.lex_state = 11, .external_lex_state = 7},
  [368] = {.lex_state = 11, .external_lex_state = 7},
  [369] = {.lex_state = 11, .external_lex_state = 7},
  [370] = {.lex_state = 11, .external_lex_state = 7},
  [371] = {.lex_state = 11, .external_lex_state = 7},
  [372] = {.lex_state = 11, .external_lex_state = 7},
  [373] = {.lex_state = 11, .external_lex_state = 7},
  [374] = {.lex_state = 11, .external_lex_state = 7},
  [375] = {.lex_state = 11, .external_lex_state = 7},
  [376] = {.lex_state = 11, .external_lex_state = 7},
  [377] = {.lex_state = 11, .external_lex_state = 7},
  [378] = {.lex_state = 11, .external_lex_state = 7},
  [379] = {.lex_state = 11, .external_lex_state = 7},
  [380] = {.lex_state = 11, .external_lex_state = 7},
  [381] = {.lex_state = 11, .external_lex_state = 7},
  [382] = {.lex_state = 11, .external_lex_state = 7},
  [383] = {.lex_state = 11, .external_lex_state = 7},
  [384] = {.lex_state = 11, .external_lex_state = 7},
  [385] = {.lex_state = 11, .external_lex_state = 7},
  [386] = {.lex_state = 11, .external_lex_state = 7},
  [387] = {.lex_state = 11, .external_lex_state = 7},
  [388] = {.lex_state = 11, .external_lex_state = 7},
  [389] = {.lex_state = 11, .external_lex_state = 7},
  [390] = {.lex_state = 11, .external_lex_state = 7},
  [391] = {.lex_state = 11, .external_lex_state = 7},
  [392] = {.lex_state = 11, .external_lex_state = 7},
  [393] = {.lex_state = 11, .external_lex_state = 7},
  [394] = {.lex_state = 11, .external_lex_state = 7},
  [395] = {.lex_state = 11, .external_lex_state = 7},
  [396] = {.lex_state = 11, .external_lex_state = 7},
  [397] = {.lex_state = 11, .external_lex_state = 7},
  [398] = {.lex_state = 11, .external_lex_state = 7},
  [399] = {.lex_state = 11, .external_lex_state = 7},
  [400] = {.lex_state = 11, .external_lex_state = 7},
  [401] = {.lex_state = 11, .external_lex_state = 7},
  [402] = {.lex_state = 11, .external_lex_state = 7},
  [403] = {.lex_state = 11, .external_lex_state = 7},
  [404] = {.lex_state = 11, .external_lex_state = 7},
  [405] = {.lex_state = 11, .external_lex_state = 7},
  [406] = {.lex_state = 11, .external_lex_state = 7},
  [407] = {.lex_state = 11, .external_lex_state = 7},
  [408] = {.lex_state = 11, .external_lex_state = 7},
  [409] = {.lex_state = 11, .external_lex_state = 7},
  [410] = {.lex_state = 11, .external_lex_state = 7},
  [411] = {.lex_state = 11, .external_lex_state = 7},
  [412] = {.lex_state = 11, .external_lex_state = 7},
  [413] = {.lex_state = 11, .external_lex_state = 7},
  [414] = {.lex_state = 11, .external_lex_state = 7},
  [415] = {.lex_state = 11, .external_lex_state = 7},
  [416] = {.lex_state = 11, .external_lex_state = 7},
  [417] = {.lex_state = 11, .external_lex_state = 7},
  [418] = {.lex_state = 11, .external_lex_state = 7},
  [419] = {.lex_state = 11, .external_lex_state = 7},
  [420] = {.lex_state = 11, .external_lex_state = 7},
  [421] = {.lex_state = 11, .external_lex_state = 7},
  [422] = {.lex_state = 11, .external_lex_state = 7},
  [423] = {.lex_state = 11, .external_lex_state = 7},
  [424] = {.lex_state = 11, .external_lex_state = 7},
  [425] = {.lex_state = 11, .external_lex_state = 7},
  [426] = {.lex_state = 11, .external_lex_state = 7},
  [427] = {.lex_state = 11, .external_lex_state = 7},
  [428] = {.lex_state = 11, .external_lex_state = 7},
  [429] = {.lex_state = 11, .external_lex_state = 7},
  [430] = {.lex_state = 11, .external_lex_state = 7},
  [431] = {.lex_state = 11, .external_lex_state = 7},
  [432] = {.lex_state = 11, .external_lex_state = 7},
  [433] = {.lex_state = 11, .external_lex_state = 7},
  [434] = {.lex_state = 11, .external_lex_state = 7},
  [435] = {.lex_state = 11, .external_lex_state = 7},
  [436] = {.lex_state = 11, .external_lex_state = 7},
  [437] = {.lex_state = 11, .external_lex_state = 7},
  [438] = {.lex_state = 11, .external_lex_state = 7},
  [439] = {.lex_state = 11, .external_lex_state = 7},
  [440] = {.lex_state = 11, .external_lex_state = 7},
  [441] = {.lex_state = 11, .external_lex_state = 7},
  [442] = {.lex_state = 11, .external_lex_state = 7},
  [443] = {.lex_state = 11, .external_lex_state = 7},
  [444] = {.lex_state = 11, .external_lex_state = 7},
  [445] = {.lex_state = 11, .external_lex_state = 7},
  [446] = {.lex_state = 11, .external_lex_state = 7},
  [447] = {.lex_state = 11, .external_lex_state = 7},
  [448] = {.lex_state = 11, .external_lex_state = 7},
  [449] = {.lex_state = 11, .external_lex_state = 7},
  [450] = {.lex_state = 11, .external_lex_state = 7},
  [451] = {.lex_state = 11, .external_lex_state = 7},
  [452] = {.lex_state = 11, .external_lex_state = 7},
  [453] = {.lex_state = 11, .external_lex_state = 7},
  [454] = {.lex_state = 11, .external_lex_state = 7},
  [455] = {.lex_state = 11, .external_lex_state = 7},
  [456] = {.lex_state = 11, .external_lex_state = 7},
  [457] = {.lex_state = 11, .external_lex_state = 7},
  [458] = {.lex_state = 11, .external_lex_state = 7},
  [459] = {.lex_state = 11, .external_lex_state = 7},
  [460] = {.lex_state = 11, .external_lex_state = 7},
  [461] = {.lex_state = 11, .external_lex_state = 7},
  [462] = {.lex_state = 11, .external_lex_state = 7},
  [463] = {.lex_state = 11, .external_lex_state = 7},
  [464] = {.lex_state = 11, .external_lex_state = 7},
  [465] = {.lex_state = 11, .external_lex_state = 7},
  [466] = {.lex_state = 11, .external_lex_state = 7},
  [467] = {.lex_state = 11, .external_lex_state = 7},
  [468] = {.lex_state = 11, .external_lex_state = 7},
  [469] = {.lex_state = 11, .external_lex_state = 7},
  [470] = {.lex_state = 11, .external_lex_state = 7},
  [471] = {.lex_state = 11, .external_lex_state = 7},
  [472] = {.lex_state = 11, .external_lex_state = 7},
  [473] = {.lex_state = 11, .external_lex_state = 7},
  [474] = {.lex_state = 11, .external_lex_state = 7},
  [475] = {.lex_state = 11, .external_lex_state = 7},
  [476] = {.lex_state = 11, .external_lex_state = 7},
  [477] = {.lex_state = 11, .external_lex_state = 7},
  [478] = {.lex_state = 11, .external_lex_state = 7},
  [479] = {.lex_state = 11, .external_lex_state = 7},
  [480] = {.lex_state = 11, .external_lex_state = 7},
  [481] = {.lex_state = 11, .external_lex_state = 7},
  [482] = {.lex_state = 11, .external_lex_state = 7},
  [483] = {.lex_state = 11, .external_lex_state = 7},
  [484] = {.lex_state = 11, .external_lex_state = 7},
  [485] = {.lex_state = 11, .external_lex_state = 7},
  [486] = {.lex_state = 11, .external_lex_state = 7},
  [487] = {.lex_state = 11, .external_lex_state = 7},
  [488] = {.lex_state = 11, .external_lex_state = 7},
  [489] = {.lex_state = 11, .external_lex_state = 7},
  [490] = {.lex_state = 11, .external_lex_state = 7},
  [491] = {.lex_state = 11, .external_lex_state = 7},
  [492] = {.lex_state = 11, .external_lex_state = 7},
  [493] = {.lex_state = 11, .external_lex_state = 7},
  [494] = {.lex_state = 11, .external_lex_state = 7},
  [495] = {.lex_state = 11, .external_lex_state = 7},
  [496] = {.lex_state = 11, .external_lex_state = 7},
  [497] = {.lex_state = 11, .external_lex_state = 7},
  [498] = {.lex_state = 11, .external_lex_state = 7},
  [499] = {.lex_state = 11, .external_lex_state = 7},
  [500] = {.lex_state = 11, .external_lex_state = 7},
  [501] = {.lex_state = 11, .external_lex_state = 7},
  [502] = {.lex_state = 11, .external_lex_state = 7},
  [503] = {.lex_state = 11, .external_lex_state = 7},
  [504] = {.lex_state = 11, .external_lex_state = 7},
  [505] = {.lex_state = 11, .external_lex_state = 7},
  [506] = {.lex_state = 11, .external_lex_state = 7},
  [507] = {.lex_state = 11, .external_lex_state = 7},
  [508] = {.lex_state = 11, .external_lex_state = 7},
  [509] = {.lex_state = 11, .external_lex_state = 7},
  [510] = {.lex_state = 11, .external_lex_state = 7},
  [511] = {.lex_state = 11, .external_lex_state = 7},
  [512] = {.lex_state = 11, .external_lex_state = 7},
  [513] = {.lex_state = 11, .external_lex_state = 7},
  [514] = {.lex_state = 11, .external_lex_state = 7},
  [515] = {.lex_state = 11, .external_lex_state = 7},
  [516] = {.lex_state = 11, .external_lex_state = 7},
  [517] = {.lex_state = 11, .external_lex_state = 7},
  [518] = {.lex_state = 11, .external_lex_state = 7},
  [519] = {.lex_state = 11, .external_lex_state = 7},
  [520] = {.lex_state = 11, .external_lex_state = 7},
  [521] = {.lex_state = 11, .external_lex_state = 7},
  [522] = {.lex_state = 11, .external_lex_state = 7},
  [523] = {.lex_state = 11, .external_lex_state = 7},
  [524] = {.lex_state = 11, .external_lex_state = 7},
  [525] = {.lex_state = 11, .external_lex_state = 7},
  [526] = {.lex_state = 11, .external_lex_state = 7},
  [527] = {.lex_state = 11, .external_lex_state = 7},
  [528] = {.lex_state = 11, .external_lex_state = 7},
  [529] = {.lex_state = 11, .external_lex_state = 7},
  [530] = {.lex_state = 11, .external_lex_state = 7},
  [531] = {.lex_state = 11, .external_lex_state = 7},
  [532] = {.lex_state = 11, .external_lex_state = 7},
  [533] = {.lex_state = 11, .external_lex_state = 7},
  [534] = {.lex_state = 11, .external_lex_state = 7},
  [535] = {.lex_state = 11, .external_lex_state = 7},
  [536] = {.lex_state = 11, .external_lex_state = 7},
  [537] = {.lex_state = 11, .external_lex_state = 7},
  [538] = {.lex_state = 11, .external_lex_state = 7},
  [539] = {.lex_state = 11, .external_lex_state = 7},
  [540] = {.lex_state = 11, .external_lex_state = 7},
  [541] = {.lex_state = 11, .external_lex_state = 7},
  [542] = {.lex_state = 11, .external_lex_state = 7},
  [543] = {.lex_state = 11, .external_lex_state = 7},
  [544] = {.lex_state = 11, .external_lex_state = 7},
  [545] = {.lex_state = 11, .external_lex_state = 7},
  [546] = {.lex_state = 11, .external_lex_state = 7},
  [547] = {.lex_state = 11, .external_lex_state = 7},
  [548] = {.lex_state = 11, .external_lex_state = 7},
  [549] = {.lex_state = 11, .external_lex_state = 7},
  [550] = {.lex_state = 11, .external_lex_state = 7},
  [551] = {.lex_state = 11, .external_lex_state = 7},
  [552] = {.lex_state = 11, .external_lex_state = 7},
  [553] = {.lex_state = 11, .external_lex_state = 7},
  [554] = {.lex_state = 11, .external_lex_state = 7},
  [555] = {.lex_state = 11, .external_lex_state = 7},
  [556] = {.lex_state = 11, .external_lex_state = 7},
  [557] = {.lex_state = 11, .external_lex_state = 7},
  [558] = {.lex_state = 11, .external_lex_state = 7},
  [559] = {.lex_state = 11, .external_lex_state = 7},
  [560] = {.lex_state = 11, .external_lex_state = 7},
  [561] = {.lex_state = 11, .external_lex_state = 7},
  [562] = {.lex_state = 11, .external_lex_state = 7},
  [563] = {.lex_state = 11, .external_lex_state = 7},
  [564] = {.lex_state = 11, .external_lex_state = 7},
  [565] = {.lex_state = 11, .external_lex_state = 7},
  [566] = {.lex_state = 11, .external_lex_state = 7},
  [567] = {.lex_state = 11, .external_lex_state = 7},
  [568] = {.lex_state = 11, .external_lex_state = 7},
  [569] = {.lex_state = 11, .external_lex_state = 7},
  [570] = {.lex_state = 11, .external_lex_state = 7},
  [571] = {.lex_state = 11, .external_lex_state = 7},
  [572] = {.lex_state = 11, .external_lex_state = 7},
  [573] = {.lex_state = 11, .external_lex_state = 7},
  [574] = {.lex_state = 11, .external_lex_state = 7},
  [575] = {.lex_state = 11, .external_lex_state = 7},
  [576] = {.lex_state = 11, .external_lex_state = 7},
  [577] = {.lex_state = 11, .external_lex_state = 7},
  [578] = {.lex_state = 11, .external_lex_state = 7},
  [579] = {.lex_state = 11, .external_lex_state = 7},
  [580] = {.lex_state = 11, .external_lex_state = 7},
  [581] = {.lex_state = 11, .external_lex_state = 7},
  [582] = {.lex_state = 11, .external_lex_state = 7},
  [583] = {.lex_state = 11, .external_lex_state = 7},
  [584] = {.lex_state = 11, .external_lex_state = 7},
  [585] = {.lex_state = 11, .external_lex_state = 7},
  [586] = {.lex_state = 11, .external_lex_state = 7},
  [587] = {.lex_state = 11, .external_lex_state = 7},
  [588] = {.lex_state = 11, .external_lex_state = 7},
  [589] = {.lex_state = 11, .external_lex_state = 7},
  [590] = {.lex_state = 11, .external_lex_state = 7},
  [591] = {.lex_state = 11, .external_lex_state = 7},
  [592] = {.lex_state = 11, .external_lex_state = 7},
  [593] = {.lex_state = 11, .external_lex_state = 7},
  [594] = {.lex_state = 11, .external_lex_state = 7},
  [595] = {.lex_state = 11, .external_lex_state = 7},
  [596] = {.lex_state = 11, .external_lex_state = 7},
  [597] = {.lex_state = 11, .external_lex_state = 7},
  [598] = {.lex_state = 11, .external_lex_state = 7},
  [599] = {.lex_state = 11, .external_lex_state = 7},
  [600] = {.lex_state = 11, .external_lex_state = 7},
  [601] = {.lex_state = 11, .external_lex_state = 7},
  [602] = {.lex_state = 11, .external_lex_state = 7},
  [603] = {.lex_state = 11, .external_lex_state = 7},
  [604] = {.lex_state = 11, .external_lex_state = 7},
  [605] = {.lex_state = 11, .external_lex_state = 7},
  [606] = {.lex_state = 11, .external_lex_state = 7},
  [607] = {.lex_state = 11, .external_lex_state = 7},
  [608] = {.lex_state = 11, .external_lex_state = 7},
  [609] = {.lex_state = 11, .external_lex_state = 7},
  [610] = {.lex_state = 11, .external_lex_state = 7},
  [611] = {.lex_state = 11, .external_lex_state = 7},
  [612] = {.lex_state = 11, .external_lex_state = 7},
  [613] = {.lex_state = 11, .external_lex_state = 7},
  [614] = {.lex_state = 11, .external_lex_state = 7},
  [615] = {.lex_state = 11, .external_lex_state = 7},
  [616] = {.lex_state = 11, .external_lex_state = 7},
  [617] = {.lex_state = 11, .external_lex_state = 7},
  [618] = {.lex_state = 11, .external_lex_state = 7},
  [619] = {.lex_state = 11, .external_lex_state = 7},
  [620] = {.lex_state = 11, .external_lex_state = 7},
  [621] = {.lex_state = 11, .external_lex_state = 7},
  [622] = {.lex_state = 11, .external_lex_state = 7},
  [623] = {.lex_state = 11, .external_lex_state = 7},
  [624] = {.lex_state = 11, .external_lex_state = 7},
  [625] = {.lex_state = 11, .external_lex_state = 7},
  [626] = {.lex_state = 11, .external_lex_state = 7},
  [627] = {.lex_state = 11, .external_lex_state = 7},
  [628] = {.lex_state = 11, .external_lex_state = 7},
  [629] = {.lex_state = 11, .external_lex_state = 7},
  [630] = {.lex_state = 11, .external_lex_state = 7},
  [631] = {.lex_state = 11, .external_lex_state = 7},
  [632] = {.lex_state = 11, .external_lex_state = 7},
  [633] = {.lex_state = 11, .external_lex_state = 7},
  [634] = {.lex_state = 11, .external_lex_state = 7},
  [635] = {.lex_state = 11, .external_lex_state = 7},
  [636] = {.lex_state = 11, .external_lex_state = 7},
  [637] = {.lex_state = 11, .external_lex_state = 7},
  [638] = {.lex_state = 11, .external_lex_state = 7},
  [639] = {.lex_state = 11, .external_lex_state = 7},
  [640] = {.lex_state = 11, .external_lex_state = 7},
  [641] = {.lex_state = 11, .external_lex_state = 7},
  [642] = {.lex_state = 11, .external_lex_state = 7},
  [643] = {.lex_state = 11, .external_lex_state = 7},
  [644] = {.lex_state = 11, .external_lex_state = 7},
  [645] = {.lex_state = 11, .external_lex_state = 7},
  [646] = {.lex_state = 11, .external_lex_state = 7},
  [647] = {.lex_state = 11, .external_lex_state = 7},
  [648] = {.lex_state = 11, .external_lex_state = 7},
  [649] = {.lex_state = 11, .external_lex_state = 7},
  [650] = {.lex_state = 11, .external_lex_state = 7},
  [651] = {.lex_state = 11, .external_lex_state = 7},
  [652] = {.lex_state = 11, .external_lex_state = 7},
  [653] = {.lex_state = 11, .external_lex_state = 7},
  [654] = {.lex_state = 11, .external_lex_state = 7},
  [655] = {.lex_state = 11, .external_lex_state = 7},
  [656] = {.lex_state = 11, .external_lex_state = 7},
  [657] = {.lex_state = 11, .external_lex_state = 7},
  [658] = {.lex_state = 11, .external_lex_state = 7},
  [659] = {.lex_state = 11, .external_lex_state = 7},
  [660] = {.lex_state = 11, .external_lex_state = 7},
  [661] = {.lex_state = 11, .external_lex_state = 7},
  [662] = {.lex_state = 11, .external_lex_state = 7},
  [663] = {.lex_state = 11, .external_lex_state = 7},
  [664] = {.lex_state = 11, .external_lex_state = 7},
  [665] = {.lex_state = 11, .external_lex_state = 7},
  [666] = {.lex_state = 11, .external_lex_state = 7},
  [667] = {.lex_state = 11, .external_lex_state = 7},
  [668] = {.lex_state = 11, .external_lex_state = 7},
  [669] = {.lex_state = 11, .external_lex_state = 7},
  [670] = {.lex_state = 11, .external_lex_state = 7},
  [671] = {.lex_state = 11, .external_lex_state = 7},
  [672] = {.lex_state = 11, .external_lex_state = 7},
  [673] = {.lex_state = 11, .external_lex_state = 7},
  [674] = {.lex_state = 11, .external_lex_state = 7},
  [675] = {.lex_state = 11, .external_lex_state = 7},
  [676] = {.lex_state = 11, .external_lex_state = 7},
  [677] = {.lex_state = 11, .external_lex_state = 7},
  [678] = {.lex_state = 11, .external_lex_state = 7},
  [679] = {.lex_state = 11, .external_lex_state = 7},
  [680] = {.lex_state = 11, .external_lex_state = 7},
  [681] = {.lex_state = 11, .external_lex_state = 7},
  [682] = {.lex_state = 11, .external_lex_state = 7},
  [683] = {.lex_state = 11, .external_lex_state = 7},
  [684] = {.lex_state = 11, .external_lex_state = 7},
  [685] = {.lex_state = 11, .external_lex_state = 7},
  [686] = {.lex_state = 11, .external_lex_state = 7},
  [687] = {.lex_state = 11, .external_lex_state = 7},
  [688] = {.lex_state = 11, .external_lex_state = 7},
  [689] = {.lex_state = 11, .external_lex_state = 7},
  [690] = {.lex_state = 11, .external_lex_state = 7},
  [691] = {.lex_state = 11, .external_lex_state = 7},
  [692] = {.lex_state = 11, .external_lex_state = 7},
  [693] = {.lex_state = 11, .external_lex_state = 7},
  [694] = {.lex_state = 11, .external_lex_state = 7},
  [695] = {.lex_state = 11, .external_lex_state = 7},
  [696] = {.lex_state = 11, .external_lex_state = 7},
  [697] = {.lex_state = 11, .external_lex_state = 7},
  [698] = {.lex_state = 11, .external_lex_state = 7},
  [699] = {.lex_state = 11, .external_lex_state = 7},
  [700] = {.lex_state = 11, .external_lex_state = 7},
  [701] = {.lex_state = 11, .external_lex_state = 7},
  [702] = {.lex_state = 11, .external_lex_state = 7},
  [703] = {.lex_state = 11, .external_lex_state = 7},
  [704] = {.lex_state = 11, .external_lex_state = 7},
  [705] = {.lex_state = 11, .external_lex_state = 7},
  [706] = {.lex_state = 11, .external_lex_state = 7},
  [707] = {.lex_state = 11, .external_lex_state = 7},
  [708] = {.lex_state = 11, .external_lex_state = 7},
  [709] = {.lex_state = 11, .external_lex_state = 7},
  [710] = {.lex_state = 11, .external_lex_state = 7},
  [711] = {.lex_state = 11, .external_lex_state = 7},
  [712] = {.lex_state = 11, .external_lex_state = 7},
  [713] = {.lex_state = 11, .external_lex_state = 7},
  [714] = {.lex_state = 11, .external_lex_state = 7},
  [715] = {.lex_state = 11, .external_lex_state = 7},
  [716] = {.lex_state = 11, .external_lex_state = 7},
  [717] = {.lex_state = 11, .external_lex_state = 7},
  [718] = {.lex_state = 11, .external_lex_state = 7},
  [719] = {.lex_state = 11, .external_lex_state = 7},
  [720] = {.lex_state = 11, .external_lex_state = 7},
  [721] = {.lex_state = 11, .external_lex_state = 7},
  [722] = {.lex_state = 11, .external_lex_state = 7},
  [723] = {.lex_state = 11, .external_lex_state = 7},
  [724] = {.lex_state = 11, .external_lex_state = 7},
  [725] = {.lex_state = 11, .external_lex_state = 7},
  [726] = {.lex_state = 11, .external_lex_state = 7},
  [727] = {.lex_state = 11, .external_lex_state = 7},
  [728] = {.lex_state = 11, .external_lex_state = 7},
  [729] = {.lex_state = 11, .external_lex_state = 7},
  [730] = {.lex_state = 11, .external_lex_state = 7},
  [731] = {.lex_state = 11, .external_lex_state = 7},
  [732] = {.lex_state = 11, .external_lex_state = 7},
  [733] = {.lex_state = 11, .external_lex_state = 7},
  [734] = {.lex_state = 11, .external_lex_state = 7},
  [735] = {.lex_state = 11, .external_lex_state = 7},
  [736] = {.lex_state = 11, .external_lex_state = 7},
  [737] = {.lex_state = 11, .external_lex_state = 7},
  [738] = {.lex_state = 11, .external_lex_state = 7},
  [739] = {.lex_state = 11, .external_lex_state = 7},
  [740] = {.lex_state = 11, .external_lex_state = 7},
  [741] = {.lex_state = 11, .external_lex_state = 7},
  [742] = {.lex_state = 11, .external_lex_state = 7},
  [743] = {.lex_state = 11, .external_lex_state = 7},
  [744] = {.lex_state = 11, .external_lex_state = 7},
  [745] = {.lex_state = 11, .external_lex_state = 7},
  [746] = {.lex_state = 11, .external_lex_state = 7},
  [747] = {.lex_state = 11, .external_lex_state = 7},
  [748] = {.lex_state = 11, .external_lex_state = 7},
  [749] = {.lex_state = 11, .external_lex_state = 7},
  [750] = {.lex_state = 11, .external_lex_state = 7},
  [751] = {.lex_state = 11, .external_lex_state = 7},
  [752] = {.lex_state = 11, .external_lex_state = 7},
  [753] = {.lex_state = 11, .external_lex_state = 7},
  [754] = {.lex_state = 11, .external_lex_state = 7},
  [755] = {.lex_state = 11, .external_lex_state = 7},
  [756] = {.lex_state = 11, .external_lex_state = 7},
  [757] = {.lex_state = 11, .external_lex_state = 7},
  [758] = {.lex_state = 11, .external_lex_state = 7},
  [759] = {.lex_state = 11, .external_lex_state = 7},
  [760] = {.lex_state = 11, .external_lex_state = 7},
  [761] = {.lex_state = 11, .external_lex_state = 7},
  [762] = {.lex_state = 11, .external_lex_state = 7},
  [763] = {.lex_state = 11, .external_lex_state = 7},
  [764] = {.lex_state = 11, .external_lex_state = 7},
  [765] = {.lex_state = 11, .external_lex_state = 7},
  [766] = {.lex_state = 11, .external_lex_state = 7},
  [767] = {.lex_state = 11, .external_lex_state = 7},
  [768] = {.lex_state = 11, .external_lex_state = 7},
  [769] = {.lex_state = 11, .external_lex_state = 7},
  [770] = {.lex_state = 11, .external_lex_state = 7},
  [771] = {.lex_state = 11, .external_lex_state = 7},
  [772] = {.lex_state = 11, .external_lex_state = 7},
  [773] = {.lex_state = 11, .external_lex_state = 7},
  [774] = {.lex_state = 11, .external_lex_state = 7},
  [775] = {.lex_state = 11, .external_lex_state = 7},
  [776] = {.lex_state = 11, .external_lex_state = 7},
  [777] = {.lex_state = 11, .external_lex_state = 7},
  [778] = {.lex_state = 11, .external_lex_state = 7},
  [779] = {.lex_state = 11, .external_lex_state = 7},
  [780] = {.lex_state = 11, .external_lex_state = 7},
  [781] = {.lex_state = 11, .external_lex_state = 7},
  [782] = {.lex_state = 11, .external_lex_state = 7},
  [783] = {.lex_state = 11, .external_lex_state = 7},
  [784] = {.lex_state = 11, .external_lex_state = 7},
  [785] = {.lex_state = 11, .external_lex_state = 7},
  [786] = {.lex_state = 11, .external_lex_state = 7},
  [787] = {.lex_state = 11, .external_lex_state = 7},
  [788] = {.lex_state = 11, .external_lex_state = 7},
  [789] = {.lex_state = 11, .external_lex_state = 7},
  [790] = {.lex_state = 11, .external_lex_state = 7},
  [791] = {.lex_state = 11, .external_lex_state = 7},
  [792] = {.lex_state = 11, .external_lex_state = 7},
  [793] = {.lex_state = 11, .external_lex_state = 7},
  [794] = {.lex_state = 11, .external_lex_state = 7},
  [795] = {.lex_state = 11, .external_lex_state = 7},
  [796] = {.lex_state = 11, .external_lex_state = 7},
  [797] = {.lex_state = 11, .external_lex_state = 7},
  [798] = {.lex_state = 11, .external_lex_state = 7},
  [799] = {.lex_state = 11, .external_lex_state = 7},
  [800] = {.lex_state = 11, .external_lex_state = 7},
  [801] = {.lex_state = 11, .external_lex_state = 7},
  [802] = {.lex_state = 11, .external_lex_state = 7},
  [803] = {.lex_state = 11, .external_lex_state = 7},
  [804] = {.lex_state = 11, .external_lex_state = 7},
  [805] = {.lex_state = 11, .external_lex_state = 7},
  [806] = {.lex_state = 11, .external_lex_state = 7},
  [807] = {.lex_state = 11, .external_lex_state = 7},
  [808] = {.lex_state = 11, .external_lex_state = 7},
  [809] = {.lex_state = 41, .external_lex_state = 8},
  [810] = {.lex_state = 41, .external_lex_state = 8},
  [811] = {.lex_state = 41, .external_lex_state = 8},
  [812] = {.lex_state = 41, .external_lex_state = 8},
  [813] = {.lex_state = 41, .external_lex_state = 8},
  [814] = {.lex_state = 41, .external_lex_state = 8},
  [815] = {.lex_state = 41, .external_lex_state = 8},
  [816] = {.lex_state = 41, .external_lex_state = 8},
  [817] = {.lex_state = 41, .external_lex_state = 8},
  [818] = {.lex_state = 41, .external_lex_state = 8},
  [819] = {.lex_state = 41, .external_lex_state = 8},
  [820] = {.lex_state = 41, .external_lex_state = 8},
  [821] = {.lex_state = 41, .external_lex_state = 8},
  [822] = {.lex_state = 41, .external_lex_state = 8},
  [823] = {.lex_state = 41, .external_lex_state = 8},
  [824] = {.lex_state = 41, .external_lex_state = 8},
  [825] = {.lex_state = 41, .external_lex_state = 8},
  [826] = {.lex_state = 41, .external_lex_state = 8},
  [827] = {.lex_state = 41, .external_lex_state = 9},
  [828] = {.lex_state = 41, .external_lex_state = 8},
  [829] = {.lex_state = 41, .external_lex_state = 8},
  [830] = {.lex_state = 41, .external_lex_state = 8},
  [831] = {.lex_state = 41, .external_lex_state = 8},
  [832] = {.lex_state = 41, .external_lex_state = 8},
  [833] = {.lex_state = 41, .external_lex_state = 8},
  [834] = {.lex_state = 41, .external_lex_state = 8},
  [835] = {.lex_state = 41, .external_lex_state = 8},
  [836] = {.lex_state = 41, .external_lex_state = 8},
  [837] = {.lex_state = 41, .external_lex_state = 8},
  [838] = {.lex_state = 41, .external_lex_state = 8},
  [839] = {.lex_state = 41, .external_lex_state = 8},
  [840] = {.lex_state = 41, .external_lex_state = 8},
  [841] = {.lex_state = 41, .external_lex_state = 8},
  [842] = {.lex_state = 41, .external_lex_state = 8},
  [843] = {.lex_state = 41, .external_lex_state = 8},
  [844] = {.lex_state = 41, .external_lex_state = 9},
  [845] = {.lex_state = 41, .external_lex_state = 8},
  [846] = {.lex_state = 41, .external_lex_state = 8},
  [847] = {.lex_state = 41, .external_lex_state = 8},
  [848] = {.lex_state = 41, .external_lex_state = 8},
  [849] = {.lex_state = 41, .external_lex_state = 8},
  [850] = {.lex_state = 41, .external_lex_state = 8},
  [851] = {.lex_state = 41, .external_lex_state = 8},
  [852] = {.lex_state = 41, .external_lex_state = 8},
  [853] = {.lex_state = 41, .external_lex_state = 8},
  [854] = {.lex_state = 41, .external_lex_state = 8},
  [855] = {.lex_state = 41, .external_lex_state = 10},
  [856] = {.lex_state = 41, .external_lex_state = 8},
  [857] = {.lex_state = 41, .external_lex_state = 8},
  [858] = {.lex_state = 41, .external_lex_state = 9},
  [859] = {.lex_state = 41, .external_lex_state = 8},
  [860] = {.lex_state = 41, .external_lex_state = 9},
  [861] = {.lex_state = 41, .external_lex_state = 10},
  [862] = {.lex_state = 41, .external_lex_state = 8},
  [863] = {.lex_state = 41, .external_lex_state = 8},
  [864] = {.lex_state = 41, .external_lex_state = 8},
  [865] = {.lex_state = 41, .external_lex_state = 8},
  [866] = {.lex_state = 41, .external_lex_state = 8},
  [867] = {.lex_state = 41, .external_lex_state = 8},
  [868] = {.lex_state = 41, .external_lex_state = 8},
  [869] = {.lex_state = 41, .external_lex_state = 8},
  [870] = {.lex_state = 41, .external_lex_state = 8},
  [871] = {.lex_state = 41, .external_lex_state = 8},
  [872] = {.lex_state = 41, .external_lex_state = 8},
  [873] = {.lex_state = 41, .external_lex_state = 8},
  [874] = {.lex_state = 41, .external_lex_state = 8},
  [875] = {.lex_state = 41, .external_lex_state = 8},
  [876] = {.lex_state = 41, .external_lex_state = 8},
  [877] = {.lex_state = 41, .external_lex_state = 8},
  [878] = {.lex_state = 41, .external_lex_state = 8},
  [879] = {.lex_state = 41, .external_lex_state = 8},
  [880] = {.lex_state = 41, .external_lex_state = 10},
  [881] = {.lex_state = 41, .external_lex_state = 8},
  [882] = {.lex_state = 41, .external_lex_state = 8},
  [883] = {.lex_state = 41, .external_lex_state = 8},
  [884] = {.lex_state = 41, .external_lex_state = 8},
  [885] = {.lex_state = 41, .external_lex_state = 8},
  [886] = {.lex_state = 41, .external_lex_state = 8},
  [887] = {.lex_state = 41, .external_lex_state = 8},
  [888] = {.lex_state = 41, .external_lex_state = 8},
  [889] = {.lex_state = 41, .external_lex_state = 8},
  [890] = {.lex_state = 41, .external_lex_state = 8},
  [891] = {.lex_state = 41, .external_lex_state = 8},
  [892] = {.lex_state = 41, .external_lex_state = 8},
  [893] = {.lex_state = 41, .external_lex_state = 8},
  [894] = {.lex_state = 41, .external_lex_state = 8},
  [895] = {.lex_state = 41, .external_lex_state = 8},
  [896] = {.lex_state = 41, .external_lex_state = 8},
  [897] = {.lex_state = 41, .external_lex_state = 8},
  [898] = {.lex_state = 41, .external_lex_state = 8},
  [899] = {.lex_state = 41, .external_lex_state = 8},
  [900] = {.lex_state = 41, .external_lex_state = 8},
  [901] = {.lex_state = 41, .external_lex_state = 8},
  [902] = {.lex_state = 41, .external_lex_state = 8},
  [903] = {.lex_state = 41, .external_lex_state = 9},
  [904] = {.lex_state = 41, .external_lex_state = 8},
  [905] = {.lex_state = 41, .external_lex_state = 8},
  [906] = {.lex_state = 41, .external_lex_state = 8},
  [907] = {.lex_state = 41, .external_lex_state = 8},
  [908] = {.lex_state = 41, .external_lex_state = 8},
  [909] = {.lex_state = 41, .external_lex_state = 8},
  [910] = {.lex_state = 41, .external_lex_state = 8},
  [911] = {.lex_state = 41, .external_lex_state = 9},
  [912] = {.lex_state = 41, .external_lex_state = 8},
  [913] = {.lex_state = 41, .external_lex_state = 8},
  [914] = {.lex_state = 41, .external_lex_state = 8},
  [915] = {.lex_state = 41, .external_lex_state = 8},
  [916] = {.lex_state = 41, .external_lex_state = 9},
  [917] = {.lex_state = 41, .external_lex_state = 8},
  [918] = {.lex_state = 41, .external_lex_state = 8},
  [919] = {.lex_state = 41, .external_lex_state = 8},
  [920] = {.lex_state = 41, .external_lex_state = 8},
  [921] = {.lex_state = 41, .external_lex_state = 8},
  [922] = {.lex_state = 41, .external_lex_state = 8},
  [923] = {.lex_state = 41, .external_lex_state = 8},
  [924] = {.lex_state = 41, .external_lex_state = 8},
  [925] = {.lex_state = 41, .external_lex_state = 8},
  [926] = {.lex_state = 41, .external_lex_state = 8},
  [927] = {.lex_state = 41, .external_lex_state = 8},
  [928] = {.lex_state = 41, .external_lex_state = 8},
  [929] = {.lex_state = 41, .external_lex_state = 8},
  [930] = {.lex_state = 41, .external_lex_state = 8},
  [931] = {.lex_state = 41, .external_lex_state = 8},
  [932] = {.lex_state = 41, .external_lex_state = 8},
  [933] = {.lex_state = 41, .external_lex_state = 8},
  [934] = {.lex_state = 41, .external_lex_state = 8},
  [935] = {.lex_state = 41, .external_lex_state = 8},
  [936] = {.lex_state = 41, .external_lex_state = 8},
  [937] = {.lex_state = 41, .external_lex_state = 8},
  [938] = {.lex_state = 41, .external_lex_state = 8},
  [939] = {.lex_state = 41, .external_lex_state = 8},
  [940] = {.lex_state = 41, .external_lex_state = 8},
  [941] = {.lex_state = 41, .external_lex_state = 8},
  [942] = {.lex_state = 41, .external_lex_state = 8},
  [943] = {.lex_state = 41, .external_lex_state = 8},
  [944] = {.lex_state = 41, .external_lex_state = 8},
  [945] = {.lex_state = 41, .external_lex_state = 8},
  [946] = {.lex_state = 41, .external_lex_state = 10},
  [947] = {.lex_state = 41, .external_lex_state = 10},
  [948] = {.lex_state = 41, .external_lex_state = 9},
  [949] = {.lex_state = 41, .external_lex_state = 8},
  [950] = {.lex_state = 41, .external_lex_state = 8},
  [951] = {.lex_state = 41, .external_lex_state = 10},
  [952] = {.lex_state = 41, .external_lex_state = 10},
  [953] = {.lex_state = 41, .external_lex_state = 9},
  [954] = {.lex_state = 41, .external_lex_state = 9},
  [955] = {.lex_state = 41, .external_lex_state = 8},
  [956] = {.lex_state = 41, .external_lex_state = 9},
  [957] = {.lex_state = 41, .external_lex_state = 8},
  [958] = {.lex_state = 2, .external_lex_state = 11},
  [959] = {.lex_state = 2, .external_lex_state = 11},
  [960] = {.lex_state = 2, .external_lex_state = 11},
  [961] = {.lex_state = 2, .external_lex_state = 11},
  [962] = {.lex_state = 2, .external_lex_state = 11},
  [963] = {.lex_state = 2, .external_lex_state = 11},
  [964] = {.lex_state = 2, .external_lex_state = 11},
  [965] = {.lex_state = 2, .external_lex_state = 11},
  [966] = {.lex_state = 2, .external_lex_state = 11},
  [967] = {.lex_state = 2, .external_lex_state = 11},
  [968] = {.lex_state = 2, .external_lex_state = 11},
  [969] = {.lex_state = 1, .external_lex_state = 11},
  [970] = {.lex_state = 1, .external_lex_state = 11},
  [971] = {.lex_state = 1, .external_lex_state = 11},
  [972] = {.lex_state = 1, .external_lex_state = 11},
  [973] = {.lex_state = 1, .external_lex_state = 11},
  [974] = {.lex_state = 1, .external_lex_state = 11},
  [975] = {.lex_state = 1, .external_lex_state = 11},
  [976] = {.lex_state = 1, .external_lex_state = 11},
  [977] = {.lex_state = 1, .external_lex_state = 11},
  [978] = {.lex_state = 3, .external_lex_state = 11},
  [979] = {.lex_state = 4, .external_lex_state = 12},
  [980] = {.lex_state = 1, .external_lex_state = 11},
  [981] = {.lex_state = 4, .external_lex_state = 12},
  [982] = {.lex_state = 1, .external_lex_state = 11},
  [983] = {.lex_state = 1, .external_lex_state = 11},
  [984] = {.lex_state = 1, .external_lex_state = 11},
  [985] = {.lex_state = 1, .external_lex_state = 11},
  [986] = {.lex_state = 1, .external_lex_state = 11},
  [987] = {.lex_state = 1, .external_lex_state = 11},
  [988] = {.lex_state = 1, .external_lex_state = 11},
  [989] = {.lex_state = 1, .external_lex_state = 11},
  [990] = {.lex_state = 1, .external_lex_state = 11},
  [991] = {.lex_state = 1, .external_lex_state = 11},
  [992] = {.lex_state = 1, .external_lex_state = 11},
  [993] = {.lex_state = 1, .external_lex_state = 11},
  [994] = {.lex_state = 1, .external_lex_state = 11},
  [995] = {.lex_state = 4, .external_lex_state = 12},
  [996] = {.lex_state = 1, .external_lex_state = 11},
  [997] = {.lex_state = 3, .external_lex_state = 11},
  [998] = {.lex_state = 1, .external_lex_state = 11},
  [999] = {.lex_state = 4, .external_lex_state = 12},
  [1000] = {.lex_state = 1, .external_lex_state = 11},
  [1001] = {.lex_state = 4, .external_lex_state = 12},
  [1002] = {.lex_state = 4, .external_lex_state = 11},
  [1003] = {.lex_state = 1, .external_lex_state = 11},
  [1004] = {.lex_state = 4, .external_lex_state = 11},
  [1005] = {.lex_state = 4, .external_lex_state = 12},
  [1006] = {.lex_state = 4, .external_lex_state = 11},
  [1007] = {.lex_state = 4, .external_lex_state = 11},
  [1008] = {.lex_state = 4, .external_lex_state = 11},
  [1009] = {.lex_state = 10, .external_lex_state = 13},
  [1010] = {.lex_state = 10, .external_lex_state = 13},
  [1011] = {.lex_state = 9, .external_lex_state = 14},
  [1012] = {.lex_state = 9, .external_lex_state = 14},
  [1013] = {.lex_state = 4, .external_lex_state = 11},
  [1014] = {.lex_state = 4, .external_lex_state = 11},
  [1015] = {.lex_state = 4, .external_lex_state = 11},
  [1016] = {.lex_state = 4, .external_lex_state = 11},
  [1017] = {.lex_state = 4, .external_lex_state = 11},
  [1018] = {.lex_state = 10, .external_lex_state = 13},
  [1019] = {.lex_state = 10, .external_lex_state = 13},
  [1020] = {.lex_state = 4, .external_lex_state = 11},
  [1021] = {.lex_state = 4, .external_lex_state = 11},
  [1022] = {.lex_state = 4, .external_lex_state = 11},
  [1023] = {.lex_state = 4, .external_lex_state = 11},
  [1024] = {.lex_state = 4, .external_lex_state = 11},
  [1025] = {.lex_state = 4, .external_lex_state = 11},
  [1026] = {.lex_state = 10, .external_lex_state = 13},
  [1027] = {.lex_state = 4, .external_lex_state = 11},
  [1028] = {.lex_state = 4, .external_lex_state = 11},
  [1029] = {.lex_state = 10, .external_lex_state = 13},
  [1030] = {.lex_state = 4, .external_lex_state = 11},
  [1031] = {.lex_state = 10, .external_lex_state = 13},
  [1032] = {.lex_state = 9, .external_lex_state = 14},
  [1033] = {.lex_state = 9, .external_lex_state = 14},
  [1034] = {.lex_state = 10, .external_lex_state = 13},
  [1035] = {.lex_state = 4, .external_lex_state = 11},
  [1036] = {.lex_state = 10, .external_lex_state = 13},
  [1037] = {.lex_state = 4, .external_lex_state = 11},
  [1038] = {.lex_state = 4, .external_lex_state = 11},
  [1039] = {.lex_state = 10, .external_lex_state = 13},
  [1040] = {.lex_state = 10, .external_lex_state = 13},
  [1041] = {.lex_state = 10, .external_lex_state = 13},
  [1042] = {.lex_state = 9, .external_lex_state = 14},
  [1043] = {.lex_state = 4, .external_lex_state = 11},
  [1044] = {.lex_state = 4, .external_lex_state = 11},
  [1045] = {.lex_state = 10, .external_lex_state = 13},
  [1046] = {.lex_state = 10, .external_lex_state = 13},
  [1047] = {.lex_state = 4, .external_lex_state = 11},
  [1048] = {.lex_state = 10, .external_lex_state = 13},
  [1049] = {.lex_state = 4, .external_lex_state = 11},
  [1050] = {.lex_state = 10, .external_lex_state = 13},
  [1051] = {.lex_state = 10, .external_lex_state = 13},
  [1052] = {.lex_state = 9, .external_lex_state = 14},
  [1053] = {.lex_state = 9, .external_lex_state = 14},
  [1054] = {.lex_state = 10, .external_lex_state = 13},
  [1055] = {.lex_state = 10, .external_lex_state = 13},
  [1056] = {.lex_state = 10, .external_lex_state = 13},
  [1057] = {.lex_state = 10, .external_lex_state = 13},
  [1058] = {.lex_state = 11, .external_lex_state = 7},
  [1059] = {.lex_state = 11, .external_lex_state = 7},
  [1060] = {.lex_state = 41, .external_lex_state = 15},
  [1061] = {.lex_state = 41, .external_lex_state = 16},
  [1062] = {.lex_state = 41, .external_lex_state = 10},
  [1063] = {.lex_state = 41, .external_lex_state = 17},
  [1064] = {.lex_state = 41, .external_lex_state = 17},
  [1065] = {.lex_state = 41, .external_lex_state = 16},
  [1066] = {.lex_state = 41, .external_lex_state = 16},
  [1067] = {.lex_state = 41, .external_lex_state = 8},
  [1068] = {.lex_state = 41, .external_lex_state = 16},
  [1069] = {.lex_state = 41, .external_lex_state = 15},
  [1070] = {.lex_state = 41, .external_lex_state = 10},
  [1071] = {.lex_state = 41, .external_lex_state = 8},
  [1072] = {.lex_state = 41, .external_lex_state = 9},
  [1073] = {.lex_state = 41, .external_lex_state = 16},
  [1074] = {.lex_state = 41, .external_lex_state = 17},
  [1075] = {.lex_state = 41, .external_lex_state = 17},
  [1076] = {.lex_state = 41, .external_lex_state = 15},
  [1077] = {.lex_state = 41, .external_lex_state = 17},
  [1078] = {.lex_state = 41, .external_lex_state = 16},
  [1079] = {.lex_state = 41, .external_lex_state = 17},
  [1080] = {.lex_state = 41, .external_lex_state = 15},
  [1081] = {.lex_state = 41, .external_lex_state = 15},
  [1082] = {.lex_state = 41, .external_lex_state = 9},
  [1083] = {.lex_state = 41, .external_lex_state = 15},
  [1084] = {.lex_state = 41, .external_lex_state = 18},
  [1085] = {.lex_state = 41, .external_lex_state = 19},
  [1086] = {.lex_state = 11, .external_lex_state = 3},
  [1087] = {.lex_state = 11, .external_lex_state = 3},
  [1088] = {.lex_state = 11, .external_lex_state = 3},
  [1089] = {.lex_state = 11, .external_lex_state = 3},
  [1090] = {.lex_state = 11, .external_lex_state = 20},
  [1091] = {.lex_state = 11, .external_lex_state = 20},
  [1092] = {.lex_state = 11, .external_lex_state = 20},
  [1093] = {.lex_state = 11, .external_lex_state = 20},
  [1094] = {.lex_state = 11, .external_lex_state = 3},
  [1095] = {.lex_state = 11, .external_lex_state = 20},
  [1096] = {.lex_state = 41, .external_lex_state = 21},
  [1097] = {.lex_state = 41, .external_lex_state = 10},
  [1098] = {.lex_state = 11, .external_lex_state = 22},
  [1099] = {.lex_state = 41, .external_lex_state = 9},
  [1100] = {.lex_state = 11, .external_lex_state = 23},
  [1101] = {.lex_state = 12, .external_lex_state = 20},
  [1102] = {.lex_state = 41, .external_lex_state = 10},
  [1103] = {.lex_state = 41, .external_lex_state = 8},
  [1104] = {.lex_state = 12, .external_lex_state = 20},
  [1105] = {.lex_state = 12, .external_lex_state = 20},
  [1106] = {.lex_state = 11, .external_lex_state = 24},
  [1107] = {.lex_state = 15, .external_lex_state = 20},
  [1108] = {.lex_state = 12, .external_lex_state = 20},
  [1109] = {.lex_state = 41, .external_lex_state = 8},
  [1110] = {.lex_state = 41, .external_lex_state = 8},
  [1111] = {.lex_state = 11, .external_lex_state = 24},
  [1112] = {.lex_state = 15, .external_lex_state = 20},
  [1113] = {.lex_state = 41, .external_lex_state = 8},
  [1114] = {.lex_state = 41, .external_lex_state = 8},
  [1115] = {.lex_state = 41, .external_lex_state = 8},
  [1116] = {.lex_state = 41, .external_lex_state = 8},
  [1117] = {.lex_state = 15, .external_lex_state = 20},
  [1118] = {.lex_state = 41, .external_lex_state = 8},
  [1119] = {.lex_state = 41, .external_lex_state = 8},
  [1120] = {.lex_state = 41, .external_lex_state = 8},
  [1121] = {.lex_state = 41, .external_lex_state = 9},
  [1122] = {.lex_state = 41, .external_lex_state = 9},
  [1123] = {.lex_state = 41, .external_lex_state = 9},
  [1124] = {.lex_state = 41, .external_lex_state = 9},
  [1125] = {.lex_state = 41, .external_lex_state = 8},
  [1126] = {.lex_state = 41, .external_lex_state = 10},
  [1127] = {.lex_state = 41, .external_lex_state = 8},
  [1128] = {.lex_state = 41, .external_lex_state = 8},
  [1129] = {.lex_state = 41, .external_lex_state = 8},
  [1130] = {.lex_state = 41, .external_lex_state = 8},
  [1131] = {.lex_state = 41, .external_lex_state = 9},
  [1132] = {.lex_state = 41, .external_lex_state = 9},
  [1133] = {.lex_state = 41, .external_lex_state = 9},
  [1134] = {.lex_state = 41, .external_lex_state = 10},
  [1135] = {.lex_state = 41, .external_lex_state = 8},
  [1136] = {.lex_state = 41, .external_lex_state = 10},
  [1137] = {.lex_state = 11, .external_lex_state = 23},
  [1138] = {.lex_state = 41, .external_lex_state = 10},
  [1139] = {.lex_state = 41, .external_lex_state = 10},
  [1140] = {.lex_state = 41, .external_lex_state = 10},
  [1141] = {.lex_state = 41, .external_lex_state = 9},
  [1142] = {.lex_state = 41, .external_lex_state = 9},
  [1143] = {.lex_state = 41, .external_lex_state = 10},
  [1144] = {.lex_state = 41, .external_lex_state = 10},
  [1145] = {.lex_state = 11, .external_lex_state = 23},
  [1146] = {.lex_state = 11, .external_lex_state = 25},
  [1147] = {.lex_state = 11, .external_lex_state = 26},
  [1148] = {.lex_state = 11, .external_lex_state = 24},
  [1149] = {.lex_state = 41, .external_lex_state = 8},
  [1150] = {.lex_state = 41, .external_lex_state = 8},
  [1151] = {.lex_state = 41, .external_lex_state = 8},
  [1152] = {.lex_state = 41, .external_lex_state = 8},
  [1153] = {.lex_state = 11, .external_lex_state = 26},
  [1154] = {.lex_state = 11, .external_lex_state = 22},
  [1155] = {.lex_state = 41, .external_lex_state = 8},
  [1156] = {.lex_state = 41, .external_lex_state = 8},
  [1157] = {.lex_state = 11, .external_lex_state = 26},
  [1158] = {.lex_state = 41, .external_lex_state = 8},
  [1159] = {.lex_state = 41, .external_lex_state = 8},
  [1160] = {.lex_state = 41, .external_lex_state = 8},
  [1161] = {.lex_state = 11, .external_lex_state = 26},
  [1162] = {.lex_state = 41, .external_lex_state = 9},
  [1163] = {.lex_state = 41, .external_lex_state = 8},
  [1164] = {.lex_state = 41, .external_lex_state = 9},
  [1165] = {.lex_state = 41, .external_lex_state = 8},
  [1166] = {.lex_state = 11, .external_lex_state = 26},
  [1167] = {.lex_state = 41, .external_lex_state = 9},
  [1168] = {.lex_state = 41, .external_lex_state = 9},
  [1169] = {.lex_state = 41, .external_lex_state = 9},
  [1170] = {.lex_state = 41, .external_lex_state = 9},
  [1171] = {.lex_state = 41, .external_lex_state = 9},
  [1172] = {.lex_state = 15, .external_lex_state = 3},
  [1173] = {.lex_state = 41, .external_lex_state = 10},
  [1174] = {.lex_state = 15, .external_lex_state = 3},
  [1175] = {.lex_state = 41, .external_lex_state = 9},
  [1176] = {.lex_state = 15, .external_lex_state = 3},
  [1177] = {.lex_state = 41, .external_lex_state = 9},
  [1178] = {.lex_state = 41, .external_lex_state = 9},
  [1179] = {.lex_state = 41, .external_lex_state = 10},
  [1180] = {.lex_state = 41, .external_lex_state = 9},
  [1181] = {.lex_state = 12, .external_lex_state = 20},
  [1182] = {.lex_state = 41, .external_lex_state = 10},
  [1183] = {.lex_state = 11, .external_lex_state = 27},
  [1184] = {.lex_state = 11, .external_lex_state = 22},
  [1185] = {.lex_state = 11, .external_lex_state = 22},
  [1186] = {.lex_state = 41, .external_lex_state = 10},
  [1187] = {.lex_state = 11, .external_lex_state = 22},
  [1188] = {.lex_state = 12, .external_lex_state = 3},
  [1189] = {.lex_state = 41, .external_lex_state = 10},
  [1190] = {.lex_state = 41, .external_lex_state = 10},
  [1191] = {.lex_state = 41, .external_lex_state = 8},
  [1192] = {.lex_state = 41, .external_lex_state = 10},
  [1193] = {.lex_state = 41, .external_lex_state = 8},
  [1194] = {.lex_state = 41, .external_lex_state = 8},
  [1195] = {.lex_state = 41, .external_lex_state = 10},
  [1196] = {.lex_state = 41, .external_lex_state = 9},
  [1197] = {.lex_state = 11, .external_lex_state = 23},
  [1198] = {.lex_state = 12, .external_lex_state = 3},
  [1199] = {.lex_state = 41, .external_lex_state = 10},
  [1200] = {.lex_state = 12, .external_lex_state = 3},
  [1201] = {.lex_state = 12, .external_lex_state = 3},
  [1202] = {.lex_state = 41, .external_lex_state = 10},
  [1203] = {.lex_state = 41, .external_lex_state = 10},
  [1204] = {.lex_state = 41, .external_lex_state = 9},
  [1205] = {.lex_state = 12, .external_lex_state = 3},
  [1206] = {.lex_state = 41, .external_lex_state = 9},
  [1207] = {.lex_state = 41, .external_lex_state = 9},
  [1208] = {.lex_state = 41, .external_lex_state = 10},
  [1209] = {.lex_state = 41, .external_lex_state = 10},
  [1210] = {.lex_state = 41, .external_lex_state = 10},
  [1211] = {.lex_state = 11, .external_lex_state = 23},
  [1212] = {.lex_state = 11, .external_lex_state = 28},
  [1213] = {.lex_state = 11, .external_lex_state = 27},
  [1214] = {.lex_state = 41, .external_lex_state = 8},
  [1215] = {.lex_state = 41, .external_lex_state = 9},
  [1216] = {.lex_state = 41, .external_lex_state = 10},
  [1217] = {.lex_state = 41, .external_lex_state = 10},
  [1218] = {.lex_state = 41, .external_lex_state = 10},
  [1219] = {.lex_state = 41, .external_lex_state = 9},
  [1220] = {.lex_state = 41, .external_lex_state = 9},
  [1221] = {.lex_state = 41, .external_lex_state = 9},
  [1222] = {.lex_state = 41, .external_lex_state = 10},
  [1223] = {.lex_state = 41, .external_lex_state = 9},
  [1224] = {.lex_state = 41, .external_lex_state = 10},
  [1225] = {.lex_state = 11, .external_lex_state = 27},
  [1226] = {.lex_state = 41, .external_lex_state = 10},
  [1227] = {.lex_state = 41, .external_lex_state = 9},
  [1228] = {.lex_state = 41, .external_lex_state = 10},
  [1229] = {.lex_state = 12, .external_lex_state = 23},
  [1230] = {.lex_state = 15, .external_lex_state = 3},
  [1231] = {.lex_state = 11, .external_lex_state = 24},
  [1232] = {.lex_state = 11, .external_lex_state = 20},
  [1233] = {.lex_state = 11, .external_lex_state = 24},
  [1234] = {.lex_state = 11, .external_lex_state = 29},
  [1235] = {.lex_state = 15, .external_lex_state = 22},
  [1236] = {.lex_state = 11, .external_lex_state = 30},
  [1237] = {.lex_state = 15, .external_lex_state = 22},
  [1238] = {.lex_state = 11, .external_lex_state = 30},
  [1239] = {.lex_state = 15, .external_lex_state = 22},
  [1240] = {.lex_state = 12, .external_lex_state = 23},
  [1241] = {.lex_state = 12, .external_lex_state = 23},
  [1242] = {.lex_state = 11, .external_lex_state = 27},
  [1243] = {.lex_state = 12, .external_lex_state = 23},
  [1244] = {.lex_state = 12, .external_lex_state = 23},
  [1245] = {.lex_state = 16, .external_lex_state = 20},
  [1246] = {.lex_state = 11, .external_lex_state = 3},
  [1247] = {.lex_state = 16, .external_lex_state = 20},
  [1248] = {.lex_state = 11, .external_lex_state = 30},
  [1249] = {.lex_state = 16, .external_lex_state = 20},
  [1250] = {.lex_state = 11, .external_lex_state = 27},
  [1251] = {.lex_state = 11, .external_lex_state = 31},
  [1252] = {.lex_state = 11, .external_lex_state = 27},
  [1253] = {.lex_state = 11, .external_lex_state = 20},
  [1254] = {.lex_state = 13, .external_lex_state = 3},
  [1255] = {.lex_state = 13, .external_lex_state = 3},
  [1256] = {.lex_state = 13, .external_lex_state = 3},
  [1257] = {.lex_state = 15, .external_lex_state = 20},
  [1258] = {.lex_state = 12, .external_lex_state = 26},
  [1259] = {.lex_state = 11, .external_lex_state = 32},
  [1260] = {.lex_state = 15, .external_lex_state = 26},
  [1261] = {.lex_state = 15, .external_lex_state = 20},
  [1262] = {.lex_state = 11, .external_lex_state = 20},
  [1263] = {.lex_state = 11, .external_lex_state = 3},
  [1264] = {.lex_state = 12, .external_lex_state = 26},
  [1265] = {.lex_state = 12, .external_lex_state = 26},
  [1266] = {.lex_state = 13, .external_lex_state = 3},
  [1267] = {.lex_state = 13, .external_lex_state = 3},
  [1268] = {.lex_state = 11, .external_lex_state = 20},
  [1269] = {.lex_state = 11, .external_lex_state = 3},
  [1270] = {.lex_state = 12, .external_lex_state = 26},
  [1271] = {.lex_state = 12, .external_lex_state = 26},
  [1272] = {.lex_state = 12, .external_lex_state = 28},
  [1273] = {.lex_state = 12, .external_lex_state = 24},
  [1274] = {.lex_state = 15, .external_lex_state = 26},
  [1275] = {.lex_state = 12, .external_lex_state = 24},
  [1276] = {.lex_state = 15, .external_lex_state = 20},
  [1277] = {.lex_state = 12, .external_lex_state = 25},
  [1278] = {.lex_state = 11, .external_lex_state = 20},
  [1279] = {.lex_state = 11, .external_lex_state = 20},
  [1280] = {.lex_state = 17, .external_lex_state = 20},
  [1281] = {.lex_state = 17, .external_lex_state = 3},
  [1282] = {.lex_state = 12, .external_lex_state = 24},
  [1283] = {.lex_state = 13, .external_lex_state = 20},
  [1284] = {.lex_state = 13, .external_lex_state = 20},
  [1285] = {.lex_state = 17, .external_lex_state = 20},
  [1286] = {.lex_state = 17, .external_lex_state = 3},
  [1287] = {.lex_state = 17, .external_lex_state = 3},
  [1288] = {.lex_state = 11, .external_lex_state = 3},
  [1289] = {.lex_state = 11, .external_lex_state = 3},
  [1290] = {.lex_state = 13, .external_lex_state = 20},
  [1291] = {.lex_state = 13, .external_lex_state = 20},
  [1292] = {.lex_state = 17, .external_lex_state = 20},
  [1293] = {.lex_state = 11, .external_lex_state = 33},
  [1294] = {.lex_state = 11, .external_lex_state = 3},
  [1295] = {.lex_state = 15, .external_lex_state = 3},
  [1296] = {.lex_state = 11, .external_lex_state = 24},
  [1297] = {.lex_state = 11, .external_lex_state = 20},
  [1298] = {.lex_state = 11, .external_lex_state = 3},
  [1299] = {.lex_state = 15, .external_lex_state = 26},
  [1300] = {.lex_state = 15, .external_lex_state = 3},
  [1301] = {.lex_state = 11, .external_lex_state = 31},
  [1302] = {.lex_state = 15, .external_lex_state = 3},
  [1303] = {.lex_state = 13, .external_lex_state = 20},
  [1304] = {.lex_state = 11, .external_lex_state = 34},
  [1305] = {.lex_state = 11, .external_lex_state = 27},
  [1306] = {.lex_state = 15, .external_lex_state = 3},
  [1307] = {.lex_state = 11, .external_lex_state = 3},
  [1308] = {.lex_state = 11, .external_lex_state = 20},
  [1309] = {.lex_state = 12, .external_lex_state = 27},
  [1310] = {.lex_state = 15, .external_lex_state = 20},
  [1311] = {.lex_state = 11, .external_lex_state = 24},
  [1312] = {.lex_state = 11, .external_lex_state = 20},
  [1313] = {.lex_state = 11, .external_lex_state = 34},
  [1314] = {.lex_state = 16, .external_lex_state = 3},
  [1315] = {.lex_state = 11, .external_lex_state = 3},
  [1316] = {.lex_state = 11, .external_lex_state = 34},
  [1317] = {.lex_state = 11, .external_lex_state = 3},
  [1318] = {.lex_state = 15, .external_lex_state = 23},
  [1319] = {.lex_state = 11, .external_lex_state = 3},
  [1320] = {.lex_state = 15, .external_lex_state = 23},
  [1321] = {.lex_state = 11, .external_lex_state = 3},
  [1322] = {.lex_state = 16, .external_lex_state = 3},
  [1323] = {.lex_state = 12, .external_lex_state = 27},
  [1324] = {.lex_state = 11, .external_lex_state = 20},
  [1325] = {.lex_state = 15, .external_lex_state = 23},
  [1326] = {.lex_state = 16, .external_lex_state = 3},
  [1327] = {.lex_state = 12, .external_lex_state = 22},
  [1328] = {.lex_state = 12, .external_lex_state = 22},
  [1329] = {.lex_state = 12, .external_lex_state = 22},
  [1330] = {.lex_state = 12, .external_lex_state = 22},
  [1331] = {.lex_state = 12, .external_lex_state = 27},
  [1332] = {.lex_state = 12, .external_lex_state = 22},
  [1333] = {.lex_state = 11, .external_lex_state = 20},
  [1334] = {.lex_state = 11, .external_lex_state = 20},
  [1335] = {.lex_state = 15, .external_lex_state = 20},
  [1336] = {.lex_state = 11, .external_lex_state = 31},
  [1337] = {.lex_state = 13, .external_lex_state = 27},
  [1338] = {.lex_state = 11, .external_lex_state = 3},
  [1339] = {.lex_state = 12, .external_lex_state = 20},
  [1340] = {.lex_state = 6, .external_lex_state = 35},
  [1341] = {.lex_state = 16, .external_lex_state = 20},
  [1342] = {.lex_state = 14, .external_lex_state = 20},
  [1343] = {.lex_state = 17, .external_lex_state = 20},
  [1344] = {.lex_state = 18, .external_lex_state = 20},
  [1345] = {.lex_state = 11, .external_lex_state = 3},
  [1346] = {.lex_state = 12, .external_lex_state = 20},
  [1347] = {.lex_state = 14, .external_lex_state = 20},
  [1348] = {.lex_state = 14, .external_lex_state = 20},
  [1349] = {.lex_state = 11, .external_lex_state = 3},
  [1350] = {.lex_state = 18, .external_lex_state = 20},
  [1351] = {.lex_state = 14, .external_lex_state = 20},
  [1352] = {.lex_state = 11, .external_lex_state = 20},
  [1353] = {.lex_state = 16, .external_lex_state = 20},
  [1354] = {.lex_state = 11, .external_lex_state = 20},
  [1355] = {.lex_state = 11, .external_lex_state = 20},
  [1356] = {.lex_state = 11, .external_lex_state = 20},
  [1357] = {.lex_state = 11, .external_lex_state = 22},
  [1358] = {.lex_state = 12, .external_lex_state = 20},
  [1359] = {.lex_state = 12, .external_lex_state = 31},
  [1360] = {.lex_state = 16, .external_lex_state = 20},
  [1361] = {.lex_state = 11, .external_lex_state = 22},
  [1362] = {.lex_state = 16, .external_lex_state = 22},
  [1363] = {.lex_state = 11, .external_lex_state = 20},
  [1364] = {.lex_state = 6, .external_lex_state = 35},
  [1365] = {.lex_state = 11, .external_lex_state = 20},
  [1366] = {.lex_state = 15, .external_lex_state = 26},
  [1367] = {.lex_state = 11, .external_lex_state = 20},
  [1368] = {.lex_state = 11, .external_lex_state = 20},
  [1369] = {.lex_state = 11, .external_lex_state = 20},
  [1370] = {.lex_state = 12, .external_lex_state = 31},
  [1371] = {.lex_state = 11, .external_lex_state = 20},
  [1372] = {.lex_state = 14, .external_lex_state = 20},
  [1373] = {.lex_state = 16, .external_lex_state = 22},
  [1374] = {.lex_state = 12, .external_lex_state = 31},
  [1375] = {.lex_state = 11, .external_lex_state = 20},
  [1376] = {.lex_state = 11, .external_lex_state = 20},
  [1377] = {.lex_state = 15, .external_lex_state = 26},
  [1378] = {.lex_state = 11, .external_lex_state = 20},
  [1379] = {.lex_state = 15, .external_lex_state = 20},
  [1380] = {.lex_state = 15, .external_lex_state = 26},
  [1381] = {.lex_state = 11, .external_lex_state = 26},
  [1382] = {.lex_state = 12, .external_lex_state = 3},
  [1383] = {.lex_state = 16, .external_lex_state = 22},
  [1384] = {.lex_state = 11, .external_lex_state = 20},
  [1385] = {.lex_state = 11, .external_lex_state = 20},
  [1386] = {.lex_state = 11, .external_lex_state = 3},
  [1387] = {.lex_state = 6, .external_lex_state = 35},
  [1388] = {.lex_state = 11, .external_lex_state = 20},
  [1389] = {.lex_state = 11, .external_lex_state = 3},
  [1390] = {.lex_state = 12, .external_lex_state = 20},
  [1391] = {.lex_state = 15, .external_lex_state = 26},
  [1392] = {.lex_state = 11, .external_lex_state = 3},
  [1393] = {.lex_state = 11, .external_lex_state = 20},
  [1394] = {.lex_state = 11, .external_lex_state = 26},
  [1395] = {.lex_state = 13, .external_lex_state = 25},
  [1396] = {.lex_state = 11, .external_lex_state = 20},
  [1397] = {.lex_state = 11, .external_lex_state = 20},
  [1398] = {.lex_state = 12, .external_lex_state = 20},
  [1399] = {.lex_state = 16, .external_lex_state = 20},
  [1400] = {.lex_state = 12, .external_lex_state = 3},
  [1401] = {.lex_state = 11, .external_lex_state = 20},
  [1402] = {.lex_state = 11, .external_lex_state = 20},
  [1403] = {.lex_state = 11, .external_lex_state = 26},
  [1404] = {.lex_state = 11, .external_lex_state = 20},
  [1405] = {.lex_state = 11, .external_lex_state = 20},
  [1406] = {.lex_state = 16, .external_lex_state = 20},
  [1407] = {.lex_state = 11, .external_lex_state = 20},
  [1408] = {.lex_state = 12, .external_lex_state = 20},
  [1409] = {.lex_state = 11, .external_lex_state = 20},
  [1410] = {.lex_state = 12, .external_lex_state = 3},
  [1411] = {.lex_state = 11, .external_lex_state = 26},
  [1412] = {.lex_state = 11, .external_lex_state = 22},
  [1413] = {.lex_state = 11, .external_lex_state = 23},
  [1414] = {.lex_state = 11, .external_lex_state = 20},
  [1415] = {.lex_state = 11, .external_lex_state = 20},
  [1416] = {.lex_state = 11, .external_lex_state = 26},
  [1417] = {.lex_state = 11, .external_lex_state = 20},
  [1418] = {.lex_state = 11, .external_lex_state = 20},
  [1419] = {.lex_state = 11, .external_lex_state = 20},
  [1420] = {.lex_state = 11, .external_lex_state = 20},
  [1421] = {.lex_state = 11, .external_lex_state = 3},
  [1422] = {.lex_state = 11, .external_lex_state = 20},
  [1423] = {.lex_state = 11, .external_lex_state = 20},
  [1424] = {.lex_state = 11, .external_lex_state = 3},
  [1425] = {.lex_state = 11, .external_lex_state = 3},
  [1426] = {.lex_state = 11, .external_lex_state = 20},
  [1427] = {.lex_state = 11, .external_lex_state = 3},
  [1428] = {.lex_state = 12, .external_lex_state = 3},
  [1429] = {.lex_state = 12, .external_lex_state = 3},
  [1430] = {.lex_state = 11, .external_lex_state = 3},
  [1431] = {.lex_state = 11, .external_lex_state = 3},
  [1432] = {.lex_state = 12, .external_lex_state = 29},
  [1433] = {.lex_state = 11, .external_lex_state = 3},
  [1434] = {.lex_state = 11, .external_lex_state = 22},
  [1435] = {.lex_state = 11, .external_lex_state = 23},
  [1436] = {.lex_state = 11, .external_lex_state = 3},
  [1437] = {.lex_state = 11, .external_lex_state = 26},
  [1438] = {.lex_state = 11, .external_lex_state = 3},
  [1439] = {.lex_state = 15, .external_lex_state = 22},
  [1440] = {.lex_state = 11, .external_lex_state = 23},
  [1441] = {.lex_state = 11, .external_lex_state = 23},
  [1442] = {.lex_state = 11, .external_lex_state = 30},
  [1443] = {.lex_state = 11, .external_lex_state = 22},
  [1444] = {.lex_state = 11, .external_lex_state = 3},
  [1445] = {.lex_state = 15, .external_lex_state = 20},
  [1446] = {.lex_state = 11, .external_lex_state = 23},
  [1447] = {.lex_state = 11, .external_lex_state = 26},
  [1448] = {.lex_state = 11, .external_lex_state = 30},
  [1449] = {.lex_state = 13, .external_lex_state = 27},
  [1450] = {.lex_state = 11, .external_lex_state = 3},
  [1451] = {.lex_state = 11, .external_lex_state = 3},
  [1452] = {.lex_state = 16, .external_lex_state = 3},
  [1453] = {.lex_state = 16, .external_lex_state = 3},
  [1454] = {.lex_state = 12, .external_lex_state = 20},
  [1455] = {.lex_state = 11, .external_lex_state = 20},
  [1456] = {.lex_state = 11, .external_lex_state = 20},
  [1457] = {.lex_state = 11, .external_lex_state = 20},
  [1458] = {.lex_state = 11, .external_lex_state = 3},
  [1459] = {.lex_state = 16, .external_lex_state = 3},
  [1460] = {.lex_state = 12, .external_lex_state = 3},
  [1461] = {.lex_state = 18, .external_lex_state = 20},
  [1462] = {.lex_state = 13, .external_lex_state = 27},
  [1463] = {.lex_state = 17, .external_lex_state = 22},
  [1464] = {.lex_state = 16, .external_lex_state = 3},
  [1465] = {.lex_state = 12, .external_lex_state = 27},
  [1466] = {.lex_state = 12, .external_lex_state = 27},
  [1467] = {.lex_state = 11, .external_lex_state = 3},
  [1468] = {.lex_state = 11, .external_lex_state = 26},
  [1469] = {.lex_state = 11, .external_lex_state = 3},
  [1470] = {.lex_state = 12, .external_lex_state = 3},
  [1471] = {.lex_state = 11, .external_lex_state = 26},
  [1472] = {.lex_state = 12, .external_lex_state = 3},
  [1473] = {.lex_state = 12, .external_lex_state = 20},
  [1474] = {.lex_state = 11, .external_lex_state = 23},
  [1475] = {.lex_state = 11, .external_lex_state = 20},
  [1476] = {.lex_state = 11, .external_lex_state = 26},
  [1477] = {.lex_state = 13, .external_lex_state = 22},
  [1478] = {.lex_state = 13, .external_lex_state = 22},
  [1479] = {.lex_state = 17, .external_lex_state = 22},
  [1480] = {.lex_state = 12, .external_lex_state = 3},
  [1481] = {.lex_state = 11, .external_lex_state = 22},
  [1482] = {.lex_state = 12, .external_lex_state = 3},
  [1483] = {.lex_state = 16, .external_lex_state = 26},
  [1484] = {.lex_state = 12, .external_lex_state = 27},
  [1485] = {.lex_state = 15, .external_lex_state = 22},
  [1486] = {.lex_state = 11, .external_lex_state = 3},
  [1487] = {.lex_state = 15, .external_lex_state = 20},
  [1488] = {.lex_state = 11, .external_lex_state = 3},
  [1489] = {.lex_state = 11, .external_lex_state = 3},
  [1490] = {.lex_state = 11, .external_lex_state = 3},
  [1491] = {.lex_state = 11, .external_lex_state = 3},
  [1492] = {.lex_state = 11, .external_lex_state = 3},
  [1493] = {.lex_state = 11, .external_lex_state = 3},
  [1494] = {.lex_state = 15, .external_lex_state = 22},
  [1495] = {.lex_state = 11, .external_lex_state = 3},
  [1496] = {.lex_state = 12, .external_lex_state = 3},
  [1497] = {.lex_state = 11, .external_lex_state = 23},
  [1498] = {.lex_state = 11, .external_lex_state = 23},
  [1499] = {.lex_state = 17, .external_lex_state = 3},
  [1500] = {.lex_state = 12, .external_lex_state = 20},
  [1501] = {.lex_state = 11, .external_lex_state = 3},
  [1502] = {.lex_state = 12, .external_lex_state = 27},
  [1503] = {.lex_state = 16, .external_lex_state = 26},
  [1504] = {.lex_state = 11, .external_lex_state = 20},
  [1505] = {.lex_state = 12, .external_lex_state = 3},
  [1506] = {.lex_state = 11, .external_lex_state = 20},
  [1507] = {.lex_state = 11, .external_lex_state = 20},
  [1508] = {.lex_state = 16, .external_lex_state = 23},
  [1509] = {.lex_state = 11, .external_lex_state = 20},
  [1510] = {.lex_state = 11, .external_lex_state = 3},
  [1511] = {.lex_state = 13, .external_lex_state = 22},
  [1512] = {.lex_state = 13, .external_lex_state = 22},
  [1513] = {.lex_state = 11, .external_lex_state = 3},
  [1514] = {.lex_state = 16, .external_lex_state = 23},
  [1515] = {.lex_state = 17, .external_lex_state = 22},
  [1516] = {.lex_state = 11, .external_lex_state = 26},
  [1517] = {.lex_state = 13, .external_lex_state = 23},
  [1518] = {.lex_state = 11, .external_lex_state = 3},
  [1519] = {.lex_state = 11, .external_lex_state = 3},
  [1520] = {.lex_state = 16, .external_lex_state = 26},
  [1521] = {.lex_state = 11, .external_lex_state = 3},
  [1522] = {.lex_state = 15, .external_lex_state = 23},
  [1523] = {.lex_state = 15, .external_lex_state = 22},
  [1524] = {.lex_state = 11, .external_lex_state = 3},
  [1525] = {.lex_state = 11, .external_lex_state = 3},
  [1526] = {.lex_state = 13, .external_lex_state = 24},
  [1527] = {.lex_state = 15, .external_lex_state = 22},
  [1528] = {.lex_state = 11, .external_lex_state = 20},
  [1529] = {.lex_state = 12, .external_lex_state = 20},
  [1530] = {.lex_state = 12, .external_lex_state = 24},
  [1531] = {.lex_state = 11, .external_lex_state = 23},
  [1532] = {.lex_state = 12, .external_lex_state = 24},
  [1533] = {.lex_state = 16, .external_lex_state = 23},
  [1534] = {.lex_state = 11, .external_lex_state = 23},
  [1535] = {.lex_state = 13, .external_lex_state = 24},
  [1536] = {.lex_state = 14, .external_lex_state = 3},
  [1537] = {.lex_state = 12, .external_lex_state = 20},
  [1538] = {.lex_state = 11, .external_lex_state = 20},
  [1539] = {.lex_state = 6, .external_lex_state = 35},
  [1540] = {.lex_state = 11, .external_lex_state = 34},
  [1541] = {.lex_state = 16, .external_lex_state = 3},
  [1542] = {.lex_state = 11, .external_lex_state = 20},
  [1543] = {.lex_state = 13, .external_lex_state = 24},
  [1544] = {.lex_state = 11, .external_lex_state = 22},
  [1545] = {.lex_state = 11, .external_lex_state = 22},
  [1546] = {.lex_state = 11, .external_lex_state = 34},
  [1547] = {.lex_state = 13, .external_lex_state = 23},
  [1548] = {.lex_state = 13, .external_lex_state = 23},
  [1549] = {.lex_state = 11, .external_lex_state = 20},
  [1550] = {.lex_state = 18, .external_lex_state = 3},
  [1551] = {.lex_state = 17, .external_lex_state = 26},
  [1552] = {.lex_state = 14, .external_lex_state = 3},
  [1553] = {.lex_state = 14, .external_lex_state = 3},
  [1554] = {.lex_state = 14, .external_lex_state = 3},
  [1555] = {.lex_state = 11, .external_lex_state = 3},
  [1556] = {.lex_state = 14, .external_lex_state = 3},
  [1557] = {.lex_state = 11, .external_lex_state = 31},
  [1558] = {.lex_state = 13, .external_lex_state = 23},
  [1559] = {.lex_state = 11, .external_lex_state = 3},
  [1560] = {.lex_state = 13, .external_lex_state = 23},
  [1561] = {.lex_state = 11, .external_lex_state = 31},
  [1562] = {.lex_state = 18, .external_lex_state = 3},
  [1563] = {.lex_state = 11, .external_lex_state = 3},
  [1564] = {.lex_state = 11, .external_lex_state = 3},
  [1565] = {.lex_state = 11, .external_lex_state = 3},
  [1566] = {.lex_state = 11, .external_lex_state = 3},
  [1567] = {.lex_state = 11, .external_lex_state = 22},
  [1568] = {.lex_state = 13, .external_lex_state = 26},
  [1569] = {.lex_state = 15, .external_lex_state = 23},
  [1570] = {.lex_state = 18, .external_lex_state = 3},
  [1571] = {.lex_state = 13, .external_lex_state = 26},
  [1572] = {.lex_state = 11, .external_lex_state = 20},
  [1573] = {.lex_state = 17, .external_lex_state = 26},
  [1574] = {.lex_state = 12, .external_lex_state = 34},
  [1575] = {.lex_state = 11, .external_lex_state = 23},
  [1576] = {.lex_state = 11, .external_lex_state = 3},
  [1577] = {.lex_state = 13, .external_lex_state = 28},
  [1578] = {.lex_state = 11, .external_lex_state = 20},
  [1579] = {.lex_state = 12, .external_lex_state = 32},
  [1580] = {.lex_state = 12, .external_lex_state = 33},
  [1581] = {.lex_state = 13, .external_lex_state = 26},
  [1582] = {.lex_state = 11, .external_lex_state = 20},
  [1583] = {.lex_state = 13, .external_lex_state = 26},
  [1584] = {.lex_state = 17, .external_lex_state = 23},
  [1585] = {.lex_state = 11, .external_lex_state = 3},
  [1586] = {.lex_state = 17, .external_lex_state = 26},
  [1587] = {.lex_state = 15, .external_lex_state = 23},
  [1588] = {.lex_state = 15, .external_lex_state = 26},
  [1589] = {.lex_state = 11, .external_lex_state = 30},
  [1590] = {.lex_state = 12, .external_lex_state = 24},
  [1591] = {.lex_state = 12, .external_lex_state = 34},
  [1592] = {.lex_state = 17, .external_lex_state = 23},
  [1593] = {.lex_state = 12, .external_lex_state = 30},
  [1594] = {.lex_state = 11, .external_lex_state = 30},
  [1595] = {.lex_state = 12, .external_lex_state = 24},
  [1596] = {.lex_state = 11, .external_lex_state = 34},
  [1597] = {.lex_state = 17, .external_lex_state = 23},
  [1598] = {.lex_state = 11, .external_lex_state = 20},
  [1599] = {.lex_state = 13, .external_lex_state = 22},
  [1600] = {.lex_state = 15, .external_lex_state = 23},
  [1601] = {.lex_state = 11, .external_lex_state = 23},
  [1602] = {.lex_state = 11, .external_lex_state = 26},
  [1603] = {.lex_state = 11, .external_lex_state = 22},
  [1604] = {.lex_state = 11, .external_lex_state = 22},
  [1605] = {.lex_state = 12, .external_lex_state = 30},
  [1606] = {.lex_state = 12, .external_lex_state = 30},
  [1607] = {.lex_state = 12, .external_lex_state = 20},
  [1608] = {.lex_state = 11, .external_lex_state = 34},
  [1609] = {.lex_state = 13, .external_lex_state = 26},
  [1610] = {.lex_state = 11, .external_lex_state = 31},
  [1611] = {.lex_state = 12, .external_lex_state = 34},
  [1612] = {.lex_state = 11, .external_lex_state = 20},
  [1613] = {.lex_state = 11, .external_lex_state = 22},
  [1614] = {.lex_state = 11, .external_lex_state = 31},
  [1615] = {.lex_state = 15, .external_lex_state = 23},
  [1616] = {.lex_state = 11, .external_lex_state = 23},
  [1617] = {.lex_state = 12, .external_lex_state = 3},
  [1618] = {.lex_state = 12, .external_lex_state = 26},
  [1619] = {.lex_state = 12, .external_lex_state = 23},
  [1620] = {.lex_state = 11, .external_lex_state = 23},
  [1621] = {.lex_state = 14, .external_lex_state = 3},
  [1622] = {.lex_state = 11, .external_lex_state = 23},
  [1623] = {.lex_state = 11, .external_lex_state = 23},
  [1624] = {.lex_state = 14, .external_lex_state = 3},
  [1625] = {.lex_state = 14, .external_lex_state = 3},
  [1626] = {.lex_state = 12, .external_lex_state = 20},
  [1627] = {.lex_state = 11, .external_lex_state = 23},
  [1628] = {.lex_state = 11, .external_lex_state = 23},
  [1629] = {.lex_state = 12, .external_lex_state = 23},
  [1630] = {.lex_state = 11, .external_lex_state = 23},
  [1631] = {.lex_state = 14, .external_lex_state = 3},
  [1632] = {.lex_state = 11, .external_lex_state = 22},
  [1633] = {.lex_state = 14, .external_lex_state = 3},
  [1634] = {.lex_state = 14, .external_lex_state = 3},
  [1635] = {.lex_state = 11, .external_lex_state = 23},
  [1636] = {.lex_state = 11, .external_lex_state = 23},
  [1637] = {.lex_state = 11, .external_lex_state = 23},
  [1638] = {.lex_state = 12, .external_lex_state = 20},
  [1639] = {.lex_state = 14, .external_lex_state = 3},
  [1640] = {.lex_state = 14, .external_lex_state = 3},
  [1641] = {.lex_state = 12, .external_lex_state = 3},
  [1642] = {.lex_state = 11, .external_lex_state = 23},
  [1643] = {.lex_state = 12, .external_lex_state = 23},
  [1644] = {.lex_state = 14, .external_lex_state = 3},
  [1645] = {.lex_state = 11, .external_lex_state = 23},
  [1646] = {.lex_state = 12, .external_lex_state = 26},
  [1647] = {.lex_state = 12, .external_lex_state = 23},
  [1648] = {.lex_state = 16, .external_lex_state = 23},
  [1649] = {.lex_state = 12, .external_lex_state = 26},
  [1650] = {.lex_state = 14, .external_lex_state = 3},
  [1651] = {.lex_state = 11, .external_lex_state = 23},
  [1652] = {.lex_state = 14, .external_lex_state = 3},
  [1653] = {.lex_state = 11, .external_lex_state = 23},
  [1654] = {.lex_state = 11, .external_lex_state = 23},
  [1655] = {.lex_state = 11, .external_lex_state = 23},
  [1656] = {.lex_state = 12, .external_lex_state = 23},
  [1657] = {.lex_state = 16, .external_lex_state = 23},
  [1658] = {.lex_state = 11, .external_lex_state = 23},
  [1659] = {.lex_state = 14, .external_lex_state = 3},
  [1660] = {.lex_state = 11, .external_lex_state = 26},
  [1661] = {.lex_state = 16, .external_lex_state = 23},
  [1662] = {.lex_state = 11, .external_lex_state = 23},
  [1663] = {.lex_state = 14, .external_lex_state = 3},
  [1664] = {.lex_state = 14, .external_lex_state = 3},
  [1665] = {.lex_state = 14, .external_lex_state = 3},
  [1666] = {.lex_state = 12, .external_lex_state = 23},
  [1667] = {.lex_state = 12, .external_lex_state = 26},
  [1668] = {.lex_state = 11, .external_lex_state = 23},
  [1669] = {.lex_state = 11, .external_lex_state = 23},
  [1670] = {.lex_state = 16, .external_lex_state = 23},
  [1671] = {.lex_state = 17, .external_lex_state = 23},
  [1672] = {.lex_state = 11, .external_lex_state = 23},
  [1673] = {.lex_state = 12, .external_lex_state = 26},
  [1674] = {.lex_state = 16, .external_lex_state = 26},
  [1675] = {.lex_state = 11, .external_lex_state = 23},
  [1676] = {.lex_state = 13, .external_lex_state = 3},
  [1677] = {.lex_state = 11, .external_lex_state = 23},
  [1678] = {.lex_state = 12, .external_lex_state = 26},
  [1679] = {.lex_state = 14, .external_lex_state = 3},
  [1680] = {.lex_state = 11, .external_lex_state = 26},
  [1681] = {.lex_state = 14, .external_lex_state = 3},
  [1682] = {.lex_state = 12, .external_lex_state = 20},
  [1683] = {.lex_state = 13, .external_lex_state = 20},
  [1684] = {.lex_state = 14, .external_lex_state = 3},
  [1685] = {.lex_state = 12, .external_lex_state = 26},
  [1686] = {.lex_state = 14, .external_lex_state = 23},
  [1687] = {.lex_state = 14, .external_lex_state = 3},
  [1688] = {.lex_state = 14, .external_lex_state = 3},
  [1689] = {.lex_state = 13, .external_lex_state = 34},
  [1690] = {.lex_state = 13, .external_lex_state = 30},
  [1691] = {.lex_state = 14, .external_lex_state = 3},
  [1692] = {.lex_state = 13, .external_lex_state = 20},
  [1693] = {.lex_state = 14, .external_lex_state = 3},
  [1694] = {.lex_state = 11, .external_lex_state = 22},
  [1695] = {.lex_state = 14, .external_lex_state = 3},
  [1696] = {.lex_state = 12, .external_lex_state = 23},
  [1697] = {.lex_state = 12, .external_lex_state = 3},
  [1698] = {.lex_state = 12, .external_lex_state = 26},
  [1699] = {.lex_state = 14, .external_lex_state = 3},
  [1700] = {.lex_state = 14, .external_lex_state = 3},
  [1701] = {.lex_state = 13, .external_lex_state = 30},
  [1702] = {.lex_state = 13, .external_lex_state = 20},
  [1703] = {.lex_state = 12, .external_lex_state = 3},
  [1704] = {.lex_state = 14, .external_lex_state = 3},
  [1705] = {.lex_state = 13, .external_lex_state = 3},
  [1706] = {.lex_state = 12, .external_lex_state = 3},
  [1707] = {.lex_state = 12, .external_lex_state = 3},
  [1708] = {.lex_state = 14, .external_lex_state = 3},
  [1709] = {.lex_state = 13, .external_lex_state = 34},
  [1710] = {.lex_state = 14, .external_lex_state = 3},
  [1711] = {.lex_state = 14, .external_lex_state = 3},
  [1712] = {.lex_state = 14, .external_lex_state = 3},
  [1713] = {.lex_state = 14, .external_lex_state = 3},
  [1714] = {.lex_state = 14, .external_lex_state = 3},
  [1715] = {.lex_state = 14, .external_lex_state = 3},
  [1716] = {.lex_state = 14, .external_lex_state = 3},
  [1717] = {.lex_state = 12, .external_lex_state = 20},
  [1718] = {.lex_state = 13, .external_lex_state = 34},
  [1719] = {.lex_state = 14, .external_lex_state = 3},
  [1720] = {.lex_state = 11, .external_lex_state = 23},
  [1721] = {.lex_state = 13, .external_lex_state = 3},
  [1722] = {.lex_state = 14, .external_lex_state = 3},
  [1723] = {.lex_state = 12, .external_lex_state = 23},
  [1724] = {.lex_state = 11, .external_lex_state = 23},
  [1725] = {.lex_state = 11, .external_lex_state = 26},
  [1726] = {.lex_state = 12, .external_lex_state = 20},
  [1727] = {.lex_state = 11, .external_lex_state = 23},
  [1728] = {.lex_state = 11, .external_lex_state = 23},
  [1729] = {.lex_state = 11, .external_lex_state = 23},
  [1730] = {.lex_state = 11, .external_lex_state = 26},
  [1731] = {.lex_state = 11, .external_lex_state = 26},
  [1732] = {.lex_state = 11, .external_lex_state = 26},
  [1733] = {.lex_state = 11, .external_lex_state = 23},
  [1734] = {.lex_state = 14, .external_lex_state = 3},
  [1735] = {.lex_state = 13, .external_lex_state = 3},
  [1736] = {.lex_state = 12, .external_lex_state = 23},
  [1737] = {.lex_state = 12, .external_lex_state = 26},
  [1738] = {.lex_state = 14, .external_lex_state = 3},
  [1739] = {.lex_state = 13, .external_lex_state = 3},
  [1740] = {.lex_state = 17, .external_lex_state = 3},
  [1741] = {.lex_state = 14, .external_lex_state = 3},
  [1742] = {.lex_state = 13, .external_lex_state = 30},
  [1743] = {.lex_state = 12, .external_lex_state = 3},
  [1744] = {.lex_state = 13, .external_lex_state = 20},
  [1745] = {.lex_state = 11, .external_lex_state = 23},
  [1746] = {.lex_state = 12, .external_lex_state = 23},
  [1747] = {.lex_state = 12, .external_lex_state = 20},
  [1748] = {.lex_state = 13, .external_lex_state = 3},
  [1749] = {.lex_state = 17, .external_lex_state = 3},
  [1750] = {.lex_state = 14, .external_lex_state = 3},
  [1751] = {.lex_state = 12, .external_lex_state = 20},
  [1752] = {.lex_state = 14, .external_lex_state = 3},
  [1753] = {.lex_state = 17, .external_lex_state = 3},
  [1754] = {.lex_state = 12, .external_lex_state = 3},
  [1755] = {.lex_state = 14, .external_lex_state = 3},
  [1756] = {.lex_state = 12, .external_lex_state = 20},
  [1757] = {.lex_state = 12, .external_lex_state = 20},
  [1758] = {.lex_state = 14, .external_lex_state = 3},
  [1759] = {.lex_state = 12, .external_lex_state = 26},
  [1760] = {.lex_state = 12, .external_lex_state = 3},
  [1761] = {.lex_state = 13, .external_lex_state = 33},
  [1762] = {.lex_state = 16, .external_lex_state = 26},
  [1763] = {.lex_state = 11, .external_lex_state = 23},
  [1764] = {.lex_state = 12, .external_lex_state = 3},
  [1765] = {.lex_state = 12, .external_lex_state = 3},
  [1766] = {.lex_state = 12, .external_lex_state = 3},
  [1767] = {.lex_state = 12, .external_lex_state = 3},
  [1768] = {.lex_state = 11, .external_lex_state = 23},
  [1769] = {.lex_state = 12, .external_lex_state = 3},
  [1770] = {.lex_state = 17, .external_lex_state = 26},
  [1771] = {.lex_state = 12, .external_lex_state = 3},
  [1772] = {.lex_state = 14, .external_lex_state = 3},
  [1773] = {.lex_state = 14, .external_lex_state = 3},
  [1774] = {.lex_state = 18, .external_lex_state = 23},
  [1775] = {.lex_state = 14, .external_lex_state = 3},
  [1776] = {.lex_state = 14, .external_lex_state = 3},
  [1777] = {.lex_state = 14, .external_lex_state = 3},
  [1778] = {.lex_state = 14, .external_lex_state = 23},
  [1779] = {.lex_state = 14, .external_lex_state = 3},
  [1780] = {.lex_state = 14, .external_lex_state = 23},
  [1781] = {.lex_state = 18, .external_lex_state = 23},
  [1782] = {.lex_state = 14, .external_lex_state = 3},
  [1783] = {.lex_state = 14, .external_lex_state = 3},
  [1784] = {.lex_state = 11, .external_lex_state = 23},
  [1785] = {.lex_state = 16, .external_lex_state = 26},
  [1786] = {.lex_state = 16, .external_lex_state = 26},
  [1787] = {.lex_state = 13, .external_lex_state = 32},
  [1788] = {.lex_state = 13, .external_lex_state = 3},
  [1789] = {.lex_state = 12, .external_lex_state = 3},
  [1790] = {.lex_state = 12, .external_lex_state = 20},
  [1791] = {.lex_state = 14, .external_lex_state = 24},
  [1792] = {.lex_state = 14, .external_lex_state = 3},
  [1793] = {.lex_state = 14, .external_lex_state = 3},
  [1794] = {.lex_state = 12, .external_lex_state = 3},
  [1795] = {.lex_state = 12, .external_lex_state = 3},
  [1796] = {.lex_state = 14, .external_lex_state = 3},
  [1797] = {.lex_state = 11, .external_lex_state = 26},
  [1798] = {.lex_state = 12, .external_lex_state = 3},
  [1799] = {.lex_state = 12, .external_lex_state = 3},
  [1800] = {.lex_state = 12, .external_lex_state = 3},
  [1801] = {.lex_state = 12, .external_lex_state = 3},
  [1802] = {.lex_state = 14, .external_lex_state = 23},
  [1803] = {.lex_state = 12, .external_lex_state = 3},
  [1804] = {.lex_state = 12, .external_lex_state = 3},
  [1805] = {.lex_state = 12, .external_lex_state = 3},
  [1806] = {.lex_state = 12, .external_lex_state = 3},
  [1807] = {.lex_state = 12, .external_lex_state = 3},
  [1808] = {.lex_state = 12, .external_lex_state = 3},
  [1809] = {.lex_state = 12, .external_lex_state = 3},
  [1810] = {.lex_state = 12, .external_lex_state = 3},
  [1811] = {.lex_state = 16, .external_lex_state = 22},
  [1812] = {.lex_state = 11, .external_lex_state = 22},
  [1813] = {.lex_state = 12, .external_lex_state = 20},
  [1814] = {.lex_state = 12, .external_lex_state = 3},
  [1815] = {.lex_state = 13, .external_lex_state = 3},
  [1816] = {.lex_state = 12, .external_lex_state = 3},
  [1817] = {.lex_state = 12, .external_lex_state = 20},
  [1818] = {.lex_state = 12, .external_lex_state = 3},
  [1819] = {.lex_state = 12, .external_lex_state = 3},
  [1820] = {.lex_state = 12, .external_lex_state = 20},
  [1821] = {.lex_state = 12, .external_lex_state = 3},
  [1822] = {.lex_state = 17, .external_lex_state = 20},
  [1823] = {.lex_state = 16, .external_lex_state = 23},
  [1824] = {.lex_state = 18, .external_lex_state = 23},
  [1825] = {.lex_state = 12, .external_lex_state = 3},
  [1826] = {.lex_state = 12, .external_lex_state = 3},
  [1827] = {.lex_state = 17, .external_lex_state = 20},
  [1828] = {.lex_state = 13, .external_lex_state = 3},
  [1829] = {.lex_state = 12, .external_lex_state = 3},
  [1830] = {.lex_state = 13, .external_lex_state = 20},
  [1831] = {.lex_state = 11, .external_lex_state = 20},
  [1832] = {.lex_state = 12, .external_lex_state = 22},
  [1833] = {.lex_state = 17, .external_lex_state = 20},
  [1834] = {.lex_state = 13, .external_lex_state = 20},
  [1835] = {.lex_state = 12, .external_lex_state = 3},
  [1836] = {.lex_state = 14, .external_lex_state = 24},
  [1837] = {.lex_state = 12, .external_lex_state = 3},
  [1838] = {.lex_state = 13, .external_lex_state = 3},
  [1839] = {.lex_state = 11, .external_lex_state = 23},
  [1840] = {.lex_state = 17, .external_lex_state = 3},
  [1841] = {.lex_state = 12, .external_lex_state = 22},
  [1842] = {.lex_state = 11, .external_lex_state = 22},
  [1843] = {.lex_state = 13, .external_lex_state = 20},
  [1844] = {.lex_state = 14, .external_lex_state = 23},
  [1845] = {.lex_state = 11, .external_lex_state = 22},
  [1846] = {.lex_state = 11, .external_lex_state = 26},
  [1847] = {.lex_state = 14, .external_lex_state = 24},
  [1848] = {.lex_state = 7, .external_lex_state = 35},
  [1849] = {.lex_state = 12, .external_lex_state = 20},
  [1850] = {.lex_state = 12, .external_lex_state = 20},
  [1851] = {.lex_state = 12, .external_lex_state = 20},
  [1852] = {.lex_state = 11, .external_lex_state = 26},
  [1853] = {.lex_state = 11, .external_lex_state = 22},
  [1854] = {.lex_state = 11, .external_lex_state = 22},
  [1855] = {.lex_state = 12, .external_lex_state = 20},
  [1856] = {.lex_state = 11, .external_lex_state = 26},
  [1857] = {.lex_state = 11, .external_lex_state = 26},
  [1858] = {.lex_state = 11, .external_lex_state = 26},
  [1859] = {.lex_state = 11, .external_lex_state = 26},
  [1860] = {.lex_state = 11, .external_lex_state = 22},
  [1861] = {.lex_state = 11, .external_lex_state = 26},
  [1862] = {.lex_state = 12, .external_lex_state = 20},
  [1863] = {.lex_state = 11, .external_lex_state = 26},
  [1864] = {.lex_state = 12, .external_lex_state = 20},
  [1865] = {.lex_state = 12, .external_lex_state = 20},
  [1866] = {.lex_state = 12, .external_lex_state = 20},
  [1867] = {.lex_state = 12, .external_lex_state = 20},
  [1868] = {.lex_state = 12, .external_lex_state = 20},
  [1869] = {.lex_state = 12, .external_lex_state = 23},
  [1870] = {.lex_state = 12, .external_lex_state = 20},
  [1871] = {.lex_state = 12, .external_lex_state = 20},
  [1872] = {.lex_state = 12, .external_lex_state = 20},
  [1873] = {.lex_state = 12, .external_lex_state = 20},
  [1874] = {.lex_state = 12, .external_lex_state = 20},
  [1875] = {.lex_state = 14, .external_lex_state = 28},
  [1876] = {.lex_state = 12, .external_lex_state = 22},
  [1877] = {.lex_state = 13, .external_lex_state = 20},
  [1878] = {.lex_state = 11, .external_lex_state = 26},
  [1879] = {.lex_state = 11, .external_lex_state = 26},
  [1880] = {.lex_state = 12, .external_lex_state = 3},
  [1881] = {.lex_state = 11, .external_lex_state = 22},
  [1882] = {.lex_state = 13, .external_lex_state = 20},
  [1883] = {.lex_state = 18, .external_lex_state = 3},
  [1884] = {.lex_state = 7, .external_lex_state = 35},
  [1885] = {.lex_state = 7, .external_lex_state = 35},
  [1886] = {.lex_state = 11, .external_lex_state = 26},
  [1887] = {.lex_state = 11, .external_lex_state = 26},
  [1888] = {.lex_state = 12, .external_lex_state = 23},
  [1889] = {.lex_state = 12, .external_lex_state = 22},
  [1890] = {.lex_state = 11, .external_lex_state = 26},
  [1891] = {.lex_state = 11, .external_lex_state = 26},
  [1892] = {.lex_state = 11, .external_lex_state = 26},
  [1893] = {.lex_state = 11, .external_lex_state = 26},
  [1894] = {.lex_state = 11, .external_lex_state = 22},
  [1895] = {.lex_state = 11, .external_lex_state = 26},
  [1896] = {.lex_state = 11, .external_lex_state = 26},
  [1897] = {.lex_state = 11, .external_lex_state = 26},
  [1898] = {.lex_state = 11, .external_lex_state = 26},
  [1899] = {.lex_state = 11, .external_lex_state = 26},
  [1900] = {.lex_state = 11, .external_lex_state = 26},
  [1901] = {.lex_state = 11, .external_lex_state = 26},
  [1902] = {.lex_state = 11, .external_lex_state = 26},
  [1903] = {.lex_state = 14, .external_lex_state = 3},
  [1904] = {.lex_state = 12, .external_lex_state = 20},
  [1905] = {.lex_state = 11, .external_lex_state = 22},
  [1906] = {.lex_state = 11, .external_lex_state = 26},
  [1907] = {.lex_state = 12, .external_lex_state = 20},
  [1908] = {.lex_state = 11, .external_lex_state = 22},
  [1909] = {.lex_state = 11, .external_lex_state = 20},
  [1910] = {.lex_state = 11, .external_lex_state = 26},
  [1911] = {.lex_state = 11, .external_lex_state = 26},
  [1912] = {.lex_state = 12, .external_lex_state = 20},
  [1913] = {.lex_state = 11, .external_lex_state = 26},
  [1914] = {.lex_state = 12, .external_lex_state = 22},
  [1915] = {.lex_state = 12, .external_lex_state = 26},
  [1916] = {.lex_state = 12, .external_lex_state = 20},
  [1917] = {.lex_state = 11, .external_lex_state = 26},
  [1918] = {.lex_state = 11, .external_lex_state = 26},
  [1919] = {.lex_state = 12, .external_lex_state = 20},
  [1920] = {.lex_state = 12, .external_lex_state = 20},
  [1921] = {.lex_state = 11, .external_lex_state = 26},
  [1922] = {.lex_state = 13, .external_lex_state = 20},
  [1923] = {.lex_state = 11, .external_lex_state = 22},
  [1924] = {.lex_state = 16, .external_lex_state = 22},
  [1925] = {.lex_state = 14, .external_lex_state = 3},
  [1926] = {.lex_state = 12, .external_lex_state = 20},
  [1927] = {.lex_state = 11, .external_lex_state = 26},
  [1928] = {.lex_state = 12, .external_lex_state = 20},
  [1929] = {.lex_state = 11, .external_lex_state = 26},
  [1930] = {.lex_state = 16, .external_lex_state = 22},
  [1931] = {.lex_state = 11, .external_lex_state = 26},
  [1932] = {.lex_state = 18, .external_lex_state = 20},
  [1933] = {.lex_state = 12, .external_lex_state = 22},
  [1934] = {.lex_state = 12, .external_lex_state = 22},
  [1935] = {.lex_state = 12, .external_lex_state = 20},
  [1936] = {.lex_state = 11, .external_lex_state = 22},
  [1937] = {.lex_state = 16, .external_lex_state = 20},
  [1938] = {.lex_state = 12, .external_lex_state = 20},
  [1939] = {.lex_state = 11, .external_lex_state = 23},
  [1940] = {.lex_state = 16, .external_lex_state = 22},
  [1941] = {.lex_state = 14, .external_lex_state = 3},
  [1942] = {.lex_state = 12, .external_lex_state = 22},
  [1943] = {.lex_state = 12, .external_lex_state = 20},
  [1944] = {.lex_state = 11, .external_lex_state = 23},
  [1945] = {.lex_state = 17, .external_lex_state = 20},
  [1946] = {.lex_state = 13, .external_lex_state = 31},
  [1947] = {.lex_state = 12, .external_lex_state = 20},
  [1948] = {.lex_state = 11, .external_lex_state = 22},
  [1949] = {.lex_state = 11, .external_lex_state = 22},
  [1950] = {.lex_state = 11, .external_lex_state = 23},
  [1951] = {.lex_state = 11, .external_lex_state = 23},
  [1952] = {.lex_state = 12, .external_lex_state = 20},
  [1953] = {.lex_state = 12, .external_lex_state = 22},
  [1954] = {.lex_state = 12, .external_lex_state = 20},
  [1955] = {.lex_state = 11, .external_lex_state = 22},
  [1956] = {.lex_state = 11, .external_lex_state = 22},
  [1957] = {.lex_state = 11, .external_lex_state = 22},
  [1958] = {.lex_state = 12, .external_lex_state = 26},
  [1959] = {.lex_state = 11, .external_lex_state = 22},
  [1960] = {.lex_state = 11, .external_lex_state = 22},
  [1961] = {.lex_state = 11, .external_lex_state = 22},
  [1962] = {.lex_state = 11, .external_lex_state = 22},
  [1963] = {.lex_state = 12, .external_lex_state = 20},
  [1964] = {.lex_state = 11, .external_lex_state = 23},
  [1965] = {.lex_state = 12, .external_lex_state = 22},
  [1966] = {.lex_state = 11, .external_lex_state = 23},
  [1967] = {.lex_state = 11, .external_lex_state = 23},
  [1968] = {.lex_state = 11, .external_lex_state = 26},
  [1969] = {.lex_state = 11, .external_lex_state = 22},
  [1970] = {.lex_state = 12, .external_lex_state = 3},
  [1971] = {.lex_state = 11, .external_lex_state = 22},
  [1972] = {.lex_state = 11, .external_lex_state = 3},
  [1973] = {.lex_state = 11, .external_lex_state = 26},
  [1974] = {.lex_state = 14, .external_lex_state = 3},
  [1975] = {.lex_state = 14, .external_lex_state = 3},
  [1976] = {.lex_state = 16, .external_lex_state = 20},
  [1977] = {.lex_state = 12, .external_lex_state = 20},
  [1978] = {.lex_state = 11, .external_lex_state = 23},
  [1979] = {.lex_state = 11, .external_lex_state = 22},
  [1980] = {.lex_state = 11, .external_lex_state = 23},
  [1981] = {.lex_state = 12, .external_lex_state = 20},
  [1982] = {.lex_state = 11, .external_lex_state = 22},
  [1983] = {.lex_state = 11, .external_lex_state = 22},
  [1984] = {.lex_state = 11, .external_lex_state = 22},
  [1985] = {.lex_state = 11, .external_lex_state = 22},
  [1986] = {.lex_state = 18, .external_lex_state = 22},
  [1987] = {.lex_state = 11, .external_lex_state = 22},
  [1988] = {.lex_state = 14, .external_lex_state = 22},
  [1989] = {.lex_state = 11, .external_lex_state = 22},
  [1990] = {.lex_state = 11, .external_lex_state = 22},
  [1991] = {.lex_state = 11, .external_lex_state = 22},
  [1992] = {.lex_state = 11, .external_lex_state = 23},
  [1993] = {.lex_state = 12, .external_lex_state = 20},
  [1994] = {.lex_state = 12, .external_lex_state = 20},
  [1995] = {.lex_state = 11, .external_lex_state = 22},
  [1996] = {.lex_state = 12, .external_lex_state = 3},
  [1997] = {.lex_state = 12, .external_lex_state = 20},
  [1998] = {.lex_state = 16, .external_lex_state = 20},
  [1999] = {.lex_state = 12, .external_lex_state = 20},
  [2000] = {.lex_state = 11, .external_lex_state = 26},
  [2001] = {.lex_state = 14, .external_lex_state = 22},
  [2002] = {.lex_state = 13, .external_lex_state = 29},
  [2003] = {.lex_state = 18, .external_lex_state = 22},
  [2004] = {.lex_state = 11, .external_lex_state = 22},
  [2005] = {.lex_state = 11, .external_lex_state = 23},
  [2006] = {.lex_state = 12, .external_lex_state = 22},
  [2007] = {.lex_state = 17, .external_lex_state = 22},
  [2008] = {.lex_state = 12, .external_lex_state = 34},
  [2009] = {.lex_state = 11, .external_lex_state = 22},
  [2010] = {.lex_state = 14, .external_lex_state = 27},
  [2011] = {.lex_state = 12, .external_lex_state = 34},
  [2012] = {.lex_state = 12, .external_lex_state = 34},
  [2013] = {.lex_state = 12, .external_lex_state = 34},
  [2014] = {.lex_state = 14, .external_lex_state = 22},
  [2015] = {.lex_state = 12, .external_lex_state = 31},
  [2016] = {.lex_state = 12, .external_lex_state = 31},
  [2017] = {.lex_state = 13, .external_lex_state = 27},
  [2018] = {.lex_state = 14, .external_lex_state = 22},
  [2019] = {.lex_state = 13, .external_lex_state = 31},
  [2020] = {.lex_state = 13, .external_lex_state = 27},
  [2021] = {.lex_state = 12, .external_lex_state = 30},
  [2022] = {.lex_state = 12, .external_lex_state = 30},
  [2023] = {.lex_state = 13, .external_lex_state = 24},
  [2024] = {.lex_state = 12, .external_lex_state = 31},
  [2025] = {.lex_state = 13, .external_lex_state = 24},
  [2026] = {.lex_state = 18, .external_lex_state = 22},
  [2027] = {.lex_state = 13, .external_lex_state = 31},
  [2028] = {.lex_state = 16, .external_lex_state = 22},
  [2029] = {.lex_state = 12, .external_lex_state = 31},
  [2030] = {.lex_state = 11, .external_lex_state = 22},
  [2031] = {.lex_state = 14, .external_lex_state = 27},
  [2032] = {.lex_state = 7, .external_lex_state = 35},
  [2033] = {.lex_state = 14, .external_lex_state = 22},
  [2034] = {.lex_state = 14, .external_lex_state = 27},
  [2035] = {.lex_state = 13, .external_lex_state = 27},
  [2036] = {.lex_state = 11, .external_lex_state = 22},
  [2037] = {.lex_state = 13, .external_lex_state = 27},
  [2038] = {.lex_state = 12, .external_lex_state = 30},
  [2039] = {.lex_state = 12, .external_lex_state = 30},
  [2040] = {.lex_state = 11, .external_lex_state = 22},
  [2041] = {.lex_state = 11, .external_lex_state = 22},
  [2042] = {.lex_state = 11, .external_lex_state = 22},
  [2043] = {.lex_state = 11, .external_lex_state = 22},
  [2044] = {.lex_state = 13, .external_lex_state = 24},
  [2045] = {.lex_state = 11, .external_lex_state = 22},
  [2046] = {.lex_state = 12, .external_lex_state = 22},
  [2047] = {.lex_state = 11, .external_lex_state = 22},
  [2048] = {.lex_state = 14, .external_lex_state = 25},
  [2049] = {.lex_state = 14, .external_lex_state = 26},
  [2050] = {.lex_state = 18, .external_lex_state = 26},
  [2051] = {.lex_state = 14, .external_lex_state = 26},
  [2052] = {.lex_state = 14, .external_lex_state = 26},
  [2053] = {.lex_state = 18, .external_lex_state = 26},
  [2054] = {.lex_state = 14, .external_lex_state = 3},
  [2055] = {.lex_state = 14, .external_lex_state = 26},
  [2056] = {.lex_state = 14, .external_lex_state = 26},
  [2057] = {.lex_state = 18, .external_lex_state = 26},
  [2058] = {.lex_state = 16, .external_lex_state = 26},
  [2059] = {.lex_state = 11, .external_lex_state = 26},
  [2060] = {.lex_state = 13, .external_lex_state = 24},
  [2061] = {.lex_state = 12, .external_lex_state = 26},
  [2062] = {.lex_state = 17, .external_lex_state = 22},
  [2063] = {.lex_state = 13, .external_lex_state = 3},
  [2064] = {.lex_state = 13, .external_lex_state = 3},
  [2065] = {.lex_state = 13, .external_lex_state = 3},
  [2066] = {.lex_state = 14, .external_lex_state = 3},
  [2067] = {.lex_state = 13, .external_lex_state = 3},
  [2068] = {.lex_state = 14, .external_lex_state = 3},
  [2069] = {.lex_state = 14, .external_lex_state = 3},
  [2070] = {.lex_state = 14, .external_lex_state = 3},
  [2071] = {.lex_state = 18, .external_lex_state = 20},
  [2072] = {.lex_state = 17, .external_lex_state = 22},
  [2073] = {.lex_state = 18, .external_lex_state = 20},
  [2074] = {.lex_state = 14, .external_lex_state = 20},
  [2075] = {.lex_state = 12, .external_lex_state = 23},
  [2076] = {.lex_state = 18, .external_lex_state = 20},
  [2077] = {.lex_state = 14, .external_lex_state = 20},
  [2078] = {.lex_state = 14, .external_lex_state = 30},
  [2079] = {.lex_state = 14, .external_lex_state = 3},
  [2080] = {.lex_state = 14, .external_lex_state = 30},
  [2081] = {.lex_state = 14, .external_lex_state = 3},
  [2082] = {.lex_state = 14, .external_lex_state = 3},
  [2083] = {.lex_state = 12, .external_lex_state = 20},
  [2084] = {.lex_state = 14, .external_lex_state = 30},
  [2085] = {.lex_state = 14, .external_lex_state = 20},
  [2086] = {.lex_state = 12, .external_lex_state = 23},
  [2087] = {.lex_state = 13, .external_lex_state = 3},
  [2088] = {.lex_state = 12, .external_lex_state = 23},
  [2089] = {.lex_state = 12, .external_lex_state = 23},
  [2090] = {.lex_state = 12, .external_lex_state = 23},
  [2091] = {.lex_state = 13, .external_lex_state = 20},
  [2092] = {.lex_state = 13, .external_lex_state = 3},
  [2093] = {.lex_state = 11, .external_lex_state = 20},
  [2094] = {.lex_state = 14, .external_lex_state = 3},
  [2095] = {.lex_state = 14, .external_lex_state = 32},
  [2096] = {.lex_state = 18, .external_lex_state = 23},
  [2097] = {.lex_state = 12, .external_lex_state = 23},
  [2098] = {.lex_state = 6, .external_lex_state = 36},
  [2099] = {.lex_state = 13, .external_lex_state = 20},
  [2100] = {.lex_state = 13, .external_lex_state = 26},
  [2101] = {.lex_state = 17, .external_lex_state = 26},
  [2102] = {.lex_state = 12, .external_lex_state = 3},
  [2103] = {.lex_state = 6, .external_lex_state = 36},
  [2104] = {.lex_state = 13, .external_lex_state = 3},
  [2105] = {.lex_state = 13, .external_lex_state = 26},
  [2106] = {.lex_state = 14, .external_lex_state = 20},
  [2107] = {.lex_state = 14, .external_lex_state = 20},
  [2108] = {.lex_state = 13, .external_lex_state = 3},
  [2109] = {.lex_state = 14, .external_lex_state = 20},
  [2110] = {.lex_state = 13, .external_lex_state = 26},
  [2111] = {.lex_state = 13, .external_lex_state = 26},
  [2112] = {.lex_state = 14, .external_lex_state = 20},
  [2113] = {.lex_state = 14, .external_lex_state = 20},
  [2114] = {.lex_state = 13, .external_lex_state = 26},
  [2115] = {.lex_state = 18, .external_lex_state = 3},
  [2116] = {.lex_state = 12, .external_lex_state = 23},
  [2117] = {.lex_state = 13, .external_lex_state = 3},
  [2118] = {.lex_state = 13, .external_lex_state = 26},
  [2119] = {.lex_state = 13, .external_lex_state = 20},
  [2120] = {.lex_state = 14, .external_lex_state = 3},
  [2121] = {.lex_state = 12, .external_lex_state = 23},
  [2122] = {.lex_state = 13, .external_lex_state = 20},
  [2123] = {.lex_state = 13, .external_lex_state = 20},
  [2124] = {.lex_state = 13, .external_lex_state = 20},
  [2125] = {.lex_state = 13, .external_lex_state = 20},
  [2126] = {.lex_state = 18, .external_lex_state = 3},
  [2127] = {.lex_state = 14, .external_lex_state = 20},
  [2128] = {.lex_state = 13, .external_lex_state = 3},
  [2129] = {.lex_state = 13, .external_lex_state = 3},
  [2130] = {.lex_state = 13, .external_lex_state = 3},
  [2131] = {.lex_state = 13, .external_lex_state = 3},
  [2132] = {.lex_state = 13, .external_lex_state = 3},
  [2133] = {.lex_state = 13, .external_lex_state = 3},
  [2134] = {.lex_state = 13, .external_lex_state = 3},
  [2135] = {.lex_state = 14, .external_lex_state = 20},
  [2136] = {.lex_state = 13, .external_lex_state = 3},
  [2137] = {.lex_state = 13, .external_lex_state = 3},
  [2138] = {.lex_state = 13, .external_lex_state = 3},
  [2139] = {.lex_state = 13, .external_lex_state = 3},
  [2140] = {.lex_state = 8, .external_lex_state = 37},
  [2141] = {.lex_state = 12, .external_lex_state = 22},
  [2142] = {.lex_state = 13, .external_lex_state = 3},
  [2143] = {.lex_state = 13, .external_lex_state = 3},
  [2144] = {.lex_state = 13, .external_lex_state = 3},
  [2145] = {.lex_state = 13, .external_lex_state = 3},
  [2146] = {.lex_state = 13, .external_lex_state = 3},
  [2147] = {.lex_state = 13, .external_lex_state = 3},
  [2148] = {.lex_state = 13, .external_lex_state = 3},
  [2149] = {.lex_state = 13, .external_lex_state = 3},
  [2150] = {.lex_state = 13, .external_lex_state = 3},
  [2151] = {.lex_state = 13, .external_lex_state = 3},
  [2152] = {.lex_state = 13, .external_lex_state = 3},
  [2153] = {.lex_state = 13, .external_lex_state = 3},
  [2154] = {.lex_state = 13, .external_lex_state = 3},
  [2155] = {.lex_state = 13, .external_lex_state = 3},
  [2156] = {.lex_state = 13, .external_lex_state = 3},
  [2157] = {.lex_state = 12, .external_lex_state = 22},
  [2158] = {.lex_state = 13, .external_lex_state = 26},
  [2159] = {.lex_state = 12, .external_lex_state = 22},
  [2160] = {.lex_state = 12, .external_lex_state = 22},
  [2161] = {.lex_state = 12, .external_lex_state = 22},
  [2162] = {.lex_state = 13, .external_lex_state = 3},
  [2163] = {.lex_state = 13, .external_lex_state = 3},
  [2164] = {.lex_state = 13, .external_lex_state = 3},
  [2165] = {.lex_state = 13, .external_lex_state = 3},
  [2166] = {.lex_state = 13, .external_lex_state = 3},
  [2167] = {.lex_state = 13, .external_lex_state = 3},
  [2168] = {.lex_state = 12, .external_lex_state = 22},
  [2169] = {.lex_state = 12, .external_lex_state = 23},
  [2170] = {.lex_state = 13, .external_lex_state = 3},
  [2171] = {.lex_state = 14, .external_lex_state = 3},
  [2172] = {.lex_state = 18, .external_lex_state = 3},
  [2173] = {.lex_state = 12, .external_lex_state = 23},
  [2174] = {.lex_state = 13, .external_lex_state = 23},
  [2175] = {.lex_state = 12, .external_lex_state = 23},
  [2176] = {.lex_state = 12, .external_lex_state = 23},
  [2177] = {.lex_state = 12, .external_lex_state = 23},
  [2178] = {.lex_state = 13, .external_lex_state = 23},
  [2179] = {.lex_state = 12, .external_lex_state = 23},
  [2180] = {.lex_state = 12, .external_lex_state = 23},
  [2181] = {.lex_state = 12, .external_lex_state = 23},
  [2182] = {.lex_state = 18, .external_lex_state = 20},
  [2183] = {.lex_state = 12, .external_lex_state = 23},
  [2184] = {.lex_state = 12, .external_lex_state = 23},
  [2185] = {.lex_state = 12, .external_lex_state = 23},
  [2186] = {.lex_state = 13, .external_lex_state = 23},
  [2187] = {.lex_state = 12, .external_lex_state = 23},
  [2188] = {.lex_state = 17, .external_lex_state = 23},
  [2189] = {.lex_state = 13, .external_lex_state = 20},
  [2190] = {.lex_state = 18, .external_lex_state = 3},
  [2191] = {.lex_state = 12, .external_lex_state = 23},
  [2192] = {.lex_state = 12, .external_lex_state = 23},
  [2193] = {.lex_state = 12, .external_lex_state = 23},
  [2194] = {.lex_state = 12, .external_lex_state = 23},
  [2195] = {.lex_state = 12, .external_lex_state = 23},
  [2196] = {.lex_state = 12, .external_lex_state = 23},
  [2197] = {.lex_state = 12, .external_lex_state = 23},
  [2198] = {.lex_state = 12, .external_lex_state = 23},
  [2199] = {.lex_state = 12, .external_lex_state = 23},
  [2200] = {.lex_state = 12, .external_lex_state = 23},
  [2201] = {.lex_state = 12, .external_lex_state = 23},
  [2202] = {.lex_state = 12, .external_lex_state = 23},
  [2203] = {.lex_state = 12, .external_lex_state = 23},
  [2204] = {.lex_state = 12, .external_lex_state = 26},
  [2205] = {.lex_state = 12, .external_lex_state = 23},
  [2206] = {.lex_state = 13, .external_lex_state = 23},
  [2207] = {.lex_state = 12, .external_lex_state = 26},
  [2208] = {.lex_state = 13, .external_lex_state = 20},
  [2209] = {.lex_state = 12, .external_lex_state = 26},
  [2210] = {.lex_state = 12, .external_lex_state = 26},
  [2211] = {.lex_state = 12, .external_lex_state = 26},
  [2212] = {.lex_state = 12, .external_lex_state = 26},
  [2213] = {.lex_state = 13, .external_lex_state = 26},
  [2214] = {.lex_state = 12, .external_lex_state = 23},
  [2215] = {.lex_state = 12, .external_lex_state = 23},
  [2216] = {.lex_state = 12, .external_lex_state = 23},
  [2217] = {.lex_state = 12, .external_lex_state = 23},
  [2218] = {.lex_state = 12, .external_lex_state = 23},
  [2219] = {.lex_state = 12, .external_lex_state = 23},
  [2220] = {.lex_state = 8, .external_lex_state = 37},
  [2221] = {.lex_state = 12, .external_lex_state = 23},
  [2222] = {.lex_state = 12, .external_lex_state = 23},
  [2223] = {.lex_state = 17, .external_lex_state = 23},
  [2224] = {.lex_state = 8, .external_lex_state = 37},
  [2225] = {.lex_state = 12, .external_lex_state = 26},
  [2226] = {.lex_state = 17, .external_lex_state = 23},
  [2227] = {.lex_state = 13, .external_lex_state = 23},
  [2228] = {.lex_state = 11, .external_lex_state = 26},
  [2229] = {.lex_state = 12, .external_lex_state = 26},
  [2230] = {.lex_state = 14, .external_lex_state = 31},
  [2231] = {.lex_state = 17, .external_lex_state = 23},
  [2232] = {.lex_state = 13, .external_lex_state = 23},
  [2233] = {.lex_state = 12, .external_lex_state = 26},
  [2234] = {.lex_state = 13, .external_lex_state = 23},
  [2235] = {.lex_state = 12, .external_lex_state = 26},
  [2236] = {.lex_state = 12, .external_lex_state = 26},
  [2237] = {.lex_state = 12, .external_lex_state = 26},
  [2238] = {.lex_state = 12, .external_lex_state = 26},
  [2239] = {.lex_state = 12, .external_lex_state = 26},
  [2240] = {.lex_state = 12, .external_lex_state = 26},
  [2241] = {.lex_state = 12, .external_lex_state = 26},
  [2242] = {.lex_state = 14, .external_lex_state = 31},
  [2243] = {.lex_state = 13, .external_lex_state = 23},
  [2244] = {.lex_state = 12, .external_lex_state = 22},
  [2245] = {.lex_state = 12, .external_lex_state = 26},
  [2246] = {.lex_state = 6, .external_lex_state = 36},
  [2247] = {.lex_state = 12, .external_lex_state = 26},
  [2248] = {.lex_state = 12, .external_lex_state = 26},
  [2249] = {.lex_state = 14, .external_lex_state = 27},
  [2250] = {.lex_state = 12, .external_lex_state = 26},
  [2251] = {.lex_state = 12, .external_lex_state = 26},
  [2252] = {.lex_state = 6, .external_lex_state = 36},
  [2253] = {.lex_state = 12, .external_lex_state = 26},
  [2254] = {.lex_state = 12, .external_lex_state = 26},
  [2255] = {.lex_state = 13, .external_lex_state = 26},
  [2256] = {.lex_state = 17, .external_lex_state = 26},
  [2257] = {.lex_state = 12, .external_lex_state = 26},
  [2258] = {.lex_state = 13, .external_lex_state = 26},
  [2259] = {.lex_state = 13, .external_lex_state = 23},
  [2260] = {.lex_state = 17, .external_lex_state = 26},
  [2261] = {.lex_state = 17, .external_lex_state = 26},
  [2262] = {.lex_state = 14, .external_lex_state = 31},
  [2263] = {.lex_state = 12, .external_lex_state = 22},
  [2264] = {.lex_state = 5, .external_lex_state = 35},
  [2265] = {.lex_state = 18, .external_lex_state = 26},
  [2266] = {.lex_state = 13, .external_lex_state = 23},
  [2267] = {.lex_state = 14, .external_lex_state = 33},
  [2268] = {.lex_state = 12, .external_lex_state = 26},
  [2269] = {.lex_state = 12, .external_lex_state = 26},
  [2270] = {.lex_state = 14, .external_lex_state = 34},
  [2271] = {.lex_state = 13, .external_lex_state = 20},
  [2272] = {.lex_state = 6, .external_lex_state = 36},
  [2273] = {.lex_state = 11, .external_lex_state = 22},
  [2274] = {.lex_state = 12, .external_lex_state = 26},
  [2275] = {.lex_state = 12, .external_lex_state = 26},
  [2276] = {.lex_state = 14, .external_lex_state = 27},
  [2277] = {.lex_state = 13, .external_lex_state = 3},
  [2278] = {.lex_state = 13, .external_lex_state = 20},
  [2279] = {.lex_state = 13, .external_lex_state = 20},
  [2280] = {.lex_state = 13, .external_lex_state = 20},
  [2281] = {.lex_state = 13, .external_lex_state = 20},
  [2282] = {.lex_state = 13, .external_lex_state = 20},
  [2283] = {.lex_state = 13, .external_lex_state = 20},
  [2284] = {.lex_state = 13, .external_lex_state = 20},
  [2285] = {.lex_state = 14, .external_lex_state = 29},
  [2286] = {.lex_state = 13, .external_lex_state = 20},
  [2287] = {.lex_state = 13, .external_lex_state = 20},
  [2288] = {.lex_state = 13, .external_lex_state = 20},
  [2289] = {.lex_state = 13, .external_lex_state = 20},
  [2290] = {.lex_state = 18, .external_lex_state = 22},
  [2291] = {.lex_state = 14, .external_lex_state = 34},
  [2292] = {.lex_state = 13, .external_lex_state = 20},
  [2293] = {.lex_state = 13, .external_lex_state = 20},
  [2294] = {.lex_state = 13, .external_lex_state = 20},
  [2295] = {.lex_state = 13, .external_lex_state = 20},
  [2296] = {.lex_state = 13, .external_lex_state = 20},
  [2297] = {.lex_state = 13, .external_lex_state = 20},
  [2298] = {.lex_state = 13, .external_lex_state = 20},
  [2299] = {.lex_state = 13, .external_lex_state = 20},
  [2300] = {.lex_state = 13, .external_lex_state = 20},
  [2301] = {.lex_state = 13, .external_lex_state = 20},
  [2302] = {.lex_state = 12, .external_lex_state = 26},
  [2303] = {.lex_state = 13, .external_lex_state = 20},
  [2304] = {.lex_state = 5, .external_lex_state = 35},
  [2305] = {.lex_state = 13, .external_lex_state = 20},
  [2306] = {.lex_state = 13, .external_lex_state = 20},
  [2307] = {.lex_state = 13, .external_lex_state = 20},
  [2308] = {.lex_state = 13, .external_lex_state = 20},
  [2309] = {.lex_state = 5, .external_lex_state = 35},
  [2310] = {.lex_state = 12, .external_lex_state = 26},
  [2311] = {.lex_state = 12, .external_lex_state = 26},
  [2312] = {.lex_state = 14, .external_lex_state = 34},
  [2313] = {.lex_state = 12, .external_lex_state = 22},
  [2314] = {.lex_state = 12, .external_lex_state = 26},
  [2315] = {.lex_state = 13, .external_lex_state = 20},
  [2316] = {.lex_state = 13, .external_lex_state = 20},
  [2317] = {.lex_state = 12, .external_lex_state = 26},
  [2318] = {.lex_state = 13, .external_lex_state = 20},
  [2319] = {.lex_state = 13, .external_lex_state = 3},
  [2320] = {.lex_state = 12, .external_lex_state = 23},
  [2321] = {.lex_state = 13, .external_lex_state = 20},
  [2322] = {.lex_state = 12, .external_lex_state = 26},
  [2323] = {.lex_state = 13, .external_lex_state = 20},
  [2324] = {.lex_state = 13, .external_lex_state = 20},
  [2325] = {.lex_state = 12, .external_lex_state = 20},
  [2326] = {.lex_state = 13, .external_lex_state = 20},
  [2327] = {.lex_state = 13, .external_lex_state = 20},
  [2328] = {.lex_state = 13, .external_lex_state = 20},
  [2329] = {.lex_state = 12, .external_lex_state = 22},
  [2330] = {.lex_state = 12, .external_lex_state = 22},
  [2331] = {.lex_state = 13, .external_lex_state = 22},
  [2332] = {.lex_state = 12, .external_lex_state = 26},
  [2333] = {.lex_state = 12, .external_lex_state = 22},
  [2334] = {.lex_state = 12, .external_lex_state = 22},
  [2335] = {.lex_state = 13, .external_lex_state = 22},
  [2336] = {.lex_state = 12, .external_lex_state = 22},
  [2337] = {.lex_state = 12, .external_lex_state = 22},
  [2338] = {.lex_state = 12, .external_lex_state = 22},
  [2339] = {.lex_state = 12, .external_lex_state = 22},
  [2340] = {.lex_state = 12, .external_lex_state = 22},
  [2341] = {.lex_state = 12, .external_lex_state = 22},
  [2342] = {.lex_state = 13, .external_lex_state = 22},
  [2343] = {.lex_state = 12, .external_lex_state = 22},
  [2344] = {.lex_state = 12, .external_lex_state = 26},
  [2345] = {.lex_state = 12, .external_lex_state = 22},
  [2346] = {.lex_state = 12, .external_lex_state = 22},
  [2347] = {.lex_state = 12, .external_lex_state = 22},
  [2348] = {.lex_state = 12, .external_lex_state = 22},
  [2349] = {.lex_state = 12, .external_lex_state = 22},
  [2350] = {.lex_state = 12, .external_lex_state = 22},
  [2351] = {.lex_state = 14, .external_lex_state = 24},
  [2352] = {.lex_state = 12, .external_lex_state = 22},
  [2353] = {.lex_state = 12, .external_lex_state = 22},
  [2354] = {.lex_state = 14, .external_lex_state = 27},
  [2355] = {.lex_state = 14, .external_lex_state = 24},
  [2356] = {.lex_state = 12, .external_lex_state = 22},
  [2357] = {.lex_state = 14, .external_lex_state = 27},
  [2358] = {.lex_state = 12, .external_lex_state = 22},
  [2359] = {.lex_state = 12, .external_lex_state = 22},
  [2360] = {.lex_state = 12, .external_lex_state = 22},
  [2361] = {.lex_state = 12, .external_lex_state = 22},
  [2362] = {.lex_state = 12, .external_lex_state = 22},
  [2363] = {.lex_state = 12, .external_lex_state = 26},
  [2364] = {.lex_state = 12, .external_lex_state = 22},
  [2365] = {.lex_state = 13, .external_lex_state = 22},
  [2366] = {.lex_state = 12, .external_lex_state = 26},
  [2367] = {.lex_state = 6, .external_lex_state = 36},
  [2368] = {.lex_state = 13, .external_lex_state = 22},
  [2369] = {.lex_state = 12, .external_lex_state = 26},
  [2370] = {.lex_state = 13, .external_lex_state = 22},
  [2371] = {.lex_state = 12, .external_lex_state = 26},
  [2372] = {.lex_state = 12, .external_lex_state = 26},
  [2373] = {.lex_state = 12, .external_lex_state = 22},
  [2374] = {.lex_state = 12, .external_lex_state = 22},
  [2375] = {.lex_state = 12, .external_lex_state = 22},
  [2376] = {.lex_state = 12, .external_lex_state = 22},
  [2377] = {.lex_state = 13, .external_lex_state = 34},
  [2378] = {.lex_state = 12, .external_lex_state = 22},
  [2379] = {.lex_state = 12, .external_lex_state = 22},
  [2380] = {.lex_state = 13, .external_lex_state = 34},
  [2381] = {.lex_state = 12, .external_lex_state = 26},
  [2382] = {.lex_state = 12, .external_lex_state = 22},
  [2383] = {.lex_state = 14, .external_lex_state = 24},
  [2384] = {.lex_state = 12, .external_lex_state = 22},
  [2385] = {.lex_state = 14, .external_lex_state = 24},
  [2386] = {.lex_state = 13, .external_lex_state = 22},
  [2387] = {.lex_state = 13, .external_lex_state = 30},
  [2388] = {.lex_state = 13, .external_lex_state = 30},
  [2389] = {.lex_state = 17, .external_lex_state = 22},
  [2390] = {.lex_state = 13, .external_lex_state = 30},
  [2391] = {.lex_state = 13, .external_lex_state = 34},
  [2392] = {.lex_state = 11, .external_lex_state = 23},
  [2393] = {.lex_state = 13, .external_lex_state = 34},
  [2394] = {.lex_state = 13, .external_lex_state = 31},
  [2395] = {.lex_state = 17, .external_lex_state = 22},
  [2396] = {.lex_state = 13, .external_lex_state = 31},
  [2397] = {.lex_state = 13, .external_lex_state = 22},
  [2398] = {.lex_state = 13, .external_lex_state = 22},
  [2399] = {.lex_state = 13, .external_lex_state = 31},
  [2400] = {.lex_state = 13, .external_lex_state = 30},
  [2401] = {.lex_state = 13, .external_lex_state = 31},
  [2402] = {.lex_state = 13, .external_lex_state = 22},
  [2403] = {.lex_state = 13, .external_lex_state = 26},
  [2404] = {.lex_state = 14, .external_lex_state = 20},
  [2405] = {.lex_state = 14, .external_lex_state = 34},
  [2406] = {.lex_state = 7, .external_lex_state = 36},
  [2407] = {.lex_state = 14, .external_lex_state = 34},
  [2408] = {.lex_state = 14, .external_lex_state = 3},
  [2409] = {.lex_state = 14, .external_lex_state = 20},
  [2410] = {.lex_state = 13, .external_lex_state = 22},
  [2411] = {.lex_state = 14, .external_lex_state = 34},
  [2412] = {.lex_state = 13, .external_lex_state = 22},
  [2413] = {.lex_state = 14, .external_lex_state = 34},
  [2414] = {.lex_state = 13, .external_lex_state = 22},
  [2415] = {.lex_state = 13, .external_lex_state = 22},
  [2416] = {.lex_state = 14, .external_lex_state = 3},
  [2417] = {.lex_state = 14, .external_lex_state = 20},
  [2418] = {.lex_state = 13, .external_lex_state = 22},
  [2419] = {.lex_state = 13, .external_lex_state = 22},
  [2420] = {.lex_state = 13, .external_lex_state = 22},
  [2421] = {.lex_state = 13, .external_lex_state = 22},
  [2422] = {.lex_state = 13, .external_lex_state = 22},
  [2423] = {.lex_state = 13, .external_lex_state = 22},
  [2424] = {.lex_state = 13, .external_lex_state = 22},
  [2425] = {.lex_state = 14, .external_lex_state = 20},
  [2426] = {.lex_state = 13, .external_lex_state = 26},
  [2427] = {.lex_state = 13, .external_lex_state = 22},
  [2428] = {.lex_state = 13, .external_lex_state = 22},
  [2429] = {.lex_state = 13, .external_lex_state = 22},
  [2430] = {.lex_state = 13, .external_lex_state = 22},
  [2431] = {.lex_state = 13, .external_lex_state = 22},
  [2432] = {.lex_state = 13, .external_lex_state = 22},
  [2433] = {.lex_state = 13, .external_lex_state = 22},
  [2434] = {.lex_state = 13, .external_lex_state = 22},
  [2435] = {.lex_state = 13, .external_lex_state = 22},
  [2436] = {.lex_state = 13, .external_lex_state = 22},
  [2437] = {.lex_state = 13, .external_lex_state = 22},
  [2438] = {.lex_state = 13, .external_lex_state = 22},
  [2439] = {.lex_state = 13, .external_lex_state = 22},
  [2440] = {.lex_state = 13, .external_lex_state = 22},
  [2441] = {.lex_state = 13, .external_lex_state = 22},
  [2442] = {.lex_state = 13, .external_lex_state = 26},
  [2443] = {.lex_state = 14, .external_lex_state = 3},
  [2444] = {.lex_state = 13, .external_lex_state = 26},
  [2445] = {.lex_state = 13, .external_lex_state = 26},
  [2446] = {.lex_state = 13, .external_lex_state = 26},
  [2447] = {.lex_state = 13, .external_lex_state = 26},
  [2448] = {.lex_state = 13, .external_lex_state = 22},
  [2449] = {.lex_state = 13, .external_lex_state = 22},
  [2450] = {.lex_state = 7, .external_lex_state = 36},
  [2451] = {.lex_state = 13, .external_lex_state = 22},
  [2452] = {.lex_state = 13, .external_lex_state = 22},
  [2453] = {.lex_state = 13, .external_lex_state = 22},
  [2454] = {.lex_state = 14, .external_lex_state = 31},
  [2455] = {.lex_state = 14, .external_lex_state = 3},
  [2456] = {.lex_state = 14, .external_lex_state = 3},
  [2457] = {.lex_state = 14, .external_lex_state = 3},
  [2458] = {.lex_state = 14, .external_lex_state = 20},
  [2459] = {.lex_state = 13, .external_lex_state = 26},
  [2460] = {.lex_state = 14, .external_lex_state = 3},
  [2461] = {.lex_state = 13, .external_lex_state = 26},
  [2462] = {.lex_state = 13, .external_lex_state = 22},
  [2463] = {.lex_state = 13, .external_lex_state = 22},
  [2464] = {.lex_state = 14, .external_lex_state = 20},
  [2465] = {.lex_state = 14, .external_lex_state = 30},
  [2466] = {.lex_state = 7, .external_lex_state = 36},
  [2467] = {.lex_state = 14, .external_lex_state = 20},
  [2468] = {.lex_state = 14, .external_lex_state = 3},
  [2469] = {.lex_state = 14, .external_lex_state = 20},
  [2470] = {.lex_state = 14, .external_lex_state = 3},
  [2471] = {.lex_state = 14, .external_lex_state = 3},
  [2472] = {.lex_state = 14, .external_lex_state = 3},
  [2473] = {.lex_state = 13, .external_lex_state = 23},
  [2474] = {.lex_state = 14, .external_lex_state = 3},
  [2475] = {.lex_state = 14, .external_lex_state = 3},
  [2476] = {.lex_state = 14, .external_lex_state = 3},
  [2477] = {.lex_state = 14, .external_lex_state = 20},
  [2478] = {.lex_state = 14, .external_lex_state = 3},
  [2479] = {.lex_state = 14, .external_lex_state = 3},
  [2480] = {.lex_state = 14, .external_lex_state = 3},
  [2481] = {.lex_state = 14, .external_lex_state = 3},
  [2482] = {.lex_state = 14, .external_lex_state = 3},
  [2483] = {.lex_state = 14, .external_lex_state = 3},
  [2484] = {.lex_state = 14, .external_lex_state = 3},
  [2485] = {.lex_state = 11, .external_lex_state = 20},
  [2486] = {.lex_state = 14, .external_lex_state = 20},
  [2487] = {.lex_state = 14, .external_lex_state = 20},
  [2488] = {.lex_state = 12, .external_lex_state = 23},
  [2489] = {.lex_state = 14, .external_lex_state = 3},
  [2490] = {.lex_state = 11, .external_lex_state = 20},
  [2491] = {.lex_state = 13, .external_lex_state = 26},
  [2492] = {.lex_state = 14, .external_lex_state = 20},
  [2493] = {.lex_state = 13, .external_lex_state = 26},
  [2494] = {.lex_state = 13, .external_lex_state = 26},
  [2495] = {.lex_state = 14, .external_lex_state = 20},
  [2496] = {.lex_state = 13, .external_lex_state = 23},
  [2497] = {.lex_state = 14, .external_lex_state = 20},
  [2498] = {.lex_state = 13, .external_lex_state = 23},
  [2499] = {.lex_state = 14, .external_lex_state = 20},
  [2500] = {.lex_state = 14, .external_lex_state = 20},
  [2501] = {.lex_state = 13, .external_lex_state = 26},
  [2502] = {.lex_state = 14, .external_lex_state = 20},
  [2503] = {.lex_state = 14, .external_lex_state = 22},
  [2504] = {.lex_state = 18, .external_lex_state = 23},
  [2505] = {.lex_state = 18, .external_lex_state = 22},
  [2506] = {.lex_state = 13, .external_lex_state = 26},
  [2507] = {.lex_state = 14, .external_lex_state = 3},
  [2508] = {.lex_state = 14, .external_lex_state = 3},
  [2509] = {.lex_state = 14, .external_lex_state = 20},
  [2510] = {.lex_state = 12, .external_lex_state = 22},
  [2511] = {.lex_state = 14, .external_lex_state = 20},
  [2512] = {.lex_state = 7, .external_lex_state = 36},
  [2513] = {.lex_state = 14, .external_lex_state = 20},
  [2514] = {.lex_state = 13, .external_lex_state = 23},
  [2515] = {.lex_state = 14, .external_lex_state = 23},
  [2516] = {.lex_state = 13, .external_lex_state = 23},
  [2517] = {.lex_state = 13, .external_lex_state = 23},
  [2518] = {.lex_state = 13, .external_lex_state = 26},
  [2519] = {.lex_state = 11, .external_lex_state = 20},
  [2520] = {.lex_state = 14, .external_lex_state = 3},
  [2521] = {.lex_state = 13, .external_lex_state = 26},
  [2522] = {.lex_state = 14, .external_lex_state = 3},
  [2523] = {.lex_state = 14, .external_lex_state = 3},
  [2524] = {.lex_state = 13, .external_lex_state = 26},
  [2525] = {.lex_state = 13, .external_lex_state = 22},
  [2526] = {.lex_state = 7, .external_lex_state = 36},
  [2527] = {.lex_state = 13, .external_lex_state = 22},
  [2528] = {.lex_state = 14, .external_lex_state = 3},
  [2529] = {.lex_state = 13, .external_lex_state = 22},
  [2530] = {.lex_state = 13, .external_lex_state = 26},
  [2531] = {.lex_state = 14, .external_lex_state = 20},
  [2532] = {.lex_state = 13, .external_lex_state = 26},
  [2533] = {.lex_state = 13, .external_lex_state = 23},
  [2534] = {.lex_state = 14, .external_lex_state = 20},
  [2535] = {.lex_state = 13, .external_lex_state = 23},
  [2536] = {.lex_state = 14, .external_lex_state = 3},
  [2537] = {.lex_state = 14, .external_lex_state = 3},
  [2538] = {.lex_state = 14, .external_lex_state = 3},
  [2539] = {.lex_state = 14, .external_lex_state = 3},
  [2540] = {.lex_state = 6, .external_lex_state = 38},
  [2541] = {.lex_state = 13, .external_lex_state = 26},
  [2542] = {.lex_state = 11, .external_lex_state = 20},
  [2543] = {.lex_state = 13, .external_lex_state = 26},
  [2544] = {.lex_state = 12, .external_lex_state = 20},
  [2545] = {.lex_state = 13, .external_lex_state = 26},
  [2546] = {.lex_state = 14, .external_lex_state = 20},
  [2547] = {.lex_state = 14, .external_lex_state = 22},
  [2548] = {.lex_state = 11, .external_lex_state = 20},
  [2549] = {.lex_state = 14, .external_lex_state = 3},
  [2550] = {.lex_state = 14, .external_lex_state = 3},
  [2551] = {.lex_state = 18, .external_lex_state = 22},
  [2552] = {.lex_state = 18, .external_lex_state = 26},
  [2553] = {.lex_state = 14, .external_lex_state = 20},
  [2554] = {.lex_state = 14, .external_lex_state = 26},
  [2555] = {.lex_state = 14, .external_lex_state = 30},
  [2556] = {.lex_state = 14, .external_lex_state = 20},
  [2557] = {.lex_state = 14, .external_lex_state = 30},
  [2558] = {.lex_state = 14, .external_lex_state = 20},
  [2559] = {.lex_state = 14, .external_lex_state = 26},
  [2560] = {.lex_state = 14, .external_lex_state = 26},
  [2561] = {.lex_state = 18, .external_lex_state = 22},
  [2562] = {.lex_state = 13, .external_lex_state = 23},
  [2563] = {.lex_state = 14, .external_lex_state = 22},
  [2564] = {.lex_state = 13, .external_lex_state = 22},
  [2565] = {.lex_state = 13, .external_lex_state = 22},
  [2566] = {.lex_state = 14, .external_lex_state = 20},
  [2567] = {.lex_state = 14, .external_lex_state = 20},
  [2568] = {.lex_state = 13, .external_lex_state = 22},
  [2569] = {.lex_state = 13, .external_lex_state = 22},
  [2570] = {.lex_state = 7, .external_lex_state = 36},
  [2571] = {.lex_state = 14, .external_lex_state = 20},
  [2572] = {.lex_state = 13, .external_lex_state = 26},
  [2573] = {.lex_state = 14, .external_lex_state = 26},
  [2574] = {.lex_state = 11, .external_lex_state = 20},
  [2575] = {.lex_state = 13, .external_lex_state = 22},
  [2576] = {.lex_state = 14, .external_lex_state = 23},
  [2577] = {.lex_state = 14, .external_lex_state = 20},
  [2578] = {.lex_state = 14, .external_lex_state = 20},
  [2579] = {.lex_state = 14, .external_lex_state = 26},
  [2580] = {.lex_state = 13, .external_lex_state = 26},
  [2581] = {.lex_state = 14, .external_lex_state = 20},
  [2582] = {.lex_state = 14, .external_lex_state = 30},
  [2583] = {.lex_state = 13, .external_lex_state = 26},
  [2584] = {.lex_state = 13, .external_lex_state = 26},
  [2585] = {.lex_state = 13, .external_lex_state = 26},
  [2586] = {.lex_state = 14, .external_lex_state = 23},
  [2587] = {.lex_state = 14, .external_lex_state = 31},
  [2588] = {.lex_state = 14, .external_lex_state = 3},
  [2589] = {.lex_state = 13, .external_lex_state = 23},
  [2590] = {.lex_state = 6, .external_lex_state = 38},
  [2591] = {.lex_state = 6, .external_lex_state = 38},
  [2592] = {.lex_state = 6, .external_lex_state = 38},
  [2593] = {.lex_state = 6, .external_lex_state = 38},
  [2594] = {.lex_state = 14, .external_lex_state = 20},
  [2595] = {.lex_state = 14, .external_lex_state = 20},
  [2596] = {.lex_state = 14, .external_lex_state = 20},
  [2597] = {.lex_state = 14, .external_lex_state = 3},
  [2598] = {.lex_state = 11, .external_lex_state = 20},
  [2599] = {.lex_state = 11, .external_lex_state = 20},
  [2600] = {.lex_state = 14, .external_lex_state = 20},
  [2601] = {.lex_state = 14, .external_lex_state = 20},
  [2602] = {.lex_state = 14, .external_lex_state = 31},
  [2603] = {.lex_state = 11, .external_lex_state = 20},
  [2604] = {.lex_state = 14, .external_lex_state = 20},
  [2605] = {.lex_state = 6, .external_lex_state = 38},
  [2606] = {.lex_state = 13, .external_lex_state = 22},
  [2607] = {.lex_state = 14, .external_lex_state = 23},
  [2608] = {.lex_state = 13, .external_lex_state = 23},
  [2609] = {.lex_state = 6, .external_lex_state = 38},
  [2610] = {.lex_state = 14, .external_lex_state = 20},
  [2611] = {.lex_state = 14, .external_lex_state = 20},
  [2612] = {.lex_state = 13, .external_lex_state = 22},
  [2613] = {.lex_state = 18, .external_lex_state = 26},
  [2614] = {.lex_state = 6, .external_lex_state = 38},
  [2615] = {.lex_state = 6, .external_lex_state = 38},
  [2616] = {.lex_state = 14, .external_lex_state = 20},
  [2617] = {.lex_state = 14, .external_lex_state = 20},
  [2618] = {.lex_state = 14, .external_lex_state = 20},
  [2619] = {.lex_state = 14, .external_lex_state = 23},
  [2620] = {.lex_state = 13, .external_lex_state = 23},
  [2621] = {.lex_state = 13, .external_lex_state = 23},
  [2622] = {.lex_state = 6, .external_lex_state = 38},
  [2623] = {.lex_state = 6, .external_lex_state = 38},
  [2624] = {.lex_state = 13, .external_lex_state = 23},
  [2625] = {.lex_state = 14, .external_lex_state = 20},
  [2626] = {.lex_state = 13, .external_lex_state = 26},
  [2627] = {.lex_state = 6, .external_lex_state = 38},
  [2628] = {.lex_state = 13, .external_lex_state = 26},
  [2629] = {.lex_state = 6, .external_lex_state = 38},
  [2630] = {.lex_state = 6, .external_lex_state = 38},
  [2631] = {.lex_state = 14, .external_lex_state = 26},
  [2632] = {.lex_state = 13, .external_lex_state = 26},
  [2633] = {.lex_state = 14, .external_lex_state = 26},
  [2634] = {.lex_state = 18, .external_lex_state = 23},
  [2635] = {.lex_state = 13, .external_lex_state = 26},
  [2636] = {.lex_state = 14, .external_lex_state = 20},
  [2637] = {.lex_state = 14, .external_lex_state = 20},
  [2638] = {.lex_state = 13, .external_lex_state = 26},
  [2639] = {.lex_state = 14, .external_lex_state = 20},
  [2640] = {.lex_state = 14, .external_lex_state = 31},
  [2641] = {.lex_state = 6, .external_lex_state = 38},
  [2642] = {.lex_state = 13, .external_lex_state = 23},
  [2643] = {.lex_state = 13, .external_lex_state = 23},
  [2644] = {.lex_state = 11, .external_lex_state = 20},
  [2645] = {.lex_state = 14, .external_lex_state = 20},
  [2646] = {.lex_state = 14, .external_lex_state = 20},
  [2647] = {.lex_state = 14, .external_lex_state = 20},
  [2648] = {.lex_state = 14, .external_lex_state = 20},
  [2649] = {.lex_state = 14, .external_lex_state = 20},
  [2650] = {.lex_state = 6, .external_lex_state = 38},
  [2651] = {.lex_state = 18, .external_lex_state = 26},
  [2652] = {.lex_state = 14, .external_lex_state = 20},
  [2653] = {.lex_state = 13, .external_lex_state = 23},
  [2654] = {.lex_state = 13, .external_lex_state = 23},
  [2655] = {.lex_state = 14, .external_lex_state = 20},
  [2656] = {.lex_state = 11, .external_lex_state = 20},
  [2657] = {.lex_state = 14, .external_lex_state = 20},
  [2658] = {.lex_state = 14, .external_lex_state = 26},
  [2659] = {.lex_state = 11, .external_lex_state = 20},
  [2660] = {.lex_state = 14, .external_lex_state = 20},
  [2661] = {.lex_state = 14, .external_lex_state = 20},
  [2662] = {.lex_state = 11, .external_lex_state = 20},
  [2663] = {.lex_state = 14, .external_lex_state = 20},
  [2664] = {.lex_state = 13, .external_lex_state = 23},
  [2665] = {.lex_state = 14, .external_lex_state = 20},
  [2666] = {.lex_state = 6, .external_lex_state = 38},
  [2667] = {.lex_state = 14, .external_lex_state = 22},
  [2668] = {.lex_state = 14, .external_lex_state = 20},
  [2669] = {.lex_state = 14, .external_lex_state = 22},
  [2670] = {.lex_state = 6, .external_lex_state = 38},
  [2671] = {.lex_state = 14, .external_lex_state = 23},
  [2672] = {.lex_state = 11, .external_lex_state = 20},
  [2673] = {.lex_state = 14, .external_lex_state = 3},
  [2674] = {.lex_state = 14, .external_lex_state = 23},
  [2675] = {.lex_state = 11, .external_lex_state = 20},
  [2676] = {.lex_state = 14, .external_lex_state = 3},
  [2677] = {.lex_state = 13, .external_lex_state = 23},
  [2678] = {.lex_state = 14, .external_lex_state = 23},
  [2679] = {.lex_state = 6, .external_lex_state = 38},
  [2680] = {.lex_state = 14, .external_lex_state = 20},
  [2681] = {.lex_state = 14, .external_lex_state = 20},
  [2682] = {.lex_state = 14, .external_lex_state = 20},
  [2683] = {.lex_state = 14, .external_lex_state = 20},
  [2684] = {.lex_state = 14, .external_lex_state = 3},
  [2685] = {.lex_state = 14, .external_lex_state = 3},
  [2686] = {.lex_state = 13, .external_lex_state = 23},
  [2687] = {.lex_state = 11, .external_lex_state = 20},
  [2688] = {.lex_state = 14, .external_lex_state = 20},
  [2689] = {.lex_state = 11, .external_lex_state = 20},
  [2690] = {.lex_state = 14, .external_lex_state = 22},
  [2691] = {.lex_state = 14, .external_lex_state = 20},
  [2692] = {.lex_state = 13, .external_lex_state = 23},
  [2693] = {.lex_state = 14, .external_lex_state = 20},
  [2694] = {.lex_state = 13, .external_lex_state = 23},
  [2695] = {.lex_state = 13, .external_lex_state = 26},
  [2696] = {.lex_state = 13, .external_lex_state = 23},
  [2697] = {.lex_state = 13, .external_lex_state = 26},
  [2698] = {.lex_state = 14, .external_lex_state = 20},
  [2699] = {.lex_state = 14, .external_lex_state = 26},
  [2700] = {.lex_state = 13, .external_lex_state = 23},
  [2701] = {.lex_state = 13, .external_lex_state = 23},
  [2702] = {.lex_state = 13, .external_lex_state = 26},
  [2703] = {.lex_state = 14, .external_lex_state = 20},
  [2704] = {.lex_state = 14, .external_lex_state = 20},
  [2705] = {.lex_state = 14, .external_lex_state = 20},
  [2706] = {.lex_state = 13, .external_lex_state = 26},
  [2707] = {.lex_state = 13, .external_lex_state = 23},
  [2708] = {.lex_state = 13, .external_lex_state = 23},
  [2709] = {.lex_state = 13, .external_lex_state = 23},
  [2710] = {.lex_state = 13, .external_lex_state = 23},
  [2711] = {.lex_state = 14, .external_lex_state = 20},
  [2712] = {.lex_state = 14, .external_lex_state = 20},
  [2713] = {.lex_state = 14, .external_lex_state = 20},
  [2714] = {.lex_state = 13, .external_lex_state = 26},
  [2715] = {.lex_state = 14, .external_lex_state = 20},
  [2716] = {.lex_state = 14, .external_lex_state = 20},
  [2717] = {.lex_state = 14, .external_lex_state = 20},
  [2718] = {.lex_state = 14, .external_lex_state = 20},
  [2719] = {.lex_state = 14, .external_lex_state = 20},
  [2720] = {.lex_state = 14, .external_lex_state = 20},
  [2721] = {.lex_state = 14, .external_lex_state = 20},
  [2722] = {.lex_state = 18, .external_lex_state = 26},
  [2723] = {.lex_state = 14, .external_lex_state = 26},
  [2724] = {.lex_state = 13, .external_lex_state = 26},
  [2725] = {.lex_state = 14, .external_lex_state = 20},
  [2726] = {.lex_state = 14, .external_lex_state = 20},
  [2727] = {.lex_state = 13, .external_lex_state = 23},
  [2728] = {.lex_state = 11, .external_lex_state = 20},
  [2729] = {.lex_state = 14, .external_lex_state = 20},
  [2730] = {.lex_state = 14, .external_lex_state = 3},
  [2731] = {.lex_state = 13, .external_lex_state = 26},
  [2732] = {.lex_state = 14, .external_lex_state = 20},
  [2733] = {.lex_state = 13, .external_lex_state = 23},
  [2734] = {.lex_state = 13, .external_lex_state = 23},
  [2735] = {.lex_state = 11, .external_lex_state = 20},
  [2736] = {.lex_state = 14, .external_lex_state = 20},
  [2737] = {.lex_state = 14, .external_lex_state = 22},
  [2738] = {.lex_state = 11, .external_lex_state = 20},
  [2739] = {.lex_state = 13, .external_lex_state = 26},
  [2740] = {.lex_state = 14, .external_lex_state = 23},
  [2741] = {.lex_state = 14, .external_lex_state = 20},
  [2742] = {.lex_state = 14, .external_lex_state = 23},
  [2743] = {.lex_state = 14, .external_lex_state = 20},
  [2744] = {.lex_state = 14, .external_lex_state = 20},
  [2745] = {.lex_state = 14, .external_lex_state = 22},
  [2746] = {.lex_state = 13, .external_lex_state = 22},
  [2747] = {.lex_state = 13, .external_lex_state = 23},
  [2748] = {.lex_state = 14, .external_lex_state = 3},
  [2749] = {.lex_state = 14, .external_lex_state = 20},
  [2750] = {.lex_state = 13, .external_lex_state = 23},
  [2751] = {.lex_state = 14, .external_lex_state = 20},
  [2752] = {.lex_state = 14, .external_lex_state = 20},
  [2753] = {.lex_state = 14, .external_lex_state = 22},
  [2754] = {.lex_state = 14, .external_lex_state = 22},
  [2755] = {.lex_state = 11, .external_lex_state = 20},
  [2756] = {.lex_state = 14, .external_lex_state = 20},
  [2757] = {.lex_state = 14, .external_lex_state = 20},
  [2758] = {.lex_state = 14, .external_lex_state = 20},
  [2759] = {.lex_state = 13, .external_lex_state = 26},
  [2760] = {.lex_state = 13, .external_lex_state = 23},
  [2761] = {.lex_state = 13, .external_lex_state = 23},
  [2762] = {.lex_state = 13, .external_lex_state = 26},
  [2763] = {.lex_state = 14, .external_lex_state = 20},
  [2764] = {.lex_state = 11, .external_lex_state = 20},
  [2765] = {.lex_state = 14, .external_lex_state = 20},
  [2766] = {.lex_state = 13, .external_lex_state = 23},
  [2767] = {.lex_state = 18, .external_lex_state = 23},
  [2768] = {.lex_state = 13, .external_lex_state = 23},
  [2769] = {.lex_state = 13, .external_lex_state = 23},
  [2770] = {.lex_state = 14, .external_lex_state = 20},
  [2771] = {.lex_state = 14, .external_lex_state = 20},
  [2772] = {.lex_state = 12, .external_lex_state = 26},
  [2773] = {.lex_state = 14, .external_lex_state = 20},
  [2774] = {.lex_state = 14, .external_lex_state = 20},
  [2775] = {.lex_state = 6, .external_lex_state = 38},
  [2776] = {.lex_state = 6, .external_lex_state = 38},
  [2777] = {.lex_state = 13, .external_lex_state = 23},
  [2778] = {.lex_state = 14, .external_lex_state = 20},
  [2779] = {.lex_state = 6, .external_lex_state = 38},
  [2780] = {.lex_state = 14, .external_lex_state = 20},
  [2781] = {.lex_state = 18, .external_lex_state = 23},
  [2782] = {.lex_state = 13, .external_lex_state = 26},
  [2783] = {.lex_state = 13, .external_lex_state = 26},
  [2784] = {.lex_state = 14, .external_lex_state = 20},
  [2785] = {.lex_state = 13, .external_lex_state = 23},
  [2786] = {.lex_state = 13, .external_lex_state = 23},
  [2787] = {.lex_state = 18, .external_lex_state = 22},
  [2788] = {.lex_state = 13, .external_lex_state = 23},
  [2789] = {.lex_state = 14, .external_lex_state = 20},
  [2790] = {.lex_state = 14, .external_lex_state = 20},
  [2791] = {.lex_state = 6, .external_lex_state = 38},
  [2792] = {.lex_state = 6, .external_lex_state = 38},
  [2793] = {.lex_state = 14, .external_lex_state = 23},
  [2794] = {.lex_state = 7, .external_lex_state = 38},
  [2795] = {.lex_state = 14, .external_lex_state = 26},
  [2796] = {.lex_state = 14, .external_lex_state = 23},
  [2797] = {.lex_state = 14, .external_lex_state = 26},
  [2798] = {.lex_state = 14, .external_lex_state = 26},
  [2799] = {.lex_state = 12, .external_lex_state = 20},
  [2800] = {.lex_state = 12, .external_lex_state = 20},
  [2801] = {.lex_state = 12, .external_lex_state = 20},
  [2802] = {.lex_state = 12, .external_lex_state = 20},
  [2803] = {.lex_state = 14, .external_lex_state = 22},
  [2804] = {.lex_state = 14, .external_lex_state = 20},
  [2805] = {.lex_state = 14, .external_lex_state = 22},
  [2806] = {.lex_state = 14, .external_lex_state = 23},
  [2807] = {.lex_state = 14, .external_lex_state = 23},
  [2808] = {.lex_state = 14, .external_lex_state = 23},
  [2809] = {.lex_state = 14, .external_lex_state = 22},
  [2810] = {.lex_state = 14, .external_lex_state = 23},
  [2811] = {.lex_state = 14, .external_lex_state = 23},
  [2812] = {.lex_state = 14, .external_lex_state = 23},
  [2813] = {.lex_state = 5, .external_lex_state = 36},
  [2814] = {.lex_state = 14, .external_lex_state = 22},
  [2815] = {.lex_state = 7, .external_lex_state = 38},
  [2816] = {.lex_state = 7, .external_lex_state = 38},
  [2817] = {.lex_state = 14, .external_lex_state = 23},
  [2818] = {.lex_state = 12, .external_lex_state = 20},
  [2819] = {.lex_state = 14, .external_lex_state = 23},
  [2820] = {.lex_state = 14, .external_lex_state = 23},
  [2821] = {.lex_state = 14, .external_lex_state = 26},
  [2822] = {.lex_state = 14, .external_lex_state = 23},
  [2823] = {.lex_state = 14, .external_lex_state = 23},
  [2824] = {.lex_state = 14, .external_lex_state = 23},
  [2825] = {.lex_state = 14, .external_lex_state = 23},
  [2826] = {.lex_state = 12, .external_lex_state = 20},
  [2827] = {.lex_state = 14, .external_lex_state = 26},
  [2828] = {.lex_state = 14, .external_lex_state = 23},
  [2829] = {.lex_state = 14, .external_lex_state = 26},
  [2830] = {.lex_state = 14, .external_lex_state = 26},
  [2831] = {.lex_state = 14, .external_lex_state = 23},
  [2832] = {.lex_state = 14, .external_lex_state = 23},
  [2833] = {.lex_state = 14, .external_lex_state = 23},
  [2834] = {.lex_state = 14, .external_lex_state = 23},
  [2835] = {.lex_state = 7, .external_lex_state = 38},
  [2836] = {.lex_state = 8, .external_lex_state = 39},
  [2837] = {.lex_state = 14, .external_lex_state = 22},
  [2838] = {.lex_state = 12, .external_lex_state = 20},
  [2839] = {.lex_state = 14, .external_lex_state = 23},
  [2840] = {.lex_state = 12, .external_lex_state = 20},
  [2841] = {.lex_state = 14, .external_lex_state = 26},
  [2842] = {.lex_state = 14, .external_lex_state = 26},
  [2843] = {.lex_state = 14, .external_lex_state = 22},
  [2844] = {.lex_state = 14, .external_lex_state = 23},
  [2845] = {.lex_state = 14, .external_lex_state = 23},
  [2846] = {.lex_state = 5, .external_lex_state = 36},
  [2847] = {.lex_state = 14, .external_lex_state = 26},
  [2848] = {.lex_state = 7, .external_lex_state = 38},
  [2849] = {.lex_state = 12, .external_lex_state = 20},
  [2850] = {.lex_state = 14, .external_lex_state = 26},
  [2851] = {.lex_state = 14, .external_lex_state = 26},
  [2852] = {.lex_state = 14, .external_lex_state = 26},
  [2853] = {.lex_state = 8, .external_lex_state = 39},
  [2854] = {.lex_state = 14, .external_lex_state = 26},
  [2855] = {.lex_state = 12, .external_lex_state = 20},
  [2856] = {.lex_state = 14, .external_lex_state = 26},
  [2857] = {.lex_state = 14, .external_lex_state = 23},
  [2858] = {.lex_state = 12, .external_lex_state = 20},
  [2859] = {.lex_state = 14, .external_lex_state = 26},
  [2860] = {.lex_state = 14, .external_lex_state = 23},
  [2861] = {.lex_state = 14, .external_lex_state = 23},
  [2862] = {.lex_state = 14, .external_lex_state = 23},
  [2863] = {.lex_state = 14, .external_lex_state = 23},
  [2864] = {.lex_state = 14, .external_lex_state = 26},
  [2865] = {.lex_state = 14, .external_lex_state = 23},
  [2866] = {.lex_state = 14, .external_lex_state = 23},
  [2867] = {.lex_state = 7, .external_lex_state = 38},
  [2868] = {.lex_state = 14, .external_lex_state = 23},
  [2869] = {.lex_state = 14, .external_lex_state = 22},
  [2870] = {.lex_state = 7, .external_lex_state = 38},
  [2871] = {.lex_state = 14, .external_lex_state = 26},
  [2872] = {.lex_state = 14, .external_lex_state = 26},
  [2873] = {.lex_state = 14, .external_lex_state = 26},
  [2874] = {.lex_state = 14, .external_lex_state = 26},
  [2875] = {.lex_state = 14, .external_lex_state = 23},
  [2876] = {.lex_state = 12, .external_lex_state = 20},
  [2877] = {.lex_state = 14, .external_lex_state = 26},
  [2878] = {.lex_state = 12, .external_lex_state = 20},
  [2879] = {.lex_state = 12, .external_lex_state = 20},
  [2880] = {.lex_state = 12, .external_lex_state = 20},
  [2881] = {.lex_state = 14, .external_lex_state = 26},
  [2882] = {.lex_state = 14, .external_lex_state = 26},
  [2883] = {.lex_state = 12, .external_lex_state = 20},
  [2884] = {.lex_state = 5, .external_lex_state = 36},
  [2885] = {.lex_state = 14, .external_lex_state = 26},
  [2886] = {.lex_state = 8, .external_lex_state = 39},
  [2887] = {.lex_state = 14, .external_lex_state = 26},
  [2888] = {.lex_state = 14, .external_lex_state = 26},
  [2889] = {.lex_state = 14, .external_lex_state = 23},
  [2890] = {.lex_state = 14, .external_lex_state = 26},
  [2891] = {.lex_state = 14, .external_lex_state = 22},
  [2892] = {.lex_state = 14, .external_lex_state = 22},
  [2893] = {.lex_state = 14, .external_lex_state = 26},
  [2894] = {.lex_state = 14, .external_lex_state = 26},
  [2895] = {.lex_state = 7, .external_lex_state = 38},
  [2896] = {.lex_state = 14, .external_lex_state = 26},
  [2897] = {.lex_state = 8, .external_lex_state = 39},
  [2898] = {.lex_state = 14, .external_lex_state = 26},
  [2899] = {.lex_state = 14, .external_lex_state = 26},
  [2900] = {.lex_state = 5, .external_lex_state = 36},
  [2901] = {.lex_state = 14, .external_lex_state = 26},
  [2902] = {.lex_state = 7, .external_lex_state = 38},
  [2903] = {.lex_state = 14, .external_lex_state = 22},
  [2904] = {.lex_state = 7, .external_lex_state = 38},
  [2905] = {.lex_state = 14, .external_lex_state = 22},
  [2906] = {.lex_state = 14, .external_lex_state = 22},
  [2907] = {.lex_state = 7, .external_lex_state = 38},
  [2908] = {.lex_state = 7, .external_lex_state = 38},
  [2909] = {.lex_state = 14, .external_lex_state = 26},
  [2910] = {.lex_state = 8, .external_lex_state = 39},
  [2911] = {.lex_state = 14, .external_lex_state = 26},
  [2912] = {.lex_state = 12, .external_lex_state = 20},
  [2913] = {.lex_state = 14, .external_lex_state = 26},
  [2914] = {.lex_state = 14, .external_lex_state = 26},
  [2915] = {.lex_state = 14, .external_lex_state = 22},
  [2916] = {.lex_state = 7, .external_lex_state = 38},
  [2917] = {.lex_state = 14, .external_lex_state = 26},
  [2918] = {.lex_state = 14, .external_lex_state = 22},
  [2919] = {.lex_state = 7, .external_lex_state = 38},
  [2920] = {.lex_state = 7, .external_lex_state = 38},
  [2921] = {.lex_state = 12, .external_lex_state = 20},
  [2922] = {.lex_state = 12, .external_lex_state = 20},
  [2923] = {.lex_state = 12, .external_lex_state = 20},
  [2924] = {.lex_state = 14, .external_lex_state = 22},
  [2925] = {.lex_state = 12, .external_lex_state = 20},
  [2926] = {.lex_state = 12, .external_lex_state = 20},
  [2927] = {.lex_state = 12, .external_lex_state = 20},
  [2928] = {.lex_state = 14, .external_lex_state = 22},
  [2929] = {.lex_state = 14, .external_lex_state = 22},
  [2930] = {.lex_state = 14, .external_lex_state = 26},
  [2931] = {.lex_state = 12, .external_lex_state = 20},
  [2932] = {.lex_state = 7, .external_lex_state = 38},
  [2933] = {.lex_state = 7, .external_lex_state = 38},
  [2934] = {.lex_state = 14, .external_lex_state = 22},
  [2935] = {.lex_state = 7, .external_lex_state = 38},
  [2936] = {.lex_state = 12, .external_lex_state = 20},
  [2937] = {.lex_state = 5, .external_lex_state = 36},
  [2938] = {.lex_state = 12, .external_lex_state = 20},
  [2939] = {.lex_state = 12, .external_lex_state = 20},
  [2940] = {.lex_state = 12, .external_lex_state = 20},
  [2941] = {.lex_state = 14, .external_lex_state = 23},
  [2942] = {.lex_state = 14, .external_lex_state = 23},
  [2943] = {.lex_state = 14, .external_lex_state = 22},
  [2944] = {.lex_state = 14, .external_lex_state = 22},
  [2945] = {.lex_state = 14, .external_lex_state = 22},
  [2946] = {.lex_state = 14, .external_lex_state = 22},
  [2947] = {.lex_state = 12, .external_lex_state = 20},
  [2948] = {.lex_state = 12, .external_lex_state = 20},
  [2949] = {.lex_state = 14, .external_lex_state = 22},
  [2950] = {.lex_state = 14, .external_lex_state = 22},
  [2951] = {.lex_state = 7, .external_lex_state = 38},
  [2952] = {.lex_state = 7, .external_lex_state = 38},
  [2953] = {.lex_state = 12, .external_lex_state = 20},
  [2954] = {.lex_state = 12, .external_lex_state = 20},
  [2955] = {.lex_state = 14, .external_lex_state = 22},
  [2956] = {.lex_state = 14, .external_lex_state = 22},
  [2957] = {.lex_state = 14, .external_lex_state = 22},
  [2958] = {.lex_state = 12, .external_lex_state = 20},
  [2959] = {.lex_state = 14, .external_lex_state = 22},
  [2960] = {.lex_state = 12, .external_lex_state = 20},
  [2961] = {.lex_state = 14, .external_lex_state = 22},
  [2962] = {.lex_state = 7, .external_lex_state = 38},
  [2963] = {.lex_state = 14, .external_lex_state = 22},
  [2964] = {.lex_state = 7, .external_lex_state = 38},
  [2965] = {.lex_state = 14, .external_lex_state = 23},
  [2966] = {.lex_state = 14, .external_lex_state = 22},
  [2967] = {.lex_state = 14, .external_lex_state = 22},
  [2968] = {.lex_state = 12, .external_lex_state = 20},
  [2969] = {.lex_state = 12, .external_lex_state = 20},
  [2970] = {.lex_state = 14, .external_lex_state = 23},
  [2971] = {.lex_state = 14, .external_lex_state = 22},
  [2972] = {.lex_state = 12, .external_lex_state = 20},
  [2973] = {.lex_state = 14, .external_lex_state = 26},
  [2974] = {.lex_state = 14, .external_lex_state = 22},
  [2975] = {.lex_state = 14, .external_lex_state = 22},
  [2976] = {.lex_state = 14, .external_lex_state = 22},
  [2977] = {.lex_state = 14, .external_lex_state = 23},
  [2978] = {.lex_state = 14, .external_lex_state = 22},
  [2979] = {.lex_state = 14, .external_lex_state = 23},
  [2980] = {.lex_state = 12, .external_lex_state = 20},
  [2981] = {.lex_state = 12, .external_lex_state = 20},
  [2982] = {.lex_state = 12, .external_lex_state = 20},
  [2983] = {.lex_state = 14, .external_lex_state = 22},
  [2984] = {.lex_state = 12, .external_lex_state = 20},
  [2985] = {.lex_state = 14, .external_lex_state = 22},
  [2986] = {.lex_state = 14, .external_lex_state = 22},
  [2987] = {.lex_state = 12, .external_lex_state = 20},
  [2988] = {.lex_state = 14, .external_lex_state = 22},
  [2989] = {.lex_state = 14, .external_lex_state = 22},
  [2990] = {.lex_state = 7, .external_lex_state = 38},
  [2991] = {.lex_state = 14, .external_lex_state = 23},
  [2992] = {.lex_state = 7, .external_lex_state = 38},
  [2993] = {.lex_state = 14, .external_lex_state = 26},
  [2994] = {.lex_state = 14, .external_lex_state = 26},
  [2995] = {.lex_state = 14, .external_lex_state = 23},
  [2996] = {.lex_state = 14, .external_lex_state = 22},
  [2997] = {.lex_state = 14, .external_lex_state = 23},
  [2998] = {.lex_state = 14, .external_lex_state = 23},
  [2999] = {.lex_state = 8, .external_lex_state = 40},
  [3000] = {.lex_state = 5, .external_lex_state = 38},
  [3001] = {.lex_state = 14, .external_lex_state = 20},
  [3002] = {.lex_state = 5, .external_lex_state = 38},
  [3003] = {.lex_state = 14, .external_lex_state = 20},
  [3004] = {.lex_state = 14, .external_lex_state = 20},
  [3005] = {.lex_state = 5, .external_lex_state = 38},
  [3006] = {.lex_state = 5, .external_lex_state = 38},
  [3007] = {.lex_state = 8, .external_lex_state = 40},
  [3008] = {.lex_state = 14, .external_lex_state = 20},
  [3009] = {.lex_state = 14, .external_lex_state = 20},
  [3010] = {.lex_state = 5, .external_lex_state = 38},
  [3011] = {.lex_state = 14, .external_lex_state = 20},
  [3012] = {.lex_state = 5, .external_lex_state = 38},
  [3013] = {.lex_state = 5, .external_lex_state = 38},
  [3014] = {.lex_state = 14, .external_lex_state = 20},
  [3015] = {.lex_state = 5, .external_lex_state = 38},
  [3016] = {.lex_state = 8, .external_lex_state = 40},
  [3017] = {.lex_state = 8, .external_lex_state = 40},
  [3018] = {.lex_state = 8, .external_lex_state = 40},
  [3019] = {.lex_state = 8, .external_lex_state = 40},
  [3020] = {.lex_state = 8, .external_lex_state = 40},
  [3021] = {.lex_state = 8, .external_lex_state = 40},
  [3022] = {.lex_state = 8, .external_lex_state = 40},
  [3023] = {.lex_state = 5, .external_lex_state = 38},
  [3024] = {.lex_state = 14, .external_lex_state = 20},
  [3025] = {.lex_state = 14, .external_lex_state = 20},
  [3026] = {.lex_state = 14, .external_lex_state = 20},
  [3027] = {.lex_state = 14, .external_lex_state = 20},
  [3028] = {.lex_state = 5, .external_lex_state = 38},
  [3029] = {.lex_state = 5, .external_lex_state = 38},
  [3030] = {.lex_state = 14, .external_lex_state = 20},
  [3031] = {.lex_state = 14, .external_lex_state = 20},
  [3032] = {.lex_state = 5, .external_lex_state = 38},
  [3033] = {.lex_state = 5, .external_lex_state = 38},
  [3034] = {.lex_state = 8, .external_lex_state = 40},
  [3035] = {.lex_state = 14, .external_lex_state = 20},
  [3036] = {.lex_state = 8, .external_lex_state = 40},
  [3037] = {.lex_state = 5, .external_lex_state = 38},
  [3038] = {.lex_state = 8, .external_lex_state = 40},
  [3039] = {.lex_state = 8, .external_lex_state = 40},
  [3040] = {.lex_state = 5, .external_lex_state = 38},
  [3041] = {.lex_state = 14, .external_lex_state = 20},
  [3042] = {.lex_state = 5, .external_lex_state = 38},
  [3043] = {.lex_state = 8, .external_lex_state = 40},
  [3044] = {.lex_state = 5, .external_lex_state = 38},
  [3045] = {.lex_state = 8, .external_lex_state = 40},
  [3046] = {.lex_state = 5, .external_lex_state = 38},
  [3047] = {.lex_state = 14, .external_lex_state = 20},
  [3048] = {.lex_state = 8, .external_lex_state = 40},
  [3049] = {.lex_state = 14, .external_lex_state = 20},
  [3050] = {.lex_state = 8, .external_lex_state = 40},
  [3051] = {.lex_state = 8, .external_lex_state = 40},
  [3052] = {.lex_state = 8, .external_lex_state = 40},
  [3053] = {.lex_state = 5, .external_lex_state = 38},
  [3054] = {.lex_state = 8, .external_lex_state = 40},
  [3055] = {.lex_state = 8, .external_lex_state = 40},
  [3056] = {.lex_state = 8, .external_lex_state = 40},
  [3057] = {.lex_state = 8, .external_lex_state = 40},
  [3058] = {.lex_state = 14, .external_lex_state = 20},
  [3059] = {.lex_state = 14, .external_lex_state = 20},
  [3060] = {.lex_state = 14, .external_lex_state = 20},
  [3061] = {.lex_state = 5, .external_lex_state = 38},
  [3062] = {.lex_state = 5, .external_lex_state = 38},
  [3063] = {.lex_state = 5, .external_lex_state = 38},
  [3064] = {.lex_state = 5, .external_lex_state = 38},
  [3065] = {.lex_state = 8, .external_lex_state = 40},
  [3066] = {.lex_state = 14, .external_lex_state = 20},
  [3067] = {.lex_state = 5, .external_lex_state = 38},
  [3068] = {.lex_state = 9, .external_lex_state = 14},
  [3069] = {.lex_state = 10, .external_lex_state = 13},
  [3070] = {.lex_state = 9, .external_lex_state = 14},
  [3071] = {.lex_state = 10, .external_lex_state = 13},
  [3072] = {.lex_state = 9, .external_lex_state = 41},
  [3073] = {.lex_state = 10, .external_lex_state = 42},
  [3074] = {.lex_state = 10, .external_lex_state = 13},
  [3075] = {.lex_state = 9, .external_lex_state = 14},
  [3076] = {.lex_state = 10, .external_lex_state = 13},
  [3077] = {.lex_state = 2, .external_lex_state = 11},
  [3078] = {.lex_state = 10, .external_lex_state = 13},
  [3079] = {.lex_state = 10, .external_lex_state = 13},
  [3080] = {.lex_state = 9, .external_lex_state = 14},
  [3081] = {.lex_state = 9, .external_lex_state = 14},
  [3082] = {.lex_state = 9, .external_lex_state = 14},
  [3083] = {.lex_state = 9, .external_lex_state = 14},
  [3084] = {.lex_state = 10, .external_lex_state = 13},
  [3085] = {.lex_state = 9, .external_lex_state = 14},
  [3086] = {.lex_state = 2, .external_lex_state = 11},
  [3087] = {.lex_state = 2, .external_lex_state = 11},
  [3088] = {.lex_state = 9, .external_lex_state = 14},
  [3089] = {.lex_state = 9, .external_lex_state = 14},
  [3090] = {.lex_state = 9, .external_lex_state = 14},
  [3091] = {.lex_state = 9, .external_lex_state = 14},
  [3092] = {.lex_state = 9, .external_lex_state = 14},
  [3093] = {.lex_state = 9, .external_lex_state = 14},
  [3094] = {.lex_state = 10, .external_lex_state = 13},
  [3095] = {.lex_state = 9, .external_lex_state = 14},
  [3096] = {.lex_state = 10, .external_lex_state = 13},
  [3097] = {.lex_state = 9, .external_lex_state = 14},
  [3098] = {.lex_state = 10, .external_lex_state = 13},
  [3099] = {.lex_state = 10, .external_lex_state = 13},
  [3100] = {.lex_state = 10, .external_lex_state = 13},
  [3101] = {.lex_state = 10, .external_lex_state = 13},
  [3102] = {.lex_state = 10, .external_lex_state = 13},
  [3103] = {.lex_state = 10, .external_lex_state = 13},
  [3104] = {.lex_state = 10, .external_lex_state = 13},
  [3105] = {.lex_state = 9, .external_lex_state = 14},
  [3106] = {.lex_state = 10, .external_lex_state = 13},
  [3107] = {.lex_state = 9, .external_lex_state = 14},
  [3108] = {.lex_state = 9, .external_lex_state = 14},
  [3109] = {.lex_state = 10, .external_lex_state = 13},
  [3110] = {.lex_state = 9, .external_lex_state = 14},
  [3111] = {.lex_state = 10, .external_lex_state = 13},
  [3112] = {.lex_state = 10, .external_lex_state = 13},
  [3113] = {.lex_state = 11, .external_lex_state = 7},
  [3114] = {.lex_state = 11, .external_lex_state = 7},
  [3115] = {.lex_state = 11, .external_lex_state = 7},
  [3116] = {.lex_state = 11, .external_lex_state = 7},
  [3117] = {.lex_state = 11, .external_lex_state = 7},
  [3118] = {.lex_state = 11, .external_lex_state = 7},
  [3119] = {.lex_state = 11, .external_lex_state = 7},
  [3120] = {.lex_state = 11, .external_lex_state = 7},
  [3121] = {.lex_state = 11, .external_lex_state = 7},
  [3122] = {.lex_state = 11, .external_lex_state = 7},
  [3123] = {.lex_state = 11, .external_lex_state = 7},
  [3124] = {.lex_state = 11, .external_lex_state = 7},
  [3125] = {.lex_state = 11, .external_lex_state = 7},
  [3126] = {.lex_state = 11, .external_lex_state = 7},
  [3127] = {.lex_state = 11, .external_lex_state = 7},
  [3128] = {.lex_state = 11, .external_lex_state = 7},
  [3129] = {.lex_state = 11, .external_lex_state = 7},
  [3130] = {.lex_state = 11, .external_lex_state = 7},
  [3131] = {.lex_state = 11, .external_lex_state = 7},
  [3132] = {.lex_state = 11, .external_lex_state = 7},
  [3133] = {.lex_state = 11, .external_lex_state = 7},
  [3134] = {.lex_state = 11, .external_lex_state = 7},
  [3135] = {.lex_state = 11, .external_lex_state = 7},
  [3136] = {.lex_state = 11, .external_lex_state = 7},
  [3137] = {.lex_state = 11, .external_lex_state = 7},
  [3138] = {.lex_state = 11, .external_lex_state = 7},
  [3139] = {.lex_state = 11, .external_lex_state = 7},
  [3140] = {.lex_state = 11, .external_lex_state = 7},
  [3141] = {.lex_state = 11, .external_lex_state = 7},
  [3142] = {.lex_state = 11, .external_lex_state = 7},
  [3143] = {.lex_state = 11, .external_lex_state = 7},
  [3144] = {.lex_state = 11, .external_lex_state = 7},
  [3145] = {.lex_state = 11, .external_lex_state = 7},
  [3146] = {.lex_state = 11, .external_lex_state = 7},
  [3147] = {.lex_state = 11, .external_lex_state = 7},
  [3148] = {.lex_state = 11, .external_lex_state = 7},
  [3149] = {.lex_state = 11, .external_lex_state = 7},
  [3150] = {.lex_state = 11, .external_lex_state = 7},
  [3151] = {.lex_state = 11, .external_lex_state = 7},
  [3152] = {.lex_state = 11, .external_lex_state = 7},
  [3153] = {.lex_state = 11, .external_lex_state = 43},
  [3154] = {.lex_state = 11, .external_lex_state = 43},
  [3155] = {.lex_state = 11, .external_lex_state = 43},
  [3156] = {.lex_state = 11, .external_lex_state = 43},
  [3157] = {.lex_state = 11, .external_lex_state = 43},
  [3158] = {.lex_state = 11, .external_lex_state = 43},
  [3159] = {.lex_state = 11, .external_lex_state = 43},
  [3160] = {.lex_state = 11, .external_lex_state = 43},
  [3161] = {.lex_state = 11, .external_lex_state = 43},
  [3162] = {.lex_state = 11, .external_lex_state = 43},
  [3163] = {.lex_state = 11, .external_lex_state = 43},
  [3164] = {.lex_state = 11, .external_lex_state = 43},
  [3165] = {.lex_state = 11, .external_lex_state = 43},
  [3166] = {.lex_state = 11, .external_lex_state = 43},
  [3167] = {.lex_state = 11, .external_lex_state = 43},
  [3168] = {.lex_state = 11, .external_lex_state = 43},
  [3169] = {.lex_state = 11, .external_lex_state = 43},
  [3170] = {.lex_state = 11, .external_lex_state = 43},
  [3171] = {.lex_state = 11, .external_lex_state = 43},
  [3172] = {.lex_state = 11, .external_lex_state = 43},
  [3173] = {.lex_state = 11, .external_lex_state = 43},
  [3174] = {.lex_state = 11, .external_lex_state = 43},
  [3175] = {.lex_state = 11, .external_lex_state = 43},
  [3176] = {.lex_state = 11, .external_lex_state = 43},
  [3177] = {.lex_state = 11, .external_lex_state = 43},
  [3178] = {.lex_state = 11, .external_lex_state = 43},
  [3179] = {.lex_state = 11, .external_lex_state = 43},
  [3180] = {.lex_state = 11, .external_lex_state = 43},
  [3181] = {.lex_state = 11, .external_lex_state = 43},
  [3182] = {.lex_state = 11, .external_lex_state = 43},
  [3183] = {.lex_state = 11, .external_lex_state = 43},
  [3184] = {.lex_state = 11, .external_lex_state = 43},
  [3185] = {.lex_state = 11, .external_lex_state = 43},
  [3186] = {.lex_state = 11, .external_lex_state = 43},
  [3187] = {.lex_state = 11, .external_lex_state = 43},
  [3188] = {.lex_state = 11, .external_lex_state = 43},
  [3189] = {.lex_state = 11, .external_lex_state = 43},
  [3190] = {.lex_state = 11, .external_lex_state = 43},
  [3191] = {.lex_state = 11, .external_lex_state = 43},
  [3192] = {.lex_state = 11, .external_lex_state = 43},
  [3193] = {.lex_state = 11, .external_lex_state = 43},
  [3194] = {.lex_state = 11, .external_lex_state = 43},
  [3195] = {.lex_state = 11, .external_lex_state = 43},
  [3196] = {.lex_state = 11, .external_lex_state = 43},
  [3197] = {.lex_state = 11, .external_lex_state = 43},
  [3198] = {.lex_state = 11, .external_lex_state = 43},
  [3199] = {.lex_state = 11, .external_lex_state = 43},
  [3200] = {.lex_state = 11, .external_lex_state = 43},
  [3201] = {.lex_state = 11, .external_lex_state = 43},
  [3202] = {.lex_state = 11, .external_lex_state = 44},
  [3203] = {.lex_state = 11, .external_lex_state = 44},
  [3204] = {.lex_state = 11, .external_lex_state = 44},
  [3205] = {.lex_state = 11, .external_lex_state = 44},
  [3206] = {.lex_state = 11, .external_lex_state = 44},
  [3207] = {.lex_state = 11, .external_lex_state = 44},
  [3208] = {.lex_state = 11, .external_lex_state = 44},
  [3209] = {.lex_state = 11, .external_lex_state = 44},
  [3210] = {.lex_state = 11, .external_lex_state = 44},
  [3211] = {.lex_state = 11, .external_lex_state = 44},
  [3212] = {.lex_state = 11, .external_lex_state = 44},
  [3213] = {.lex_state = 11, .external_lex_state = 44},
  [3214] = {.lex_state = 11, .external_lex_state = 44},
  [3215] = {.lex_state = 11, .external_lex_state = 44},
  [3216] = {.lex_state = 11, .external_lex_state = 44},
  [3217] = {.lex_state = 11, .external_lex_state = 44},
  [3218] = {.lex_state = 11, .external_lex_state = 44},
  [3219] = {.lex_state = 11, .external_lex_state = 44},
  [3220] = {.lex_state = 11, .external_lex_state = 44},
  [3221] = {.lex_state = 11, .external_lex_state = 44},
  [3222] = {.lex_state = 15, .external_lex_state = 44},
  [3223] = {.lex_state = 15, .external_lex_state = 44},
  [3224] = {.lex_state = 15, .external_lex_state = 44},
  [3225] = {.lex_state = 15, .external_lex_state = 44},
  [3226] = {.lex_state = 15, .external_lex_state = 44},
  [3227] = {.lex_state = 15, .external_lex_state = 44},
  [3228] = {.lex_state = 15, .external_lex_state = 44},
  [3229] = {.lex_state = 2, .external_lex_state = 44},
  [3230] = {.lex_state = 15, .external_lex_state = 44},
  [3231] = {.lex_state = 2, .external_lex_state = 44},
  [3232] = {.lex_state = 15, .external_lex_state = 44},
  [3233] = {.lex_state = 2, .external_lex_state = 44},
  [3234] = {.lex_state = 2, .external_lex_state = 44},
  [3235] = {.lex_state = 2, .external_lex_state = 44},
  [3236] = {.lex_state = 2, .external_lex_state = 44},
  [3237] = {.lex_state = 15, .external_lex_state = 44},
  [3238] = {.lex_state = 2, .external_lex_state = 44},
  [3239] = {.lex_state = 15, .external_lex_state = 44},
  [3240] = {.lex_state = 15, .external_lex_state = 44},
  [3241] = {.lex_state = 2, .external_lex_state = 44},
  [3242] = {.lex_state = 15, .external_lex_state = 44},
  [3243] = {.lex_state = 2, .external_lex_state = 44},
  [3244] = {.lex_state = 2, .external_lex_state = 44},
  [3245] = {.lex_state = 15, .external_lex_state = 44},
  [3246] = {.lex_state = 11, .external_lex_state = 43},
  [3247] = {.lex_state = 2, .external_lex_state = 44},
  [3248] = {.lex_state = 2, .external_lex_state = 44},
  [3249] = {.lex_state = 15, .external_lex_state = 44},
  [3250] = {.lex_state = 15, .external_lex_state = 44},
  [3251] = {.lex_state = 2, .external_lex_state = 44},
  [3252] = {.lex_state = 2, .external_lex_state = 44},
  [3253] = {.lex_state = 15, .external_lex_state = 44},
  [3254] = {.lex_state = 15, .external_lex_state = 44},
  [3255] = {.lex_state = 2, .external_lex_state = 44},
  [3256] = {.lex_state = 15, .external_lex_state = 44},
  [3257] = {.lex_state = 2, .external_lex_state = 44},
  [3258] = {.lex_state = 15, .external_lex_state = 44},
  [3259] = {.lex_state = 2, .external_lex_state = 44},
  [3260] = {.lex_state = 15, .external_lex_state = 44},
  [3261] = {.lex_state = 11, .external_lex_state = 44},
  [3262] = {.lex_state = 11, .external_lex_state = 44},
  [3263] = {.lex_state = 11, .external_lex_state = 44},
  [3264] = {.lex_state = 11, .external_lex_state = 44},
  [3265] = {.lex_state = 0, .external_lex_state = 7},
  [3266] = {.lex_state = 11, .external_lex_state = 44},
  [3267] = {.lex_state = 0, .external_lex_state = 7},
  [3268] = {.lex_state = 11, .external_lex_state = 44},
  [3269] = {.lex_state = 11, .external_lex_state = 44},
  [3270] = {.lex_state = 11, .external_lex_state = 44},
  [3271] = {.lex_state = 11, .external_lex_state = 44},
  [3272] = {.lex_state = 11, .external_lex_state = 44},
  [3273] = {.lex_state = 0, .external_lex_state = 7},
  [3274] = {.lex_state = 2, .external_lex_state = 44},
  [3275] = {.lex_state = 11, .external_lex_state = 44},
  [3276] = {.lex_state = 11, .external_lex_state = 44},
  [3277] = {.lex_state = 11, .external_lex_state = 44},
  [3278] = {.lex_state = 0, .external_lex_state = 7},
  [3279] = {.lex_state = 11, .external_lex_state = 44},
  [3280] = {.lex_state = 11, .external_lex_state = 44},
  [3281] = {.lex_state = 0, .external_lex_state = 7},
  [3282] = {.lex_state = 0, .external_lex_state = 7},
  [3283] = {.lex_state = 11, .external_lex_state = 44},
  [3284] = {.lex_state = 0, .external_lex_state = 7},
  [3285] = {.lex_state = 11, .external_lex_state = 44},
  [3286] = {.lex_state = 0, .external_lex_state = 7},
  [3287] = {.lex_state = 11, .external_lex_state = 44},
  [3288] = {.lex_state = 11, .external_lex_state = 44},
  [3289] = {.lex_state = 11, .external_lex_state = 44},
  [3290] = {.lex_state = 11, .external_lex_state = 44},
  [3291] = {.lex_state = 2, .external_lex_state = 44},
  [3292] = {.lex_state = 11, .external_lex_state = 44},
  [3293] = {.lex_state = 2, .external_lex_state = 44},
  [3294] = {.lex_state = 11, .external_lex_state = 44},
  [3295] = {.lex_state = 11, .external_lex_state = 44},
  [3296] = {.lex_state = 11, .external_lex_state = 44},
  [3297] = {.lex_state = 0, .external_lex_state = 7},
  [3298] = {.lex_state = 11, .external_lex_state = 44},
  [3299] = {.lex_state = 11, .external_lex_state = 44},
  [3300] = {.lex_state = 11, .external_lex_state = 44},
  [3301] = {.lex_state = 0, .external_lex_state = 7},
  [3302] = {.lex_state = 11, .external_lex_state = 44},
  [3303] = {.lex_state = 0, .external_lex_state = 7},
  [3304] = {.lex_state = 11, .external_lex_state = 44},
  [3305] = {.lex_state = 0, .external_lex_state = 7},
  [3306] = {.lex_state = 0, .external_lex_state = 45},
  [3307] = {.lex_state = 11, .external_lex_state = 44},
  [3308] = {.lex_state = 11, .external_lex_state = 44},
  [3309] = {.lex_state = 11, .external_lex_state = 44},
  [3310] = {.lex_state = 0, .external_lex_state = 7},
  [3311] = {.lex_state = 11, .external_lex_state = 44},
  [3312] = {.lex_state = 11, .external_lex_state = 44},
  [3313] = {.lex_state = 0, .external_lex_state = 7},
  [3314] = {.lex_state = 11, .external_lex_state = 44},
  [3315] = {.lex_state = 11, .external_lex_state = 44},
  [3316] = {.lex_state = 11, .external_lex_state = 44},
  [3317] = {.lex_state = 0, .external_lex_state = 7},
  [3318] = {.lex_state = 11, .external_lex_state = 44},
  [3319] = {.lex_state = 13, .external_lex_state = 44},
  [3320] = {.lex_state = 11, .external_lex_state = 44},
  [3321] = {.lex_state = 11, .external_lex_state = 44},
  [3322] = {.lex_state = 0, .external_lex_state = 7},
  [3323] = {.lex_state = 0, .external_lex_state = 7},
  [3324] = {.lex_state = 11, .external_lex_state = 44},
  [3325] = {.lex_state = 11, .external_lex_state = 44},
  [3326] = {.lex_state = 0, .external_lex_state = 7},
  [3327] = {.lex_state = 11, .external_lex_state = 44},
  [3328] = {.lex_state = 11, .external_lex_state = 44},
  [3329] = {.lex_state = 11, .external_lex_state = 44},
  [3330] = {.lex_state = 11, .external_lex_state = 44},
  [3331] = {.lex_state = 0, .external_lex_state = 46},
  [3332] = {.lex_state = 0, .external_lex_state = 7},
  [3333] = {.lex_state = 11, .external_lex_state = 44},
  [3334] = {.lex_state = 11, .external_lex_state = 44},
  [3335] = {.lex_state = 0, .external_lex_state = 7},
  [3336] = {.lex_state = 0, .external_lex_state = 45},
  [3337] = {.lex_state = 11, .external_lex_state = 44},
  [3338] = {.lex_state = 0, .external_lex_state = 46},
  [3339] = {.lex_state = 0, .external_lex_state = 46},
  [3340] = {.lex_state = 0, .external_lex_state = 46},
  [3341] = {.lex_state = 0, .external_lex_state = 46},
  [3342] = {.lex_state = 0, .external_lex_state = 46},
  [3343] = {.lex_state = 0, .external_lex_state = 7},
  [3344] = {.lex_state = 11, .external_lex_state = 44},
  [3345] = {.lex_state = 0, .external_lex_state = 46},
  [3346] = {.lex_state = 0, .external_lex_state = 7},
  [3347] = {.lex_state = 11, .external_lex_state = 44},
  [3348] = {.lex_state = 11, .external_lex_state = 44},
  [3349] = {.lex_state = 0, .external_lex_state = 46},
  [3350] = {.lex_state = 0, .external_lex_state = 46},
  [3351] = {.lex_state = 0, .external_lex_state = 46},
  [3352] = {.lex_state = 0, .external_lex_state = 46},
  [3353] = {.lex_state = 0, .external_lex_state = 46},
  [3354] = {.lex_state = 0, .external_lex_state = 46},
  [3355] = {.lex_state = 2, .external_lex_state = 44},
  [3356] = {.lex_state = 0, .external_lex_state = 46},
  [3357] = {.lex_state = 0, .external_lex_state = 46},
  [3358] = {.lex_state = 0, .external_lex_state = 46},
  [3359] = {.lex_state = 0, .external_lex_state = 46},
  [3360] = {.lex_state = 0, .external_lex_state = 46},
  [3361] = {.lex_state = 0, .external_lex_state = 46},
  [3362] = {.lex_state = 0, .external_lex_state = 46},
  [3363] = {.lex_state = 0, .external_lex_state = 46},
  [3364] = {.lex_state = 11, .external_lex_state = 44},
  [3365] = {.lex_state = 13, .external_lex_state = 44},
  [3366] = {.lex_state = 0, .external_lex_state = 46},
  [3367] = {.lex_state = 11, .external_lex_state = 44},
  [3368] = {.lex_state = 0, .external_lex_state = 46},
  [3369] = {.lex_state = 0, .external_lex_state = 46},
  [3370] = {.lex_state = 0, .external_lex_state = 46},
  [3371] = {.lex_state = 11, .external_lex_state = 44},
  [3372] = {.lex_state = 11, .external_lex_state = 44},
  [3373] = {.lex_state = 11, .external_lex_state = 44},
  [3374] = {.lex_state = 0, .external_lex_state = 45},
  [3375] = {.lex_state = 0, .external_lex_state = 7},
  [3376] = {.lex_state = 11, .external_lex_state = 44},
  [3377] = {.lex_state = 11, .external_lex_state = 44},
  [3378] = {.lex_state = 11, .external_lex_state = 44},
  [3379] = {.lex_state = 11, .external_lex_state = 44},
  [3380] = {.lex_state = 11, .external_lex_state = 44},
  [3381] = {.lex_state = 11, .external_lex_state = 44},
  [3382] = {.lex_state = 0, .external_lex_state = 7},
  [3383] = {.lex_state = 11, .external_lex_state = 44},
  [3384] = {.lex_state = 0, .external_lex_state = 7},
  [3385] = {.lex_state = 0, .external_lex_state = 47},
  [3386] = {.lex_state = 0, .external_lex_state = 47},
  [3387] = {.lex_state = 0, .external_lex_state = 47},
  [3388] = {.lex_state = 0, .external_lex_state = 47},
  [3389] = {.lex_state = 0, .external_lex_state = 47},
  [3390] = {.lex_state = 0, .external_lex_state = 47},
  [3391] = {.lex_state = 0, .external_lex_state = 47},
  [3392] = {.lex_state = 0, .external_lex_state = 47},
  [3393] = {.lex_state = 0, .external_lex_state = 47},
  [3394] = {.lex_state = 0, .external_lex_state = 47},
  [3395] = {.lex_state = 0, .external_lex_state = 47},
  [3396] = {.lex_state = 0, .external_lex_state = 47},
  [3397] = {.lex_state = 0, .external_lex_state = 47},
  [3398] = {.lex_state = 0, .external_lex_state = 47},
  [3399] = {.lex_state = 0, .external_lex_state = 47},
  [3400] = {.lex_state = 0, .external_lex_state = 47},
  [3401] = {.lex_state = 0, .external_lex_state = 47},
  [3402] = {.lex_state = 0, .external_lex_state = 47},
  [3403] = {.lex_state = 0, .external_lex_state = 47},
  [3404] = {.lex_state = 0, .external_lex_state = 47},
  [3405] = {.lex_state = 0, .external_lex_state = 47},
  [3406] = {.lex_state = 0, .external_lex_state = 47},
  [3407] = {.lex_state = 0, .external_lex_state = 47},
  [3408] = {.lex_state = 0, .external_lex_state = 47},
  [3409] = {.lex_state = 0, .external_lex_state = 47},
  [3410] = {.lex_state = 0, .external_lex_state = 47},
  [3411] = {.lex_state = 0, .external_lex_state = 47},
  [3412] = {.lex_state = 0, .external_lex_state = 47},
  [3413] = {.lex_state = 0, .external_lex_state = 47},
  [3414] = {.lex_state = 0, .external_lex_state = 47},
  [3415] = {.lex_state = 0, .external_lex_state = 47},
  [3416] = {.lex_state = 0, .external_lex_state = 47},
  [3417] = {.lex_state = 0, .external_lex_state = 47},
  [3418] = {.lex_state = 41, .external_lex_state = 44},
  [3419] = {.lex_state = 0, .external_lex_state = 2},
  [3420] = {.lex_state = 0, .external_lex_state = 48},
  [3421] = {.lex_state = 0, .external_lex_state = 47},
  [3422] = {.lex_state = 0, .external_lex_state = 47},
  [3423] = {.lex_state = 0, .external_lex_state = 49},
  [3424] = {.lex_state = 0, .external_lex_state = 48},
  [3425] = {.lex_state = 11, .external_lex_state = 44},
  [3426] = {.lex_state = 11, .external_lex_state = 44},
  [3427] = {.lex_state = 0, .external_lex_state = 47},
  [3428] = {.lex_state = 0, .external_lex_state = 44},
  [3429] = {.lex_state = 0, .external_lex_state = 47},
  [3430] = {.lex_state = 0, .external_lex_state = 47},
  [3431] = {.lex_state = 0, .external_lex_state = 47},
  [3432] = {.lex_state = 0, .external_lex_state = 47},
  [3433] = {.lex_state = 0, .external_lex_state = 47},
  [3434] = {.lex_state = 0, .external_lex_state = 47},
  [3435] = {.lex_state = 0, .external_lex_state = 47},
  [3436] = {.lex_state = 0, .external_lex_state = 48},
  [3437] = {.lex_state = 11, .external_lex_state = 44},
  [3438] = {.lex_state = 0, .external_lex_state = 47},
  [3439] = {.lex_state = 15, .external_lex_state = 44},
  [3440] = {.lex_state = 0, .external_lex_state = 47},
  [3441] = {.lex_state = 0, .external_lex_state = 47},
  [3442] = {.lex_state = 0, .external_lex_state = 47},
  [3443] = {.lex_state = 0, .external_lex_state = 47},
  [3444] = {.lex_state = 0, .external_lex_state = 47},
  [3445] = {.lex_state = 0, .external_lex_state = 47},
  [3446] = {.lex_state = 0, .external_lex_state = 47},
  [3447] = {.lex_state = 0, .external_lex_state = 47},
  [3448] = {.lex_state = 0, .external_lex_state = 47},
  [3449] = {.lex_state = 0, .external_lex_state = 47},
  [3450] = {.lex_state = 0, .external_lex_state = 47},
  [3451] = {.lex_state = 0, .external_lex_state = 47},
  [3452] = {.lex_state = 0, .external_lex_state = 47},
  [3453] = {.lex_state = 0, .external_lex_state = 47},
  [3454] = {.lex_state = 0, .external_lex_state = 47},
  [3455] = {.lex_state = 0, .external_lex_state = 47},
  [3456] = {.lex_state = 0, .external_lex_state = 47},
  [3457] = {.lex_state = 0, .external_lex_state = 47},
  [3458] = {.lex_state = 0, .external_lex_state = 47},
  [3459] = {.lex_state = 0, .external_lex_state = 47},
  [3460] = {.lex_state = 0, .external_lex_state = 47},
  [3461] = {.lex_state = 0, .external_lex_state = 47},
  [3462] = {.lex_state = 0, .external_lex_state = 47},
  [3463] = {.lex_state = 0, .external_lex_state = 47},
  [3464] = {.lex_state = 0, .external_lex_state = 47},
  [3465] = {.lex_state = 0, .external_lex_state = 47},
  [3466] = {.lex_state = 0, .external_lex_state = 47},
  [3467] = {.lex_state = 0, .external_lex_state = 47},
  [3468] = {.lex_state = 0, .external_lex_state = 47},
  [3469] = {.lex_state = 0, .external_lex_state = 47},
  [3470] = {.lex_state = 0, .external_lex_state = 47},
  [3471] = {.lex_state = 0, .external_lex_state = 47},
  [3472] = {.lex_state = 0, .external_lex_state = 47},
  [3473] = {.lex_state = 0, .external_lex_state = 47},
  [3474] = {.lex_state = 0, .external_lex_state = 47},
  [3475] = {.lex_state = 0, .external_lex_state = 47},
  [3476] = {.lex_state = 19, .external_lex_state = 44},
  [3477] = {.lex_state = 0, .external_lex_state = 47},
  [3478] = {.lex_state = 0, .external_lex_state = 47},
  [3479] = {.lex_state = 0, .external_lex_state = 47},
  [3480] = {.lex_state = 0, .external_lex_state = 47},
  [3481] = {.lex_state = 0, .external_lex_state = 47},
  [3482] = {.lex_state = 0, .external_lex_state = 47},
  [3483] = {.lex_state = 0, .external_lex_state = 47},
  [3484] = {.lex_state = 0, .external_lex_state = 47},
  [3485] = {.lex_state = 0, .external_lex_state = 47},
  [3486] = {.lex_state = 0, .external_lex_state = 47},
  [3487] = {.lex_state = 0, .external_lex_state = 47},
  [3488] = {.lex_state = 0, .external_lex_state = 47},
  [3489] = {.lex_state = 19, .external_lex_state = 44},
  [3490] = {.lex_state = 0, .external_lex_state = 47},
  [3491] = {.lex_state = 0, .external_lex_state = 47},
  [3492] = {.lex_state = 0, .external_lex_state = 47},
  [3493] = {.lex_state = 0, .external_lex_state = 47},
  [3494] = {.lex_state = 0, .external_lex_state = 47},
  [3495] = {.lex_state = 0, .external_lex_state = 47},
  [3496] = {.lex_state = 0, .external_lex_state = 47},
  [3497] = {.lex_state = 0, .external_lex_state = 47},
  [3498] = {.lex_state = 0, .external_lex_state = 47},
  [3499] = {.lex_state = 0, .external_lex_state = 47},
  [3500] = {.lex_state = 0, .external_lex_state = 47},
  [3501] = {.lex_state = 0, .external_lex_state = 47},
  [3502] = {.lex_state = 19, .external_lex_state = 44},
  [3503] = {.lex_state = 0, .external_lex_state = 47},
  [3504] = {.lex_state = 0, .external_lex_state = 47},
  [3505] = {.lex_state = 0, .external_lex_state = 47},
  [3506] = {.lex_state = 0, .external_lex_state = 47},
  [3507] = {.lex_state = 0, .external_lex_state = 47},
  [3508] = {.lex_state = 0, .external_lex_state = 47},
  [3509] = {.lex_state = 0, .external_lex_state = 47},
  [3510] = {.lex_state = 0, .external_lex_state = 47},
  [3511] = {.lex_state = 0, .external_lex_state = 47},
  [3512] = {.lex_state = 0, .external_lex_state = 47},
  [3513] = {.lex_state = 0, .external_lex_state = 47},
  [3514] = {.lex_state = 0, .external_lex_state = 47},
  [3515] = {.lex_state = 15, .external_lex_state = 44},
  [3516] = {.lex_state = 19, .external_lex_state = 44},
  [3517] = {.lex_state = 0, .external_lex_state = 47},
  [3518] = {.lex_state = 0, .external_lex_state = 47},
  [3519] = {.lex_state = 0, .external_lex_state = 47},
  [3520] = {.lex_state = 0, .external_lex_state = 47},
  [3521] = {.lex_state = 0, .external_lex_state = 47},
  [3522] = {.lex_state = 0, .external_lex_state = 47},
  [3523] = {.lex_state = 0, .external_lex_state = 47},
  [3524] = {.lex_state = 0, .external_lex_state = 47},
  [3525] = {.lex_state = 0, .external_lex_state = 47},
  [3526] = {.lex_state = 11, .external_lex_state = 44},
  [3527] = {.lex_state = 0, .external_lex_state = 47},
  [3528] = {.lex_state = 0, .external_lex_state = 47},
  [3529] = {.lex_state = 0, .external_lex_state = 47},
  [3530] = {.lex_state = 0, .external_lex_state = 47},
  [3531] = {.lex_state = 11, .external_lex_state = 44},
  [3532] = {.lex_state = 41, .external_lex_state = 44},
  [3533] = {.lex_state = 0, .external_lex_state = 2},
  [3534] = {.lex_state = 0, .external_lex_state = 48},
  [3535] = {.lex_state = 0, .external_lex_state = 47},
  [3536] = {.lex_state = 0, .external_lex_state = 47},
  [3537] = {.lex_state = 0, .external_lex_state = 49},
  [3538] = {.lex_state = 0, .external_lex_state = 48},
  [3539] = {.lex_state = 11, .external_lex_state = 44},
  [3540] = {.lex_state = 11, .external_lex_state = 44},
  [3541] = {.lex_state = 0, .external_lex_state = 47},
  [3542] = {.lex_state = 0, .external_lex_state = 44},
  [3543] = {.lex_state = 19, .external_lex_state = 44},
  [3544] = {.lex_state = 0, .external_lex_state = 47},
  [3545] = {.lex_state = 0, .external_lex_state = 47},
  [3546] = {.lex_state = 0, .external_lex_state = 47},
  [3547] = {.lex_state = 0, .external_lex_state = 47},
  [3548] = {.lex_state = 0, .external_lex_state = 48},
  [3549] = {.lex_state = 11, .external_lex_state = 44},
  [3550] = {.lex_state = 0, .external_lex_state = 47},
  [3551] = {.lex_state = 15, .external_lex_state = 44},
  [3552] = {.lex_state = 0, .external_lex_state = 47},
  [3553] = {.lex_state = 0, .external_lex_state = 47},
  [3554] = {.lex_state = 0, .external_lex_state = 47},
  [3555] = {.lex_state = 0, .external_lex_state = 47},
  [3556] = {.lex_state = 0, .external_lex_state = 47},
  [3557] = {.lex_state = 0, .external_lex_state = 47},
  [3558] = {.lex_state = 11, .external_lex_state = 44},
  [3559] = {.lex_state = 0, .external_lex_state = 47},
  [3560] = {.lex_state = 0, .external_lex_state = 47},
  [3561] = {.lex_state = 0, .external_lex_state = 47},
  [3562] = {.lex_state = 0, .external_lex_state = 2},
  [3563] = {.lex_state = 0, .external_lex_state = 47},
  [3564] = {.lex_state = 0, .external_lex_state = 47},
  [3565] = {.lex_state = 0, .external_lex_state = 49},
  [3566] = {.lex_state = 11, .external_lex_state = 44},
  [3567] = {.lex_state = 11, .external_lex_state = 44},
  [3568] = {.lex_state = 0, .external_lex_state = 47},
  [3569] = {.lex_state = 0, .external_lex_state = 44},
  [3570] = {.lex_state = 19, .external_lex_state = 44},
  [3571] = {.lex_state = 0, .external_lex_state = 47},
  [3572] = {.lex_state = 0, .external_lex_state = 47},
  [3573] = {.lex_state = 0, .external_lex_state = 47},
  [3574] = {.lex_state = 0, .external_lex_state = 47},
  [3575] = {.lex_state = 11, .external_lex_state = 44},
  [3576] = {.lex_state = 0, .external_lex_state = 47},
  [3577] = {.lex_state = 15, .external_lex_state = 44},
  [3578] = {.lex_state = 0, .external_lex_state = 47},
  [3579] = {.lex_state = 0, .external_lex_state = 47},
  [3580] = {.lex_state = 0, .external_lex_state = 47},
  [3581] = {.lex_state = 0, .external_lex_state = 47},
  [3582] = {.lex_state = 0, .external_lex_state = 47},
  [3583] = {.lex_state = 0, .external_lex_state = 47},
  [3584] = {.lex_state = 0, .external_lex_state = 47},
  [3585] = {.lex_state = 11, .external_lex_state = 44},
  [3586] = {.lex_state = 0, .external_lex_state = 47},
  [3587] = {.lex_state = 0, .external_lex_state = 47},
  [3588] = {.lex_state = 0, .external_lex_state = 2},
  [3589] = {.lex_state = 0, .external_lex_state = 47},
  [3590] = {.lex_state = 0, .external_lex_state = 47},
  [3591] = {.lex_state = 0, .external_lex_state = 49},
  [3592] = {.lex_state = 11, .external_lex_state = 44},
  [3593] = {.lex_state = 11, .external_lex_state = 44},
  [3594] = {.lex_state = 0, .external_lex_state = 47},
  [3595] = {.lex_state = 0, .external_lex_state = 44},
  [3596] = {.lex_state = 0, .external_lex_state = 47},
  [3597] = {.lex_state = 19, .external_lex_state = 44},
  [3598] = {.lex_state = 0, .external_lex_state = 47},
  [3599] = {.lex_state = 0, .external_lex_state = 47},
  [3600] = {.lex_state = 0, .external_lex_state = 47},
  [3601] = {.lex_state = 11, .external_lex_state = 44},
  [3602] = {.lex_state = 0, .external_lex_state = 47},
  [3603] = {.lex_state = 0, .external_lex_state = 47},
  [3604] = {.lex_state = 0, .external_lex_state = 47},
  [3605] = {.lex_state = 0, .external_lex_state = 47},
  [3606] = {.lex_state = 0, .external_lex_state = 47},
  [3607] = {.lex_state = 0, .external_lex_state = 47},
  [3608] = {.lex_state = 0, .external_lex_state = 47},
  [3609] = {.lex_state = 0, .external_lex_state = 47},
  [3610] = {.lex_state = 0, .external_lex_state = 47},
  [3611] = {.lex_state = 11, .external_lex_state = 44},
  [3612] = {.lex_state = 0, .external_lex_state = 47},
  [3613] = {.lex_state = 0, .external_lex_state = 47},
  [3614] = {.lex_state = 0, .external_lex_state = 47},
  [3615] = {.lex_state = 0, .external_lex_state = 49},
  [3616] = {.lex_state = 11, .external_lex_state = 44},
  [3617] = {.lex_state = 11, .external_lex_state = 44},
  [3618] = {.lex_state = 0, .external_lex_state = 47},
  [3619] = {.lex_state = 0, .external_lex_state = 44},
  [3620] = {.lex_state = 0, .external_lex_state = 47},
  [3621] = {.lex_state = 0, .external_lex_state = 47},
  [3622] = {.lex_state = 19, .external_lex_state = 44},
  [3623] = {.lex_state = 15, .external_lex_state = 44},
  [3624] = {.lex_state = 0, .external_lex_state = 47},
  [3625] = {.lex_state = 11, .external_lex_state = 44},
  [3626] = {.lex_state = 0, .external_lex_state = 47},
  [3627] = {.lex_state = 0, .external_lex_state = 47},
  [3628] = {.lex_state = 0, .external_lex_state = 47},
  [3629] = {.lex_state = 0, .external_lex_state = 47},
  [3630] = {.lex_state = 0, .external_lex_state = 47},
  [3631] = {.lex_state = 0, .external_lex_state = 47},
  [3632] = {.lex_state = 0, .external_lex_state = 47},
  [3633] = {.lex_state = 0, .external_lex_state = 47},
  [3634] = {.lex_state = 0, .external_lex_state = 47},
  [3635] = {.lex_state = 0, .external_lex_state = 47},
  [3636] = {.lex_state = 0, .external_lex_state = 47},
  [3637] = {.lex_state = 11, .external_lex_state = 44},
  [3638] = {.lex_state = 0, .external_lex_state = 47},
  [3639] = {.lex_state = 0, .external_lex_state = 49},
  [3640] = {.lex_state = 11, .external_lex_state = 44},
  [3641] = {.lex_state = 11, .external_lex_state = 44},
  [3642] = {.lex_state = 0, .external_lex_state = 47},
  [3643] = {.lex_state = 0, .external_lex_state = 44},
  [3644] = {.lex_state = 0, .external_lex_state = 47},
  [3645] = {.lex_state = 0, .external_lex_state = 47},
  [3646] = {.lex_state = 0, .external_lex_state = 47},
  [3647] = {.lex_state = 0, .external_lex_state = 47},
  [3648] = {.lex_state = 19, .external_lex_state = 44},
  [3649] = {.lex_state = 11, .external_lex_state = 44},
  [3650] = {.lex_state = 0, .external_lex_state = 47},
  [3651] = {.lex_state = 0, .external_lex_state = 47},
  [3652] = {.lex_state = 0, .external_lex_state = 47},
  [3653] = {.lex_state = 0, .external_lex_state = 47},
  [3654] = {.lex_state = 0, .external_lex_state = 47},
  [3655] = {.lex_state = 0, .external_lex_state = 47},
  [3656] = {.lex_state = 0, .external_lex_state = 47},
  [3657] = {.lex_state = 0, .external_lex_state = 47},
  [3658] = {.lex_state = 0, .external_lex_state = 47},
  [3659] = {.lex_state = 0, .external_lex_state = 47},
  [3660] = {.lex_state = 0, .external_lex_state = 47},
  [3661] = {.lex_state = 0, .external_lex_state = 47},
  [3662] = {.lex_state = 11, .external_lex_state = 44},
  [3663] = {.lex_state = 0, .external_lex_state = 49},
  [3664] = {.lex_state = 11, .external_lex_state = 44},
  [3665] = {.lex_state = 11, .external_lex_state = 44},
  [3666] = {.lex_state = 0, .external_lex_state = 47},
  [3667] = {.lex_state = 0, .external_lex_state = 44},
  [3668] = {.lex_state = 0, .external_lex_state = 47},
  [3669] = {.lex_state = 0, .external_lex_state = 47},
  [3670] = {.lex_state = 0, .external_lex_state = 47},
  [3671] = {.lex_state = 0, .external_lex_state = 47},
  [3672] = {.lex_state = 0, .external_lex_state = 47},
  [3673] = {.lex_state = 11, .external_lex_state = 44},
  [3674] = {.lex_state = 19, .external_lex_state = 44},
  [3675] = {.lex_state = 0, .external_lex_state = 47},
  [3676] = {.lex_state = 0, .external_lex_state = 47},
  [3677] = {.lex_state = 0, .external_lex_state = 47},
  [3678] = {.lex_state = 0, .external_lex_state = 47},
  [3679] = {.lex_state = 0, .external_lex_state = 47},
  [3680] = {.lex_state = 0, .external_lex_state = 47},
  [3681] = {.lex_state = 0, .external_lex_state = 47},
  [3682] = {.lex_state = 0, .external_lex_state = 47},
  [3683] = {.lex_state = 0, .external_lex_state = 47},
  [3684] = {.lex_state = 0, .external_lex_state = 47},
  [3685] = {.lex_state = 0, .external_lex_state = 47},
  [3686] = {.lex_state = 0, .external_lex_state = 47},
  [3687] = {.lex_state = 0, .external_lex_state = 49},
  [3688] = {.lex_state = 11, .external_lex_state = 44},
  [3689] = {.lex_state = 11, .external_lex_state = 44},
  [3690] = {.lex_state = 11, .external_lex_state = 44},
  [3691] = {.lex_state = 0, .external_lex_state = 44},
  [3692] = {.lex_state = 0, .external_lex_state = 47},
  [3693] = {.lex_state = 0, .external_lex_state = 47},
  [3694] = {.lex_state = 0, .external_lex_state = 47},
  [3695] = {.lex_state = 0, .external_lex_state = 47},
  [3696] = {.lex_state = 0, .external_lex_state = 47},
  [3697] = {.lex_state = 11, .external_lex_state = 44},
  [3698] = {.lex_state = 0, .external_lex_state = 47},
  [3699] = {.lex_state = 19, .external_lex_state = 44},
  [3700] = {.lex_state = 0, .external_lex_state = 47},
  [3701] = {.lex_state = 0, .external_lex_state = 47},
  [3702] = {.lex_state = 0, .external_lex_state = 47},
  [3703] = {.lex_state = 0, .external_lex_state = 47},
  [3704] = {.lex_state = 0, .external_lex_state = 47},
  [3705] = {.lex_state = 0, .external_lex_state = 47},
  [3706] = {.lex_state = 15, .external_lex_state = 44},
  [3707] = {.lex_state = 0, .external_lex_state = 47},
  [3708] = {.lex_state = 0, .external_lex_state = 47},
  [3709] = {.lex_state = 0, .external_lex_state = 47},
  [3710] = {.lex_state = 0, .external_lex_state = 49},
  [3711] = {.lex_state = 11, .external_lex_state = 44},
  [3712] = {.lex_state = 11, .external_lex_state = 44},
  [3713] = {.lex_state = 0, .external_lex_state = 47},
  [3714] = {.lex_state = 0, .external_lex_state = 44},
  [3715] = {.lex_state = 0, .external_lex_state = 47},
  [3716] = {.lex_state = 0, .external_lex_state = 47},
  [3717] = {.lex_state = 11, .external_lex_state = 44},
  [3718] = {.lex_state = 0, .external_lex_state = 47},
  [3719] = {.lex_state = 0, .external_lex_state = 47},
  [3720] = {.lex_state = 11, .external_lex_state = 44},
  [3721] = {.lex_state = 0, .external_lex_state = 47},
  [3722] = {.lex_state = 0, .external_lex_state = 47},
  [3723] = {.lex_state = 0, .external_lex_state = 47},
  [3724] = {.lex_state = 0, .external_lex_state = 47},
  [3725] = {.lex_state = 19, .external_lex_state = 44},
  [3726] = {.lex_state = 0, .external_lex_state = 47},
  [3727] = {.lex_state = 0, .external_lex_state = 47},
  [3728] = {.lex_state = 0, .external_lex_state = 47},
  [3729] = {.lex_state = 0, .external_lex_state = 47},
  [3730] = {.lex_state = 0, .external_lex_state = 47},
  [3731] = {.lex_state = 0, .external_lex_state = 47},
  [3732] = {.lex_state = 0, .external_lex_state = 47},
  [3733] = {.lex_state = 0, .external_lex_state = 49},
  [3734] = {.lex_state = 11, .external_lex_state = 44},
  [3735] = {.lex_state = 11, .external_lex_state = 44},
  [3736] = {.lex_state = 0, .external_lex_state = 47},
  [3737] = {.lex_state = 0, .external_lex_state = 44},
  [3738] = {.lex_state = 0, .external_lex_state = 47},
  [3739] = {.lex_state = 0, .external_lex_state = 47},
  [3740] = {.lex_state = 0, .external_lex_state = 47},
  [3741] = {.lex_state = 0, .external_lex_state = 47},
  [3742] = {.lex_state = 11, .external_lex_state = 44},
  [3743] = {.lex_state = 11, .external_lex_state = 44},
  [3744] = {.lex_state = 0, .external_lex_state = 47},
  [3745] = {.lex_state = 0, .external_lex_state = 47},
  [3746] = {.lex_state = 0, .external_lex_state = 47},
  [3747] = {.lex_state = 0, .external_lex_state = 47},
  [3748] = {.lex_state = 0, .external_lex_state = 47},
  [3749] = {.lex_state = 0, .external_lex_state = 47},
  [3750] = {.lex_state = 19, .external_lex_state = 44},
  [3751] = {.lex_state = 0, .external_lex_state = 47},
  [3752] = {.lex_state = 0, .external_lex_state = 47},
  [3753] = {.lex_state = 0, .external_lex_state = 47},
  [3754] = {.lex_state = 0, .external_lex_state = 47},
  [3755] = {.lex_state = 0, .external_lex_state = 47},
  [3756] = {.lex_state = 0, .external_lex_state = 49},
  [3757] = {.lex_state = 11, .external_lex_state = 44},
  [3758] = {.lex_state = 11, .external_lex_state = 44},
  [3759] = {.lex_state = 0, .external_lex_state = 47},
  [3760] = {.lex_state = 0, .external_lex_state = 44},
  [3761] = {.lex_state = 0, .external_lex_state = 47},
  [3762] = {.lex_state = 0, .external_lex_state = 47},
  [3763] = {.lex_state = 0, .external_lex_state = 47},
  [3764] = {.lex_state = 0, .external_lex_state = 47},
  [3765] = {.lex_state = 0, .external_lex_state = 47},
  [3766] = {.lex_state = 11, .external_lex_state = 44},
  [3767] = {.lex_state = 0, .external_lex_state = 47},
  [3768] = {.lex_state = 11, .external_lex_state = 44},
  [3769] = {.lex_state = 0, .external_lex_state = 47},
  [3770] = {.lex_state = 0, .external_lex_state = 47},
  [3771] = {.lex_state = 0, .external_lex_state = 47},
  [3772] = {.lex_state = 0, .external_lex_state = 47},
  [3773] = {.lex_state = 0, .external_lex_state = 47},
  [3774] = {.lex_state = 0, .external_lex_state = 47},
  [3775] = {.lex_state = 19, .external_lex_state = 44},
  [3776] = {.lex_state = 0, .external_lex_state = 47},
  [3777] = {.lex_state = 0, .external_lex_state = 47},
  [3778] = {.lex_state = 11, .external_lex_state = 44},
  [3779] = {.lex_state = 0, .external_lex_state = 49},
  [3780] = {.lex_state = 11, .external_lex_state = 44},
  [3781] = {.lex_state = 11, .external_lex_state = 44},
  [3782] = {.lex_state = 0, .external_lex_state = 47},
  [3783] = {.lex_state = 0, .external_lex_state = 44},
  [3784] = {.lex_state = 0, .external_lex_state = 47},
  [3785] = {.lex_state = 0, .external_lex_state = 47},
  [3786] = {.lex_state = 0, .external_lex_state = 47},
  [3787] = {.lex_state = 0, .external_lex_state = 47},
  [3788] = {.lex_state = 0, .external_lex_state = 47},
  [3789] = {.lex_state = 11, .external_lex_state = 44},
  [3790] = {.lex_state = 0, .external_lex_state = 47},
  [3791] = {.lex_state = 0, .external_lex_state = 47},
  [3792] = {.lex_state = 0, .external_lex_state = 47},
  [3793] = {.lex_state = 11, .external_lex_state = 44},
  [3794] = {.lex_state = 0, .external_lex_state = 47},
  [3795] = {.lex_state = 0, .external_lex_state = 47},
  [3796] = {.lex_state = 0, .external_lex_state = 47},
  [3797] = {.lex_state = 0, .external_lex_state = 47},
  [3798] = {.lex_state = 0, .external_lex_state = 47},
  [3799] = {.lex_state = 0, .external_lex_state = 47},
  [3800] = {.lex_state = 19, .external_lex_state = 44},
  [3801] = {.lex_state = 0, .external_lex_state = 47},
  [3802] = {.lex_state = 0, .external_lex_state = 49},
  [3803] = {.lex_state = 11, .external_lex_state = 44},
  [3804] = {.lex_state = 11, .external_lex_state = 44},
  [3805] = {.lex_state = 0, .external_lex_state = 47},
  [3806] = {.lex_state = 0, .external_lex_state = 44},
  [3807] = {.lex_state = 0, .external_lex_state = 47},
  [3808] = {.lex_state = 0, .external_lex_state = 47},
  [3809] = {.lex_state = 0, .external_lex_state = 47},
  [3810] = {.lex_state = 0, .external_lex_state = 47},
  [3811] = {.lex_state = 0, .external_lex_state = 47},
  [3812] = {.lex_state = 11, .external_lex_state = 44},
  [3813] = {.lex_state = 0, .external_lex_state = 47},
  [3814] = {.lex_state = 0, .external_lex_state = 47},
  [3815] = {.lex_state = 0, .external_lex_state = 47},
  [3816] = {.lex_state = 0, .external_lex_state = 47},
  [3817] = {.lex_state = 0, .external_lex_state = 47},
  [3818] = {.lex_state = 11, .external_lex_state = 44},
  [3819] = {.lex_state = 0, .external_lex_state = 47},
  [3820] = {.lex_state = 0, .external_lex_state = 47},
  [3821] = {.lex_state = 0, .external_lex_state = 47},
  [3822] = {.lex_state = 0, .external_lex_state = 47},
  [3823] = {.lex_state = 0, .external_lex_state = 47},
  [3824] = {.lex_state = 0, .external_lex_state = 47},
  [3825] = {.lex_state = 0, .external_lex_state = 49},
  [3826] = {.lex_state = 11, .external_lex_state = 44},
  [3827] = {.lex_state = 11, .external_lex_state = 44},
  [3828] = {.lex_state = 19, .external_lex_state = 44},
  [3829] = {.lex_state = 0, .external_lex_state = 44},
  [3830] = {.lex_state = 0, .external_lex_state = 47},
  [3831] = {.lex_state = 0, .external_lex_state = 47},
  [3832] = {.lex_state = 0, .external_lex_state = 47},
  [3833] = {.lex_state = 0, .external_lex_state = 47},
  [3834] = {.lex_state = 0, .external_lex_state = 47},
  [3835] = {.lex_state = 11, .external_lex_state = 44},
  [3836] = {.lex_state = 0, .external_lex_state = 47},
  [3837] = {.lex_state = 0, .external_lex_state = 47},
  [3838] = {.lex_state = 0, .external_lex_state = 47},
  [3839] = {.lex_state = 0, .external_lex_state = 47},
  [3840] = {.lex_state = 0, .external_lex_state = 47},
  [3841] = {.lex_state = 0, .external_lex_state = 47},
  [3842] = {.lex_state = 0, .external_lex_state = 47},
  [3843] = {.lex_state = 0, .external_lex_state = 47},
  [3844] = {.lex_state = 11, .external_lex_state = 44},
  [3845] = {.lex_state = 0, .external_lex_state = 47},
  [3846] = {.lex_state = 0, .external_lex_state = 47},
  [3847] = {.lex_state = 0, .external_lex_state = 47},
  [3848] = {.lex_state = 0, .external_lex_state = 49},
  [3849] = {.lex_state = 11, .external_lex_state = 44},
  [3850] = {.lex_state = 11, .external_lex_state = 44},
  [3851] = {.lex_state = 0, .external_lex_state = 47},
  [3852] = {.lex_state = 0, .external_lex_state = 44},
  [3853] = {.lex_state = 0, .external_lex_state = 47},
  [3854] = {.lex_state = 0, .external_lex_state = 47},
  [3855] = {.lex_state = 19, .external_lex_state = 44},
  [3856] = {.lex_state = 0, .external_lex_state = 50},
  [3857] = {.lex_state = 0, .external_lex_state = 51},
  [3858] = {.lex_state = 11, .external_lex_state = 44},
  [3859] = {.lex_state = 0, .external_lex_state = 47},
  [3860] = {.lex_state = 0, .external_lex_state = 47},
  [3861] = {.lex_state = 0, .external_lex_state = 47},
  [3862] = {.lex_state = 0, .external_lex_state = 47},
  [3863] = {.lex_state = 0, .external_lex_state = 47},
  [3864] = {.lex_state = 15, .external_lex_state = 44},
  [3865] = {.lex_state = 15, .external_lex_state = 44},
  [3866] = {.lex_state = 0, .external_lex_state = 47},
  [3867] = {.lex_state = 0, .external_lex_state = 47},
  [3868] = {.lex_state = 0, .external_lex_state = 47},
  [3869] = {.lex_state = 0, .external_lex_state = 47},
  [3870] = {.lex_state = 0, .external_lex_state = 47},
  [3871] = {.lex_state = 0, .external_lex_state = 49},
  [3872] = {.lex_state = 11, .external_lex_state = 44},
  [3873] = {.lex_state = 11, .external_lex_state = 44},
  [3874] = {.lex_state = 0, .external_lex_state = 47},
  [3875] = {.lex_state = 0, .external_lex_state = 44},
  [3876] = {.lex_state = 0, .external_lex_state = 47},
  [3877] = {.lex_state = 0, .external_lex_state = 47},
  [3878] = {.lex_state = 0, .external_lex_state = 50},
  [3879] = {.lex_state = 0, .external_lex_state = 47},
  [3880] = {.lex_state = 0, .external_lex_state = 47},
  [3881] = {.lex_state = 11, .external_lex_state = 44},
  [3882] = {.lex_state = 0, .external_lex_state = 47},
  [3883] = {.lex_state = 0, .external_lex_state = 47},
  [3884] = {.lex_state = 0, .external_lex_state = 47},
  [3885] = {.lex_state = 0, .external_lex_state = 47},
  [3886] = {.lex_state = 19, .external_lex_state = 44},
  [3887] = {.lex_state = 0, .external_lex_state = 51},
  [3888] = {.lex_state = 0, .external_lex_state = 51},
  [3889] = {.lex_state = 0, .external_lex_state = 47},
  [3890] = {.lex_state = 0, .external_lex_state = 47},
  [3891] = {.lex_state = 0, .external_lex_state = 47},
  [3892] = {.lex_state = 0, .external_lex_state = 47},
  [3893] = {.lex_state = 0, .external_lex_state = 47},
  [3894] = {.lex_state = 0, .external_lex_state = 49},
  [3895] = {.lex_state = 11, .external_lex_state = 44},
  [3896] = {.lex_state = 11, .external_lex_state = 44},
  [3897] = {.lex_state = 0, .external_lex_state = 47},
  [3898] = {.lex_state = 0, .external_lex_state = 44},
  [3899] = {.lex_state = 0, .external_lex_state = 47},
  [3900] = {.lex_state = 0, .external_lex_state = 47},
  [3901] = {.lex_state = 0, .external_lex_state = 47},
  [3902] = {.lex_state = 0, .external_lex_state = 47},
  [3903] = {.lex_state = 0, .external_lex_state = 47},
  [3904] = {.lex_state = 11, .external_lex_state = 44},
  [3905] = {.lex_state = 0, .external_lex_state = 47},
  [3906] = {.lex_state = 0, .external_lex_state = 47},
  [3907] = {.lex_state = 0, .external_lex_state = 47},
  [3908] = {.lex_state = 11, .external_lex_state = 44},
  [3909] = {.lex_state = 0, .external_lex_state = 47},
  [3910] = {.lex_state = 0, .external_lex_state = 47},
  [3911] = {.lex_state = 0, .external_lex_state = 47},
  [3912] = {.lex_state = 0, .external_lex_state = 47},
  [3913] = {.lex_state = 0, .external_lex_state = 47},
  [3914] = {.lex_state = 0, .external_lex_state = 47},
  [3915] = {.lex_state = 19, .external_lex_state = 44},
  [3916] = {.lex_state = 0, .external_lex_state = 50},
  [3917] = {.lex_state = 0, .external_lex_state = 49},
  [3918] = {.lex_state = 11, .external_lex_state = 44},
  [3919] = {.lex_state = 11, .external_lex_state = 44},
  [3920] = {.lex_state = 0, .external_lex_state = 51},
  [3921] = {.lex_state = 0, .external_lex_state = 44},
  [3922] = {.lex_state = 0, .external_lex_state = 47},
  [3923] = {.lex_state = 0, .external_lex_state = 47},
  [3924] = {.lex_state = 0, .external_lex_state = 47},
  [3925] = {.lex_state = 0, .external_lex_state = 47},
  [3926] = {.lex_state = 0, .external_lex_state = 47},
  [3927] = {.lex_state = 11, .external_lex_state = 44},
  [3928] = {.lex_state = 0, .external_lex_state = 47},
  [3929] = {.lex_state = 0, .external_lex_state = 47},
  [3930] = {.lex_state = 0, .external_lex_state = 47},
  [3931] = {.lex_state = 0, .external_lex_state = 47},
  [3932] = {.lex_state = 0, .external_lex_state = 47},
  [3933] = {.lex_state = 0, .external_lex_state = 47},
  [3934] = {.lex_state = 0, .external_lex_state = 47},
  [3935] = {.lex_state = 0, .external_lex_state = 47},
  [3936] = {.lex_state = 11, .external_lex_state = 44},
  [3937] = {.lex_state = 0, .external_lex_state = 47},
  [3938] = {.lex_state = 0, .external_lex_state = 47},
  [3939] = {.lex_state = 0, .external_lex_state = 47},
  [3940] = {.lex_state = 0, .external_lex_state = 49},
  [3941] = {.lex_state = 11, .external_lex_state = 44},
  [3942] = {.lex_state = 11, .external_lex_state = 44},
  [3943] = {.lex_state = 0, .external_lex_state = 47},
  [3944] = {.lex_state = 0, .external_lex_state = 44},
  [3945] = {.lex_state = 0, .external_lex_state = 47},
  [3946] = {.lex_state = 0, .external_lex_state = 47},
  [3947] = {.lex_state = 0, .external_lex_state = 47},
  [3948] = {.lex_state = 0, .external_lex_state = 47},
  [3949] = {.lex_state = 19, .external_lex_state = 44},
  [3950] = {.lex_state = 11, .external_lex_state = 44},
  [3951] = {.lex_state = 0, .external_lex_state = 50},
  [3952] = {.lex_state = 0, .external_lex_state = 51},
  [3953] = {.lex_state = 0, .external_lex_state = 47},
  [3954] = {.lex_state = 0, .external_lex_state = 47},
  [3955] = {.lex_state = 0, .external_lex_state = 47},
  [3956] = {.lex_state = 0, .external_lex_state = 47},
  [3957] = {.lex_state = 0, .external_lex_state = 47},
  [3958] = {.lex_state = 0, .external_lex_state = 47},
  [3959] = {.lex_state = 0, .external_lex_state = 47},
  [3960] = {.lex_state = 0, .external_lex_state = 47},
  [3961] = {.lex_state = 0, .external_lex_state = 47},
  [3962] = {.lex_state = 0, .external_lex_state = 47},
  [3963] = {.lex_state = 0, .external_lex_state = 49},
  [3964] = {.lex_state = 11, .external_lex_state = 44},
  [3965] = {.lex_state = 11, .external_lex_state = 44},
  [3966] = {.lex_state = 0, .external_lex_state = 47},
  [3967] = {.lex_state = 0, .external_lex_state = 44},
  [3968] = {.lex_state = 0, .external_lex_state = 47},
  [3969] = {.lex_state = 0, .external_lex_state = 47},
  [3970] = {.lex_state = 11, .external_lex_state = 44},
  [3971] = {.lex_state = 11, .external_lex_state = 44},
  [3972] = {.lex_state = 0, .external_lex_state = 47},
  [3973] = {.lex_state = 0, .external_lex_state = 47},
  [3974] = {.lex_state = 0, .external_lex_state = 47},
  [3975] = {.lex_state = 0, .external_lex_state = 47},
  [3976] = {.lex_state = 0, .external_lex_state = 47},
  [3977] = {.lex_state = 0, .external_lex_state = 47},
  [3978] = {.lex_state = 19, .external_lex_state = 44},
  [3979] = {.lex_state = 0, .external_lex_state = 50},
  [3980] = {.lex_state = 0, .external_lex_state = 47},
  [3981] = {.lex_state = 0, .external_lex_state = 47},
  [3982] = {.lex_state = 0, .external_lex_state = 47},
  [3983] = {.lex_state = 0, .external_lex_state = 49},
  [3984] = {.lex_state = 11, .external_lex_state = 44},
  [3985] = {.lex_state = 11, .external_lex_state = 44},
  [3986] = {.lex_state = 0, .external_lex_state = 47},
  [3987] = {.lex_state = 0, .external_lex_state = 44},
  [3988] = {.lex_state = 0, .external_lex_state = 49},
  [3989] = {.lex_state = 11, .external_lex_state = 44},
  [3990] = {.lex_state = 0, .external_lex_state = 52},
  [3991] = {.lex_state = 0, .external_lex_state = 47},
  [3992] = {.lex_state = 0, .external_lex_state = 47},
  [3993] = {.lex_state = 15, .external_lex_state = 44},
  [3994] = {.lex_state = 0, .external_lex_state = 47},
  [3995] = {.lex_state = 0, .external_lex_state = 49},
  [3996] = {.lex_state = 11, .external_lex_state = 44},
  [3997] = {.lex_state = 11, .external_lex_state = 44},
  [3998] = {.lex_state = 0, .external_lex_state = 47},
  [3999] = {.lex_state = 0, .external_lex_state = 44},
  [4000] = {.lex_state = 0, .external_lex_state = 47},
  [4001] = {.lex_state = 11, .external_lex_state = 44},
  [4002] = {.lex_state = 0, .external_lex_state = 47},
  [4003] = {.lex_state = 0, .external_lex_state = 47},
  [4004] = {.lex_state = 0, .external_lex_state = 47},
  [4005] = {.lex_state = 0, .external_lex_state = 47},
  [4006] = {.lex_state = 0, .external_lex_state = 47},
  [4007] = {.lex_state = 0, .external_lex_state = 49},
  [4008] = {.lex_state = 11, .external_lex_state = 44},
  [4009] = {.lex_state = 11, .external_lex_state = 44},
  [4010] = {.lex_state = 0, .external_lex_state = 47},
  [4011] = {.lex_state = 0, .external_lex_state = 44},
  [4012] = {.lex_state = 11, .external_lex_state = 44},
  [4013] = {.lex_state = 11, .external_lex_state = 44},
  [4014] = {.lex_state = 0, .external_lex_state = 47},
  [4015] = {.lex_state = 0, .external_lex_state = 51},
  [4016] = {.lex_state = 0, .external_lex_state = 47},
  [4017] = {.lex_state = 0, .external_lex_state = 47},
  [4018] = {.lex_state = 0, .external_lex_state = 47},
  [4019] = {.lex_state = 0, .external_lex_state = 49},
  [4020] = {.lex_state = 11, .external_lex_state = 44},
  [4021] = {.lex_state = 11, .external_lex_state = 44},
  [4022] = {.lex_state = 0, .external_lex_state = 44},
  [4023] = {.lex_state = 0, .external_lex_state = 47},
  [4024] = {.lex_state = 11, .external_lex_state = 44},
  [4025] = {.lex_state = 0, .external_lex_state = 53},
  [4026] = {.lex_state = 0, .external_lex_state = 47},
  [4027] = {.lex_state = 0, .external_lex_state = 47},
  [4028] = {.lex_state = 0, .external_lex_state = 54},
  [4029] = {.lex_state = 0, .external_lex_state = 47},
  [4030] = {.lex_state = 0, .external_lex_state = 47},
  [4031] = {.lex_state = 0, .external_lex_state = 47},
  [4032] = {.lex_state = 19, .external_lex_state = 44},
  [4033] = {.lex_state = 0, .external_lex_state = 50},
  [4034] = {.lex_state = 0, .external_lex_state = 47},
  [4035] = {.lex_state = 0, .external_lex_state = 45},
  [4036] = {.lex_state = 0, .external_lex_state = 51},
  [4037] = {.lex_state = 0, .external_lex_state = 47},
  [4038] = {.lex_state = 11, .external_lex_state = 44},
  [4039] = {.lex_state = 0, .external_lex_state = 47},
  [4040] = {.lex_state = 0, .external_lex_state = 47},
  [4041] = {.lex_state = 0, .external_lex_state = 47},
  [4042] = {.lex_state = 0, .external_lex_state = 49},
  [4043] = {.lex_state = 11, .external_lex_state = 44},
  [4044] = {.lex_state = 0, .external_lex_state = 52},
  [4045] = {.lex_state = 0, .external_lex_state = 47},
  [4046] = {.lex_state = 0, .external_lex_state = 47},
  [4047] = {.lex_state = 0, .external_lex_state = 47},
  [4048] = {.lex_state = 0, .external_lex_state = 47},
  [4049] = {.lex_state = 0, .external_lex_state = 44},
  [4050] = {.lex_state = 0, .external_lex_state = 47},
  [4051] = {.lex_state = 0, .external_lex_state = 47},
  [4052] = {.lex_state = 0, .external_lex_state = 47},
  [4053] = {.lex_state = 0, .external_lex_state = 47},
  [4054] = {.lex_state = 0, .external_lex_state = 47},
  [4055] = {.lex_state = 0, .external_lex_state = 47},
  [4056] = {.lex_state = 0, .external_lex_state = 47},
  [4057] = {.lex_state = 0, .external_lex_state = 53},
  [4058] = {.lex_state = 15, .external_lex_state = 44},
  [4059] = {.lex_state = 11, .external_lex_state = 44},
  [4060] = {.lex_state = 0, .external_lex_state = 47},
  [4061] = {.lex_state = 0, .external_lex_state = 47},
  [4062] = {.lex_state = 0, .external_lex_state = 47},
  [4063] = {.lex_state = 0, .external_lex_state = 47},
  [4064] = {.lex_state = 0, .external_lex_state = 53},
  [4065] = {.lex_state = 0, .external_lex_state = 47},
  [4066] = {.lex_state = 0, .external_lex_state = 54},
  [4067] = {.lex_state = 0, .external_lex_state = 47},
  [4068] = {.lex_state = 0, .external_lex_state = 54},
  [4069] = {.lex_state = 0, .external_lex_state = 47},
  [4070] = {.lex_state = 11, .external_lex_state = 44},
  [4071] = {.lex_state = 0, .external_lex_state = 47},
  [4072] = {.lex_state = 0, .external_lex_state = 45},
  [4073] = {.lex_state = 0, .external_lex_state = 48},
  [4074] = {.lex_state = 19, .external_lex_state = 44},
  [4075] = {.lex_state = 0, .external_lex_state = 47},
  [4076] = {.lex_state = 0, .external_lex_state = 47},
  [4077] = {.lex_state = 0, .external_lex_state = 50},
  [4078] = {.lex_state = 0, .external_lex_state = 51},
  [4079] = {.lex_state = 19, .external_lex_state = 44},
  [4080] = {.lex_state = 0, .external_lex_state = 50},
  [4081] = {.lex_state = 11, .external_lex_state = 44},
  [4082] = {.lex_state = 0, .external_lex_state = 47},
  [4083] = {.lex_state = 0, .external_lex_state = 47},
  [4084] = {.lex_state = 0, .external_lex_state = 47},
  [4085] = {.lex_state = 0, .external_lex_state = 2},
  [4086] = {.lex_state = 0, .external_lex_state = 47},
  [4087] = {.lex_state = 0, .external_lex_state = 47},
  [4088] = {.lex_state = 0, .external_lex_state = 47},
  [4089] = {.lex_state = 0, .external_lex_state = 2},
  [4090] = {.lex_state = 0, .external_lex_state = 49},
  [4091] = {.lex_state = 0, .external_lex_state = 52},
  [4092] = {.lex_state = 0, .external_lex_state = 47},
  [4093] = {.lex_state = 0, .external_lex_state = 2},
  [4094] = {.lex_state = 0, .external_lex_state = 44},
  [4095] = {.lex_state = 15, .external_lex_state = 44},
  [4096] = {.lex_state = 0, .external_lex_state = 47},
  [4097] = {.lex_state = 0, .external_lex_state = 47},
  [4098] = {.lex_state = 0, .external_lex_state = 47},
  [4099] = {.lex_state = 11, .external_lex_state = 44},
  [4100] = {.lex_state = 0, .external_lex_state = 55},
  [4101] = {.lex_state = 0, .external_lex_state = 47},
  [4102] = {.lex_state = 0, .external_lex_state = 56},
  [4103] = {.lex_state = 0, .external_lex_state = 2},
  [4104] = {.lex_state = 11, .external_lex_state = 44},
  [4105] = {.lex_state = 11, .external_lex_state = 44},
  [4106] = {.lex_state = 0, .external_lex_state = 56},
  [4107] = {.lex_state = 11, .external_lex_state = 44},
  [4108] = {.lex_state = 0, .external_lex_state = 48},
  [4109] = {.lex_state = 0, .external_lex_state = 2},
  [4110] = {.lex_state = 0, .external_lex_state = 47},
  [4111] = {.lex_state = 0, .external_lex_state = 49},
  [4112] = {.lex_state = 0, .external_lex_state = 49},
  [4113] = {.lex_state = 0, .external_lex_state = 55},
  [4114] = {.lex_state = 0, .external_lex_state = 47},
  [4115] = {.lex_state = 0, .external_lex_state = 52},
  [4116] = {.lex_state = 0, .external_lex_state = 47},
  [4117] = {.lex_state = 0, .external_lex_state = 2},
  [4118] = {.lex_state = 0, .external_lex_state = 48},
  [4119] = {.lex_state = 0, .external_lex_state = 48},
  [4120] = {.lex_state = 0, .external_lex_state = 2},
  [4121] = {.lex_state = 0, .external_lex_state = 47},
  [4122] = {.lex_state = 0, .external_lex_state = 55},
  [4123] = {.lex_state = 41, .external_lex_state = 44},
  [4124] = {.lex_state = 0, .external_lex_state = 56},
  [4125] = {.lex_state = 0, .external_lex_state = 2},
  [4126] = {.lex_state = 11, .external_lex_state = 44},
  [4127] = {.lex_state = 0, .external_lex_state = 47},
  [4128] = {.lex_state = 0, .external_lex_state = 55},
  [4129] = {.lex_state = 0, .external_lex_state = 56},
  [4130] = {.lex_state = 0, .external_lex_state = 2},
  [4131] = {.lex_state = 11, .external_lex_state = 44},
  [4132] = {.lex_state = 0, .external_lex_state = 47},
  [4133] = {.lex_state = 0, .external_lex_state = 55},
  [4134] = {.lex_state = 0, .external_lex_state = 56},
  [4135] = {.lex_state = 0, .external_lex_state = 2},
  [4136] = {.lex_state = 11, .external_lex_state = 44},
  [4137] = {.lex_state = 0, .external_lex_state = 47},
  [4138] = {.lex_state = 0, .external_lex_state = 55},
  [4139] = {.lex_state = 0, .external_lex_state = 56},
  [4140] = {.lex_state = 0, .external_lex_state = 2},
  [4141] = {.lex_state = 11, .external_lex_state = 44},
  [4142] = {.lex_state = 0, .external_lex_state = 47},
  [4143] = {.lex_state = 0, .external_lex_state = 55},
  [4144] = {.lex_state = 0, .external_lex_state = 56},
  [4145] = {.lex_state = 0, .external_lex_state = 2},
  [4146] = {.lex_state = 11, .external_lex_state = 44},
  [4147] = {.lex_state = 0, .external_lex_state = 2},
  [4148] = {.lex_state = 0, .external_lex_state = 55},
  [4149] = {.lex_state = 0, .external_lex_state = 56},
  [4150] = {.lex_state = 0, .external_lex_state = 2},
  [4151] = {.lex_state = 11, .external_lex_state = 44},
  [4152] = {.lex_state = 0, .external_lex_state = 47},
  [4153] = {.lex_state = 0, .external_lex_state = 55},
  [4154] = {.lex_state = 0, .external_lex_state = 56},
  [4155] = {.lex_state = 0, .external_lex_state = 2},
  [4156] = {.lex_state = 11, .external_lex_state = 44},
  [4157] = {.lex_state = 0, .external_lex_state = 47},
  [4158] = {.lex_state = 0, .external_lex_state = 55},
  [4159] = {.lex_state = 0, .external_lex_state = 56},
  [4160] = {.lex_state = 0, .external_lex_state = 2},
  [4161] = {.lex_state = 11, .external_lex_state = 44},
  [4162] = {.lex_state = 0, .external_lex_state = 53},
  [4163] = {.lex_state = 0, .external_lex_state = 55},
  [4164] = {.lex_state = 0, .external_lex_state = 56},
  [4165] = {.lex_state = 0, .external_lex_state = 2},
  [4166] = {.lex_state = 11, .external_lex_state = 44},
  [4167] = {.lex_state = 0, .external_lex_state = 47},
  [4168] = {.lex_state = 0, .external_lex_state = 55},
  [4169] = {.lex_state = 0, .external_lex_state = 56},
  [4170] = {.lex_state = 0, .external_lex_state = 2},
  [4171] = {.lex_state = 11, .external_lex_state = 44},
  [4172] = {.lex_state = 0, .external_lex_state = 47},
  [4173] = {.lex_state = 0, .external_lex_state = 55},
  [4174] = {.lex_state = 0, .external_lex_state = 56},
  [4175] = {.lex_state = 0, .external_lex_state = 2},
  [4176] = {.lex_state = 11, .external_lex_state = 44},
  [4177] = {.lex_state = 0, .external_lex_state = 54},
  [4178] = {.lex_state = 0, .external_lex_state = 55},
  [4179] = {.lex_state = 0, .external_lex_state = 56},
  [4180] = {.lex_state = 0, .external_lex_state = 2},
  [4181] = {.lex_state = 11, .external_lex_state = 44},
  [4182] = {.lex_state = 0, .external_lex_state = 47},
  [4183] = {.lex_state = 0, .external_lex_state = 55},
  [4184] = {.lex_state = 0, .external_lex_state = 56},
  [4185] = {.lex_state = 0, .external_lex_state = 2},
  [4186] = {.lex_state = 11, .external_lex_state = 44},
  [4187] = {.lex_state = 0, .external_lex_state = 47},
  [4188] = {.lex_state = 0, .external_lex_state = 55},
  [4189] = {.lex_state = 0, .external_lex_state = 56},
  [4190] = {.lex_state = 0, .external_lex_state = 2},
  [4191] = {.lex_state = 11, .external_lex_state = 44},
  [4192] = {.lex_state = 11, .external_lex_state = 44},
  [4193] = {.lex_state = 0, .external_lex_state = 55},
  [4194] = {.lex_state = 0, .external_lex_state = 56},
  [4195] = {.lex_state = 0, .external_lex_state = 2},
  [4196] = {.lex_state = 11, .external_lex_state = 44},
  [4197] = {.lex_state = 19, .external_lex_state = 44},
  [4198] = {.lex_state = 0, .external_lex_state = 55},
  [4199] = {.lex_state = 0, .external_lex_state = 56},
  [4200] = {.lex_state = 0, .external_lex_state = 2},
  [4201] = {.lex_state = 11, .external_lex_state = 44},
  [4202] = {.lex_state = 0, .external_lex_state = 50},
  [4203] = {.lex_state = 0, .external_lex_state = 55},
  [4204] = {.lex_state = 0, .external_lex_state = 56},
  [4205] = {.lex_state = 0, .external_lex_state = 2},
  [4206] = {.lex_state = 11, .external_lex_state = 44},
  [4207] = {.lex_state = 0, .external_lex_state = 51},
  [4208] = {.lex_state = 0, .external_lex_state = 55},
  [4209] = {.lex_state = 0, .external_lex_state = 56},
  [4210] = {.lex_state = 0, .external_lex_state = 2},
  [4211] = {.lex_state = 11, .external_lex_state = 44},
  [4212] = {.lex_state = 11, .external_lex_state = 44},
  [4213] = {.lex_state = 0, .external_lex_state = 55},
  [4214] = {.lex_state = 0, .external_lex_state = 56},
  [4215] = {.lex_state = 0, .external_lex_state = 2},
  [4216] = {.lex_state = 11, .external_lex_state = 44},
  [4217] = {.lex_state = 0, .external_lex_state = 55},
  [4218] = {.lex_state = 0, .external_lex_state = 56},
  [4219] = {.lex_state = 0, .external_lex_state = 2},
  [4220] = {.lex_state = 15, .external_lex_state = 44},
  [4221] = {.lex_state = 0, .external_lex_state = 55},
  [4222] = {.lex_state = 0, .external_lex_state = 56},
  [4223] = {.lex_state = 0, .external_lex_state = 2},
  [4224] = {.lex_state = 0, .external_lex_state = 47},
  [4225] = {.lex_state = 0, .external_lex_state = 55},
  [4226] = {.lex_state = 0, .external_lex_state = 56},
  [4227] = {.lex_state = 0, .external_lex_state = 2},
  [4228] = {.lex_state = 0, .external_lex_state = 47},
  [4229] = {.lex_state = 0, .external_lex_state = 55},
  [4230] = {.lex_state = 0, .external_lex_state = 56},
  [4231] = {.lex_state = 0, .external_lex_state = 2},
  [4232] = {.lex_state = 0, .external_lex_state = 2},
  [4233] = {.lex_state = 0, .external_lex_state = 2},
  [4234] = {.lex_state = 0, .external_lex_state = 2},
  [4235] = {.lex_state = 0, .external_lex_state = 2},
  [4236] = {.lex_state = 0, .external_lex_state = 2},
  [4237] = {.lex_state = 0, .external_lex_state = 2},
  [4238] = {.lex_state = 0, .external_lex_state = 2},
  [4239] = {.lex_state = 0, .external_lex_state = 2},
  [4240] = {.lex_state = 0, .external_lex_state = 2},
  [4241] = {.lex_state = 0, .external_lex_state = 2},
  [4242] = {.lex_state = 0, .external_lex_state = 2},
  [4243] = {.lex_state = 0, .external_lex_state = 2},
  [4244] = {.lex_state = 0, .external_lex_state = 2},
  [4245] = {.lex_state = 0, .external_lex_state = 2},
  [4246] = {.lex_state = 0, .external_lex_state = 2},
  [4247] = {.lex_state = 0, .external_lex_state = 2},
  [4248] = {.lex_state = 0, .external_lex_state = 2},
  [4249] = {.lex_state = 0, .external_lex_state = 2},
  [4250] = {.lex_state = 0, .external_lex_state = 2},
  [4251] = {.lex_state = 0, .external_lex_state = 2},
  [4252] = {.lex_state = 0, .external_lex_state = 47},
  [4253] = {.lex_state = 0, .external_lex_state = 47},
  [4254] = {.lex_state = 0, .external_lex_state = 2},
  [4255] = {.lex_state = 0, .external_lex_state = 49},
  [4256] = {.lex_state = 0, .external_lex_state = 52},
  [4257] = {.lex_state = 0, .external_lex_state = 47},
  [4258] = {.lex_state = 15, .external_lex_state = 44},
  [4259] = {.lex_state = 15, .external_lex_state = 44},
  [4260] = {.lex_state = 15, .external_lex_state = 44},
  [4261] = {.lex_state = 15, .external_lex_state = 44},
  [4262] = {.lex_state = 15, .external_lex_state = 44},
  [4263] = {.lex_state = 15, .external_lex_state = 44},
  [4264] = {.lex_state = 15, .external_lex_state = 44},
  [4265] = {.lex_state = 15, .external_lex_state = 44},
  [4266] = {.lex_state = 15, .external_lex_state = 44},
  [4267] = {.lex_state = 15, .external_lex_state = 44},
  [4268] = {.lex_state = 15, .external_lex_state = 44},
  [4269] = {.lex_state = 15, .external_lex_state = 44},
  [4270] = {.lex_state = 15, .external_lex_state = 44},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [aux_sym_escape_token1] = ACTIONS(1),
    [sym__lb] = ACTIONS(3),
    [sym_linebreak] = ACTIONS(1),
    [sym_quote] = ACTIONS(1),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__math_token_align] = ACTIONS(1),
    [sym__math_token_rpar] = ACTIONS(1),
    [sym__math_token_lpar] = ACTIONS(1),
    [aux_sym__math_root_token1] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym__math_symbol_token1] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_context] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_COMMA2] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_show] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_auto] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__redent] = ACTIONS(1),
    [sym__line_start_check] = ACTIONS(1),
    [sym__token_content] = ACTIONS(1),
    [sym__token_strong] = ACTIONS(1),
    [sym__token_emph] = ACTIONS(1),
    [sym__barrier] = ACTIONS(1),
    [sym__token_bracket] = ACTIONS(1),
    [sym__token_section] = ACTIONS(1),
    [sym__termination] = ACTIONS(1),
    [sym__token_inlined_item_end] = ACTIONS(1),
    [sym__token_inlined_stmt_end] = ACTIONS(1),
    [sym__token_blocked_expr_end] = ACTIONS(1),
    [sym__token_math_letter] = ACTIONS(1),
    [sym__token_math_ident] = ACTIONS(1),
    [sym__token_math_frac] = ACTIONS(1),
    [sym__token_math_group_end] = ACTIONS(1),
    [sym__token_else] = ACTIONS(1),
    [sym__token_unit] = ACTIONS(1),
    [sym__token_url] = ACTIONS(1),
    [sym__token_item] = ACTIONS(1),
    [sym__token_term] = ACTIONS(1),
    [sym__token_head_1] = ACTIONS(1),
    [sym__token_head_2] = ACTIONS(1),
    [sym__token_head_3] = ACTIONS(1),
    [sym__token_head_4] = ACTIONS(1),
    [sym__token_head_5] = ACTIONS(1),
    [sym__token_head_p] = ACTIONS(1),
    [sym__token_string_blob] = ACTIONS(1),
    [sym__token_raw_span_blob] = ACTIONS(1),
    [sym__token_raw_blck_blob] = ACTIONS(1),
    [sym__token_raw_lang] = ACTIONS(1),
    [sym__token_identifier] = ACTIONS(1),
    [sym__token_label] = ACTIONS(1),
    [sym__token_anti_markup] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate] = ACTIONS(1),
    [sym__immediate_paren] = ACTIONS(1),
    [sym__immediate_brack] = ACTIONS(1),
    [sym__immediate_ident] = ACTIONS(1),
    [sym__immediate_math_call] = ACTIONS(1),
    [sym__immediate_math_apply] = ACTIONS(1),
    [sym__immediate_math_field] = ACTIONS(1),
    [sym__immediate_math_prime] = ACTIONS(1),
    [sym__recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(4049),
    [sym__lb] = ACTIONS(3),
    [sym__line_start_check] = ACTIONS(5),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [2] = {
    [sym_raw_blck] = STATE(1504),
    [sym_raw_span] = STATE(1504),
    [sym_math] = STATE(1504),
    [sym__expr] = STATE(1504),
    [sym_ident] = STATE(1504),
    [sym_bool] = STATE(1504),
    [sym_number] = STATE(1504),
    [sym_string] = STATE(1504),
    [sym_tagged] = STATE(1504),
    [sym_context] = STATE(1504),
    [sym_elude] = STATE(1504),
    [sym_assign] = STATE(1504),
    [sym_lambda] = STATE(1504),
    [sym_or] = STATE(1504),
    [sym_not] = STATE(1504),
    [sym_and] = STATE(1504),
    [sym_cmp] = STATE(1504),
    [sym_in] = STATE(1504),
    [sym_add] = STATE(1504),
    [sym_sub] = STATE(1504),
    [sym_mul] = STATE(1504),
    [sym_div] = STATE(1504),
    [sym_sign] = STATE(1504),
    [sym_call] = STATE(1504),
    [sym_field] = STATE(1504),
    [sym_label] = STATE(1504),
    [sym_content] = STATE(1504),
    [sym_group] = STATE(1504),
    [sym_block] = STATE(1504),
    [sym_branch] = STATE(1504),
    [sym_let] = STATE(1504),
    [sym_set] = STATE(1504),
    [sym_import] = STATE(1504),
    [sym_include] = STATE(1504),
    [sym_for] = STATE(1504),
    [sym_while] = STATE(1504),
    [sym_show] = STATE(1504),
    [sym_return] = STATE(1504),
    [sym_flow] = STATE(1504),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(17),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(31),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(33),
    [anon_sym_DASH] = ACTIONS(33),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(59),
    [sym_none] = ACTIONS(59),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [3] = {
    [sym_raw_blck] = STATE(1572),
    [sym_raw_span] = STATE(1572),
    [sym_math] = STATE(1572),
    [sym__expr] = STATE(1572),
    [sym_ident] = STATE(1572),
    [sym_bool] = STATE(1572),
    [sym_number] = STATE(1572),
    [sym_string] = STATE(1572),
    [sym_tagged] = STATE(1572),
    [sym_context] = STATE(1572),
    [sym_elude] = STATE(1572),
    [sym_assign] = STATE(1572),
    [sym_lambda] = STATE(1572),
    [sym_or] = STATE(1572),
    [sym_not] = STATE(1572),
    [sym_and] = STATE(1572),
    [sym_cmp] = STATE(1572),
    [sym_in] = STATE(1572),
    [sym_add] = STATE(1572),
    [sym_sub] = STATE(1572),
    [sym_mul] = STATE(1572),
    [sym_div] = STATE(1572),
    [sym_sign] = STATE(1572),
    [sym_call] = STATE(1572),
    [sym_field] = STATE(1572),
    [sym_label] = STATE(1572),
    [sym_content] = STATE(1572),
    [sym_group] = STATE(1572),
    [sym_block] = STATE(1572),
    [sym_branch] = STATE(1572),
    [sym_let] = STATE(1572),
    [sym_set] = STATE(1572),
    [sym_import] = STATE(1572),
    [sym_include] = STATE(1572),
    [sym_for] = STATE(1572),
    [sym_while] = STATE(1572),
    [sym_show] = STATE(1572),
    [sym_return] = STATE(1572),
    [sym_flow] = STATE(1572),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(67),
    [sym_none] = ACTIONS(67),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [4] = {
    [sym_raw_blck] = STATE(2047),
    [sym_raw_span] = STATE(2047),
    [sym_math] = STATE(2047),
    [sym__expr] = STATE(2047),
    [sym_ident] = STATE(2047),
    [sym_bool] = STATE(2047),
    [sym_number] = STATE(2047),
    [sym_string] = STATE(2047),
    [sym_tagged] = STATE(2047),
    [sym_context] = STATE(2047),
    [sym_elude] = STATE(2047),
    [sym_assign] = STATE(2047),
    [sym_lambda] = STATE(2047),
    [sym_or] = STATE(2047),
    [sym_not] = STATE(2047),
    [sym_and] = STATE(2047),
    [sym_cmp] = STATE(2047),
    [sym_in] = STATE(2047),
    [sym_add] = STATE(2047),
    [sym_sub] = STATE(2047),
    [sym_mul] = STATE(2047),
    [sym_div] = STATE(2047),
    [sym_sign] = STATE(2047),
    [sym_call] = STATE(2047),
    [sym_field] = STATE(2047),
    [sym_label] = STATE(2047),
    [sym_content] = STATE(2047),
    [sym_group] = STATE(2047),
    [sym_block] = STATE(2047),
    [sym_branch] = STATE(2047),
    [sym_let] = STATE(2047),
    [sym_set] = STATE(2047),
    [sym_import] = STATE(2047),
    [sym_include] = STATE(2047),
    [sym_for] = STATE(2047),
    [sym_while] = STATE(2047),
    [sym_show] = STATE(2047),
    [sym_return] = STATE(2047),
    [sym_flow] = STATE(2047),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(91),
    [anon_sym_DASH] = ACTIONS(91),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(117),
    [sym_none] = ACTIONS(117),
    [sym__token_content] = ACTIONS(119),
    [sym__token_inlined_item_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [5] = {
    [sym_raw_blck] = STATE(2041),
    [sym_raw_span] = STATE(2041),
    [sym_math] = STATE(2041),
    [sym__expr] = STATE(2041),
    [sym_ident] = STATE(2041),
    [sym_bool] = STATE(2041),
    [sym_number] = STATE(2041),
    [sym_string] = STATE(2041),
    [sym_tagged] = STATE(2041),
    [sym_context] = STATE(2041),
    [sym_elude] = STATE(2041),
    [sym_assign] = STATE(2041),
    [sym_lambda] = STATE(2041),
    [sym_or] = STATE(2041),
    [sym_not] = STATE(2041),
    [sym_and] = STATE(2041),
    [sym_cmp] = STATE(2041),
    [sym_in] = STATE(2041),
    [sym_add] = STATE(2041),
    [sym_sub] = STATE(2041),
    [sym_mul] = STATE(2041),
    [sym_div] = STATE(2041),
    [sym_sign] = STATE(2041),
    [sym_call] = STATE(2041),
    [sym_field] = STATE(2041),
    [sym_label] = STATE(2041),
    [sym_content] = STATE(2041),
    [sym_group] = STATE(2041),
    [sym_block] = STATE(2041),
    [sym_branch] = STATE(2041),
    [sym_let] = STATE(2041),
    [sym_set] = STATE(2041),
    [sym_import] = STATE(2041),
    [sym_include] = STATE(2041),
    [sym_for] = STATE(2041),
    [sym_while] = STATE(2041),
    [sym_show] = STATE(2041),
    [sym_return] = STATE(2041),
    [sym_flow] = STATE(2041),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(121),
    [sym_none] = ACTIONS(121),
    [sym__token_content] = ACTIONS(119),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [6] = {
    [sym_raw_blck] = STATE(1682),
    [sym_raw_span] = STATE(1682),
    [sym_math] = STATE(1682),
    [sym__expr] = STATE(1682),
    [sym_ident] = STATE(1682),
    [sym_bool] = STATE(1682),
    [sym_number] = STATE(1682),
    [sym_string] = STATE(1682),
    [sym_tagged] = STATE(1682),
    [sym_context] = STATE(1682),
    [sym_elude] = STATE(1682),
    [sym_assign] = STATE(1682),
    [sym_lambda] = STATE(1682),
    [sym_or] = STATE(1682),
    [sym_not] = STATE(1682),
    [sym_and] = STATE(1682),
    [sym_cmp] = STATE(1682),
    [sym_in] = STATE(1682),
    [sym_add] = STATE(1682),
    [sym_sub] = STATE(1682),
    [sym_mul] = STATE(1682),
    [sym_div] = STATE(1682),
    [sym_sign] = STATE(1682),
    [sym_call] = STATE(1682),
    [sym_field] = STATE(1682),
    [sym_label] = STATE(1682),
    [sym_content] = STATE(1682),
    [sym_group] = STATE(1682),
    [sym_block] = STATE(1682),
    [sym_branch] = STATE(1682),
    [sym_let] = STATE(1682),
    [sym_set] = STATE(1682),
    [sym_import] = STATE(1682),
    [sym_include] = STATE(1682),
    [sym_for] = STATE(1682),
    [sym_while] = STATE(1682),
    [sym_show] = STATE(1682),
    [sym_return] = STATE(1682),
    [sym_flow] = STATE(1682),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(165),
    [sym_none] = ACTIONS(165),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [7] = {
    [sym_raw_blck] = STATE(1863),
    [sym_raw_span] = STATE(1863),
    [sym_math] = STATE(1863),
    [sym__expr] = STATE(1863),
    [sym_ident] = STATE(1863),
    [sym_bool] = STATE(1863),
    [sym_number] = STATE(1863),
    [sym_string] = STATE(1863),
    [sym_tagged] = STATE(1863),
    [sym_context] = STATE(1863),
    [sym_elude] = STATE(1863),
    [sym_assign] = STATE(1863),
    [sym_lambda] = STATE(1863),
    [sym_or] = STATE(1863),
    [sym_not] = STATE(1863),
    [sym_and] = STATE(1863),
    [sym_cmp] = STATE(1863),
    [sym_in] = STATE(1863),
    [sym_add] = STATE(1863),
    [sym_sub] = STATE(1863),
    [sym_mul] = STATE(1863),
    [sym_div] = STATE(1863),
    [sym_sign] = STATE(1863),
    [sym_call] = STATE(1863),
    [sym_field] = STATE(1863),
    [sym_label] = STATE(1863),
    [sym_content] = STATE(1863),
    [sym_group] = STATE(1863),
    [sym_block] = STATE(1863),
    [sym_branch] = STATE(1863),
    [sym_let] = STATE(1863),
    [sym_set] = STATE(1863),
    [sym_import] = STATE(1863),
    [sym_include] = STATE(1863),
    [sym_for] = STATE(1863),
    [sym_while] = STATE(1863),
    [sym_show] = STATE(1863),
    [sym_return] = STATE(1863),
    [sym_flow] = STATE(1863),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(189),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(191),
    [anon_sym_DASH] = ACTIONS(191),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(217),
    [sym_none] = ACTIONS(217),
    [sym__token_content] = ACTIONS(219),
    [sym__token_inlined_stmt_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [8] = {
    [sym_raw_blck] = STATE(1857),
    [sym_raw_span] = STATE(1857),
    [sym_math] = STATE(1857),
    [sym__expr] = STATE(1857),
    [sym_ident] = STATE(1857),
    [sym_bool] = STATE(1857),
    [sym_number] = STATE(1857),
    [sym_string] = STATE(1857),
    [sym_tagged] = STATE(1857),
    [sym_context] = STATE(1857),
    [sym_elude] = STATE(1857),
    [sym_assign] = STATE(1857),
    [sym_lambda] = STATE(1857),
    [sym_or] = STATE(1857),
    [sym_not] = STATE(1857),
    [sym_and] = STATE(1857),
    [sym_cmp] = STATE(1857),
    [sym_in] = STATE(1857),
    [sym_add] = STATE(1857),
    [sym_sub] = STATE(1857),
    [sym_mul] = STATE(1857),
    [sym_div] = STATE(1857),
    [sym_sign] = STATE(1857),
    [sym_call] = STATE(1857),
    [sym_field] = STATE(1857),
    [sym_label] = STATE(1857),
    [sym_content] = STATE(1857),
    [sym_group] = STATE(1857),
    [sym_block] = STATE(1857),
    [sym_branch] = STATE(1857),
    [sym_let] = STATE(1857),
    [sym_set] = STATE(1857),
    [sym_import] = STATE(1857),
    [sym_include] = STATE(1857),
    [sym_for] = STATE(1857),
    [sym_while] = STATE(1857),
    [sym_show] = STATE(1857),
    [sym_return] = STATE(1857),
    [sym_flow] = STATE(1857),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(221),
    [sym_none] = ACTIONS(221),
    [sym__token_content] = ACTIONS(219),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [9] = {
    [sym_raw_blck] = STATE(1729),
    [sym_raw_span] = STATE(1729),
    [sym_math] = STATE(1729),
    [sym__expr] = STATE(1729),
    [sym_ident] = STATE(1729),
    [sym_bool] = STATE(1729),
    [sym_number] = STATE(1729),
    [sym_string] = STATE(1729),
    [sym_tagged] = STATE(1729),
    [sym_context] = STATE(1729),
    [sym_elude] = STATE(1729),
    [sym_assign] = STATE(1729),
    [sym_lambda] = STATE(1729),
    [sym_or] = STATE(1729),
    [sym_not] = STATE(1729),
    [sym_and] = STATE(1729),
    [sym_cmp] = STATE(1729),
    [sym_in] = STATE(1729),
    [sym_add] = STATE(1729),
    [sym_sub] = STATE(1729),
    [sym_mul] = STATE(1729),
    [sym_div] = STATE(1729),
    [sym_sign] = STATE(1729),
    [sym_call] = STATE(1729),
    [sym_field] = STATE(1729),
    [sym_label] = STATE(1729),
    [sym_content] = STATE(1729),
    [sym_group] = STATE(1729),
    [sym_block] = STATE(1729),
    [sym_branch] = STATE(1729),
    [sym_let] = STATE(1729),
    [sym_set] = STATE(1729),
    [sym_import] = STATE(1729),
    [sym_include] = STATE(1729),
    [sym_for] = STATE(1729),
    [sym_while] = STATE(1729),
    [sym_show] = STATE(1729),
    [sym_return] = STATE(1729),
    [sym_flow] = STATE(1729),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(265),
    [sym_none] = ACTIONS(265),
    [sym__token_content] = ACTIONS(267),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [10] = {
    [sym_raw_blck] = STATE(1626),
    [sym_raw_span] = STATE(1626),
    [sym_math] = STATE(1626),
    [sym__expr] = STATE(1626),
    [sym_ident] = STATE(1626),
    [sym_bool] = STATE(1626),
    [sym_number] = STATE(1626),
    [sym_string] = STATE(1626),
    [sym_tagged] = STATE(1626),
    [sym_context] = STATE(1626),
    [sym_elude] = STATE(1626),
    [sym_assign] = STATE(1626),
    [sym_lambda] = STATE(1626),
    [sym_or] = STATE(1626),
    [sym_not] = STATE(1626),
    [sym_and] = STATE(1626),
    [sym_cmp] = STATE(1626),
    [sym_in] = STATE(1626),
    [sym_add] = STATE(1626),
    [sym_sub] = STATE(1626),
    [sym_mul] = STATE(1626),
    [sym_div] = STATE(1626),
    [sym_sign] = STATE(1626),
    [sym_call] = STATE(1626),
    [sym_field] = STATE(1626),
    [sym_label] = STATE(1626),
    [sym_content] = STATE(1626),
    [sym_group] = STATE(1626),
    [sym_block] = STATE(1626),
    [sym_branch] = STATE(1626),
    [sym_let] = STATE(1626),
    [sym_set] = STATE(1626),
    [sym_import] = STATE(1626),
    [sym_include] = STATE(1626),
    [sym_for] = STATE(1626),
    [sym_while] = STATE(1626),
    [sym_show] = STATE(1626),
    [sym_return] = STATE(1626),
    [sym_flow] = STATE(1626),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(17),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_RPAREN] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(275),
    [sym_none] = ACTIONS(275),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [11] = {
    [sym_raw_blck] = STATE(1720),
    [sym_raw_span] = STATE(1720),
    [sym_math] = STATE(1720),
    [sym__expr] = STATE(1720),
    [sym_ident] = STATE(1720),
    [sym_bool] = STATE(1720),
    [sym_number] = STATE(1720),
    [sym_string] = STATE(1720),
    [sym_tagged] = STATE(1720),
    [sym_context] = STATE(1720),
    [sym_elude] = STATE(1720),
    [sym_assign] = STATE(1720),
    [sym_lambda] = STATE(1720),
    [sym_or] = STATE(1720),
    [sym_not] = STATE(1720),
    [sym_and] = STATE(1720),
    [sym_cmp] = STATE(1720),
    [sym_in] = STATE(1720),
    [sym_add] = STATE(1720),
    [sym_sub] = STATE(1720),
    [sym_mul] = STATE(1720),
    [sym_div] = STATE(1720),
    [sym_sign] = STATE(1720),
    [sym_call] = STATE(1720),
    [sym_field] = STATE(1720),
    [sym_label] = STATE(1720),
    [sym_content] = STATE(1720),
    [sym_group] = STATE(1720),
    [sym_block] = STATE(1720),
    [sym_branch] = STATE(1720),
    [sym_let] = STATE(1720),
    [sym_set] = STATE(1720),
    [sym_import] = STATE(1720),
    [sym_include] = STATE(1720),
    [sym_for] = STATE(1720),
    [sym_while] = STATE(1720),
    [sym_show] = STATE(1720),
    [sym_return] = STATE(1720),
    [sym_flow] = STATE(1720),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(283),
    [sym_none] = ACTIONS(283),
    [sym__token_content] = ACTIONS(267),
    [sym__token_blocked_expr_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [12] = {
    [sym_raw_blck] = STATE(2214),
    [sym_raw_span] = STATE(2214),
    [sym_math] = STATE(2214),
    [sym__expr] = STATE(2214),
    [sym_ident] = STATE(2214),
    [sym_bool] = STATE(2214),
    [sym_number] = STATE(2214),
    [sym_string] = STATE(2214),
    [sym_tagged] = STATE(2214),
    [sym_context] = STATE(2214),
    [sym_elude] = STATE(2214),
    [sym_assign] = STATE(2214),
    [sym_lambda] = STATE(2214),
    [sym_or] = STATE(2214),
    [sym_not] = STATE(2214),
    [sym_and] = STATE(2214),
    [sym_cmp] = STATE(2214),
    [sym_in] = STATE(2214),
    [sym_add] = STATE(2214),
    [sym_sub] = STATE(2214),
    [sym_mul] = STATE(2214),
    [sym_div] = STATE(2214),
    [sym_sign] = STATE(2214),
    [sym_call] = STATE(2214),
    [sym_field] = STATE(2214),
    [sym_label] = STATE(2214),
    [sym_content] = STATE(2214),
    [sym_group] = STATE(2214),
    [sym_block] = STATE(2214),
    [sym_branch] = STATE(2214),
    [sym_let] = STATE(2214),
    [sym_set] = STATE(2214),
    [sym_import] = STATE(2214),
    [sym_include] = STATE(2214),
    [sym_for] = STATE(2214),
    [sym_while] = STATE(2214),
    [sym_show] = STATE(2214),
    [sym_return] = STATE(2214),
    [sym_flow] = STATE(2214),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(305),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(333),
    [sym_none] = ACTIONS(333),
    [sym__token_content] = ACTIONS(335),
    [sym__token_blocked_expr_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [13] = {
    [sym_raw_blck] = STATE(2373),
    [sym_raw_span] = STATE(2373),
    [sym_math] = STATE(2373),
    [sym__expr] = STATE(2373),
    [sym_ident] = STATE(2373),
    [sym_bool] = STATE(2373),
    [sym_number] = STATE(2373),
    [sym_string] = STATE(2373),
    [sym_tagged] = STATE(2373),
    [sym_context] = STATE(2373),
    [sym_elude] = STATE(2373),
    [sym_assign] = STATE(2373),
    [sym_lambda] = STATE(2373),
    [sym_or] = STATE(2373),
    [sym_not] = STATE(2373),
    [sym_and] = STATE(2373),
    [sym_cmp] = STATE(2373),
    [sym_in] = STATE(2373),
    [sym_add] = STATE(2373),
    [sym_sub] = STATE(2373),
    [sym_mul] = STATE(2373),
    [sym_div] = STATE(2373),
    [sym_sign] = STATE(2373),
    [sym_call] = STATE(2373),
    [sym_field] = STATE(2373),
    [sym_label] = STATE(2373),
    [sym_content] = STATE(2373),
    [sym_group] = STATE(2373),
    [sym_block] = STATE(2373),
    [sym_branch] = STATE(2373),
    [sym_let] = STATE(2373),
    [sym_set] = STATE(2373),
    [sym_import] = STATE(2373),
    [sym_include] = STATE(2373),
    [sym_for] = STATE(2373),
    [sym_while] = STATE(2373),
    [sym_show] = STATE(2373),
    [sym_return] = STATE(2373),
    [sym_flow] = STATE(2373),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(357),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(359),
    [anon_sym_DASH] = ACTIONS(359),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(385),
    [sym_none] = ACTIONS(385),
    [sym__token_content] = ACTIONS(387),
    [sym__token_inlined_item_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [14] = {
    [sym_raw_blck] = STATE(1565),
    [sym_raw_span] = STATE(1565),
    [sym_math] = STATE(1565),
    [sym__expr] = STATE(1565),
    [sym_ident] = STATE(1565),
    [sym_bool] = STATE(1565),
    [sym_number] = STATE(1565),
    [sym_string] = STATE(1565),
    [sym_tagged] = STATE(1565),
    [sym_context] = STATE(1565),
    [sym_elude] = STATE(1565),
    [sym_assign] = STATE(1565),
    [sym_lambda] = STATE(1565),
    [sym_or] = STATE(1565),
    [sym_not] = STATE(1565),
    [sym_and] = STATE(1565),
    [sym_cmp] = STATE(1565),
    [sym_in] = STATE(1565),
    [sym_add] = STATE(1565),
    [sym_sub] = STATE(1565),
    [sym_mul] = STATE(1565),
    [sym_div] = STATE(1565),
    [sym_sign] = STATE(1565),
    [sym_call] = STATE(1565),
    [sym_field] = STATE(1565),
    [sym_label] = STATE(1565),
    [sym_content] = STATE(1565),
    [sym_group] = STATE(1565),
    [sym_block] = STATE(1565),
    [sym_branch] = STATE(1565),
    [sym_let] = STATE(1565),
    [sym_set] = STATE(1565),
    [sym_import] = STATE(1565),
    [sym_include] = STATE(1565),
    [sym_for] = STATE(1565),
    [sym_while] = STATE(1565),
    [sym_show] = STATE(1565),
    [sym_return] = STATE(1565),
    [sym_flow] = STATE(1565),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(429),
    [sym_none] = ACTIONS(429),
    [sym__token_content] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [15] = {
    [sym_raw_blck] = STATE(1555),
    [sym_raw_span] = STATE(1555),
    [sym_math] = STATE(1555),
    [sym__expr] = STATE(1555),
    [sym_ident] = STATE(1555),
    [sym_bool] = STATE(1555),
    [sym_number] = STATE(1555),
    [sym_string] = STATE(1555),
    [sym_tagged] = STATE(1555),
    [sym_context] = STATE(1555),
    [sym_elude] = STATE(1555),
    [sym_assign] = STATE(1555),
    [sym_lambda] = STATE(1555),
    [sym_or] = STATE(1555),
    [sym_not] = STATE(1555),
    [sym_and] = STATE(1555),
    [sym_cmp] = STATE(1555),
    [sym_in] = STATE(1555),
    [sym_add] = STATE(1555),
    [sym_sub] = STATE(1555),
    [sym_mul] = STATE(1555),
    [sym_div] = STATE(1555),
    [sym_sign] = STATE(1555),
    [sym_call] = STATE(1555),
    [sym_field] = STATE(1555),
    [sym_label] = STATE(1555),
    [sym_content] = STATE(1555),
    [sym_group] = STATE(1555),
    [sym_block] = STATE(1555),
    [sym_branch] = STATE(1555),
    [sym_let] = STATE(1555),
    [sym_set] = STATE(1555),
    [sym_import] = STATE(1555),
    [sym_include] = STATE(1555),
    [sym_for] = STATE(1555),
    [sym_while] = STATE(1555),
    [sym_show] = STATE(1555),
    [sym_return] = STATE(1555),
    [sym_flow] = STATE(1555),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(433),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(435),
    [anon_sym_DASH] = ACTIONS(435),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(439),
    [sym_none] = ACTIONS(439),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [16] = {
    [sym_raw_blck] = STATE(2269),
    [sym_raw_span] = STATE(2269),
    [sym_math] = STATE(2269),
    [sym__expr] = STATE(2269),
    [sym_ident] = STATE(2269),
    [sym_bool] = STATE(2269),
    [sym_number] = STATE(2269),
    [sym_string] = STATE(2269),
    [sym_tagged] = STATE(2269),
    [sym_context] = STATE(2269),
    [sym_elude] = STATE(2269),
    [sym_assign] = STATE(2269),
    [sym_lambda] = STATE(2269),
    [sym_or] = STATE(2269),
    [sym_not] = STATE(2269),
    [sym_and] = STATE(2269),
    [sym_cmp] = STATE(2269),
    [sym_in] = STATE(2269),
    [sym_add] = STATE(2269),
    [sym_sub] = STATE(2269),
    [sym_mul] = STATE(2269),
    [sym_div] = STATE(2269),
    [sym_sign] = STATE(2269),
    [sym_call] = STATE(2269),
    [sym_field] = STATE(2269),
    [sym_label] = STATE(2269),
    [sym_content] = STATE(2269),
    [sym_group] = STATE(2269),
    [sym_block] = STATE(2269),
    [sym_branch] = STATE(2269),
    [sym_let] = STATE(2269),
    [sym_set] = STATE(2269),
    [sym_import] = STATE(2269),
    [sym_include] = STATE(2269),
    [sym_for] = STATE(2269),
    [sym_while] = STATE(2269),
    [sym_show] = STATE(2269),
    [sym_return] = STATE(2269),
    [sym_flow] = STATE(2269),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(465),
    [anon_sym_DASH] = ACTIONS(465),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(491),
    [sym_none] = ACTIONS(491),
    [sym__token_content] = ACTIONS(493),
    [sym__token_inlined_stmt_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [17] = {
    [sym_raw_blck] = STATE(2210),
    [sym_raw_span] = STATE(2210),
    [sym_math] = STATE(2210),
    [sym__expr] = STATE(2210),
    [sym_ident] = STATE(2210),
    [sym_bool] = STATE(2210),
    [sym_number] = STATE(2210),
    [sym_string] = STATE(2210),
    [sym_tagged] = STATE(2210),
    [sym_context] = STATE(2210),
    [sym_elude] = STATE(2210),
    [sym_assign] = STATE(2210),
    [sym_lambda] = STATE(2210),
    [sym_or] = STATE(2210),
    [sym_not] = STATE(2210),
    [sym_and] = STATE(2210),
    [sym_cmp] = STATE(2210),
    [sym_in] = STATE(2210),
    [sym_add] = STATE(2210),
    [sym_sub] = STATE(2210),
    [sym_mul] = STATE(2210),
    [sym_div] = STATE(2210),
    [sym_sign] = STATE(2210),
    [sym_call] = STATE(2210),
    [sym_field] = STATE(2210),
    [sym_label] = STATE(2210),
    [sym_content] = STATE(2210),
    [sym_group] = STATE(2210),
    [sym_block] = STATE(2210),
    [sym_branch] = STATE(2210),
    [sym_let] = STATE(2210),
    [sym_set] = STATE(2210),
    [sym_import] = STATE(2210),
    [sym_include] = STATE(2210),
    [sym_for] = STATE(2210),
    [sym_while] = STATE(2210),
    [sym_show] = STATE(2210),
    [sym_return] = STATE(2210),
    [sym_flow] = STATE(2210),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(495),
    [sym_none] = ACTIONS(495),
    [sym__token_content] = ACTIONS(493),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [18] = {
    [sym_raw_blck] = STATE(2218),
    [sym_raw_span] = STATE(2218),
    [sym_math] = STATE(2218),
    [sym__expr] = STATE(2218),
    [sym_ident] = STATE(2218),
    [sym_bool] = STATE(2218),
    [sym_number] = STATE(2218),
    [sym_string] = STATE(2218),
    [sym_tagged] = STATE(2218),
    [sym_context] = STATE(2218),
    [sym_elude] = STATE(2218),
    [sym_assign] = STATE(2218),
    [sym_lambda] = STATE(2218),
    [sym_or] = STATE(2218),
    [sym_not] = STATE(2218),
    [sym_and] = STATE(2218),
    [sym_cmp] = STATE(2218),
    [sym_in] = STATE(2218),
    [sym_add] = STATE(2218),
    [sym_sub] = STATE(2218),
    [sym_mul] = STATE(2218),
    [sym_div] = STATE(2218),
    [sym_sign] = STATE(2218),
    [sym_call] = STATE(2218),
    [sym_field] = STATE(2218),
    [sym_label] = STATE(2218),
    [sym_content] = STATE(2218),
    [sym_group] = STATE(2218),
    [sym_block] = STATE(2218),
    [sym_branch] = STATE(2218),
    [sym_let] = STATE(2218),
    [sym_set] = STATE(2218),
    [sym_import] = STATE(2218),
    [sym_include] = STATE(2218),
    [sym_for] = STATE(2218),
    [sym_while] = STATE(2218),
    [sym_show] = STATE(2218),
    [sym_return] = STATE(2218),
    [sym_flow] = STATE(2218),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(497),
    [sym_none] = ACTIONS(497),
    [sym__token_content] = ACTIONS(335),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [19] = {
    [sym_raw_blck] = STATE(2378),
    [sym_raw_span] = STATE(2378),
    [sym_math] = STATE(2378),
    [sym__expr] = STATE(2378),
    [sym_ident] = STATE(2378),
    [sym_bool] = STATE(2378),
    [sym_number] = STATE(2378),
    [sym_string] = STATE(2378),
    [sym_tagged] = STATE(2378),
    [sym_context] = STATE(2378),
    [sym_elude] = STATE(2378),
    [sym_assign] = STATE(2378),
    [sym_lambda] = STATE(2378),
    [sym_or] = STATE(2378),
    [sym_not] = STATE(2378),
    [sym_and] = STATE(2378),
    [sym_cmp] = STATE(2378),
    [sym_in] = STATE(2378),
    [sym_add] = STATE(2378),
    [sym_sub] = STATE(2378),
    [sym_mul] = STATE(2378),
    [sym_div] = STATE(2378),
    [sym_sign] = STATE(2378),
    [sym_call] = STATE(2378),
    [sym_field] = STATE(2378),
    [sym_label] = STATE(2378),
    [sym_content] = STATE(2378),
    [sym_group] = STATE(2378),
    [sym_block] = STATE(2378),
    [sym_branch] = STATE(2378),
    [sym_let] = STATE(2378),
    [sym_set] = STATE(2378),
    [sym_import] = STATE(2378),
    [sym_include] = STATE(2378),
    [sym_for] = STATE(2378),
    [sym_while] = STATE(2378),
    [sym_show] = STATE(2378),
    [sym_return] = STATE(2378),
    [sym_flow] = STATE(2378),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(499),
    [sym_none] = ACTIONS(499),
    [sym__token_content] = ACTIONS(387),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [20] = {
    [sym_raw_blck] = STATE(2323),
    [sym_raw_span] = STATE(2323),
    [sym_math] = STATE(2323),
    [sym__expr] = STATE(2323),
    [sym_ident] = STATE(2323),
    [sym_bool] = STATE(2323),
    [sym_number] = STATE(2323),
    [sym_string] = STATE(2323),
    [sym_tagged] = STATE(2323),
    [sym_context] = STATE(2323),
    [sym_elude] = STATE(2323),
    [sym_assign] = STATE(2323),
    [sym_lambda] = STATE(2323),
    [sym_or] = STATE(2323),
    [sym_not] = STATE(2323),
    [sym_and] = STATE(2323),
    [sym_cmp] = STATE(2323),
    [sym_in] = STATE(2323),
    [sym_add] = STATE(2323),
    [sym_sub] = STATE(2323),
    [sym_mul] = STATE(2323),
    [sym_div] = STATE(2323),
    [sym_sign] = STATE(2323),
    [sym_call] = STATE(2323),
    [sym_field] = STATE(2323),
    [sym_label] = STATE(2323),
    [sym_content] = STATE(2323),
    [sym_group] = STATE(2323),
    [sym_block] = STATE(2323),
    [sym_branch] = STATE(2323),
    [sym_let] = STATE(2323),
    [sym_set] = STATE(2323),
    [sym_import] = STATE(2323),
    [sym_include] = STATE(2323),
    [sym_for] = STATE(2323),
    [sym_while] = STATE(2323),
    [sym_show] = STATE(2323),
    [sym_return] = STATE(2323),
    [sym_flow] = STATE(2323),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(543),
    [sym_none] = ACTIONS(543),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [21] = {
    [sym_raw_blck] = STATE(2315),
    [sym_raw_span] = STATE(2315),
    [sym_math] = STATE(2315),
    [sym__expr] = STATE(2315),
    [sym_ident] = STATE(2315),
    [sym_bool] = STATE(2315),
    [sym_number] = STATE(2315),
    [sym_string] = STATE(2315),
    [sym_tagged] = STATE(2315),
    [sym_context] = STATE(2315),
    [sym_elude] = STATE(2315),
    [sym_assign] = STATE(2315),
    [sym_lambda] = STATE(2315),
    [sym_or] = STATE(2315),
    [sym_not] = STATE(2315),
    [sym_and] = STATE(2315),
    [sym_cmp] = STATE(2315),
    [sym_in] = STATE(2315),
    [sym_add] = STATE(2315),
    [sym_sub] = STATE(2315),
    [sym_mul] = STATE(2315),
    [sym_div] = STATE(2315),
    [sym_sign] = STATE(2315),
    [sym_call] = STATE(2315),
    [sym_field] = STATE(2315),
    [sym_label] = STATE(2315),
    [sym_content] = STATE(2315),
    [sym_group] = STATE(2315),
    [sym_block] = STATE(2315),
    [sym_branch] = STATE(2315),
    [sym_let] = STATE(2315),
    [sym_set] = STATE(2315),
    [sym_import] = STATE(2315),
    [sym_include] = STATE(2315),
    [sym_for] = STATE(2315),
    [sym_while] = STATE(2315),
    [sym_show] = STATE(2315),
    [sym_return] = STATE(2315),
    [sym_flow] = STATE(2315),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_COMMA] = ACTIONS(17),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(549),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(551),
    [anon_sym_DASH] = ACTIONS(551),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_RPAREN] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(553),
    [sym_none] = ACTIONS(553),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [22] = {
    [sym_raw_blck] = STATE(2643),
    [sym_raw_span] = STATE(2643),
    [sym_math] = STATE(2643),
    [sym__expr] = STATE(2643),
    [sym_ident] = STATE(2643),
    [sym_bool] = STATE(2643),
    [sym_number] = STATE(2643),
    [sym_string] = STATE(2643),
    [sym_tagged] = STATE(2643),
    [sym_context] = STATE(2643),
    [sym_elude] = STATE(2643),
    [sym_assign] = STATE(2643),
    [sym_lambda] = STATE(2643),
    [sym_or] = STATE(2643),
    [sym_not] = STATE(2643),
    [sym_and] = STATE(2643),
    [sym_cmp] = STATE(2643),
    [sym_in] = STATE(2643),
    [sym_add] = STATE(2643),
    [sym_sub] = STATE(2643),
    [sym_mul] = STATE(2643),
    [sym_div] = STATE(2643),
    [sym_sign] = STATE(2643),
    [sym_call] = STATE(2643),
    [sym_field] = STATE(2643),
    [sym_label] = STATE(2643),
    [sym_content] = STATE(2643),
    [sym_group] = STATE(2643),
    [sym_block] = STATE(2643),
    [sym_branch] = STATE(2643),
    [sym_let] = STATE(2643),
    [sym_set] = STATE(2643),
    [sym_import] = STATE(2643),
    [sym_include] = STATE(2643),
    [sym_for] = STATE(2643),
    [sym_while] = STATE(2643),
    [sym_show] = STATE(2643),
    [sym_return] = STATE(2643),
    [sym_flow] = STATE(2643),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(597),
    [sym_none] = ACTIONS(597),
    [sym__token_content] = ACTIONS(599),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [23] = {
    [sym_raw_blck] = STATE(2616),
    [sym_raw_span] = STATE(2616),
    [sym_math] = STATE(2616),
    [sym__expr] = STATE(2616),
    [sym_ident] = STATE(2616),
    [sym_bool] = STATE(2616),
    [sym_number] = STATE(2616),
    [sym_string] = STATE(2616),
    [sym_tagged] = STATE(2616),
    [sym_context] = STATE(2616),
    [sym_elude] = STATE(2616),
    [sym_assign] = STATE(2616),
    [sym_lambda] = STATE(2616),
    [sym_or] = STATE(2616),
    [sym_not] = STATE(2616),
    [sym_and] = STATE(2616),
    [sym_cmp] = STATE(2616),
    [sym_in] = STATE(2616),
    [sym_add] = STATE(2616),
    [sym_sub] = STATE(2616),
    [sym_mul] = STATE(2616),
    [sym_div] = STATE(2616),
    [sym_sign] = STATE(2616),
    [sym_call] = STATE(2616),
    [sym_field] = STATE(2616),
    [sym_label] = STATE(2616),
    [sym_content] = STATE(2616),
    [sym_group] = STATE(2616),
    [sym_block] = STATE(2616),
    [sym_branch] = STATE(2616),
    [sym_let] = STATE(2616),
    [sym_set] = STATE(2616),
    [sym_import] = STATE(2616),
    [sym_include] = STATE(2616),
    [sym_for] = STATE(2616),
    [sym_while] = STATE(2616),
    [sym_show] = STATE(2616),
    [sym_return] = STATE(2616),
    [sym_flow] = STATE(2616),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(65),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(643),
    [sym_none] = ACTIONS(643),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [24] = {
    [sym_raw_blck] = STATE(2677),
    [sym_raw_span] = STATE(2677),
    [sym_math] = STATE(2677),
    [sym__expr] = STATE(2677),
    [sym_ident] = STATE(2677),
    [sym_bool] = STATE(2677),
    [sym_number] = STATE(2677),
    [sym_string] = STATE(2677),
    [sym_tagged] = STATE(2677),
    [sym_context] = STATE(2677),
    [sym_elude] = STATE(2677),
    [sym_assign] = STATE(2677),
    [sym_lambda] = STATE(2677),
    [sym_or] = STATE(2677),
    [sym_not] = STATE(2677),
    [sym_and] = STATE(2677),
    [sym_cmp] = STATE(2677),
    [sym_in] = STATE(2677),
    [sym_add] = STATE(2677),
    [sym_sub] = STATE(2677),
    [sym_mul] = STATE(2677),
    [sym_div] = STATE(2677),
    [sym_sign] = STATE(2677),
    [sym_call] = STATE(2677),
    [sym_field] = STATE(2677),
    [sym_label] = STATE(2677),
    [sym_content] = STATE(2677),
    [sym_group] = STATE(2677),
    [sym_block] = STATE(2677),
    [sym_branch] = STATE(2677),
    [sym_let] = STATE(2677),
    [sym_set] = STATE(2677),
    [sym_import] = STATE(2677),
    [sym_include] = STATE(2677),
    [sym_for] = STATE(2677),
    [sym_while] = STATE(2677),
    [sym_show] = STATE(2677),
    [sym_return] = STATE(2677),
    [sym_flow] = STATE(2677),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(649),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(651),
    [anon_sym_DASH] = ACTIONS(651),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym__token_content] = ACTIONS(599),
    [sym__token_blocked_expr_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [25] = {
    [sym_raw_blck] = STATE(2448),
    [sym_raw_span] = STATE(2448),
    [sym_math] = STATE(2448),
    [sym__expr] = STATE(2448),
    [sym_ident] = STATE(2448),
    [sym_bool] = STATE(2448),
    [sym_number] = STATE(2448),
    [sym_string] = STATE(2448),
    [sym_tagged] = STATE(2448),
    [sym_context] = STATE(2448),
    [sym_elude] = STATE(2448),
    [sym_assign] = STATE(2448),
    [sym_lambda] = STATE(2448),
    [sym_or] = STATE(2448),
    [sym_not] = STATE(2448),
    [sym_and] = STATE(2448),
    [sym_cmp] = STATE(2448),
    [sym_in] = STATE(2448),
    [sym_add] = STATE(2448),
    [sym_sub] = STATE(2448),
    [sym_mul] = STATE(2448),
    [sym_div] = STATE(2448),
    [sym_sign] = STATE(2448),
    [sym_call] = STATE(2448),
    [sym_field] = STATE(2448),
    [sym_label] = STATE(2448),
    [sym_content] = STATE(2448),
    [sym_group] = STATE(2448),
    [sym_block] = STATE(2448),
    [sym_branch] = STATE(2448),
    [sym_let] = STATE(2448),
    [sym_set] = STATE(2448),
    [sym_import] = STATE(2448),
    [sym_include] = STATE(2448),
    [sym_for] = STATE(2448),
    [sym_while] = STATE(2448),
    [sym_show] = STATE(2448),
    [sym_return] = STATE(2448),
    [sym_flow] = STATE(2448),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(675),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(703),
    [sym_none] = ACTIONS(703),
    [sym__token_content] = ACTIONS(705),
    [sym__token_inlined_item_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [26] = {
    [sym_raw_blck] = STATE(2453),
    [sym_raw_span] = STATE(2453),
    [sym_math] = STATE(2453),
    [sym__expr] = STATE(2453),
    [sym_ident] = STATE(2453),
    [sym_bool] = STATE(2453),
    [sym_number] = STATE(2453),
    [sym_string] = STATE(2453),
    [sym_tagged] = STATE(2453),
    [sym_context] = STATE(2453),
    [sym_elude] = STATE(2453),
    [sym_assign] = STATE(2453),
    [sym_lambda] = STATE(2453),
    [sym_or] = STATE(2453),
    [sym_not] = STATE(2453),
    [sym_and] = STATE(2453),
    [sym_cmp] = STATE(2453),
    [sym_in] = STATE(2453),
    [sym_add] = STATE(2453),
    [sym_sub] = STATE(2453),
    [sym_mul] = STATE(2453),
    [sym_div] = STATE(2453),
    [sym_sign] = STATE(2453),
    [sym_call] = STATE(2453),
    [sym_field] = STATE(2453),
    [sym_label] = STATE(2453),
    [sym_content] = STATE(2453),
    [sym_group] = STATE(2453),
    [sym_block] = STATE(2453),
    [sym_branch] = STATE(2453),
    [sym_let] = STATE(2453),
    [sym_set] = STATE(2453),
    [sym_import] = STATE(2453),
    [sym_include] = STATE(2453),
    [sym_for] = STATE(2453),
    [sym_while] = STATE(2453),
    [sym_show] = STATE(2453),
    [sym_return] = STATE(2453),
    [sym_flow] = STATE(2453),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(707),
    [sym_none] = ACTIONS(707),
    [sym__token_content] = ACTIONS(705),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [27] = {
    [sym_raw_blck] = STATE(1765),
    [sym_raw_span] = STATE(1765),
    [sym_math] = STATE(1765),
    [sym__expr] = STATE(1765),
    [sym_ident] = STATE(1765),
    [sym_bool] = STATE(1765),
    [sym_number] = STATE(1765),
    [sym_string] = STATE(1765),
    [sym_tagged] = STATE(1765),
    [sym_context] = STATE(1765),
    [sym_elude] = STATE(1765),
    [sym_assign] = STATE(1765),
    [sym_lambda] = STATE(1765),
    [sym_or] = STATE(1765),
    [sym_not] = STATE(1765),
    [sym_and] = STATE(1765),
    [sym_cmp] = STATE(1765),
    [sym_in] = STATE(1765),
    [sym_add] = STATE(1765),
    [sym_sub] = STATE(1765),
    [sym_mul] = STATE(1765),
    [sym_div] = STATE(1765),
    [sym_sign] = STATE(1765),
    [sym_call] = STATE(1765),
    [sym_field] = STATE(1765),
    [sym_label] = STATE(1765),
    [sym_content] = STATE(1765),
    [sym_group] = STATE(1765),
    [sym_block] = STATE(1765),
    [sym_branch] = STATE(1765),
    [sym_let] = STATE(1765),
    [sym_set] = STATE(1765),
    [sym_import] = STATE(1765),
    [sym_include] = STATE(1765),
    [sym_for] = STATE(1765),
    [sym_while] = STATE(1765),
    [sym_show] = STATE(1765),
    [sym_return] = STATE(1765),
    [sym_flow] = STATE(1765),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_as] = ACTIONS(63),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(749),
    [sym_none] = ACTIONS(749),
    [sym__token_content] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [28] = {
    [sym_raw_blck] = STATE(1771),
    [sym_raw_span] = STATE(1771),
    [sym_math] = STATE(1771),
    [sym__expr] = STATE(1771),
    [sym_ident] = STATE(1771),
    [sym_bool] = STATE(1771),
    [sym_number] = STATE(1771),
    [sym_string] = STATE(1771),
    [sym_tagged] = STATE(1771),
    [sym_context] = STATE(1771),
    [sym_elude] = STATE(1771),
    [sym_assign] = STATE(1771),
    [sym_lambda] = STATE(1771),
    [sym_or] = STATE(1771),
    [sym_not] = STATE(1771),
    [sym_and] = STATE(1771),
    [sym_cmp] = STATE(1771),
    [sym_in] = STATE(1771),
    [sym_add] = STATE(1771),
    [sym_sub] = STATE(1771),
    [sym_mul] = STATE(1771),
    [sym_div] = STATE(1771),
    [sym_sign] = STATE(1771),
    [sym_call] = STATE(1771),
    [sym_field] = STATE(1771),
    [sym_label] = STATE(1771),
    [sym_content] = STATE(1771),
    [sym_group] = STATE(1771),
    [sym_block] = STATE(1771),
    [sym_branch] = STATE(1771),
    [sym_let] = STATE(1771),
    [sym_set] = STATE(1771),
    [sym_import] = STATE(1771),
    [sym_include] = STATE(1771),
    [sym_for] = STATE(1771),
    [sym_while] = STATE(1771),
    [sym_show] = STATE(1771),
    [sym_return] = STATE(1771),
    [sym_flow] = STATE(1771),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(755),
    [anon_sym_DASH] = ACTIONS(755),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_as] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(759),
    [sym_none] = ACTIONS(759),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [29] = {
    [sym_raw_blck] = STATE(2759),
    [sym_raw_span] = STATE(2759),
    [sym_math] = STATE(2759),
    [sym__expr] = STATE(2759),
    [sym_ident] = STATE(2759),
    [sym_bool] = STATE(2759),
    [sym_number] = STATE(2759),
    [sym_string] = STATE(2759),
    [sym_tagged] = STATE(2759),
    [sym_context] = STATE(2759),
    [sym_elude] = STATE(2759),
    [sym_assign] = STATE(2759),
    [sym_lambda] = STATE(2759),
    [sym_or] = STATE(2759),
    [sym_not] = STATE(2759),
    [sym_and] = STATE(2759),
    [sym_cmp] = STATE(2759),
    [sym_in] = STATE(2759),
    [sym_add] = STATE(2759),
    [sym_sub] = STATE(2759),
    [sym_mul] = STATE(2759),
    [sym_div] = STATE(2759),
    [sym_sign] = STATE(2759),
    [sym_call] = STATE(2759),
    [sym_field] = STATE(2759),
    [sym_label] = STATE(2759),
    [sym_content] = STATE(2759),
    [sym_group] = STATE(2759),
    [sym_block] = STATE(2759),
    [sym_branch] = STATE(2759),
    [sym_let] = STATE(2759),
    [sym_set] = STATE(2759),
    [sym_import] = STATE(2759),
    [sym_include] = STATE(2759),
    [sym_for] = STATE(2759),
    [sym_while] = STATE(2759),
    [sym_show] = STATE(2759),
    [sym_return] = STATE(2759),
    [sym_flow] = STATE(2759),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(805),
    [sym_none] = ACTIONS(805),
    [sym__token_content] = ACTIONS(807),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [30] = {
    [sym_raw_blck] = STATE(2687),
    [sym_raw_span] = STATE(2687),
    [sym_math] = STATE(2687),
    [sym__expr] = STATE(2687),
    [sym_ident] = STATE(2687),
    [sym_bool] = STATE(2687),
    [sym_number] = STATE(2687),
    [sym_string] = STATE(2687),
    [sym_tagged] = STATE(2687),
    [sym_context] = STATE(2687),
    [sym_elude] = STATE(2687),
    [sym_assign] = STATE(2687),
    [sym_lambda] = STATE(2687),
    [sym_or] = STATE(2687),
    [sym_not] = STATE(2687),
    [sym_and] = STATE(2687),
    [sym_cmp] = STATE(2687),
    [sym_in] = STATE(2687),
    [sym_add] = STATE(2687),
    [sym_sub] = STATE(2687),
    [sym_mul] = STATE(2687),
    [sym_div] = STATE(2687),
    [sym_sign] = STATE(2687),
    [sym_call] = STATE(2687),
    [sym_field] = STATE(2687),
    [sym_label] = STATE(2687),
    [sym_content] = STATE(2687),
    [sym_group] = STATE(2687),
    [sym_block] = STATE(2687),
    [sym_branch] = STATE(2687),
    [sym_let] = STATE(2687),
    [sym_set] = STATE(2687),
    [sym_import] = STATE(2687),
    [sym_include] = STATE(2687),
    [sym_for] = STATE(2687),
    [sym_while] = STATE(2687),
    [sym_show] = STATE(2687),
    [sym_return] = STATE(2687),
    [sym_flow] = STATE(2687),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(825),
    [sym_none] = ACTIONS(825),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [31] = {
    [sym_raw_blck] = STATE(2758),
    [sym_raw_span] = STATE(2758),
    [sym_math] = STATE(2758),
    [sym__expr] = STATE(2758),
    [sym_ident] = STATE(2758),
    [sym_bool] = STATE(2758),
    [sym_number] = STATE(2758),
    [sym_string] = STATE(2758),
    [sym_tagged] = STATE(2758),
    [sym_context] = STATE(2758),
    [sym_elude] = STATE(2758),
    [sym_assign] = STATE(2758),
    [sym_lambda] = STATE(2758),
    [sym_or] = STATE(2758),
    [sym_not] = STATE(2758),
    [sym_and] = STATE(2758),
    [sym_cmp] = STATE(2758),
    [sym_in] = STATE(2758),
    [sym_add] = STATE(2758),
    [sym_sub] = STATE(2758),
    [sym_mul] = STATE(2758),
    [sym_div] = STATE(2758),
    [sym_sign] = STATE(2758),
    [sym_call] = STATE(2758),
    [sym_field] = STATE(2758),
    [sym_label] = STATE(2758),
    [sym_content] = STATE(2758),
    [sym_group] = STATE(2758),
    [sym_block] = STATE(2758),
    [sym_branch] = STATE(2758),
    [sym_let] = STATE(2758),
    [sym_set] = STATE(2758),
    [sym_import] = STATE(2758),
    [sym_include] = STATE(2758),
    [sym_for] = STATE(2758),
    [sym_while] = STATE(2758),
    [sym_show] = STATE(2758),
    [sym_return] = STATE(2758),
    [sym_flow] = STATE(2758),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(17),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(829),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(831),
    [anon_sym_DASH] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(833),
    [sym_none] = ACTIONS(833),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [32] = {
    [sym_raw_blck] = STATE(2738),
    [sym_raw_span] = STATE(2738),
    [sym_math] = STATE(2738),
    [sym__expr] = STATE(2738),
    [sym_ident] = STATE(2738),
    [sym_bool] = STATE(2738),
    [sym_number] = STATE(2738),
    [sym_string] = STATE(2738),
    [sym_tagged] = STATE(2738),
    [sym_context] = STATE(2738),
    [sym_elude] = STATE(2738),
    [sym_assign] = STATE(2738),
    [sym_lambda] = STATE(2738),
    [sym_or] = STATE(2738),
    [sym_not] = STATE(2738),
    [sym_and] = STATE(2738),
    [sym_cmp] = STATE(2738),
    [sym_in] = STATE(2738),
    [sym_add] = STATE(2738),
    [sym_sub] = STATE(2738),
    [sym_mul] = STATE(2738),
    [sym_div] = STATE(2738),
    [sym_sign] = STATE(2738),
    [sym_call] = STATE(2738),
    [sym_field] = STATE(2738),
    [sym_label] = STATE(2738),
    [sym_content] = STATE(2738),
    [sym_group] = STATE(2738),
    [sym_block] = STATE(2738),
    [sym_branch] = STATE(2738),
    [sym_let] = STATE(2738),
    [sym_set] = STATE(2738),
    [sym_import] = STATE(2738),
    [sym_include] = STATE(2738),
    [sym_for] = STATE(2738),
    [sym_while] = STATE(2738),
    [sym_show] = STATE(2738),
    [sym_return] = STATE(2738),
    [sym_flow] = STATE(2738),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(31),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(839),
    [sym_none] = ACTIONS(839),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [33] = {
    [sym_raw_blck] = STATE(2632),
    [sym_raw_span] = STATE(2632),
    [sym_math] = STATE(2632),
    [sym__expr] = STATE(2632),
    [sym_ident] = STATE(2632),
    [sym_bool] = STATE(2632),
    [sym_number] = STATE(2632),
    [sym_string] = STATE(2632),
    [sym_tagged] = STATE(2632),
    [sym_context] = STATE(2632),
    [sym_elude] = STATE(2632),
    [sym_assign] = STATE(2632),
    [sym_lambda] = STATE(2632),
    [sym_or] = STATE(2632),
    [sym_not] = STATE(2632),
    [sym_and] = STATE(2632),
    [sym_cmp] = STATE(2632),
    [sym_in] = STATE(2632),
    [sym_add] = STATE(2632),
    [sym_sub] = STATE(2632),
    [sym_mul] = STATE(2632),
    [sym_div] = STATE(2632),
    [sym_sign] = STATE(2632),
    [sym_call] = STATE(2632),
    [sym_field] = STATE(2632),
    [sym_label] = STATE(2632),
    [sym_content] = STATE(2632),
    [sym_group] = STATE(2632),
    [sym_block] = STATE(2632),
    [sym_branch] = STATE(2632),
    [sym_let] = STATE(2632),
    [sym_set] = STATE(2632),
    [sym_import] = STATE(2632),
    [sym_include] = STATE(2632),
    [sym_for] = STATE(2632),
    [sym_while] = STATE(2632),
    [sym_show] = STATE(2632),
    [sym_return] = STATE(2632),
    [sym_flow] = STATE(2632),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(847),
    [sym_none] = ACTIONS(847),
    [sym__token_content] = ACTIONS(807),
    [sym__token_inlined_stmt_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [34] = {
    [sym_raw_blck] = STATE(2832),
    [sym_raw_span] = STATE(2832),
    [sym_math] = STATE(2832),
    [sym__expr] = STATE(2832),
    [sym_ident] = STATE(2832),
    [sym_bool] = STATE(2832),
    [sym_number] = STATE(2832),
    [sym_string] = STATE(2832),
    [sym_tagged] = STATE(2832),
    [sym_context] = STATE(2832),
    [sym_elude] = STATE(2832),
    [sym_assign] = STATE(2832),
    [sym_lambda] = STATE(2832),
    [sym_or] = STATE(2832),
    [sym_not] = STATE(2832),
    [sym_and] = STATE(2832),
    [sym_cmp] = STATE(2832),
    [sym_in] = STATE(2832),
    [sym_add] = STATE(2832),
    [sym_sub] = STATE(2832),
    [sym_mul] = STATE(2832),
    [sym_div] = STATE(2832),
    [sym_sign] = STATE(2832),
    [sym_call] = STATE(2832),
    [sym_field] = STATE(2832),
    [sym_label] = STATE(2832),
    [sym_content] = STATE(2832),
    [sym_group] = STATE(2832),
    [sym_block] = STATE(2832),
    [sym_branch] = STATE(2832),
    [sym_let] = STATE(2832),
    [sym_set] = STATE(2832),
    [sym_import] = STATE(2832),
    [sym_include] = STATE(2832),
    [sym_for] = STATE(2832),
    [sym_while] = STATE(2832),
    [sym_show] = STATE(2832),
    [sym_return] = STATE(2832),
    [sym_flow] = STATE(2832),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(891),
    [sym_none] = ACTIONS(891),
    [sym__token_content] = ACTIONS(893),
    [sym__token_blocked_expr_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [35] = {
    [sym_raw_blck] = STATE(2903),
    [sym_raw_span] = STATE(2903),
    [sym_math] = STATE(2903),
    [sym__expr] = STATE(2903),
    [sym_ident] = STATE(2903),
    [sym_bool] = STATE(2903),
    [sym_number] = STATE(2903),
    [sym_string] = STATE(2903),
    [sym_tagged] = STATE(2903),
    [sym_context] = STATE(2903),
    [sym_elude] = STATE(2903),
    [sym_assign] = STATE(2903),
    [sym_lambda] = STATE(2903),
    [sym_or] = STATE(2903),
    [sym_not] = STATE(2903),
    [sym_and] = STATE(2903),
    [sym_cmp] = STATE(2903),
    [sym_in] = STATE(2903),
    [sym_add] = STATE(2903),
    [sym_sub] = STATE(2903),
    [sym_mul] = STATE(2903),
    [sym_div] = STATE(2903),
    [sym_sign] = STATE(2903),
    [sym_call] = STATE(2903),
    [sym_field] = STATE(2903),
    [sym_label] = STATE(2903),
    [sym_content] = STATE(2903),
    [sym_group] = STATE(2903),
    [sym_block] = STATE(2903),
    [sym_branch] = STATE(2903),
    [sym_let] = STATE(2903),
    [sym_set] = STATE(2903),
    [sym_import] = STATE(2903),
    [sym_include] = STATE(2903),
    [sym_for] = STATE(2903),
    [sym_while] = STATE(2903),
    [sym_show] = STATE(2903),
    [sym_return] = STATE(2903),
    [sym_flow] = STATE(2903),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(937),
    [sym_none] = ACTIONS(937),
    [sym__token_content] = ACTIONS(939),
    [sym__token_inlined_item_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [36] = {
    [sym_raw_blck] = STATE(2918),
    [sym_raw_span] = STATE(2918),
    [sym_math] = STATE(2918),
    [sym__expr] = STATE(2918),
    [sym_ident] = STATE(2918),
    [sym_bool] = STATE(2918),
    [sym_number] = STATE(2918),
    [sym_string] = STATE(2918),
    [sym_tagged] = STATE(2918),
    [sym_context] = STATE(2918),
    [sym_elude] = STATE(2918),
    [sym_assign] = STATE(2918),
    [sym_lambda] = STATE(2918),
    [sym_or] = STATE(2918),
    [sym_not] = STATE(2918),
    [sym_and] = STATE(2918),
    [sym_cmp] = STATE(2918),
    [sym_in] = STATE(2918),
    [sym_add] = STATE(2918),
    [sym_sub] = STATE(2918),
    [sym_mul] = STATE(2918),
    [sym_div] = STATE(2918),
    [sym_sign] = STATE(2918),
    [sym_call] = STATE(2918),
    [sym_field] = STATE(2918),
    [sym_label] = STATE(2918),
    [sym_content] = STATE(2918),
    [sym_group] = STATE(2918),
    [sym_block] = STATE(2918),
    [sym_branch] = STATE(2918),
    [sym_let] = STATE(2918),
    [sym_set] = STATE(2918),
    [sym_import] = STATE(2918),
    [sym_include] = STATE(2918),
    [sym_for] = STATE(2918),
    [sym_while] = STATE(2918),
    [sym_show] = STATE(2918),
    [sym_return] = STATE(2918),
    [sym_flow] = STATE(2918),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(947),
    [sym_none] = ACTIONS(947),
    [sym__token_content] = ACTIONS(939),
    [sym__token_inlined_item_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [37] = {
    [sym_raw_blck] = STATE(2162),
    [sym_raw_span] = STATE(2162),
    [sym_math] = STATE(2162),
    [sym__expr] = STATE(2162),
    [sym_ident] = STATE(2162),
    [sym_bool] = STATE(2162),
    [sym_number] = STATE(2162),
    [sym_string] = STATE(2162),
    [sym_tagged] = STATE(2162),
    [sym_context] = STATE(2162),
    [sym_elude] = STATE(2162),
    [sym_assign] = STATE(2162),
    [sym_lambda] = STATE(2162),
    [sym_or] = STATE(2162),
    [sym_not] = STATE(2162),
    [sym_and] = STATE(2162),
    [sym_cmp] = STATE(2162),
    [sym_in] = STATE(2162),
    [sym_add] = STATE(2162),
    [sym_sub] = STATE(2162),
    [sym_mul] = STATE(2162),
    [sym_div] = STATE(2162),
    [sym_sign] = STATE(2162),
    [sym_call] = STATE(2162),
    [sym_field] = STATE(2162),
    [sym_label] = STATE(2162),
    [sym_content] = STATE(2162),
    [sym_group] = STATE(2162),
    [sym_block] = STATE(2162),
    [sym_branch] = STATE(2162),
    [sym_let] = STATE(2162),
    [sym_set] = STATE(2162),
    [sym_import] = STATE(2162),
    [sym_include] = STATE(2162),
    [sym_for] = STATE(2162),
    [sym_while] = STATE(2162),
    [sym_show] = STATE(2162),
    [sym_return] = STATE(2162),
    [sym_flow] = STATE(2162),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(9),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(969),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(9),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(971),
    [anon_sym_DASH] = ACTIONS(971),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_EQ] = ACTIONS(17),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(997),
    [sym_none] = ACTIONS(997),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [38] = {
    [sym_raw_blck] = STATE(2166),
    [sym_raw_span] = STATE(2166),
    [sym_math] = STATE(2166),
    [sym__expr] = STATE(2166),
    [sym_ident] = STATE(2166),
    [sym_bool] = STATE(2166),
    [sym_number] = STATE(2166),
    [sym_string] = STATE(2166),
    [sym_tagged] = STATE(2166),
    [sym_context] = STATE(2166),
    [sym_elude] = STATE(2166),
    [sym_assign] = STATE(2166),
    [sym_lambda] = STATE(2166),
    [sym_or] = STATE(2166),
    [sym_not] = STATE(2166),
    [sym_and] = STATE(2166),
    [sym_cmp] = STATE(2166),
    [sym_in] = STATE(2166),
    [sym_add] = STATE(2166),
    [sym_sub] = STATE(2166),
    [sym_mul] = STATE(2166),
    [sym_div] = STATE(2166),
    [sym_sign] = STATE(2166),
    [sym_call] = STATE(2166),
    [sym_field] = STATE(2166),
    [sym_label] = STATE(2166),
    [sym_content] = STATE(2166),
    [sym_group] = STATE(2166),
    [sym_block] = STATE(2166),
    [sym_branch] = STATE(2166),
    [sym_let] = STATE(2166),
    [sym_set] = STATE(2166),
    [sym_import] = STATE(2166),
    [sym_include] = STATE(2166),
    [sym_for] = STATE(2166),
    [sym_while] = STATE(2166),
    [sym_show] = STATE(2166),
    [sym_return] = STATE(2166),
    [sym_flow] = STATE(2166),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(63),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(63),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_EQ] = ACTIONS(65),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(1001),
    [sym_none] = ACTIONS(1001),
    [sym__token_content] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [39] = {
    [sym_raw_blck] = STATE(2856),
    [sym_raw_span] = STATE(2856),
    [sym_math] = STATE(2856),
    [sym__expr] = STATE(2856),
    [sym_ident] = STATE(2856),
    [sym_bool] = STATE(2856),
    [sym_number] = STATE(2856),
    [sym_string] = STATE(2856),
    [sym_tagged] = STATE(2856),
    [sym_context] = STATE(2856),
    [sym_elude] = STATE(2856),
    [sym_assign] = STATE(2856),
    [sym_lambda] = STATE(2856),
    [sym_or] = STATE(2856),
    [sym_not] = STATE(2856),
    [sym_and] = STATE(2856),
    [sym_cmp] = STATE(2856),
    [sym_in] = STATE(2856),
    [sym_add] = STATE(2856),
    [sym_sub] = STATE(2856),
    [sym_mul] = STATE(2856),
    [sym_div] = STATE(2856),
    [sym_sign] = STATE(2856),
    [sym_call] = STATE(2856),
    [sym_field] = STATE(2856),
    [sym_label] = STATE(2856),
    [sym_content] = STATE(2856),
    [sym_group] = STATE(2856),
    [sym_block] = STATE(2856),
    [sym_branch] = STATE(2856),
    [sym_let] = STATE(2856),
    [sym_set] = STATE(2856),
    [sym_import] = STATE(2856),
    [sym_include] = STATE(2856),
    [sym_for] = STATE(2856),
    [sym_while] = STATE(2856),
    [sym_show] = STATE(2856),
    [sym_return] = STATE(2856),
    [sym_flow] = STATE(2856),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(1023),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(1051),
    [sym_none] = ACTIONS(1051),
    [sym__token_content] = ACTIONS(1053),
    [sym__token_inlined_stmt_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [40] = {
    [sym_raw_blck] = STATE(2851),
    [sym_raw_span] = STATE(2851),
    [sym_math] = STATE(2851),
    [sym__expr] = STATE(2851),
    [sym_ident] = STATE(2851),
    [sym_bool] = STATE(2851),
    [sym_number] = STATE(2851),
    [sym_string] = STATE(2851),
    [sym_tagged] = STATE(2851),
    [sym_context] = STATE(2851),
    [sym_elude] = STATE(2851),
    [sym_assign] = STATE(2851),
    [sym_lambda] = STATE(2851),
    [sym_or] = STATE(2851),
    [sym_not] = STATE(2851),
    [sym_and] = STATE(2851),
    [sym_cmp] = STATE(2851),
    [sym_in] = STATE(2851),
    [sym_add] = STATE(2851),
    [sym_sub] = STATE(2851),
    [sym_mul] = STATE(2851),
    [sym_div] = STATE(2851),
    [sym_sign] = STATE(2851),
    [sym_call] = STATE(2851),
    [sym_field] = STATE(2851),
    [sym_label] = STATE(2851),
    [sym_content] = STATE(2851),
    [sym_group] = STATE(2851),
    [sym_block] = STATE(2851),
    [sym_branch] = STATE(2851),
    [sym_let] = STATE(2851),
    [sym_set] = STATE(2851),
    [sym_import] = STATE(2851),
    [sym_include] = STATE(2851),
    [sym_for] = STATE(2851),
    [sym_while] = STATE(2851),
    [sym_show] = STATE(2851),
    [sym_return] = STATE(2851),
    [sym_flow] = STATE(2851),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(1055),
    [sym_none] = ACTIONS(1055),
    [sym__token_content] = ACTIONS(1053),
    [sym__token_inlined_stmt_end] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [41] = {
    [sym_raw_blck] = STATE(2942),
    [sym_raw_span] = STATE(2942),
    [sym_math] = STATE(2942),
    [sym__expr] = STATE(2942),
    [sym_ident] = STATE(2942),
    [sym_bool] = STATE(2942),
    [sym_number] = STATE(2942),
    [sym_string] = STATE(2942),
    [sym_tagged] = STATE(2942),
    [sym_context] = STATE(2942),
    [sym_elude] = STATE(2942),
    [sym_assign] = STATE(2942),
    [sym_lambda] = STATE(2942),
    [sym_or] = STATE(2942),
    [sym_not] = STATE(2942),
    [sym_and] = STATE(2942),
    [sym_cmp] = STATE(2942),
    [sym_in] = STATE(2942),
    [sym_add] = STATE(2942),
    [sym_sub] = STATE(2942),
    [sym_mul] = STATE(2942),
    [sym_div] = STATE(2942),
    [sym_sign] = STATE(2942),
    [sym_call] = STATE(2942),
    [sym_field] = STATE(2942),
    [sym_label] = STATE(2942),
    [sym_content] = STATE(2942),
    [sym_group] = STATE(2942),
    [sym_block] = STATE(2942),
    [sym_branch] = STATE(2942),
    [sym_let] = STATE(2942),
    [sym_set] = STATE(2942),
    [sym_import] = STATE(2942),
    [sym_include] = STATE(2942),
    [sym_for] = STATE(2942),
    [sym_while] = STATE(2942),
    [sym_show] = STATE(2942),
    [sym_return] = STATE(2942),
    [sym_flow] = STATE(2942),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1063),
    [sym_none] = ACTIONS(1063),
    [sym__token_content] = ACTIONS(893),
    [sym__token_blocked_expr_end] = ACTIONS(17),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [42] = {
    [sym_raw_blck] = STATE(2927),
    [sym_raw_span] = STATE(2927),
    [sym_math] = STATE(2927),
    [sym__expr] = STATE(2927),
    [sym_ident] = STATE(2927),
    [sym_bool] = STATE(2927),
    [sym_number] = STATE(2927),
    [sym_string] = STATE(2927),
    [sym_tagged] = STATE(2927),
    [sym_context] = STATE(2927),
    [sym_elude] = STATE(2927),
    [sym_assign] = STATE(2927),
    [sym_lambda] = STATE(2927),
    [sym_or] = STATE(2927),
    [sym_not] = STATE(2927),
    [sym_and] = STATE(2927),
    [sym_cmp] = STATE(2927),
    [sym_in] = STATE(2927),
    [sym_add] = STATE(2927),
    [sym_sub] = STATE(2927),
    [sym_mul] = STATE(2927),
    [sym_div] = STATE(2927),
    [sym_sign] = STATE(2927),
    [sym_call] = STATE(2927),
    [sym_field] = STATE(2927),
    [sym_label] = STATE(2927),
    [sym_content] = STATE(2927),
    [sym_group] = STATE(2927),
    [sym_block] = STATE(2927),
    [sym_branch] = STATE(2927),
    [sym_let] = STATE(2927),
    [sym_set] = STATE(2927),
    [sym_import] = STATE(2927),
    [sym_include] = STATE(2927),
    [sym_for] = STATE(2927),
    [sym_while] = STATE(2927),
    [sym_show] = STATE(2927),
    [sym_return] = STATE(2927),
    [sym_flow] = STATE(2927),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(9),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(271),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(1071),
    [anon_sym_DASH] = ACTIONS(1071),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1085),
    [sym_none] = ACTIONS(1085),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [43] = {
    [sym_raw_blck] = STATE(2922),
    [sym_raw_span] = STATE(2922),
    [sym_math] = STATE(2922),
    [sym__expr] = STATE(2922),
    [sym_ident] = STATE(2922),
    [sym_bool] = STATE(2922),
    [sym_number] = STATE(2922),
    [sym_string] = STATE(2922),
    [sym_tagged] = STATE(2922),
    [sym_context] = STATE(2922),
    [sym_elude] = STATE(2922),
    [sym_assign] = STATE(2922),
    [sym_lambda] = STATE(2922),
    [sym_or] = STATE(2922),
    [sym_not] = STATE(2922),
    [sym_and] = STATE(2922),
    [sym_cmp] = STATE(2922),
    [sym_in] = STATE(2922),
    [sym_add] = STATE(2922),
    [sym_sub] = STATE(2922),
    [sym_mul] = STATE(2922),
    [sym_div] = STATE(2922),
    [sym_sign] = STATE(2922),
    [sym_call] = STATE(2922),
    [sym_field] = STATE(2922),
    [sym_label] = STATE(2922),
    [sym_content] = STATE(2922),
    [sym_group] = STATE(2922),
    [sym_block] = STATE(2922),
    [sym_branch] = STATE(2922),
    [sym_let] = STATE(2922),
    [sym_set] = STATE(2922),
    [sym_import] = STATE(2922),
    [sym_include] = STATE(2922),
    [sym_for] = STATE(2922),
    [sym_while] = STATE(2922),
    [sym_show] = STATE(2922),
    [sym_return] = STATE(2922),
    [sym_flow] = STATE(2922),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(63),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1087),
    [sym_none] = ACTIONS(1087),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [44] = {
    [sym_raw_blck] = STATE(2684),
    [sym_raw_span] = STATE(2684),
    [sym_math] = STATE(2684),
    [sym__expr] = STATE(2684),
    [sym_ident] = STATE(2684),
    [sym_bool] = STATE(2684),
    [sym_number] = STATE(2684),
    [sym_string] = STATE(2684),
    [sym_tagged] = STATE(2684),
    [sym_context] = STATE(2684),
    [sym_elude] = STATE(2684),
    [sym_assign] = STATE(2684),
    [sym_lambda] = STATE(2684),
    [sym_or] = STATE(2684),
    [sym_not] = STATE(2684),
    [sym_and] = STATE(2684),
    [sym_cmp] = STATE(2684),
    [sym_in] = STATE(2684),
    [sym_add] = STATE(2684),
    [sym_sub] = STATE(2684),
    [sym_mul] = STATE(2684),
    [sym_div] = STATE(2684),
    [sym_sign] = STATE(2684),
    [sym_call] = STATE(2684),
    [sym_field] = STATE(2684),
    [sym_label] = STATE(2684),
    [sym_content] = STATE(2684),
    [sym_group] = STATE(2684),
    [sym_block] = STATE(2684),
    [sym_branch] = STATE(2684),
    [sym_let] = STATE(2684),
    [sym_set] = STATE(2684),
    [sym_import] = STATE(2684),
    [sym_include] = STATE(2684),
    [sym_for] = STATE(2684),
    [sym_while] = STATE(2684),
    [sym_show] = STATE(2684),
    [sym_return] = STATE(2684),
    [sym_flow] = STATE(2684),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(17),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [aux_sym_assign_token1] = ACTIONS(9),
    [anon_sym_EQ_GT] = ACTIONS(17),
    [anon_sym_or] = ACTIONS(9),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_and] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(1109),
    [anon_sym_GT] = ACTIONS(9),
    [anon_sym_LT_EQ] = ACTIONS(17),
    [anon_sym_GT_EQ] = ACTIONS(17),
    [anon_sym_EQ_EQ] = ACTIONS(17),
    [anon_sym_BANG_EQ] = ACTIONS(17),
    [anon_sym_in] = ACTIONS(9),
    [anon_sym_PLUS] = ACTIONS(1111),
    [anon_sym_DASH] = ACTIONS(1111),
    [anon_sym_STAR] = ACTIONS(9),
    [anon_sym_SLASH] = ACTIONS(9),
    [anon_sym_DOT] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1137),
    [sym_none] = ACTIONS(1137),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(17),
    [sym__immediate_brack] = ACTIONS(17),
  },
  [45] = {
    [sym_raw_blck] = STATE(2522),
    [sym_raw_span] = STATE(2522),
    [sym_math] = STATE(2522),
    [sym__expr] = STATE(2522),
    [sym_ident] = STATE(2522),
    [sym_bool] = STATE(2522),
    [sym_number] = STATE(2522),
    [sym_string] = STATE(2522),
    [sym_tagged] = STATE(2522),
    [sym_context] = STATE(2522),
    [sym_elude] = STATE(2522),
    [sym_assign] = STATE(2522),
    [sym_lambda] = STATE(2522),
    [sym_or] = STATE(2522),
    [sym_not] = STATE(2522),
    [sym_and] = STATE(2522),
    [sym_cmp] = STATE(2522),
    [sym_in] = STATE(2522),
    [sym_add] = STATE(2522),
    [sym_sub] = STATE(2522),
    [sym_mul] = STATE(2522),
    [sym_div] = STATE(2522),
    [sym_sign] = STATE(2522),
    [sym_call] = STATE(2522),
    [sym_field] = STATE(2522),
    [sym_label] = STATE(2522),
    [sym_content] = STATE(2522),
    [sym_group] = STATE(2522),
    [sym_block] = STATE(2522),
    [sym_branch] = STATE(2522),
    [sym_let] = STATE(2522),
    [sym_set] = STATE(2522),
    [sym_import] = STATE(2522),
    [sym_include] = STATE(2522),
    [sym_for] = STATE(2522),
    [sym_while] = STATE(2522),
    [sym_show] = STATE(2522),
    [sym_return] = STATE(2522),
    [sym_flow] = STATE(2522),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(65),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [aux_sym_assign_token1] = ACTIONS(63),
    [anon_sym_EQ_GT] = ACTIONS(65),
    [anon_sym_or] = ACTIONS(63),
    [anon_sym_not] = ACTIONS(63),
    [anon_sym_and] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(63),
    [anon_sym_GT] = ACTIONS(63),
    [anon_sym_LT_EQ] = ACTIONS(65),
    [anon_sym_GT_EQ] = ACTIONS(65),
    [anon_sym_EQ_EQ] = ACTIONS(65),
    [anon_sym_BANG_EQ] = ACTIONS(65),
    [anon_sym_in] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_STAR] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(63),
    [anon_sym_DOT] = ACTIONS(63),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1141),
    [sym_none] = ACTIONS(1141),
    [sym__token_content] = ACTIONS(65),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
    [sym__immediate_paren] = ACTIONS(65),
    [sym__immediate_brack] = ACTIONS(65),
  },
  [46] = {
    [sym_raw_blck] = STATE(2487),
    [sym_raw_span] = STATE(2487),
    [sym_math] = STATE(2487),
    [sym__expr] = STATE(2487),
    [sym_ident] = STATE(2487),
    [sym_bool] = STATE(2487),
    [sym_number] = STATE(2487),
    [sym_string] = STATE(2487),
    [sym_tagged] = STATE(2487),
    [sym_context] = STATE(2487),
    [sym_elude] = STATE(2487),
    [sym_assign] = STATE(2487),
    [sym_lambda] = STATE(2487),
    [sym_or] = STATE(2487),
    [sym_not] = STATE(2487),
    [sym_and] = STATE(2487),
    [sym_cmp] = STATE(2487),
    [sym_in] = STATE(2487),
    [sym_add] = STATE(2487),
    [sym_sub] = STATE(2487),
    [sym_mul] = STATE(2487),
    [sym_div] = STATE(2487),
    [sym_sign] = STATE(2487),
    [sym_call] = STATE(2487),
    [sym_field] = STATE(2487),
    [sym_label] = STATE(2487),
    [sym_content] = STATE(2487),
    [sym_group] = STATE(2487),
    [sym_block] = STATE(2487),
    [sym_branch] = STATE(2487),
    [sym_let] = STATE(2487),
    [sym_set] = STATE(2487),
    [sym_import] = STATE(2487),
    [sym_include] = STATE(2487),
    [sym_for] = STATE(2487),
    [sym_while] = STATE(2487),
    [sym_show] = STATE(2487),
    [sym_return] = STATE(2487),
    [sym_flow] = STATE(2487),
    [aux_sym_group_repeat1] = STATE(170),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1151),
    [sym_none] = ACTIONS(1151),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [47] = {
    [sym_raw_blck] = STATE(2577),
    [sym_raw_span] = STATE(2577),
    [sym_math] = STATE(2577),
    [sym__expr] = STATE(2577),
    [sym_ident] = STATE(2577),
    [sym_bool] = STATE(2577),
    [sym_number] = STATE(2577),
    [sym_string] = STATE(2577),
    [sym_tagged] = STATE(2577),
    [sym_context] = STATE(2577),
    [sym_elude] = STATE(2577),
    [sym_assign] = STATE(2577),
    [sym_lambda] = STATE(2577),
    [sym_or] = STATE(2577),
    [sym_not] = STATE(2577),
    [sym_and] = STATE(2577),
    [sym_cmp] = STATE(2577),
    [sym_in] = STATE(2577),
    [sym_add] = STATE(2577),
    [sym_sub] = STATE(2577),
    [sym_mul] = STATE(2577),
    [sym_div] = STATE(2577),
    [sym_sign] = STATE(2577),
    [sym_call] = STATE(2577),
    [sym_field] = STATE(2577),
    [sym_label] = STATE(2577),
    [sym_content] = STATE(2577),
    [sym_group] = STATE(2577),
    [sym_block] = STATE(2577),
    [sym_branch] = STATE(2577),
    [sym_let] = STATE(2577),
    [sym_set] = STATE(2577),
    [sym_import] = STATE(2577),
    [sym_include] = STATE(2577),
    [sym_for] = STATE(2577),
    [sym_while] = STATE(2577),
    [sym_show] = STATE(2577),
    [sym_return] = STATE(2577),
    [sym_flow] = STATE(2577),
    [aux_sym_group_repeat1] = STATE(151),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1153),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1157),
    [sym_none] = ACTIONS(1157),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [48] = {
    [sym_raw_blck] = STATE(2784),
    [sym_raw_span] = STATE(2784),
    [sym_math] = STATE(2784),
    [sym__expr] = STATE(2784),
    [sym_ident] = STATE(2784),
    [sym_bool] = STATE(2784),
    [sym_number] = STATE(2784),
    [sym_string] = STATE(2784),
    [sym_tagged] = STATE(2784),
    [sym_context] = STATE(2784),
    [sym_elude] = STATE(2784),
    [sym_assign] = STATE(2784),
    [sym_lambda] = STATE(2784),
    [sym_or] = STATE(2784),
    [sym_not] = STATE(2784),
    [sym_and] = STATE(2784),
    [sym_cmp] = STATE(2784),
    [sym_in] = STATE(2784),
    [sym_add] = STATE(2784),
    [sym_sub] = STATE(2784),
    [sym_mul] = STATE(2784),
    [sym_div] = STATE(2784),
    [sym_sign] = STATE(2784),
    [sym_call] = STATE(2784),
    [sym_field] = STATE(2784),
    [sym_label] = STATE(2784),
    [sym_content] = STATE(2784),
    [sym_group] = STATE(2784),
    [sym_block] = STATE(2784),
    [sym_branch] = STATE(2784),
    [sym_let] = STATE(2784),
    [sym_set] = STATE(2784),
    [sym_import] = STATE(2784),
    [sym_include] = STATE(2784),
    [sym_for] = STATE(2784),
    [sym_while] = STATE(2784),
    [sym_show] = STATE(2784),
    [sym_return] = STATE(2784),
    [sym_flow] = STATE(2784),
    [aux_sym_group_repeat1] = STATE(116),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1163),
    [sym_none] = ACTIONS(1163),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [49] = {
    [sym_raw_blck] = STATE(2688),
    [sym_raw_span] = STATE(2688),
    [sym_math] = STATE(2688),
    [sym__expr] = STATE(2688),
    [sym_ident] = STATE(2688),
    [sym_bool] = STATE(2688),
    [sym_number] = STATE(2688),
    [sym_string] = STATE(2688),
    [sym_tagged] = STATE(2688),
    [sym_context] = STATE(2688),
    [sym_elude] = STATE(2688),
    [sym_assign] = STATE(2688),
    [sym_lambda] = STATE(2688),
    [sym_or] = STATE(2688),
    [sym_not] = STATE(2688),
    [sym_and] = STATE(2688),
    [sym_cmp] = STATE(2688),
    [sym_in] = STATE(2688),
    [sym_add] = STATE(2688),
    [sym_sub] = STATE(2688),
    [sym_mul] = STATE(2688),
    [sym_div] = STATE(2688),
    [sym_sign] = STATE(2688),
    [sym_call] = STATE(2688),
    [sym_field] = STATE(2688),
    [sym_label] = STATE(2688),
    [sym_content] = STATE(2688),
    [sym_group] = STATE(2688),
    [sym_block] = STATE(2688),
    [sym_branch] = STATE(2688),
    [sym_let] = STATE(2688),
    [sym_set] = STATE(2688),
    [sym_import] = STATE(2688),
    [sym_include] = STATE(2688),
    [sym_for] = STATE(2688),
    [sym_while] = STATE(2688),
    [sym_show] = STATE(2688),
    [sym_return] = STATE(2688),
    [sym_flow] = STATE(2688),
    [aux_sym_group_repeat1] = STATE(214),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1169),
    [sym_none] = ACTIONS(1169),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [50] = {
    [sym_raw_blck] = STATE(2639),
    [sym_raw_span] = STATE(2639),
    [sym_math] = STATE(2639),
    [sym__expr] = STATE(2639),
    [sym_ident] = STATE(2639),
    [sym_bool] = STATE(2639),
    [sym_number] = STATE(2639),
    [sym_string] = STATE(2639),
    [sym_tagged] = STATE(2639),
    [sym_context] = STATE(2639),
    [sym_elude] = STATE(2639),
    [sym_assign] = STATE(2639),
    [sym_lambda] = STATE(2639),
    [sym_or] = STATE(2639),
    [sym_not] = STATE(2639),
    [sym_and] = STATE(2639),
    [sym_cmp] = STATE(2639),
    [sym_in] = STATE(2639),
    [sym_add] = STATE(2639),
    [sym_sub] = STATE(2639),
    [sym_mul] = STATE(2639),
    [sym_div] = STATE(2639),
    [sym_sign] = STATE(2639),
    [sym_call] = STATE(2639),
    [sym_field] = STATE(2639),
    [sym_label] = STATE(2639),
    [sym_content] = STATE(2639),
    [sym_group] = STATE(2639),
    [sym_block] = STATE(2639),
    [sym_branch] = STATE(2639),
    [sym_let] = STATE(2639),
    [sym_set] = STATE(2639),
    [sym_import] = STATE(2639),
    [sym_include] = STATE(2639),
    [sym_for] = STATE(2639),
    [sym_while] = STATE(2639),
    [sym_show] = STATE(2639),
    [sym_return] = STATE(2639),
    [sym_flow] = STATE(2639),
    [aux_sym_group_repeat1] = STATE(142),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1175),
    [sym_none] = ACTIONS(1175),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [51] = {
    [sym_raw_blck] = STATE(2716),
    [sym_raw_span] = STATE(2716),
    [sym_math] = STATE(2716),
    [sym__expr] = STATE(2716),
    [sym_ident] = STATE(2716),
    [sym_bool] = STATE(2716),
    [sym_number] = STATE(2716),
    [sym_string] = STATE(2716),
    [sym_tagged] = STATE(2716),
    [sym_context] = STATE(2716),
    [sym_elude] = STATE(2716),
    [sym_assign] = STATE(2716),
    [sym_lambda] = STATE(2716),
    [sym_or] = STATE(2716),
    [sym_not] = STATE(2716),
    [sym_and] = STATE(2716),
    [sym_cmp] = STATE(2716),
    [sym_in] = STATE(2716),
    [sym_add] = STATE(2716),
    [sym_sub] = STATE(2716),
    [sym_mul] = STATE(2716),
    [sym_div] = STATE(2716),
    [sym_sign] = STATE(2716),
    [sym_call] = STATE(2716),
    [sym_field] = STATE(2716),
    [sym_label] = STATE(2716),
    [sym_content] = STATE(2716),
    [sym_group] = STATE(2716),
    [sym_block] = STATE(2716),
    [sym_branch] = STATE(2716),
    [sym_let] = STATE(2716),
    [sym_set] = STATE(2716),
    [sym_import] = STATE(2716),
    [sym_include] = STATE(2716),
    [sym_for] = STATE(2716),
    [sym_while] = STATE(2716),
    [sym_show] = STATE(2716),
    [sym_return] = STATE(2716),
    [sym_flow] = STATE(2716),
    [aux_sym_group_repeat1] = STATE(219),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1177),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1181),
    [sym_none] = ACTIONS(1181),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [52] = {
    [sym_raw_blck] = STATE(2596),
    [sym_raw_span] = STATE(2596),
    [sym_math] = STATE(2596),
    [sym__expr] = STATE(2596),
    [sym_ident] = STATE(2596),
    [sym_bool] = STATE(2596),
    [sym_number] = STATE(2596),
    [sym_string] = STATE(2596),
    [sym_tagged] = STATE(2596),
    [sym_context] = STATE(2596),
    [sym_elude] = STATE(2596),
    [sym_assign] = STATE(2596),
    [sym_lambda] = STATE(2596),
    [sym_or] = STATE(2596),
    [sym_not] = STATE(2596),
    [sym_and] = STATE(2596),
    [sym_cmp] = STATE(2596),
    [sym_in] = STATE(2596),
    [sym_add] = STATE(2596),
    [sym_sub] = STATE(2596),
    [sym_mul] = STATE(2596),
    [sym_div] = STATE(2596),
    [sym_sign] = STATE(2596),
    [sym_call] = STATE(2596),
    [sym_field] = STATE(2596),
    [sym_label] = STATE(2596),
    [sym_content] = STATE(2596),
    [sym_group] = STATE(2596),
    [sym_block] = STATE(2596),
    [sym_branch] = STATE(2596),
    [sym_let] = STATE(2596),
    [sym_set] = STATE(2596),
    [sym_import] = STATE(2596),
    [sym_include] = STATE(2596),
    [sym_for] = STATE(2596),
    [sym_while] = STATE(2596),
    [sym_show] = STATE(2596),
    [sym_return] = STATE(2596),
    [sym_flow] = STATE(2596),
    [aux_sym_group_repeat1] = STATE(198),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1183),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1185),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1187),
    [sym_none] = ACTIONS(1187),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [53] = {
    [sym_raw_blck] = STATE(2534),
    [sym_raw_span] = STATE(2534),
    [sym_math] = STATE(2534),
    [sym__expr] = STATE(2534),
    [sym_ident] = STATE(2534),
    [sym_bool] = STATE(2534),
    [sym_number] = STATE(2534),
    [sym_string] = STATE(2534),
    [sym_tagged] = STATE(2534),
    [sym_context] = STATE(2534),
    [sym_elude] = STATE(2534),
    [sym_assign] = STATE(2534),
    [sym_lambda] = STATE(2534),
    [sym_or] = STATE(2534),
    [sym_not] = STATE(2534),
    [sym_and] = STATE(2534),
    [sym_cmp] = STATE(2534),
    [sym_in] = STATE(2534),
    [sym_add] = STATE(2534),
    [sym_sub] = STATE(2534),
    [sym_mul] = STATE(2534),
    [sym_div] = STATE(2534),
    [sym_sign] = STATE(2534),
    [sym_call] = STATE(2534),
    [sym_field] = STATE(2534),
    [sym_label] = STATE(2534),
    [sym_content] = STATE(2534),
    [sym_group] = STATE(2534),
    [sym_block] = STATE(2534),
    [sym_branch] = STATE(2534),
    [sym_let] = STATE(2534),
    [sym_set] = STATE(2534),
    [sym_import] = STATE(2534),
    [sym_include] = STATE(2534),
    [sym_for] = STATE(2534),
    [sym_while] = STATE(2534),
    [sym_show] = STATE(2534),
    [sym_return] = STATE(2534),
    [sym_flow] = STATE(2534),
    [aux_sym_group_repeat1] = STATE(157),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1189),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1193),
    [sym_none] = ACTIONS(1193),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [54] = {
    [sym_raw_blck] = STATE(2771),
    [sym_raw_span] = STATE(2771),
    [sym_math] = STATE(2771),
    [sym__expr] = STATE(2771),
    [sym_ident] = STATE(2771),
    [sym_bool] = STATE(2771),
    [sym_number] = STATE(2771),
    [sym_string] = STATE(2771),
    [sym_tagged] = STATE(2771),
    [sym_context] = STATE(2771),
    [sym_elude] = STATE(2771),
    [sym_assign] = STATE(2771),
    [sym_lambda] = STATE(2771),
    [sym_or] = STATE(2771),
    [sym_not] = STATE(2771),
    [sym_and] = STATE(2771),
    [sym_cmp] = STATE(2771),
    [sym_in] = STATE(2771),
    [sym_add] = STATE(2771),
    [sym_sub] = STATE(2771),
    [sym_mul] = STATE(2771),
    [sym_div] = STATE(2771),
    [sym_sign] = STATE(2771),
    [sym_call] = STATE(2771),
    [sym_field] = STATE(2771),
    [sym_label] = STATE(2771),
    [sym_content] = STATE(2771),
    [sym_group] = STATE(2771),
    [sym_block] = STATE(2771),
    [sym_branch] = STATE(2771),
    [sym_let] = STATE(2771),
    [sym_set] = STATE(2771),
    [sym_import] = STATE(2771),
    [sym_include] = STATE(2771),
    [sym_for] = STATE(2771),
    [sym_while] = STATE(2771),
    [sym_show] = STATE(2771),
    [sym_return] = STATE(2771),
    [sym_flow] = STATE(2771),
    [aux_sym_group_repeat1] = STATE(174),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1195),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1199),
    [sym_none] = ACTIONS(1199),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [55] = {
    [sym_raw_blck] = STATE(2770),
    [sym_raw_span] = STATE(2770),
    [sym_math] = STATE(2770),
    [sym__expr] = STATE(2770),
    [sym_ident] = STATE(2770),
    [sym_bool] = STATE(2770),
    [sym_number] = STATE(2770),
    [sym_string] = STATE(2770),
    [sym_tagged] = STATE(2770),
    [sym_context] = STATE(2770),
    [sym_elude] = STATE(2770),
    [sym_assign] = STATE(2770),
    [sym_lambda] = STATE(2770),
    [sym_or] = STATE(2770),
    [sym_not] = STATE(2770),
    [sym_and] = STATE(2770),
    [sym_cmp] = STATE(2770),
    [sym_in] = STATE(2770),
    [sym_add] = STATE(2770),
    [sym_sub] = STATE(2770),
    [sym_mul] = STATE(2770),
    [sym_div] = STATE(2770),
    [sym_sign] = STATE(2770),
    [sym_call] = STATE(2770),
    [sym_field] = STATE(2770),
    [sym_label] = STATE(2770),
    [sym_content] = STATE(2770),
    [sym_group] = STATE(2770),
    [sym_block] = STATE(2770),
    [sym_branch] = STATE(2770),
    [sym_let] = STATE(2770),
    [sym_set] = STATE(2770),
    [sym_import] = STATE(2770),
    [sym_include] = STATE(2770),
    [sym_for] = STATE(2770),
    [sym_while] = STATE(2770),
    [sym_show] = STATE(2770),
    [sym_return] = STATE(2770),
    [sym_flow] = STATE(2770),
    [aux_sym_group_repeat1] = STATE(147),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1201),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1205),
    [sym_none] = ACTIONS(1205),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [56] = {
    [sym_raw_blck] = STATE(2477),
    [sym_raw_span] = STATE(2477),
    [sym_math] = STATE(2477),
    [sym__expr] = STATE(2477),
    [sym_ident] = STATE(2477),
    [sym_bool] = STATE(2477),
    [sym_number] = STATE(2477),
    [sym_string] = STATE(2477),
    [sym_tagged] = STATE(2477),
    [sym_context] = STATE(2477),
    [sym_elude] = STATE(2477),
    [sym_assign] = STATE(2477),
    [sym_lambda] = STATE(2477),
    [sym_or] = STATE(2477),
    [sym_not] = STATE(2477),
    [sym_and] = STATE(2477),
    [sym_cmp] = STATE(2477),
    [sym_in] = STATE(2477),
    [sym_add] = STATE(2477),
    [sym_sub] = STATE(2477),
    [sym_mul] = STATE(2477),
    [sym_div] = STATE(2477),
    [sym_sign] = STATE(2477),
    [sym_call] = STATE(2477),
    [sym_field] = STATE(2477),
    [sym_label] = STATE(2477),
    [sym_content] = STATE(2477),
    [sym_group] = STATE(2477),
    [sym_block] = STATE(2477),
    [sym_branch] = STATE(2477),
    [sym_let] = STATE(2477),
    [sym_set] = STATE(2477),
    [sym_import] = STATE(2477),
    [sym_include] = STATE(2477),
    [sym_for] = STATE(2477),
    [sym_while] = STATE(2477),
    [sym_show] = STATE(2477),
    [sym_return] = STATE(2477),
    [sym_flow] = STATE(2477),
    [aux_sym_group_repeat1] = STATE(164),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1207),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1211),
    [sym_none] = ACTIONS(1211),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [57] = {
    [sym_raw_blck] = STATE(2458),
    [sym_raw_span] = STATE(2458),
    [sym_math] = STATE(2458),
    [sym__expr] = STATE(2458),
    [sym_ident] = STATE(2458),
    [sym_bool] = STATE(2458),
    [sym_number] = STATE(2458),
    [sym_string] = STATE(2458),
    [sym_tagged] = STATE(2458),
    [sym_context] = STATE(2458),
    [sym_elude] = STATE(2458),
    [sym_assign] = STATE(2458),
    [sym_lambda] = STATE(2458),
    [sym_or] = STATE(2458),
    [sym_not] = STATE(2458),
    [sym_and] = STATE(2458),
    [sym_cmp] = STATE(2458),
    [sym_in] = STATE(2458),
    [sym_add] = STATE(2458),
    [sym_sub] = STATE(2458),
    [sym_mul] = STATE(2458),
    [sym_div] = STATE(2458),
    [sym_sign] = STATE(2458),
    [sym_call] = STATE(2458),
    [sym_field] = STATE(2458),
    [sym_label] = STATE(2458),
    [sym_content] = STATE(2458),
    [sym_group] = STATE(2458),
    [sym_block] = STATE(2458),
    [sym_branch] = STATE(2458),
    [sym_let] = STATE(2458),
    [sym_set] = STATE(2458),
    [sym_import] = STATE(2458),
    [sym_include] = STATE(2458),
    [sym_for] = STATE(2458),
    [sym_while] = STATE(2458),
    [sym_show] = STATE(2458),
    [sym_return] = STATE(2458),
    [sym_flow] = STATE(2458),
    [aux_sym_group_repeat1] = STATE(77),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1215),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1217),
    [sym_none] = ACTIONS(1217),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [58] = {
    [sym_raw_blck] = STATE(2682),
    [sym_raw_span] = STATE(2682),
    [sym_math] = STATE(2682),
    [sym__expr] = STATE(2682),
    [sym_ident] = STATE(2682),
    [sym_bool] = STATE(2682),
    [sym_number] = STATE(2682),
    [sym_string] = STATE(2682),
    [sym_tagged] = STATE(2682),
    [sym_context] = STATE(2682),
    [sym_elude] = STATE(2682),
    [sym_assign] = STATE(2682),
    [sym_lambda] = STATE(2682),
    [sym_or] = STATE(2682),
    [sym_not] = STATE(2682),
    [sym_and] = STATE(2682),
    [sym_cmp] = STATE(2682),
    [sym_in] = STATE(2682),
    [sym_add] = STATE(2682),
    [sym_sub] = STATE(2682),
    [sym_mul] = STATE(2682),
    [sym_div] = STATE(2682),
    [sym_sign] = STATE(2682),
    [sym_call] = STATE(2682),
    [sym_field] = STATE(2682),
    [sym_label] = STATE(2682),
    [sym_content] = STATE(2682),
    [sym_group] = STATE(2682),
    [sym_block] = STATE(2682),
    [sym_branch] = STATE(2682),
    [sym_let] = STATE(2682),
    [sym_set] = STATE(2682),
    [sym_import] = STATE(2682),
    [sym_include] = STATE(2682),
    [sym_for] = STATE(2682),
    [sym_while] = STATE(2682),
    [sym_show] = STATE(2682),
    [sym_return] = STATE(2682),
    [sym_flow] = STATE(2682),
    [aux_sym_group_repeat1] = STATE(123),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1219),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1223),
    [sym_none] = ACTIONS(1223),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [59] = {
    [sym_raw_blck] = STATE(2646),
    [sym_raw_span] = STATE(2646),
    [sym_math] = STATE(2646),
    [sym__expr] = STATE(2646),
    [sym_ident] = STATE(2646),
    [sym_bool] = STATE(2646),
    [sym_number] = STATE(2646),
    [sym_string] = STATE(2646),
    [sym_tagged] = STATE(2646),
    [sym_context] = STATE(2646),
    [sym_elude] = STATE(2646),
    [sym_assign] = STATE(2646),
    [sym_lambda] = STATE(2646),
    [sym_or] = STATE(2646),
    [sym_not] = STATE(2646),
    [sym_and] = STATE(2646),
    [sym_cmp] = STATE(2646),
    [sym_in] = STATE(2646),
    [sym_add] = STATE(2646),
    [sym_sub] = STATE(2646),
    [sym_mul] = STATE(2646),
    [sym_div] = STATE(2646),
    [sym_sign] = STATE(2646),
    [sym_call] = STATE(2646),
    [sym_field] = STATE(2646),
    [sym_label] = STATE(2646),
    [sym_content] = STATE(2646),
    [sym_group] = STATE(2646),
    [sym_block] = STATE(2646),
    [sym_branch] = STATE(2646),
    [sym_let] = STATE(2646),
    [sym_set] = STATE(2646),
    [sym_import] = STATE(2646),
    [sym_include] = STATE(2646),
    [sym_for] = STATE(2646),
    [sym_while] = STATE(2646),
    [sym_show] = STATE(2646),
    [sym_return] = STATE(2646),
    [sym_flow] = STATE(2646),
    [aux_sym_group_repeat1] = STATE(209),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1229),
    [sym_none] = ACTIONS(1229),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [60] = {
    [sym_raw_blck] = STATE(2744),
    [sym_raw_span] = STATE(2744),
    [sym_math] = STATE(2744),
    [sym__expr] = STATE(2744),
    [sym_ident] = STATE(2744),
    [sym_bool] = STATE(2744),
    [sym_number] = STATE(2744),
    [sym_string] = STATE(2744),
    [sym_tagged] = STATE(2744),
    [sym_context] = STATE(2744),
    [sym_elude] = STATE(2744),
    [sym_assign] = STATE(2744),
    [sym_lambda] = STATE(2744),
    [sym_or] = STATE(2744),
    [sym_not] = STATE(2744),
    [sym_and] = STATE(2744),
    [sym_cmp] = STATE(2744),
    [sym_in] = STATE(2744),
    [sym_add] = STATE(2744),
    [sym_sub] = STATE(2744),
    [sym_mul] = STATE(2744),
    [sym_div] = STATE(2744),
    [sym_sign] = STATE(2744),
    [sym_call] = STATE(2744),
    [sym_field] = STATE(2744),
    [sym_label] = STATE(2744),
    [sym_content] = STATE(2744),
    [sym_group] = STATE(2744),
    [sym_block] = STATE(2744),
    [sym_branch] = STATE(2744),
    [sym_let] = STATE(2744),
    [sym_set] = STATE(2744),
    [sym_import] = STATE(2744),
    [sym_include] = STATE(2744),
    [sym_for] = STATE(2744),
    [sym_while] = STATE(2744),
    [sym_show] = STATE(2744),
    [sym_return] = STATE(2744),
    [sym_flow] = STATE(2744),
    [aux_sym_group_repeat1] = STATE(104),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1231),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1235),
    [sym_none] = ACTIONS(1235),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [61] = {
    [sym_raw_blck] = STATE(2509),
    [sym_raw_span] = STATE(2509),
    [sym_math] = STATE(2509),
    [sym__expr] = STATE(2509),
    [sym_ident] = STATE(2509),
    [sym_bool] = STATE(2509),
    [sym_number] = STATE(2509),
    [sym_string] = STATE(2509),
    [sym_tagged] = STATE(2509),
    [sym_context] = STATE(2509),
    [sym_elude] = STATE(2509),
    [sym_assign] = STATE(2509),
    [sym_lambda] = STATE(2509),
    [sym_or] = STATE(2509),
    [sym_not] = STATE(2509),
    [sym_and] = STATE(2509),
    [sym_cmp] = STATE(2509),
    [sym_in] = STATE(2509),
    [sym_add] = STATE(2509),
    [sym_sub] = STATE(2509),
    [sym_mul] = STATE(2509),
    [sym_div] = STATE(2509),
    [sym_sign] = STATE(2509),
    [sym_call] = STATE(2509),
    [sym_field] = STATE(2509),
    [sym_label] = STATE(2509),
    [sym_content] = STATE(2509),
    [sym_group] = STATE(2509),
    [sym_block] = STATE(2509),
    [sym_branch] = STATE(2509),
    [sym_let] = STATE(2509),
    [sym_set] = STATE(2509),
    [sym_import] = STATE(2509),
    [sym_include] = STATE(2509),
    [sym_for] = STATE(2509),
    [sym_while] = STATE(2509),
    [sym_show] = STATE(2509),
    [sym_return] = STATE(2509),
    [sym_flow] = STATE(2509),
    [aux_sym_group_repeat1] = STATE(178),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1237),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1241),
    [sym_none] = ACTIONS(1241),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [62] = {
    [sym_raw_blck] = STATE(2645),
    [sym_raw_span] = STATE(2645),
    [sym_math] = STATE(2645),
    [sym__expr] = STATE(2645),
    [sym_ident] = STATE(2645),
    [sym_bool] = STATE(2645),
    [sym_number] = STATE(2645),
    [sym_string] = STATE(2645),
    [sym_tagged] = STATE(2645),
    [sym_context] = STATE(2645),
    [sym_elude] = STATE(2645),
    [sym_assign] = STATE(2645),
    [sym_lambda] = STATE(2645),
    [sym_or] = STATE(2645),
    [sym_not] = STATE(2645),
    [sym_and] = STATE(2645),
    [sym_cmp] = STATE(2645),
    [sym_in] = STATE(2645),
    [sym_add] = STATE(2645),
    [sym_sub] = STATE(2645),
    [sym_mul] = STATE(2645),
    [sym_div] = STATE(2645),
    [sym_sign] = STATE(2645),
    [sym_call] = STATE(2645),
    [sym_field] = STATE(2645),
    [sym_label] = STATE(2645),
    [sym_content] = STATE(2645),
    [sym_group] = STATE(2645),
    [sym_block] = STATE(2645),
    [sym_branch] = STATE(2645),
    [sym_let] = STATE(2645),
    [sym_set] = STATE(2645),
    [sym_import] = STATE(2645),
    [sym_include] = STATE(2645),
    [sym_for] = STATE(2645),
    [sym_while] = STATE(2645),
    [sym_show] = STATE(2645),
    [sym_return] = STATE(2645),
    [sym_flow] = STATE(2645),
    [aux_sym_group_repeat1] = STATE(91),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1243),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1247),
    [sym_none] = ACTIONS(1247),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [63] = {
    [sym_raw_blck] = STATE(2743),
    [sym_raw_span] = STATE(2743),
    [sym_math] = STATE(2743),
    [sym__expr] = STATE(2743),
    [sym_ident] = STATE(2743),
    [sym_bool] = STATE(2743),
    [sym_number] = STATE(2743),
    [sym_string] = STATE(2743),
    [sym_tagged] = STATE(2743),
    [sym_context] = STATE(2743),
    [sym_elude] = STATE(2743),
    [sym_assign] = STATE(2743),
    [sym_lambda] = STATE(2743),
    [sym_or] = STATE(2743),
    [sym_not] = STATE(2743),
    [sym_and] = STATE(2743),
    [sym_cmp] = STATE(2743),
    [sym_in] = STATE(2743),
    [sym_add] = STATE(2743),
    [sym_sub] = STATE(2743),
    [sym_mul] = STATE(2743),
    [sym_div] = STATE(2743),
    [sym_sign] = STATE(2743),
    [sym_call] = STATE(2743),
    [sym_field] = STATE(2743),
    [sym_label] = STATE(2743),
    [sym_content] = STATE(2743),
    [sym_group] = STATE(2743),
    [sym_block] = STATE(2743),
    [sym_branch] = STATE(2743),
    [sym_let] = STATE(2743),
    [sym_set] = STATE(2743),
    [sym_import] = STATE(2743),
    [sym_include] = STATE(2743),
    [sym_for] = STATE(2743),
    [sym_while] = STATE(2743),
    [sym_show] = STATE(2743),
    [sym_return] = STATE(2743),
    [sym_flow] = STATE(2743),
    [aux_sym_group_repeat1] = STATE(69),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1253),
    [sym_none] = ACTIONS(1253),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [64] = {
    [sym_raw_blck] = STATE(2553),
    [sym_raw_span] = STATE(2553),
    [sym_math] = STATE(2553),
    [sym__expr] = STATE(2553),
    [sym_ident] = STATE(2553),
    [sym_bool] = STATE(2553),
    [sym_number] = STATE(2553),
    [sym_string] = STATE(2553),
    [sym_tagged] = STATE(2553),
    [sym_context] = STATE(2553),
    [sym_elude] = STATE(2553),
    [sym_assign] = STATE(2553),
    [sym_lambda] = STATE(2553),
    [sym_or] = STATE(2553),
    [sym_not] = STATE(2553),
    [sym_and] = STATE(2553),
    [sym_cmp] = STATE(2553),
    [sym_in] = STATE(2553),
    [sym_add] = STATE(2553),
    [sym_sub] = STATE(2553),
    [sym_mul] = STATE(2553),
    [sym_div] = STATE(2553),
    [sym_sign] = STATE(2553),
    [sym_call] = STATE(2553),
    [sym_field] = STATE(2553),
    [sym_label] = STATE(2553),
    [sym_content] = STATE(2553),
    [sym_group] = STATE(2553),
    [sym_block] = STATE(2553),
    [sym_branch] = STATE(2553),
    [sym_let] = STATE(2553),
    [sym_set] = STATE(2553),
    [sym_import] = STATE(2553),
    [sym_include] = STATE(2553),
    [sym_for] = STATE(2553),
    [sym_while] = STATE(2553),
    [sym_show] = STATE(2553),
    [sym_return] = STATE(2553),
    [sym_flow] = STATE(2553),
    [aux_sym_group_repeat1] = STATE(188),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1255),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1259),
    [sym_none] = ACTIONS(1259),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [65] = {
    [sym_raw_blck] = STATE(2683),
    [sym_raw_span] = STATE(2683),
    [sym_math] = STATE(2683),
    [sym__expr] = STATE(2683),
    [sym_ident] = STATE(2683),
    [sym_bool] = STATE(2683),
    [sym_number] = STATE(2683),
    [sym_string] = STATE(2683),
    [sym_tagged] = STATE(2683),
    [sym_context] = STATE(2683),
    [sym_elude] = STATE(2683),
    [sym_assign] = STATE(2683),
    [sym_lambda] = STATE(2683),
    [sym_or] = STATE(2683),
    [sym_not] = STATE(2683),
    [sym_and] = STATE(2683),
    [sym_cmp] = STATE(2683),
    [sym_in] = STATE(2683),
    [sym_add] = STATE(2683),
    [sym_sub] = STATE(2683),
    [sym_mul] = STATE(2683),
    [sym_div] = STATE(2683),
    [sym_sign] = STATE(2683),
    [sym_call] = STATE(2683),
    [sym_field] = STATE(2683),
    [sym_label] = STATE(2683),
    [sym_content] = STATE(2683),
    [sym_group] = STATE(2683),
    [sym_block] = STATE(2683),
    [sym_branch] = STATE(2683),
    [sym_let] = STATE(2683),
    [sym_set] = STATE(2683),
    [sym_import] = STATE(2683),
    [sym_include] = STATE(2683),
    [sym_for] = STATE(2683),
    [sym_while] = STATE(2683),
    [sym_show] = STATE(2683),
    [sym_return] = STATE(2683),
    [sym_flow] = STATE(2683),
    [aux_sym_group_repeat1] = STATE(97),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1261),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1265),
    [sym_none] = ACTIONS(1265),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [66] = {
    [sym_raw_blck] = STATE(2681),
    [sym_raw_span] = STATE(2681),
    [sym_math] = STATE(2681),
    [sym__expr] = STATE(2681),
    [sym_ident] = STATE(2681),
    [sym_bool] = STATE(2681),
    [sym_number] = STATE(2681),
    [sym_string] = STATE(2681),
    [sym_tagged] = STATE(2681),
    [sym_context] = STATE(2681),
    [sym_elude] = STATE(2681),
    [sym_assign] = STATE(2681),
    [sym_lambda] = STATE(2681),
    [sym_or] = STATE(2681),
    [sym_not] = STATE(2681),
    [sym_and] = STATE(2681),
    [sym_cmp] = STATE(2681),
    [sym_in] = STATE(2681),
    [sym_add] = STATE(2681),
    [sym_sub] = STATE(2681),
    [sym_mul] = STATE(2681),
    [sym_div] = STATE(2681),
    [sym_sign] = STATE(2681),
    [sym_call] = STATE(2681),
    [sym_field] = STATE(2681),
    [sym_label] = STATE(2681),
    [sym_content] = STATE(2681),
    [sym_group] = STATE(2681),
    [sym_block] = STATE(2681),
    [sym_branch] = STATE(2681),
    [sym_let] = STATE(2681),
    [sym_set] = STATE(2681),
    [sym_import] = STATE(2681),
    [sym_include] = STATE(2681),
    [sym_for] = STATE(2681),
    [sym_while] = STATE(2681),
    [sym_show] = STATE(2681),
    [sym_return] = STATE(2681),
    [sym_flow] = STATE(2681),
    [aux_sym_group_repeat1] = STATE(132),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_COLON] = ACTIONS(1267),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1271),
    [sym_none] = ACTIONS(1271),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [67] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(118),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [68] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(158),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [69] = {
    [sym_raw_blck] = STATE(2736),
    [sym_raw_span] = STATE(2736),
    [sym_math] = STATE(2736),
    [sym__expr] = STATE(2736),
    [sym_ident] = STATE(2736),
    [sym_bool] = STATE(2736),
    [sym_number] = STATE(2736),
    [sym_string] = STATE(2736),
    [sym_tagged] = STATE(2736),
    [sym_context] = STATE(2736),
    [sym_elude] = STATE(2736),
    [sym_assign] = STATE(2736),
    [sym_lambda] = STATE(2736),
    [sym_or] = STATE(2736),
    [sym_not] = STATE(2736),
    [sym_and] = STATE(2736),
    [sym_cmp] = STATE(2736),
    [sym_in] = STATE(2736),
    [sym_add] = STATE(2736),
    [sym_sub] = STATE(2736),
    [sym_mul] = STATE(2736),
    [sym_div] = STATE(2736),
    [sym_sign] = STATE(2736),
    [sym_call] = STATE(2736),
    [sym_field] = STATE(2736),
    [sym_label] = STATE(2736),
    [sym_content] = STATE(2736),
    [sym_group] = STATE(2736),
    [sym_block] = STATE(2736),
    [sym_branch] = STATE(2736),
    [sym_let] = STATE(2736),
    [sym_set] = STATE(2736),
    [sym_import] = STATE(2736),
    [sym_include] = STATE(2736),
    [sym_for] = STATE(2736),
    [sym_while] = STATE(2736),
    [sym_show] = STATE(2736),
    [sym_return] = STATE(2736),
    [sym_flow] = STATE(2736),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1285),
    [sym_none] = ACTIONS(1285),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [70] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [71] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [72] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(4207),
    [sym__stmt] = STATE(4202),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [73] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(71),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [74] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(78),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [75] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [76] = {
    [sym_raw_blck] = STATE(2467),
    [sym_raw_span] = STATE(2467),
    [sym_math] = STATE(2467),
    [sym__expr] = STATE(2467),
    [sym_ident] = STATE(2467),
    [sym_bool] = STATE(2467),
    [sym_number] = STATE(2467),
    [sym_string] = STATE(2467),
    [sym_tagged] = STATE(2467),
    [sym_context] = STATE(2467),
    [sym_elude] = STATE(2467),
    [sym_assign] = STATE(2467),
    [sym_lambda] = STATE(2467),
    [sym_or] = STATE(2467),
    [sym_not] = STATE(2467),
    [sym_and] = STATE(2467),
    [sym_cmp] = STATE(2467),
    [sym_in] = STATE(2467),
    [sym_add] = STATE(2467),
    [sym_sub] = STATE(2467),
    [sym_mul] = STATE(2467),
    [sym_div] = STATE(2467),
    [sym_sign] = STATE(2467),
    [sym_call] = STATE(2467),
    [sym_field] = STATE(2467),
    [sym_label] = STATE(2467),
    [sym_content] = STATE(2467),
    [sym_group] = STATE(2467),
    [sym_block] = STATE(2467),
    [sym_branch] = STATE(2467),
    [sym_let] = STATE(2467),
    [sym_set] = STATE(2467),
    [sym_import] = STATE(2467),
    [sym_include] = STATE(2467),
    [sym_for] = STATE(2467),
    [sym_while] = STATE(2467),
    [sym_show] = STATE(2467),
    [sym_return] = STATE(2467),
    [sym_flow] = STATE(2467),
    [aux_sym_group_repeat1] = STATE(79),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1303),
    [sym_none] = ACTIONS(1303),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [77] = {
    [sym_raw_blck] = STATE(2467),
    [sym_raw_span] = STATE(2467),
    [sym_math] = STATE(2467),
    [sym__expr] = STATE(2467),
    [sym_ident] = STATE(2467),
    [sym_bool] = STATE(2467),
    [sym_number] = STATE(2467),
    [sym_string] = STATE(2467),
    [sym_tagged] = STATE(2467),
    [sym_context] = STATE(2467),
    [sym_elude] = STATE(2467),
    [sym_assign] = STATE(2467),
    [sym_lambda] = STATE(2467),
    [sym_or] = STATE(2467),
    [sym_not] = STATE(2467),
    [sym_and] = STATE(2467),
    [sym_cmp] = STATE(2467),
    [sym_in] = STATE(2467),
    [sym_add] = STATE(2467),
    [sym_sub] = STATE(2467),
    [sym_mul] = STATE(2467),
    [sym_div] = STATE(2467),
    [sym_sign] = STATE(2467),
    [sym_call] = STATE(2467),
    [sym_field] = STATE(2467),
    [sym_label] = STATE(2467),
    [sym_content] = STATE(2467),
    [sym_group] = STATE(2467),
    [sym_block] = STATE(2467),
    [sym_branch] = STATE(2467),
    [sym_let] = STATE(2467),
    [sym_set] = STATE(2467),
    [sym_import] = STATE(2467),
    [sym_include] = STATE(2467),
    [sym_for] = STATE(2467),
    [sym_while] = STATE(2467),
    [sym_show] = STATE(2467),
    [sym_return] = STATE(2467),
    [sym_flow] = STATE(2467),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1303),
    [sym_none] = ACTIONS(1303),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [78] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [79] = {
    [sym_raw_blck] = STATE(2469),
    [sym_raw_span] = STATE(2469),
    [sym_math] = STATE(2469),
    [sym__expr] = STATE(2469),
    [sym_ident] = STATE(2469),
    [sym_bool] = STATE(2469),
    [sym_number] = STATE(2469),
    [sym_string] = STATE(2469),
    [sym_tagged] = STATE(2469),
    [sym_context] = STATE(2469),
    [sym_elude] = STATE(2469),
    [sym_assign] = STATE(2469),
    [sym_lambda] = STATE(2469),
    [sym_or] = STATE(2469),
    [sym_not] = STATE(2469),
    [sym_and] = STATE(2469),
    [sym_cmp] = STATE(2469),
    [sym_in] = STATE(2469),
    [sym_add] = STATE(2469),
    [sym_sub] = STATE(2469),
    [sym_mul] = STATE(2469),
    [sym_div] = STATE(2469),
    [sym_sign] = STATE(2469),
    [sym_call] = STATE(2469),
    [sym_field] = STATE(2469),
    [sym_label] = STATE(2469),
    [sym_content] = STATE(2469),
    [sym_group] = STATE(2469),
    [sym_block] = STATE(2469),
    [sym_branch] = STATE(2469),
    [sym_let] = STATE(2469),
    [sym_set] = STATE(2469),
    [sym_import] = STATE(2469),
    [sym_include] = STATE(2469),
    [sym_for] = STATE(2469),
    [sym_while] = STATE(2469),
    [sym_show] = STATE(2469),
    [sym_return] = STATE(2469),
    [sym_flow] = STATE(2469),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1309),
    [sym_none] = ACTIONS(1309),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [80] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(135),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [81] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(75),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [82] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(4078),
    [sym__stmt] = STATE(4077),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [83] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(70),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [84] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [85] = {
    [sym_raw_blck] = STATE(2765),
    [sym_raw_span] = STATE(2765),
    [sym_math] = STATE(2765),
    [sym__expr] = STATE(2765),
    [sym_ident] = STATE(2765),
    [sym_bool] = STATE(2765),
    [sym_number] = STATE(2765),
    [sym_string] = STATE(2765),
    [sym_tagged] = STATE(2765),
    [sym_context] = STATE(2765),
    [sym_elude] = STATE(2765),
    [sym_assign] = STATE(2765),
    [sym_lambda] = STATE(2765),
    [sym_or] = STATE(2765),
    [sym_not] = STATE(2765),
    [sym_and] = STATE(2765),
    [sym_cmp] = STATE(2765),
    [sym_in] = STATE(2765),
    [sym_add] = STATE(2765),
    [sym_sub] = STATE(2765),
    [sym_mul] = STATE(2765),
    [sym_div] = STATE(2765),
    [sym_sign] = STATE(2765),
    [sym_call] = STATE(2765),
    [sym_field] = STATE(2765),
    [sym_label] = STATE(2765),
    [sym_content] = STATE(2765),
    [sym_group] = STATE(2765),
    [sym_block] = STATE(2765),
    [sym_branch] = STATE(2765),
    [sym_let] = STATE(2765),
    [sym_set] = STATE(2765),
    [sym_import] = STATE(2765),
    [sym_include] = STATE(2765),
    [sym_for] = STATE(2765),
    [sym_while] = STATE(2765),
    [sym_show] = STATE(2765),
    [sym_return] = STATE(2765),
    [sym_flow] = STATE(2765),
    [aux_sym_group_repeat1] = STATE(139),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1321),
    [sym_none] = ACTIONS(1321),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [86] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(84),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [87] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(4015),
    [sym__stmt] = STATE(4080),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [88] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [89] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(92),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [90] = {
    [sym_raw_blck] = STATE(2660),
    [sym_raw_span] = STATE(2660),
    [sym_math] = STATE(2660),
    [sym__expr] = STATE(2660),
    [sym_ident] = STATE(2660),
    [sym_bool] = STATE(2660),
    [sym_number] = STATE(2660),
    [sym_string] = STATE(2660),
    [sym_tagged] = STATE(2660),
    [sym_context] = STATE(2660),
    [sym_elude] = STATE(2660),
    [sym_assign] = STATE(2660),
    [sym_lambda] = STATE(2660),
    [sym_or] = STATE(2660),
    [sym_not] = STATE(2660),
    [sym_and] = STATE(2660),
    [sym_cmp] = STATE(2660),
    [sym_in] = STATE(2660),
    [sym_add] = STATE(2660),
    [sym_sub] = STATE(2660),
    [sym_mul] = STATE(2660),
    [sym_div] = STATE(2660),
    [sym_sign] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym_field] = STATE(2660),
    [sym_label] = STATE(2660),
    [sym_content] = STATE(2660),
    [sym_group] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_branch] = STATE(2660),
    [sym_let] = STATE(2660),
    [sym_set] = STATE(2660),
    [sym_import] = STATE(2660),
    [sym_include] = STATE(2660),
    [sym_for] = STATE(2660),
    [sym_while] = STATE(2660),
    [sym_show] = STATE(2660),
    [sym_return] = STATE(2660),
    [sym_flow] = STATE(2660),
    [aux_sym_group_repeat1] = STATE(93),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1331),
    [sym_none] = ACTIONS(1331),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [91] = {
    [sym_raw_blck] = STATE(2660),
    [sym_raw_span] = STATE(2660),
    [sym_math] = STATE(2660),
    [sym__expr] = STATE(2660),
    [sym_ident] = STATE(2660),
    [sym_bool] = STATE(2660),
    [sym_number] = STATE(2660),
    [sym_string] = STATE(2660),
    [sym_tagged] = STATE(2660),
    [sym_context] = STATE(2660),
    [sym_elude] = STATE(2660),
    [sym_assign] = STATE(2660),
    [sym_lambda] = STATE(2660),
    [sym_or] = STATE(2660),
    [sym_not] = STATE(2660),
    [sym_and] = STATE(2660),
    [sym_cmp] = STATE(2660),
    [sym_in] = STATE(2660),
    [sym_add] = STATE(2660),
    [sym_sub] = STATE(2660),
    [sym_mul] = STATE(2660),
    [sym_div] = STATE(2660),
    [sym_sign] = STATE(2660),
    [sym_call] = STATE(2660),
    [sym_field] = STATE(2660),
    [sym_label] = STATE(2660),
    [sym_content] = STATE(2660),
    [sym_group] = STATE(2660),
    [sym_block] = STATE(2660),
    [sym_branch] = STATE(2660),
    [sym_let] = STATE(2660),
    [sym_set] = STATE(2660),
    [sym_import] = STATE(2660),
    [sym_include] = STATE(2660),
    [sym_for] = STATE(2660),
    [sym_while] = STATE(2660),
    [sym_show] = STATE(2660),
    [sym_return] = STATE(2660),
    [sym_flow] = STATE(2660),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1331),
    [sym_none] = ACTIONS(1331),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [92] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [93] = {
    [sym_raw_blck] = STATE(2663),
    [sym_raw_span] = STATE(2663),
    [sym_math] = STATE(2663),
    [sym__expr] = STATE(2663),
    [sym_ident] = STATE(2663),
    [sym_bool] = STATE(2663),
    [sym_number] = STATE(2663),
    [sym_string] = STATE(2663),
    [sym_tagged] = STATE(2663),
    [sym_context] = STATE(2663),
    [sym_elude] = STATE(2663),
    [sym_assign] = STATE(2663),
    [sym_lambda] = STATE(2663),
    [sym_or] = STATE(2663),
    [sym_not] = STATE(2663),
    [sym_and] = STATE(2663),
    [sym_cmp] = STATE(2663),
    [sym_in] = STATE(2663),
    [sym_add] = STATE(2663),
    [sym_sub] = STATE(2663),
    [sym_mul] = STATE(2663),
    [sym_div] = STATE(2663),
    [sym_sign] = STATE(2663),
    [sym_call] = STATE(2663),
    [sym_field] = STATE(2663),
    [sym_label] = STATE(2663),
    [sym_content] = STATE(2663),
    [sym_group] = STATE(2663),
    [sym_block] = STATE(2663),
    [sym_branch] = STATE(2663),
    [sym_let] = STATE(2663),
    [sym_set] = STATE(2663),
    [sym_import] = STATE(2663),
    [sym_include] = STATE(2663),
    [sym_for] = STATE(2663),
    [sym_while] = STATE(2663),
    [sym_show] = STATE(2663),
    [sym_return] = STATE(2663),
    [sym_flow] = STATE(2663),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1337),
    [sym_none] = ACTIONS(1337),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [94] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(4036),
    [sym__stmt] = STATE(4033),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [95] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(98),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [96] = {
    [sym_raw_blck] = STATE(2691),
    [sym_raw_span] = STATE(2691),
    [sym_math] = STATE(2691),
    [sym__expr] = STATE(2691),
    [sym_ident] = STATE(2691),
    [sym_bool] = STATE(2691),
    [sym_number] = STATE(2691),
    [sym_string] = STATE(2691),
    [sym_tagged] = STATE(2691),
    [sym_context] = STATE(2691),
    [sym_elude] = STATE(2691),
    [sym_assign] = STATE(2691),
    [sym_lambda] = STATE(2691),
    [sym_or] = STATE(2691),
    [sym_not] = STATE(2691),
    [sym_and] = STATE(2691),
    [sym_cmp] = STATE(2691),
    [sym_in] = STATE(2691),
    [sym_add] = STATE(2691),
    [sym_sub] = STATE(2691),
    [sym_mul] = STATE(2691),
    [sym_div] = STATE(2691),
    [sym_sign] = STATE(2691),
    [sym_call] = STATE(2691),
    [sym_field] = STATE(2691),
    [sym_label] = STATE(2691),
    [sym_content] = STATE(2691),
    [sym_group] = STATE(2691),
    [sym_block] = STATE(2691),
    [sym_branch] = STATE(2691),
    [sym_let] = STATE(2691),
    [sym_set] = STATE(2691),
    [sym_import] = STATE(2691),
    [sym_include] = STATE(2691),
    [sym_for] = STATE(2691),
    [sym_while] = STATE(2691),
    [sym_show] = STATE(2691),
    [sym_return] = STATE(2691),
    [sym_flow] = STATE(2691),
    [aux_sym_group_repeat1] = STATE(99),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1343),
    [sym_none] = ACTIONS(1343),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [97] = {
    [sym_raw_blck] = STATE(2691),
    [sym_raw_span] = STATE(2691),
    [sym_math] = STATE(2691),
    [sym__expr] = STATE(2691),
    [sym_ident] = STATE(2691),
    [sym_bool] = STATE(2691),
    [sym_number] = STATE(2691),
    [sym_string] = STATE(2691),
    [sym_tagged] = STATE(2691),
    [sym_context] = STATE(2691),
    [sym_elude] = STATE(2691),
    [sym_assign] = STATE(2691),
    [sym_lambda] = STATE(2691),
    [sym_or] = STATE(2691),
    [sym_not] = STATE(2691),
    [sym_and] = STATE(2691),
    [sym_cmp] = STATE(2691),
    [sym_in] = STATE(2691),
    [sym_add] = STATE(2691),
    [sym_sub] = STATE(2691),
    [sym_mul] = STATE(2691),
    [sym_div] = STATE(2691),
    [sym_sign] = STATE(2691),
    [sym_call] = STATE(2691),
    [sym_field] = STATE(2691),
    [sym_label] = STATE(2691),
    [sym_content] = STATE(2691),
    [sym_group] = STATE(2691),
    [sym_block] = STATE(2691),
    [sym_branch] = STATE(2691),
    [sym_let] = STATE(2691),
    [sym_set] = STATE(2691),
    [sym_import] = STATE(2691),
    [sym_include] = STATE(2691),
    [sym_for] = STATE(2691),
    [sym_while] = STATE(2691),
    [sym_show] = STATE(2691),
    [sym_return] = STATE(2691),
    [sym_flow] = STATE(2691),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1343),
    [sym_none] = ACTIONS(1343),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [98] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [99] = {
    [sym_raw_blck] = STATE(2719),
    [sym_raw_span] = STATE(2719),
    [sym_math] = STATE(2719),
    [sym__expr] = STATE(2719),
    [sym_ident] = STATE(2719),
    [sym_bool] = STATE(2719),
    [sym_number] = STATE(2719),
    [sym_string] = STATE(2719),
    [sym_tagged] = STATE(2719),
    [sym_context] = STATE(2719),
    [sym_elude] = STATE(2719),
    [sym_assign] = STATE(2719),
    [sym_lambda] = STATE(2719),
    [sym_or] = STATE(2719),
    [sym_not] = STATE(2719),
    [sym_and] = STATE(2719),
    [sym_cmp] = STATE(2719),
    [sym_in] = STATE(2719),
    [sym_add] = STATE(2719),
    [sym_sub] = STATE(2719),
    [sym_mul] = STATE(2719),
    [sym_div] = STATE(2719),
    [sym_sign] = STATE(2719),
    [sym_call] = STATE(2719),
    [sym_field] = STATE(2719),
    [sym_label] = STATE(2719),
    [sym_content] = STATE(2719),
    [sym_group] = STATE(2719),
    [sym_block] = STATE(2719),
    [sym_branch] = STATE(2719),
    [sym_let] = STATE(2719),
    [sym_set] = STATE(2719),
    [sym_import] = STATE(2719),
    [sym_include] = STATE(2719),
    [sym_for] = STATE(2719),
    [sym_while] = STATE(2719),
    [sym_show] = STATE(2719),
    [sym_return] = STATE(2719),
    [sym_flow] = STATE(2719),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1349),
    [sym_none] = ACTIONS(1349),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [100] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(3887),
    [sym__stmt] = STATE(3979),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [101] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(106),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [102] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(88),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [103] = {
    [sym_raw_blck] = STATE(2763),
    [sym_raw_span] = STATE(2763),
    [sym_math] = STATE(2763),
    [sym__expr] = STATE(2763),
    [sym_ident] = STATE(2763),
    [sym_bool] = STATE(2763),
    [sym_number] = STATE(2763),
    [sym_string] = STATE(2763),
    [sym_tagged] = STATE(2763),
    [sym_context] = STATE(2763),
    [sym_elude] = STATE(2763),
    [sym_assign] = STATE(2763),
    [sym_lambda] = STATE(2763),
    [sym_or] = STATE(2763),
    [sym_not] = STATE(2763),
    [sym_and] = STATE(2763),
    [sym_cmp] = STATE(2763),
    [sym_in] = STATE(2763),
    [sym_add] = STATE(2763),
    [sym_sub] = STATE(2763),
    [sym_mul] = STATE(2763),
    [sym_div] = STATE(2763),
    [sym_sign] = STATE(2763),
    [sym_call] = STATE(2763),
    [sym_field] = STATE(2763),
    [sym_label] = STATE(2763),
    [sym_content] = STATE(2763),
    [sym_group] = STATE(2763),
    [sym_block] = STATE(2763),
    [sym_branch] = STATE(2763),
    [sym_let] = STATE(2763),
    [sym_set] = STATE(2763),
    [sym_import] = STATE(2763),
    [sym_include] = STATE(2763),
    [sym_for] = STATE(2763),
    [sym_while] = STATE(2763),
    [sym_show] = STATE(2763),
    [sym_return] = STATE(2763),
    [sym_flow] = STATE(2763),
    [aux_sym_group_repeat1] = STATE(108),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1357),
    [sym_none] = ACTIONS(1357),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [104] = {
    [sym_raw_blck] = STATE(2763),
    [sym_raw_span] = STATE(2763),
    [sym_math] = STATE(2763),
    [sym__expr] = STATE(2763),
    [sym_ident] = STATE(2763),
    [sym_bool] = STATE(2763),
    [sym_number] = STATE(2763),
    [sym_string] = STATE(2763),
    [sym_tagged] = STATE(2763),
    [sym_context] = STATE(2763),
    [sym_elude] = STATE(2763),
    [sym_assign] = STATE(2763),
    [sym_lambda] = STATE(2763),
    [sym_or] = STATE(2763),
    [sym_not] = STATE(2763),
    [sym_and] = STATE(2763),
    [sym_cmp] = STATE(2763),
    [sym_in] = STATE(2763),
    [sym_add] = STATE(2763),
    [sym_sub] = STATE(2763),
    [sym_mul] = STATE(2763),
    [sym_div] = STATE(2763),
    [sym_sign] = STATE(2763),
    [sym_call] = STATE(2763),
    [sym_field] = STATE(2763),
    [sym_label] = STATE(2763),
    [sym_content] = STATE(2763),
    [sym_group] = STATE(2763),
    [sym_block] = STATE(2763),
    [sym_branch] = STATE(2763),
    [sym_let] = STATE(2763),
    [sym_set] = STATE(2763),
    [sym_import] = STATE(2763),
    [sym_include] = STATE(2763),
    [sym_for] = STATE(2763),
    [sym_while] = STATE(2763),
    [sym_show] = STATE(2763),
    [sym_return] = STATE(2763),
    [sym_flow] = STATE(2763),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1357),
    [sym_none] = ACTIONS(1357),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [105] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [106] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [107] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(105),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [108] = {
    [sym_raw_blck] = STATE(2774),
    [sym_raw_span] = STATE(2774),
    [sym_math] = STATE(2774),
    [sym__expr] = STATE(2774),
    [sym_ident] = STATE(2774),
    [sym_bool] = STATE(2774),
    [sym_number] = STATE(2774),
    [sym_string] = STATE(2774),
    [sym_tagged] = STATE(2774),
    [sym_context] = STATE(2774),
    [sym_elude] = STATE(2774),
    [sym_assign] = STATE(2774),
    [sym_lambda] = STATE(2774),
    [sym_or] = STATE(2774),
    [sym_not] = STATE(2774),
    [sym_and] = STATE(2774),
    [sym_cmp] = STATE(2774),
    [sym_in] = STATE(2774),
    [sym_add] = STATE(2774),
    [sym_sub] = STATE(2774),
    [sym_mul] = STATE(2774),
    [sym_div] = STATE(2774),
    [sym_sign] = STATE(2774),
    [sym_call] = STATE(2774),
    [sym_field] = STATE(2774),
    [sym_label] = STATE(2774),
    [sym_content] = STATE(2774),
    [sym_group] = STATE(2774),
    [sym_block] = STATE(2774),
    [sym_branch] = STATE(2774),
    [sym_let] = STATE(2774),
    [sym_set] = STATE(2774),
    [sym_import] = STATE(2774),
    [sym_include] = STATE(2774),
    [sym_for] = STATE(2774),
    [sym_while] = STATE(2774),
    [sym_show] = STATE(2774),
    [sym_return] = STATE(2774),
    [sym_flow] = STATE(2774),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1367),
    [sym_none] = ACTIONS(1367),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [109] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(3952),
    [sym__stmt] = STATE(3951),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [110] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [111] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(110),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [112] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(117),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [113] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [114] = {
    [sym_raw_blck] = STATE(2778),
    [sym_raw_span] = STATE(2778),
    [sym_math] = STATE(2778),
    [sym__expr] = STATE(2778),
    [sym_ident] = STATE(2778),
    [sym_bool] = STATE(2778),
    [sym_number] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_tagged] = STATE(2778),
    [sym_context] = STATE(2778),
    [sym_elude] = STATE(2778),
    [sym_assign] = STATE(2778),
    [sym_lambda] = STATE(2778),
    [sym_or] = STATE(2778),
    [sym_not] = STATE(2778),
    [sym_and] = STATE(2778),
    [sym_cmp] = STATE(2778),
    [sym_in] = STATE(2778),
    [sym_add] = STATE(2778),
    [sym_sub] = STATE(2778),
    [sym_mul] = STATE(2778),
    [sym_div] = STATE(2778),
    [sym_sign] = STATE(2778),
    [sym_call] = STATE(2778),
    [sym_field] = STATE(2778),
    [sym_label] = STATE(2778),
    [sym_content] = STATE(2778),
    [sym_group] = STATE(2778),
    [sym_block] = STATE(2778),
    [sym_branch] = STATE(2778),
    [sym_let] = STATE(2778),
    [sym_set] = STATE(2778),
    [sym_import] = STATE(2778),
    [sym_include] = STATE(2778),
    [sym_for] = STATE(2778),
    [sym_while] = STATE(2778),
    [sym_show] = STATE(2778),
    [sym_return] = STATE(2778),
    [sym_flow] = STATE(2778),
    [aux_sym_group_repeat1] = STATE(119),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1379),
    [sym_none] = ACTIONS(1379),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [115] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(113),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [116] = {
    [sym_raw_blck] = STATE(2778),
    [sym_raw_span] = STATE(2778),
    [sym_math] = STATE(2778),
    [sym__expr] = STATE(2778),
    [sym_ident] = STATE(2778),
    [sym_bool] = STATE(2778),
    [sym_number] = STATE(2778),
    [sym_string] = STATE(2778),
    [sym_tagged] = STATE(2778),
    [sym_context] = STATE(2778),
    [sym_elude] = STATE(2778),
    [sym_assign] = STATE(2778),
    [sym_lambda] = STATE(2778),
    [sym_or] = STATE(2778),
    [sym_not] = STATE(2778),
    [sym_and] = STATE(2778),
    [sym_cmp] = STATE(2778),
    [sym_in] = STATE(2778),
    [sym_add] = STATE(2778),
    [sym_sub] = STATE(2778),
    [sym_mul] = STATE(2778),
    [sym_div] = STATE(2778),
    [sym_sign] = STATE(2778),
    [sym_call] = STATE(2778),
    [sym_field] = STATE(2778),
    [sym_label] = STATE(2778),
    [sym_content] = STATE(2778),
    [sym_group] = STATE(2778),
    [sym_block] = STATE(2778),
    [sym_branch] = STATE(2778),
    [sym_let] = STATE(2778),
    [sym_set] = STATE(2778),
    [sym_import] = STATE(2778),
    [sym_include] = STATE(2778),
    [sym_for] = STATE(2778),
    [sym_while] = STATE(2778),
    [sym_show] = STATE(2778),
    [sym_return] = STATE(2778),
    [sym_flow] = STATE(2778),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1379),
    [sym_none] = ACTIONS(1379),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [117] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [118] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [119] = {
    [sym_raw_blck] = STATE(2773),
    [sym_raw_span] = STATE(2773),
    [sym_math] = STATE(2773),
    [sym__expr] = STATE(2773),
    [sym_ident] = STATE(2773),
    [sym_bool] = STATE(2773),
    [sym_number] = STATE(2773),
    [sym_string] = STATE(2773),
    [sym_tagged] = STATE(2773),
    [sym_context] = STATE(2773),
    [sym_elude] = STATE(2773),
    [sym_assign] = STATE(2773),
    [sym_lambda] = STATE(2773),
    [sym_or] = STATE(2773),
    [sym_not] = STATE(2773),
    [sym_and] = STATE(2773),
    [sym_cmp] = STATE(2773),
    [sym_in] = STATE(2773),
    [sym_add] = STATE(2773),
    [sym_sub] = STATE(2773),
    [sym_mul] = STATE(2773),
    [sym_div] = STATE(2773),
    [sym_sign] = STATE(2773),
    [sym_call] = STATE(2773),
    [sym_field] = STATE(2773),
    [sym_label] = STATE(2773),
    [sym_content] = STATE(2773),
    [sym_group] = STATE(2773),
    [sym_block] = STATE(2773),
    [sym_branch] = STATE(2773),
    [sym_let] = STATE(2773),
    [sym_set] = STATE(2773),
    [sym_import] = STATE(2773),
    [sym_include] = STATE(2773),
    [sym_for] = STATE(2773),
    [sym_while] = STATE(2773),
    [sym_show] = STATE(2773),
    [sym_return] = STATE(2773),
    [sym_flow] = STATE(2773),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1389),
    [sym_none] = ACTIONS(1389),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [120] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(3920),
    [sym__stmt] = STATE(3916),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [121] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(125),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [122] = {
    [sym_raw_blck] = STATE(2668),
    [sym_raw_span] = STATE(2668),
    [sym_math] = STATE(2668),
    [sym__expr] = STATE(2668),
    [sym_ident] = STATE(2668),
    [sym_bool] = STATE(2668),
    [sym_number] = STATE(2668),
    [sym_string] = STATE(2668),
    [sym_tagged] = STATE(2668),
    [sym_context] = STATE(2668),
    [sym_elude] = STATE(2668),
    [sym_assign] = STATE(2668),
    [sym_lambda] = STATE(2668),
    [sym_or] = STATE(2668),
    [sym_not] = STATE(2668),
    [sym_and] = STATE(2668),
    [sym_cmp] = STATE(2668),
    [sym_in] = STATE(2668),
    [sym_add] = STATE(2668),
    [sym_sub] = STATE(2668),
    [sym_mul] = STATE(2668),
    [sym_div] = STATE(2668),
    [sym_sign] = STATE(2668),
    [sym_call] = STATE(2668),
    [sym_field] = STATE(2668),
    [sym_label] = STATE(2668),
    [sym_content] = STATE(2668),
    [sym_group] = STATE(2668),
    [sym_block] = STATE(2668),
    [sym_branch] = STATE(2668),
    [sym_let] = STATE(2668),
    [sym_set] = STATE(2668),
    [sym_import] = STATE(2668),
    [sym_include] = STATE(2668),
    [sym_for] = STATE(2668),
    [sym_while] = STATE(2668),
    [sym_show] = STATE(2668),
    [sym_return] = STATE(2668),
    [sym_flow] = STATE(2668),
    [aux_sym_group_repeat1] = STATE(127),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1395),
    [sym_none] = ACTIONS(1395),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [123] = {
    [sym_raw_blck] = STATE(2668),
    [sym_raw_span] = STATE(2668),
    [sym_math] = STATE(2668),
    [sym__expr] = STATE(2668),
    [sym_ident] = STATE(2668),
    [sym_bool] = STATE(2668),
    [sym_number] = STATE(2668),
    [sym_string] = STATE(2668),
    [sym_tagged] = STATE(2668),
    [sym_context] = STATE(2668),
    [sym_elude] = STATE(2668),
    [sym_assign] = STATE(2668),
    [sym_lambda] = STATE(2668),
    [sym_or] = STATE(2668),
    [sym_not] = STATE(2668),
    [sym_and] = STATE(2668),
    [sym_cmp] = STATE(2668),
    [sym_in] = STATE(2668),
    [sym_add] = STATE(2668),
    [sym_sub] = STATE(2668),
    [sym_mul] = STATE(2668),
    [sym_div] = STATE(2668),
    [sym_sign] = STATE(2668),
    [sym_call] = STATE(2668),
    [sym_field] = STATE(2668),
    [sym_label] = STATE(2668),
    [sym_content] = STATE(2668),
    [sym_group] = STATE(2668),
    [sym_block] = STATE(2668),
    [sym_branch] = STATE(2668),
    [sym_let] = STATE(2668),
    [sym_set] = STATE(2668),
    [sym_import] = STATE(2668),
    [sym_include] = STATE(2668),
    [sym_for] = STATE(2668),
    [sym_while] = STATE(2668),
    [sym_show] = STATE(2668),
    [sym_return] = STATE(2668),
    [sym_flow] = STATE(2668),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1395),
    [sym_none] = ACTIONS(1395),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [124] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [125] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [126] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(124),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [127] = {
    [sym_raw_blck] = STATE(2404),
    [sym_raw_span] = STATE(2404),
    [sym_math] = STATE(2404),
    [sym__expr] = STATE(2404),
    [sym_ident] = STATE(2404),
    [sym_bool] = STATE(2404),
    [sym_number] = STATE(2404),
    [sym_string] = STATE(2404),
    [sym_tagged] = STATE(2404),
    [sym_context] = STATE(2404),
    [sym_elude] = STATE(2404),
    [sym_assign] = STATE(2404),
    [sym_lambda] = STATE(2404),
    [sym_or] = STATE(2404),
    [sym_not] = STATE(2404),
    [sym_and] = STATE(2404),
    [sym_cmp] = STATE(2404),
    [sym_in] = STATE(2404),
    [sym_add] = STATE(2404),
    [sym_sub] = STATE(2404),
    [sym_mul] = STATE(2404),
    [sym_div] = STATE(2404),
    [sym_sign] = STATE(2404),
    [sym_call] = STATE(2404),
    [sym_field] = STATE(2404),
    [sym_label] = STATE(2404),
    [sym_content] = STATE(2404),
    [sym_group] = STATE(2404),
    [sym_block] = STATE(2404),
    [sym_branch] = STATE(2404),
    [sym_let] = STATE(2404),
    [sym_set] = STATE(2404),
    [sym_import] = STATE(2404),
    [sym_include] = STATE(2404),
    [sym_for] = STATE(2404),
    [sym_while] = STATE(2404),
    [sym_show] = STATE(2404),
    [sym_return] = STATE(2404),
    [sym_flow] = STATE(2404),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1405),
    [sym_none] = ACTIONS(1405),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [128] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [129] = {
    [sym_raw_blck] = STATE(2665),
    [sym_raw_span] = STATE(2665),
    [sym_math] = STATE(2665),
    [sym__expr] = STATE(2665),
    [sym_ident] = STATE(2665),
    [sym_bool] = STATE(2665),
    [sym_number] = STATE(2665),
    [sym_string] = STATE(2665),
    [sym_tagged] = STATE(2665),
    [sym_context] = STATE(2665),
    [sym_elude] = STATE(2665),
    [sym_assign] = STATE(2665),
    [sym_lambda] = STATE(2665),
    [sym_or] = STATE(2665),
    [sym_not] = STATE(2665),
    [sym_and] = STATE(2665),
    [sym_cmp] = STATE(2665),
    [sym_in] = STATE(2665),
    [sym_add] = STATE(2665),
    [sym_sub] = STATE(2665),
    [sym_mul] = STATE(2665),
    [sym_div] = STATE(2665),
    [sym_sign] = STATE(2665),
    [sym_call] = STATE(2665),
    [sym_field] = STATE(2665),
    [sym_label] = STATE(2665),
    [sym_content] = STATE(2665),
    [sym_group] = STATE(2665),
    [sym_block] = STATE(2665),
    [sym_branch] = STATE(2665),
    [sym_let] = STATE(2665),
    [sym_set] = STATE(2665),
    [sym_import] = STATE(2665),
    [sym_include] = STATE(2665),
    [sym_for] = STATE(2665),
    [sym_while] = STATE(2665),
    [sym_show] = STATE(2665),
    [sym_return] = STATE(2665),
    [sym_flow] = STATE(2665),
    [aux_sym_group_repeat1] = STATE(194),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1411),
    [sym_none] = ACTIONS(1411),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [130] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(3888),
    [sym__stmt] = STATE(3878),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [131] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(128),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [132] = {
    [sym_raw_blck] = STATE(2665),
    [sym_raw_span] = STATE(2665),
    [sym_math] = STATE(2665),
    [sym__expr] = STATE(2665),
    [sym_ident] = STATE(2665),
    [sym_bool] = STATE(2665),
    [sym_number] = STATE(2665),
    [sym_string] = STATE(2665),
    [sym_tagged] = STATE(2665),
    [sym_context] = STATE(2665),
    [sym_elude] = STATE(2665),
    [sym_assign] = STATE(2665),
    [sym_lambda] = STATE(2665),
    [sym_or] = STATE(2665),
    [sym_not] = STATE(2665),
    [sym_and] = STATE(2665),
    [sym_cmp] = STATE(2665),
    [sym_in] = STATE(2665),
    [sym_add] = STATE(2665),
    [sym_sub] = STATE(2665),
    [sym_mul] = STATE(2665),
    [sym_div] = STATE(2665),
    [sym_sign] = STATE(2665),
    [sym_call] = STATE(2665),
    [sym_field] = STATE(2665),
    [sym_label] = STATE(2665),
    [sym_content] = STATE(2665),
    [sym_group] = STATE(2665),
    [sym_block] = STATE(2665),
    [sym_branch] = STATE(2665),
    [sym_let] = STATE(2665),
    [sym_set] = STATE(2665),
    [sym_import] = STATE(2665),
    [sym_include] = STATE(2665),
    [sym_for] = STATE(2665),
    [sym_while] = STATE(2665),
    [sym_show] = STATE(2665),
    [sym_return] = STATE(2665),
    [sym_flow] = STATE(2665),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1411),
    [sym_none] = ACTIONS(1411),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [133] = {
    [sym_raw_blck] = STATE(2736),
    [sym_raw_span] = STATE(2736),
    [sym_math] = STATE(2736),
    [sym__expr] = STATE(2736),
    [sym_ident] = STATE(2736),
    [sym_bool] = STATE(2736),
    [sym_number] = STATE(2736),
    [sym_string] = STATE(2736),
    [sym_tagged] = STATE(2736),
    [sym_context] = STATE(2736),
    [sym_elude] = STATE(2736),
    [sym_assign] = STATE(2736),
    [sym_lambda] = STATE(2736),
    [sym_or] = STATE(2736),
    [sym_not] = STATE(2736),
    [sym_and] = STATE(2736),
    [sym_cmp] = STATE(2736),
    [sym_in] = STATE(2736),
    [sym_add] = STATE(2736),
    [sym_sub] = STATE(2736),
    [sym_mul] = STATE(2736),
    [sym_div] = STATE(2736),
    [sym_sign] = STATE(2736),
    [sym_call] = STATE(2736),
    [sym_field] = STATE(2736),
    [sym_label] = STATE(2736),
    [sym_content] = STATE(2736),
    [sym_group] = STATE(2736),
    [sym_block] = STATE(2736),
    [sym_branch] = STATE(2736),
    [sym_let] = STATE(2736),
    [sym_set] = STATE(2736),
    [sym_import] = STATE(2736),
    [sym_include] = STATE(2736),
    [sym_for] = STATE(2736),
    [sym_while] = STATE(2736),
    [sym_show] = STATE(2736),
    [sym_return] = STATE(2736),
    [sym_flow] = STATE(2736),
    [aux_sym_group_repeat1] = STATE(140),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1285),
    [sym_none] = ACTIONS(1285),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [134] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [135] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [136] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(143),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [137] = {
    [sym_raw_blck] = STATE(2625),
    [sym_raw_span] = STATE(2625),
    [sym_math] = STATE(2625),
    [sym__expr] = STATE(2625),
    [sym_ident] = STATE(2625),
    [sym_bool] = STATE(2625),
    [sym_number] = STATE(2625),
    [sym_string] = STATE(2625),
    [sym_tagged] = STATE(2625),
    [sym_context] = STATE(2625),
    [sym_elude] = STATE(2625),
    [sym_assign] = STATE(2625),
    [sym_lambda] = STATE(2625),
    [sym_or] = STATE(2625),
    [sym_not] = STATE(2625),
    [sym_and] = STATE(2625),
    [sym_cmp] = STATE(2625),
    [sym_in] = STATE(2625),
    [sym_add] = STATE(2625),
    [sym_sub] = STATE(2625),
    [sym_mul] = STATE(2625),
    [sym_div] = STATE(2625),
    [sym_sign] = STATE(2625),
    [sym_call] = STATE(2625),
    [sym_field] = STATE(2625),
    [sym_label] = STATE(2625),
    [sym_content] = STATE(2625),
    [sym_group] = STATE(2625),
    [sym_block] = STATE(2625),
    [sym_branch] = STATE(2625),
    [sym_let] = STATE(2625),
    [sym_set] = STATE(2625),
    [sym_import] = STATE(2625),
    [sym_include] = STATE(2625),
    [sym_for] = STATE(2625),
    [sym_while] = STATE(2625),
    [sym_show] = STATE(2625),
    [sym_return] = STATE(2625),
    [sym_flow] = STATE(2625),
    [aux_sym_group_repeat1] = STATE(144),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1423),
    [sym_none] = ACTIONS(1423),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [138] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(134),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [139] = {
    [sym_raw_blck] = STATE(2757),
    [sym_raw_span] = STATE(2757),
    [sym_math] = STATE(2757),
    [sym__expr] = STATE(2757),
    [sym_ident] = STATE(2757),
    [sym_bool] = STATE(2757),
    [sym_number] = STATE(2757),
    [sym_string] = STATE(2757),
    [sym_tagged] = STATE(2757),
    [sym_context] = STATE(2757),
    [sym_elude] = STATE(2757),
    [sym_assign] = STATE(2757),
    [sym_lambda] = STATE(2757),
    [sym_or] = STATE(2757),
    [sym_not] = STATE(2757),
    [sym_and] = STATE(2757),
    [sym_cmp] = STATE(2757),
    [sym_in] = STATE(2757),
    [sym_add] = STATE(2757),
    [sym_sub] = STATE(2757),
    [sym_mul] = STATE(2757),
    [sym_div] = STATE(2757),
    [sym_sign] = STATE(2757),
    [sym_call] = STATE(2757),
    [sym_field] = STATE(2757),
    [sym_label] = STATE(2757),
    [sym_content] = STATE(2757),
    [sym_group] = STATE(2757),
    [sym_block] = STATE(2757),
    [sym_branch] = STATE(2757),
    [sym_let] = STATE(2757),
    [sym_set] = STATE(2757),
    [sym_import] = STATE(2757),
    [sym_include] = STATE(2757),
    [sym_for] = STATE(2757),
    [sym_while] = STATE(2757),
    [sym_show] = STATE(2757),
    [sym_return] = STATE(2757),
    [sym_flow] = STATE(2757),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1429),
    [sym_none] = ACTIONS(1429),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [140] = {
    [sym_raw_blck] = STATE(2732),
    [sym_raw_span] = STATE(2732),
    [sym_math] = STATE(2732),
    [sym__expr] = STATE(2732),
    [sym_ident] = STATE(2732),
    [sym_bool] = STATE(2732),
    [sym_number] = STATE(2732),
    [sym_string] = STATE(2732),
    [sym_tagged] = STATE(2732),
    [sym_context] = STATE(2732),
    [sym_elude] = STATE(2732),
    [sym_assign] = STATE(2732),
    [sym_lambda] = STATE(2732),
    [sym_or] = STATE(2732),
    [sym_not] = STATE(2732),
    [sym_and] = STATE(2732),
    [sym_cmp] = STATE(2732),
    [sym_in] = STATE(2732),
    [sym_add] = STATE(2732),
    [sym_sub] = STATE(2732),
    [sym_mul] = STATE(2732),
    [sym_div] = STATE(2732),
    [sym_sign] = STATE(2732),
    [sym_call] = STATE(2732),
    [sym_field] = STATE(2732),
    [sym_label] = STATE(2732),
    [sym_content] = STATE(2732),
    [sym_group] = STATE(2732),
    [sym_block] = STATE(2732),
    [sym_branch] = STATE(2732),
    [sym_let] = STATE(2732),
    [sym_set] = STATE(2732),
    [sym_import] = STATE(2732),
    [sym_include] = STATE(2732),
    [sym_for] = STATE(2732),
    [sym_while] = STATE(2732),
    [sym_show] = STATE(2732),
    [sym_return] = STATE(2732),
    [sym_flow] = STATE(2732),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1433),
    [sym_none] = ACTIONS(1433),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [141] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [142] = {
    [sym_raw_blck] = STATE(2625),
    [sym_raw_span] = STATE(2625),
    [sym_math] = STATE(2625),
    [sym__expr] = STATE(2625),
    [sym_ident] = STATE(2625),
    [sym_bool] = STATE(2625),
    [sym_number] = STATE(2625),
    [sym_string] = STATE(2625),
    [sym_tagged] = STATE(2625),
    [sym_context] = STATE(2625),
    [sym_elude] = STATE(2625),
    [sym_assign] = STATE(2625),
    [sym_lambda] = STATE(2625),
    [sym_or] = STATE(2625),
    [sym_not] = STATE(2625),
    [sym_and] = STATE(2625),
    [sym_cmp] = STATE(2625),
    [sym_in] = STATE(2625),
    [sym_add] = STATE(2625),
    [sym_sub] = STATE(2625),
    [sym_mul] = STATE(2625),
    [sym_div] = STATE(2625),
    [sym_sign] = STATE(2625),
    [sym_call] = STATE(2625),
    [sym_field] = STATE(2625),
    [sym_label] = STATE(2625),
    [sym_content] = STATE(2625),
    [sym_group] = STATE(2625),
    [sym_block] = STATE(2625),
    [sym_branch] = STATE(2625),
    [sym_let] = STATE(2625),
    [sym_set] = STATE(2625),
    [sym_import] = STATE(2625),
    [sym_include] = STATE(2625),
    [sym_for] = STATE(2625),
    [sym_while] = STATE(2625),
    [sym_show] = STATE(2625),
    [sym_return] = STATE(2625),
    [sym_flow] = STATE(2625),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1423),
    [sym_none] = ACTIONS(1423),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [143] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [144] = {
    [sym_raw_blck] = STATE(2610),
    [sym_raw_span] = STATE(2610),
    [sym_math] = STATE(2610),
    [sym__expr] = STATE(2610),
    [sym_ident] = STATE(2610),
    [sym_bool] = STATE(2610),
    [sym_number] = STATE(2610),
    [sym_string] = STATE(2610),
    [sym_tagged] = STATE(2610),
    [sym_context] = STATE(2610),
    [sym_elude] = STATE(2610),
    [sym_assign] = STATE(2610),
    [sym_lambda] = STATE(2610),
    [sym_or] = STATE(2610),
    [sym_not] = STATE(2610),
    [sym_and] = STATE(2610),
    [sym_cmp] = STATE(2610),
    [sym_in] = STATE(2610),
    [sym_add] = STATE(2610),
    [sym_sub] = STATE(2610),
    [sym_mul] = STATE(2610),
    [sym_div] = STATE(2610),
    [sym_sign] = STATE(2610),
    [sym_call] = STATE(2610),
    [sym_field] = STATE(2610),
    [sym_label] = STATE(2610),
    [sym_content] = STATE(2610),
    [sym_group] = STATE(2610),
    [sym_block] = STATE(2610),
    [sym_branch] = STATE(2610),
    [sym_let] = STATE(2610),
    [sym_set] = STATE(2610),
    [sym_import] = STATE(2610),
    [sym_include] = STATE(2610),
    [sym_for] = STATE(2610),
    [sym_while] = STATE(2610),
    [sym_show] = STATE(2610),
    [sym_return] = STATE(2610),
    [sym_flow] = STATE(2610),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1441),
    [sym_none] = ACTIONS(1441),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [145] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(141),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [146] = {
    [sym_raw_blck] = STATE(2891),
    [sym_raw_span] = STATE(2891),
    [sym_math] = STATE(2891),
    [sym__item] = STATE(3857),
    [sym__stmt] = STATE(3856),
    [sym__expr] = STATE(3041),
    [sym_ident] = STATE(2891),
    [sym_bool] = STATE(2891),
    [sym_number] = STATE(2891),
    [sym_string] = STATE(2891),
    [sym_tagged] = STATE(3041),
    [sym_context] = STATE(2891),
    [sym_elude] = STATE(3041),
    [sym_assign] = STATE(3041),
    [sym_lambda] = STATE(3041),
    [sym_or] = STATE(3041),
    [sym_not] = STATE(3041),
    [sym_and] = STATE(3041),
    [sym_cmp] = STATE(3041),
    [sym_in] = STATE(3041),
    [sym_add] = STATE(3041),
    [sym_sub] = STATE(3041),
    [sym_mul] = STATE(3041),
    [sym_div] = STATE(3041),
    [sym_sign] = STATE(3041),
    [sym_call] = STATE(2891),
    [sym_field] = STATE(2891),
    [sym_label] = STATE(2891),
    [sym_content] = STATE(2891),
    [sym_group] = STATE(2891),
    [sym_block] = STATE(2891),
    [sym_branch] = STATE(2891),
    [sym_let] = STATE(2885),
    [sym_set] = STATE(2885),
    [sym_import] = STATE(2885),
    [sym_include] = STATE(2885),
    [sym_for] = STATE(2885),
    [sym_while] = STATE(2885),
    [sym_show] = STATE(2885),
    [sym_return] = STATE(2885),
    [sym_flow] = STATE(2891),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(1293),
    [sym_none] = ACTIONS(1293),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [147] = {
    [sym_raw_blck] = STATE(2765),
    [sym_raw_span] = STATE(2765),
    [sym_math] = STATE(2765),
    [sym__expr] = STATE(2765),
    [sym_ident] = STATE(2765),
    [sym_bool] = STATE(2765),
    [sym_number] = STATE(2765),
    [sym_string] = STATE(2765),
    [sym_tagged] = STATE(2765),
    [sym_context] = STATE(2765),
    [sym_elude] = STATE(2765),
    [sym_assign] = STATE(2765),
    [sym_lambda] = STATE(2765),
    [sym_or] = STATE(2765),
    [sym_not] = STATE(2765),
    [sym_and] = STATE(2765),
    [sym_cmp] = STATE(2765),
    [sym_in] = STATE(2765),
    [sym_add] = STATE(2765),
    [sym_sub] = STATE(2765),
    [sym_mul] = STATE(2765),
    [sym_div] = STATE(2765),
    [sym_sign] = STATE(2765),
    [sym_call] = STATE(2765),
    [sym_field] = STATE(2765),
    [sym_label] = STATE(2765),
    [sym_content] = STATE(2765),
    [sym_group] = STATE(2765),
    [sym_block] = STATE(2765),
    [sym_branch] = STATE(2765),
    [sym_let] = STATE(2765),
    [sym_set] = STATE(2765),
    [sym_import] = STATE(2765),
    [sym_include] = STATE(2765),
    [sym_for] = STATE(2765),
    [sym_while] = STATE(2765),
    [sym_show] = STATE(2765),
    [sym_return] = STATE(2765),
    [sym_flow] = STATE(2765),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1321),
    [sym_none] = ACTIONS(1321),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [148] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [149] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(152),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [150] = {
    [sym_raw_blck] = STATE(2558),
    [sym_raw_span] = STATE(2558),
    [sym_math] = STATE(2558),
    [sym__expr] = STATE(2558),
    [sym_ident] = STATE(2558),
    [sym_bool] = STATE(2558),
    [sym_number] = STATE(2558),
    [sym_string] = STATE(2558),
    [sym_tagged] = STATE(2558),
    [sym_context] = STATE(2558),
    [sym_elude] = STATE(2558),
    [sym_assign] = STATE(2558),
    [sym_lambda] = STATE(2558),
    [sym_or] = STATE(2558),
    [sym_not] = STATE(2558),
    [sym_and] = STATE(2558),
    [sym_cmp] = STATE(2558),
    [sym_in] = STATE(2558),
    [sym_add] = STATE(2558),
    [sym_sub] = STATE(2558),
    [sym_mul] = STATE(2558),
    [sym_div] = STATE(2558),
    [sym_sign] = STATE(2558),
    [sym_call] = STATE(2558),
    [sym_field] = STATE(2558),
    [sym_label] = STATE(2558),
    [sym_content] = STATE(2558),
    [sym_group] = STATE(2558),
    [sym_block] = STATE(2558),
    [sym_branch] = STATE(2558),
    [sym_let] = STATE(2558),
    [sym_set] = STATE(2558),
    [sym_import] = STATE(2558),
    [sym_include] = STATE(2558),
    [sym_for] = STATE(2558),
    [sym_while] = STATE(2558),
    [sym_show] = STATE(2558),
    [sym_return] = STATE(2558),
    [sym_flow] = STATE(2558),
    [aux_sym_group_repeat1] = STATE(153),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1451),
    [sym_none] = ACTIONS(1451),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [151] = {
    [sym_raw_blck] = STATE(2558),
    [sym_raw_span] = STATE(2558),
    [sym_math] = STATE(2558),
    [sym__expr] = STATE(2558),
    [sym_ident] = STATE(2558),
    [sym_bool] = STATE(2558),
    [sym_number] = STATE(2558),
    [sym_string] = STATE(2558),
    [sym_tagged] = STATE(2558),
    [sym_context] = STATE(2558),
    [sym_elude] = STATE(2558),
    [sym_assign] = STATE(2558),
    [sym_lambda] = STATE(2558),
    [sym_or] = STATE(2558),
    [sym_not] = STATE(2558),
    [sym_and] = STATE(2558),
    [sym_cmp] = STATE(2558),
    [sym_in] = STATE(2558),
    [sym_add] = STATE(2558),
    [sym_sub] = STATE(2558),
    [sym_mul] = STATE(2558),
    [sym_div] = STATE(2558),
    [sym_sign] = STATE(2558),
    [sym_call] = STATE(2558),
    [sym_field] = STATE(2558),
    [sym_label] = STATE(2558),
    [sym_content] = STATE(2558),
    [sym_group] = STATE(2558),
    [sym_block] = STATE(2558),
    [sym_branch] = STATE(2558),
    [sym_let] = STATE(2558),
    [sym_set] = STATE(2558),
    [sym_import] = STATE(2558),
    [sym_include] = STATE(2558),
    [sym_for] = STATE(2558),
    [sym_while] = STATE(2558),
    [sym_show] = STATE(2558),
    [sym_return] = STATE(2558),
    [sym_flow] = STATE(2558),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1451),
    [sym_none] = ACTIONS(1451),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [152] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [153] = {
    [sym_raw_blck] = STATE(2556),
    [sym_raw_span] = STATE(2556),
    [sym_math] = STATE(2556),
    [sym__expr] = STATE(2556),
    [sym_ident] = STATE(2556),
    [sym_bool] = STATE(2556),
    [sym_number] = STATE(2556),
    [sym_string] = STATE(2556),
    [sym_tagged] = STATE(2556),
    [sym_context] = STATE(2556),
    [sym_elude] = STATE(2556),
    [sym_assign] = STATE(2556),
    [sym_lambda] = STATE(2556),
    [sym_or] = STATE(2556),
    [sym_not] = STATE(2556),
    [sym_and] = STATE(2556),
    [sym_cmp] = STATE(2556),
    [sym_in] = STATE(2556),
    [sym_add] = STATE(2556),
    [sym_sub] = STATE(2556),
    [sym_mul] = STATE(2556),
    [sym_div] = STATE(2556),
    [sym_sign] = STATE(2556),
    [sym_call] = STATE(2556),
    [sym_field] = STATE(2556),
    [sym_label] = STATE(2556),
    [sym_content] = STATE(2556),
    [sym_group] = STATE(2556),
    [sym_block] = STATE(2556),
    [sym_branch] = STATE(2556),
    [sym_let] = STATE(2556),
    [sym_set] = STATE(2556),
    [sym_import] = STATE(2556),
    [sym_include] = STATE(2556),
    [sym_for] = STATE(2556),
    [sym_while] = STATE(2556),
    [sym_show] = STATE(2556),
    [sym_return] = STATE(2556),
    [sym_flow] = STATE(2556),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1457),
    [sym_none] = ACTIONS(1457),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [154] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [155] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(154),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [156] = {
    [sym_raw_blck] = STATE(2502),
    [sym_raw_span] = STATE(2502),
    [sym_math] = STATE(2502),
    [sym__expr] = STATE(2502),
    [sym_ident] = STATE(2502),
    [sym_bool] = STATE(2502),
    [sym_number] = STATE(2502),
    [sym_string] = STATE(2502),
    [sym_tagged] = STATE(2502),
    [sym_context] = STATE(2502),
    [sym_elude] = STATE(2502),
    [sym_assign] = STATE(2502),
    [sym_lambda] = STATE(2502),
    [sym_or] = STATE(2502),
    [sym_not] = STATE(2502),
    [sym_and] = STATE(2502),
    [sym_cmp] = STATE(2502),
    [sym_in] = STATE(2502),
    [sym_add] = STATE(2502),
    [sym_sub] = STATE(2502),
    [sym_mul] = STATE(2502),
    [sym_div] = STATE(2502),
    [sym_sign] = STATE(2502),
    [sym_call] = STATE(2502),
    [sym_field] = STATE(2502),
    [sym_label] = STATE(2502),
    [sym_content] = STATE(2502),
    [sym_group] = STATE(2502),
    [sym_block] = STATE(2502),
    [sym_branch] = STATE(2502),
    [sym_let] = STATE(2502),
    [sym_set] = STATE(2502),
    [sym_import] = STATE(2502),
    [sym_include] = STATE(2502),
    [sym_for] = STATE(2502),
    [sym_while] = STATE(2502),
    [sym_show] = STATE(2502),
    [sym_return] = STATE(2502),
    [sym_flow] = STATE(2502),
    [aux_sym_group_repeat1] = STATE(159),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1465),
    [sym_none] = ACTIONS(1465),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [157] = {
    [sym_raw_blck] = STATE(2502),
    [sym_raw_span] = STATE(2502),
    [sym_math] = STATE(2502),
    [sym__expr] = STATE(2502),
    [sym_ident] = STATE(2502),
    [sym_bool] = STATE(2502),
    [sym_number] = STATE(2502),
    [sym_string] = STATE(2502),
    [sym_tagged] = STATE(2502),
    [sym_context] = STATE(2502),
    [sym_elude] = STATE(2502),
    [sym_assign] = STATE(2502),
    [sym_lambda] = STATE(2502),
    [sym_or] = STATE(2502),
    [sym_not] = STATE(2502),
    [sym_and] = STATE(2502),
    [sym_cmp] = STATE(2502),
    [sym_in] = STATE(2502),
    [sym_add] = STATE(2502),
    [sym_sub] = STATE(2502),
    [sym_mul] = STATE(2502),
    [sym_div] = STATE(2502),
    [sym_sign] = STATE(2502),
    [sym_call] = STATE(2502),
    [sym_field] = STATE(2502),
    [sym_label] = STATE(2502),
    [sym_content] = STATE(2502),
    [sym_group] = STATE(2502),
    [sym_block] = STATE(2502),
    [sym_branch] = STATE(2502),
    [sym_let] = STATE(2502),
    [sym_set] = STATE(2502),
    [sym_import] = STATE(2502),
    [sym_include] = STATE(2502),
    [sym_for] = STATE(2502),
    [sym_while] = STATE(2502),
    [sym_show] = STATE(2502),
    [sym_return] = STATE(2502),
    [sym_flow] = STATE(2502),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1465),
    [sym_none] = ACTIONS(1465),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [158] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [159] = {
    [sym_raw_blck] = STATE(2497),
    [sym_raw_span] = STATE(2497),
    [sym_math] = STATE(2497),
    [sym__expr] = STATE(2497),
    [sym_ident] = STATE(2497),
    [sym_bool] = STATE(2497),
    [sym_number] = STATE(2497),
    [sym_string] = STATE(2497),
    [sym_tagged] = STATE(2497),
    [sym_context] = STATE(2497),
    [sym_elude] = STATE(2497),
    [sym_assign] = STATE(2497),
    [sym_lambda] = STATE(2497),
    [sym_or] = STATE(2497),
    [sym_not] = STATE(2497),
    [sym_and] = STATE(2497),
    [sym_cmp] = STATE(2497),
    [sym_in] = STATE(2497),
    [sym_add] = STATE(2497),
    [sym_sub] = STATE(2497),
    [sym_mul] = STATE(2497),
    [sym_div] = STATE(2497),
    [sym_sign] = STATE(2497),
    [sym_call] = STATE(2497),
    [sym_field] = STATE(2497),
    [sym_label] = STATE(2497),
    [sym_content] = STATE(2497),
    [sym_group] = STATE(2497),
    [sym_block] = STATE(2497),
    [sym_branch] = STATE(2497),
    [sym_let] = STATE(2497),
    [sym_set] = STATE(2497),
    [sym_import] = STATE(2497),
    [sym_include] = STATE(2497),
    [sym_for] = STATE(2497),
    [sym_while] = STATE(2497),
    [sym_show] = STATE(2497),
    [sym_return] = STATE(2497),
    [sym_flow] = STATE(2497),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1471),
    [sym_none] = ACTIONS(1471),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [160] = {
    [sym_raw_blck] = STATE(2790),
    [sym_raw_span] = STATE(2790),
    [sym_math] = STATE(2790),
    [sym__expr] = STATE(2790),
    [sym_ident] = STATE(2790),
    [sym_bool] = STATE(2790),
    [sym_number] = STATE(2790),
    [sym_string] = STATE(2790),
    [sym_tagged] = STATE(2790),
    [sym_context] = STATE(2790),
    [sym_elude] = STATE(2790),
    [sym_assign] = STATE(2790),
    [sym_lambda] = STATE(2790),
    [sym_or] = STATE(2790),
    [sym_not] = STATE(2790),
    [sym_and] = STATE(2790),
    [sym_cmp] = STATE(2790),
    [sym_in] = STATE(2790),
    [sym_add] = STATE(2790),
    [sym_sub] = STATE(2790),
    [sym_mul] = STATE(2790),
    [sym_div] = STATE(2790),
    [sym_sign] = STATE(2790),
    [sym_call] = STATE(2790),
    [sym_field] = STATE(2790),
    [sym_label] = STATE(2790),
    [sym_content] = STATE(2790),
    [sym_group] = STATE(2790),
    [sym_block] = STATE(2790),
    [sym_branch] = STATE(2790),
    [sym_let] = STATE(2790),
    [sym_set] = STATE(2790),
    [sym_import] = STATE(2790),
    [sym_include] = STATE(2790),
    [sym_for] = STATE(2790),
    [sym_while] = STATE(2790),
    [sym_show] = STATE(2790),
    [sym_return] = STATE(2790),
    [sym_flow] = STATE(2790),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1473),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1475),
    [sym_none] = ACTIONS(1475),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [161] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(148),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [162] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(165),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [163] = {
    [sym_raw_blck] = STATE(2409),
    [sym_raw_span] = STATE(2409),
    [sym_math] = STATE(2409),
    [sym__expr] = STATE(2409),
    [sym_ident] = STATE(2409),
    [sym_bool] = STATE(2409),
    [sym_number] = STATE(2409),
    [sym_string] = STATE(2409),
    [sym_tagged] = STATE(2409),
    [sym_context] = STATE(2409),
    [sym_elude] = STATE(2409),
    [sym_assign] = STATE(2409),
    [sym_lambda] = STATE(2409),
    [sym_or] = STATE(2409),
    [sym_not] = STATE(2409),
    [sym_and] = STATE(2409),
    [sym_cmp] = STATE(2409),
    [sym_in] = STATE(2409),
    [sym_add] = STATE(2409),
    [sym_sub] = STATE(2409),
    [sym_mul] = STATE(2409),
    [sym_div] = STATE(2409),
    [sym_sign] = STATE(2409),
    [sym_call] = STATE(2409),
    [sym_field] = STATE(2409),
    [sym_label] = STATE(2409),
    [sym_content] = STATE(2409),
    [sym_group] = STATE(2409),
    [sym_block] = STATE(2409),
    [sym_branch] = STATE(2409),
    [sym_let] = STATE(2409),
    [sym_set] = STATE(2409),
    [sym_import] = STATE(2409),
    [sym_include] = STATE(2409),
    [sym_for] = STATE(2409),
    [sym_while] = STATE(2409),
    [sym_show] = STATE(2409),
    [sym_return] = STATE(2409),
    [sym_flow] = STATE(2409),
    [aux_sym_group_repeat1] = STATE(166),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1483),
    [sym_none] = ACTIONS(1483),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [164] = {
    [sym_raw_blck] = STATE(2409),
    [sym_raw_span] = STATE(2409),
    [sym_math] = STATE(2409),
    [sym__expr] = STATE(2409),
    [sym_ident] = STATE(2409),
    [sym_bool] = STATE(2409),
    [sym_number] = STATE(2409),
    [sym_string] = STATE(2409),
    [sym_tagged] = STATE(2409),
    [sym_context] = STATE(2409),
    [sym_elude] = STATE(2409),
    [sym_assign] = STATE(2409),
    [sym_lambda] = STATE(2409),
    [sym_or] = STATE(2409),
    [sym_not] = STATE(2409),
    [sym_and] = STATE(2409),
    [sym_cmp] = STATE(2409),
    [sym_in] = STATE(2409),
    [sym_add] = STATE(2409),
    [sym_sub] = STATE(2409),
    [sym_mul] = STATE(2409),
    [sym_div] = STATE(2409),
    [sym_sign] = STATE(2409),
    [sym_call] = STATE(2409),
    [sym_field] = STATE(2409),
    [sym_label] = STATE(2409),
    [sym_content] = STATE(2409),
    [sym_group] = STATE(2409),
    [sym_block] = STATE(2409),
    [sym_branch] = STATE(2409),
    [sym_let] = STATE(2409),
    [sym_set] = STATE(2409),
    [sym_import] = STATE(2409),
    [sym_include] = STATE(2409),
    [sym_for] = STATE(2409),
    [sym_while] = STATE(2409),
    [sym_show] = STATE(2409),
    [sym_return] = STATE(2409),
    [sym_flow] = STATE(2409),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1483),
    [sym_none] = ACTIONS(1483),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [165] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [166] = {
    [sym_raw_blck] = STATE(2417),
    [sym_raw_span] = STATE(2417),
    [sym_math] = STATE(2417),
    [sym__expr] = STATE(2417),
    [sym_ident] = STATE(2417),
    [sym_bool] = STATE(2417),
    [sym_number] = STATE(2417),
    [sym_string] = STATE(2417),
    [sym_tagged] = STATE(2417),
    [sym_context] = STATE(2417),
    [sym_elude] = STATE(2417),
    [sym_assign] = STATE(2417),
    [sym_lambda] = STATE(2417),
    [sym_or] = STATE(2417),
    [sym_not] = STATE(2417),
    [sym_and] = STATE(2417),
    [sym_cmp] = STATE(2417),
    [sym_in] = STATE(2417),
    [sym_add] = STATE(2417),
    [sym_sub] = STATE(2417),
    [sym_mul] = STATE(2417),
    [sym_div] = STATE(2417),
    [sym_sign] = STATE(2417),
    [sym_call] = STATE(2417),
    [sym_field] = STATE(2417),
    [sym_label] = STATE(2417),
    [sym_content] = STATE(2417),
    [sym_group] = STATE(2417),
    [sym_block] = STATE(2417),
    [sym_branch] = STATE(2417),
    [sym_let] = STATE(2417),
    [sym_set] = STATE(2417),
    [sym_import] = STATE(2417),
    [sym_include] = STATE(2417),
    [sym_for] = STATE(2417),
    [sym_while] = STATE(2417),
    [sym_show] = STATE(2417),
    [sym_return] = STATE(2417),
    [sym_flow] = STATE(2417),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1487),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1489),
    [sym_none] = ACTIONS(1489),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [167] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [168] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(171),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [169] = {
    [sym_raw_blck] = STATE(2492),
    [sym_raw_span] = STATE(2492),
    [sym_math] = STATE(2492),
    [sym__expr] = STATE(2492),
    [sym_ident] = STATE(2492),
    [sym_bool] = STATE(2492),
    [sym_number] = STATE(2492),
    [sym_string] = STATE(2492),
    [sym_tagged] = STATE(2492),
    [sym_context] = STATE(2492),
    [sym_elude] = STATE(2492),
    [sym_assign] = STATE(2492),
    [sym_lambda] = STATE(2492),
    [sym_or] = STATE(2492),
    [sym_not] = STATE(2492),
    [sym_and] = STATE(2492),
    [sym_cmp] = STATE(2492),
    [sym_in] = STATE(2492),
    [sym_add] = STATE(2492),
    [sym_sub] = STATE(2492),
    [sym_mul] = STATE(2492),
    [sym_div] = STATE(2492),
    [sym_sign] = STATE(2492),
    [sym_call] = STATE(2492),
    [sym_field] = STATE(2492),
    [sym_label] = STATE(2492),
    [sym_content] = STATE(2492),
    [sym_group] = STATE(2492),
    [sym_block] = STATE(2492),
    [sym_branch] = STATE(2492),
    [sym_let] = STATE(2492),
    [sym_set] = STATE(2492),
    [sym_import] = STATE(2492),
    [sym_include] = STATE(2492),
    [sym_for] = STATE(2492),
    [sym_while] = STATE(2492),
    [sym_show] = STATE(2492),
    [sym_return] = STATE(2492),
    [sym_flow] = STATE(2492),
    [aux_sym_group_repeat1] = STATE(172),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1497),
    [sym_none] = ACTIONS(1497),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [170] = {
    [sym_raw_blck] = STATE(2492),
    [sym_raw_span] = STATE(2492),
    [sym_math] = STATE(2492),
    [sym__expr] = STATE(2492),
    [sym_ident] = STATE(2492),
    [sym_bool] = STATE(2492),
    [sym_number] = STATE(2492),
    [sym_string] = STATE(2492),
    [sym_tagged] = STATE(2492),
    [sym_context] = STATE(2492),
    [sym_elude] = STATE(2492),
    [sym_assign] = STATE(2492),
    [sym_lambda] = STATE(2492),
    [sym_or] = STATE(2492),
    [sym_not] = STATE(2492),
    [sym_and] = STATE(2492),
    [sym_cmp] = STATE(2492),
    [sym_in] = STATE(2492),
    [sym_add] = STATE(2492),
    [sym_sub] = STATE(2492),
    [sym_mul] = STATE(2492),
    [sym_div] = STATE(2492),
    [sym_sign] = STATE(2492),
    [sym_call] = STATE(2492),
    [sym_field] = STATE(2492),
    [sym_label] = STATE(2492),
    [sym_content] = STATE(2492),
    [sym_group] = STATE(2492),
    [sym_block] = STATE(2492),
    [sym_branch] = STATE(2492),
    [sym_let] = STATE(2492),
    [sym_set] = STATE(2492),
    [sym_import] = STATE(2492),
    [sym_include] = STATE(2492),
    [sym_for] = STATE(2492),
    [sym_while] = STATE(2492),
    [sym_show] = STATE(2492),
    [sym_return] = STATE(2492),
    [sym_flow] = STATE(2492),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1497),
    [sym_none] = ACTIONS(1497),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [171] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [172] = {
    [sym_raw_blck] = STATE(2495),
    [sym_raw_span] = STATE(2495),
    [sym_math] = STATE(2495),
    [sym__expr] = STATE(2495),
    [sym_ident] = STATE(2495),
    [sym_bool] = STATE(2495),
    [sym_number] = STATE(2495),
    [sym_string] = STATE(2495),
    [sym_tagged] = STATE(2495),
    [sym_context] = STATE(2495),
    [sym_elude] = STATE(2495),
    [sym_assign] = STATE(2495),
    [sym_lambda] = STATE(2495),
    [sym_or] = STATE(2495),
    [sym_not] = STATE(2495),
    [sym_and] = STATE(2495),
    [sym_cmp] = STATE(2495),
    [sym_in] = STATE(2495),
    [sym_add] = STATE(2495),
    [sym_sub] = STATE(2495),
    [sym_mul] = STATE(2495),
    [sym_div] = STATE(2495),
    [sym_sign] = STATE(2495),
    [sym_call] = STATE(2495),
    [sym_field] = STATE(2495),
    [sym_label] = STATE(2495),
    [sym_content] = STATE(2495),
    [sym_group] = STATE(2495),
    [sym_block] = STATE(2495),
    [sym_branch] = STATE(2495),
    [sym_let] = STATE(2495),
    [sym_set] = STATE(2495),
    [sym_import] = STATE(2495),
    [sym_include] = STATE(2495),
    [sym_for] = STATE(2495),
    [sym_while] = STATE(2495),
    [sym_show] = STATE(2495),
    [sym_return] = STATE(2495),
    [sym_flow] = STATE(2495),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1503),
    [sym_none] = ACTIONS(1503),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [173] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [174] = {
    [sym_raw_blck] = STATE(2789),
    [sym_raw_span] = STATE(2789),
    [sym_math] = STATE(2789),
    [sym__expr] = STATE(2789),
    [sym_ident] = STATE(2789),
    [sym_bool] = STATE(2789),
    [sym_number] = STATE(2789),
    [sym_string] = STATE(2789),
    [sym_tagged] = STATE(2789),
    [sym_context] = STATE(2789),
    [sym_elude] = STATE(2789),
    [sym_assign] = STATE(2789),
    [sym_lambda] = STATE(2789),
    [sym_or] = STATE(2789),
    [sym_not] = STATE(2789),
    [sym_and] = STATE(2789),
    [sym_cmp] = STATE(2789),
    [sym_in] = STATE(2789),
    [sym_add] = STATE(2789),
    [sym_sub] = STATE(2789),
    [sym_mul] = STATE(2789),
    [sym_div] = STATE(2789),
    [sym_sign] = STATE(2789),
    [sym_call] = STATE(2789),
    [sym_field] = STATE(2789),
    [sym_label] = STATE(2789),
    [sym_content] = STATE(2789),
    [sym_group] = STATE(2789),
    [sym_block] = STATE(2789),
    [sym_branch] = STATE(2789),
    [sym_let] = STATE(2789),
    [sym_set] = STATE(2789),
    [sym_import] = STATE(2789),
    [sym_include] = STATE(2789),
    [sym_for] = STATE(2789),
    [sym_while] = STATE(2789),
    [sym_show] = STATE(2789),
    [sym_return] = STATE(2789),
    [sym_flow] = STATE(2789),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1509),
    [sym_none] = ACTIONS(1509),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [175] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(180),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [176] = {
    [sym_raw_blck] = STATE(2513),
    [sym_raw_span] = STATE(2513),
    [sym_math] = STATE(2513),
    [sym__expr] = STATE(2513),
    [sym_ident] = STATE(2513),
    [sym_bool] = STATE(2513),
    [sym_number] = STATE(2513),
    [sym_string] = STATE(2513),
    [sym_tagged] = STATE(2513),
    [sym_context] = STATE(2513),
    [sym_elude] = STATE(2513),
    [sym_assign] = STATE(2513),
    [sym_lambda] = STATE(2513),
    [sym_or] = STATE(2513),
    [sym_not] = STATE(2513),
    [sym_and] = STATE(2513),
    [sym_cmp] = STATE(2513),
    [sym_in] = STATE(2513),
    [sym_add] = STATE(2513),
    [sym_sub] = STATE(2513),
    [sym_mul] = STATE(2513),
    [sym_div] = STATE(2513),
    [sym_sign] = STATE(2513),
    [sym_call] = STATE(2513),
    [sym_field] = STATE(2513),
    [sym_label] = STATE(2513),
    [sym_content] = STATE(2513),
    [sym_group] = STATE(2513),
    [sym_block] = STATE(2513),
    [sym_branch] = STATE(2513),
    [sym_let] = STATE(2513),
    [sym_set] = STATE(2513),
    [sym_import] = STATE(2513),
    [sym_include] = STATE(2513),
    [sym_for] = STATE(2513),
    [sym_while] = STATE(2513),
    [sym_show] = STATE(2513),
    [sym_return] = STATE(2513),
    [sym_flow] = STATE(2513),
    [aux_sym_group_repeat1] = STATE(182),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1515),
    [sym_none] = ACTIONS(1515),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [177] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(173),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [178] = {
    [sym_raw_blck] = STATE(2513),
    [sym_raw_span] = STATE(2513),
    [sym_math] = STATE(2513),
    [sym__expr] = STATE(2513),
    [sym_ident] = STATE(2513),
    [sym_bool] = STATE(2513),
    [sym_number] = STATE(2513),
    [sym_string] = STATE(2513),
    [sym_tagged] = STATE(2513),
    [sym_context] = STATE(2513),
    [sym_elude] = STATE(2513),
    [sym_assign] = STATE(2513),
    [sym_lambda] = STATE(2513),
    [sym_or] = STATE(2513),
    [sym_not] = STATE(2513),
    [sym_and] = STATE(2513),
    [sym_cmp] = STATE(2513),
    [sym_in] = STATE(2513),
    [sym_add] = STATE(2513),
    [sym_sub] = STATE(2513),
    [sym_mul] = STATE(2513),
    [sym_div] = STATE(2513),
    [sym_sign] = STATE(2513),
    [sym_call] = STATE(2513),
    [sym_field] = STATE(2513),
    [sym_label] = STATE(2513),
    [sym_content] = STATE(2513),
    [sym_group] = STATE(2513),
    [sym_block] = STATE(2513),
    [sym_branch] = STATE(2513),
    [sym_let] = STATE(2513),
    [sym_set] = STATE(2513),
    [sym_import] = STATE(2513),
    [sym_include] = STATE(2513),
    [sym_for] = STATE(2513),
    [sym_while] = STATE(2513),
    [sym_show] = STATE(2513),
    [sym_return] = STATE(2513),
    [sym_flow] = STATE(2513),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1515),
    [sym_none] = ACTIONS(1515),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [179] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [180] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [181] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(179),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1523),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [182] = {
    [sym_raw_blck] = STATE(2531),
    [sym_raw_span] = STATE(2531),
    [sym_math] = STATE(2531),
    [sym__expr] = STATE(2531),
    [sym_ident] = STATE(2531),
    [sym_bool] = STATE(2531),
    [sym_number] = STATE(2531),
    [sym_string] = STATE(2531),
    [sym_tagged] = STATE(2531),
    [sym_context] = STATE(2531),
    [sym_elude] = STATE(2531),
    [sym_assign] = STATE(2531),
    [sym_lambda] = STATE(2531),
    [sym_or] = STATE(2531),
    [sym_not] = STATE(2531),
    [sym_and] = STATE(2531),
    [sym_cmp] = STATE(2531),
    [sym_in] = STATE(2531),
    [sym_add] = STATE(2531),
    [sym_sub] = STATE(2531),
    [sym_mul] = STATE(2531),
    [sym_div] = STATE(2531),
    [sym_sign] = STATE(2531),
    [sym_call] = STATE(2531),
    [sym_field] = STATE(2531),
    [sym_label] = STATE(2531),
    [sym_content] = STATE(2531),
    [sym_group] = STATE(2531),
    [sym_block] = STATE(2531),
    [sym_branch] = STATE(2531),
    [sym_let] = STATE(2531),
    [sym_set] = STATE(2531),
    [sym_import] = STATE(2531),
    [sym_include] = STATE(2531),
    [sym_for] = STATE(2531),
    [sym_while] = STATE(2531),
    [sym_show] = STATE(2531),
    [sym_return] = STATE(2531),
    [sym_flow] = STATE(2531),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1527),
    [sym_none] = ACTIONS(1527),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [183] = {
    [sym_raw_blck] = STATE(2789),
    [sym_raw_span] = STATE(2789),
    [sym_math] = STATE(2789),
    [sym__expr] = STATE(2789),
    [sym_ident] = STATE(2789),
    [sym_bool] = STATE(2789),
    [sym_number] = STATE(2789),
    [sym_string] = STATE(2789),
    [sym_tagged] = STATE(2789),
    [sym_context] = STATE(2789),
    [sym_elude] = STATE(2789),
    [sym_assign] = STATE(2789),
    [sym_lambda] = STATE(2789),
    [sym_or] = STATE(2789),
    [sym_not] = STATE(2789),
    [sym_and] = STATE(2789),
    [sym_cmp] = STATE(2789),
    [sym_in] = STATE(2789),
    [sym_add] = STATE(2789),
    [sym_sub] = STATE(2789),
    [sym_mul] = STATE(2789),
    [sym_div] = STATE(2789),
    [sym_sign] = STATE(2789),
    [sym_call] = STATE(2789),
    [sym_field] = STATE(2789),
    [sym_label] = STATE(2789),
    [sym_content] = STATE(2789),
    [sym_group] = STATE(2789),
    [sym_block] = STATE(2789),
    [sym_branch] = STATE(2789),
    [sym_let] = STATE(2789),
    [sym_set] = STATE(2789),
    [sym_import] = STATE(2789),
    [sym_include] = STATE(2789),
    [sym_for] = STATE(2789),
    [sym_while] = STATE(2789),
    [sym_show] = STATE(2789),
    [sym_return] = STATE(2789),
    [sym_flow] = STATE(2789),
    [aux_sym_group_repeat1] = STATE(160),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1509),
    [sym_none] = ACTIONS(1509),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [184] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [185] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(189),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [186] = {
    [sym_raw_blck] = STATE(2566),
    [sym_raw_span] = STATE(2566),
    [sym_math] = STATE(2566),
    [sym__expr] = STATE(2566),
    [sym_ident] = STATE(2566),
    [sym_bool] = STATE(2566),
    [sym_number] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym_tagged] = STATE(2566),
    [sym_context] = STATE(2566),
    [sym_elude] = STATE(2566),
    [sym_assign] = STATE(2566),
    [sym_lambda] = STATE(2566),
    [sym_or] = STATE(2566),
    [sym_not] = STATE(2566),
    [sym_and] = STATE(2566),
    [sym_cmp] = STATE(2566),
    [sym_in] = STATE(2566),
    [sym_add] = STATE(2566),
    [sym_sub] = STATE(2566),
    [sym_mul] = STATE(2566),
    [sym_div] = STATE(2566),
    [sym_sign] = STATE(2566),
    [sym_call] = STATE(2566),
    [sym_field] = STATE(2566),
    [sym_label] = STATE(2566),
    [sym_content] = STATE(2566),
    [sym_group] = STATE(2566),
    [sym_block] = STATE(2566),
    [sym_branch] = STATE(2566),
    [sym_let] = STATE(2566),
    [sym_set] = STATE(2566),
    [sym_import] = STATE(2566),
    [sym_include] = STATE(2566),
    [sym_for] = STATE(2566),
    [sym_while] = STATE(2566),
    [sym_show] = STATE(2566),
    [sym_return] = STATE(2566),
    [sym_flow] = STATE(2566),
    [aux_sym_group_repeat1] = STATE(190),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1535),
    [sym_none] = ACTIONS(1535),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [187] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(184),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [188] = {
    [sym_raw_blck] = STATE(2566),
    [sym_raw_span] = STATE(2566),
    [sym_math] = STATE(2566),
    [sym__expr] = STATE(2566),
    [sym_ident] = STATE(2566),
    [sym_bool] = STATE(2566),
    [sym_number] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym_tagged] = STATE(2566),
    [sym_context] = STATE(2566),
    [sym_elude] = STATE(2566),
    [sym_assign] = STATE(2566),
    [sym_lambda] = STATE(2566),
    [sym_or] = STATE(2566),
    [sym_not] = STATE(2566),
    [sym_and] = STATE(2566),
    [sym_cmp] = STATE(2566),
    [sym_in] = STATE(2566),
    [sym_add] = STATE(2566),
    [sym_sub] = STATE(2566),
    [sym_mul] = STATE(2566),
    [sym_div] = STATE(2566),
    [sym_sign] = STATE(2566),
    [sym_call] = STATE(2566),
    [sym_field] = STATE(2566),
    [sym_label] = STATE(2566),
    [sym_content] = STATE(2566),
    [sym_group] = STATE(2566),
    [sym_block] = STATE(2566),
    [sym_branch] = STATE(2566),
    [sym_let] = STATE(2566),
    [sym_set] = STATE(2566),
    [sym_import] = STATE(2566),
    [sym_include] = STATE(2566),
    [sym_for] = STATE(2566),
    [sym_while] = STATE(2566),
    [sym_show] = STATE(2566),
    [sym_return] = STATE(2566),
    [sym_flow] = STATE(2566),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1535),
    [sym_none] = ACTIONS(1535),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [189] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [190] = {
    [sym_raw_blck] = STATE(2567),
    [sym_raw_span] = STATE(2567),
    [sym_math] = STATE(2567),
    [sym__expr] = STATE(2567),
    [sym_ident] = STATE(2567),
    [sym_bool] = STATE(2567),
    [sym_number] = STATE(2567),
    [sym_string] = STATE(2567),
    [sym_tagged] = STATE(2567),
    [sym_context] = STATE(2567),
    [sym_elude] = STATE(2567),
    [sym_assign] = STATE(2567),
    [sym_lambda] = STATE(2567),
    [sym_or] = STATE(2567),
    [sym_not] = STATE(2567),
    [sym_and] = STATE(2567),
    [sym_cmp] = STATE(2567),
    [sym_in] = STATE(2567),
    [sym_add] = STATE(2567),
    [sym_sub] = STATE(2567),
    [sym_mul] = STATE(2567),
    [sym_div] = STATE(2567),
    [sym_sign] = STATE(2567),
    [sym_call] = STATE(2567),
    [sym_field] = STATE(2567),
    [sym_label] = STATE(2567),
    [sym_content] = STATE(2567),
    [sym_group] = STATE(2567),
    [sym_block] = STATE(2567),
    [sym_branch] = STATE(2567),
    [sym_let] = STATE(2567),
    [sym_set] = STATE(2567),
    [sym_import] = STATE(2567),
    [sym_include] = STATE(2567),
    [sym_for] = STATE(2567),
    [sym_while] = STATE(2567),
    [sym_show] = STATE(2567),
    [sym_return] = STATE(2567),
    [sym_flow] = STATE(2567),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1543),
    [sym_none] = ACTIONS(1543),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [191] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [192] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(167),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [193] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(191),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [194] = {
    [sym_raw_blck] = STATE(2756),
    [sym_raw_span] = STATE(2756),
    [sym_math] = STATE(2756),
    [sym__expr] = STATE(2756),
    [sym_ident] = STATE(2756),
    [sym_bool] = STATE(2756),
    [sym_number] = STATE(2756),
    [sym_string] = STATE(2756),
    [sym_tagged] = STATE(2756),
    [sym_context] = STATE(2756),
    [sym_elude] = STATE(2756),
    [sym_assign] = STATE(2756),
    [sym_lambda] = STATE(2756),
    [sym_or] = STATE(2756),
    [sym_not] = STATE(2756),
    [sym_and] = STATE(2756),
    [sym_cmp] = STATE(2756),
    [sym_in] = STATE(2756),
    [sym_add] = STATE(2756),
    [sym_sub] = STATE(2756),
    [sym_mul] = STATE(2756),
    [sym_div] = STATE(2756),
    [sym_sign] = STATE(2756),
    [sym_call] = STATE(2756),
    [sym_field] = STATE(2756),
    [sym_label] = STATE(2756),
    [sym_content] = STATE(2756),
    [sym_group] = STATE(2756),
    [sym_block] = STATE(2756),
    [sym_branch] = STATE(2756),
    [sym_let] = STATE(2756),
    [sym_set] = STATE(2756),
    [sym_import] = STATE(2756),
    [sym_include] = STATE(2756),
    [sym_for] = STATE(2756),
    [sym_while] = STATE(2756),
    [sym_show] = STATE(2756),
    [sym_return] = STATE(2756),
    [sym_flow] = STATE(2756),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1553),
    [sym_none] = ACTIONS(1553),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [195] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(203),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [196] = {
    [sym_raw_blck] = STATE(2604),
    [sym_raw_span] = STATE(2604),
    [sym_math] = STATE(2604),
    [sym__expr] = STATE(2604),
    [sym_ident] = STATE(2604),
    [sym_bool] = STATE(2604),
    [sym_number] = STATE(2604),
    [sym_string] = STATE(2604),
    [sym_tagged] = STATE(2604),
    [sym_context] = STATE(2604),
    [sym_elude] = STATE(2604),
    [sym_assign] = STATE(2604),
    [sym_lambda] = STATE(2604),
    [sym_or] = STATE(2604),
    [sym_not] = STATE(2604),
    [sym_and] = STATE(2604),
    [sym_cmp] = STATE(2604),
    [sym_in] = STATE(2604),
    [sym_add] = STATE(2604),
    [sym_sub] = STATE(2604),
    [sym_mul] = STATE(2604),
    [sym_div] = STATE(2604),
    [sym_sign] = STATE(2604),
    [sym_call] = STATE(2604),
    [sym_field] = STATE(2604),
    [sym_label] = STATE(2604),
    [sym_content] = STATE(2604),
    [sym_group] = STATE(2604),
    [sym_block] = STATE(2604),
    [sym_branch] = STATE(2604),
    [sym_let] = STATE(2604),
    [sym_set] = STATE(2604),
    [sym_import] = STATE(2604),
    [sym_include] = STATE(2604),
    [sym_for] = STATE(2604),
    [sym_while] = STATE(2604),
    [sym_show] = STATE(2604),
    [sym_return] = STATE(2604),
    [sym_flow] = STATE(2604),
    [aux_sym_group_repeat1] = STATE(204),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1559),
    [sym_none] = ACTIONS(1559),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [197] = {
    [sym_raw_blck] = STATE(2804),
    [sym_raw_span] = STATE(2804),
    [sym_math] = STATE(2804),
    [sym__expr] = STATE(2804),
    [sym_ident] = STATE(2804),
    [sym_bool] = STATE(2804),
    [sym_number] = STATE(2804),
    [sym_string] = STATE(2804),
    [sym_tagged] = STATE(2804),
    [sym_context] = STATE(2804),
    [sym_elude] = STATE(2804),
    [sym_assign] = STATE(2804),
    [sym_lambda] = STATE(2804),
    [sym_or] = STATE(2804),
    [sym_not] = STATE(2804),
    [sym_and] = STATE(2804),
    [sym_cmp] = STATE(2804),
    [sym_in] = STATE(2804),
    [sym_add] = STATE(2804),
    [sym_sub] = STATE(2804),
    [sym_mul] = STATE(2804),
    [sym_div] = STATE(2804),
    [sym_sign] = STATE(2804),
    [sym_call] = STATE(2804),
    [sym_field] = STATE(2804),
    [sym_label] = STATE(2804),
    [sym_content] = STATE(2804),
    [sym_group] = STATE(2804),
    [sym_block] = STATE(2804),
    [sym_branch] = STATE(2804),
    [sym_let] = STATE(2804),
    [sym_set] = STATE(2804),
    [sym_import] = STATE(2804),
    [sym_include] = STATE(2804),
    [sym_for] = STATE(2804),
    [sym_while] = STATE(2804),
    [sym_show] = STATE(2804),
    [sym_return] = STATE(2804),
    [sym_flow] = STATE(2804),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(1561),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1564),
    [anon_sym_BQUOTE] = ACTIONS(1567),
    [anon_sym_DOLLAR] = ACTIONS(1570),
    [anon_sym_true] = ACTIONS(1573),
    [anon_sym_false] = ACTIONS(1573),
    [aux_sym_number_token1] = ACTIONS(1576),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [anon_sym_context] = ACTIONS(1582),
    [anon_sym_DOT_DOT] = ACTIONS(1585),
    [anon_sym_not] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1594),
    [anon_sym_DASH] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [anon_sym_RPAREN] = ACTIONS(1600),
    [anon_sym_LBRACE] = ACTIONS(1602),
    [anon_sym_if] = ACTIONS(1605),
    [anon_sym_let] = ACTIONS(1608),
    [anon_sym_set] = ACTIONS(1611),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_include] = ACTIONS(1617),
    [anon_sym_for] = ACTIONS(1620),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_show] = ACTIONS(1626),
    [anon_sym_return] = ACTIONS(1629),
    [anon_sym_break] = ACTIONS(1632),
    [anon_sym_continue] = ACTIONS(1632),
    [sym_auto] = ACTIONS(1635),
    [sym_none] = ACTIONS(1635),
    [sym__token_content] = ACTIONS(1638),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [198] = {
    [sym_raw_blck] = STATE(2604),
    [sym_raw_span] = STATE(2604),
    [sym_math] = STATE(2604),
    [sym__expr] = STATE(2604),
    [sym_ident] = STATE(2604),
    [sym_bool] = STATE(2604),
    [sym_number] = STATE(2604),
    [sym_string] = STATE(2604),
    [sym_tagged] = STATE(2604),
    [sym_context] = STATE(2604),
    [sym_elude] = STATE(2604),
    [sym_assign] = STATE(2604),
    [sym_lambda] = STATE(2604),
    [sym_or] = STATE(2604),
    [sym_not] = STATE(2604),
    [sym_and] = STATE(2604),
    [sym_cmp] = STATE(2604),
    [sym_in] = STATE(2604),
    [sym_add] = STATE(2604),
    [sym_sub] = STATE(2604),
    [sym_mul] = STATE(2604),
    [sym_div] = STATE(2604),
    [sym_sign] = STATE(2604),
    [sym_call] = STATE(2604),
    [sym_field] = STATE(2604),
    [sym_label] = STATE(2604),
    [sym_content] = STATE(2604),
    [sym_group] = STATE(2604),
    [sym_block] = STATE(2604),
    [sym_branch] = STATE(2604),
    [sym_let] = STATE(2604),
    [sym_set] = STATE(2604),
    [sym_import] = STATE(2604),
    [sym_include] = STATE(2604),
    [sym_for] = STATE(2604),
    [sym_while] = STATE(2604),
    [sym_show] = STATE(2604),
    [sym_return] = STATE(2604),
    [sym_flow] = STATE(2604),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1559),
    [sym_none] = ACTIONS(1559),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [199] = {
    [sym_raw_blck] = STATE(2725),
    [sym_raw_span] = STATE(2725),
    [sym_math] = STATE(2725),
    [sym__expr] = STATE(2725),
    [sym_ident] = STATE(2725),
    [sym_bool] = STATE(2725),
    [sym_number] = STATE(2725),
    [sym_string] = STATE(2725),
    [sym_tagged] = STATE(2725),
    [sym_context] = STATE(2725),
    [sym_elude] = STATE(2725),
    [sym_assign] = STATE(2725),
    [sym_lambda] = STATE(2725),
    [sym_or] = STATE(2725),
    [sym_not] = STATE(2725),
    [sym_and] = STATE(2725),
    [sym_cmp] = STATE(2725),
    [sym_in] = STATE(2725),
    [sym_add] = STATE(2725),
    [sym_sub] = STATE(2725),
    [sym_mul] = STATE(2725),
    [sym_div] = STATE(2725),
    [sym_sign] = STATE(2725),
    [sym_call] = STATE(2725),
    [sym_field] = STATE(2725),
    [sym_label] = STATE(2725),
    [sym_content] = STATE(2725),
    [sym_group] = STATE(2725),
    [sym_block] = STATE(2725),
    [sym_branch] = STATE(2725),
    [sym_let] = STATE(2725),
    [sym_set] = STATE(2725),
    [sym_import] = STATE(2725),
    [sym_include] = STATE(2725),
    [sym_for] = STATE(2725),
    [sym_while] = STATE(2725),
    [sym_show] = STATE(2725),
    [sym_return] = STATE(2725),
    [sym_flow] = STATE(2725),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1643),
    [sym_none] = ACTIONS(1643),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [200] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1645),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [201] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(1647),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1650),
    [anon_sym_BQUOTE] = ACTIONS(1653),
    [anon_sym_DOLLAR] = ACTIONS(1656),
    [anon_sym_true] = ACTIONS(1659),
    [anon_sym_false] = ACTIONS(1659),
    [aux_sym_number_token1] = ACTIONS(1662),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [anon_sym_context] = ACTIONS(1668),
    [anon_sym_DOT_DOT] = ACTIONS(1671),
    [anon_sym_not] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1677),
    [anon_sym_PLUS] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1680),
    [anon_sym_LPAREN] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_if] = ACTIONS(1691),
    [anon_sym_let] = ACTIONS(1694),
    [anon_sym_set] = ACTIONS(1697),
    [anon_sym_import] = ACTIONS(1700),
    [anon_sym_include] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_show] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1718),
    [anon_sym_continue] = ACTIONS(1718),
    [sym_auto] = ACTIONS(1721),
    [sym_none] = ACTIONS(1721),
    [sym__token_content] = ACTIONS(1724),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [202] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1727),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [203] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1729),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [204] = {
    [sym_raw_blck] = STATE(2611),
    [sym_raw_span] = STATE(2611),
    [sym_math] = STATE(2611),
    [sym__expr] = STATE(2611),
    [sym_ident] = STATE(2611),
    [sym_bool] = STATE(2611),
    [sym_number] = STATE(2611),
    [sym_string] = STATE(2611),
    [sym_tagged] = STATE(2611),
    [sym_context] = STATE(2611),
    [sym_elude] = STATE(2611),
    [sym_assign] = STATE(2611),
    [sym_lambda] = STATE(2611),
    [sym_or] = STATE(2611),
    [sym_not] = STATE(2611),
    [sym_and] = STATE(2611),
    [sym_cmp] = STATE(2611),
    [sym_in] = STATE(2611),
    [sym_add] = STATE(2611),
    [sym_sub] = STATE(2611),
    [sym_mul] = STATE(2611),
    [sym_div] = STATE(2611),
    [sym_sign] = STATE(2611),
    [sym_call] = STATE(2611),
    [sym_field] = STATE(2611),
    [sym_label] = STATE(2611),
    [sym_content] = STATE(2611),
    [sym_group] = STATE(2611),
    [sym_block] = STATE(2611),
    [sym_branch] = STATE(2611),
    [sym_let] = STATE(2611),
    [sym_set] = STATE(2611),
    [sym_import] = STATE(2611),
    [sym_include] = STATE(2611),
    [sym_for] = STATE(2611),
    [sym_while] = STATE(2611),
    [sym_show] = STATE(2611),
    [sym_return] = STATE(2611),
    [sym_flow] = STATE(2611),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1731),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1733),
    [sym_none] = ACTIONS(1733),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [205] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(200),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [206] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(218),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1737),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [207] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(211),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [208] = {
    [sym_raw_blck] = STATE(2652),
    [sym_raw_span] = STATE(2652),
    [sym_math] = STATE(2652),
    [sym__expr] = STATE(2652),
    [sym_ident] = STATE(2652),
    [sym_bool] = STATE(2652),
    [sym_number] = STATE(2652),
    [sym_string] = STATE(2652),
    [sym_tagged] = STATE(2652),
    [sym_context] = STATE(2652),
    [sym_elude] = STATE(2652),
    [sym_assign] = STATE(2652),
    [sym_lambda] = STATE(2652),
    [sym_or] = STATE(2652),
    [sym_not] = STATE(2652),
    [sym_and] = STATE(2652),
    [sym_cmp] = STATE(2652),
    [sym_in] = STATE(2652),
    [sym_add] = STATE(2652),
    [sym_sub] = STATE(2652),
    [sym_mul] = STATE(2652),
    [sym_div] = STATE(2652),
    [sym_sign] = STATE(2652),
    [sym_call] = STATE(2652),
    [sym_field] = STATE(2652),
    [sym_label] = STATE(2652),
    [sym_content] = STATE(2652),
    [sym_group] = STATE(2652),
    [sym_block] = STATE(2652),
    [sym_branch] = STATE(2652),
    [sym_let] = STATE(2652),
    [sym_set] = STATE(2652),
    [sym_import] = STATE(2652),
    [sym_include] = STATE(2652),
    [sym_for] = STATE(2652),
    [sym_while] = STATE(2652),
    [sym_show] = STATE(2652),
    [sym_return] = STATE(2652),
    [sym_flow] = STATE(2652),
    [aux_sym_group_repeat1] = STATE(212),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1743),
    [sym_none] = ACTIONS(1743),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [209] = {
    [sym_raw_blck] = STATE(2652),
    [sym_raw_span] = STATE(2652),
    [sym_math] = STATE(2652),
    [sym__expr] = STATE(2652),
    [sym_ident] = STATE(2652),
    [sym_bool] = STATE(2652),
    [sym_number] = STATE(2652),
    [sym_string] = STATE(2652),
    [sym_tagged] = STATE(2652),
    [sym_context] = STATE(2652),
    [sym_elude] = STATE(2652),
    [sym_assign] = STATE(2652),
    [sym_lambda] = STATE(2652),
    [sym_or] = STATE(2652),
    [sym_not] = STATE(2652),
    [sym_and] = STATE(2652),
    [sym_cmp] = STATE(2652),
    [sym_in] = STATE(2652),
    [sym_add] = STATE(2652),
    [sym_sub] = STATE(2652),
    [sym_mul] = STATE(2652),
    [sym_div] = STATE(2652),
    [sym_sign] = STATE(2652),
    [sym_call] = STATE(2652),
    [sym_field] = STATE(2652),
    [sym_label] = STATE(2652),
    [sym_content] = STATE(2652),
    [sym_group] = STATE(2652),
    [sym_block] = STATE(2652),
    [sym_branch] = STATE(2652),
    [sym_let] = STATE(2652),
    [sym_set] = STATE(2652),
    [sym_import] = STATE(2652),
    [sym_include] = STATE(2652),
    [sym_for] = STATE(2652),
    [sym_while] = STATE(2652),
    [sym_show] = STATE(2652),
    [sym_return] = STATE(2652),
    [sym_flow] = STATE(2652),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1743),
    [sym_none] = ACTIONS(1743),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [210] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [211] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [212] = {
    [sym_raw_blck] = STATE(2657),
    [sym_raw_span] = STATE(2657),
    [sym_math] = STATE(2657),
    [sym__expr] = STATE(2657),
    [sym_ident] = STATE(2657),
    [sym_bool] = STATE(2657),
    [sym_number] = STATE(2657),
    [sym_string] = STATE(2657),
    [sym_tagged] = STATE(2657),
    [sym_context] = STATE(2657),
    [sym_elude] = STATE(2657),
    [sym_assign] = STATE(2657),
    [sym_lambda] = STATE(2657),
    [sym_or] = STATE(2657),
    [sym_not] = STATE(2657),
    [sym_and] = STATE(2657),
    [sym_cmp] = STATE(2657),
    [sym_in] = STATE(2657),
    [sym_add] = STATE(2657),
    [sym_sub] = STATE(2657),
    [sym_mul] = STATE(2657),
    [sym_div] = STATE(2657),
    [sym_sign] = STATE(2657),
    [sym_call] = STATE(2657),
    [sym_field] = STATE(2657),
    [sym_label] = STATE(2657),
    [sym_content] = STATE(2657),
    [sym_group] = STATE(2657),
    [sym_block] = STATE(2657),
    [sym_branch] = STATE(2657),
    [sym_let] = STATE(2657),
    [sym_set] = STATE(2657),
    [sym_import] = STATE(2657),
    [sym_include] = STATE(2657),
    [sym_for] = STATE(2657),
    [sym_while] = STATE(2657),
    [sym_show] = STATE(2657),
    [sym_return] = STATE(2657),
    [sym_flow] = STATE(2657),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1749),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1751),
    [sym_none] = ACTIONS(1751),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [213] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(210),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [214] = {
    [sym_raw_blck] = STATE(2720),
    [sym_raw_span] = STATE(2720),
    [sym_math] = STATE(2720),
    [sym__expr] = STATE(2720),
    [sym_ident] = STATE(2720),
    [sym_bool] = STATE(2720),
    [sym_number] = STATE(2720),
    [sym_string] = STATE(2720),
    [sym_tagged] = STATE(2720),
    [sym_context] = STATE(2720),
    [sym_elude] = STATE(2720),
    [sym_assign] = STATE(2720),
    [sym_lambda] = STATE(2720),
    [sym_or] = STATE(2720),
    [sym_not] = STATE(2720),
    [sym_and] = STATE(2720),
    [sym_cmp] = STATE(2720),
    [sym_in] = STATE(2720),
    [sym_add] = STATE(2720),
    [sym_sub] = STATE(2720),
    [sym_mul] = STATE(2720),
    [sym_div] = STATE(2720),
    [sym_sign] = STATE(2720),
    [sym_call] = STATE(2720),
    [sym_field] = STATE(2720),
    [sym_label] = STATE(2720),
    [sym_content] = STATE(2720),
    [sym_group] = STATE(2720),
    [sym_block] = STATE(2720),
    [sym_branch] = STATE(2720),
    [sym_let] = STATE(2720),
    [sym_set] = STATE(2720),
    [sym_import] = STATE(2720),
    [sym_include] = STATE(2720),
    [sym_for] = STATE(2720),
    [sym_while] = STATE(2720),
    [sym_show] = STATE(2720),
    [sym_return] = STATE(2720),
    [sym_flow] = STATE(2720),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1757),
    [sym_none] = ACTIONS(1757),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [215] = {
    [sym_raw_blck] = STATE(2704),
    [sym_raw_span] = STATE(2704),
    [sym_math] = STATE(2704),
    [sym__expr] = STATE(2704),
    [sym_ident] = STATE(2704),
    [sym_bool] = STATE(2704),
    [sym_number] = STATE(2704),
    [sym_string] = STATE(2704),
    [sym_tagged] = STATE(2704),
    [sym_context] = STATE(2704),
    [sym_elude] = STATE(2704),
    [sym_assign] = STATE(2704),
    [sym_lambda] = STATE(2704),
    [sym_or] = STATE(2704),
    [sym_not] = STATE(2704),
    [sym_and] = STATE(2704),
    [sym_cmp] = STATE(2704),
    [sym_in] = STATE(2704),
    [sym_add] = STATE(2704),
    [sym_sub] = STATE(2704),
    [sym_mul] = STATE(2704),
    [sym_div] = STATE(2704),
    [sym_sign] = STATE(2704),
    [sym_call] = STATE(2704),
    [sym_field] = STATE(2704),
    [sym_label] = STATE(2704),
    [sym_content] = STATE(2704),
    [sym_group] = STATE(2704),
    [sym_block] = STATE(2704),
    [sym_branch] = STATE(2704),
    [sym_let] = STATE(2704),
    [sym_set] = STATE(2704),
    [sym_import] = STATE(2704),
    [sym_include] = STATE(2704),
    [sym_for] = STATE(2704),
    [sym_while] = STATE(2704),
    [sym_show] = STATE(2704),
    [sym_return] = STATE(2704),
    [sym_flow] = STATE(2704),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1761),
    [sym_none] = ACTIONS(1761),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [216] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(202),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [217] = {
    [sym_raw_blck] = STATE(2720),
    [sym_raw_span] = STATE(2720),
    [sym_math] = STATE(2720),
    [sym__expr] = STATE(2720),
    [sym_ident] = STATE(2720),
    [sym_bool] = STATE(2720),
    [sym_number] = STATE(2720),
    [sym_string] = STATE(2720),
    [sym_tagged] = STATE(2720),
    [sym_context] = STATE(2720),
    [sym_elude] = STATE(2720),
    [sym_assign] = STATE(2720),
    [sym_lambda] = STATE(2720),
    [sym_or] = STATE(2720),
    [sym_not] = STATE(2720),
    [sym_and] = STATE(2720),
    [sym_cmp] = STATE(2720),
    [sym_in] = STATE(2720),
    [sym_add] = STATE(2720),
    [sym_sub] = STATE(2720),
    [sym_mul] = STATE(2720),
    [sym_div] = STATE(2720),
    [sym_sign] = STATE(2720),
    [sym_call] = STATE(2720),
    [sym_field] = STATE(2720),
    [sym_label] = STATE(2720),
    [sym_content] = STATE(2720),
    [sym_group] = STATE(2720),
    [sym_block] = STATE(2720),
    [sym_branch] = STATE(2720),
    [sym_let] = STATE(2720),
    [sym_set] = STATE(2720),
    [sym_import] = STATE(2720),
    [sym_include] = STATE(2720),
    [sym_for] = STATE(2720),
    [sym_while] = STATE(2720),
    [sym_show] = STATE(2720),
    [sym_return] = STATE(2720),
    [sym_flow] = STATE(2720),
    [aux_sym_group_repeat1] = STATE(199),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1757),
    [sym_none] = ACTIONS(1757),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [218] = {
    [sym_raw_blck] = STATE(2868),
    [sym_raw_span] = STATE(2868),
    [sym_math] = STATE(2868),
    [sym__expr] = STATE(2868),
    [sym_ident] = STATE(2868),
    [sym_bool] = STATE(2868),
    [sym_number] = STATE(2868),
    [sym_string] = STATE(2868),
    [sym_tagged] = STATE(2868),
    [sym_context] = STATE(2868),
    [sym_elude] = STATE(2868),
    [sym_assign] = STATE(2868),
    [sym_lambda] = STATE(2868),
    [sym_or] = STATE(2868),
    [sym_not] = STATE(2868),
    [sym_and] = STATE(2868),
    [sym_cmp] = STATE(2868),
    [sym_in] = STATE(2868),
    [sym_add] = STATE(2868),
    [sym_sub] = STATE(2868),
    [sym_mul] = STATE(2868),
    [sym_div] = STATE(2868),
    [sym_sign] = STATE(2868),
    [sym_call] = STATE(2868),
    [sym_field] = STATE(2868),
    [sym_label] = STATE(2868),
    [sym_content] = STATE(2868),
    [sym_group] = STATE(2868),
    [sym_block] = STATE(2868),
    [sym_branch] = STATE(2868),
    [sym_let] = STATE(2868),
    [sym_set] = STATE(2868),
    [sym_import] = STATE(2868),
    [sym_include] = STATE(2868),
    [sym_for] = STATE(2868),
    [sym_while] = STATE(2868),
    [sym_show] = STATE(2868),
    [sym_return] = STATE(2868),
    [sym_flow] = STATE(2868),
    [aux_sym_block_repeat1] = STATE(201),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_RBRACE] = ACTIONS(1765),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(1279),
    [sym_none] = ACTIONS(1279),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [219] = {
    [sym_raw_blck] = STATE(2711),
    [sym_raw_span] = STATE(2711),
    [sym_math] = STATE(2711),
    [sym__expr] = STATE(2711),
    [sym_ident] = STATE(2711),
    [sym_bool] = STATE(2711),
    [sym_number] = STATE(2711),
    [sym_string] = STATE(2711),
    [sym_tagged] = STATE(2711),
    [sym_context] = STATE(2711),
    [sym_elude] = STATE(2711),
    [sym_assign] = STATE(2711),
    [sym_lambda] = STATE(2711),
    [sym_or] = STATE(2711),
    [sym_not] = STATE(2711),
    [sym_and] = STATE(2711),
    [sym_cmp] = STATE(2711),
    [sym_in] = STATE(2711),
    [sym_add] = STATE(2711),
    [sym_sub] = STATE(2711),
    [sym_mul] = STATE(2711),
    [sym_div] = STATE(2711),
    [sym_sign] = STATE(2711),
    [sym_call] = STATE(2711),
    [sym_field] = STATE(2711),
    [sym_label] = STATE(2711),
    [sym_content] = STATE(2711),
    [sym_group] = STATE(2711),
    [sym_block] = STATE(2711),
    [sym_branch] = STATE(2711),
    [sym_let] = STATE(2711),
    [sym_set] = STATE(2711),
    [sym_import] = STATE(2711),
    [sym_include] = STATE(2711),
    [sym_for] = STATE(2711),
    [sym_while] = STATE(2711),
    [sym_show] = STATE(2711),
    [sym_return] = STATE(2711),
    [sym_flow] = STATE(2711),
    [aux_sym_group_repeat1] = STATE(197),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1769),
    [sym_none] = ACTIONS(1769),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [220] = {
    [sym_raw_blck] = STATE(2711),
    [sym_raw_span] = STATE(2711),
    [sym_math] = STATE(2711),
    [sym__expr] = STATE(2711),
    [sym_ident] = STATE(2711),
    [sym_bool] = STATE(2711),
    [sym_number] = STATE(2711),
    [sym_string] = STATE(2711),
    [sym_tagged] = STATE(2711),
    [sym_context] = STATE(2711),
    [sym_elude] = STATE(2711),
    [sym_assign] = STATE(2711),
    [sym_lambda] = STATE(2711),
    [sym_or] = STATE(2711),
    [sym_not] = STATE(2711),
    [sym_and] = STATE(2711),
    [sym_cmp] = STATE(2711),
    [sym_in] = STATE(2711),
    [sym_add] = STATE(2711),
    [sym_sub] = STATE(2711),
    [sym_mul] = STATE(2711),
    [sym_div] = STATE(2711),
    [sym_sign] = STATE(2711),
    [sym_call] = STATE(2711),
    [sym_field] = STATE(2711),
    [sym_label] = STATE(2711),
    [sym_content] = STATE(2711),
    [sym_group] = STATE(2711),
    [sym_block] = STATE(2711),
    [sym_branch] = STATE(2711),
    [sym_let] = STATE(2711),
    [sym_set] = STATE(2711),
    [sym_import] = STATE(2711),
    [sym_include] = STATE(2711),
    [sym_for] = STATE(2711),
    [sym_while] = STATE(2711),
    [sym_show] = STATE(2711),
    [sym_return] = STATE(2711),
    [sym_flow] = STATE(2711),
    [aux_sym_group_repeat1] = STATE(215),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_RPAREN] = ACTIONS(1767),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1769),
    [sym_none] = ACTIONS(1769),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [221] = {
    [sym_raw_blck] = STATE(2968),
    [sym_raw_span] = STATE(2968),
    [sym_math] = STATE(2968),
    [sym__expr] = STATE(2968),
    [sym_ident] = STATE(2968),
    [sym_bool] = STATE(2968),
    [sym_number] = STATE(2968),
    [sym_string] = STATE(2968),
    [sym_tagged] = STATE(2968),
    [sym_context] = STATE(2968),
    [sym_elude] = STATE(2968),
    [sym_assign] = STATE(2968),
    [sym_lambda] = STATE(2968),
    [sym_or] = STATE(2968),
    [sym_not] = STATE(2968),
    [sym_and] = STATE(2968),
    [sym_cmp] = STATE(2968),
    [sym_in] = STATE(2968),
    [sym_add] = STATE(2968),
    [sym_sub] = STATE(2968),
    [sym_mul] = STATE(2968),
    [sym_div] = STATE(2968),
    [sym_sign] = STATE(2968),
    [sym_call] = STATE(2968),
    [sym_field] = STATE(2968),
    [sym_label] = STATE(2968),
    [sym_content] = STATE(2968),
    [sym_group] = STATE(2968),
    [sym_block] = STATE(2968),
    [sym_branch] = STATE(2968),
    [sym_let] = STATE(2968),
    [sym_set] = STATE(2968),
    [sym_import] = STATE(2968),
    [sym_include] = STATE(2968),
    [sym_for] = STATE(2968),
    [sym_while] = STATE(2968),
    [sym_show] = STATE(2968),
    [sym_return] = STATE(2968),
    [sym_flow] = STATE(2968),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1775),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1777),
    [sym_none] = ACTIONS(1777),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [222] = {
    [sym_raw_blck] = STATE(2969),
    [sym_raw_span] = STATE(2969),
    [sym_math] = STATE(2969),
    [sym__expr] = STATE(2969),
    [sym_ident] = STATE(2969),
    [sym_bool] = STATE(2969),
    [sym_number] = STATE(2969),
    [sym_string] = STATE(2969),
    [sym_tagged] = STATE(2969),
    [sym_context] = STATE(2969),
    [sym_elude] = STATE(2969),
    [sym_assign] = STATE(2969),
    [sym_lambda] = STATE(2969),
    [sym_or] = STATE(2969),
    [sym_not] = STATE(2969),
    [sym_and] = STATE(2969),
    [sym_cmp] = STATE(2969),
    [sym_in] = STATE(2969),
    [sym_add] = STATE(2969),
    [sym_sub] = STATE(2969),
    [sym_mul] = STATE(2969),
    [sym_div] = STATE(2969),
    [sym_sign] = STATE(2969),
    [sym_call] = STATE(2969),
    [sym_field] = STATE(2969),
    [sym_label] = STATE(2969),
    [sym_content] = STATE(2969),
    [sym_group] = STATE(2969),
    [sym_block] = STATE(2969),
    [sym_branch] = STATE(2969),
    [sym_let] = STATE(2969),
    [sym_set] = STATE(2969),
    [sym_import] = STATE(2969),
    [sym_include] = STATE(2969),
    [sym_for] = STATE(2969),
    [sym_while] = STATE(2969),
    [sym_show] = STATE(2969),
    [sym_return] = STATE(2969),
    [sym_flow] = STATE(2969),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1779),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1781),
    [sym_none] = ACTIONS(1781),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [223] = {
    [sym_raw_blck] = STATE(2840),
    [sym_raw_span] = STATE(2840),
    [sym_math] = STATE(2840),
    [sym__expr] = STATE(2840),
    [sym_ident] = STATE(2840),
    [sym_bool] = STATE(2840),
    [sym_number] = STATE(2840),
    [sym_string] = STATE(2840),
    [sym_tagged] = STATE(2840),
    [sym_context] = STATE(2840),
    [sym_elude] = STATE(2840),
    [sym_assign] = STATE(2840),
    [sym_lambda] = STATE(2840),
    [sym_or] = STATE(2840),
    [sym_not] = STATE(2840),
    [sym_and] = STATE(2840),
    [sym_cmp] = STATE(2840),
    [sym_in] = STATE(2840),
    [sym_add] = STATE(2840),
    [sym_sub] = STATE(2840),
    [sym_mul] = STATE(2840),
    [sym_div] = STATE(2840),
    [sym_sign] = STATE(2840),
    [sym_call] = STATE(2840),
    [sym_field] = STATE(2840),
    [sym_label] = STATE(2840),
    [sym_content] = STATE(2840),
    [sym_group] = STATE(2840),
    [sym_block] = STATE(2840),
    [sym_branch] = STATE(2840),
    [sym_let] = STATE(2840),
    [sym_set] = STATE(2840),
    [sym_import] = STATE(2840),
    [sym_include] = STATE(2840),
    [sym_for] = STATE(2840),
    [sym_while] = STATE(2840),
    [sym_show] = STATE(2840),
    [sym_return] = STATE(2840),
    [sym_flow] = STATE(2840),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1783),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1785),
    [sym_none] = ACTIONS(1785),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [224] = {
    [sym_raw_blck] = STATE(2800),
    [sym_raw_span] = STATE(2800),
    [sym_math] = STATE(2800),
    [sym__expr] = STATE(2800),
    [sym_ident] = STATE(2800),
    [sym_bool] = STATE(2800),
    [sym_number] = STATE(2800),
    [sym_string] = STATE(2800),
    [sym_tagged] = STATE(2800),
    [sym_context] = STATE(2800),
    [sym_elude] = STATE(2800),
    [sym_assign] = STATE(2800),
    [sym_lambda] = STATE(2800),
    [sym_or] = STATE(2800),
    [sym_not] = STATE(2800),
    [sym_and] = STATE(2800),
    [sym_cmp] = STATE(2800),
    [sym_in] = STATE(2800),
    [sym_add] = STATE(2800),
    [sym_sub] = STATE(2800),
    [sym_mul] = STATE(2800),
    [sym_div] = STATE(2800),
    [sym_sign] = STATE(2800),
    [sym_call] = STATE(2800),
    [sym_field] = STATE(2800),
    [sym_label] = STATE(2800),
    [sym_content] = STATE(2800),
    [sym_group] = STATE(2800),
    [sym_block] = STATE(2800),
    [sym_branch] = STATE(2800),
    [sym_let] = STATE(2800),
    [sym_set] = STATE(2800),
    [sym_import] = STATE(2800),
    [sym_include] = STATE(2800),
    [sym_for] = STATE(2800),
    [sym_while] = STATE(2800),
    [sym_show] = STATE(2800),
    [sym_return] = STATE(2800),
    [sym_flow] = STATE(2800),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1787),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1789),
    [sym_none] = ACTIONS(1789),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [225] = {
    [sym_raw_blck] = STATE(2838),
    [sym_raw_span] = STATE(2838),
    [sym_math] = STATE(2838),
    [sym__expr] = STATE(2838),
    [sym_ident] = STATE(2838),
    [sym_bool] = STATE(2838),
    [sym_number] = STATE(2838),
    [sym_string] = STATE(2838),
    [sym_tagged] = STATE(2838),
    [sym_context] = STATE(2838),
    [sym_elude] = STATE(2838),
    [sym_assign] = STATE(2838),
    [sym_lambda] = STATE(2838),
    [sym_or] = STATE(2838),
    [sym_not] = STATE(2838),
    [sym_and] = STATE(2838),
    [sym_cmp] = STATE(2838),
    [sym_in] = STATE(2838),
    [sym_add] = STATE(2838),
    [sym_sub] = STATE(2838),
    [sym_mul] = STATE(2838),
    [sym_div] = STATE(2838),
    [sym_sign] = STATE(2838),
    [sym_call] = STATE(2838),
    [sym_field] = STATE(2838),
    [sym_label] = STATE(2838),
    [sym_content] = STATE(2838),
    [sym_group] = STATE(2838),
    [sym_block] = STATE(2838),
    [sym_branch] = STATE(2838),
    [sym_let] = STATE(2838),
    [sym_set] = STATE(2838),
    [sym_import] = STATE(2838),
    [sym_include] = STATE(2838),
    [sym_for] = STATE(2838),
    [sym_while] = STATE(2838),
    [sym_show] = STATE(2838),
    [sym_return] = STATE(2838),
    [sym_flow] = STATE(2838),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1791),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1793),
    [sym_none] = ACTIONS(1793),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [226] = {
    [sym_raw_blck] = STATE(2880),
    [sym_raw_span] = STATE(2880),
    [sym_math] = STATE(2880),
    [sym__expr] = STATE(2880),
    [sym_ident] = STATE(2880),
    [sym_bool] = STATE(2880),
    [sym_number] = STATE(2880),
    [sym_string] = STATE(2880),
    [sym_tagged] = STATE(2880),
    [sym_context] = STATE(2880),
    [sym_elude] = STATE(2880),
    [sym_assign] = STATE(2880),
    [sym_lambda] = STATE(2880),
    [sym_or] = STATE(2880),
    [sym_not] = STATE(2880),
    [sym_and] = STATE(2880),
    [sym_cmp] = STATE(2880),
    [sym_in] = STATE(2880),
    [sym_add] = STATE(2880),
    [sym_sub] = STATE(2880),
    [sym_mul] = STATE(2880),
    [sym_div] = STATE(2880),
    [sym_sign] = STATE(2880),
    [sym_call] = STATE(2880),
    [sym_field] = STATE(2880),
    [sym_label] = STATE(2880),
    [sym_content] = STATE(2880),
    [sym_group] = STATE(2880),
    [sym_block] = STATE(2880),
    [sym_branch] = STATE(2880),
    [sym_let] = STATE(2880),
    [sym_set] = STATE(2880),
    [sym_import] = STATE(2880),
    [sym_include] = STATE(2880),
    [sym_for] = STATE(2880),
    [sym_while] = STATE(2880),
    [sym_show] = STATE(2880),
    [sym_return] = STATE(2880),
    [sym_flow] = STATE(2880),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1795),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1797),
    [sym_none] = ACTIONS(1797),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [227] = {
    [sym_raw_blck] = STATE(2876),
    [sym_raw_span] = STATE(2876),
    [sym_math] = STATE(2876),
    [sym__expr] = STATE(2876),
    [sym_ident] = STATE(2876),
    [sym_bool] = STATE(2876),
    [sym_number] = STATE(2876),
    [sym_string] = STATE(2876),
    [sym_tagged] = STATE(2876),
    [sym_context] = STATE(2876),
    [sym_elude] = STATE(2876),
    [sym_assign] = STATE(2876),
    [sym_lambda] = STATE(2876),
    [sym_or] = STATE(2876),
    [sym_not] = STATE(2876),
    [sym_and] = STATE(2876),
    [sym_cmp] = STATE(2876),
    [sym_in] = STATE(2876),
    [sym_add] = STATE(2876),
    [sym_sub] = STATE(2876),
    [sym_mul] = STATE(2876),
    [sym_div] = STATE(2876),
    [sym_sign] = STATE(2876),
    [sym_call] = STATE(2876),
    [sym_field] = STATE(2876),
    [sym_label] = STATE(2876),
    [sym_content] = STATE(2876),
    [sym_group] = STATE(2876),
    [sym_block] = STATE(2876),
    [sym_branch] = STATE(2876),
    [sym_let] = STATE(2876),
    [sym_set] = STATE(2876),
    [sym_import] = STATE(2876),
    [sym_include] = STATE(2876),
    [sym_for] = STATE(2876),
    [sym_while] = STATE(2876),
    [sym_show] = STATE(2876),
    [sym_return] = STATE(2876),
    [sym_flow] = STATE(2876),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1799),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1801),
    [sym_none] = ACTIONS(1801),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [228] = {
    [sym_raw_blck] = STATE(2912),
    [sym_raw_span] = STATE(2912),
    [sym_math] = STATE(2912),
    [sym__expr] = STATE(2912),
    [sym_ident] = STATE(2912),
    [sym_bool] = STATE(2912),
    [sym_number] = STATE(2912),
    [sym_string] = STATE(2912),
    [sym_tagged] = STATE(2912),
    [sym_context] = STATE(2912),
    [sym_elude] = STATE(2912),
    [sym_assign] = STATE(2912),
    [sym_lambda] = STATE(2912),
    [sym_or] = STATE(2912),
    [sym_not] = STATE(2912),
    [sym_and] = STATE(2912),
    [sym_cmp] = STATE(2912),
    [sym_in] = STATE(2912),
    [sym_add] = STATE(2912),
    [sym_sub] = STATE(2912),
    [sym_mul] = STATE(2912),
    [sym_div] = STATE(2912),
    [sym_sign] = STATE(2912),
    [sym_call] = STATE(2912),
    [sym_field] = STATE(2912),
    [sym_label] = STATE(2912),
    [sym_content] = STATE(2912),
    [sym_group] = STATE(2912),
    [sym_block] = STATE(2912),
    [sym_branch] = STATE(2912),
    [sym_let] = STATE(2912),
    [sym_set] = STATE(2912),
    [sym_import] = STATE(2912),
    [sym_include] = STATE(2912),
    [sym_for] = STATE(2912),
    [sym_while] = STATE(2912),
    [sym_show] = STATE(2912),
    [sym_return] = STATE(2912),
    [sym_flow] = STATE(2912),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1803),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1805),
    [sym_none] = ACTIONS(1805),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [229] = {
    [sym_raw_blck] = STATE(2947),
    [sym_raw_span] = STATE(2947),
    [sym_math] = STATE(2947),
    [sym__expr] = STATE(2947),
    [sym_ident] = STATE(2947),
    [sym_bool] = STATE(2947),
    [sym_number] = STATE(2947),
    [sym_string] = STATE(2947),
    [sym_tagged] = STATE(2947),
    [sym_context] = STATE(2947),
    [sym_elude] = STATE(2947),
    [sym_assign] = STATE(2947),
    [sym_lambda] = STATE(2947),
    [sym_or] = STATE(2947),
    [sym_not] = STATE(2947),
    [sym_and] = STATE(2947),
    [sym_cmp] = STATE(2947),
    [sym_in] = STATE(2947),
    [sym_add] = STATE(2947),
    [sym_sub] = STATE(2947),
    [sym_mul] = STATE(2947),
    [sym_div] = STATE(2947),
    [sym_sign] = STATE(2947),
    [sym_call] = STATE(2947),
    [sym_field] = STATE(2947),
    [sym_label] = STATE(2947),
    [sym_content] = STATE(2947),
    [sym_group] = STATE(2947),
    [sym_block] = STATE(2947),
    [sym_branch] = STATE(2947),
    [sym_let] = STATE(2947),
    [sym_set] = STATE(2947),
    [sym_import] = STATE(2947),
    [sym_include] = STATE(2947),
    [sym_for] = STATE(2947),
    [sym_while] = STATE(2947),
    [sym_show] = STATE(2947),
    [sym_return] = STATE(2947),
    [sym_flow] = STATE(2947),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1807),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1809),
    [sym_none] = ACTIONS(1809),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [230] = {
    [sym_raw_blck] = STATE(2799),
    [sym_raw_span] = STATE(2799),
    [sym_math] = STATE(2799),
    [sym__expr] = STATE(2799),
    [sym_ident] = STATE(2799),
    [sym_bool] = STATE(2799),
    [sym_number] = STATE(2799),
    [sym_string] = STATE(2799),
    [sym_tagged] = STATE(2799),
    [sym_context] = STATE(2799),
    [sym_elude] = STATE(2799),
    [sym_assign] = STATE(2799),
    [sym_lambda] = STATE(2799),
    [sym_or] = STATE(2799),
    [sym_not] = STATE(2799),
    [sym_and] = STATE(2799),
    [sym_cmp] = STATE(2799),
    [sym_in] = STATE(2799),
    [sym_add] = STATE(2799),
    [sym_sub] = STATE(2799),
    [sym_mul] = STATE(2799),
    [sym_div] = STATE(2799),
    [sym_sign] = STATE(2799),
    [sym_call] = STATE(2799),
    [sym_field] = STATE(2799),
    [sym_label] = STATE(2799),
    [sym_content] = STATE(2799),
    [sym_group] = STATE(2799),
    [sym_block] = STATE(2799),
    [sym_branch] = STATE(2799),
    [sym_let] = STATE(2799),
    [sym_set] = STATE(2799),
    [sym_import] = STATE(2799),
    [sym_include] = STATE(2799),
    [sym_for] = STATE(2799),
    [sym_while] = STATE(2799),
    [sym_show] = STATE(2799),
    [sym_return] = STATE(2799),
    [sym_flow] = STATE(2799),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1811),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1813),
    [sym_none] = ACTIONS(1813),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [231] = {
    [sym_raw_blck] = STATE(2802),
    [sym_raw_span] = STATE(2802),
    [sym_math] = STATE(2802),
    [sym__expr] = STATE(2802),
    [sym_ident] = STATE(2802),
    [sym_bool] = STATE(2802),
    [sym_number] = STATE(2802),
    [sym_string] = STATE(2802),
    [sym_tagged] = STATE(2802),
    [sym_context] = STATE(2802),
    [sym_elude] = STATE(2802),
    [sym_assign] = STATE(2802),
    [sym_lambda] = STATE(2802),
    [sym_or] = STATE(2802),
    [sym_not] = STATE(2802),
    [sym_and] = STATE(2802),
    [sym_cmp] = STATE(2802),
    [sym_in] = STATE(2802),
    [sym_add] = STATE(2802),
    [sym_sub] = STATE(2802),
    [sym_mul] = STATE(2802),
    [sym_div] = STATE(2802),
    [sym_sign] = STATE(2802),
    [sym_call] = STATE(2802),
    [sym_field] = STATE(2802),
    [sym_label] = STATE(2802),
    [sym_content] = STATE(2802),
    [sym_group] = STATE(2802),
    [sym_block] = STATE(2802),
    [sym_branch] = STATE(2802),
    [sym_let] = STATE(2802),
    [sym_set] = STATE(2802),
    [sym_import] = STATE(2802),
    [sym_include] = STATE(2802),
    [sym_for] = STATE(2802),
    [sym_while] = STATE(2802),
    [sym_show] = STATE(2802),
    [sym_return] = STATE(2802),
    [sym_flow] = STATE(2802),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1815),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1817),
    [sym_none] = ACTIONS(1817),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [232] = {
    [sym_raw_blck] = STATE(2818),
    [sym_raw_span] = STATE(2818),
    [sym_math] = STATE(2818),
    [sym__expr] = STATE(2818),
    [sym_ident] = STATE(2818),
    [sym_bool] = STATE(2818),
    [sym_number] = STATE(2818),
    [sym_string] = STATE(2818),
    [sym_tagged] = STATE(2818),
    [sym_context] = STATE(2818),
    [sym_elude] = STATE(2818),
    [sym_assign] = STATE(2818),
    [sym_lambda] = STATE(2818),
    [sym_or] = STATE(2818),
    [sym_not] = STATE(2818),
    [sym_and] = STATE(2818),
    [sym_cmp] = STATE(2818),
    [sym_in] = STATE(2818),
    [sym_add] = STATE(2818),
    [sym_sub] = STATE(2818),
    [sym_mul] = STATE(2818),
    [sym_div] = STATE(2818),
    [sym_sign] = STATE(2818),
    [sym_call] = STATE(2818),
    [sym_field] = STATE(2818),
    [sym_label] = STATE(2818),
    [sym_content] = STATE(2818),
    [sym_group] = STATE(2818),
    [sym_block] = STATE(2818),
    [sym_branch] = STATE(2818),
    [sym_let] = STATE(2818),
    [sym_set] = STATE(2818),
    [sym_import] = STATE(2818),
    [sym_include] = STATE(2818),
    [sym_for] = STATE(2818),
    [sym_while] = STATE(2818),
    [sym_show] = STATE(2818),
    [sym_return] = STATE(2818),
    [sym_flow] = STATE(2818),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1819),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1821),
    [sym_none] = ACTIONS(1821),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [233] = {
    [sym_raw_blck] = STATE(2982),
    [sym_raw_span] = STATE(2982),
    [sym_math] = STATE(2982),
    [sym__expr] = STATE(2982),
    [sym_ident] = STATE(2982),
    [sym_bool] = STATE(2982),
    [sym_number] = STATE(2982),
    [sym_string] = STATE(2982),
    [sym_tagged] = STATE(2982),
    [sym_context] = STATE(2982),
    [sym_elude] = STATE(2982),
    [sym_assign] = STATE(2982),
    [sym_lambda] = STATE(2982),
    [sym_or] = STATE(2982),
    [sym_not] = STATE(2982),
    [sym_and] = STATE(2982),
    [sym_cmp] = STATE(2982),
    [sym_in] = STATE(2982),
    [sym_add] = STATE(2982),
    [sym_sub] = STATE(2982),
    [sym_mul] = STATE(2982),
    [sym_div] = STATE(2982),
    [sym_sign] = STATE(2982),
    [sym_call] = STATE(2982),
    [sym_field] = STATE(2982),
    [sym_label] = STATE(2982),
    [sym_content] = STATE(2982),
    [sym_group] = STATE(2982),
    [sym_block] = STATE(2982),
    [sym_branch] = STATE(2982),
    [sym_let] = STATE(2982),
    [sym_set] = STATE(2982),
    [sym_import] = STATE(2982),
    [sym_include] = STATE(2982),
    [sym_for] = STATE(2982),
    [sym_while] = STATE(2982),
    [sym_show] = STATE(2982),
    [sym_return] = STATE(2982),
    [sym_flow] = STATE(2982),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1823),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1825),
    [sym_none] = ACTIONS(1825),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [234] = {
    [sym_raw_blck] = STATE(2923),
    [sym_raw_span] = STATE(2923),
    [sym_math] = STATE(2923),
    [sym__expr] = STATE(2923),
    [sym_ident] = STATE(2923),
    [sym_bool] = STATE(2923),
    [sym_number] = STATE(2923),
    [sym_string] = STATE(2923),
    [sym_tagged] = STATE(2923),
    [sym_context] = STATE(2923),
    [sym_elude] = STATE(2923),
    [sym_assign] = STATE(2923),
    [sym_lambda] = STATE(2923),
    [sym_or] = STATE(2923),
    [sym_not] = STATE(2923),
    [sym_and] = STATE(2923),
    [sym_cmp] = STATE(2923),
    [sym_in] = STATE(2923),
    [sym_add] = STATE(2923),
    [sym_sub] = STATE(2923),
    [sym_mul] = STATE(2923),
    [sym_div] = STATE(2923),
    [sym_sign] = STATE(2923),
    [sym_call] = STATE(2923),
    [sym_field] = STATE(2923),
    [sym_label] = STATE(2923),
    [sym_content] = STATE(2923),
    [sym_group] = STATE(2923),
    [sym_block] = STATE(2923),
    [sym_branch] = STATE(2923),
    [sym_let] = STATE(2923),
    [sym_set] = STATE(2923),
    [sym_import] = STATE(2923),
    [sym_include] = STATE(2923),
    [sym_for] = STATE(2923),
    [sym_while] = STATE(2923),
    [sym_show] = STATE(2923),
    [sym_return] = STATE(2923),
    [sym_flow] = STATE(2923),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1827),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1829),
    [sym_none] = ACTIONS(1829),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [235] = {
    [sym_raw_blck] = STATE(2878),
    [sym_raw_span] = STATE(2878),
    [sym_math] = STATE(2878),
    [sym__expr] = STATE(2878),
    [sym_ident] = STATE(2878),
    [sym_bool] = STATE(2878),
    [sym_number] = STATE(2878),
    [sym_string] = STATE(2878),
    [sym_tagged] = STATE(2878),
    [sym_context] = STATE(2878),
    [sym_elude] = STATE(2878),
    [sym_assign] = STATE(2878),
    [sym_lambda] = STATE(2878),
    [sym_or] = STATE(2878),
    [sym_not] = STATE(2878),
    [sym_and] = STATE(2878),
    [sym_cmp] = STATE(2878),
    [sym_in] = STATE(2878),
    [sym_add] = STATE(2878),
    [sym_sub] = STATE(2878),
    [sym_mul] = STATE(2878),
    [sym_div] = STATE(2878),
    [sym_sign] = STATE(2878),
    [sym_call] = STATE(2878),
    [sym_field] = STATE(2878),
    [sym_label] = STATE(2878),
    [sym_content] = STATE(2878),
    [sym_group] = STATE(2878),
    [sym_block] = STATE(2878),
    [sym_branch] = STATE(2878),
    [sym_let] = STATE(2878),
    [sym_set] = STATE(2878),
    [sym_import] = STATE(2878),
    [sym_include] = STATE(2878),
    [sym_for] = STATE(2878),
    [sym_while] = STATE(2878),
    [sym_show] = STATE(2878),
    [sym_return] = STATE(2878),
    [sym_flow] = STATE(2878),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1831),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1833),
    [sym_none] = ACTIONS(1833),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [236] = {
    [sym_raw_blck] = STATE(2855),
    [sym_raw_span] = STATE(2855),
    [sym_math] = STATE(2855),
    [sym__expr] = STATE(2855),
    [sym_ident] = STATE(2855),
    [sym_bool] = STATE(2855),
    [sym_number] = STATE(2855),
    [sym_string] = STATE(2855),
    [sym_tagged] = STATE(2855),
    [sym_context] = STATE(2855),
    [sym_elude] = STATE(2855),
    [sym_assign] = STATE(2855),
    [sym_lambda] = STATE(2855),
    [sym_or] = STATE(2855),
    [sym_not] = STATE(2855),
    [sym_and] = STATE(2855),
    [sym_cmp] = STATE(2855),
    [sym_in] = STATE(2855),
    [sym_add] = STATE(2855),
    [sym_sub] = STATE(2855),
    [sym_mul] = STATE(2855),
    [sym_div] = STATE(2855),
    [sym_sign] = STATE(2855),
    [sym_call] = STATE(2855),
    [sym_field] = STATE(2855),
    [sym_label] = STATE(2855),
    [sym_content] = STATE(2855),
    [sym_group] = STATE(2855),
    [sym_block] = STATE(2855),
    [sym_branch] = STATE(2855),
    [sym_let] = STATE(2855),
    [sym_set] = STATE(2855),
    [sym_import] = STATE(2855),
    [sym_include] = STATE(2855),
    [sym_for] = STATE(2855),
    [sym_while] = STATE(2855),
    [sym_show] = STATE(2855),
    [sym_return] = STATE(2855),
    [sym_flow] = STATE(2855),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1835),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1837),
    [sym_none] = ACTIONS(1837),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [237] = {
    [sym_raw_blck] = STATE(2801),
    [sym_raw_span] = STATE(2801),
    [sym_math] = STATE(2801),
    [sym__expr] = STATE(2801),
    [sym_ident] = STATE(2801),
    [sym_bool] = STATE(2801),
    [sym_number] = STATE(2801),
    [sym_string] = STATE(2801),
    [sym_tagged] = STATE(2801),
    [sym_context] = STATE(2801),
    [sym_elude] = STATE(2801),
    [sym_assign] = STATE(2801),
    [sym_lambda] = STATE(2801),
    [sym_or] = STATE(2801),
    [sym_not] = STATE(2801),
    [sym_and] = STATE(2801),
    [sym_cmp] = STATE(2801),
    [sym_in] = STATE(2801),
    [sym_add] = STATE(2801),
    [sym_sub] = STATE(2801),
    [sym_mul] = STATE(2801),
    [sym_div] = STATE(2801),
    [sym_sign] = STATE(2801),
    [sym_call] = STATE(2801),
    [sym_field] = STATE(2801),
    [sym_label] = STATE(2801),
    [sym_content] = STATE(2801),
    [sym_group] = STATE(2801),
    [sym_block] = STATE(2801),
    [sym_branch] = STATE(2801),
    [sym_let] = STATE(2801),
    [sym_set] = STATE(2801),
    [sym_import] = STATE(2801),
    [sym_include] = STATE(2801),
    [sym_for] = STATE(2801),
    [sym_while] = STATE(2801),
    [sym_show] = STATE(2801),
    [sym_return] = STATE(2801),
    [sym_flow] = STATE(2801),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1839),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1841),
    [sym_none] = ACTIONS(1841),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [238] = {
    [sym_raw_blck] = STATE(2879),
    [sym_raw_span] = STATE(2879),
    [sym_math] = STATE(2879),
    [sym__expr] = STATE(2879),
    [sym_ident] = STATE(2879),
    [sym_bool] = STATE(2879),
    [sym_number] = STATE(2879),
    [sym_string] = STATE(2879),
    [sym_tagged] = STATE(2879),
    [sym_context] = STATE(2879),
    [sym_elude] = STATE(2879),
    [sym_assign] = STATE(2879),
    [sym_lambda] = STATE(2879),
    [sym_or] = STATE(2879),
    [sym_not] = STATE(2879),
    [sym_and] = STATE(2879),
    [sym_cmp] = STATE(2879),
    [sym_in] = STATE(2879),
    [sym_add] = STATE(2879),
    [sym_sub] = STATE(2879),
    [sym_mul] = STATE(2879),
    [sym_div] = STATE(2879),
    [sym_sign] = STATE(2879),
    [sym_call] = STATE(2879),
    [sym_field] = STATE(2879),
    [sym_label] = STATE(2879),
    [sym_content] = STATE(2879),
    [sym_group] = STATE(2879),
    [sym_block] = STATE(2879),
    [sym_branch] = STATE(2879),
    [sym_let] = STATE(2879),
    [sym_set] = STATE(2879),
    [sym_import] = STATE(2879),
    [sym_include] = STATE(2879),
    [sym_for] = STATE(2879),
    [sym_while] = STATE(2879),
    [sym_show] = STATE(2879),
    [sym_return] = STATE(2879),
    [sym_flow] = STATE(2879),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1843),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1845),
    [sym_none] = ACTIONS(1845),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [239] = {
    [sym_raw_blck] = STATE(2883),
    [sym_raw_span] = STATE(2883),
    [sym_math] = STATE(2883),
    [sym__expr] = STATE(2883),
    [sym_ident] = STATE(2883),
    [sym_bool] = STATE(2883),
    [sym_number] = STATE(2883),
    [sym_string] = STATE(2883),
    [sym_tagged] = STATE(2883),
    [sym_context] = STATE(2883),
    [sym_elude] = STATE(2883),
    [sym_assign] = STATE(2883),
    [sym_lambda] = STATE(2883),
    [sym_or] = STATE(2883),
    [sym_not] = STATE(2883),
    [sym_and] = STATE(2883),
    [sym_cmp] = STATE(2883),
    [sym_in] = STATE(2883),
    [sym_add] = STATE(2883),
    [sym_sub] = STATE(2883),
    [sym_mul] = STATE(2883),
    [sym_div] = STATE(2883),
    [sym_sign] = STATE(2883),
    [sym_call] = STATE(2883),
    [sym_field] = STATE(2883),
    [sym_label] = STATE(2883),
    [sym_content] = STATE(2883),
    [sym_group] = STATE(2883),
    [sym_block] = STATE(2883),
    [sym_branch] = STATE(2883),
    [sym_let] = STATE(2883),
    [sym_set] = STATE(2883),
    [sym_import] = STATE(2883),
    [sym_include] = STATE(2883),
    [sym_for] = STATE(2883),
    [sym_while] = STATE(2883),
    [sym_show] = STATE(2883),
    [sym_return] = STATE(2883),
    [sym_flow] = STATE(2883),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1847),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1849),
    [sym_none] = ACTIONS(1849),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [240] = {
    [sym_raw_blck] = STATE(2858),
    [sym_raw_span] = STATE(2858),
    [sym_math] = STATE(2858),
    [sym__expr] = STATE(2858),
    [sym_ident] = STATE(2858),
    [sym_bool] = STATE(2858),
    [sym_number] = STATE(2858),
    [sym_string] = STATE(2858),
    [sym_tagged] = STATE(2858),
    [sym_context] = STATE(2858),
    [sym_elude] = STATE(2858),
    [sym_assign] = STATE(2858),
    [sym_lambda] = STATE(2858),
    [sym_or] = STATE(2858),
    [sym_not] = STATE(2858),
    [sym_and] = STATE(2858),
    [sym_cmp] = STATE(2858),
    [sym_in] = STATE(2858),
    [sym_add] = STATE(2858),
    [sym_sub] = STATE(2858),
    [sym_mul] = STATE(2858),
    [sym_div] = STATE(2858),
    [sym_sign] = STATE(2858),
    [sym_call] = STATE(2858),
    [sym_field] = STATE(2858),
    [sym_label] = STATE(2858),
    [sym_content] = STATE(2858),
    [sym_group] = STATE(2858),
    [sym_block] = STATE(2858),
    [sym_branch] = STATE(2858),
    [sym_let] = STATE(2858),
    [sym_set] = STATE(2858),
    [sym_import] = STATE(2858),
    [sym_include] = STATE(2858),
    [sym_for] = STATE(2858),
    [sym_while] = STATE(2858),
    [sym_show] = STATE(2858),
    [sym_return] = STATE(2858),
    [sym_flow] = STATE(2858),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1851),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1853),
    [sym_none] = ACTIONS(1853),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [241] = {
    [sym_raw_blck] = STATE(2849),
    [sym_raw_span] = STATE(2849),
    [sym_math] = STATE(2849),
    [sym__expr] = STATE(2849),
    [sym_ident] = STATE(2849),
    [sym_bool] = STATE(2849),
    [sym_number] = STATE(2849),
    [sym_string] = STATE(2849),
    [sym_tagged] = STATE(2849),
    [sym_context] = STATE(2849),
    [sym_elude] = STATE(2849),
    [sym_assign] = STATE(2849),
    [sym_lambda] = STATE(2849),
    [sym_or] = STATE(2849),
    [sym_not] = STATE(2849),
    [sym_and] = STATE(2849),
    [sym_cmp] = STATE(2849),
    [sym_in] = STATE(2849),
    [sym_add] = STATE(2849),
    [sym_sub] = STATE(2849),
    [sym_mul] = STATE(2849),
    [sym_div] = STATE(2849),
    [sym_sign] = STATE(2849),
    [sym_call] = STATE(2849),
    [sym_field] = STATE(2849),
    [sym_label] = STATE(2849),
    [sym_content] = STATE(2849),
    [sym_group] = STATE(2849),
    [sym_block] = STATE(2849),
    [sym_branch] = STATE(2849),
    [sym_let] = STATE(2849),
    [sym_set] = STATE(2849),
    [sym_import] = STATE(2849),
    [sym_include] = STATE(2849),
    [sym_for] = STATE(2849),
    [sym_while] = STATE(2849),
    [sym_show] = STATE(2849),
    [sym_return] = STATE(2849),
    [sym_flow] = STATE(2849),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1855),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1857),
    [sym_none] = ACTIONS(1857),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [242] = {
    [sym_raw_blck] = STATE(2826),
    [sym_raw_span] = STATE(2826),
    [sym_math] = STATE(2826),
    [sym__expr] = STATE(2826),
    [sym_ident] = STATE(2826),
    [sym_bool] = STATE(2826),
    [sym_number] = STATE(2826),
    [sym_string] = STATE(2826),
    [sym_tagged] = STATE(2826),
    [sym_context] = STATE(2826),
    [sym_elude] = STATE(2826),
    [sym_assign] = STATE(2826),
    [sym_lambda] = STATE(2826),
    [sym_or] = STATE(2826),
    [sym_not] = STATE(2826),
    [sym_and] = STATE(2826),
    [sym_cmp] = STATE(2826),
    [sym_in] = STATE(2826),
    [sym_add] = STATE(2826),
    [sym_sub] = STATE(2826),
    [sym_mul] = STATE(2826),
    [sym_div] = STATE(2826),
    [sym_sign] = STATE(2826),
    [sym_call] = STATE(2826),
    [sym_field] = STATE(2826),
    [sym_label] = STATE(2826),
    [sym_content] = STATE(2826),
    [sym_group] = STATE(2826),
    [sym_block] = STATE(2826),
    [sym_branch] = STATE(2826),
    [sym_let] = STATE(2826),
    [sym_set] = STATE(2826),
    [sym_import] = STATE(2826),
    [sym_include] = STATE(2826),
    [sym_for] = STATE(2826),
    [sym_while] = STATE(2826),
    [sym_show] = STATE(2826),
    [sym_return] = STATE(2826),
    [sym_flow] = STATE(2826),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_COLON2] = ACTIONS(1859),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(1861),
    [sym_none] = ACTIONS(1861),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [243] = {
    [sym_raw_blck] = STATE(2890),
    [sym_raw_span] = STATE(2890),
    [sym_math] = STATE(2890),
    [sym__expr] = STATE(2890),
    [sym_ident] = STATE(2890),
    [sym_bool] = STATE(2890),
    [sym_number] = STATE(2890),
    [sym_string] = STATE(2890),
    [sym_tagged] = STATE(2890),
    [sym_context] = STATE(2890),
    [sym_elude] = STATE(2890),
    [sym_assign] = STATE(2890),
    [sym_lambda] = STATE(2890),
    [sym_or] = STATE(2890),
    [sym_not] = STATE(2890),
    [sym_and] = STATE(2890),
    [sym_cmp] = STATE(2890),
    [sym_in] = STATE(2890),
    [sym_add] = STATE(2890),
    [sym_sub] = STATE(2890),
    [sym_mul] = STATE(2890),
    [sym_div] = STATE(2890),
    [sym_sign] = STATE(2890),
    [sym_call] = STATE(2890),
    [sym_field] = STATE(2890),
    [sym_label] = STATE(2890),
    [sym_content] = STATE(2890),
    [sym_group] = STATE(2890),
    [sym_block] = STATE(2890),
    [sym_branch] = STATE(2890),
    [sym_let] = STATE(2890),
    [sym_set] = STATE(2890),
    [sym_import] = STATE(2890),
    [sym_include] = STATE(2890),
    [sym_for] = STATE(2890),
    [sym_while] = STATE(2890),
    [sym_show] = STATE(2890),
    [sym_return] = STATE(2890),
    [sym_flow] = STATE(2890),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(1867),
    [sym_none] = ACTIONS(1867),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [244] = {
    [sym_raw_blck] = STATE(1505),
    [sym_raw_span] = STATE(1505),
    [sym_math] = STATE(1505),
    [sym__expr] = STATE(1505),
    [sym_ident] = STATE(1505),
    [sym_bool] = STATE(1505),
    [sym_number] = STATE(1505),
    [sym_string] = STATE(1505),
    [sym_tagged] = STATE(1505),
    [sym_context] = STATE(1505),
    [sym_elude] = STATE(1505),
    [sym_assign] = STATE(1505),
    [sym_lambda] = STATE(1505),
    [sym_or] = STATE(1505),
    [sym_not] = STATE(1505),
    [sym_and] = STATE(1505),
    [sym_cmp] = STATE(1505),
    [sym_in] = STATE(1505),
    [sym_add] = STATE(1505),
    [sym_sub] = STATE(1505),
    [sym_mul] = STATE(1505),
    [sym_div] = STATE(1505),
    [sym_sign] = STATE(1505),
    [sym_call] = STATE(1505),
    [sym_field] = STATE(1505),
    [sym_label] = STATE(1505),
    [sym_content] = STATE(1505),
    [sym_group] = STATE(1505),
    [sym_block] = STATE(1505),
    [sym_branch] = STATE(1505),
    [sym_let] = STATE(1505),
    [sym_set] = STATE(1505),
    [sym_import] = STATE(1505),
    [sym_include] = STATE(1505),
    [sym_for] = STATE(1505),
    [sym_while] = STATE(1505),
    [sym_show] = STATE(1505),
    [sym_return] = STATE(1505),
    [sym_flow] = STATE(1505),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(1873),
    [sym_none] = ACTIONS(1873),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [245] = {
    [sym_raw_blck] = STATE(2419),
    [sym_raw_span] = STATE(2419),
    [sym_math] = STATE(2419),
    [sym__expr] = STATE(2419),
    [sym_ident] = STATE(2419),
    [sym_bool] = STATE(2419),
    [sym_number] = STATE(2419),
    [sym_string] = STATE(2419),
    [sym_tagged] = STATE(2419),
    [sym_context] = STATE(2419),
    [sym_elude] = STATE(2419),
    [sym_assign] = STATE(2419),
    [sym_lambda] = STATE(2419),
    [sym_or] = STATE(2419),
    [sym_not] = STATE(2419),
    [sym_and] = STATE(2419),
    [sym_cmp] = STATE(2419),
    [sym_in] = STATE(2419),
    [sym_add] = STATE(2419),
    [sym_sub] = STATE(2419),
    [sym_mul] = STATE(2419),
    [sym_div] = STATE(2419),
    [sym_sign] = STATE(2419),
    [sym_call] = STATE(2419),
    [sym_field] = STATE(2419),
    [sym_label] = STATE(2419),
    [sym_content] = STATE(2419),
    [sym_group] = STATE(2419),
    [sym_block] = STATE(2419),
    [sym_branch] = STATE(2419),
    [sym_let] = STATE(2419),
    [sym_set] = STATE(2419),
    [sym_import] = STATE(2419),
    [sym_include] = STATE(2419),
    [sym_for] = STATE(2419),
    [sym_while] = STATE(2419),
    [sym_show] = STATE(2419),
    [sym_return] = STATE(2419),
    [sym_flow] = STATE(2419),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1879),
    [sym_none] = ACTIONS(1879),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [246] = {
    [sym_raw_blck] = STATE(2421),
    [sym_raw_span] = STATE(2421),
    [sym_math] = STATE(2421),
    [sym__expr] = STATE(2421),
    [sym_ident] = STATE(2421),
    [sym_bool] = STATE(2421),
    [sym_number] = STATE(2421),
    [sym_string] = STATE(2421),
    [sym_tagged] = STATE(2421),
    [sym_context] = STATE(2421),
    [sym_elude] = STATE(2421),
    [sym_assign] = STATE(2421),
    [sym_lambda] = STATE(2421),
    [sym_or] = STATE(2421),
    [sym_not] = STATE(2421),
    [sym_and] = STATE(2421),
    [sym_cmp] = STATE(2421),
    [sym_in] = STATE(2421),
    [sym_add] = STATE(2421),
    [sym_sub] = STATE(2421),
    [sym_mul] = STATE(2421),
    [sym_div] = STATE(2421),
    [sym_sign] = STATE(2421),
    [sym_call] = STATE(2421),
    [sym_field] = STATE(2421),
    [sym_label] = STATE(2421),
    [sym_content] = STATE(2421),
    [sym_group] = STATE(2421),
    [sym_block] = STATE(2421),
    [sym_branch] = STATE(2421),
    [sym_let] = STATE(2421),
    [sym_set] = STATE(2421),
    [sym_import] = STATE(2421),
    [sym_include] = STATE(2421),
    [sym_for] = STATE(2421),
    [sym_while] = STATE(2421),
    [sym_show] = STATE(2421),
    [sym_return] = STATE(2421),
    [sym_flow] = STATE(2421),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1881),
    [sym_none] = ACTIONS(1881),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [247] = {
    [sym_raw_blck] = STATE(2422),
    [sym_raw_span] = STATE(2422),
    [sym_math] = STATE(2422),
    [sym__expr] = STATE(2422),
    [sym_ident] = STATE(2422),
    [sym_bool] = STATE(2422),
    [sym_number] = STATE(2422),
    [sym_string] = STATE(2422),
    [sym_tagged] = STATE(2422),
    [sym_context] = STATE(2422),
    [sym_elude] = STATE(2422),
    [sym_assign] = STATE(2422),
    [sym_lambda] = STATE(2422),
    [sym_or] = STATE(2422),
    [sym_not] = STATE(2422),
    [sym_and] = STATE(2422),
    [sym_cmp] = STATE(2422),
    [sym_in] = STATE(2422),
    [sym_add] = STATE(2422),
    [sym_sub] = STATE(2422),
    [sym_mul] = STATE(2422),
    [sym_div] = STATE(2422),
    [sym_sign] = STATE(2422),
    [sym_call] = STATE(2422),
    [sym_field] = STATE(2422),
    [sym_label] = STATE(2422),
    [sym_content] = STATE(2422),
    [sym_group] = STATE(2422),
    [sym_block] = STATE(2422),
    [sym_branch] = STATE(2422),
    [sym_let] = STATE(2422),
    [sym_set] = STATE(2422),
    [sym_import] = STATE(2422),
    [sym_include] = STATE(2422),
    [sym_for] = STATE(2422),
    [sym_while] = STATE(2422),
    [sym_show] = STATE(2422),
    [sym_return] = STATE(2422),
    [sym_flow] = STATE(2422),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1883),
    [sym_none] = ACTIONS(1883),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [248] = {
    [sym_raw_blck] = STATE(2428),
    [sym_raw_span] = STATE(2428),
    [sym_math] = STATE(2428),
    [sym__expr] = STATE(2428),
    [sym_ident] = STATE(2428),
    [sym_bool] = STATE(2428),
    [sym_number] = STATE(2428),
    [sym_string] = STATE(2428),
    [sym_tagged] = STATE(2428),
    [sym_context] = STATE(2428),
    [sym_elude] = STATE(2428),
    [sym_assign] = STATE(2428),
    [sym_lambda] = STATE(2428),
    [sym_or] = STATE(2428),
    [sym_not] = STATE(2428),
    [sym_and] = STATE(2428),
    [sym_cmp] = STATE(2428),
    [sym_in] = STATE(2428),
    [sym_add] = STATE(2428),
    [sym_sub] = STATE(2428),
    [sym_mul] = STATE(2428),
    [sym_div] = STATE(2428),
    [sym_sign] = STATE(2428),
    [sym_call] = STATE(2428),
    [sym_field] = STATE(2428),
    [sym_label] = STATE(2428),
    [sym_content] = STATE(2428),
    [sym_group] = STATE(2428),
    [sym_block] = STATE(2428),
    [sym_branch] = STATE(2428),
    [sym_let] = STATE(2428),
    [sym_set] = STATE(2428),
    [sym_import] = STATE(2428),
    [sym_include] = STATE(2428),
    [sym_for] = STATE(2428),
    [sym_while] = STATE(2428),
    [sym_show] = STATE(2428),
    [sym_return] = STATE(2428),
    [sym_flow] = STATE(2428),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1885),
    [sym_none] = ACTIONS(1885),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [249] = {
    [sym_raw_blck] = STATE(1971),
    [sym_raw_span] = STATE(1971),
    [sym_math] = STATE(1971),
    [sym__expr] = STATE(1971),
    [sym_ident] = STATE(1971),
    [sym_bool] = STATE(1971),
    [sym_number] = STATE(1971),
    [sym_string] = STATE(1971),
    [sym_tagged] = STATE(1971),
    [sym_context] = STATE(1971),
    [sym_elude] = STATE(1971),
    [sym_assign] = STATE(1971),
    [sym_lambda] = STATE(1971),
    [sym_or] = STATE(1971),
    [sym_not] = STATE(1971),
    [sym_and] = STATE(1971),
    [sym_cmp] = STATE(1971),
    [sym_in] = STATE(1971),
    [sym_add] = STATE(1971),
    [sym_sub] = STATE(1971),
    [sym_mul] = STATE(1971),
    [sym_div] = STATE(1971),
    [sym_sign] = STATE(1971),
    [sym_call] = STATE(1971),
    [sym_field] = STATE(1971),
    [sym_label] = STATE(1971),
    [sym_content] = STATE(1971),
    [sym_group] = STATE(1971),
    [sym_block] = STATE(1971),
    [sym_branch] = STATE(1971),
    [sym_let] = STATE(1971),
    [sym_set] = STATE(1971),
    [sym_import] = STATE(1971),
    [sym_include] = STATE(1971),
    [sym_for] = STATE(1971),
    [sym_while] = STATE(1971),
    [sym_show] = STATE(1971),
    [sym_return] = STATE(1971),
    [sym_flow] = STATE(1971),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1891),
    [sym_none] = ACTIONS(1891),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [250] = {
    [sym_raw_blck] = STATE(2429),
    [sym_raw_span] = STATE(2429),
    [sym_math] = STATE(2429),
    [sym__expr] = STATE(2429),
    [sym_ident] = STATE(2429),
    [sym_bool] = STATE(2429),
    [sym_number] = STATE(2429),
    [sym_string] = STATE(2429),
    [sym_tagged] = STATE(2429),
    [sym_context] = STATE(2429),
    [sym_elude] = STATE(2429),
    [sym_assign] = STATE(2429),
    [sym_lambda] = STATE(2429),
    [sym_or] = STATE(2429),
    [sym_not] = STATE(2429),
    [sym_and] = STATE(2429),
    [sym_cmp] = STATE(2429),
    [sym_in] = STATE(2429),
    [sym_add] = STATE(2429),
    [sym_sub] = STATE(2429),
    [sym_mul] = STATE(2429),
    [sym_div] = STATE(2429),
    [sym_sign] = STATE(2429),
    [sym_call] = STATE(2429),
    [sym_field] = STATE(2429),
    [sym_label] = STATE(2429),
    [sym_content] = STATE(2429),
    [sym_group] = STATE(2429),
    [sym_block] = STATE(2429),
    [sym_branch] = STATE(2429),
    [sym_let] = STATE(2429),
    [sym_set] = STATE(2429),
    [sym_import] = STATE(2429),
    [sym_include] = STATE(2429),
    [sym_for] = STATE(2429),
    [sym_while] = STATE(2429),
    [sym_show] = STATE(2429),
    [sym_return] = STATE(2429),
    [sym_flow] = STATE(2429),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1893),
    [sym_none] = ACTIONS(1893),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [251] = {
    [sym_raw_blck] = STATE(2430),
    [sym_raw_span] = STATE(2430),
    [sym_math] = STATE(2430),
    [sym__expr] = STATE(2430),
    [sym_ident] = STATE(2430),
    [sym_bool] = STATE(2430),
    [sym_number] = STATE(2430),
    [sym_string] = STATE(2430),
    [sym_tagged] = STATE(2430),
    [sym_context] = STATE(2430),
    [sym_elude] = STATE(2430),
    [sym_assign] = STATE(2430),
    [sym_lambda] = STATE(2430),
    [sym_or] = STATE(2430),
    [sym_not] = STATE(2430),
    [sym_and] = STATE(2430),
    [sym_cmp] = STATE(2430),
    [sym_in] = STATE(2430),
    [sym_add] = STATE(2430),
    [sym_sub] = STATE(2430),
    [sym_mul] = STATE(2430),
    [sym_div] = STATE(2430),
    [sym_sign] = STATE(2430),
    [sym_call] = STATE(2430),
    [sym_field] = STATE(2430),
    [sym_label] = STATE(2430),
    [sym_content] = STATE(2430),
    [sym_group] = STATE(2430),
    [sym_block] = STATE(2430),
    [sym_branch] = STATE(2430),
    [sym_let] = STATE(2430),
    [sym_set] = STATE(2430),
    [sym_import] = STATE(2430),
    [sym_include] = STATE(2430),
    [sym_for] = STATE(2430),
    [sym_while] = STATE(2430),
    [sym_show] = STATE(2430),
    [sym_return] = STATE(2430),
    [sym_flow] = STATE(2430),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1895),
    [sym_none] = ACTIONS(1895),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [252] = {
    [sym_raw_blck] = STATE(1793),
    [sym_raw_span] = STATE(1793),
    [sym_math] = STATE(1793),
    [sym__expr] = STATE(1793),
    [sym_ident] = STATE(1793),
    [sym_bool] = STATE(1793),
    [sym_number] = STATE(1793),
    [sym_string] = STATE(1793),
    [sym_tagged] = STATE(1793),
    [sym_context] = STATE(1793),
    [sym_elude] = STATE(1793),
    [sym_assign] = STATE(1793),
    [sym_lambda] = STATE(1793),
    [sym_or] = STATE(1793),
    [sym_not] = STATE(1793),
    [sym_and] = STATE(1793),
    [sym_cmp] = STATE(1793),
    [sym_in] = STATE(1793),
    [sym_add] = STATE(1793),
    [sym_sub] = STATE(1793),
    [sym_mul] = STATE(1793),
    [sym_div] = STATE(1793),
    [sym_sign] = STATE(1793),
    [sym_call] = STATE(1793),
    [sym_field] = STATE(1793),
    [sym_label] = STATE(1793),
    [sym_content] = STATE(1793),
    [sym_group] = STATE(1793),
    [sym_block] = STATE(1793),
    [sym_branch] = STATE(1793),
    [sym_let] = STATE(1793),
    [sym_set] = STATE(1793),
    [sym_import] = STATE(1793),
    [sym_include] = STATE(1793),
    [sym_for] = STATE(1793),
    [sym_while] = STATE(1793),
    [sym_show] = STATE(1793),
    [sym_return] = STATE(1793),
    [sym_flow] = STATE(1793),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1901),
    [sym_none] = ACTIONS(1901),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [253] = {
    [sym_raw_blck] = STATE(1792),
    [sym_raw_span] = STATE(1792),
    [sym_math] = STATE(1792),
    [sym__expr] = STATE(1792),
    [sym_ident] = STATE(1792),
    [sym_bool] = STATE(1792),
    [sym_number] = STATE(1792),
    [sym_string] = STATE(1792),
    [sym_tagged] = STATE(1792),
    [sym_context] = STATE(1792),
    [sym_elude] = STATE(1792),
    [sym_assign] = STATE(1792),
    [sym_lambda] = STATE(1792),
    [sym_or] = STATE(1792),
    [sym_not] = STATE(1792),
    [sym_and] = STATE(1792),
    [sym_cmp] = STATE(1792),
    [sym_in] = STATE(1792),
    [sym_add] = STATE(1792),
    [sym_sub] = STATE(1792),
    [sym_mul] = STATE(1792),
    [sym_div] = STATE(1792),
    [sym_sign] = STATE(1792),
    [sym_call] = STATE(1792),
    [sym_field] = STATE(1792),
    [sym_label] = STATE(1792),
    [sym_content] = STATE(1792),
    [sym_group] = STATE(1792),
    [sym_block] = STATE(1792),
    [sym_branch] = STATE(1792),
    [sym_let] = STATE(1792),
    [sym_set] = STATE(1792),
    [sym_import] = STATE(1792),
    [sym_include] = STATE(1792),
    [sym_for] = STATE(1792),
    [sym_while] = STATE(1792),
    [sym_show] = STATE(1792),
    [sym_return] = STATE(1792),
    [sym_flow] = STATE(1792),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1903),
    [sym_none] = ACTIONS(1903),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [254] = {
    [sym_raw_blck] = STATE(2431),
    [sym_raw_span] = STATE(2431),
    [sym_math] = STATE(2431),
    [sym__expr] = STATE(2431),
    [sym_ident] = STATE(2431),
    [sym_bool] = STATE(2431),
    [sym_number] = STATE(2431),
    [sym_string] = STATE(2431),
    [sym_tagged] = STATE(2431),
    [sym_context] = STATE(2431),
    [sym_elude] = STATE(2431),
    [sym_assign] = STATE(2431),
    [sym_lambda] = STATE(2431),
    [sym_or] = STATE(2431),
    [sym_not] = STATE(2431),
    [sym_and] = STATE(2431),
    [sym_cmp] = STATE(2431),
    [sym_in] = STATE(2431),
    [sym_add] = STATE(2431),
    [sym_sub] = STATE(2431),
    [sym_mul] = STATE(2431),
    [sym_div] = STATE(2431),
    [sym_sign] = STATE(2431),
    [sym_call] = STATE(2431),
    [sym_field] = STATE(2431),
    [sym_label] = STATE(2431),
    [sym_content] = STATE(2431),
    [sym_group] = STATE(2431),
    [sym_block] = STATE(2431),
    [sym_branch] = STATE(2431),
    [sym_let] = STATE(2431),
    [sym_set] = STATE(2431),
    [sym_import] = STATE(2431),
    [sym_include] = STATE(2431),
    [sym_for] = STATE(2431),
    [sym_while] = STATE(2431),
    [sym_show] = STATE(2431),
    [sym_return] = STATE(2431),
    [sym_flow] = STATE(2431),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1905),
    [sym_none] = ACTIONS(1905),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [255] = {
    [sym_raw_blck] = STATE(1783),
    [sym_raw_span] = STATE(1783),
    [sym_math] = STATE(1783),
    [sym__expr] = STATE(1783),
    [sym_ident] = STATE(1783),
    [sym_bool] = STATE(1783),
    [sym_number] = STATE(1783),
    [sym_string] = STATE(1783),
    [sym_tagged] = STATE(1783),
    [sym_context] = STATE(1783),
    [sym_elude] = STATE(1783),
    [sym_assign] = STATE(1783),
    [sym_lambda] = STATE(1783),
    [sym_or] = STATE(1783),
    [sym_not] = STATE(1783),
    [sym_and] = STATE(1783),
    [sym_cmp] = STATE(1783),
    [sym_in] = STATE(1783),
    [sym_add] = STATE(1783),
    [sym_sub] = STATE(1783),
    [sym_mul] = STATE(1783),
    [sym_div] = STATE(1783),
    [sym_sign] = STATE(1783),
    [sym_call] = STATE(1783),
    [sym_field] = STATE(1783),
    [sym_label] = STATE(1783),
    [sym_content] = STATE(1783),
    [sym_group] = STATE(1783),
    [sym_block] = STATE(1783),
    [sym_branch] = STATE(1783),
    [sym_let] = STATE(1783),
    [sym_set] = STATE(1783),
    [sym_import] = STATE(1783),
    [sym_include] = STATE(1783),
    [sym_for] = STATE(1783),
    [sym_while] = STATE(1783),
    [sym_show] = STATE(1783),
    [sym_return] = STATE(1783),
    [sym_flow] = STATE(1783),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1907),
    [sym_none] = ACTIONS(1907),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [256] = {
    [sym_raw_blck] = STATE(2432),
    [sym_raw_span] = STATE(2432),
    [sym_math] = STATE(2432),
    [sym__expr] = STATE(2432),
    [sym_ident] = STATE(2432),
    [sym_bool] = STATE(2432),
    [sym_number] = STATE(2432),
    [sym_string] = STATE(2432),
    [sym_tagged] = STATE(2432),
    [sym_context] = STATE(2432),
    [sym_elude] = STATE(2432),
    [sym_assign] = STATE(2432),
    [sym_lambda] = STATE(2432),
    [sym_or] = STATE(2432),
    [sym_not] = STATE(2432),
    [sym_and] = STATE(2432),
    [sym_cmp] = STATE(2432),
    [sym_in] = STATE(2432),
    [sym_add] = STATE(2432),
    [sym_sub] = STATE(2432),
    [sym_mul] = STATE(2432),
    [sym_div] = STATE(2432),
    [sym_sign] = STATE(2432),
    [sym_call] = STATE(2432),
    [sym_field] = STATE(2432),
    [sym_label] = STATE(2432),
    [sym_content] = STATE(2432),
    [sym_group] = STATE(2432),
    [sym_block] = STATE(2432),
    [sym_branch] = STATE(2432),
    [sym_let] = STATE(2432),
    [sym_set] = STATE(2432),
    [sym_import] = STATE(2432),
    [sym_include] = STATE(2432),
    [sym_for] = STATE(2432),
    [sym_while] = STATE(2432),
    [sym_show] = STATE(2432),
    [sym_return] = STATE(2432),
    [sym_flow] = STATE(2432),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1909),
    [sym_none] = ACTIONS(1909),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [257] = {
    [sym_raw_blck] = STATE(2433),
    [sym_raw_span] = STATE(2433),
    [sym_math] = STATE(2433),
    [sym__expr] = STATE(2433),
    [sym_ident] = STATE(2433),
    [sym_bool] = STATE(2433),
    [sym_number] = STATE(2433),
    [sym_string] = STATE(2433),
    [sym_tagged] = STATE(2433),
    [sym_context] = STATE(2433),
    [sym_elude] = STATE(2433),
    [sym_assign] = STATE(2433),
    [sym_lambda] = STATE(2433),
    [sym_or] = STATE(2433),
    [sym_not] = STATE(2433),
    [sym_and] = STATE(2433),
    [sym_cmp] = STATE(2433),
    [sym_in] = STATE(2433),
    [sym_add] = STATE(2433),
    [sym_sub] = STATE(2433),
    [sym_mul] = STATE(2433),
    [sym_div] = STATE(2433),
    [sym_sign] = STATE(2433),
    [sym_call] = STATE(2433),
    [sym_field] = STATE(2433),
    [sym_label] = STATE(2433),
    [sym_content] = STATE(2433),
    [sym_group] = STATE(2433),
    [sym_block] = STATE(2433),
    [sym_branch] = STATE(2433),
    [sym_let] = STATE(2433),
    [sym_set] = STATE(2433),
    [sym_import] = STATE(2433),
    [sym_include] = STATE(2433),
    [sym_for] = STATE(2433),
    [sym_while] = STATE(2433),
    [sym_show] = STATE(2433),
    [sym_return] = STATE(2433),
    [sym_flow] = STATE(2433),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1911),
    [sym_none] = ACTIONS(1911),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [258] = {
    [sym_raw_blck] = STATE(1979),
    [sym_raw_span] = STATE(1979),
    [sym_math] = STATE(1979),
    [sym__expr] = STATE(1979),
    [sym_ident] = STATE(1979),
    [sym_bool] = STATE(1979),
    [sym_number] = STATE(1979),
    [sym_string] = STATE(1979),
    [sym_tagged] = STATE(1979),
    [sym_context] = STATE(1979),
    [sym_elude] = STATE(1979),
    [sym_assign] = STATE(1979),
    [sym_lambda] = STATE(1979),
    [sym_or] = STATE(1979),
    [sym_not] = STATE(1979),
    [sym_and] = STATE(1979),
    [sym_cmp] = STATE(1979),
    [sym_in] = STATE(1979),
    [sym_add] = STATE(1979),
    [sym_sub] = STATE(1979),
    [sym_mul] = STATE(1979),
    [sym_div] = STATE(1979),
    [sym_sign] = STATE(1979),
    [sym_call] = STATE(1979),
    [sym_field] = STATE(1979),
    [sym_label] = STATE(1979),
    [sym_content] = STATE(1979),
    [sym_group] = STATE(1979),
    [sym_block] = STATE(1979),
    [sym_branch] = STATE(1979),
    [sym_let] = STATE(1979),
    [sym_set] = STATE(1979),
    [sym_import] = STATE(1979),
    [sym_include] = STATE(1979),
    [sym_for] = STATE(1979),
    [sym_while] = STATE(1979),
    [sym_show] = STATE(1979),
    [sym_return] = STATE(1979),
    [sym_flow] = STATE(1979),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1913),
    [sym_none] = ACTIONS(1913),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [259] = {
    [sym_raw_blck] = STATE(1782),
    [sym_raw_span] = STATE(1782),
    [sym_math] = STATE(1782),
    [sym__expr] = STATE(1782),
    [sym_ident] = STATE(1782),
    [sym_bool] = STATE(1782),
    [sym_number] = STATE(1782),
    [sym_string] = STATE(1782),
    [sym_tagged] = STATE(1782),
    [sym_context] = STATE(1782),
    [sym_elude] = STATE(1782),
    [sym_assign] = STATE(1782),
    [sym_lambda] = STATE(1782),
    [sym_or] = STATE(1782),
    [sym_not] = STATE(1782),
    [sym_and] = STATE(1782),
    [sym_cmp] = STATE(1782),
    [sym_in] = STATE(1782),
    [sym_add] = STATE(1782),
    [sym_sub] = STATE(1782),
    [sym_mul] = STATE(1782),
    [sym_div] = STATE(1782),
    [sym_sign] = STATE(1782),
    [sym_call] = STATE(1782),
    [sym_field] = STATE(1782),
    [sym_label] = STATE(1782),
    [sym_content] = STATE(1782),
    [sym_group] = STATE(1782),
    [sym_block] = STATE(1782),
    [sym_branch] = STATE(1782),
    [sym_let] = STATE(1782),
    [sym_set] = STATE(1782),
    [sym_import] = STATE(1782),
    [sym_include] = STATE(1782),
    [sym_for] = STATE(1782),
    [sym_while] = STATE(1782),
    [sym_show] = STATE(1782),
    [sym_return] = STATE(1782),
    [sym_flow] = STATE(1782),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1915),
    [sym_none] = ACTIONS(1915),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [260] = {
    [sym_raw_blck] = STATE(1982),
    [sym_raw_span] = STATE(1982),
    [sym_math] = STATE(1982),
    [sym__expr] = STATE(1982),
    [sym_ident] = STATE(1982),
    [sym_bool] = STATE(1982),
    [sym_number] = STATE(1982),
    [sym_string] = STATE(1982),
    [sym_tagged] = STATE(1982),
    [sym_context] = STATE(1982),
    [sym_elude] = STATE(1982),
    [sym_assign] = STATE(1982),
    [sym_lambda] = STATE(1982),
    [sym_or] = STATE(1982),
    [sym_not] = STATE(1982),
    [sym_and] = STATE(1982),
    [sym_cmp] = STATE(1982),
    [sym_in] = STATE(1982),
    [sym_add] = STATE(1982),
    [sym_sub] = STATE(1982),
    [sym_mul] = STATE(1982),
    [sym_div] = STATE(1982),
    [sym_sign] = STATE(1982),
    [sym_call] = STATE(1982),
    [sym_field] = STATE(1982),
    [sym_label] = STATE(1982),
    [sym_content] = STATE(1982),
    [sym_group] = STATE(1982),
    [sym_block] = STATE(1982),
    [sym_branch] = STATE(1982),
    [sym_let] = STATE(1982),
    [sym_set] = STATE(1982),
    [sym_import] = STATE(1982),
    [sym_include] = STATE(1982),
    [sym_for] = STATE(1982),
    [sym_while] = STATE(1982),
    [sym_show] = STATE(1982),
    [sym_return] = STATE(1982),
    [sym_flow] = STATE(1982),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1917),
    [sym_none] = ACTIONS(1917),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [261] = {
    [sym_raw_blck] = STATE(1983),
    [sym_raw_span] = STATE(1983),
    [sym_math] = STATE(1983),
    [sym__expr] = STATE(1983),
    [sym_ident] = STATE(1983),
    [sym_bool] = STATE(1983),
    [sym_number] = STATE(1983),
    [sym_string] = STATE(1983),
    [sym_tagged] = STATE(1983),
    [sym_context] = STATE(1983),
    [sym_elude] = STATE(1983),
    [sym_assign] = STATE(1983),
    [sym_lambda] = STATE(1983),
    [sym_or] = STATE(1983),
    [sym_not] = STATE(1983),
    [sym_and] = STATE(1983),
    [sym_cmp] = STATE(1983),
    [sym_in] = STATE(1983),
    [sym_add] = STATE(1983),
    [sym_sub] = STATE(1983),
    [sym_mul] = STATE(1983),
    [sym_div] = STATE(1983),
    [sym_sign] = STATE(1983),
    [sym_call] = STATE(1983),
    [sym_field] = STATE(1983),
    [sym_label] = STATE(1983),
    [sym_content] = STATE(1983),
    [sym_group] = STATE(1983),
    [sym_block] = STATE(1983),
    [sym_branch] = STATE(1983),
    [sym_let] = STATE(1983),
    [sym_set] = STATE(1983),
    [sym_import] = STATE(1983),
    [sym_include] = STATE(1983),
    [sym_for] = STATE(1983),
    [sym_while] = STATE(1983),
    [sym_show] = STATE(1983),
    [sym_return] = STATE(1983),
    [sym_flow] = STATE(1983),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1919),
    [sym_none] = ACTIONS(1919),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [262] = {
    [sym_raw_blck] = STATE(1984),
    [sym_raw_span] = STATE(1984),
    [sym_math] = STATE(1984),
    [sym__expr] = STATE(1984),
    [sym_ident] = STATE(1984),
    [sym_bool] = STATE(1984),
    [sym_number] = STATE(1984),
    [sym_string] = STATE(1984),
    [sym_tagged] = STATE(1984),
    [sym_context] = STATE(1984),
    [sym_elude] = STATE(1984),
    [sym_assign] = STATE(1984),
    [sym_lambda] = STATE(1984),
    [sym_or] = STATE(1984),
    [sym_not] = STATE(1984),
    [sym_and] = STATE(1984),
    [sym_cmp] = STATE(1984),
    [sym_in] = STATE(1984),
    [sym_add] = STATE(1984),
    [sym_sub] = STATE(1984),
    [sym_mul] = STATE(1984),
    [sym_div] = STATE(1984),
    [sym_sign] = STATE(1984),
    [sym_call] = STATE(1984),
    [sym_field] = STATE(1984),
    [sym_label] = STATE(1984),
    [sym_content] = STATE(1984),
    [sym_group] = STATE(1984),
    [sym_block] = STATE(1984),
    [sym_branch] = STATE(1984),
    [sym_let] = STATE(1984),
    [sym_set] = STATE(1984),
    [sym_import] = STATE(1984),
    [sym_include] = STATE(1984),
    [sym_for] = STATE(1984),
    [sym_while] = STATE(1984),
    [sym_show] = STATE(1984),
    [sym_return] = STATE(1984),
    [sym_flow] = STATE(1984),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1921),
    [sym_none] = ACTIONS(1921),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [263] = {
    [sym_raw_blck] = STATE(1985),
    [sym_raw_span] = STATE(1985),
    [sym_math] = STATE(1985),
    [sym__expr] = STATE(1985),
    [sym_ident] = STATE(1985),
    [sym_bool] = STATE(1985),
    [sym_number] = STATE(1985),
    [sym_string] = STATE(1985),
    [sym_tagged] = STATE(1985),
    [sym_context] = STATE(1985),
    [sym_elude] = STATE(1985),
    [sym_assign] = STATE(1985),
    [sym_lambda] = STATE(1985),
    [sym_or] = STATE(1985),
    [sym_not] = STATE(1985),
    [sym_and] = STATE(1985),
    [sym_cmp] = STATE(1985),
    [sym_in] = STATE(1985),
    [sym_add] = STATE(1985),
    [sym_sub] = STATE(1985),
    [sym_mul] = STATE(1985),
    [sym_div] = STATE(1985),
    [sym_sign] = STATE(1985),
    [sym_call] = STATE(1985),
    [sym_field] = STATE(1985),
    [sym_label] = STATE(1985),
    [sym_content] = STATE(1985),
    [sym_group] = STATE(1985),
    [sym_block] = STATE(1985),
    [sym_branch] = STATE(1985),
    [sym_let] = STATE(1985),
    [sym_set] = STATE(1985),
    [sym_import] = STATE(1985),
    [sym_include] = STATE(1985),
    [sym_for] = STATE(1985),
    [sym_while] = STATE(1985),
    [sym_show] = STATE(1985),
    [sym_return] = STATE(1985),
    [sym_flow] = STATE(1985),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1923),
    [sym_none] = ACTIONS(1923),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [264] = {
    [sym_raw_blck] = STATE(1779),
    [sym_raw_span] = STATE(1779),
    [sym_math] = STATE(1779),
    [sym__expr] = STATE(1779),
    [sym_ident] = STATE(1779),
    [sym_bool] = STATE(1779),
    [sym_number] = STATE(1779),
    [sym_string] = STATE(1779),
    [sym_tagged] = STATE(1779),
    [sym_context] = STATE(1779),
    [sym_elude] = STATE(1779),
    [sym_assign] = STATE(1779),
    [sym_lambda] = STATE(1779),
    [sym_or] = STATE(1779),
    [sym_not] = STATE(1779),
    [sym_and] = STATE(1779),
    [sym_cmp] = STATE(1779),
    [sym_in] = STATE(1779),
    [sym_add] = STATE(1779),
    [sym_sub] = STATE(1779),
    [sym_mul] = STATE(1779),
    [sym_div] = STATE(1779),
    [sym_sign] = STATE(1779),
    [sym_call] = STATE(1779),
    [sym_field] = STATE(1779),
    [sym_label] = STATE(1779),
    [sym_content] = STATE(1779),
    [sym_group] = STATE(1779),
    [sym_block] = STATE(1779),
    [sym_branch] = STATE(1779),
    [sym_let] = STATE(1779),
    [sym_set] = STATE(1779),
    [sym_import] = STATE(1779),
    [sym_include] = STATE(1779),
    [sym_for] = STATE(1779),
    [sym_while] = STATE(1779),
    [sym_show] = STATE(1779),
    [sym_return] = STATE(1779),
    [sym_flow] = STATE(1779),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1925),
    [sym_none] = ACTIONS(1925),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [265] = {
    [sym_raw_blck] = STATE(2434),
    [sym_raw_span] = STATE(2434),
    [sym_math] = STATE(2434),
    [sym__expr] = STATE(2434),
    [sym_ident] = STATE(2434),
    [sym_bool] = STATE(2434),
    [sym_number] = STATE(2434),
    [sym_string] = STATE(2434),
    [sym_tagged] = STATE(2434),
    [sym_context] = STATE(2434),
    [sym_elude] = STATE(2434),
    [sym_assign] = STATE(2434),
    [sym_lambda] = STATE(2434),
    [sym_or] = STATE(2434),
    [sym_not] = STATE(2434),
    [sym_and] = STATE(2434),
    [sym_cmp] = STATE(2434),
    [sym_in] = STATE(2434),
    [sym_add] = STATE(2434),
    [sym_sub] = STATE(2434),
    [sym_mul] = STATE(2434),
    [sym_div] = STATE(2434),
    [sym_sign] = STATE(2434),
    [sym_call] = STATE(2434),
    [sym_field] = STATE(2434),
    [sym_label] = STATE(2434),
    [sym_content] = STATE(2434),
    [sym_group] = STATE(2434),
    [sym_block] = STATE(2434),
    [sym_branch] = STATE(2434),
    [sym_let] = STATE(2434),
    [sym_set] = STATE(2434),
    [sym_import] = STATE(2434),
    [sym_include] = STATE(2434),
    [sym_for] = STATE(2434),
    [sym_while] = STATE(2434),
    [sym_show] = STATE(2434),
    [sym_return] = STATE(2434),
    [sym_flow] = STATE(2434),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1927),
    [sym_none] = ACTIONS(1927),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [266] = {
    [sym_raw_blck] = STATE(2435),
    [sym_raw_span] = STATE(2435),
    [sym_math] = STATE(2435),
    [sym__expr] = STATE(2435),
    [sym_ident] = STATE(2435),
    [sym_bool] = STATE(2435),
    [sym_number] = STATE(2435),
    [sym_string] = STATE(2435),
    [sym_tagged] = STATE(2435),
    [sym_context] = STATE(2435),
    [sym_elude] = STATE(2435),
    [sym_assign] = STATE(2435),
    [sym_lambda] = STATE(2435),
    [sym_or] = STATE(2435),
    [sym_not] = STATE(2435),
    [sym_and] = STATE(2435),
    [sym_cmp] = STATE(2435),
    [sym_in] = STATE(2435),
    [sym_add] = STATE(2435),
    [sym_sub] = STATE(2435),
    [sym_mul] = STATE(2435),
    [sym_div] = STATE(2435),
    [sym_sign] = STATE(2435),
    [sym_call] = STATE(2435),
    [sym_field] = STATE(2435),
    [sym_label] = STATE(2435),
    [sym_content] = STATE(2435),
    [sym_group] = STATE(2435),
    [sym_block] = STATE(2435),
    [sym_branch] = STATE(2435),
    [sym_let] = STATE(2435),
    [sym_set] = STATE(2435),
    [sym_import] = STATE(2435),
    [sym_include] = STATE(2435),
    [sym_for] = STATE(2435),
    [sym_while] = STATE(2435),
    [sym_show] = STATE(2435),
    [sym_return] = STATE(2435),
    [sym_flow] = STATE(2435),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1929),
    [sym_none] = ACTIONS(1929),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [267] = {
    [sym_raw_blck] = STATE(2436),
    [sym_raw_span] = STATE(2436),
    [sym_math] = STATE(2436),
    [sym__expr] = STATE(2436),
    [sym_ident] = STATE(2436),
    [sym_bool] = STATE(2436),
    [sym_number] = STATE(2436),
    [sym_string] = STATE(2436),
    [sym_tagged] = STATE(2436),
    [sym_context] = STATE(2436),
    [sym_elude] = STATE(2436),
    [sym_assign] = STATE(2436),
    [sym_lambda] = STATE(2436),
    [sym_or] = STATE(2436),
    [sym_not] = STATE(2436),
    [sym_and] = STATE(2436),
    [sym_cmp] = STATE(2436),
    [sym_in] = STATE(2436),
    [sym_add] = STATE(2436),
    [sym_sub] = STATE(2436),
    [sym_mul] = STATE(2436),
    [sym_div] = STATE(2436),
    [sym_sign] = STATE(2436),
    [sym_call] = STATE(2436),
    [sym_field] = STATE(2436),
    [sym_label] = STATE(2436),
    [sym_content] = STATE(2436),
    [sym_group] = STATE(2436),
    [sym_block] = STATE(2436),
    [sym_branch] = STATE(2436),
    [sym_let] = STATE(2436),
    [sym_set] = STATE(2436),
    [sym_import] = STATE(2436),
    [sym_include] = STATE(2436),
    [sym_for] = STATE(2436),
    [sym_while] = STATE(2436),
    [sym_show] = STATE(2436),
    [sym_return] = STATE(2436),
    [sym_flow] = STATE(2436),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1931),
    [sym_none] = ACTIONS(1931),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [268] = {
    [sym_raw_blck] = STATE(2437),
    [sym_raw_span] = STATE(2437),
    [sym_math] = STATE(2437),
    [sym__expr] = STATE(2437),
    [sym_ident] = STATE(2437),
    [sym_bool] = STATE(2437),
    [sym_number] = STATE(2437),
    [sym_string] = STATE(2437),
    [sym_tagged] = STATE(2437),
    [sym_context] = STATE(2437),
    [sym_elude] = STATE(2437),
    [sym_assign] = STATE(2437),
    [sym_lambda] = STATE(2437),
    [sym_or] = STATE(2437),
    [sym_not] = STATE(2437),
    [sym_and] = STATE(2437),
    [sym_cmp] = STATE(2437),
    [sym_in] = STATE(2437),
    [sym_add] = STATE(2437),
    [sym_sub] = STATE(2437),
    [sym_mul] = STATE(2437),
    [sym_div] = STATE(2437),
    [sym_sign] = STATE(2437),
    [sym_call] = STATE(2437),
    [sym_field] = STATE(2437),
    [sym_label] = STATE(2437),
    [sym_content] = STATE(2437),
    [sym_group] = STATE(2437),
    [sym_block] = STATE(2437),
    [sym_branch] = STATE(2437),
    [sym_let] = STATE(2437),
    [sym_set] = STATE(2437),
    [sym_import] = STATE(2437),
    [sym_include] = STATE(2437),
    [sym_for] = STATE(2437),
    [sym_while] = STATE(2437),
    [sym_show] = STATE(2437),
    [sym_return] = STATE(2437),
    [sym_flow] = STATE(2437),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1933),
    [sym_none] = ACTIONS(1933),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [269] = {
    [sym_raw_blck] = STATE(2438),
    [sym_raw_span] = STATE(2438),
    [sym_math] = STATE(2438),
    [sym__expr] = STATE(2438),
    [sym_ident] = STATE(2438),
    [sym_bool] = STATE(2438),
    [sym_number] = STATE(2438),
    [sym_string] = STATE(2438),
    [sym_tagged] = STATE(2438),
    [sym_context] = STATE(2438),
    [sym_elude] = STATE(2438),
    [sym_assign] = STATE(2438),
    [sym_lambda] = STATE(2438),
    [sym_or] = STATE(2438),
    [sym_not] = STATE(2438),
    [sym_and] = STATE(2438),
    [sym_cmp] = STATE(2438),
    [sym_in] = STATE(2438),
    [sym_add] = STATE(2438),
    [sym_sub] = STATE(2438),
    [sym_mul] = STATE(2438),
    [sym_div] = STATE(2438),
    [sym_sign] = STATE(2438),
    [sym_call] = STATE(2438),
    [sym_field] = STATE(2438),
    [sym_label] = STATE(2438),
    [sym_content] = STATE(2438),
    [sym_group] = STATE(2438),
    [sym_block] = STATE(2438),
    [sym_branch] = STATE(2438),
    [sym_let] = STATE(2438),
    [sym_set] = STATE(2438),
    [sym_import] = STATE(2438),
    [sym_include] = STATE(2438),
    [sym_for] = STATE(2438),
    [sym_while] = STATE(2438),
    [sym_show] = STATE(2438),
    [sym_return] = STATE(2438),
    [sym_flow] = STATE(2438),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1935),
    [sym_none] = ACTIONS(1935),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [270] = {
    [sym_raw_blck] = STATE(2379),
    [sym_raw_span] = STATE(2379),
    [sym_math] = STATE(2379),
    [sym__expr] = STATE(2379),
    [sym_ident] = STATE(2379),
    [sym_bool] = STATE(2379),
    [sym_number] = STATE(2379),
    [sym_string] = STATE(2379),
    [sym_tagged] = STATE(2379),
    [sym_context] = STATE(2379),
    [sym_elude] = STATE(2379),
    [sym_assign] = STATE(2379),
    [sym_lambda] = STATE(2379),
    [sym_or] = STATE(2379),
    [sym_not] = STATE(2379),
    [sym_and] = STATE(2379),
    [sym_cmp] = STATE(2379),
    [sym_in] = STATE(2379),
    [sym_add] = STATE(2379),
    [sym_sub] = STATE(2379),
    [sym_mul] = STATE(2379),
    [sym_div] = STATE(2379),
    [sym_sign] = STATE(2379),
    [sym_call] = STATE(2379),
    [sym_field] = STATE(2379),
    [sym_label] = STATE(2379),
    [sym_content] = STATE(2379),
    [sym_group] = STATE(2379),
    [sym_block] = STATE(2379),
    [sym_branch] = STATE(2379),
    [sym_let] = STATE(2379),
    [sym_set] = STATE(2379),
    [sym_import] = STATE(2379),
    [sym_include] = STATE(2379),
    [sym_for] = STATE(2379),
    [sym_while] = STATE(2379),
    [sym_show] = STATE(2379),
    [sym_return] = STATE(2379),
    [sym_flow] = STATE(2379),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1941),
    [sym_none] = ACTIONS(1941),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [271] = {
    [sym_raw_blck] = STATE(2376),
    [sym_raw_span] = STATE(2376),
    [sym_math] = STATE(2376),
    [sym__expr] = STATE(2376),
    [sym_ident] = STATE(2376),
    [sym_bool] = STATE(2376),
    [sym_number] = STATE(2376),
    [sym_string] = STATE(2376),
    [sym_tagged] = STATE(2376),
    [sym_context] = STATE(2376),
    [sym_elude] = STATE(2376),
    [sym_assign] = STATE(2376),
    [sym_lambda] = STATE(2376),
    [sym_or] = STATE(2376),
    [sym_not] = STATE(2376),
    [sym_and] = STATE(2376),
    [sym_cmp] = STATE(2376),
    [sym_in] = STATE(2376),
    [sym_add] = STATE(2376),
    [sym_sub] = STATE(2376),
    [sym_mul] = STATE(2376),
    [sym_div] = STATE(2376),
    [sym_sign] = STATE(2376),
    [sym_call] = STATE(2376),
    [sym_field] = STATE(2376),
    [sym_label] = STATE(2376),
    [sym_content] = STATE(2376),
    [sym_group] = STATE(2376),
    [sym_block] = STATE(2376),
    [sym_branch] = STATE(2376),
    [sym_let] = STATE(2376),
    [sym_set] = STATE(2376),
    [sym_import] = STATE(2376),
    [sym_include] = STATE(2376),
    [sym_for] = STATE(2376),
    [sym_while] = STATE(2376),
    [sym_show] = STATE(2376),
    [sym_return] = STATE(2376),
    [sym_flow] = STATE(2376),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1943),
    [sym_none] = ACTIONS(1943),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [272] = {
    [sym_raw_blck] = STATE(1777),
    [sym_raw_span] = STATE(1777),
    [sym_math] = STATE(1777),
    [sym__expr] = STATE(1777),
    [sym_ident] = STATE(1777),
    [sym_bool] = STATE(1777),
    [sym_number] = STATE(1777),
    [sym_string] = STATE(1777),
    [sym_tagged] = STATE(1777),
    [sym_context] = STATE(1777),
    [sym_elude] = STATE(1777),
    [sym_assign] = STATE(1777),
    [sym_lambda] = STATE(1777),
    [sym_or] = STATE(1777),
    [sym_not] = STATE(1777),
    [sym_and] = STATE(1777),
    [sym_cmp] = STATE(1777),
    [sym_in] = STATE(1777),
    [sym_add] = STATE(1777),
    [sym_sub] = STATE(1777),
    [sym_mul] = STATE(1777),
    [sym_div] = STATE(1777),
    [sym_sign] = STATE(1777),
    [sym_call] = STATE(1777),
    [sym_field] = STATE(1777),
    [sym_label] = STATE(1777),
    [sym_content] = STATE(1777),
    [sym_group] = STATE(1777),
    [sym_block] = STATE(1777),
    [sym_branch] = STATE(1777),
    [sym_let] = STATE(1777),
    [sym_set] = STATE(1777),
    [sym_import] = STATE(1777),
    [sym_include] = STATE(1777),
    [sym_for] = STATE(1777),
    [sym_while] = STATE(1777),
    [sym_show] = STATE(1777),
    [sym_return] = STATE(1777),
    [sym_flow] = STATE(1777),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1945),
    [sym_none] = ACTIONS(1945),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [273] = {
    [sym_raw_blck] = STATE(2439),
    [sym_raw_span] = STATE(2439),
    [sym_math] = STATE(2439),
    [sym__expr] = STATE(2439),
    [sym_ident] = STATE(2439),
    [sym_bool] = STATE(2439),
    [sym_number] = STATE(2439),
    [sym_string] = STATE(2439),
    [sym_tagged] = STATE(2439),
    [sym_context] = STATE(2439),
    [sym_elude] = STATE(2439),
    [sym_assign] = STATE(2439),
    [sym_lambda] = STATE(2439),
    [sym_or] = STATE(2439),
    [sym_not] = STATE(2439),
    [sym_and] = STATE(2439),
    [sym_cmp] = STATE(2439),
    [sym_in] = STATE(2439),
    [sym_add] = STATE(2439),
    [sym_sub] = STATE(2439),
    [sym_mul] = STATE(2439),
    [sym_div] = STATE(2439),
    [sym_sign] = STATE(2439),
    [sym_call] = STATE(2439),
    [sym_field] = STATE(2439),
    [sym_label] = STATE(2439),
    [sym_content] = STATE(2439),
    [sym_group] = STATE(2439),
    [sym_block] = STATE(2439),
    [sym_branch] = STATE(2439),
    [sym_let] = STATE(2439),
    [sym_set] = STATE(2439),
    [sym_import] = STATE(2439),
    [sym_include] = STATE(2439),
    [sym_for] = STATE(2439),
    [sym_while] = STATE(2439),
    [sym_show] = STATE(2439),
    [sym_return] = STATE(2439),
    [sym_flow] = STATE(2439),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1947),
    [sym_none] = ACTIONS(1947),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [274] = {
    [sym_raw_blck] = STATE(2375),
    [sym_raw_span] = STATE(2375),
    [sym_math] = STATE(2375),
    [sym__expr] = STATE(2375),
    [sym_ident] = STATE(2375),
    [sym_bool] = STATE(2375),
    [sym_number] = STATE(2375),
    [sym_string] = STATE(2375),
    [sym_tagged] = STATE(2375),
    [sym_context] = STATE(2375),
    [sym_elude] = STATE(2375),
    [sym_assign] = STATE(2375),
    [sym_lambda] = STATE(2375),
    [sym_or] = STATE(2375),
    [sym_not] = STATE(2375),
    [sym_and] = STATE(2375),
    [sym_cmp] = STATE(2375),
    [sym_in] = STATE(2375),
    [sym_add] = STATE(2375),
    [sym_sub] = STATE(2375),
    [sym_mul] = STATE(2375),
    [sym_div] = STATE(2375),
    [sym_sign] = STATE(2375),
    [sym_call] = STATE(2375),
    [sym_field] = STATE(2375),
    [sym_label] = STATE(2375),
    [sym_content] = STATE(2375),
    [sym_group] = STATE(2375),
    [sym_block] = STATE(2375),
    [sym_branch] = STATE(2375),
    [sym_let] = STATE(2375),
    [sym_set] = STATE(2375),
    [sym_import] = STATE(2375),
    [sym_include] = STATE(2375),
    [sym_for] = STATE(2375),
    [sym_while] = STATE(2375),
    [sym_show] = STATE(2375),
    [sym_return] = STATE(2375),
    [sym_flow] = STATE(2375),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1949),
    [sym_none] = ACTIONS(1949),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [275] = {
    [sym_raw_blck] = STATE(2361),
    [sym_raw_span] = STATE(2361),
    [sym_math] = STATE(2361),
    [sym__expr] = STATE(2361),
    [sym_ident] = STATE(2361),
    [sym_bool] = STATE(2361),
    [sym_number] = STATE(2361),
    [sym_string] = STATE(2361),
    [sym_tagged] = STATE(2361),
    [sym_context] = STATE(2361),
    [sym_elude] = STATE(2361),
    [sym_assign] = STATE(2361),
    [sym_lambda] = STATE(2361),
    [sym_or] = STATE(2361),
    [sym_not] = STATE(2361),
    [sym_and] = STATE(2361),
    [sym_cmp] = STATE(2361),
    [sym_in] = STATE(2361),
    [sym_add] = STATE(2361),
    [sym_sub] = STATE(2361),
    [sym_mul] = STATE(2361),
    [sym_div] = STATE(2361),
    [sym_sign] = STATE(2361),
    [sym_call] = STATE(2361),
    [sym_field] = STATE(2361),
    [sym_label] = STATE(2361),
    [sym_content] = STATE(2361),
    [sym_group] = STATE(2361),
    [sym_block] = STATE(2361),
    [sym_branch] = STATE(2361),
    [sym_let] = STATE(2361),
    [sym_set] = STATE(2361),
    [sym_import] = STATE(2361),
    [sym_include] = STATE(2361),
    [sym_for] = STATE(2361),
    [sym_while] = STATE(2361),
    [sym_show] = STATE(2361),
    [sym_return] = STATE(2361),
    [sym_flow] = STATE(2361),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1951),
    [sym_none] = ACTIONS(1951),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [276] = {
    [sym_raw_blck] = STATE(2360),
    [sym_raw_span] = STATE(2360),
    [sym_math] = STATE(2360),
    [sym__expr] = STATE(2360),
    [sym_ident] = STATE(2360),
    [sym_bool] = STATE(2360),
    [sym_number] = STATE(2360),
    [sym_string] = STATE(2360),
    [sym_tagged] = STATE(2360),
    [sym_context] = STATE(2360),
    [sym_elude] = STATE(2360),
    [sym_assign] = STATE(2360),
    [sym_lambda] = STATE(2360),
    [sym_or] = STATE(2360),
    [sym_not] = STATE(2360),
    [sym_and] = STATE(2360),
    [sym_cmp] = STATE(2360),
    [sym_in] = STATE(2360),
    [sym_add] = STATE(2360),
    [sym_sub] = STATE(2360),
    [sym_mul] = STATE(2360),
    [sym_div] = STATE(2360),
    [sym_sign] = STATE(2360),
    [sym_call] = STATE(2360),
    [sym_field] = STATE(2360),
    [sym_label] = STATE(2360),
    [sym_content] = STATE(2360),
    [sym_group] = STATE(2360),
    [sym_block] = STATE(2360),
    [sym_branch] = STATE(2360),
    [sym_let] = STATE(2360),
    [sym_set] = STATE(2360),
    [sym_import] = STATE(2360),
    [sym_include] = STATE(2360),
    [sym_for] = STATE(2360),
    [sym_while] = STATE(2360),
    [sym_show] = STATE(2360),
    [sym_return] = STATE(2360),
    [sym_flow] = STATE(2360),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1953),
    [sym_none] = ACTIONS(1953),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [277] = {
    [sym_raw_blck] = STATE(2359),
    [sym_raw_span] = STATE(2359),
    [sym_math] = STATE(2359),
    [sym__expr] = STATE(2359),
    [sym_ident] = STATE(2359),
    [sym_bool] = STATE(2359),
    [sym_number] = STATE(2359),
    [sym_string] = STATE(2359),
    [sym_tagged] = STATE(2359),
    [sym_context] = STATE(2359),
    [sym_elude] = STATE(2359),
    [sym_assign] = STATE(2359),
    [sym_lambda] = STATE(2359),
    [sym_or] = STATE(2359),
    [sym_not] = STATE(2359),
    [sym_and] = STATE(2359),
    [sym_cmp] = STATE(2359),
    [sym_in] = STATE(2359),
    [sym_add] = STATE(2359),
    [sym_sub] = STATE(2359),
    [sym_mul] = STATE(2359),
    [sym_div] = STATE(2359),
    [sym_sign] = STATE(2359),
    [sym_call] = STATE(2359),
    [sym_field] = STATE(2359),
    [sym_label] = STATE(2359),
    [sym_content] = STATE(2359),
    [sym_group] = STATE(2359),
    [sym_block] = STATE(2359),
    [sym_branch] = STATE(2359),
    [sym_let] = STATE(2359),
    [sym_set] = STATE(2359),
    [sym_import] = STATE(2359),
    [sym_include] = STATE(2359),
    [sym_for] = STATE(2359),
    [sym_while] = STATE(2359),
    [sym_show] = STATE(2359),
    [sym_return] = STATE(2359),
    [sym_flow] = STATE(2359),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1955),
    [sym_none] = ACTIONS(1955),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [278] = {
    [sym_raw_blck] = STATE(2358),
    [sym_raw_span] = STATE(2358),
    [sym_math] = STATE(2358),
    [sym__expr] = STATE(2358),
    [sym_ident] = STATE(2358),
    [sym_bool] = STATE(2358),
    [sym_number] = STATE(2358),
    [sym_string] = STATE(2358),
    [sym_tagged] = STATE(2358),
    [sym_context] = STATE(2358),
    [sym_elude] = STATE(2358),
    [sym_assign] = STATE(2358),
    [sym_lambda] = STATE(2358),
    [sym_or] = STATE(2358),
    [sym_not] = STATE(2358),
    [sym_and] = STATE(2358),
    [sym_cmp] = STATE(2358),
    [sym_in] = STATE(2358),
    [sym_add] = STATE(2358),
    [sym_sub] = STATE(2358),
    [sym_mul] = STATE(2358),
    [sym_div] = STATE(2358),
    [sym_sign] = STATE(2358),
    [sym_call] = STATE(2358),
    [sym_field] = STATE(2358),
    [sym_label] = STATE(2358),
    [sym_content] = STATE(2358),
    [sym_group] = STATE(2358),
    [sym_block] = STATE(2358),
    [sym_branch] = STATE(2358),
    [sym_let] = STATE(2358),
    [sym_set] = STATE(2358),
    [sym_import] = STATE(2358),
    [sym_include] = STATE(2358),
    [sym_for] = STATE(2358),
    [sym_while] = STATE(2358),
    [sym_show] = STATE(2358),
    [sym_return] = STATE(2358),
    [sym_flow] = STATE(2358),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1957),
    [sym_none] = ACTIONS(1957),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [279] = {
    [sym_raw_blck] = STATE(2451),
    [sym_raw_span] = STATE(2451),
    [sym_math] = STATE(2451),
    [sym__expr] = STATE(2451),
    [sym_ident] = STATE(2451),
    [sym_bool] = STATE(2451),
    [sym_number] = STATE(2451),
    [sym_string] = STATE(2451),
    [sym_tagged] = STATE(2451),
    [sym_context] = STATE(2451),
    [sym_elude] = STATE(2451),
    [sym_assign] = STATE(2451),
    [sym_lambda] = STATE(2451),
    [sym_or] = STATE(2451),
    [sym_not] = STATE(2451),
    [sym_and] = STATE(2451),
    [sym_cmp] = STATE(2451),
    [sym_in] = STATE(2451),
    [sym_add] = STATE(2451),
    [sym_sub] = STATE(2451),
    [sym_mul] = STATE(2451),
    [sym_div] = STATE(2451),
    [sym_sign] = STATE(2451),
    [sym_call] = STATE(2451),
    [sym_field] = STATE(2451),
    [sym_label] = STATE(2451),
    [sym_content] = STATE(2451),
    [sym_group] = STATE(2451),
    [sym_block] = STATE(2451),
    [sym_branch] = STATE(2451),
    [sym_let] = STATE(2451),
    [sym_set] = STATE(2451),
    [sym_import] = STATE(2451),
    [sym_include] = STATE(2451),
    [sym_for] = STATE(2451),
    [sym_while] = STATE(2451),
    [sym_show] = STATE(2451),
    [sym_return] = STATE(2451),
    [sym_flow] = STATE(2451),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1959),
    [sym_none] = ACTIONS(1959),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [280] = {
    [sym_raw_blck] = STATE(2452),
    [sym_raw_span] = STATE(2452),
    [sym_math] = STATE(2452),
    [sym__expr] = STATE(2452),
    [sym_ident] = STATE(2452),
    [sym_bool] = STATE(2452),
    [sym_number] = STATE(2452),
    [sym_string] = STATE(2452),
    [sym_tagged] = STATE(2452),
    [sym_context] = STATE(2452),
    [sym_elude] = STATE(2452),
    [sym_assign] = STATE(2452),
    [sym_lambda] = STATE(2452),
    [sym_or] = STATE(2452),
    [sym_not] = STATE(2452),
    [sym_and] = STATE(2452),
    [sym_cmp] = STATE(2452),
    [sym_in] = STATE(2452),
    [sym_add] = STATE(2452),
    [sym_sub] = STATE(2452),
    [sym_mul] = STATE(2452),
    [sym_div] = STATE(2452),
    [sym_sign] = STATE(2452),
    [sym_call] = STATE(2452),
    [sym_field] = STATE(2452),
    [sym_label] = STATE(2452),
    [sym_content] = STATE(2452),
    [sym_group] = STATE(2452),
    [sym_block] = STATE(2452),
    [sym_branch] = STATE(2452),
    [sym_let] = STATE(2452),
    [sym_set] = STATE(2452),
    [sym_import] = STATE(2452),
    [sym_include] = STATE(2452),
    [sym_for] = STATE(2452),
    [sym_while] = STATE(2452),
    [sym_show] = STATE(2452),
    [sym_return] = STATE(2452),
    [sym_flow] = STATE(2452),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1961),
    [sym_none] = ACTIONS(1961),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [281] = {
    [sym_raw_blck] = STATE(1776),
    [sym_raw_span] = STATE(1776),
    [sym_math] = STATE(1776),
    [sym__expr] = STATE(1776),
    [sym_ident] = STATE(1776),
    [sym_bool] = STATE(1776),
    [sym_number] = STATE(1776),
    [sym_string] = STATE(1776),
    [sym_tagged] = STATE(1776),
    [sym_context] = STATE(1776),
    [sym_elude] = STATE(1776),
    [sym_assign] = STATE(1776),
    [sym_lambda] = STATE(1776),
    [sym_or] = STATE(1776),
    [sym_not] = STATE(1776),
    [sym_and] = STATE(1776),
    [sym_cmp] = STATE(1776),
    [sym_in] = STATE(1776),
    [sym_add] = STATE(1776),
    [sym_sub] = STATE(1776),
    [sym_mul] = STATE(1776),
    [sym_div] = STATE(1776),
    [sym_sign] = STATE(1776),
    [sym_call] = STATE(1776),
    [sym_field] = STATE(1776),
    [sym_label] = STATE(1776),
    [sym_content] = STATE(1776),
    [sym_group] = STATE(1776),
    [sym_block] = STATE(1776),
    [sym_branch] = STATE(1776),
    [sym_let] = STATE(1776),
    [sym_set] = STATE(1776),
    [sym_import] = STATE(1776),
    [sym_include] = STATE(1776),
    [sym_for] = STATE(1776),
    [sym_while] = STATE(1776),
    [sym_show] = STATE(1776),
    [sym_return] = STATE(1776),
    [sym_flow] = STATE(1776),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1963),
    [sym_none] = ACTIONS(1963),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [282] = {
    [sym_raw_blck] = STATE(1775),
    [sym_raw_span] = STATE(1775),
    [sym_math] = STATE(1775),
    [sym__expr] = STATE(1775),
    [sym_ident] = STATE(1775),
    [sym_bool] = STATE(1775),
    [sym_number] = STATE(1775),
    [sym_string] = STATE(1775),
    [sym_tagged] = STATE(1775),
    [sym_context] = STATE(1775),
    [sym_elude] = STATE(1775),
    [sym_assign] = STATE(1775),
    [sym_lambda] = STATE(1775),
    [sym_or] = STATE(1775),
    [sym_not] = STATE(1775),
    [sym_and] = STATE(1775),
    [sym_cmp] = STATE(1775),
    [sym_in] = STATE(1775),
    [sym_add] = STATE(1775),
    [sym_sub] = STATE(1775),
    [sym_mul] = STATE(1775),
    [sym_div] = STATE(1775),
    [sym_sign] = STATE(1775),
    [sym_call] = STATE(1775),
    [sym_field] = STATE(1775),
    [sym_label] = STATE(1775),
    [sym_content] = STATE(1775),
    [sym_group] = STATE(1775),
    [sym_block] = STATE(1775),
    [sym_branch] = STATE(1775),
    [sym_let] = STATE(1775),
    [sym_set] = STATE(1775),
    [sym_import] = STATE(1775),
    [sym_include] = STATE(1775),
    [sym_for] = STATE(1775),
    [sym_while] = STATE(1775),
    [sym_show] = STATE(1775),
    [sym_return] = STATE(1775),
    [sym_flow] = STATE(1775),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1965),
    [sym_none] = ACTIONS(1965),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [283] = {
    [sym_raw_blck] = STATE(2410),
    [sym_raw_span] = STATE(2410),
    [sym_math] = STATE(2410),
    [sym__expr] = STATE(2410),
    [sym_ident] = STATE(2410),
    [sym_bool] = STATE(2410),
    [sym_number] = STATE(2410),
    [sym_string] = STATE(2410),
    [sym_tagged] = STATE(2410),
    [sym_context] = STATE(2410),
    [sym_elude] = STATE(2410),
    [sym_assign] = STATE(2410),
    [sym_lambda] = STATE(2410),
    [sym_or] = STATE(2410),
    [sym_not] = STATE(2410),
    [sym_and] = STATE(2410),
    [sym_cmp] = STATE(2410),
    [sym_in] = STATE(2410),
    [sym_add] = STATE(2410),
    [sym_sub] = STATE(2410),
    [sym_mul] = STATE(2410),
    [sym_div] = STATE(2410),
    [sym_sign] = STATE(2410),
    [sym_call] = STATE(2410),
    [sym_field] = STATE(2410),
    [sym_label] = STATE(2410),
    [sym_content] = STATE(2410),
    [sym_group] = STATE(2410),
    [sym_block] = STATE(2410),
    [sym_branch] = STATE(2410),
    [sym_let] = STATE(2410),
    [sym_set] = STATE(2410),
    [sym_import] = STATE(2410),
    [sym_include] = STATE(2410),
    [sym_for] = STATE(2410),
    [sym_while] = STATE(2410),
    [sym_show] = STATE(2410),
    [sym_return] = STATE(2410),
    [sym_flow] = STATE(2410),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1967),
    [sym_none] = ACTIONS(1967),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [284] = {
    [sym_raw_blck] = STATE(2356),
    [sym_raw_span] = STATE(2356),
    [sym_math] = STATE(2356),
    [sym__expr] = STATE(2356),
    [sym_ident] = STATE(2356),
    [sym_bool] = STATE(2356),
    [sym_number] = STATE(2356),
    [sym_string] = STATE(2356),
    [sym_tagged] = STATE(2356),
    [sym_context] = STATE(2356),
    [sym_elude] = STATE(2356),
    [sym_assign] = STATE(2356),
    [sym_lambda] = STATE(2356),
    [sym_or] = STATE(2356),
    [sym_not] = STATE(2356),
    [sym_and] = STATE(2356),
    [sym_cmp] = STATE(2356),
    [sym_in] = STATE(2356),
    [sym_add] = STATE(2356),
    [sym_sub] = STATE(2356),
    [sym_mul] = STATE(2356),
    [sym_div] = STATE(2356),
    [sym_sign] = STATE(2356),
    [sym_call] = STATE(2356),
    [sym_field] = STATE(2356),
    [sym_label] = STATE(2356),
    [sym_content] = STATE(2356),
    [sym_group] = STATE(2356),
    [sym_block] = STATE(2356),
    [sym_branch] = STATE(2356),
    [sym_let] = STATE(2356),
    [sym_set] = STATE(2356),
    [sym_import] = STATE(2356),
    [sym_include] = STATE(2356),
    [sym_for] = STATE(2356),
    [sym_while] = STATE(2356),
    [sym_show] = STATE(2356),
    [sym_return] = STATE(2356),
    [sym_flow] = STATE(2356),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1969),
    [sym_none] = ACTIONS(1969),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [285] = {
    [sym_raw_blck] = STATE(2353),
    [sym_raw_span] = STATE(2353),
    [sym_math] = STATE(2353),
    [sym__expr] = STATE(2353),
    [sym_ident] = STATE(2353),
    [sym_bool] = STATE(2353),
    [sym_number] = STATE(2353),
    [sym_string] = STATE(2353),
    [sym_tagged] = STATE(2353),
    [sym_context] = STATE(2353),
    [sym_elude] = STATE(2353),
    [sym_assign] = STATE(2353),
    [sym_lambda] = STATE(2353),
    [sym_or] = STATE(2353),
    [sym_not] = STATE(2353),
    [sym_and] = STATE(2353),
    [sym_cmp] = STATE(2353),
    [sym_in] = STATE(2353),
    [sym_add] = STATE(2353),
    [sym_sub] = STATE(2353),
    [sym_mul] = STATE(2353),
    [sym_div] = STATE(2353),
    [sym_sign] = STATE(2353),
    [sym_call] = STATE(2353),
    [sym_field] = STATE(2353),
    [sym_label] = STATE(2353),
    [sym_content] = STATE(2353),
    [sym_group] = STATE(2353),
    [sym_block] = STATE(2353),
    [sym_branch] = STATE(2353),
    [sym_let] = STATE(2353),
    [sym_set] = STATE(2353),
    [sym_import] = STATE(2353),
    [sym_include] = STATE(2353),
    [sym_for] = STATE(2353),
    [sym_while] = STATE(2353),
    [sym_show] = STATE(2353),
    [sym_return] = STATE(2353),
    [sym_flow] = STATE(2353),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1971),
    [sym_none] = ACTIONS(1971),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [286] = {
    [sym_raw_blck] = STATE(1773),
    [sym_raw_span] = STATE(1773),
    [sym_math] = STATE(1773),
    [sym__expr] = STATE(1773),
    [sym_ident] = STATE(1773),
    [sym_bool] = STATE(1773),
    [sym_number] = STATE(1773),
    [sym_string] = STATE(1773),
    [sym_tagged] = STATE(1773),
    [sym_context] = STATE(1773),
    [sym_elude] = STATE(1773),
    [sym_assign] = STATE(1773),
    [sym_lambda] = STATE(1773),
    [sym_or] = STATE(1773),
    [sym_not] = STATE(1773),
    [sym_and] = STATE(1773),
    [sym_cmp] = STATE(1773),
    [sym_in] = STATE(1773),
    [sym_add] = STATE(1773),
    [sym_sub] = STATE(1773),
    [sym_mul] = STATE(1773),
    [sym_div] = STATE(1773),
    [sym_sign] = STATE(1773),
    [sym_call] = STATE(1773),
    [sym_field] = STATE(1773),
    [sym_label] = STATE(1773),
    [sym_content] = STATE(1773),
    [sym_group] = STATE(1773),
    [sym_block] = STATE(1773),
    [sym_branch] = STATE(1773),
    [sym_let] = STATE(1773),
    [sym_set] = STATE(1773),
    [sym_import] = STATE(1773),
    [sym_include] = STATE(1773),
    [sym_for] = STATE(1773),
    [sym_while] = STATE(1773),
    [sym_show] = STATE(1773),
    [sym_return] = STATE(1773),
    [sym_flow] = STATE(1773),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1973),
    [sym_none] = ACTIONS(1973),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [287] = {
    [sym_raw_blck] = STATE(2564),
    [sym_raw_span] = STATE(2564),
    [sym_math] = STATE(2564),
    [sym__expr] = STATE(2564),
    [sym_ident] = STATE(2564),
    [sym_bool] = STATE(2564),
    [sym_number] = STATE(2564),
    [sym_string] = STATE(2564),
    [sym_tagged] = STATE(2564),
    [sym_context] = STATE(2564),
    [sym_elude] = STATE(2564),
    [sym_assign] = STATE(2564),
    [sym_lambda] = STATE(2564),
    [sym_or] = STATE(2564),
    [sym_not] = STATE(2564),
    [sym_and] = STATE(2564),
    [sym_cmp] = STATE(2564),
    [sym_in] = STATE(2564),
    [sym_add] = STATE(2564),
    [sym_sub] = STATE(2564),
    [sym_mul] = STATE(2564),
    [sym_div] = STATE(2564),
    [sym_sign] = STATE(2564),
    [sym_call] = STATE(2564),
    [sym_field] = STATE(2564),
    [sym_label] = STATE(2564),
    [sym_content] = STATE(2564),
    [sym_group] = STATE(2564),
    [sym_block] = STATE(2564),
    [sym_branch] = STATE(2564),
    [sym_let] = STATE(2564),
    [sym_set] = STATE(2564),
    [sym_import] = STATE(2564),
    [sym_include] = STATE(2564),
    [sym_for] = STATE(2564),
    [sym_while] = STATE(2564),
    [sym_show] = STATE(2564),
    [sym_return] = STATE(2564),
    [sym_flow] = STATE(2564),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(1975),
    [sym_none] = ACTIONS(1975),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [288] = {
    [sym_raw_blck] = STATE(2352),
    [sym_raw_span] = STATE(2352),
    [sym_math] = STATE(2352),
    [sym__expr] = STATE(2352),
    [sym_ident] = STATE(2352),
    [sym_bool] = STATE(2352),
    [sym_number] = STATE(2352),
    [sym_string] = STATE(2352),
    [sym_tagged] = STATE(2352),
    [sym_context] = STATE(2352),
    [sym_elude] = STATE(2352),
    [sym_assign] = STATE(2352),
    [sym_lambda] = STATE(2352),
    [sym_or] = STATE(2352),
    [sym_not] = STATE(2352),
    [sym_and] = STATE(2352),
    [sym_cmp] = STATE(2352),
    [sym_in] = STATE(2352),
    [sym_add] = STATE(2352),
    [sym_sub] = STATE(2352),
    [sym_mul] = STATE(2352),
    [sym_div] = STATE(2352),
    [sym_sign] = STATE(2352),
    [sym_call] = STATE(2352),
    [sym_field] = STATE(2352),
    [sym_label] = STATE(2352),
    [sym_content] = STATE(2352),
    [sym_group] = STATE(2352),
    [sym_block] = STATE(2352),
    [sym_branch] = STATE(2352),
    [sym_let] = STATE(2352),
    [sym_set] = STATE(2352),
    [sym_import] = STATE(2352),
    [sym_include] = STATE(2352),
    [sym_for] = STATE(2352),
    [sym_while] = STATE(2352),
    [sym_show] = STATE(2352),
    [sym_return] = STATE(2352),
    [sym_flow] = STATE(2352),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1977),
    [sym_none] = ACTIONS(1977),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [289] = {
    [sym_raw_blck] = STATE(1987),
    [sym_raw_span] = STATE(1987),
    [sym_math] = STATE(1987),
    [sym__expr] = STATE(1987),
    [sym_ident] = STATE(1987),
    [sym_bool] = STATE(1987),
    [sym_number] = STATE(1987),
    [sym_string] = STATE(1987),
    [sym_tagged] = STATE(1987),
    [sym_context] = STATE(1987),
    [sym_elude] = STATE(1987),
    [sym_assign] = STATE(1987),
    [sym_lambda] = STATE(1987),
    [sym_or] = STATE(1987),
    [sym_not] = STATE(1987),
    [sym_and] = STATE(1987),
    [sym_cmp] = STATE(1987),
    [sym_in] = STATE(1987),
    [sym_add] = STATE(1987),
    [sym_sub] = STATE(1987),
    [sym_mul] = STATE(1987),
    [sym_div] = STATE(1987),
    [sym_sign] = STATE(1987),
    [sym_call] = STATE(1987),
    [sym_field] = STATE(1987),
    [sym_label] = STATE(1987),
    [sym_content] = STATE(1987),
    [sym_group] = STATE(1987),
    [sym_block] = STATE(1987),
    [sym_branch] = STATE(1987),
    [sym_let] = STATE(1987),
    [sym_set] = STATE(1987),
    [sym_import] = STATE(1987),
    [sym_include] = STATE(1987),
    [sym_for] = STATE(1987),
    [sym_while] = STATE(1987),
    [sym_show] = STATE(1987),
    [sym_return] = STATE(1987),
    [sym_flow] = STATE(1987),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1979),
    [sym_none] = ACTIONS(1979),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [290] = {
    [sym_raw_blck] = STATE(1989),
    [sym_raw_span] = STATE(1989),
    [sym_math] = STATE(1989),
    [sym__expr] = STATE(1989),
    [sym_ident] = STATE(1989),
    [sym_bool] = STATE(1989),
    [sym_number] = STATE(1989),
    [sym_string] = STATE(1989),
    [sym_tagged] = STATE(1989),
    [sym_context] = STATE(1989),
    [sym_elude] = STATE(1989),
    [sym_assign] = STATE(1989),
    [sym_lambda] = STATE(1989),
    [sym_or] = STATE(1989),
    [sym_not] = STATE(1989),
    [sym_and] = STATE(1989),
    [sym_cmp] = STATE(1989),
    [sym_in] = STATE(1989),
    [sym_add] = STATE(1989),
    [sym_sub] = STATE(1989),
    [sym_mul] = STATE(1989),
    [sym_div] = STATE(1989),
    [sym_sign] = STATE(1989),
    [sym_call] = STATE(1989),
    [sym_field] = STATE(1989),
    [sym_label] = STATE(1989),
    [sym_content] = STATE(1989),
    [sym_group] = STATE(1989),
    [sym_block] = STATE(1989),
    [sym_branch] = STATE(1989),
    [sym_let] = STATE(1989),
    [sym_set] = STATE(1989),
    [sym_import] = STATE(1989),
    [sym_include] = STATE(1989),
    [sym_for] = STATE(1989),
    [sym_while] = STATE(1989),
    [sym_show] = STATE(1989),
    [sym_return] = STATE(1989),
    [sym_flow] = STATE(1989),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1981),
    [sym_none] = ACTIONS(1981),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [291] = {
    [sym_raw_blck] = STATE(1796),
    [sym_raw_span] = STATE(1796),
    [sym_math] = STATE(1796),
    [sym__expr] = STATE(1796),
    [sym_ident] = STATE(1796),
    [sym_bool] = STATE(1796),
    [sym_number] = STATE(1796),
    [sym_string] = STATE(1796),
    [sym_tagged] = STATE(1796),
    [sym_context] = STATE(1796),
    [sym_elude] = STATE(1796),
    [sym_assign] = STATE(1796),
    [sym_lambda] = STATE(1796),
    [sym_or] = STATE(1796),
    [sym_not] = STATE(1796),
    [sym_and] = STATE(1796),
    [sym_cmp] = STATE(1796),
    [sym_in] = STATE(1796),
    [sym_add] = STATE(1796),
    [sym_sub] = STATE(1796),
    [sym_mul] = STATE(1796),
    [sym_div] = STATE(1796),
    [sym_sign] = STATE(1796),
    [sym_call] = STATE(1796),
    [sym_field] = STATE(1796),
    [sym_label] = STATE(1796),
    [sym_content] = STATE(1796),
    [sym_group] = STATE(1796),
    [sym_block] = STATE(1796),
    [sym_branch] = STATE(1796),
    [sym_let] = STATE(1796),
    [sym_set] = STATE(1796),
    [sym_import] = STATE(1796),
    [sym_include] = STATE(1796),
    [sym_for] = STATE(1796),
    [sym_while] = STATE(1796),
    [sym_show] = STATE(1796),
    [sym_return] = STATE(1796),
    [sym_flow] = STATE(1796),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1983),
    [sym_none] = ACTIONS(1983),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [292] = {
    [sym_raw_blck] = STATE(1990),
    [sym_raw_span] = STATE(1990),
    [sym_math] = STATE(1990),
    [sym__expr] = STATE(1990),
    [sym_ident] = STATE(1990),
    [sym_bool] = STATE(1990),
    [sym_number] = STATE(1990),
    [sym_string] = STATE(1990),
    [sym_tagged] = STATE(1990),
    [sym_context] = STATE(1990),
    [sym_elude] = STATE(1990),
    [sym_assign] = STATE(1990),
    [sym_lambda] = STATE(1990),
    [sym_or] = STATE(1990),
    [sym_not] = STATE(1990),
    [sym_and] = STATE(1990),
    [sym_cmp] = STATE(1990),
    [sym_in] = STATE(1990),
    [sym_add] = STATE(1990),
    [sym_sub] = STATE(1990),
    [sym_mul] = STATE(1990),
    [sym_div] = STATE(1990),
    [sym_sign] = STATE(1990),
    [sym_call] = STATE(1990),
    [sym_field] = STATE(1990),
    [sym_label] = STATE(1990),
    [sym_content] = STATE(1990),
    [sym_group] = STATE(1990),
    [sym_block] = STATE(1990),
    [sym_branch] = STATE(1990),
    [sym_let] = STATE(1990),
    [sym_set] = STATE(1990),
    [sym_import] = STATE(1990),
    [sym_include] = STATE(1990),
    [sym_for] = STATE(1990),
    [sym_while] = STATE(1990),
    [sym_show] = STATE(1990),
    [sym_return] = STATE(1990),
    [sym_flow] = STATE(1990),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(1985),
    [sym_none] = ACTIONS(1985),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [293] = {
    [sym_raw_blck] = STATE(2350),
    [sym_raw_span] = STATE(2350),
    [sym_math] = STATE(2350),
    [sym__expr] = STATE(2350),
    [sym_ident] = STATE(2350),
    [sym_bool] = STATE(2350),
    [sym_number] = STATE(2350),
    [sym_string] = STATE(2350),
    [sym_tagged] = STATE(2350),
    [sym_context] = STATE(2350),
    [sym_elude] = STATE(2350),
    [sym_assign] = STATE(2350),
    [sym_lambda] = STATE(2350),
    [sym_or] = STATE(2350),
    [sym_not] = STATE(2350),
    [sym_and] = STATE(2350),
    [sym_cmp] = STATE(2350),
    [sym_in] = STATE(2350),
    [sym_add] = STATE(2350),
    [sym_sub] = STATE(2350),
    [sym_mul] = STATE(2350),
    [sym_div] = STATE(2350),
    [sym_sign] = STATE(2350),
    [sym_call] = STATE(2350),
    [sym_field] = STATE(2350),
    [sym_label] = STATE(2350),
    [sym_content] = STATE(2350),
    [sym_group] = STATE(2350),
    [sym_block] = STATE(2350),
    [sym_branch] = STATE(2350),
    [sym_let] = STATE(2350),
    [sym_set] = STATE(2350),
    [sym_import] = STATE(2350),
    [sym_include] = STATE(2350),
    [sym_for] = STATE(2350),
    [sym_while] = STATE(2350),
    [sym_show] = STATE(2350),
    [sym_return] = STATE(2350),
    [sym_flow] = STATE(2350),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1987),
    [sym_none] = ACTIONS(1987),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [294] = {
    [sym_raw_blck] = STATE(2349),
    [sym_raw_span] = STATE(2349),
    [sym_math] = STATE(2349),
    [sym__expr] = STATE(2349),
    [sym_ident] = STATE(2349),
    [sym_bool] = STATE(2349),
    [sym_number] = STATE(2349),
    [sym_string] = STATE(2349),
    [sym_tagged] = STATE(2349),
    [sym_context] = STATE(2349),
    [sym_elude] = STATE(2349),
    [sym_assign] = STATE(2349),
    [sym_lambda] = STATE(2349),
    [sym_or] = STATE(2349),
    [sym_not] = STATE(2349),
    [sym_and] = STATE(2349),
    [sym_cmp] = STATE(2349),
    [sym_in] = STATE(2349),
    [sym_add] = STATE(2349),
    [sym_sub] = STATE(2349),
    [sym_mul] = STATE(2349),
    [sym_div] = STATE(2349),
    [sym_sign] = STATE(2349),
    [sym_call] = STATE(2349),
    [sym_field] = STATE(2349),
    [sym_label] = STATE(2349),
    [sym_content] = STATE(2349),
    [sym_group] = STATE(2349),
    [sym_block] = STATE(2349),
    [sym_branch] = STATE(2349),
    [sym_let] = STATE(2349),
    [sym_set] = STATE(2349),
    [sym_import] = STATE(2349),
    [sym_include] = STATE(2349),
    [sym_for] = STATE(2349),
    [sym_while] = STATE(2349),
    [sym_show] = STATE(2349),
    [sym_return] = STATE(2349),
    [sym_flow] = STATE(2349),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1989),
    [sym_none] = ACTIONS(1989),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [295] = {
    [sym_raw_blck] = STATE(3058),
    [sym_raw_span] = STATE(3058),
    [sym_math] = STATE(3058),
    [sym__expr] = STATE(3058),
    [sym_ident] = STATE(3058),
    [sym_bool] = STATE(3058),
    [sym_number] = STATE(3058),
    [sym_string] = STATE(3058),
    [sym_tagged] = STATE(3058),
    [sym_context] = STATE(3058),
    [sym_elude] = STATE(3058),
    [sym_assign] = STATE(3058),
    [sym_lambda] = STATE(3058),
    [sym_or] = STATE(3058),
    [sym_not] = STATE(3058),
    [sym_and] = STATE(3058),
    [sym_cmp] = STATE(3058),
    [sym_in] = STATE(3058),
    [sym_add] = STATE(3058),
    [sym_sub] = STATE(3058),
    [sym_mul] = STATE(3058),
    [sym_div] = STATE(3058),
    [sym_sign] = STATE(3058),
    [sym_call] = STATE(2563),
    [sym_field] = STATE(3058),
    [sym_label] = STATE(3058),
    [sym_content] = STATE(3058),
    [sym_group] = STATE(3058),
    [sym_block] = STATE(3058),
    [sym_branch] = STATE(3058),
    [sym_let] = STATE(3058),
    [sym_set] = STATE(3058),
    [sym_import] = STATE(3058),
    [sym_include] = STATE(3058),
    [sym_for] = STATE(3058),
    [sym_while] = STATE(3058),
    [sym_show] = STATE(3058),
    [sym_return] = STATE(3058),
    [sym_flow] = STATE(3058),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1991),
    [sym_none] = ACTIONS(1991),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [296] = {
    [sym_raw_blck] = STATE(2348),
    [sym_raw_span] = STATE(2348),
    [sym_math] = STATE(2348),
    [sym__expr] = STATE(2348),
    [sym_ident] = STATE(2348),
    [sym_bool] = STATE(2348),
    [sym_number] = STATE(2348),
    [sym_string] = STATE(2348),
    [sym_tagged] = STATE(2348),
    [sym_context] = STATE(2348),
    [sym_elude] = STATE(2348),
    [sym_assign] = STATE(2348),
    [sym_lambda] = STATE(2348),
    [sym_or] = STATE(2348),
    [sym_not] = STATE(2348),
    [sym_and] = STATE(2348),
    [sym_cmp] = STATE(2348),
    [sym_in] = STATE(2348),
    [sym_add] = STATE(2348),
    [sym_sub] = STATE(2348),
    [sym_mul] = STATE(2348),
    [sym_div] = STATE(2348),
    [sym_sign] = STATE(2348),
    [sym_call] = STATE(2348),
    [sym_field] = STATE(2348),
    [sym_label] = STATE(2348),
    [sym_content] = STATE(2348),
    [sym_group] = STATE(2348),
    [sym_block] = STATE(2348),
    [sym_branch] = STATE(2348),
    [sym_let] = STATE(2348),
    [sym_set] = STATE(2348),
    [sym_import] = STATE(2348),
    [sym_include] = STATE(2348),
    [sym_for] = STATE(2348),
    [sym_while] = STATE(2348),
    [sym_show] = STATE(2348),
    [sym_return] = STATE(2348),
    [sym_flow] = STATE(2348),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(1993),
    [sym_none] = ACTIONS(1993),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [297] = {
    [sym_raw_blck] = STATE(1772),
    [sym_raw_span] = STATE(1772),
    [sym_math] = STATE(1772),
    [sym__expr] = STATE(1772),
    [sym_ident] = STATE(1772),
    [sym_bool] = STATE(1772),
    [sym_number] = STATE(1772),
    [sym_string] = STATE(1772),
    [sym_tagged] = STATE(1772),
    [sym_context] = STATE(1772),
    [sym_elude] = STATE(1772),
    [sym_assign] = STATE(1772),
    [sym_lambda] = STATE(1772),
    [sym_or] = STATE(1772),
    [sym_not] = STATE(1772),
    [sym_and] = STATE(1772),
    [sym_cmp] = STATE(1772),
    [sym_in] = STATE(1772),
    [sym_add] = STATE(1772),
    [sym_sub] = STATE(1772),
    [sym_mul] = STATE(1772),
    [sym_div] = STATE(1772),
    [sym_sign] = STATE(1772),
    [sym_call] = STATE(1772),
    [sym_field] = STATE(1772),
    [sym_label] = STATE(1772),
    [sym_content] = STATE(1772),
    [sym_group] = STATE(1772),
    [sym_block] = STATE(1772),
    [sym_branch] = STATE(1772),
    [sym_let] = STATE(1772),
    [sym_set] = STATE(1772),
    [sym_import] = STATE(1772),
    [sym_include] = STATE(1772),
    [sym_for] = STATE(1772),
    [sym_while] = STATE(1772),
    [sym_show] = STATE(1772),
    [sym_return] = STATE(1772),
    [sym_flow] = STATE(1772),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1995),
    [sym_none] = ACTIONS(1995),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [298] = {
    [sym_raw_blck] = STATE(1758),
    [sym_raw_span] = STATE(1758),
    [sym_math] = STATE(1758),
    [sym__expr] = STATE(1758),
    [sym_ident] = STATE(1758),
    [sym_bool] = STATE(1758),
    [sym_number] = STATE(1758),
    [sym_string] = STATE(1758),
    [sym_tagged] = STATE(1758),
    [sym_context] = STATE(1758),
    [sym_elude] = STATE(1758),
    [sym_assign] = STATE(1758),
    [sym_lambda] = STATE(1758),
    [sym_or] = STATE(1758),
    [sym_not] = STATE(1758),
    [sym_and] = STATE(1758),
    [sym_cmp] = STATE(1758),
    [sym_in] = STATE(1758),
    [sym_add] = STATE(1758),
    [sym_sub] = STATE(1758),
    [sym_mul] = STATE(1758),
    [sym_div] = STATE(1758),
    [sym_sign] = STATE(1758),
    [sym_call] = STATE(1758),
    [sym_field] = STATE(1758),
    [sym_label] = STATE(1758),
    [sym_content] = STATE(1758),
    [sym_group] = STATE(1758),
    [sym_block] = STATE(1758),
    [sym_branch] = STATE(1758),
    [sym_let] = STATE(1758),
    [sym_set] = STATE(1758),
    [sym_import] = STATE(1758),
    [sym_include] = STATE(1758),
    [sym_for] = STATE(1758),
    [sym_while] = STATE(1758),
    [sym_show] = STATE(1758),
    [sym_return] = STATE(1758),
    [sym_flow] = STATE(1758),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(1997),
    [sym_none] = ACTIONS(1997),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [299] = {
    [sym_raw_blck] = STATE(2780),
    [sym_raw_span] = STATE(2780),
    [sym_math] = STATE(2780),
    [sym__expr] = STATE(2780),
    [sym_ident] = STATE(2780),
    [sym_bool] = STATE(2780),
    [sym_number] = STATE(2780),
    [sym_string] = STATE(2780),
    [sym_tagged] = STATE(2780),
    [sym_context] = STATE(2780),
    [sym_elude] = STATE(2780),
    [sym_assign] = STATE(2780),
    [sym_lambda] = STATE(2780),
    [sym_or] = STATE(2780),
    [sym_not] = STATE(2780),
    [sym_and] = STATE(2780),
    [sym_cmp] = STATE(2780),
    [sym_in] = STATE(2780),
    [sym_add] = STATE(2780),
    [sym_sub] = STATE(2780),
    [sym_mul] = STATE(2780),
    [sym_div] = STATE(2780),
    [sym_sign] = STATE(2780),
    [sym_call] = STATE(2780),
    [sym_field] = STATE(2780),
    [sym_label] = STATE(2780),
    [sym_content] = STATE(2780),
    [sym_group] = STATE(2780),
    [sym_block] = STATE(2780),
    [sym_branch] = STATE(2780),
    [sym_let] = STATE(2780),
    [sym_set] = STATE(2780),
    [sym_import] = STATE(2780),
    [sym_include] = STATE(2780),
    [sym_for] = STATE(2780),
    [sym_while] = STATE(2780),
    [sym_show] = STATE(2780),
    [sym_return] = STATE(2780),
    [sym_flow] = STATE(2780),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(1999),
    [sym_none] = ACTIONS(1999),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [300] = {
    [sym_raw_blck] = STATE(2347),
    [sym_raw_span] = STATE(2347),
    [sym_math] = STATE(2347),
    [sym__expr] = STATE(2347),
    [sym_ident] = STATE(2347),
    [sym_bool] = STATE(2347),
    [sym_number] = STATE(2347),
    [sym_string] = STATE(2347),
    [sym_tagged] = STATE(2347),
    [sym_context] = STATE(2347),
    [sym_elude] = STATE(2347),
    [sym_assign] = STATE(2347),
    [sym_lambda] = STATE(2347),
    [sym_or] = STATE(2347),
    [sym_not] = STATE(2347),
    [sym_and] = STATE(2347),
    [sym_cmp] = STATE(2347),
    [sym_in] = STATE(2347),
    [sym_add] = STATE(2347),
    [sym_sub] = STATE(2347),
    [sym_mul] = STATE(2347),
    [sym_div] = STATE(2347),
    [sym_sign] = STATE(2347),
    [sym_call] = STATE(2347),
    [sym_field] = STATE(2347),
    [sym_label] = STATE(2347),
    [sym_content] = STATE(2347),
    [sym_group] = STATE(2347),
    [sym_block] = STATE(2347),
    [sym_branch] = STATE(2347),
    [sym_let] = STATE(2347),
    [sym_set] = STATE(2347),
    [sym_import] = STATE(2347),
    [sym_include] = STATE(2347),
    [sym_for] = STATE(2347),
    [sym_while] = STATE(2347),
    [sym_show] = STATE(2347),
    [sym_return] = STATE(2347),
    [sym_flow] = STATE(2347),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2001),
    [sym_none] = ACTIONS(2001),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [301] = {
    [sym_raw_blck] = STATE(2346),
    [sym_raw_span] = STATE(2346),
    [sym_math] = STATE(2346),
    [sym__expr] = STATE(2346),
    [sym_ident] = STATE(2346),
    [sym_bool] = STATE(2346),
    [sym_number] = STATE(2346),
    [sym_string] = STATE(2346),
    [sym_tagged] = STATE(2346),
    [sym_context] = STATE(2346),
    [sym_elude] = STATE(2346),
    [sym_assign] = STATE(2346),
    [sym_lambda] = STATE(2346),
    [sym_or] = STATE(2346),
    [sym_not] = STATE(2346),
    [sym_and] = STATE(2346),
    [sym_cmp] = STATE(2346),
    [sym_in] = STATE(2346),
    [sym_add] = STATE(2346),
    [sym_sub] = STATE(2346),
    [sym_mul] = STATE(2346),
    [sym_div] = STATE(2346),
    [sym_sign] = STATE(2346),
    [sym_call] = STATE(2346),
    [sym_field] = STATE(2346),
    [sym_label] = STATE(2346),
    [sym_content] = STATE(2346),
    [sym_group] = STATE(2346),
    [sym_block] = STATE(2346),
    [sym_branch] = STATE(2346),
    [sym_let] = STATE(2346),
    [sym_set] = STATE(2346),
    [sym_import] = STATE(2346),
    [sym_include] = STATE(2346),
    [sym_for] = STATE(2346),
    [sym_while] = STATE(2346),
    [sym_show] = STATE(2346),
    [sym_return] = STATE(2346),
    [sym_flow] = STATE(2346),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2003),
    [sym_none] = ACTIONS(2003),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [302] = {
    [sym_raw_blck] = STATE(1755),
    [sym_raw_span] = STATE(1755),
    [sym_math] = STATE(1755),
    [sym__expr] = STATE(1755),
    [sym_ident] = STATE(1755),
    [sym_bool] = STATE(1755),
    [sym_number] = STATE(1755),
    [sym_string] = STATE(1755),
    [sym_tagged] = STATE(1755),
    [sym_context] = STATE(1755),
    [sym_elude] = STATE(1755),
    [sym_assign] = STATE(1755),
    [sym_lambda] = STATE(1755),
    [sym_or] = STATE(1755),
    [sym_not] = STATE(1755),
    [sym_and] = STATE(1755),
    [sym_cmp] = STATE(1755),
    [sym_in] = STATE(1755),
    [sym_add] = STATE(1755),
    [sym_sub] = STATE(1755),
    [sym_mul] = STATE(1755),
    [sym_div] = STATE(1755),
    [sym_sign] = STATE(1755),
    [sym_call] = STATE(1755),
    [sym_field] = STATE(1755),
    [sym_label] = STATE(1755),
    [sym_content] = STATE(1755),
    [sym_group] = STATE(1755),
    [sym_block] = STATE(1755),
    [sym_branch] = STATE(1755),
    [sym_let] = STATE(1755),
    [sym_set] = STATE(1755),
    [sym_import] = STATE(1755),
    [sym_include] = STATE(1755),
    [sym_for] = STATE(1755),
    [sym_while] = STATE(1755),
    [sym_show] = STATE(1755),
    [sym_return] = STATE(1755),
    [sym_flow] = STATE(1755),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2005),
    [sym_none] = ACTIONS(2005),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [303] = {
    [sym_raw_blck] = STATE(2340),
    [sym_raw_span] = STATE(2340),
    [sym_math] = STATE(2340),
    [sym__expr] = STATE(2340),
    [sym_ident] = STATE(2340),
    [sym_bool] = STATE(2340),
    [sym_number] = STATE(2340),
    [sym_string] = STATE(2340),
    [sym_tagged] = STATE(2340),
    [sym_context] = STATE(2340),
    [sym_elude] = STATE(2340),
    [sym_assign] = STATE(2340),
    [sym_lambda] = STATE(2340),
    [sym_or] = STATE(2340),
    [sym_not] = STATE(2340),
    [sym_and] = STATE(2340),
    [sym_cmp] = STATE(2340),
    [sym_in] = STATE(2340),
    [sym_add] = STATE(2340),
    [sym_sub] = STATE(2340),
    [sym_mul] = STATE(2340),
    [sym_div] = STATE(2340),
    [sym_sign] = STATE(2340),
    [sym_call] = STATE(2340),
    [sym_field] = STATE(2340),
    [sym_label] = STATE(2340),
    [sym_content] = STATE(2340),
    [sym_group] = STATE(2340),
    [sym_block] = STATE(2340),
    [sym_branch] = STATE(2340),
    [sym_let] = STATE(2340),
    [sym_set] = STATE(2340),
    [sym_import] = STATE(2340),
    [sym_include] = STATE(2340),
    [sym_for] = STATE(2340),
    [sym_while] = STATE(2340),
    [sym_show] = STATE(2340),
    [sym_return] = STATE(2340),
    [sym_flow] = STATE(2340),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2007),
    [sym_none] = ACTIONS(2007),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [304] = {
    [sym_raw_blck] = STATE(2339),
    [sym_raw_span] = STATE(2339),
    [sym_math] = STATE(2339),
    [sym__expr] = STATE(2339),
    [sym_ident] = STATE(2339),
    [sym_bool] = STATE(2339),
    [sym_number] = STATE(2339),
    [sym_string] = STATE(2339),
    [sym_tagged] = STATE(2339),
    [sym_context] = STATE(2339),
    [sym_elude] = STATE(2339),
    [sym_assign] = STATE(2339),
    [sym_lambda] = STATE(2339),
    [sym_or] = STATE(2339),
    [sym_not] = STATE(2339),
    [sym_and] = STATE(2339),
    [sym_cmp] = STATE(2339),
    [sym_in] = STATE(2339),
    [sym_add] = STATE(2339),
    [sym_sub] = STATE(2339),
    [sym_mul] = STATE(2339),
    [sym_div] = STATE(2339),
    [sym_sign] = STATE(2339),
    [sym_call] = STATE(2339),
    [sym_field] = STATE(2339),
    [sym_label] = STATE(2339),
    [sym_content] = STATE(2339),
    [sym_group] = STATE(2339),
    [sym_block] = STATE(2339),
    [sym_branch] = STATE(2339),
    [sym_let] = STATE(2339),
    [sym_set] = STATE(2339),
    [sym_import] = STATE(2339),
    [sym_include] = STATE(2339),
    [sym_for] = STATE(2339),
    [sym_while] = STATE(2339),
    [sym_show] = STATE(2339),
    [sym_return] = STATE(2339),
    [sym_flow] = STATE(2339),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2009),
    [sym_none] = ACTIONS(2009),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [305] = {
    [sym_raw_blck] = STATE(1991),
    [sym_raw_span] = STATE(1991),
    [sym_math] = STATE(1991),
    [sym__expr] = STATE(1991),
    [sym_ident] = STATE(1991),
    [sym_bool] = STATE(1991),
    [sym_number] = STATE(1991),
    [sym_string] = STATE(1991),
    [sym_tagged] = STATE(1991),
    [sym_context] = STATE(1991),
    [sym_elude] = STATE(1991),
    [sym_assign] = STATE(1991),
    [sym_lambda] = STATE(1991),
    [sym_or] = STATE(1991),
    [sym_not] = STATE(1991),
    [sym_and] = STATE(1991),
    [sym_cmp] = STATE(1991),
    [sym_in] = STATE(1991),
    [sym_add] = STATE(1991),
    [sym_sub] = STATE(1991),
    [sym_mul] = STATE(1991),
    [sym_div] = STATE(1991),
    [sym_sign] = STATE(1991),
    [sym_call] = STATE(1991),
    [sym_field] = STATE(1991),
    [sym_label] = STATE(1991),
    [sym_content] = STATE(1991),
    [sym_group] = STATE(1991),
    [sym_block] = STATE(1991),
    [sym_branch] = STATE(1991),
    [sym_let] = STATE(1991),
    [sym_set] = STATE(1991),
    [sym_import] = STATE(1991),
    [sym_include] = STATE(1991),
    [sym_for] = STATE(1991),
    [sym_while] = STATE(1991),
    [sym_show] = STATE(1991),
    [sym_return] = STATE(1991),
    [sym_flow] = STATE(1991),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2011),
    [sym_none] = ACTIONS(2011),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [306] = {
    [sym_raw_blck] = STATE(2337),
    [sym_raw_span] = STATE(2337),
    [sym_math] = STATE(2337),
    [sym__expr] = STATE(2337),
    [sym_ident] = STATE(2337),
    [sym_bool] = STATE(2337),
    [sym_number] = STATE(2337),
    [sym_string] = STATE(2337),
    [sym_tagged] = STATE(2337),
    [sym_context] = STATE(2337),
    [sym_elude] = STATE(2337),
    [sym_assign] = STATE(2337),
    [sym_lambda] = STATE(2337),
    [sym_or] = STATE(2337),
    [sym_not] = STATE(2337),
    [sym_and] = STATE(2337),
    [sym_cmp] = STATE(2337),
    [sym_in] = STATE(2337),
    [sym_add] = STATE(2337),
    [sym_sub] = STATE(2337),
    [sym_mul] = STATE(2337),
    [sym_div] = STATE(2337),
    [sym_sign] = STATE(2337),
    [sym_call] = STATE(2337),
    [sym_field] = STATE(2337),
    [sym_label] = STATE(2337),
    [sym_content] = STATE(2337),
    [sym_group] = STATE(2337),
    [sym_block] = STATE(2337),
    [sym_branch] = STATE(2337),
    [sym_let] = STATE(2337),
    [sym_set] = STATE(2337),
    [sym_import] = STATE(2337),
    [sym_include] = STATE(2337),
    [sym_for] = STATE(2337),
    [sym_while] = STATE(2337),
    [sym_show] = STATE(2337),
    [sym_return] = STATE(2337),
    [sym_flow] = STATE(2337),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2013),
    [sym_none] = ACTIONS(2013),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [307] = {
    [sym_raw_blck] = STATE(2795),
    [sym_raw_span] = STATE(2795),
    [sym_math] = STATE(2795),
    [sym__expr] = STATE(2795),
    [sym_ident] = STATE(2795),
    [sym_bool] = STATE(2795),
    [sym_number] = STATE(2795),
    [sym_string] = STATE(2795),
    [sym_tagged] = STATE(2795),
    [sym_context] = STATE(2795),
    [sym_elude] = STATE(2795),
    [sym_assign] = STATE(2795),
    [sym_lambda] = STATE(2795),
    [sym_or] = STATE(2795),
    [sym_not] = STATE(2795),
    [sym_and] = STATE(2795),
    [sym_cmp] = STATE(2795),
    [sym_in] = STATE(2795),
    [sym_add] = STATE(2795),
    [sym_sub] = STATE(2795),
    [sym_mul] = STATE(2795),
    [sym_div] = STATE(2795),
    [sym_sign] = STATE(2795),
    [sym_call] = STATE(2795),
    [sym_field] = STATE(2795),
    [sym_label] = STATE(2795),
    [sym_content] = STATE(2795),
    [sym_group] = STATE(2795),
    [sym_block] = STATE(2795),
    [sym_branch] = STATE(2795),
    [sym_let] = STATE(2795),
    [sym_set] = STATE(2795),
    [sym_import] = STATE(2795),
    [sym_include] = STATE(2795),
    [sym_for] = STATE(2795),
    [sym_while] = STATE(2795),
    [sym_show] = STATE(2795),
    [sym_return] = STATE(2795),
    [sym_flow] = STATE(2795),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2015),
    [sym_none] = ACTIONS(2015),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [308] = {
    [sym_raw_blck] = STATE(2336),
    [sym_raw_span] = STATE(2336),
    [sym_math] = STATE(2336),
    [sym__expr] = STATE(2336),
    [sym_ident] = STATE(2336),
    [sym_bool] = STATE(2336),
    [sym_number] = STATE(2336),
    [sym_string] = STATE(2336),
    [sym_tagged] = STATE(2336),
    [sym_context] = STATE(2336),
    [sym_elude] = STATE(2336),
    [sym_assign] = STATE(2336),
    [sym_lambda] = STATE(2336),
    [sym_or] = STATE(2336),
    [sym_not] = STATE(2336),
    [sym_and] = STATE(2336),
    [sym_cmp] = STATE(2336),
    [sym_in] = STATE(2336),
    [sym_add] = STATE(2336),
    [sym_sub] = STATE(2336),
    [sym_mul] = STATE(2336),
    [sym_div] = STATE(2336),
    [sym_sign] = STATE(2336),
    [sym_call] = STATE(2336),
    [sym_field] = STATE(2336),
    [sym_label] = STATE(2336),
    [sym_content] = STATE(2336),
    [sym_group] = STATE(2336),
    [sym_block] = STATE(2336),
    [sym_branch] = STATE(2336),
    [sym_let] = STATE(2336),
    [sym_set] = STATE(2336),
    [sym_import] = STATE(2336),
    [sym_include] = STATE(2336),
    [sym_for] = STATE(2336),
    [sym_while] = STATE(2336),
    [sym_show] = STATE(2336),
    [sym_return] = STATE(2336),
    [sym_flow] = STATE(2336),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2017),
    [sym_none] = ACTIONS(2017),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [309] = {
    [sym_raw_blck] = STATE(2046),
    [sym_raw_span] = STATE(2046),
    [sym_math] = STATE(2046),
    [sym__expr] = STATE(2046),
    [sym_ident] = STATE(2046),
    [sym_bool] = STATE(2046),
    [sym_number] = STATE(2046),
    [sym_string] = STATE(2046),
    [sym_tagged] = STATE(2046),
    [sym_context] = STATE(2046),
    [sym_elude] = STATE(2046),
    [sym_assign] = STATE(2046),
    [sym_lambda] = STATE(2046),
    [sym_or] = STATE(2046),
    [sym_not] = STATE(2046),
    [sym_and] = STATE(2046),
    [sym_cmp] = STATE(2046),
    [sym_in] = STATE(2046),
    [sym_add] = STATE(2046),
    [sym_sub] = STATE(2046),
    [sym_mul] = STATE(2046),
    [sym_div] = STATE(2046),
    [sym_sign] = STATE(2046),
    [sym_call] = STATE(2046),
    [sym_field] = STATE(2046),
    [sym_label] = STATE(2046),
    [sym_content] = STATE(2046),
    [sym_group] = STATE(2046),
    [sym_block] = STATE(2046),
    [sym_branch] = STATE(2046),
    [sym_let] = STATE(2046),
    [sym_set] = STATE(2046),
    [sym_import] = STATE(2046),
    [sym_include] = STATE(2046),
    [sym_for] = STATE(2046),
    [sym_while] = STATE(2046),
    [sym_show] = STATE(2046),
    [sym_return] = STATE(2046),
    [sym_flow] = STATE(2046),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2019),
    [sym_none] = ACTIONS(2019),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [310] = {
    [sym_raw_blck] = STATE(2941),
    [sym_raw_span] = STATE(2941),
    [sym_math] = STATE(2941),
    [sym__expr] = STATE(2941),
    [sym_ident] = STATE(2941),
    [sym_bool] = STATE(2941),
    [sym_number] = STATE(2941),
    [sym_string] = STATE(2941),
    [sym_tagged] = STATE(2941),
    [sym_context] = STATE(2941),
    [sym_elude] = STATE(2941),
    [sym_assign] = STATE(2941),
    [sym_lambda] = STATE(2941),
    [sym_or] = STATE(2941),
    [sym_not] = STATE(2941),
    [sym_and] = STATE(2941),
    [sym_cmp] = STATE(2941),
    [sym_in] = STATE(2941),
    [sym_add] = STATE(2941),
    [sym_sub] = STATE(2941),
    [sym_mul] = STATE(2941),
    [sym_div] = STATE(2941),
    [sym_sign] = STATE(2941),
    [sym_call] = STATE(2941),
    [sym_field] = STATE(2941),
    [sym_label] = STATE(2941),
    [sym_content] = STATE(2941),
    [sym_group] = STATE(2941),
    [sym_block] = STATE(2941),
    [sym_branch] = STATE(2941),
    [sym_let] = STATE(2941),
    [sym_set] = STATE(2941),
    [sym_import] = STATE(2941),
    [sym_include] = STATE(2941),
    [sym_for] = STATE(2941),
    [sym_while] = STATE(2941),
    [sym_show] = STATE(2941),
    [sym_return] = STATE(2941),
    [sym_flow] = STATE(2941),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2021),
    [sym_none] = ACTIONS(2021),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [311] = {
    [sym_raw_blck] = STATE(2324),
    [sym_raw_span] = STATE(2324),
    [sym_math] = STATE(2324),
    [sym__expr] = STATE(2324),
    [sym_ident] = STATE(2324),
    [sym_bool] = STATE(2324),
    [sym_number] = STATE(2324),
    [sym_string] = STATE(2324),
    [sym_tagged] = STATE(2324),
    [sym_context] = STATE(2324),
    [sym_elude] = STATE(2324),
    [sym_assign] = STATE(2324),
    [sym_lambda] = STATE(2324),
    [sym_or] = STATE(2324),
    [sym_not] = STATE(2324),
    [sym_and] = STATE(2324),
    [sym_cmp] = STATE(2324),
    [sym_in] = STATE(2324),
    [sym_add] = STATE(2324),
    [sym_sub] = STATE(2324),
    [sym_mul] = STATE(2324),
    [sym_div] = STATE(2324),
    [sym_sign] = STATE(2324),
    [sym_call] = STATE(2324),
    [sym_field] = STATE(2324),
    [sym_label] = STATE(2324),
    [sym_content] = STATE(2324),
    [sym_group] = STATE(2324),
    [sym_block] = STATE(2324),
    [sym_branch] = STATE(2324),
    [sym_let] = STATE(2324),
    [sym_set] = STATE(2324),
    [sym_import] = STATE(2324),
    [sym_include] = STATE(2324),
    [sym_for] = STATE(2324),
    [sym_while] = STATE(2324),
    [sym_show] = STATE(2324),
    [sym_return] = STATE(2324),
    [sym_flow] = STATE(2324),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2027),
    [sym_none] = ACTIONS(2027),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [312] = {
    [sym_raw_blck] = STATE(2321),
    [sym_raw_span] = STATE(2321),
    [sym_math] = STATE(2321),
    [sym__expr] = STATE(2321),
    [sym_ident] = STATE(2321),
    [sym_bool] = STATE(2321),
    [sym_number] = STATE(2321),
    [sym_string] = STATE(2321),
    [sym_tagged] = STATE(2321),
    [sym_context] = STATE(2321),
    [sym_elude] = STATE(2321),
    [sym_assign] = STATE(2321),
    [sym_lambda] = STATE(2321),
    [sym_or] = STATE(2321),
    [sym_not] = STATE(2321),
    [sym_and] = STATE(2321),
    [sym_cmp] = STATE(2321),
    [sym_in] = STATE(2321),
    [sym_add] = STATE(2321),
    [sym_sub] = STATE(2321),
    [sym_mul] = STATE(2321),
    [sym_div] = STATE(2321),
    [sym_sign] = STATE(2321),
    [sym_call] = STATE(2321),
    [sym_field] = STATE(2321),
    [sym_label] = STATE(2321),
    [sym_content] = STATE(2321),
    [sym_group] = STATE(2321),
    [sym_block] = STATE(2321),
    [sym_branch] = STATE(2321),
    [sym_let] = STATE(2321),
    [sym_set] = STATE(2321),
    [sym_import] = STATE(2321),
    [sym_include] = STATE(2321),
    [sym_for] = STATE(2321),
    [sym_while] = STATE(2321),
    [sym_show] = STATE(2321),
    [sym_return] = STATE(2321),
    [sym_flow] = STATE(2321),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2029),
    [sym_none] = ACTIONS(2029),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [313] = {
    [sym_raw_blck] = STATE(2318),
    [sym_raw_span] = STATE(2318),
    [sym_math] = STATE(2318),
    [sym__expr] = STATE(2318),
    [sym_ident] = STATE(2318),
    [sym_bool] = STATE(2318),
    [sym_number] = STATE(2318),
    [sym_string] = STATE(2318),
    [sym_tagged] = STATE(2318),
    [sym_context] = STATE(2318),
    [sym_elude] = STATE(2318),
    [sym_assign] = STATE(2318),
    [sym_lambda] = STATE(2318),
    [sym_or] = STATE(2318),
    [sym_not] = STATE(2318),
    [sym_and] = STATE(2318),
    [sym_cmp] = STATE(2318),
    [sym_in] = STATE(2318),
    [sym_add] = STATE(2318),
    [sym_sub] = STATE(2318),
    [sym_mul] = STATE(2318),
    [sym_div] = STATE(2318),
    [sym_sign] = STATE(2318),
    [sym_call] = STATE(2318),
    [sym_field] = STATE(2318),
    [sym_label] = STATE(2318),
    [sym_content] = STATE(2318),
    [sym_group] = STATE(2318),
    [sym_block] = STATE(2318),
    [sym_branch] = STATE(2318),
    [sym_let] = STATE(2318),
    [sym_set] = STATE(2318),
    [sym_import] = STATE(2318),
    [sym_include] = STATE(2318),
    [sym_for] = STATE(2318),
    [sym_while] = STATE(2318),
    [sym_show] = STATE(2318),
    [sym_return] = STATE(2318),
    [sym_flow] = STATE(2318),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2031),
    [sym_none] = ACTIONS(2031),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [314] = {
    [sym_raw_blck] = STATE(2306),
    [sym_raw_span] = STATE(2306),
    [sym_math] = STATE(2306),
    [sym__expr] = STATE(2306),
    [sym_ident] = STATE(2306),
    [sym_bool] = STATE(2306),
    [sym_number] = STATE(2306),
    [sym_string] = STATE(2306),
    [sym_tagged] = STATE(2306),
    [sym_context] = STATE(2306),
    [sym_elude] = STATE(2306),
    [sym_assign] = STATE(2306),
    [sym_lambda] = STATE(2306),
    [sym_or] = STATE(2306),
    [sym_not] = STATE(2306),
    [sym_and] = STATE(2306),
    [sym_cmp] = STATE(2306),
    [sym_in] = STATE(2306),
    [sym_add] = STATE(2306),
    [sym_sub] = STATE(2306),
    [sym_mul] = STATE(2306),
    [sym_div] = STATE(2306),
    [sym_sign] = STATE(2306),
    [sym_call] = STATE(2306),
    [sym_field] = STATE(2306),
    [sym_label] = STATE(2306),
    [sym_content] = STATE(2306),
    [sym_group] = STATE(2306),
    [sym_block] = STATE(2306),
    [sym_branch] = STATE(2306),
    [sym_let] = STATE(2306),
    [sym_set] = STATE(2306),
    [sym_import] = STATE(2306),
    [sym_include] = STATE(2306),
    [sym_for] = STATE(2306),
    [sym_while] = STATE(2306),
    [sym_show] = STATE(2306),
    [sym_return] = STATE(2306),
    [sym_flow] = STATE(2306),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2033),
    [sym_none] = ACTIONS(2033),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [315] = {
    [sym_raw_blck] = STATE(2305),
    [sym_raw_span] = STATE(2305),
    [sym_math] = STATE(2305),
    [sym__expr] = STATE(2305),
    [sym_ident] = STATE(2305),
    [sym_bool] = STATE(2305),
    [sym_number] = STATE(2305),
    [sym_string] = STATE(2305),
    [sym_tagged] = STATE(2305),
    [sym_context] = STATE(2305),
    [sym_elude] = STATE(2305),
    [sym_assign] = STATE(2305),
    [sym_lambda] = STATE(2305),
    [sym_or] = STATE(2305),
    [sym_not] = STATE(2305),
    [sym_and] = STATE(2305),
    [sym_cmp] = STATE(2305),
    [sym_in] = STATE(2305),
    [sym_add] = STATE(2305),
    [sym_sub] = STATE(2305),
    [sym_mul] = STATE(2305),
    [sym_div] = STATE(2305),
    [sym_sign] = STATE(2305),
    [sym_call] = STATE(2305),
    [sym_field] = STATE(2305),
    [sym_label] = STATE(2305),
    [sym_content] = STATE(2305),
    [sym_group] = STATE(2305),
    [sym_block] = STATE(2305),
    [sym_branch] = STATE(2305),
    [sym_let] = STATE(2305),
    [sym_set] = STATE(2305),
    [sym_import] = STATE(2305),
    [sym_include] = STATE(2305),
    [sym_for] = STATE(2305),
    [sym_while] = STATE(2305),
    [sym_show] = STATE(2305),
    [sym_return] = STATE(2305),
    [sym_flow] = STATE(2305),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2035),
    [sym_none] = ACTIONS(2035),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [316] = {
    [sym_raw_blck] = STATE(2303),
    [sym_raw_span] = STATE(2303),
    [sym_math] = STATE(2303),
    [sym__expr] = STATE(2303),
    [sym_ident] = STATE(2303),
    [sym_bool] = STATE(2303),
    [sym_number] = STATE(2303),
    [sym_string] = STATE(2303),
    [sym_tagged] = STATE(2303),
    [sym_context] = STATE(2303),
    [sym_elude] = STATE(2303),
    [sym_assign] = STATE(2303),
    [sym_lambda] = STATE(2303),
    [sym_or] = STATE(2303),
    [sym_not] = STATE(2303),
    [sym_and] = STATE(2303),
    [sym_cmp] = STATE(2303),
    [sym_in] = STATE(2303),
    [sym_add] = STATE(2303),
    [sym_sub] = STATE(2303),
    [sym_mul] = STATE(2303),
    [sym_div] = STATE(2303),
    [sym_sign] = STATE(2303),
    [sym_call] = STATE(2303),
    [sym_field] = STATE(2303),
    [sym_label] = STATE(2303),
    [sym_content] = STATE(2303),
    [sym_group] = STATE(2303),
    [sym_block] = STATE(2303),
    [sym_branch] = STATE(2303),
    [sym_let] = STATE(2303),
    [sym_set] = STATE(2303),
    [sym_import] = STATE(2303),
    [sym_include] = STATE(2303),
    [sym_for] = STATE(2303),
    [sym_while] = STATE(2303),
    [sym_show] = STATE(2303),
    [sym_return] = STATE(2303),
    [sym_flow] = STATE(2303),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2037),
    [sym_none] = ACTIONS(2037),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [317] = {
    [sym_raw_blck] = STATE(2301),
    [sym_raw_span] = STATE(2301),
    [sym_math] = STATE(2301),
    [sym__expr] = STATE(2301),
    [sym_ident] = STATE(2301),
    [sym_bool] = STATE(2301),
    [sym_number] = STATE(2301),
    [sym_string] = STATE(2301),
    [sym_tagged] = STATE(2301),
    [sym_context] = STATE(2301),
    [sym_elude] = STATE(2301),
    [sym_assign] = STATE(2301),
    [sym_lambda] = STATE(2301),
    [sym_or] = STATE(2301),
    [sym_not] = STATE(2301),
    [sym_and] = STATE(2301),
    [sym_cmp] = STATE(2301),
    [sym_in] = STATE(2301),
    [sym_add] = STATE(2301),
    [sym_sub] = STATE(2301),
    [sym_mul] = STATE(2301),
    [sym_div] = STATE(2301),
    [sym_sign] = STATE(2301),
    [sym_call] = STATE(2301),
    [sym_field] = STATE(2301),
    [sym_label] = STATE(2301),
    [sym_content] = STATE(2301),
    [sym_group] = STATE(2301),
    [sym_block] = STATE(2301),
    [sym_branch] = STATE(2301),
    [sym_let] = STATE(2301),
    [sym_set] = STATE(2301),
    [sym_import] = STATE(2301),
    [sym_include] = STATE(2301),
    [sym_for] = STATE(2301),
    [sym_while] = STATE(2301),
    [sym_show] = STATE(2301),
    [sym_return] = STATE(2301),
    [sym_flow] = STATE(2301),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2039),
    [sym_none] = ACTIONS(2039),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [318] = {
    [sym_raw_blck] = STATE(2987),
    [sym_raw_span] = STATE(2987),
    [sym_math] = STATE(2987),
    [sym__expr] = STATE(2987),
    [sym_ident] = STATE(2987),
    [sym_bool] = STATE(2987),
    [sym_number] = STATE(2987),
    [sym_string] = STATE(2987),
    [sym_tagged] = STATE(2987),
    [sym_context] = STATE(2987),
    [sym_elude] = STATE(2987),
    [sym_assign] = STATE(2987),
    [sym_lambda] = STATE(2987),
    [sym_or] = STATE(2987),
    [sym_not] = STATE(2987),
    [sym_and] = STATE(2987),
    [sym_cmp] = STATE(2987),
    [sym_in] = STATE(2987),
    [sym_add] = STATE(2987),
    [sym_sub] = STATE(2987),
    [sym_mul] = STATE(2987),
    [sym_div] = STATE(2987),
    [sym_sign] = STATE(2987),
    [sym_call] = STATE(2987),
    [sym_field] = STATE(2987),
    [sym_label] = STATE(2987),
    [sym_content] = STATE(2987),
    [sym_group] = STATE(2987),
    [sym_block] = STATE(2987),
    [sym_branch] = STATE(2987),
    [sym_let] = STATE(2987),
    [sym_set] = STATE(2987),
    [sym_import] = STATE(2987),
    [sym_include] = STATE(2987),
    [sym_for] = STATE(2987),
    [sym_while] = STATE(2987),
    [sym_show] = STATE(2987),
    [sym_return] = STATE(2987),
    [sym_flow] = STATE(2987),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2041),
    [sym_none] = ACTIONS(2041),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [319] = {
    [sym_raw_blck] = STATE(1752),
    [sym_raw_span] = STATE(1752),
    [sym_math] = STATE(1752),
    [sym__expr] = STATE(1752),
    [sym_ident] = STATE(1752),
    [sym_bool] = STATE(1752),
    [sym_number] = STATE(1752),
    [sym_string] = STATE(1752),
    [sym_tagged] = STATE(1752),
    [sym_context] = STATE(1752),
    [sym_elude] = STATE(1752),
    [sym_assign] = STATE(1752),
    [sym_lambda] = STATE(1752),
    [sym_or] = STATE(1752),
    [sym_not] = STATE(1752),
    [sym_and] = STATE(1752),
    [sym_cmp] = STATE(1752),
    [sym_in] = STATE(1752),
    [sym_add] = STATE(1752),
    [sym_sub] = STATE(1752),
    [sym_mul] = STATE(1752),
    [sym_div] = STATE(1752),
    [sym_sign] = STATE(1752),
    [sym_call] = STATE(1752),
    [sym_field] = STATE(1752),
    [sym_label] = STATE(1752),
    [sym_content] = STATE(1752),
    [sym_group] = STATE(1752),
    [sym_block] = STATE(1752),
    [sym_branch] = STATE(1752),
    [sym_let] = STATE(1752),
    [sym_set] = STATE(1752),
    [sym_import] = STATE(1752),
    [sym_include] = STATE(1752),
    [sym_for] = STATE(1752),
    [sym_while] = STATE(1752),
    [sym_show] = STATE(1752),
    [sym_return] = STATE(1752),
    [sym_flow] = STATE(1752),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2043),
    [sym_none] = ACTIONS(2043),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [320] = {
    [sym_raw_blck] = STATE(1750),
    [sym_raw_span] = STATE(1750),
    [sym_math] = STATE(1750),
    [sym__expr] = STATE(1750),
    [sym_ident] = STATE(1750),
    [sym_bool] = STATE(1750),
    [sym_number] = STATE(1750),
    [sym_string] = STATE(1750),
    [sym_tagged] = STATE(1750),
    [sym_context] = STATE(1750),
    [sym_elude] = STATE(1750),
    [sym_assign] = STATE(1750),
    [sym_lambda] = STATE(1750),
    [sym_or] = STATE(1750),
    [sym_not] = STATE(1750),
    [sym_and] = STATE(1750),
    [sym_cmp] = STATE(1750),
    [sym_in] = STATE(1750),
    [sym_add] = STATE(1750),
    [sym_sub] = STATE(1750),
    [sym_mul] = STATE(1750),
    [sym_div] = STATE(1750),
    [sym_sign] = STATE(1750),
    [sym_call] = STATE(1750),
    [sym_field] = STATE(1750),
    [sym_label] = STATE(1750),
    [sym_content] = STATE(1750),
    [sym_group] = STATE(1750),
    [sym_block] = STATE(1750),
    [sym_branch] = STATE(1750),
    [sym_let] = STATE(1750),
    [sym_set] = STATE(1750),
    [sym_import] = STATE(1750),
    [sym_include] = STATE(1750),
    [sym_for] = STATE(1750),
    [sym_while] = STATE(1750),
    [sym_show] = STATE(1750),
    [sym_return] = STATE(1750),
    [sym_flow] = STATE(1750),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2045),
    [sym_none] = ACTIONS(2045),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [321] = {
    [sym_raw_blck] = STATE(2054),
    [sym_raw_span] = STATE(2054),
    [sym_math] = STATE(2054),
    [sym__expr] = STATE(2054),
    [sym_ident] = STATE(2054),
    [sym_bool] = STATE(2054),
    [sym_number] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym_tagged] = STATE(2054),
    [sym_context] = STATE(2054),
    [sym_elude] = STATE(2054),
    [sym_assign] = STATE(2054),
    [sym_lambda] = STATE(2054),
    [sym_or] = STATE(2054),
    [sym_not] = STATE(2054),
    [sym_and] = STATE(2054),
    [sym_cmp] = STATE(2054),
    [sym_in] = STATE(2054),
    [sym_add] = STATE(2054),
    [sym_sub] = STATE(2054),
    [sym_mul] = STATE(2054),
    [sym_div] = STATE(2054),
    [sym_sign] = STATE(2054),
    [sym_call] = STATE(2054),
    [sym_field] = STATE(2054),
    [sym_label] = STATE(2054),
    [sym_content] = STATE(2054),
    [sym_group] = STATE(2054),
    [sym_block] = STATE(2054),
    [sym_branch] = STATE(2054),
    [sym_let] = STATE(2054),
    [sym_set] = STATE(2054),
    [sym_import] = STATE(2054),
    [sym_include] = STATE(2054),
    [sym_for] = STATE(2054),
    [sym_while] = STATE(2054),
    [sym_show] = STATE(2054),
    [sym_return] = STATE(2054),
    [sym_flow] = STATE(2054),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2047),
    [sym_none] = ACTIONS(2047),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [322] = {
    [sym_raw_blck] = STATE(2300),
    [sym_raw_span] = STATE(2300),
    [sym_math] = STATE(2300),
    [sym__expr] = STATE(2300),
    [sym_ident] = STATE(2300),
    [sym_bool] = STATE(2300),
    [sym_number] = STATE(2300),
    [sym_string] = STATE(2300),
    [sym_tagged] = STATE(2300),
    [sym_context] = STATE(2300),
    [sym_elude] = STATE(2300),
    [sym_assign] = STATE(2300),
    [sym_lambda] = STATE(2300),
    [sym_or] = STATE(2300),
    [sym_not] = STATE(2300),
    [sym_and] = STATE(2300),
    [sym_cmp] = STATE(2300),
    [sym_in] = STATE(2300),
    [sym_add] = STATE(2300),
    [sym_sub] = STATE(2300),
    [sym_mul] = STATE(2300),
    [sym_div] = STATE(2300),
    [sym_sign] = STATE(2300),
    [sym_call] = STATE(2300),
    [sym_field] = STATE(2300),
    [sym_label] = STATE(2300),
    [sym_content] = STATE(2300),
    [sym_group] = STATE(2300),
    [sym_block] = STATE(2300),
    [sym_branch] = STATE(2300),
    [sym_let] = STATE(2300),
    [sym_set] = STATE(2300),
    [sym_import] = STATE(2300),
    [sym_include] = STATE(2300),
    [sym_for] = STATE(2300),
    [sym_while] = STATE(2300),
    [sym_show] = STATE(2300),
    [sym_return] = STATE(2300),
    [sym_flow] = STATE(2300),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2049),
    [sym_none] = ACTIONS(2049),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [323] = {
    [sym_raw_blck] = STATE(2984),
    [sym_raw_span] = STATE(2984),
    [sym_math] = STATE(2984),
    [sym__expr] = STATE(2984),
    [sym_ident] = STATE(2984),
    [sym_bool] = STATE(2984),
    [sym_number] = STATE(2984),
    [sym_string] = STATE(2984),
    [sym_tagged] = STATE(2984),
    [sym_context] = STATE(2984),
    [sym_elude] = STATE(2984),
    [sym_assign] = STATE(2984),
    [sym_lambda] = STATE(2984),
    [sym_or] = STATE(2984),
    [sym_not] = STATE(2984),
    [sym_and] = STATE(2984),
    [sym_cmp] = STATE(2984),
    [sym_in] = STATE(2984),
    [sym_add] = STATE(2984),
    [sym_sub] = STATE(2984),
    [sym_mul] = STATE(2984),
    [sym_div] = STATE(2984),
    [sym_sign] = STATE(2984),
    [sym_call] = STATE(2984),
    [sym_field] = STATE(2984),
    [sym_label] = STATE(2984),
    [sym_content] = STATE(2984),
    [sym_group] = STATE(2984),
    [sym_block] = STATE(2984),
    [sym_branch] = STATE(2984),
    [sym_let] = STATE(2984),
    [sym_set] = STATE(2984),
    [sym_import] = STATE(2984),
    [sym_include] = STATE(2984),
    [sym_for] = STATE(2984),
    [sym_while] = STATE(2984),
    [sym_show] = STATE(2984),
    [sym_return] = STATE(2984),
    [sym_flow] = STATE(2984),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2051),
    [sym_none] = ACTIONS(2051),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [324] = {
    [sym_raw_blck] = STATE(1722),
    [sym_raw_span] = STATE(1722),
    [sym_math] = STATE(1722),
    [sym__expr] = STATE(1722),
    [sym_ident] = STATE(1722),
    [sym_bool] = STATE(1722),
    [sym_number] = STATE(1722),
    [sym_string] = STATE(1722),
    [sym_tagged] = STATE(1722),
    [sym_context] = STATE(1722),
    [sym_elude] = STATE(1722),
    [sym_assign] = STATE(1722),
    [sym_lambda] = STATE(1722),
    [sym_or] = STATE(1722),
    [sym_not] = STATE(1722),
    [sym_and] = STATE(1722),
    [sym_cmp] = STATE(1722),
    [sym_in] = STATE(1722),
    [sym_add] = STATE(1722),
    [sym_sub] = STATE(1722),
    [sym_mul] = STATE(1722),
    [sym_div] = STATE(1722),
    [sym_sign] = STATE(1722),
    [sym_call] = STATE(1722),
    [sym_field] = STATE(1722),
    [sym_label] = STATE(1722),
    [sym_content] = STATE(1722),
    [sym_group] = STATE(1722),
    [sym_block] = STATE(1722),
    [sym_branch] = STATE(1722),
    [sym_let] = STATE(1722),
    [sym_set] = STATE(1722),
    [sym_import] = STATE(1722),
    [sym_include] = STATE(1722),
    [sym_for] = STATE(1722),
    [sym_while] = STATE(1722),
    [sym_show] = STATE(1722),
    [sym_return] = STATE(1722),
    [sym_flow] = STATE(1722),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2053),
    [sym_none] = ACTIONS(2053),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [325] = {
    [sym_raw_blck] = STATE(1995),
    [sym_raw_span] = STATE(1995),
    [sym_math] = STATE(1995),
    [sym__expr] = STATE(1995),
    [sym_ident] = STATE(1995),
    [sym_bool] = STATE(1995),
    [sym_number] = STATE(1995),
    [sym_string] = STATE(1995),
    [sym_tagged] = STATE(1995),
    [sym_context] = STATE(1995),
    [sym_elude] = STATE(1995),
    [sym_assign] = STATE(1995),
    [sym_lambda] = STATE(1995),
    [sym_or] = STATE(1995),
    [sym_not] = STATE(1995),
    [sym_and] = STATE(1995),
    [sym_cmp] = STATE(1995),
    [sym_in] = STATE(1995),
    [sym_add] = STATE(1995),
    [sym_sub] = STATE(1995),
    [sym_mul] = STATE(1995),
    [sym_div] = STATE(1995),
    [sym_sign] = STATE(1995),
    [sym_call] = STATE(1995),
    [sym_field] = STATE(1995),
    [sym_label] = STATE(1995),
    [sym_content] = STATE(1995),
    [sym_group] = STATE(1995),
    [sym_block] = STATE(1995),
    [sym_branch] = STATE(1995),
    [sym_let] = STATE(1995),
    [sym_set] = STATE(1995),
    [sym_import] = STATE(1995),
    [sym_include] = STATE(1995),
    [sym_for] = STATE(1995),
    [sym_while] = STATE(1995),
    [sym_show] = STATE(1995),
    [sym_return] = STATE(1995),
    [sym_flow] = STATE(1995),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2055),
    [sym_none] = ACTIONS(2055),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [326] = {
    [sym_raw_blck] = STATE(2299),
    [sym_raw_span] = STATE(2299),
    [sym_math] = STATE(2299),
    [sym__expr] = STATE(2299),
    [sym_ident] = STATE(2299),
    [sym_bool] = STATE(2299),
    [sym_number] = STATE(2299),
    [sym_string] = STATE(2299),
    [sym_tagged] = STATE(2299),
    [sym_context] = STATE(2299),
    [sym_elude] = STATE(2299),
    [sym_assign] = STATE(2299),
    [sym_lambda] = STATE(2299),
    [sym_or] = STATE(2299),
    [sym_not] = STATE(2299),
    [sym_and] = STATE(2299),
    [sym_cmp] = STATE(2299),
    [sym_in] = STATE(2299),
    [sym_add] = STATE(2299),
    [sym_sub] = STATE(2299),
    [sym_mul] = STATE(2299),
    [sym_div] = STATE(2299),
    [sym_sign] = STATE(2299),
    [sym_call] = STATE(2299),
    [sym_field] = STATE(2299),
    [sym_label] = STATE(2299),
    [sym_content] = STATE(2299),
    [sym_group] = STATE(2299),
    [sym_block] = STATE(2299),
    [sym_branch] = STATE(2299),
    [sym_let] = STATE(2299),
    [sym_set] = STATE(2299),
    [sym_import] = STATE(2299),
    [sym_include] = STATE(2299),
    [sym_for] = STATE(2299),
    [sym_while] = STATE(2299),
    [sym_show] = STATE(2299),
    [sym_return] = STATE(2299),
    [sym_flow] = STATE(2299),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2057),
    [sym_none] = ACTIONS(2057),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [327] = {
    [sym_raw_blck] = STATE(2298),
    [sym_raw_span] = STATE(2298),
    [sym_math] = STATE(2298),
    [sym__expr] = STATE(2298),
    [sym_ident] = STATE(2298),
    [sym_bool] = STATE(2298),
    [sym_number] = STATE(2298),
    [sym_string] = STATE(2298),
    [sym_tagged] = STATE(2298),
    [sym_context] = STATE(2298),
    [sym_elude] = STATE(2298),
    [sym_assign] = STATE(2298),
    [sym_lambda] = STATE(2298),
    [sym_or] = STATE(2298),
    [sym_not] = STATE(2298),
    [sym_and] = STATE(2298),
    [sym_cmp] = STATE(2298),
    [sym_in] = STATE(2298),
    [sym_add] = STATE(2298),
    [sym_sub] = STATE(2298),
    [sym_mul] = STATE(2298),
    [sym_div] = STATE(2298),
    [sym_sign] = STATE(2298),
    [sym_call] = STATE(2298),
    [sym_field] = STATE(2298),
    [sym_label] = STATE(2298),
    [sym_content] = STATE(2298),
    [sym_group] = STATE(2298),
    [sym_block] = STATE(2298),
    [sym_branch] = STATE(2298),
    [sym_let] = STATE(2298),
    [sym_set] = STATE(2298),
    [sym_import] = STATE(2298),
    [sym_include] = STATE(2298),
    [sym_for] = STATE(2298),
    [sym_while] = STATE(2298),
    [sym_show] = STATE(2298),
    [sym_return] = STATE(2298),
    [sym_flow] = STATE(2298),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2059),
    [sym_none] = ACTIONS(2059),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [328] = {
    [sym_raw_blck] = STATE(2797),
    [sym_raw_span] = STATE(2797),
    [sym_math] = STATE(2797),
    [sym__expr] = STATE(2797),
    [sym_ident] = STATE(2797),
    [sym_bool] = STATE(2797),
    [sym_number] = STATE(2797),
    [sym_string] = STATE(2797),
    [sym_tagged] = STATE(2797),
    [sym_context] = STATE(2797),
    [sym_elude] = STATE(2797),
    [sym_assign] = STATE(2797),
    [sym_lambda] = STATE(2797),
    [sym_or] = STATE(2797),
    [sym_not] = STATE(2797),
    [sym_and] = STATE(2797),
    [sym_cmp] = STATE(2797),
    [sym_in] = STATE(2797),
    [sym_add] = STATE(2797),
    [sym_sub] = STATE(2797),
    [sym_mul] = STATE(2797),
    [sym_div] = STATE(2797),
    [sym_sign] = STATE(2797),
    [sym_call] = STATE(2797),
    [sym_field] = STATE(2797),
    [sym_label] = STATE(2797),
    [sym_content] = STATE(2797),
    [sym_group] = STATE(2797),
    [sym_block] = STATE(2797),
    [sym_branch] = STATE(2797),
    [sym_let] = STATE(2797),
    [sym_set] = STATE(2797),
    [sym_import] = STATE(2797),
    [sym_include] = STATE(2797),
    [sym_for] = STATE(2797),
    [sym_while] = STATE(2797),
    [sym_show] = STATE(2797),
    [sym_return] = STATE(2797),
    [sym_flow] = STATE(2797),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2061),
    [sym_none] = ACTIONS(2061),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [329] = {
    [sym_raw_blck] = STATE(2578),
    [sym_raw_span] = STATE(2578),
    [sym_math] = STATE(2578),
    [sym__expr] = STATE(2578),
    [sym_ident] = STATE(2578),
    [sym_bool] = STATE(2578),
    [sym_number] = STATE(2578),
    [sym_string] = STATE(2578),
    [sym_tagged] = STATE(2578),
    [sym_context] = STATE(2578),
    [sym_elude] = STATE(2578),
    [sym_assign] = STATE(2578),
    [sym_lambda] = STATE(2578),
    [sym_or] = STATE(2578),
    [sym_not] = STATE(2578),
    [sym_and] = STATE(2578),
    [sym_cmp] = STATE(2578),
    [sym_in] = STATE(2578),
    [sym_add] = STATE(2578),
    [sym_sub] = STATE(2578),
    [sym_mul] = STATE(2578),
    [sym_div] = STATE(2578),
    [sym_sign] = STATE(2578),
    [sym_call] = STATE(2578),
    [sym_field] = STATE(2578),
    [sym_label] = STATE(2578),
    [sym_content] = STATE(2578),
    [sym_group] = STATE(2578),
    [sym_block] = STATE(2578),
    [sym_branch] = STATE(2578),
    [sym_let] = STATE(2578),
    [sym_set] = STATE(2578),
    [sym_import] = STATE(2578),
    [sym_include] = STATE(2578),
    [sym_for] = STATE(2578),
    [sym_while] = STATE(2578),
    [sym_show] = STATE(2578),
    [sym_return] = STATE(2578),
    [sym_flow] = STATE(2578),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2063),
    [sym_none] = ACTIONS(2063),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [330] = {
    [sym_raw_blck] = STATE(2798),
    [sym_raw_span] = STATE(2798),
    [sym_math] = STATE(2798),
    [sym__expr] = STATE(2798),
    [sym_ident] = STATE(2798),
    [sym_bool] = STATE(2798),
    [sym_number] = STATE(2798),
    [sym_string] = STATE(2798),
    [sym_tagged] = STATE(2798),
    [sym_context] = STATE(2798),
    [sym_elude] = STATE(2798),
    [sym_assign] = STATE(2798),
    [sym_lambda] = STATE(2798),
    [sym_or] = STATE(2798),
    [sym_not] = STATE(2798),
    [sym_and] = STATE(2798),
    [sym_cmp] = STATE(2798),
    [sym_in] = STATE(2798),
    [sym_add] = STATE(2798),
    [sym_sub] = STATE(2798),
    [sym_mul] = STATE(2798),
    [sym_div] = STATE(2798),
    [sym_sign] = STATE(2798),
    [sym_call] = STATE(2798),
    [sym_field] = STATE(2798),
    [sym_label] = STATE(2798),
    [sym_content] = STATE(2798),
    [sym_group] = STATE(2798),
    [sym_block] = STATE(2798),
    [sym_branch] = STATE(2798),
    [sym_let] = STATE(2798),
    [sym_set] = STATE(2798),
    [sym_import] = STATE(2798),
    [sym_include] = STATE(2798),
    [sym_for] = STATE(2798),
    [sym_while] = STATE(2798),
    [sym_show] = STATE(2798),
    [sym_return] = STATE(2798),
    [sym_flow] = STATE(2798),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2065),
    [sym_none] = ACTIONS(2065),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [331] = {
    [sym_raw_blck] = STATE(2905),
    [sym_raw_span] = STATE(2905),
    [sym_math] = STATE(2905),
    [sym__expr] = STATE(2905),
    [sym_ident] = STATE(2905),
    [sym_bool] = STATE(2905),
    [sym_number] = STATE(2905),
    [sym_string] = STATE(2905),
    [sym_tagged] = STATE(2905),
    [sym_context] = STATE(2905),
    [sym_elude] = STATE(2905),
    [sym_assign] = STATE(2905),
    [sym_lambda] = STATE(2905),
    [sym_or] = STATE(2905),
    [sym_not] = STATE(2905),
    [sym_and] = STATE(2905),
    [sym_cmp] = STATE(2905),
    [sym_in] = STATE(2905),
    [sym_add] = STATE(2905),
    [sym_sub] = STATE(2905),
    [sym_mul] = STATE(2905),
    [sym_div] = STATE(2905),
    [sym_sign] = STATE(2905),
    [sym_call] = STATE(2905),
    [sym_field] = STATE(2905),
    [sym_label] = STATE(2905),
    [sym_content] = STATE(2905),
    [sym_group] = STATE(2905),
    [sym_block] = STATE(2905),
    [sym_branch] = STATE(2905),
    [sym_let] = STATE(2905),
    [sym_set] = STATE(2905),
    [sym_import] = STATE(2905),
    [sym_include] = STATE(2905),
    [sym_for] = STATE(2905),
    [sym_while] = STATE(2905),
    [sym_show] = STATE(2905),
    [sym_return] = STATE(2905),
    [sym_flow] = STATE(2905),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2069),
    [sym_none] = ACTIONS(2069),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [332] = {
    [sym_raw_blck] = STATE(2906),
    [sym_raw_span] = STATE(2906),
    [sym_math] = STATE(2906),
    [sym__expr] = STATE(2906),
    [sym_ident] = STATE(2906),
    [sym_bool] = STATE(2906),
    [sym_number] = STATE(2906),
    [sym_string] = STATE(2906),
    [sym_tagged] = STATE(2906),
    [sym_context] = STATE(2906),
    [sym_elude] = STATE(2906),
    [sym_assign] = STATE(2906),
    [sym_lambda] = STATE(2906),
    [sym_or] = STATE(2906),
    [sym_not] = STATE(2906),
    [sym_and] = STATE(2906),
    [sym_cmp] = STATE(2906),
    [sym_in] = STATE(2906),
    [sym_add] = STATE(2906),
    [sym_sub] = STATE(2906),
    [sym_mul] = STATE(2906),
    [sym_div] = STATE(2906),
    [sym_sign] = STATE(2906),
    [sym_call] = STATE(2906),
    [sym_field] = STATE(2906),
    [sym_label] = STATE(2906),
    [sym_content] = STATE(2906),
    [sym_group] = STATE(2906),
    [sym_block] = STATE(2906),
    [sym_branch] = STATE(2906),
    [sym_let] = STATE(2906),
    [sym_set] = STATE(2906),
    [sym_import] = STATE(2906),
    [sym_include] = STATE(2906),
    [sym_for] = STATE(2906),
    [sym_while] = STATE(2906),
    [sym_show] = STATE(2906),
    [sym_return] = STATE(2906),
    [sym_flow] = STATE(2906),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2071),
    [sym_none] = ACTIONS(2071),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [333] = {
    [sym_raw_blck] = STATE(2915),
    [sym_raw_span] = STATE(2915),
    [sym_math] = STATE(2915),
    [sym__expr] = STATE(2915),
    [sym_ident] = STATE(2915),
    [sym_bool] = STATE(2915),
    [sym_number] = STATE(2915),
    [sym_string] = STATE(2915),
    [sym_tagged] = STATE(2915),
    [sym_context] = STATE(2915),
    [sym_elude] = STATE(2915),
    [sym_assign] = STATE(2915),
    [sym_lambda] = STATE(2915),
    [sym_or] = STATE(2915),
    [sym_not] = STATE(2915),
    [sym_and] = STATE(2915),
    [sym_cmp] = STATE(2915),
    [sym_in] = STATE(2915),
    [sym_add] = STATE(2915),
    [sym_sub] = STATE(2915),
    [sym_mul] = STATE(2915),
    [sym_div] = STATE(2915),
    [sym_sign] = STATE(2915),
    [sym_call] = STATE(2915),
    [sym_field] = STATE(2915),
    [sym_label] = STATE(2915),
    [sym_content] = STATE(2915),
    [sym_group] = STATE(2915),
    [sym_block] = STATE(2915),
    [sym_branch] = STATE(2915),
    [sym_let] = STATE(2915),
    [sym_set] = STATE(2915),
    [sym_import] = STATE(2915),
    [sym_include] = STATE(2915),
    [sym_for] = STATE(2915),
    [sym_while] = STATE(2915),
    [sym_show] = STATE(2915),
    [sym_return] = STATE(2915),
    [sym_flow] = STATE(2915),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2073),
    [sym_none] = ACTIONS(2073),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [334] = {
    [sym_raw_blck] = STATE(2297),
    [sym_raw_span] = STATE(2297),
    [sym_math] = STATE(2297),
    [sym__expr] = STATE(2297),
    [sym_ident] = STATE(2297),
    [sym_bool] = STATE(2297),
    [sym_number] = STATE(2297),
    [sym_string] = STATE(2297),
    [sym_tagged] = STATE(2297),
    [sym_context] = STATE(2297),
    [sym_elude] = STATE(2297),
    [sym_assign] = STATE(2297),
    [sym_lambda] = STATE(2297),
    [sym_or] = STATE(2297),
    [sym_not] = STATE(2297),
    [sym_and] = STATE(2297),
    [sym_cmp] = STATE(2297),
    [sym_in] = STATE(2297),
    [sym_add] = STATE(2297),
    [sym_sub] = STATE(2297),
    [sym_mul] = STATE(2297),
    [sym_div] = STATE(2297),
    [sym_sign] = STATE(2297),
    [sym_call] = STATE(2297),
    [sym_field] = STATE(2297),
    [sym_label] = STATE(2297),
    [sym_content] = STATE(2297),
    [sym_group] = STATE(2297),
    [sym_block] = STATE(2297),
    [sym_branch] = STATE(2297),
    [sym_let] = STATE(2297),
    [sym_set] = STATE(2297),
    [sym_import] = STATE(2297),
    [sym_include] = STATE(2297),
    [sym_for] = STATE(2297),
    [sym_while] = STATE(2297),
    [sym_show] = STATE(2297),
    [sym_return] = STATE(2297),
    [sym_flow] = STATE(2297),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2075),
    [sym_none] = ACTIONS(2075),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [335] = {
    [sym_raw_blck] = STATE(2981),
    [sym_raw_span] = STATE(2981),
    [sym_math] = STATE(2981),
    [sym__expr] = STATE(2981),
    [sym_ident] = STATE(2981),
    [sym_bool] = STATE(2981),
    [sym_number] = STATE(2981),
    [sym_string] = STATE(2981),
    [sym_tagged] = STATE(2981),
    [sym_context] = STATE(2981),
    [sym_elude] = STATE(2981),
    [sym_assign] = STATE(2981),
    [sym_lambda] = STATE(2981),
    [sym_or] = STATE(2981),
    [sym_not] = STATE(2981),
    [sym_and] = STATE(2981),
    [sym_cmp] = STATE(2981),
    [sym_in] = STATE(2981),
    [sym_add] = STATE(2981),
    [sym_sub] = STATE(2981),
    [sym_mul] = STATE(2981),
    [sym_div] = STATE(2981),
    [sym_sign] = STATE(2981),
    [sym_call] = STATE(2981),
    [sym_field] = STATE(2981),
    [sym_label] = STATE(2981),
    [sym_content] = STATE(2981),
    [sym_group] = STATE(2981),
    [sym_block] = STATE(2981),
    [sym_branch] = STATE(2981),
    [sym_let] = STATE(2981),
    [sym_set] = STATE(2981),
    [sym_import] = STATE(2981),
    [sym_include] = STATE(2981),
    [sym_for] = STATE(2981),
    [sym_while] = STATE(2981),
    [sym_show] = STATE(2981),
    [sym_return] = STATE(2981),
    [sym_flow] = STATE(2981),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2077),
    [sym_none] = ACTIONS(2077),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [336] = {
    [sym_raw_blck] = STATE(2980),
    [sym_raw_span] = STATE(2980),
    [sym_math] = STATE(2980),
    [sym__expr] = STATE(2980),
    [sym_ident] = STATE(2980),
    [sym_bool] = STATE(2980),
    [sym_number] = STATE(2980),
    [sym_string] = STATE(2980),
    [sym_tagged] = STATE(2980),
    [sym_context] = STATE(2980),
    [sym_elude] = STATE(2980),
    [sym_assign] = STATE(2980),
    [sym_lambda] = STATE(2980),
    [sym_or] = STATE(2980),
    [sym_not] = STATE(2980),
    [sym_and] = STATE(2980),
    [sym_cmp] = STATE(2980),
    [sym_in] = STATE(2980),
    [sym_add] = STATE(2980),
    [sym_sub] = STATE(2980),
    [sym_mul] = STATE(2980),
    [sym_div] = STATE(2980),
    [sym_sign] = STATE(2980),
    [sym_call] = STATE(2980),
    [sym_field] = STATE(2980),
    [sym_label] = STATE(2980),
    [sym_content] = STATE(2980),
    [sym_group] = STATE(2980),
    [sym_block] = STATE(2980),
    [sym_branch] = STATE(2980),
    [sym_let] = STATE(2980),
    [sym_set] = STATE(2980),
    [sym_import] = STATE(2980),
    [sym_include] = STATE(2980),
    [sym_for] = STATE(2980),
    [sym_while] = STATE(2980),
    [sym_show] = STATE(2980),
    [sym_return] = STATE(2980),
    [sym_flow] = STATE(2980),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2079),
    [sym_none] = ACTIONS(2079),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [337] = {
    [sym_raw_blck] = STATE(2296),
    [sym_raw_span] = STATE(2296),
    [sym_math] = STATE(2296),
    [sym__expr] = STATE(2296),
    [sym_ident] = STATE(2296),
    [sym_bool] = STATE(2296),
    [sym_number] = STATE(2296),
    [sym_string] = STATE(2296),
    [sym_tagged] = STATE(2296),
    [sym_context] = STATE(2296),
    [sym_elude] = STATE(2296),
    [sym_assign] = STATE(2296),
    [sym_lambda] = STATE(2296),
    [sym_or] = STATE(2296),
    [sym_not] = STATE(2296),
    [sym_and] = STATE(2296),
    [sym_cmp] = STATE(2296),
    [sym_in] = STATE(2296),
    [sym_add] = STATE(2296),
    [sym_sub] = STATE(2296),
    [sym_mul] = STATE(2296),
    [sym_div] = STATE(2296),
    [sym_sign] = STATE(2296),
    [sym_call] = STATE(2296),
    [sym_field] = STATE(2296),
    [sym_label] = STATE(2296),
    [sym_content] = STATE(2296),
    [sym_group] = STATE(2296),
    [sym_block] = STATE(2296),
    [sym_branch] = STATE(2296),
    [sym_let] = STATE(2296),
    [sym_set] = STATE(2296),
    [sym_import] = STATE(2296),
    [sym_include] = STATE(2296),
    [sym_for] = STATE(2296),
    [sym_while] = STATE(2296),
    [sym_show] = STATE(2296),
    [sym_return] = STATE(2296),
    [sym_flow] = STATE(2296),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2081),
    [sym_none] = ACTIONS(2081),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [338] = {
    [sym_raw_blck] = STATE(2295),
    [sym_raw_span] = STATE(2295),
    [sym_math] = STATE(2295),
    [sym__expr] = STATE(2295),
    [sym_ident] = STATE(2295),
    [sym_bool] = STATE(2295),
    [sym_number] = STATE(2295),
    [sym_string] = STATE(2295),
    [sym_tagged] = STATE(2295),
    [sym_context] = STATE(2295),
    [sym_elude] = STATE(2295),
    [sym_assign] = STATE(2295),
    [sym_lambda] = STATE(2295),
    [sym_or] = STATE(2295),
    [sym_not] = STATE(2295),
    [sym_and] = STATE(2295),
    [sym_cmp] = STATE(2295),
    [sym_in] = STATE(2295),
    [sym_add] = STATE(2295),
    [sym_sub] = STATE(2295),
    [sym_mul] = STATE(2295),
    [sym_div] = STATE(2295),
    [sym_sign] = STATE(2295),
    [sym_call] = STATE(2295),
    [sym_field] = STATE(2295),
    [sym_label] = STATE(2295),
    [sym_content] = STATE(2295),
    [sym_group] = STATE(2295),
    [sym_block] = STATE(2295),
    [sym_branch] = STATE(2295),
    [sym_let] = STATE(2295),
    [sym_set] = STATE(2295),
    [sym_import] = STATE(2295),
    [sym_include] = STATE(2295),
    [sym_for] = STATE(2295),
    [sym_while] = STATE(2295),
    [sym_show] = STATE(2295),
    [sym_return] = STATE(2295),
    [sym_flow] = STATE(2295),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2083),
    [sym_none] = ACTIONS(2083),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [339] = {
    [sym_raw_blck] = STATE(2294),
    [sym_raw_span] = STATE(2294),
    [sym_math] = STATE(2294),
    [sym__expr] = STATE(2294),
    [sym_ident] = STATE(2294),
    [sym_bool] = STATE(2294),
    [sym_number] = STATE(2294),
    [sym_string] = STATE(2294),
    [sym_tagged] = STATE(2294),
    [sym_context] = STATE(2294),
    [sym_elude] = STATE(2294),
    [sym_assign] = STATE(2294),
    [sym_lambda] = STATE(2294),
    [sym_or] = STATE(2294),
    [sym_not] = STATE(2294),
    [sym_and] = STATE(2294),
    [sym_cmp] = STATE(2294),
    [sym_in] = STATE(2294),
    [sym_add] = STATE(2294),
    [sym_sub] = STATE(2294),
    [sym_mul] = STATE(2294),
    [sym_div] = STATE(2294),
    [sym_sign] = STATE(2294),
    [sym_call] = STATE(2294),
    [sym_field] = STATE(2294),
    [sym_label] = STATE(2294),
    [sym_content] = STATE(2294),
    [sym_group] = STATE(2294),
    [sym_block] = STATE(2294),
    [sym_branch] = STATE(2294),
    [sym_let] = STATE(2294),
    [sym_set] = STATE(2294),
    [sym_import] = STATE(2294),
    [sym_include] = STATE(2294),
    [sym_for] = STATE(2294),
    [sym_while] = STATE(2294),
    [sym_show] = STATE(2294),
    [sym_return] = STATE(2294),
    [sym_flow] = STATE(2294),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2085),
    [sym_none] = ACTIONS(2085),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [340] = {
    [sym_raw_blck] = STATE(2293),
    [sym_raw_span] = STATE(2293),
    [sym_math] = STATE(2293),
    [sym__expr] = STATE(2293),
    [sym_ident] = STATE(2293),
    [sym_bool] = STATE(2293),
    [sym_number] = STATE(2293),
    [sym_string] = STATE(2293),
    [sym_tagged] = STATE(2293),
    [sym_context] = STATE(2293),
    [sym_elude] = STATE(2293),
    [sym_assign] = STATE(2293),
    [sym_lambda] = STATE(2293),
    [sym_or] = STATE(2293),
    [sym_not] = STATE(2293),
    [sym_and] = STATE(2293),
    [sym_cmp] = STATE(2293),
    [sym_in] = STATE(2293),
    [sym_add] = STATE(2293),
    [sym_sub] = STATE(2293),
    [sym_mul] = STATE(2293),
    [sym_div] = STATE(2293),
    [sym_sign] = STATE(2293),
    [sym_call] = STATE(2293),
    [sym_field] = STATE(2293),
    [sym_label] = STATE(2293),
    [sym_content] = STATE(2293),
    [sym_group] = STATE(2293),
    [sym_block] = STATE(2293),
    [sym_branch] = STATE(2293),
    [sym_let] = STATE(2293),
    [sym_set] = STATE(2293),
    [sym_import] = STATE(2293),
    [sym_include] = STATE(2293),
    [sym_for] = STATE(2293),
    [sym_while] = STATE(2293),
    [sym_show] = STATE(2293),
    [sym_return] = STATE(2293),
    [sym_flow] = STATE(2293),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2087),
    [sym_none] = ACTIONS(2087),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [341] = {
    [sym_raw_blck] = STATE(2287),
    [sym_raw_span] = STATE(2287),
    [sym_math] = STATE(2287),
    [sym__expr] = STATE(2287),
    [sym_ident] = STATE(2287),
    [sym_bool] = STATE(2287),
    [sym_number] = STATE(2287),
    [sym_string] = STATE(2287),
    [sym_tagged] = STATE(2287),
    [sym_context] = STATE(2287),
    [sym_elude] = STATE(2287),
    [sym_assign] = STATE(2287),
    [sym_lambda] = STATE(2287),
    [sym_or] = STATE(2287),
    [sym_not] = STATE(2287),
    [sym_and] = STATE(2287),
    [sym_cmp] = STATE(2287),
    [sym_in] = STATE(2287),
    [sym_add] = STATE(2287),
    [sym_sub] = STATE(2287),
    [sym_mul] = STATE(2287),
    [sym_div] = STATE(2287),
    [sym_sign] = STATE(2287),
    [sym_call] = STATE(2287),
    [sym_field] = STATE(2287),
    [sym_label] = STATE(2287),
    [sym_content] = STATE(2287),
    [sym_group] = STATE(2287),
    [sym_block] = STATE(2287),
    [sym_branch] = STATE(2287),
    [sym_let] = STATE(2287),
    [sym_set] = STATE(2287),
    [sym_import] = STATE(2287),
    [sym_include] = STATE(2287),
    [sym_for] = STATE(2287),
    [sym_while] = STATE(2287),
    [sym_show] = STATE(2287),
    [sym_return] = STATE(2287),
    [sym_flow] = STATE(2287),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2089),
    [sym_none] = ACTIONS(2089),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [342] = {
    [sym_raw_blck] = STATE(2286),
    [sym_raw_span] = STATE(2286),
    [sym_math] = STATE(2286),
    [sym__expr] = STATE(2286),
    [sym_ident] = STATE(2286),
    [sym_bool] = STATE(2286),
    [sym_number] = STATE(2286),
    [sym_string] = STATE(2286),
    [sym_tagged] = STATE(2286),
    [sym_context] = STATE(2286),
    [sym_elude] = STATE(2286),
    [sym_assign] = STATE(2286),
    [sym_lambda] = STATE(2286),
    [sym_or] = STATE(2286),
    [sym_not] = STATE(2286),
    [sym_and] = STATE(2286),
    [sym_cmp] = STATE(2286),
    [sym_in] = STATE(2286),
    [sym_add] = STATE(2286),
    [sym_sub] = STATE(2286),
    [sym_mul] = STATE(2286),
    [sym_div] = STATE(2286),
    [sym_sign] = STATE(2286),
    [sym_call] = STATE(2286),
    [sym_field] = STATE(2286),
    [sym_label] = STATE(2286),
    [sym_content] = STATE(2286),
    [sym_group] = STATE(2286),
    [sym_block] = STATE(2286),
    [sym_branch] = STATE(2286),
    [sym_let] = STATE(2286),
    [sym_set] = STATE(2286),
    [sym_import] = STATE(2286),
    [sym_include] = STATE(2286),
    [sym_for] = STATE(2286),
    [sym_while] = STATE(2286),
    [sym_show] = STATE(2286),
    [sym_return] = STATE(2286),
    [sym_flow] = STATE(2286),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2091),
    [sym_none] = ACTIONS(2091),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [343] = {
    [sym_raw_blck] = STATE(2283),
    [sym_raw_span] = STATE(2283),
    [sym_math] = STATE(2283),
    [sym__expr] = STATE(2283),
    [sym_ident] = STATE(2283),
    [sym_bool] = STATE(2283),
    [sym_number] = STATE(2283),
    [sym_string] = STATE(2283),
    [sym_tagged] = STATE(2283),
    [sym_context] = STATE(2283),
    [sym_elude] = STATE(2283),
    [sym_assign] = STATE(2283),
    [sym_lambda] = STATE(2283),
    [sym_or] = STATE(2283),
    [sym_not] = STATE(2283),
    [sym_and] = STATE(2283),
    [sym_cmp] = STATE(2283),
    [sym_in] = STATE(2283),
    [sym_add] = STATE(2283),
    [sym_sub] = STATE(2283),
    [sym_mul] = STATE(2283),
    [sym_div] = STATE(2283),
    [sym_sign] = STATE(2283),
    [sym_call] = STATE(2283),
    [sym_field] = STATE(2283),
    [sym_label] = STATE(2283),
    [sym_content] = STATE(2283),
    [sym_group] = STATE(2283),
    [sym_block] = STATE(2283),
    [sym_branch] = STATE(2283),
    [sym_let] = STATE(2283),
    [sym_set] = STATE(2283),
    [sym_import] = STATE(2283),
    [sym_include] = STATE(2283),
    [sym_for] = STATE(2283),
    [sym_while] = STATE(2283),
    [sym_show] = STATE(2283),
    [sym_return] = STATE(2283),
    [sym_flow] = STATE(2283),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2093),
    [sym_none] = ACTIONS(2093),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [344] = {
    [sym_raw_blck] = STATE(1919),
    [sym_raw_span] = STATE(1919),
    [sym_math] = STATE(1919),
    [sym__expr] = STATE(1919),
    [sym_ident] = STATE(1919),
    [sym_bool] = STATE(1919),
    [sym_number] = STATE(1919),
    [sym_string] = STATE(1919),
    [sym_tagged] = STATE(1919),
    [sym_context] = STATE(1919),
    [sym_elude] = STATE(1919),
    [sym_assign] = STATE(1919),
    [sym_lambda] = STATE(1919),
    [sym_or] = STATE(1919),
    [sym_not] = STATE(1919),
    [sym_and] = STATE(1919),
    [sym_cmp] = STATE(1919),
    [sym_in] = STATE(1919),
    [sym_add] = STATE(1919),
    [sym_sub] = STATE(1919),
    [sym_mul] = STATE(1919),
    [sym_div] = STATE(1919),
    [sym_sign] = STATE(1919),
    [sym_call] = STATE(1919),
    [sym_field] = STATE(1919),
    [sym_label] = STATE(1919),
    [sym_content] = STATE(1919),
    [sym_group] = STATE(1919),
    [sym_block] = STATE(1919),
    [sym_branch] = STATE(1919),
    [sym_let] = STATE(1919),
    [sym_set] = STATE(1919),
    [sym_import] = STATE(1919),
    [sym_include] = STATE(1919),
    [sym_for] = STATE(1919),
    [sym_while] = STATE(1919),
    [sym_show] = STATE(1919),
    [sym_return] = STATE(1919),
    [sym_flow] = STATE(1919),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2095),
    [sym_none] = ACTIONS(2095),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [345] = {
    [sym_raw_blck] = STATE(1916),
    [sym_raw_span] = STATE(1916),
    [sym_math] = STATE(1916),
    [sym__expr] = STATE(1916),
    [sym_ident] = STATE(1916),
    [sym_bool] = STATE(1916),
    [sym_number] = STATE(1916),
    [sym_string] = STATE(1916),
    [sym_tagged] = STATE(1916),
    [sym_context] = STATE(1916),
    [sym_elude] = STATE(1916),
    [sym_assign] = STATE(1916),
    [sym_lambda] = STATE(1916),
    [sym_or] = STATE(1916),
    [sym_not] = STATE(1916),
    [sym_and] = STATE(1916),
    [sym_cmp] = STATE(1916),
    [sym_in] = STATE(1916),
    [sym_add] = STATE(1916),
    [sym_sub] = STATE(1916),
    [sym_mul] = STATE(1916),
    [sym_div] = STATE(1916),
    [sym_sign] = STATE(1916),
    [sym_call] = STATE(1916),
    [sym_field] = STATE(1916),
    [sym_label] = STATE(1916),
    [sym_content] = STATE(1916),
    [sym_group] = STATE(1916),
    [sym_block] = STATE(1916),
    [sym_branch] = STATE(1916),
    [sym_let] = STATE(1916),
    [sym_set] = STATE(1916),
    [sym_import] = STATE(1916),
    [sym_include] = STATE(1916),
    [sym_for] = STATE(1916),
    [sym_while] = STATE(1916),
    [sym_show] = STATE(1916),
    [sym_return] = STATE(1916),
    [sym_flow] = STATE(1916),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2097),
    [sym_none] = ACTIONS(2097),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [346] = {
    [sym_raw_blck] = STATE(2972),
    [sym_raw_span] = STATE(2972),
    [sym_math] = STATE(2972),
    [sym__expr] = STATE(2972),
    [sym_ident] = STATE(2972),
    [sym_bool] = STATE(2972),
    [sym_number] = STATE(2972),
    [sym_string] = STATE(2972),
    [sym_tagged] = STATE(2972),
    [sym_context] = STATE(2972),
    [sym_elude] = STATE(2972),
    [sym_assign] = STATE(2972),
    [sym_lambda] = STATE(2972),
    [sym_or] = STATE(2972),
    [sym_not] = STATE(2972),
    [sym_and] = STATE(2972),
    [sym_cmp] = STATE(2972),
    [sym_in] = STATE(2972),
    [sym_add] = STATE(2972),
    [sym_sub] = STATE(2972),
    [sym_mul] = STATE(2972),
    [sym_div] = STATE(2972),
    [sym_sign] = STATE(2972),
    [sym_call] = STATE(2972),
    [sym_field] = STATE(2972),
    [sym_label] = STATE(2972),
    [sym_content] = STATE(2972),
    [sym_group] = STATE(2972),
    [sym_block] = STATE(2972),
    [sym_branch] = STATE(2972),
    [sym_let] = STATE(2972),
    [sym_set] = STATE(2972),
    [sym_import] = STATE(2972),
    [sym_include] = STATE(2972),
    [sym_for] = STATE(2972),
    [sym_while] = STATE(2972),
    [sym_show] = STATE(2972),
    [sym_return] = STATE(2972),
    [sym_flow] = STATE(2972),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2099),
    [sym_none] = ACTIONS(2099),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [347] = {
    [sym_raw_blck] = STATE(2960),
    [sym_raw_span] = STATE(2960),
    [sym_math] = STATE(2960),
    [sym__expr] = STATE(2960),
    [sym_ident] = STATE(2960),
    [sym_bool] = STATE(2960),
    [sym_number] = STATE(2960),
    [sym_string] = STATE(2960),
    [sym_tagged] = STATE(2960),
    [sym_context] = STATE(2960),
    [sym_elude] = STATE(2960),
    [sym_assign] = STATE(2960),
    [sym_lambda] = STATE(2960),
    [sym_or] = STATE(2960),
    [sym_not] = STATE(2960),
    [sym_and] = STATE(2960),
    [sym_cmp] = STATE(2960),
    [sym_in] = STATE(2960),
    [sym_add] = STATE(2960),
    [sym_sub] = STATE(2960),
    [sym_mul] = STATE(2960),
    [sym_div] = STATE(2960),
    [sym_sign] = STATE(2960),
    [sym_call] = STATE(2960),
    [sym_field] = STATE(2960),
    [sym_label] = STATE(2960),
    [sym_content] = STATE(2960),
    [sym_group] = STATE(2960),
    [sym_block] = STATE(2960),
    [sym_branch] = STATE(2960),
    [sym_let] = STATE(2960),
    [sym_set] = STATE(2960),
    [sym_import] = STATE(2960),
    [sym_include] = STATE(2960),
    [sym_for] = STATE(2960),
    [sym_while] = STATE(2960),
    [sym_show] = STATE(2960),
    [sym_return] = STATE(2960),
    [sym_flow] = STATE(2960),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2101),
    [sym_none] = ACTIONS(2101),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [348] = {
    [sym_raw_blck] = STATE(2958),
    [sym_raw_span] = STATE(2958),
    [sym_math] = STATE(2958),
    [sym__expr] = STATE(2958),
    [sym_ident] = STATE(2958),
    [sym_bool] = STATE(2958),
    [sym_number] = STATE(2958),
    [sym_string] = STATE(2958),
    [sym_tagged] = STATE(2958),
    [sym_context] = STATE(2958),
    [sym_elude] = STATE(2958),
    [sym_assign] = STATE(2958),
    [sym_lambda] = STATE(2958),
    [sym_or] = STATE(2958),
    [sym_not] = STATE(2958),
    [sym_and] = STATE(2958),
    [sym_cmp] = STATE(2958),
    [sym_in] = STATE(2958),
    [sym_add] = STATE(2958),
    [sym_sub] = STATE(2958),
    [sym_mul] = STATE(2958),
    [sym_div] = STATE(2958),
    [sym_sign] = STATE(2958),
    [sym_call] = STATE(2958),
    [sym_field] = STATE(2958),
    [sym_label] = STATE(2958),
    [sym_content] = STATE(2958),
    [sym_group] = STATE(2958),
    [sym_block] = STATE(2958),
    [sym_branch] = STATE(2958),
    [sym_let] = STATE(2958),
    [sym_set] = STATE(2958),
    [sym_import] = STATE(2958),
    [sym_include] = STATE(2958),
    [sym_for] = STATE(2958),
    [sym_while] = STATE(2958),
    [sym_show] = STATE(2958),
    [sym_return] = STATE(2958),
    [sym_flow] = STATE(2958),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2103),
    [sym_none] = ACTIONS(2103),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [349] = {
    [sym_raw_blck] = STATE(2954),
    [sym_raw_span] = STATE(2954),
    [sym_math] = STATE(2954),
    [sym__expr] = STATE(2954),
    [sym_ident] = STATE(2954),
    [sym_bool] = STATE(2954),
    [sym_number] = STATE(2954),
    [sym_string] = STATE(2954),
    [sym_tagged] = STATE(2954),
    [sym_context] = STATE(2954),
    [sym_elude] = STATE(2954),
    [sym_assign] = STATE(2954),
    [sym_lambda] = STATE(2954),
    [sym_or] = STATE(2954),
    [sym_not] = STATE(2954),
    [sym_and] = STATE(2954),
    [sym_cmp] = STATE(2954),
    [sym_in] = STATE(2954),
    [sym_add] = STATE(2954),
    [sym_sub] = STATE(2954),
    [sym_mul] = STATE(2954),
    [sym_div] = STATE(2954),
    [sym_sign] = STATE(2954),
    [sym_call] = STATE(2954),
    [sym_field] = STATE(2954),
    [sym_label] = STATE(2954),
    [sym_content] = STATE(2954),
    [sym_group] = STATE(2954),
    [sym_block] = STATE(2954),
    [sym_branch] = STATE(2954),
    [sym_let] = STATE(2954),
    [sym_set] = STATE(2954),
    [sym_import] = STATE(2954),
    [sym_include] = STATE(2954),
    [sym_for] = STATE(2954),
    [sym_while] = STATE(2954),
    [sym_show] = STATE(2954),
    [sym_return] = STATE(2954),
    [sym_flow] = STATE(2954),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2105),
    [sym_none] = ACTIONS(2105),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [350] = {
    [sym_raw_blck] = STATE(1719),
    [sym_raw_span] = STATE(1719),
    [sym_math] = STATE(1719),
    [sym__expr] = STATE(1719),
    [sym_ident] = STATE(1719),
    [sym_bool] = STATE(1719),
    [sym_number] = STATE(1719),
    [sym_string] = STATE(1719),
    [sym_tagged] = STATE(1719),
    [sym_context] = STATE(1719),
    [sym_elude] = STATE(1719),
    [sym_assign] = STATE(1719),
    [sym_lambda] = STATE(1719),
    [sym_or] = STATE(1719),
    [sym_not] = STATE(1719),
    [sym_and] = STATE(1719),
    [sym_cmp] = STATE(1719),
    [sym_in] = STATE(1719),
    [sym_add] = STATE(1719),
    [sym_sub] = STATE(1719),
    [sym_mul] = STATE(1719),
    [sym_div] = STATE(1719),
    [sym_sign] = STATE(1719),
    [sym_call] = STATE(1719),
    [sym_field] = STATE(1719),
    [sym_label] = STATE(1719),
    [sym_content] = STATE(1719),
    [sym_group] = STATE(1719),
    [sym_block] = STATE(1719),
    [sym_branch] = STATE(1719),
    [sym_let] = STATE(1719),
    [sym_set] = STATE(1719),
    [sym_import] = STATE(1719),
    [sym_include] = STATE(1719),
    [sym_for] = STATE(1719),
    [sym_while] = STATE(1719),
    [sym_show] = STATE(1719),
    [sym_return] = STATE(1719),
    [sym_flow] = STATE(1719),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2107),
    [sym_none] = ACTIONS(2107),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [351] = {
    [sym_raw_blck] = STATE(2953),
    [sym_raw_span] = STATE(2953),
    [sym_math] = STATE(2953),
    [sym__expr] = STATE(2953),
    [sym_ident] = STATE(2953),
    [sym_bool] = STATE(2953),
    [sym_number] = STATE(2953),
    [sym_string] = STATE(2953),
    [sym_tagged] = STATE(2953),
    [sym_context] = STATE(2953),
    [sym_elude] = STATE(2953),
    [sym_assign] = STATE(2953),
    [sym_lambda] = STATE(2953),
    [sym_or] = STATE(2953),
    [sym_not] = STATE(2953),
    [sym_and] = STATE(2953),
    [sym_cmp] = STATE(2953),
    [sym_in] = STATE(2953),
    [sym_add] = STATE(2953),
    [sym_sub] = STATE(2953),
    [sym_mul] = STATE(2953),
    [sym_div] = STATE(2953),
    [sym_sign] = STATE(2953),
    [sym_call] = STATE(2953),
    [sym_field] = STATE(2953),
    [sym_label] = STATE(2953),
    [sym_content] = STATE(2953),
    [sym_group] = STATE(2953),
    [sym_block] = STATE(2953),
    [sym_branch] = STATE(2953),
    [sym_let] = STATE(2953),
    [sym_set] = STATE(2953),
    [sym_import] = STATE(2953),
    [sym_include] = STATE(2953),
    [sym_for] = STATE(2953),
    [sym_while] = STATE(2953),
    [sym_show] = STATE(2953),
    [sym_return] = STATE(2953),
    [sym_flow] = STATE(2953),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2109),
    [sym_none] = ACTIONS(2109),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [352] = {
    [sym_raw_blck] = STATE(1716),
    [sym_raw_span] = STATE(1716),
    [sym_math] = STATE(1716),
    [sym__expr] = STATE(1716),
    [sym_ident] = STATE(1716),
    [sym_bool] = STATE(1716),
    [sym_number] = STATE(1716),
    [sym_string] = STATE(1716),
    [sym_tagged] = STATE(1716),
    [sym_context] = STATE(1716),
    [sym_elude] = STATE(1716),
    [sym_assign] = STATE(1716),
    [sym_lambda] = STATE(1716),
    [sym_or] = STATE(1716),
    [sym_not] = STATE(1716),
    [sym_and] = STATE(1716),
    [sym_cmp] = STATE(1716),
    [sym_in] = STATE(1716),
    [sym_add] = STATE(1716),
    [sym_sub] = STATE(1716),
    [sym_mul] = STATE(1716),
    [sym_div] = STATE(1716),
    [sym_sign] = STATE(1716),
    [sym_call] = STATE(1716),
    [sym_field] = STATE(1716),
    [sym_label] = STATE(1716),
    [sym_content] = STATE(1716),
    [sym_group] = STATE(1716),
    [sym_block] = STATE(1716),
    [sym_branch] = STATE(1716),
    [sym_let] = STATE(1716),
    [sym_set] = STATE(1716),
    [sym_import] = STATE(1716),
    [sym_include] = STATE(1716),
    [sym_for] = STATE(1716),
    [sym_while] = STATE(1716),
    [sym_show] = STATE(1716),
    [sym_return] = STATE(1716),
    [sym_flow] = STATE(1716),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2111),
    [sym_none] = ACTIONS(2111),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [353] = {
    [sym_raw_blck] = STATE(2948),
    [sym_raw_span] = STATE(2948),
    [sym_math] = STATE(2948),
    [sym__expr] = STATE(2948),
    [sym_ident] = STATE(2948),
    [sym_bool] = STATE(2948),
    [sym_number] = STATE(2948),
    [sym_string] = STATE(2948),
    [sym_tagged] = STATE(2948),
    [sym_context] = STATE(2948),
    [sym_elude] = STATE(2948),
    [sym_assign] = STATE(2948),
    [sym_lambda] = STATE(2948),
    [sym_or] = STATE(2948),
    [sym_not] = STATE(2948),
    [sym_and] = STATE(2948),
    [sym_cmp] = STATE(2948),
    [sym_in] = STATE(2948),
    [sym_add] = STATE(2948),
    [sym_sub] = STATE(2948),
    [sym_mul] = STATE(2948),
    [sym_div] = STATE(2948),
    [sym_sign] = STATE(2948),
    [sym_call] = STATE(2948),
    [sym_field] = STATE(2948),
    [sym_label] = STATE(2948),
    [sym_content] = STATE(2948),
    [sym_group] = STATE(2948),
    [sym_block] = STATE(2948),
    [sym_branch] = STATE(2948),
    [sym_let] = STATE(2948),
    [sym_set] = STATE(2948),
    [sym_import] = STATE(2948),
    [sym_include] = STATE(2948),
    [sym_for] = STATE(2948),
    [sym_while] = STATE(2948),
    [sym_show] = STATE(2948),
    [sym_return] = STATE(2948),
    [sym_flow] = STATE(2948),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2113),
    [sym_none] = ACTIONS(2113),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [354] = {
    [sym_raw_blck] = STATE(2940),
    [sym_raw_span] = STATE(2940),
    [sym_math] = STATE(2940),
    [sym__expr] = STATE(2940),
    [sym_ident] = STATE(2940),
    [sym_bool] = STATE(2940),
    [sym_number] = STATE(2940),
    [sym_string] = STATE(2940),
    [sym_tagged] = STATE(2940),
    [sym_context] = STATE(2940),
    [sym_elude] = STATE(2940),
    [sym_assign] = STATE(2940),
    [sym_lambda] = STATE(2940),
    [sym_or] = STATE(2940),
    [sym_not] = STATE(2940),
    [sym_and] = STATE(2940),
    [sym_cmp] = STATE(2940),
    [sym_in] = STATE(2940),
    [sym_add] = STATE(2940),
    [sym_sub] = STATE(2940),
    [sym_mul] = STATE(2940),
    [sym_div] = STATE(2940),
    [sym_sign] = STATE(2940),
    [sym_call] = STATE(2940),
    [sym_field] = STATE(2940),
    [sym_label] = STATE(2940),
    [sym_content] = STATE(2940),
    [sym_group] = STATE(2940),
    [sym_block] = STATE(2940),
    [sym_branch] = STATE(2940),
    [sym_let] = STATE(2940),
    [sym_set] = STATE(2940),
    [sym_import] = STATE(2940),
    [sym_include] = STATE(2940),
    [sym_for] = STATE(2940),
    [sym_while] = STATE(2940),
    [sym_show] = STATE(2940),
    [sym_return] = STATE(2940),
    [sym_flow] = STATE(2940),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2115),
    [sym_none] = ACTIONS(2115),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [355] = {
    [sym_raw_blck] = STATE(2939),
    [sym_raw_span] = STATE(2939),
    [sym_math] = STATE(2939),
    [sym__expr] = STATE(2939),
    [sym_ident] = STATE(2939),
    [sym_bool] = STATE(2939),
    [sym_number] = STATE(2939),
    [sym_string] = STATE(2939),
    [sym_tagged] = STATE(2939),
    [sym_context] = STATE(2939),
    [sym_elude] = STATE(2939),
    [sym_assign] = STATE(2939),
    [sym_lambda] = STATE(2939),
    [sym_or] = STATE(2939),
    [sym_not] = STATE(2939),
    [sym_and] = STATE(2939),
    [sym_cmp] = STATE(2939),
    [sym_in] = STATE(2939),
    [sym_add] = STATE(2939),
    [sym_sub] = STATE(2939),
    [sym_mul] = STATE(2939),
    [sym_div] = STATE(2939),
    [sym_sign] = STATE(2939),
    [sym_call] = STATE(2939),
    [sym_field] = STATE(2939),
    [sym_label] = STATE(2939),
    [sym_content] = STATE(2939),
    [sym_group] = STATE(2939),
    [sym_block] = STATE(2939),
    [sym_branch] = STATE(2939),
    [sym_let] = STATE(2939),
    [sym_set] = STATE(2939),
    [sym_import] = STATE(2939),
    [sym_include] = STATE(2939),
    [sym_for] = STATE(2939),
    [sym_while] = STATE(2939),
    [sym_show] = STATE(2939),
    [sym_return] = STATE(2939),
    [sym_flow] = STATE(2939),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2117),
    [sym_none] = ACTIONS(2117),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [356] = {
    [sym_raw_blck] = STATE(2938),
    [sym_raw_span] = STATE(2938),
    [sym_math] = STATE(2938),
    [sym__expr] = STATE(2938),
    [sym_ident] = STATE(2938),
    [sym_bool] = STATE(2938),
    [sym_number] = STATE(2938),
    [sym_string] = STATE(2938),
    [sym_tagged] = STATE(2938),
    [sym_context] = STATE(2938),
    [sym_elude] = STATE(2938),
    [sym_assign] = STATE(2938),
    [sym_lambda] = STATE(2938),
    [sym_or] = STATE(2938),
    [sym_not] = STATE(2938),
    [sym_and] = STATE(2938),
    [sym_cmp] = STATE(2938),
    [sym_in] = STATE(2938),
    [sym_add] = STATE(2938),
    [sym_sub] = STATE(2938),
    [sym_mul] = STATE(2938),
    [sym_div] = STATE(2938),
    [sym_sign] = STATE(2938),
    [sym_call] = STATE(2938),
    [sym_field] = STATE(2938),
    [sym_label] = STATE(2938),
    [sym_content] = STATE(2938),
    [sym_group] = STATE(2938),
    [sym_block] = STATE(2938),
    [sym_branch] = STATE(2938),
    [sym_let] = STATE(2938),
    [sym_set] = STATE(2938),
    [sym_import] = STATE(2938),
    [sym_include] = STATE(2938),
    [sym_for] = STATE(2938),
    [sym_while] = STATE(2938),
    [sym_show] = STATE(2938),
    [sym_return] = STATE(2938),
    [sym_flow] = STATE(2938),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2119),
    [sym_none] = ACTIONS(2119),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [357] = {
    [sym_raw_blck] = STATE(2282),
    [sym_raw_span] = STATE(2282),
    [sym_math] = STATE(2282),
    [sym__expr] = STATE(2282),
    [sym_ident] = STATE(2282),
    [sym_bool] = STATE(2282),
    [sym_number] = STATE(2282),
    [sym_string] = STATE(2282),
    [sym_tagged] = STATE(2282),
    [sym_context] = STATE(2282),
    [sym_elude] = STATE(2282),
    [sym_assign] = STATE(2282),
    [sym_lambda] = STATE(2282),
    [sym_or] = STATE(2282),
    [sym_not] = STATE(2282),
    [sym_and] = STATE(2282),
    [sym_cmp] = STATE(2282),
    [sym_in] = STATE(2282),
    [sym_add] = STATE(2282),
    [sym_sub] = STATE(2282),
    [sym_mul] = STATE(2282),
    [sym_div] = STATE(2282),
    [sym_sign] = STATE(2282),
    [sym_call] = STATE(2282),
    [sym_field] = STATE(2282),
    [sym_label] = STATE(2282),
    [sym_content] = STATE(2282),
    [sym_group] = STATE(2282),
    [sym_block] = STATE(2282),
    [sym_branch] = STATE(2282),
    [sym_let] = STATE(2282),
    [sym_set] = STATE(2282),
    [sym_import] = STATE(2282),
    [sym_include] = STATE(2282),
    [sym_for] = STATE(2282),
    [sym_while] = STATE(2282),
    [sym_show] = STATE(2282),
    [sym_return] = STATE(2282),
    [sym_flow] = STATE(2282),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2121),
    [sym_none] = ACTIONS(2121),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [358] = {
    [sym_raw_blck] = STATE(2004),
    [sym_raw_span] = STATE(2004),
    [sym_math] = STATE(2004),
    [sym__expr] = STATE(2004),
    [sym_ident] = STATE(2004),
    [sym_bool] = STATE(2004),
    [sym_number] = STATE(2004),
    [sym_string] = STATE(2004),
    [sym_tagged] = STATE(2004),
    [sym_context] = STATE(2004),
    [sym_elude] = STATE(2004),
    [sym_assign] = STATE(2004),
    [sym_lambda] = STATE(2004),
    [sym_or] = STATE(2004),
    [sym_not] = STATE(2004),
    [sym_and] = STATE(2004),
    [sym_cmp] = STATE(2004),
    [sym_in] = STATE(2004),
    [sym_add] = STATE(2004),
    [sym_sub] = STATE(2004),
    [sym_mul] = STATE(2004),
    [sym_div] = STATE(2004),
    [sym_sign] = STATE(2004),
    [sym_call] = STATE(2004),
    [sym_field] = STATE(2004),
    [sym_label] = STATE(2004),
    [sym_content] = STATE(2004),
    [sym_group] = STATE(2004),
    [sym_block] = STATE(2004),
    [sym_branch] = STATE(2004),
    [sym_let] = STATE(2004),
    [sym_set] = STATE(2004),
    [sym_import] = STATE(2004),
    [sym_include] = STATE(2004),
    [sym_for] = STATE(2004),
    [sym_while] = STATE(2004),
    [sym_show] = STATE(2004),
    [sym_return] = STATE(2004),
    [sym_flow] = STATE(2004),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2123),
    [sym_none] = ACTIONS(2123),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [359] = {
    [sym_raw_blck] = STATE(2936),
    [sym_raw_span] = STATE(2936),
    [sym_math] = STATE(2936),
    [sym__expr] = STATE(2936),
    [sym_ident] = STATE(2936),
    [sym_bool] = STATE(2936),
    [sym_number] = STATE(2936),
    [sym_string] = STATE(2936),
    [sym_tagged] = STATE(2936),
    [sym_context] = STATE(2936),
    [sym_elude] = STATE(2936),
    [sym_assign] = STATE(2936),
    [sym_lambda] = STATE(2936),
    [sym_or] = STATE(2936),
    [sym_not] = STATE(2936),
    [sym_and] = STATE(2936),
    [sym_cmp] = STATE(2936),
    [sym_in] = STATE(2936),
    [sym_add] = STATE(2936),
    [sym_sub] = STATE(2936),
    [sym_mul] = STATE(2936),
    [sym_div] = STATE(2936),
    [sym_sign] = STATE(2936),
    [sym_call] = STATE(2936),
    [sym_field] = STATE(2936),
    [sym_label] = STATE(2936),
    [sym_content] = STATE(2936),
    [sym_group] = STATE(2936),
    [sym_block] = STATE(2936),
    [sym_branch] = STATE(2936),
    [sym_let] = STATE(2936),
    [sym_set] = STATE(2936),
    [sym_import] = STATE(2936),
    [sym_include] = STATE(2936),
    [sym_for] = STATE(2936),
    [sym_while] = STATE(2936),
    [sym_show] = STATE(2936),
    [sym_return] = STATE(2936),
    [sym_flow] = STATE(2936),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2125),
    [sym_none] = ACTIONS(2125),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [360] = {
    [sym_raw_blck] = STATE(1715),
    [sym_raw_span] = STATE(1715),
    [sym_math] = STATE(1715),
    [sym__expr] = STATE(1715),
    [sym_ident] = STATE(1715),
    [sym_bool] = STATE(1715),
    [sym_number] = STATE(1715),
    [sym_string] = STATE(1715),
    [sym_tagged] = STATE(1715),
    [sym_context] = STATE(1715),
    [sym_elude] = STATE(1715),
    [sym_assign] = STATE(1715),
    [sym_lambda] = STATE(1715),
    [sym_or] = STATE(1715),
    [sym_not] = STATE(1715),
    [sym_and] = STATE(1715),
    [sym_cmp] = STATE(1715),
    [sym_in] = STATE(1715),
    [sym_add] = STATE(1715),
    [sym_sub] = STATE(1715),
    [sym_mul] = STATE(1715),
    [sym_div] = STATE(1715),
    [sym_sign] = STATE(1715),
    [sym_call] = STATE(1715),
    [sym_field] = STATE(1715),
    [sym_label] = STATE(1715),
    [sym_content] = STATE(1715),
    [sym_group] = STATE(1715),
    [sym_block] = STATE(1715),
    [sym_branch] = STATE(1715),
    [sym_let] = STATE(1715),
    [sym_set] = STATE(1715),
    [sym_import] = STATE(1715),
    [sym_include] = STATE(1715),
    [sym_for] = STATE(1715),
    [sym_while] = STATE(1715),
    [sym_show] = STATE(1715),
    [sym_return] = STATE(1715),
    [sym_flow] = STATE(1715),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2127),
    [sym_none] = ACTIONS(2127),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [361] = {
    [sym_raw_blck] = STATE(1855),
    [sym_raw_span] = STATE(1855),
    [sym_math] = STATE(1855),
    [sym__expr] = STATE(1855),
    [sym_ident] = STATE(1855),
    [sym_bool] = STATE(1855),
    [sym_number] = STATE(1855),
    [sym_string] = STATE(1855),
    [sym_tagged] = STATE(1855),
    [sym_context] = STATE(1855),
    [sym_elude] = STATE(1855),
    [sym_assign] = STATE(1855),
    [sym_lambda] = STATE(1855),
    [sym_or] = STATE(1855),
    [sym_not] = STATE(1855),
    [sym_and] = STATE(1855),
    [sym_cmp] = STATE(1855),
    [sym_in] = STATE(1855),
    [sym_add] = STATE(1855),
    [sym_sub] = STATE(1855),
    [sym_mul] = STATE(1855),
    [sym_div] = STATE(1855),
    [sym_sign] = STATE(1855),
    [sym_call] = STATE(1855),
    [sym_field] = STATE(1855),
    [sym_label] = STATE(1855),
    [sym_content] = STATE(1855),
    [sym_group] = STATE(1855),
    [sym_block] = STATE(1855),
    [sym_branch] = STATE(1855),
    [sym_let] = STATE(1855),
    [sym_set] = STATE(1855),
    [sym_import] = STATE(1855),
    [sym_include] = STATE(1855),
    [sym_for] = STATE(1855),
    [sym_while] = STATE(1855),
    [sym_show] = STATE(1855),
    [sym_return] = STATE(1855),
    [sym_flow] = STATE(1855),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2129),
    [sym_none] = ACTIONS(2129),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [362] = {
    [sym_raw_blck] = STATE(2925),
    [sym_raw_span] = STATE(2925),
    [sym_math] = STATE(2925),
    [sym__expr] = STATE(2925),
    [sym_ident] = STATE(2925),
    [sym_bool] = STATE(2925),
    [sym_number] = STATE(2925),
    [sym_string] = STATE(2925),
    [sym_tagged] = STATE(2925),
    [sym_context] = STATE(2925),
    [sym_elude] = STATE(2925),
    [sym_assign] = STATE(2925),
    [sym_lambda] = STATE(2925),
    [sym_or] = STATE(2925),
    [sym_not] = STATE(2925),
    [sym_and] = STATE(2925),
    [sym_cmp] = STATE(2925),
    [sym_in] = STATE(2925),
    [sym_add] = STATE(2925),
    [sym_sub] = STATE(2925),
    [sym_mul] = STATE(2925),
    [sym_div] = STATE(2925),
    [sym_sign] = STATE(2925),
    [sym_call] = STATE(2925),
    [sym_field] = STATE(2925),
    [sym_label] = STATE(2925),
    [sym_content] = STATE(2925),
    [sym_group] = STATE(2925),
    [sym_block] = STATE(2925),
    [sym_branch] = STATE(2925),
    [sym_let] = STATE(2925),
    [sym_set] = STATE(2925),
    [sym_import] = STATE(2925),
    [sym_include] = STATE(2925),
    [sym_for] = STATE(2925),
    [sym_while] = STATE(2925),
    [sym_show] = STATE(2925),
    [sym_return] = STATE(2925),
    [sym_flow] = STATE(2925),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2131),
    [sym_none] = ACTIONS(2131),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [363] = {
    [sym_raw_blck] = STATE(2921),
    [sym_raw_span] = STATE(2921),
    [sym_math] = STATE(2921),
    [sym__expr] = STATE(2921),
    [sym_ident] = STATE(2921),
    [sym_bool] = STATE(2921),
    [sym_number] = STATE(2921),
    [sym_string] = STATE(2921),
    [sym_tagged] = STATE(2921),
    [sym_context] = STATE(2921),
    [sym_elude] = STATE(2921),
    [sym_assign] = STATE(2921),
    [sym_lambda] = STATE(2921),
    [sym_or] = STATE(2921),
    [sym_not] = STATE(2921),
    [sym_and] = STATE(2921),
    [sym_cmp] = STATE(2921),
    [sym_in] = STATE(2921),
    [sym_add] = STATE(2921),
    [sym_sub] = STATE(2921),
    [sym_mul] = STATE(2921),
    [sym_div] = STATE(2921),
    [sym_sign] = STATE(2921),
    [sym_call] = STATE(2921),
    [sym_field] = STATE(2921),
    [sym_label] = STATE(2921),
    [sym_content] = STATE(2921),
    [sym_group] = STATE(2921),
    [sym_block] = STATE(2921),
    [sym_branch] = STATE(2921),
    [sym_let] = STATE(2921),
    [sym_set] = STATE(2921),
    [sym_import] = STATE(2921),
    [sym_include] = STATE(2921),
    [sym_for] = STATE(2921),
    [sym_while] = STATE(2921),
    [sym_show] = STATE(2921),
    [sym_return] = STATE(2921),
    [sym_flow] = STATE(2921),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2133),
    [sym_none] = ACTIONS(2133),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [364] = {
    [sym_raw_blck] = STATE(2642),
    [sym_raw_span] = STATE(2642),
    [sym_math] = STATE(2642),
    [sym__expr] = STATE(2642),
    [sym_ident] = STATE(2642),
    [sym_bool] = STATE(2642),
    [sym_number] = STATE(2642),
    [sym_string] = STATE(2642),
    [sym_tagged] = STATE(2642),
    [sym_context] = STATE(2642),
    [sym_elude] = STATE(2642),
    [sym_assign] = STATE(2642),
    [sym_lambda] = STATE(2642),
    [sym_or] = STATE(2642),
    [sym_not] = STATE(2642),
    [sym_and] = STATE(2642),
    [sym_cmp] = STATE(2642),
    [sym_in] = STATE(2642),
    [sym_add] = STATE(2642),
    [sym_sub] = STATE(2642),
    [sym_mul] = STATE(2642),
    [sym_div] = STATE(2642),
    [sym_sign] = STATE(2642),
    [sym_call] = STATE(2642),
    [sym_field] = STATE(2642),
    [sym_label] = STATE(2642),
    [sym_content] = STATE(2642),
    [sym_group] = STATE(2642),
    [sym_block] = STATE(2642),
    [sym_branch] = STATE(2642),
    [sym_let] = STATE(2642),
    [sym_set] = STATE(2642),
    [sym_import] = STATE(2642),
    [sym_include] = STATE(2642),
    [sym_for] = STATE(2642),
    [sym_while] = STATE(2642),
    [sym_show] = STATE(2642),
    [sym_return] = STATE(2642),
    [sym_flow] = STATE(2642),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2139),
    [sym_none] = ACTIONS(2139),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [365] = {
    [sym_raw_blck] = STATE(2653),
    [sym_raw_span] = STATE(2653),
    [sym_math] = STATE(2653),
    [sym__expr] = STATE(2653),
    [sym_ident] = STATE(2653),
    [sym_bool] = STATE(2653),
    [sym_number] = STATE(2653),
    [sym_string] = STATE(2653),
    [sym_tagged] = STATE(2653),
    [sym_context] = STATE(2653),
    [sym_elude] = STATE(2653),
    [sym_assign] = STATE(2653),
    [sym_lambda] = STATE(2653),
    [sym_or] = STATE(2653),
    [sym_not] = STATE(2653),
    [sym_and] = STATE(2653),
    [sym_cmp] = STATE(2653),
    [sym_in] = STATE(2653),
    [sym_add] = STATE(2653),
    [sym_sub] = STATE(2653),
    [sym_mul] = STATE(2653),
    [sym_div] = STATE(2653),
    [sym_sign] = STATE(2653),
    [sym_call] = STATE(2653),
    [sym_field] = STATE(2653),
    [sym_label] = STATE(2653),
    [sym_content] = STATE(2653),
    [sym_group] = STATE(2653),
    [sym_block] = STATE(2653),
    [sym_branch] = STATE(2653),
    [sym_let] = STATE(2653),
    [sym_set] = STATE(2653),
    [sym_import] = STATE(2653),
    [sym_include] = STATE(2653),
    [sym_for] = STATE(2653),
    [sym_while] = STATE(2653),
    [sym_show] = STATE(2653),
    [sym_return] = STATE(2653),
    [sym_flow] = STATE(2653),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2141),
    [sym_none] = ACTIONS(2141),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [366] = {
    [sym_raw_blck] = STATE(2654),
    [sym_raw_span] = STATE(2654),
    [sym_math] = STATE(2654),
    [sym__expr] = STATE(2654),
    [sym_ident] = STATE(2654),
    [sym_bool] = STATE(2654),
    [sym_number] = STATE(2654),
    [sym_string] = STATE(2654),
    [sym_tagged] = STATE(2654),
    [sym_context] = STATE(2654),
    [sym_elude] = STATE(2654),
    [sym_assign] = STATE(2654),
    [sym_lambda] = STATE(2654),
    [sym_or] = STATE(2654),
    [sym_not] = STATE(2654),
    [sym_and] = STATE(2654),
    [sym_cmp] = STATE(2654),
    [sym_in] = STATE(2654),
    [sym_add] = STATE(2654),
    [sym_sub] = STATE(2654),
    [sym_mul] = STATE(2654),
    [sym_div] = STATE(2654),
    [sym_sign] = STATE(2654),
    [sym_call] = STATE(2654),
    [sym_field] = STATE(2654),
    [sym_label] = STATE(2654),
    [sym_content] = STATE(2654),
    [sym_group] = STATE(2654),
    [sym_block] = STATE(2654),
    [sym_branch] = STATE(2654),
    [sym_let] = STATE(2654),
    [sym_set] = STATE(2654),
    [sym_import] = STATE(2654),
    [sym_include] = STATE(2654),
    [sym_for] = STATE(2654),
    [sym_while] = STATE(2654),
    [sym_show] = STATE(2654),
    [sym_return] = STATE(2654),
    [sym_flow] = STATE(2654),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2143),
    [sym_none] = ACTIONS(2143),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [367] = {
    [sym_raw_blck] = STATE(2950),
    [sym_raw_span] = STATE(2950),
    [sym_math] = STATE(2950),
    [sym__expr] = STATE(2950),
    [sym_ident] = STATE(2950),
    [sym_bool] = STATE(2950),
    [sym_number] = STATE(2950),
    [sym_string] = STATE(2950),
    [sym_tagged] = STATE(2950),
    [sym_context] = STATE(2950),
    [sym_elude] = STATE(2950),
    [sym_assign] = STATE(2950),
    [sym_lambda] = STATE(2950),
    [sym_or] = STATE(2950),
    [sym_not] = STATE(2950),
    [sym_and] = STATE(2950),
    [sym_cmp] = STATE(2950),
    [sym_in] = STATE(2950),
    [sym_add] = STATE(2950),
    [sym_sub] = STATE(2950),
    [sym_mul] = STATE(2950),
    [sym_div] = STATE(2950),
    [sym_sign] = STATE(2950),
    [sym_call] = STATE(2950),
    [sym_field] = STATE(2950),
    [sym_label] = STATE(2950),
    [sym_content] = STATE(2950),
    [sym_group] = STATE(2950),
    [sym_block] = STATE(2950),
    [sym_branch] = STATE(2950),
    [sym_let] = STATE(2950),
    [sym_set] = STATE(2950),
    [sym_import] = STATE(2950),
    [sym_include] = STATE(2950),
    [sym_for] = STATE(2950),
    [sym_while] = STATE(2950),
    [sym_show] = STATE(2950),
    [sym_return] = STATE(2950),
    [sym_flow] = STATE(2950),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2145),
    [sym_none] = ACTIONS(2145),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [368] = {
    [sym_raw_blck] = STATE(2700),
    [sym_raw_span] = STATE(2700),
    [sym_math] = STATE(2700),
    [sym__expr] = STATE(2700),
    [sym_ident] = STATE(2700),
    [sym_bool] = STATE(2700),
    [sym_number] = STATE(2700),
    [sym_string] = STATE(2700),
    [sym_tagged] = STATE(2700),
    [sym_context] = STATE(2700),
    [sym_elude] = STATE(2700),
    [sym_assign] = STATE(2700),
    [sym_lambda] = STATE(2700),
    [sym_or] = STATE(2700),
    [sym_not] = STATE(2700),
    [sym_and] = STATE(2700),
    [sym_cmp] = STATE(2700),
    [sym_in] = STATE(2700),
    [sym_add] = STATE(2700),
    [sym_sub] = STATE(2700),
    [sym_mul] = STATE(2700),
    [sym_div] = STATE(2700),
    [sym_sign] = STATE(2700),
    [sym_call] = STATE(2700),
    [sym_field] = STATE(2700),
    [sym_label] = STATE(2700),
    [sym_content] = STATE(2700),
    [sym_group] = STATE(2700),
    [sym_block] = STATE(2700),
    [sym_branch] = STATE(2700),
    [sym_let] = STATE(2700),
    [sym_set] = STATE(2700),
    [sym_import] = STATE(2700),
    [sym_include] = STATE(2700),
    [sym_for] = STATE(2700),
    [sym_while] = STATE(2700),
    [sym_show] = STATE(2700),
    [sym_return] = STATE(2700),
    [sym_flow] = STATE(2700),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2147),
    [sym_none] = ACTIONS(2147),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [369] = {
    [sym_raw_blck] = STATE(2701),
    [sym_raw_span] = STATE(2701),
    [sym_math] = STATE(2701),
    [sym__expr] = STATE(2701),
    [sym_ident] = STATE(2701),
    [sym_bool] = STATE(2701),
    [sym_number] = STATE(2701),
    [sym_string] = STATE(2701),
    [sym_tagged] = STATE(2701),
    [sym_context] = STATE(2701),
    [sym_elude] = STATE(2701),
    [sym_assign] = STATE(2701),
    [sym_lambda] = STATE(2701),
    [sym_or] = STATE(2701),
    [sym_not] = STATE(2701),
    [sym_and] = STATE(2701),
    [sym_cmp] = STATE(2701),
    [sym_in] = STATE(2701),
    [sym_add] = STATE(2701),
    [sym_sub] = STATE(2701),
    [sym_mul] = STATE(2701),
    [sym_div] = STATE(2701),
    [sym_sign] = STATE(2701),
    [sym_call] = STATE(2701),
    [sym_field] = STATE(2701),
    [sym_label] = STATE(2701),
    [sym_content] = STATE(2701),
    [sym_group] = STATE(2701),
    [sym_block] = STATE(2701),
    [sym_branch] = STATE(2701),
    [sym_let] = STATE(2701),
    [sym_set] = STATE(2701),
    [sym_import] = STATE(2701),
    [sym_include] = STATE(2701),
    [sym_for] = STATE(2701),
    [sym_while] = STATE(2701),
    [sym_show] = STATE(2701),
    [sym_return] = STATE(2701),
    [sym_flow] = STATE(2701),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2149),
    [sym_none] = ACTIONS(2149),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [370] = {
    [sym_raw_blck] = STATE(2955),
    [sym_raw_span] = STATE(2955),
    [sym_math] = STATE(2955),
    [sym__expr] = STATE(2955),
    [sym_ident] = STATE(2955),
    [sym_bool] = STATE(2955),
    [sym_number] = STATE(2955),
    [sym_string] = STATE(2955),
    [sym_tagged] = STATE(2955),
    [sym_context] = STATE(2955),
    [sym_elude] = STATE(2955),
    [sym_assign] = STATE(2955),
    [sym_lambda] = STATE(2955),
    [sym_or] = STATE(2955),
    [sym_not] = STATE(2955),
    [sym_and] = STATE(2955),
    [sym_cmp] = STATE(2955),
    [sym_in] = STATE(2955),
    [sym_add] = STATE(2955),
    [sym_sub] = STATE(2955),
    [sym_mul] = STATE(2955),
    [sym_div] = STATE(2955),
    [sym_sign] = STATE(2955),
    [sym_call] = STATE(2955),
    [sym_field] = STATE(2955),
    [sym_label] = STATE(2955),
    [sym_content] = STATE(2955),
    [sym_group] = STATE(2955),
    [sym_block] = STATE(2955),
    [sym_branch] = STATE(2955),
    [sym_let] = STATE(2955),
    [sym_set] = STATE(2955),
    [sym_import] = STATE(2955),
    [sym_include] = STATE(2955),
    [sym_for] = STATE(2955),
    [sym_while] = STATE(2955),
    [sym_show] = STATE(2955),
    [sym_return] = STATE(2955),
    [sym_flow] = STATE(2955),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2151),
    [sym_none] = ACTIONS(2151),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [371] = {
    [sym_raw_blck] = STATE(2956),
    [sym_raw_span] = STATE(2956),
    [sym_math] = STATE(2956),
    [sym__expr] = STATE(2956),
    [sym_ident] = STATE(2956),
    [sym_bool] = STATE(2956),
    [sym_number] = STATE(2956),
    [sym_string] = STATE(2956),
    [sym_tagged] = STATE(2956),
    [sym_context] = STATE(2956),
    [sym_elude] = STATE(2956),
    [sym_assign] = STATE(2956),
    [sym_lambda] = STATE(2956),
    [sym_or] = STATE(2956),
    [sym_not] = STATE(2956),
    [sym_and] = STATE(2956),
    [sym_cmp] = STATE(2956),
    [sym_in] = STATE(2956),
    [sym_add] = STATE(2956),
    [sym_sub] = STATE(2956),
    [sym_mul] = STATE(2956),
    [sym_div] = STATE(2956),
    [sym_sign] = STATE(2956),
    [sym_call] = STATE(2956),
    [sym_field] = STATE(2956),
    [sym_label] = STATE(2956),
    [sym_content] = STATE(2956),
    [sym_group] = STATE(2956),
    [sym_block] = STATE(2956),
    [sym_branch] = STATE(2956),
    [sym_let] = STATE(2956),
    [sym_set] = STATE(2956),
    [sym_import] = STATE(2956),
    [sym_include] = STATE(2956),
    [sym_for] = STATE(2956),
    [sym_while] = STATE(2956),
    [sym_show] = STATE(2956),
    [sym_return] = STATE(2956),
    [sym_flow] = STATE(2956),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2153),
    [sym_none] = ACTIONS(2153),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [372] = {
    [sym_raw_blck] = STATE(2957),
    [sym_raw_span] = STATE(2957),
    [sym_math] = STATE(2957),
    [sym__expr] = STATE(2957),
    [sym_ident] = STATE(2957),
    [sym_bool] = STATE(2957),
    [sym_number] = STATE(2957),
    [sym_string] = STATE(2957),
    [sym_tagged] = STATE(2957),
    [sym_context] = STATE(2957),
    [sym_elude] = STATE(2957),
    [sym_assign] = STATE(2957),
    [sym_lambda] = STATE(2957),
    [sym_or] = STATE(2957),
    [sym_not] = STATE(2957),
    [sym_and] = STATE(2957),
    [sym_cmp] = STATE(2957),
    [sym_in] = STATE(2957),
    [sym_add] = STATE(2957),
    [sym_sub] = STATE(2957),
    [sym_mul] = STATE(2957),
    [sym_div] = STATE(2957),
    [sym_sign] = STATE(2957),
    [sym_call] = STATE(2957),
    [sym_field] = STATE(2957),
    [sym_label] = STATE(2957),
    [sym_content] = STATE(2957),
    [sym_group] = STATE(2957),
    [sym_block] = STATE(2957),
    [sym_branch] = STATE(2957),
    [sym_let] = STATE(2957),
    [sym_set] = STATE(2957),
    [sym_import] = STATE(2957),
    [sym_include] = STATE(2957),
    [sym_for] = STATE(2957),
    [sym_while] = STATE(2957),
    [sym_show] = STATE(2957),
    [sym_return] = STATE(2957),
    [sym_flow] = STATE(2957),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2155),
    [sym_none] = ACTIONS(2155),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [373] = {
    [sym_raw_blck] = STATE(2959),
    [sym_raw_span] = STATE(2959),
    [sym_math] = STATE(2959),
    [sym__expr] = STATE(2959),
    [sym_ident] = STATE(2959),
    [sym_bool] = STATE(2959),
    [sym_number] = STATE(2959),
    [sym_string] = STATE(2959),
    [sym_tagged] = STATE(2959),
    [sym_context] = STATE(2959),
    [sym_elude] = STATE(2959),
    [sym_assign] = STATE(2959),
    [sym_lambda] = STATE(2959),
    [sym_or] = STATE(2959),
    [sym_not] = STATE(2959),
    [sym_and] = STATE(2959),
    [sym_cmp] = STATE(2959),
    [sym_in] = STATE(2959),
    [sym_add] = STATE(2959),
    [sym_sub] = STATE(2959),
    [sym_mul] = STATE(2959),
    [sym_div] = STATE(2959),
    [sym_sign] = STATE(2959),
    [sym_call] = STATE(2959),
    [sym_field] = STATE(2959),
    [sym_label] = STATE(2959),
    [sym_content] = STATE(2959),
    [sym_group] = STATE(2959),
    [sym_block] = STATE(2959),
    [sym_branch] = STATE(2959),
    [sym_let] = STATE(2959),
    [sym_set] = STATE(2959),
    [sym_import] = STATE(2959),
    [sym_include] = STATE(2959),
    [sym_for] = STATE(2959),
    [sym_while] = STATE(2959),
    [sym_show] = STATE(2959),
    [sym_return] = STATE(2959),
    [sym_flow] = STATE(2959),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2157),
    [sym_none] = ACTIONS(2157),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [374] = {
    [sym_raw_blck] = STATE(2963),
    [sym_raw_span] = STATE(2963),
    [sym_math] = STATE(2963),
    [sym__expr] = STATE(2963),
    [sym_ident] = STATE(2963),
    [sym_bool] = STATE(2963),
    [sym_number] = STATE(2963),
    [sym_string] = STATE(2963),
    [sym_tagged] = STATE(2963),
    [sym_context] = STATE(2963),
    [sym_elude] = STATE(2963),
    [sym_assign] = STATE(2963),
    [sym_lambda] = STATE(2963),
    [sym_or] = STATE(2963),
    [sym_not] = STATE(2963),
    [sym_and] = STATE(2963),
    [sym_cmp] = STATE(2963),
    [sym_in] = STATE(2963),
    [sym_add] = STATE(2963),
    [sym_sub] = STATE(2963),
    [sym_mul] = STATE(2963),
    [sym_div] = STATE(2963),
    [sym_sign] = STATE(2963),
    [sym_call] = STATE(2963),
    [sym_field] = STATE(2963),
    [sym_label] = STATE(2963),
    [sym_content] = STATE(2963),
    [sym_group] = STATE(2963),
    [sym_block] = STATE(2963),
    [sym_branch] = STATE(2963),
    [sym_let] = STATE(2963),
    [sym_set] = STATE(2963),
    [sym_import] = STATE(2963),
    [sym_include] = STATE(2963),
    [sym_for] = STATE(2963),
    [sym_while] = STATE(2963),
    [sym_show] = STATE(2963),
    [sym_return] = STATE(2963),
    [sym_flow] = STATE(2963),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2159),
    [sym_none] = ACTIONS(2159),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [375] = {
    [sym_raw_blck] = STATE(2966),
    [sym_raw_span] = STATE(2966),
    [sym_math] = STATE(2966),
    [sym__expr] = STATE(2966),
    [sym_ident] = STATE(2966),
    [sym_bool] = STATE(2966),
    [sym_number] = STATE(2966),
    [sym_string] = STATE(2966),
    [sym_tagged] = STATE(2966),
    [sym_context] = STATE(2966),
    [sym_elude] = STATE(2966),
    [sym_assign] = STATE(2966),
    [sym_lambda] = STATE(2966),
    [sym_or] = STATE(2966),
    [sym_not] = STATE(2966),
    [sym_and] = STATE(2966),
    [sym_cmp] = STATE(2966),
    [sym_in] = STATE(2966),
    [sym_add] = STATE(2966),
    [sym_sub] = STATE(2966),
    [sym_mul] = STATE(2966),
    [sym_div] = STATE(2966),
    [sym_sign] = STATE(2966),
    [sym_call] = STATE(2966),
    [sym_field] = STATE(2966),
    [sym_label] = STATE(2966),
    [sym_content] = STATE(2966),
    [sym_group] = STATE(2966),
    [sym_block] = STATE(2966),
    [sym_branch] = STATE(2966),
    [sym_let] = STATE(2966),
    [sym_set] = STATE(2966),
    [sym_import] = STATE(2966),
    [sym_include] = STATE(2966),
    [sym_for] = STATE(2966),
    [sym_while] = STATE(2966),
    [sym_show] = STATE(2966),
    [sym_return] = STATE(2966),
    [sym_flow] = STATE(2966),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2161),
    [sym_none] = ACTIONS(2161),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [376] = {
    [sym_raw_blck] = STATE(2967),
    [sym_raw_span] = STATE(2967),
    [sym_math] = STATE(2967),
    [sym__expr] = STATE(2967),
    [sym_ident] = STATE(2967),
    [sym_bool] = STATE(2967),
    [sym_number] = STATE(2967),
    [sym_string] = STATE(2967),
    [sym_tagged] = STATE(2967),
    [sym_context] = STATE(2967),
    [sym_elude] = STATE(2967),
    [sym_assign] = STATE(2967),
    [sym_lambda] = STATE(2967),
    [sym_or] = STATE(2967),
    [sym_not] = STATE(2967),
    [sym_and] = STATE(2967),
    [sym_cmp] = STATE(2967),
    [sym_in] = STATE(2967),
    [sym_add] = STATE(2967),
    [sym_sub] = STATE(2967),
    [sym_mul] = STATE(2967),
    [sym_div] = STATE(2967),
    [sym_sign] = STATE(2967),
    [sym_call] = STATE(2967),
    [sym_field] = STATE(2967),
    [sym_label] = STATE(2967),
    [sym_content] = STATE(2967),
    [sym_group] = STATE(2967),
    [sym_block] = STATE(2967),
    [sym_branch] = STATE(2967),
    [sym_let] = STATE(2967),
    [sym_set] = STATE(2967),
    [sym_import] = STATE(2967),
    [sym_include] = STATE(2967),
    [sym_for] = STATE(2967),
    [sym_while] = STATE(2967),
    [sym_show] = STATE(2967),
    [sym_return] = STATE(2967),
    [sym_flow] = STATE(2967),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2163),
    [sym_none] = ACTIONS(2163),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [377] = {
    [sym_raw_blck] = STATE(2974),
    [sym_raw_span] = STATE(2974),
    [sym_math] = STATE(2974),
    [sym__expr] = STATE(2974),
    [sym_ident] = STATE(2974),
    [sym_bool] = STATE(2974),
    [sym_number] = STATE(2974),
    [sym_string] = STATE(2974),
    [sym_tagged] = STATE(2974),
    [sym_context] = STATE(2974),
    [sym_elude] = STATE(2974),
    [sym_assign] = STATE(2974),
    [sym_lambda] = STATE(2974),
    [sym_or] = STATE(2974),
    [sym_not] = STATE(2974),
    [sym_and] = STATE(2974),
    [sym_cmp] = STATE(2974),
    [sym_in] = STATE(2974),
    [sym_add] = STATE(2974),
    [sym_sub] = STATE(2974),
    [sym_mul] = STATE(2974),
    [sym_div] = STATE(2974),
    [sym_sign] = STATE(2974),
    [sym_call] = STATE(2974),
    [sym_field] = STATE(2974),
    [sym_label] = STATE(2974),
    [sym_content] = STATE(2974),
    [sym_group] = STATE(2974),
    [sym_block] = STATE(2974),
    [sym_branch] = STATE(2974),
    [sym_let] = STATE(2974),
    [sym_set] = STATE(2974),
    [sym_import] = STATE(2974),
    [sym_include] = STATE(2974),
    [sym_for] = STATE(2974),
    [sym_while] = STATE(2974),
    [sym_show] = STATE(2974),
    [sym_return] = STATE(2974),
    [sym_flow] = STATE(2974),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2165),
    [sym_none] = ACTIONS(2165),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [378] = {
    [sym_raw_blck] = STATE(2975),
    [sym_raw_span] = STATE(2975),
    [sym_math] = STATE(2975),
    [sym__expr] = STATE(2975),
    [sym_ident] = STATE(2975),
    [sym_bool] = STATE(2975),
    [sym_number] = STATE(2975),
    [sym_string] = STATE(2975),
    [sym_tagged] = STATE(2975),
    [sym_context] = STATE(2975),
    [sym_elude] = STATE(2975),
    [sym_assign] = STATE(2975),
    [sym_lambda] = STATE(2975),
    [sym_or] = STATE(2975),
    [sym_not] = STATE(2975),
    [sym_and] = STATE(2975),
    [sym_cmp] = STATE(2975),
    [sym_in] = STATE(2975),
    [sym_add] = STATE(2975),
    [sym_sub] = STATE(2975),
    [sym_mul] = STATE(2975),
    [sym_div] = STATE(2975),
    [sym_sign] = STATE(2975),
    [sym_call] = STATE(2975),
    [sym_field] = STATE(2975),
    [sym_label] = STATE(2975),
    [sym_content] = STATE(2975),
    [sym_group] = STATE(2975),
    [sym_block] = STATE(2975),
    [sym_branch] = STATE(2975),
    [sym_let] = STATE(2975),
    [sym_set] = STATE(2975),
    [sym_import] = STATE(2975),
    [sym_include] = STATE(2975),
    [sym_for] = STATE(2975),
    [sym_while] = STATE(2975),
    [sym_show] = STATE(2975),
    [sym_return] = STATE(2975),
    [sym_flow] = STATE(2975),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2167),
    [sym_none] = ACTIONS(2167),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [379] = {
    [sym_raw_blck] = STATE(2976),
    [sym_raw_span] = STATE(2976),
    [sym_math] = STATE(2976),
    [sym__expr] = STATE(2976),
    [sym_ident] = STATE(2976),
    [sym_bool] = STATE(2976),
    [sym_number] = STATE(2976),
    [sym_string] = STATE(2976),
    [sym_tagged] = STATE(2976),
    [sym_context] = STATE(2976),
    [sym_elude] = STATE(2976),
    [sym_assign] = STATE(2976),
    [sym_lambda] = STATE(2976),
    [sym_or] = STATE(2976),
    [sym_not] = STATE(2976),
    [sym_and] = STATE(2976),
    [sym_cmp] = STATE(2976),
    [sym_in] = STATE(2976),
    [sym_add] = STATE(2976),
    [sym_sub] = STATE(2976),
    [sym_mul] = STATE(2976),
    [sym_div] = STATE(2976),
    [sym_sign] = STATE(2976),
    [sym_call] = STATE(2976),
    [sym_field] = STATE(2976),
    [sym_label] = STATE(2976),
    [sym_content] = STATE(2976),
    [sym_group] = STATE(2976),
    [sym_block] = STATE(2976),
    [sym_branch] = STATE(2976),
    [sym_let] = STATE(2976),
    [sym_set] = STATE(2976),
    [sym_import] = STATE(2976),
    [sym_include] = STATE(2976),
    [sym_for] = STATE(2976),
    [sym_while] = STATE(2976),
    [sym_show] = STATE(2976),
    [sym_return] = STATE(2976),
    [sym_flow] = STATE(2976),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2169),
    [sym_none] = ACTIONS(2169),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [380] = {
    [sym_raw_blck] = STATE(2978),
    [sym_raw_span] = STATE(2978),
    [sym_math] = STATE(2978),
    [sym__expr] = STATE(2978),
    [sym_ident] = STATE(2978),
    [sym_bool] = STATE(2978),
    [sym_number] = STATE(2978),
    [sym_string] = STATE(2978),
    [sym_tagged] = STATE(2978),
    [sym_context] = STATE(2978),
    [sym_elude] = STATE(2978),
    [sym_assign] = STATE(2978),
    [sym_lambda] = STATE(2978),
    [sym_or] = STATE(2978),
    [sym_not] = STATE(2978),
    [sym_and] = STATE(2978),
    [sym_cmp] = STATE(2978),
    [sym_in] = STATE(2978),
    [sym_add] = STATE(2978),
    [sym_sub] = STATE(2978),
    [sym_mul] = STATE(2978),
    [sym_div] = STATE(2978),
    [sym_sign] = STATE(2978),
    [sym_call] = STATE(2978),
    [sym_field] = STATE(2978),
    [sym_label] = STATE(2978),
    [sym_content] = STATE(2978),
    [sym_group] = STATE(2978),
    [sym_block] = STATE(2978),
    [sym_branch] = STATE(2978),
    [sym_let] = STATE(2978),
    [sym_set] = STATE(2978),
    [sym_import] = STATE(2978),
    [sym_include] = STATE(2978),
    [sym_for] = STATE(2978),
    [sym_while] = STATE(2978),
    [sym_show] = STATE(2978),
    [sym_return] = STATE(2978),
    [sym_flow] = STATE(2978),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2171),
    [sym_none] = ACTIONS(2171),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [381] = {
    [sym_raw_blck] = STATE(2707),
    [sym_raw_span] = STATE(2707),
    [sym_math] = STATE(2707),
    [sym__expr] = STATE(2707),
    [sym_ident] = STATE(2707),
    [sym_bool] = STATE(2707),
    [sym_number] = STATE(2707),
    [sym_string] = STATE(2707),
    [sym_tagged] = STATE(2707),
    [sym_context] = STATE(2707),
    [sym_elude] = STATE(2707),
    [sym_assign] = STATE(2707),
    [sym_lambda] = STATE(2707),
    [sym_or] = STATE(2707),
    [sym_not] = STATE(2707),
    [sym_and] = STATE(2707),
    [sym_cmp] = STATE(2707),
    [sym_in] = STATE(2707),
    [sym_add] = STATE(2707),
    [sym_sub] = STATE(2707),
    [sym_mul] = STATE(2707),
    [sym_div] = STATE(2707),
    [sym_sign] = STATE(2707),
    [sym_call] = STATE(2707),
    [sym_field] = STATE(2707),
    [sym_label] = STATE(2707),
    [sym_content] = STATE(2707),
    [sym_group] = STATE(2707),
    [sym_block] = STATE(2707),
    [sym_branch] = STATE(2707),
    [sym_let] = STATE(2707),
    [sym_set] = STATE(2707),
    [sym_import] = STATE(2707),
    [sym_include] = STATE(2707),
    [sym_for] = STATE(2707),
    [sym_while] = STATE(2707),
    [sym_show] = STATE(2707),
    [sym_return] = STATE(2707),
    [sym_flow] = STATE(2707),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2173),
    [sym_none] = ACTIONS(2173),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [382] = {
    [sym_raw_blck] = STATE(2708),
    [sym_raw_span] = STATE(2708),
    [sym_math] = STATE(2708),
    [sym__expr] = STATE(2708),
    [sym_ident] = STATE(2708),
    [sym_bool] = STATE(2708),
    [sym_number] = STATE(2708),
    [sym_string] = STATE(2708),
    [sym_tagged] = STATE(2708),
    [sym_context] = STATE(2708),
    [sym_elude] = STATE(2708),
    [sym_assign] = STATE(2708),
    [sym_lambda] = STATE(2708),
    [sym_or] = STATE(2708),
    [sym_not] = STATE(2708),
    [sym_and] = STATE(2708),
    [sym_cmp] = STATE(2708),
    [sym_in] = STATE(2708),
    [sym_add] = STATE(2708),
    [sym_sub] = STATE(2708),
    [sym_mul] = STATE(2708),
    [sym_div] = STATE(2708),
    [sym_sign] = STATE(2708),
    [sym_call] = STATE(2708),
    [sym_field] = STATE(2708),
    [sym_label] = STATE(2708),
    [sym_content] = STATE(2708),
    [sym_group] = STATE(2708),
    [sym_block] = STATE(2708),
    [sym_branch] = STATE(2708),
    [sym_let] = STATE(2708),
    [sym_set] = STATE(2708),
    [sym_import] = STATE(2708),
    [sym_include] = STATE(2708),
    [sym_for] = STATE(2708),
    [sym_while] = STATE(2708),
    [sym_show] = STATE(2708),
    [sym_return] = STATE(2708),
    [sym_flow] = STATE(2708),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2175),
    [sym_none] = ACTIONS(2175),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [383] = {
    [sym_raw_blck] = STATE(2709),
    [sym_raw_span] = STATE(2709),
    [sym_math] = STATE(2709),
    [sym__expr] = STATE(2709),
    [sym_ident] = STATE(2709),
    [sym_bool] = STATE(2709),
    [sym_number] = STATE(2709),
    [sym_string] = STATE(2709),
    [sym_tagged] = STATE(2709),
    [sym_context] = STATE(2709),
    [sym_elude] = STATE(2709),
    [sym_assign] = STATE(2709),
    [sym_lambda] = STATE(2709),
    [sym_or] = STATE(2709),
    [sym_not] = STATE(2709),
    [sym_and] = STATE(2709),
    [sym_cmp] = STATE(2709),
    [sym_in] = STATE(2709),
    [sym_add] = STATE(2709),
    [sym_sub] = STATE(2709),
    [sym_mul] = STATE(2709),
    [sym_div] = STATE(2709),
    [sym_sign] = STATE(2709),
    [sym_call] = STATE(2709),
    [sym_field] = STATE(2709),
    [sym_label] = STATE(2709),
    [sym_content] = STATE(2709),
    [sym_group] = STATE(2709),
    [sym_block] = STATE(2709),
    [sym_branch] = STATE(2709),
    [sym_let] = STATE(2709),
    [sym_set] = STATE(2709),
    [sym_import] = STATE(2709),
    [sym_include] = STATE(2709),
    [sym_for] = STATE(2709),
    [sym_while] = STATE(2709),
    [sym_show] = STATE(2709),
    [sym_return] = STATE(2709),
    [sym_flow] = STATE(2709),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2177),
    [sym_none] = ACTIONS(2177),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [384] = {
    [sym_raw_blck] = STATE(2710),
    [sym_raw_span] = STATE(2710),
    [sym_math] = STATE(2710),
    [sym__expr] = STATE(2710),
    [sym_ident] = STATE(2710),
    [sym_bool] = STATE(2710),
    [sym_number] = STATE(2710),
    [sym_string] = STATE(2710),
    [sym_tagged] = STATE(2710),
    [sym_context] = STATE(2710),
    [sym_elude] = STATE(2710),
    [sym_assign] = STATE(2710),
    [sym_lambda] = STATE(2710),
    [sym_or] = STATE(2710),
    [sym_not] = STATE(2710),
    [sym_and] = STATE(2710),
    [sym_cmp] = STATE(2710),
    [sym_in] = STATE(2710),
    [sym_add] = STATE(2710),
    [sym_sub] = STATE(2710),
    [sym_mul] = STATE(2710),
    [sym_div] = STATE(2710),
    [sym_sign] = STATE(2710),
    [sym_call] = STATE(2710),
    [sym_field] = STATE(2710),
    [sym_label] = STATE(2710),
    [sym_content] = STATE(2710),
    [sym_group] = STATE(2710),
    [sym_block] = STATE(2710),
    [sym_branch] = STATE(2710),
    [sym_let] = STATE(2710),
    [sym_set] = STATE(2710),
    [sym_import] = STATE(2710),
    [sym_include] = STATE(2710),
    [sym_for] = STATE(2710),
    [sym_while] = STATE(2710),
    [sym_show] = STATE(2710),
    [sym_return] = STATE(2710),
    [sym_flow] = STATE(2710),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2179),
    [sym_none] = ACTIONS(2179),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [385] = {
    [sym_raw_blck] = STATE(2734),
    [sym_raw_span] = STATE(2734),
    [sym_math] = STATE(2734),
    [sym__expr] = STATE(2734),
    [sym_ident] = STATE(2734),
    [sym_bool] = STATE(2734),
    [sym_number] = STATE(2734),
    [sym_string] = STATE(2734),
    [sym_tagged] = STATE(2734),
    [sym_context] = STATE(2734),
    [sym_elude] = STATE(2734),
    [sym_assign] = STATE(2734),
    [sym_lambda] = STATE(2734),
    [sym_or] = STATE(2734),
    [sym_not] = STATE(2734),
    [sym_and] = STATE(2734),
    [sym_cmp] = STATE(2734),
    [sym_in] = STATE(2734),
    [sym_add] = STATE(2734),
    [sym_sub] = STATE(2734),
    [sym_mul] = STATE(2734),
    [sym_div] = STATE(2734),
    [sym_sign] = STATE(2734),
    [sym_call] = STATE(2734),
    [sym_field] = STATE(2734),
    [sym_label] = STATE(2734),
    [sym_content] = STATE(2734),
    [sym_group] = STATE(2734),
    [sym_block] = STATE(2734),
    [sym_branch] = STATE(2734),
    [sym_let] = STATE(2734),
    [sym_set] = STATE(2734),
    [sym_import] = STATE(2734),
    [sym_include] = STATE(2734),
    [sym_for] = STATE(2734),
    [sym_while] = STATE(2734),
    [sym_show] = STATE(2734),
    [sym_return] = STATE(2734),
    [sym_flow] = STATE(2734),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2181),
    [sym_none] = ACTIONS(2181),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [386] = {
    [sym_raw_blck] = STATE(2620),
    [sym_raw_span] = STATE(2620),
    [sym_math] = STATE(2620),
    [sym__expr] = STATE(2620),
    [sym_ident] = STATE(2620),
    [sym_bool] = STATE(2620),
    [sym_number] = STATE(2620),
    [sym_string] = STATE(2620),
    [sym_tagged] = STATE(2620),
    [sym_context] = STATE(2620),
    [sym_elude] = STATE(2620),
    [sym_assign] = STATE(2620),
    [sym_lambda] = STATE(2620),
    [sym_or] = STATE(2620),
    [sym_not] = STATE(2620),
    [sym_and] = STATE(2620),
    [sym_cmp] = STATE(2620),
    [sym_in] = STATE(2620),
    [sym_add] = STATE(2620),
    [sym_sub] = STATE(2620),
    [sym_mul] = STATE(2620),
    [sym_div] = STATE(2620),
    [sym_sign] = STATE(2620),
    [sym_call] = STATE(2620),
    [sym_field] = STATE(2620),
    [sym_label] = STATE(2620),
    [sym_content] = STATE(2620),
    [sym_group] = STATE(2620),
    [sym_block] = STATE(2620),
    [sym_branch] = STATE(2620),
    [sym_let] = STATE(2620),
    [sym_set] = STATE(2620),
    [sym_import] = STATE(2620),
    [sym_include] = STATE(2620),
    [sym_for] = STATE(2620),
    [sym_while] = STATE(2620),
    [sym_show] = STATE(2620),
    [sym_return] = STATE(2620),
    [sym_flow] = STATE(2620),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2183),
    [sym_none] = ACTIONS(2183),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [387] = {
    [sym_raw_blck] = STATE(2747),
    [sym_raw_span] = STATE(2747),
    [sym_math] = STATE(2747),
    [sym__expr] = STATE(2747),
    [sym_ident] = STATE(2747),
    [sym_bool] = STATE(2747),
    [sym_number] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym_tagged] = STATE(2747),
    [sym_context] = STATE(2747),
    [sym_elude] = STATE(2747),
    [sym_assign] = STATE(2747),
    [sym_lambda] = STATE(2747),
    [sym_or] = STATE(2747),
    [sym_not] = STATE(2747),
    [sym_and] = STATE(2747),
    [sym_cmp] = STATE(2747),
    [sym_in] = STATE(2747),
    [sym_add] = STATE(2747),
    [sym_sub] = STATE(2747),
    [sym_mul] = STATE(2747),
    [sym_div] = STATE(2747),
    [sym_sign] = STATE(2747),
    [sym_call] = STATE(2747),
    [sym_field] = STATE(2747),
    [sym_label] = STATE(2747),
    [sym_content] = STATE(2747),
    [sym_group] = STATE(2747),
    [sym_block] = STATE(2747),
    [sym_branch] = STATE(2747),
    [sym_let] = STATE(2747),
    [sym_set] = STATE(2747),
    [sym_import] = STATE(2747),
    [sym_include] = STATE(2747),
    [sym_for] = STATE(2747),
    [sym_while] = STATE(2747),
    [sym_show] = STATE(2747),
    [sym_return] = STATE(2747),
    [sym_flow] = STATE(2747),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2185),
    [sym_none] = ACTIONS(2185),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [388] = {
    [sym_raw_blck] = STATE(2750),
    [sym_raw_span] = STATE(2750),
    [sym_math] = STATE(2750),
    [sym__expr] = STATE(2750),
    [sym_ident] = STATE(2750),
    [sym_bool] = STATE(2750),
    [sym_number] = STATE(2750),
    [sym_string] = STATE(2750),
    [sym_tagged] = STATE(2750),
    [sym_context] = STATE(2750),
    [sym_elude] = STATE(2750),
    [sym_assign] = STATE(2750),
    [sym_lambda] = STATE(2750),
    [sym_or] = STATE(2750),
    [sym_not] = STATE(2750),
    [sym_and] = STATE(2750),
    [sym_cmp] = STATE(2750),
    [sym_in] = STATE(2750),
    [sym_add] = STATE(2750),
    [sym_sub] = STATE(2750),
    [sym_mul] = STATE(2750),
    [sym_div] = STATE(2750),
    [sym_sign] = STATE(2750),
    [sym_call] = STATE(2750),
    [sym_field] = STATE(2750),
    [sym_label] = STATE(2750),
    [sym_content] = STATE(2750),
    [sym_group] = STATE(2750),
    [sym_block] = STATE(2750),
    [sym_branch] = STATE(2750),
    [sym_let] = STATE(2750),
    [sym_set] = STATE(2750),
    [sym_import] = STATE(2750),
    [sym_include] = STATE(2750),
    [sym_for] = STATE(2750),
    [sym_while] = STATE(2750),
    [sym_show] = STATE(2750),
    [sym_return] = STATE(2750),
    [sym_flow] = STATE(2750),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2187),
    [sym_none] = ACTIONS(2187),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [389] = {
    [sym_raw_blck] = STATE(1714),
    [sym_raw_span] = STATE(1714),
    [sym_math] = STATE(1714),
    [sym__expr] = STATE(1714),
    [sym_ident] = STATE(1714),
    [sym_bool] = STATE(1714),
    [sym_number] = STATE(1714),
    [sym_string] = STATE(1714),
    [sym_tagged] = STATE(1714),
    [sym_context] = STATE(1714),
    [sym_elude] = STATE(1714),
    [sym_assign] = STATE(1714),
    [sym_lambda] = STATE(1714),
    [sym_or] = STATE(1714),
    [sym_not] = STATE(1714),
    [sym_and] = STATE(1714),
    [sym_cmp] = STATE(1714),
    [sym_in] = STATE(1714),
    [sym_add] = STATE(1714),
    [sym_sub] = STATE(1714),
    [sym_mul] = STATE(1714),
    [sym_div] = STATE(1714),
    [sym_sign] = STATE(1714),
    [sym_call] = STATE(1714),
    [sym_field] = STATE(1714),
    [sym_label] = STATE(1714),
    [sym_content] = STATE(1714),
    [sym_group] = STATE(1714),
    [sym_block] = STATE(1714),
    [sym_branch] = STATE(1714),
    [sym_let] = STATE(1714),
    [sym_set] = STATE(1714),
    [sym_import] = STATE(1714),
    [sym_include] = STATE(1714),
    [sym_for] = STATE(1714),
    [sym_while] = STATE(1714),
    [sym_show] = STATE(1714),
    [sym_return] = STATE(1714),
    [sym_flow] = STATE(1714),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2189),
    [sym_none] = ACTIONS(2189),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [390] = {
    [sym_raw_blck] = STATE(1713),
    [sym_raw_span] = STATE(1713),
    [sym_math] = STATE(1713),
    [sym__expr] = STATE(1713),
    [sym_ident] = STATE(1713),
    [sym_bool] = STATE(1713),
    [sym_number] = STATE(1713),
    [sym_string] = STATE(1713),
    [sym_tagged] = STATE(1713),
    [sym_context] = STATE(1713),
    [sym_elude] = STATE(1713),
    [sym_assign] = STATE(1713),
    [sym_lambda] = STATE(1713),
    [sym_or] = STATE(1713),
    [sym_not] = STATE(1713),
    [sym_and] = STATE(1713),
    [sym_cmp] = STATE(1713),
    [sym_in] = STATE(1713),
    [sym_add] = STATE(1713),
    [sym_sub] = STATE(1713),
    [sym_mul] = STATE(1713),
    [sym_div] = STATE(1713),
    [sym_sign] = STATE(1713),
    [sym_call] = STATE(1713),
    [sym_field] = STATE(1713),
    [sym_label] = STATE(1713),
    [sym_content] = STATE(1713),
    [sym_group] = STATE(1713),
    [sym_block] = STATE(1713),
    [sym_branch] = STATE(1713),
    [sym_let] = STATE(1713),
    [sym_set] = STATE(1713),
    [sym_import] = STATE(1713),
    [sym_include] = STATE(1713),
    [sym_for] = STATE(1713),
    [sym_while] = STATE(1713),
    [sym_show] = STATE(1713),
    [sym_return] = STATE(1713),
    [sym_flow] = STATE(1713),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2191),
    [sym_none] = ACTIONS(2191),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [391] = {
    [sym_raw_blck] = STATE(2043),
    [sym_raw_span] = STATE(2043),
    [sym_math] = STATE(2043),
    [sym__expr] = STATE(2043),
    [sym_ident] = STATE(2043),
    [sym_bool] = STATE(2043),
    [sym_number] = STATE(2043),
    [sym_string] = STATE(2043),
    [sym_tagged] = STATE(2043),
    [sym_context] = STATE(2043),
    [sym_elude] = STATE(2043),
    [sym_assign] = STATE(2043),
    [sym_lambda] = STATE(2043),
    [sym_or] = STATE(2043),
    [sym_not] = STATE(2043),
    [sym_and] = STATE(2043),
    [sym_cmp] = STATE(2043),
    [sym_in] = STATE(2043),
    [sym_add] = STATE(2043),
    [sym_sub] = STATE(2043),
    [sym_mul] = STATE(2043),
    [sym_div] = STATE(2043),
    [sym_sign] = STATE(2043),
    [sym_call] = STATE(2043),
    [sym_field] = STATE(2043),
    [sym_label] = STATE(2043),
    [sym_content] = STATE(2043),
    [sym_group] = STATE(2043),
    [sym_block] = STATE(2043),
    [sym_branch] = STATE(2043),
    [sym_let] = STATE(2043),
    [sym_set] = STATE(2043),
    [sym_import] = STATE(2043),
    [sym_include] = STATE(2043),
    [sym_for] = STATE(2043),
    [sym_while] = STATE(2043),
    [sym_show] = STATE(2043),
    [sym_return] = STATE(2043),
    [sym_flow] = STATE(2043),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2193),
    [sym_none] = ACTIONS(2193),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [392] = {
    [sym_raw_blck] = STATE(2760),
    [sym_raw_span] = STATE(2760),
    [sym_math] = STATE(2760),
    [sym__expr] = STATE(2760),
    [sym_ident] = STATE(2760),
    [sym_bool] = STATE(2760),
    [sym_number] = STATE(2760),
    [sym_string] = STATE(2760),
    [sym_tagged] = STATE(2760),
    [sym_context] = STATE(2760),
    [sym_elude] = STATE(2760),
    [sym_assign] = STATE(2760),
    [sym_lambda] = STATE(2760),
    [sym_or] = STATE(2760),
    [sym_not] = STATE(2760),
    [sym_and] = STATE(2760),
    [sym_cmp] = STATE(2760),
    [sym_in] = STATE(2760),
    [sym_add] = STATE(2760),
    [sym_sub] = STATE(2760),
    [sym_mul] = STATE(2760),
    [sym_div] = STATE(2760),
    [sym_sign] = STATE(2760),
    [sym_call] = STATE(2760),
    [sym_field] = STATE(2760),
    [sym_label] = STATE(2760),
    [sym_content] = STATE(2760),
    [sym_group] = STATE(2760),
    [sym_block] = STATE(2760),
    [sym_branch] = STATE(2760),
    [sym_let] = STATE(2760),
    [sym_set] = STATE(2760),
    [sym_import] = STATE(2760),
    [sym_include] = STATE(2760),
    [sym_for] = STATE(2760),
    [sym_while] = STATE(2760),
    [sym_show] = STATE(2760),
    [sym_return] = STATE(2760),
    [sym_flow] = STATE(2760),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2195),
    [sym_none] = ACTIONS(2195),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [393] = {
    [sym_raw_blck] = STATE(2761),
    [sym_raw_span] = STATE(2761),
    [sym_math] = STATE(2761),
    [sym__expr] = STATE(2761),
    [sym_ident] = STATE(2761),
    [sym_bool] = STATE(2761),
    [sym_number] = STATE(2761),
    [sym_string] = STATE(2761),
    [sym_tagged] = STATE(2761),
    [sym_context] = STATE(2761),
    [sym_elude] = STATE(2761),
    [sym_assign] = STATE(2761),
    [sym_lambda] = STATE(2761),
    [sym_or] = STATE(2761),
    [sym_not] = STATE(2761),
    [sym_and] = STATE(2761),
    [sym_cmp] = STATE(2761),
    [sym_in] = STATE(2761),
    [sym_add] = STATE(2761),
    [sym_sub] = STATE(2761),
    [sym_mul] = STATE(2761),
    [sym_div] = STATE(2761),
    [sym_sign] = STATE(2761),
    [sym_call] = STATE(2761),
    [sym_field] = STATE(2761),
    [sym_label] = STATE(2761),
    [sym_content] = STATE(2761),
    [sym_group] = STATE(2761),
    [sym_block] = STATE(2761),
    [sym_branch] = STATE(2761),
    [sym_let] = STATE(2761),
    [sym_set] = STATE(2761),
    [sym_import] = STATE(2761),
    [sym_include] = STATE(2761),
    [sym_for] = STATE(2761),
    [sym_while] = STATE(2761),
    [sym_show] = STATE(2761),
    [sym_return] = STATE(2761),
    [sym_flow] = STATE(2761),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2197),
    [sym_none] = ACTIONS(2197),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [394] = {
    [sym_raw_blck] = STATE(1450),
    [sym_raw_span] = STATE(1450),
    [sym_math] = STATE(1450),
    [sym__expr] = STATE(1450),
    [sym_ident] = STATE(1450),
    [sym_bool] = STATE(1450),
    [sym_number] = STATE(1450),
    [sym_string] = STATE(1450),
    [sym_tagged] = STATE(1450),
    [sym_context] = STATE(1450),
    [sym_elude] = STATE(1450),
    [sym_assign] = STATE(1450),
    [sym_lambda] = STATE(1450),
    [sym_or] = STATE(1450),
    [sym_not] = STATE(1450),
    [sym_and] = STATE(1450),
    [sym_cmp] = STATE(1450),
    [sym_in] = STATE(1450),
    [sym_add] = STATE(1450),
    [sym_sub] = STATE(1450),
    [sym_mul] = STATE(1450),
    [sym_div] = STATE(1450),
    [sym_sign] = STATE(1450),
    [sym_call] = STATE(1450),
    [sym_field] = STATE(1450),
    [sym_label] = STATE(1450),
    [sym_content] = STATE(1450),
    [sym_group] = STATE(1450),
    [sym_block] = STATE(1450),
    [sym_branch] = STATE(1450),
    [sym_let] = STATE(1450),
    [sym_set] = STATE(1450),
    [sym_import] = STATE(1450),
    [sym_include] = STATE(1450),
    [sym_for] = STATE(1450),
    [sym_while] = STATE(1450),
    [sym_show] = STATE(1450),
    [sym_return] = STATE(1450),
    [sym_flow] = STATE(1450),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2203),
    [sym_none] = ACTIONS(2203),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [395] = {
    [sym_raw_blck] = STATE(1712),
    [sym_raw_span] = STATE(1712),
    [sym_math] = STATE(1712),
    [sym__expr] = STATE(1712),
    [sym_ident] = STATE(1712),
    [sym_bool] = STATE(1712),
    [sym_number] = STATE(1712),
    [sym_string] = STATE(1712),
    [sym_tagged] = STATE(1712),
    [sym_context] = STATE(1712),
    [sym_elude] = STATE(1712),
    [sym_assign] = STATE(1712),
    [sym_lambda] = STATE(1712),
    [sym_or] = STATE(1712),
    [sym_not] = STATE(1712),
    [sym_and] = STATE(1712),
    [sym_cmp] = STATE(1712),
    [sym_in] = STATE(1712),
    [sym_add] = STATE(1712),
    [sym_sub] = STATE(1712),
    [sym_mul] = STATE(1712),
    [sym_div] = STATE(1712),
    [sym_sign] = STATE(1712),
    [sym_call] = STATE(1712),
    [sym_field] = STATE(1712),
    [sym_label] = STATE(1712),
    [sym_content] = STATE(1712),
    [sym_group] = STATE(1712),
    [sym_block] = STATE(1712),
    [sym_branch] = STATE(1712),
    [sym_let] = STATE(1712),
    [sym_set] = STATE(1712),
    [sym_import] = STATE(1712),
    [sym_include] = STATE(1712),
    [sym_for] = STATE(1712),
    [sym_while] = STATE(1712),
    [sym_show] = STATE(1712),
    [sym_return] = STATE(1712),
    [sym_flow] = STATE(1712),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2205),
    [sym_none] = ACTIONS(2205),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [396] = {
    [sym_raw_blck] = STATE(2785),
    [sym_raw_span] = STATE(2785),
    [sym_math] = STATE(2785),
    [sym__expr] = STATE(2785),
    [sym_ident] = STATE(2785),
    [sym_bool] = STATE(2785),
    [sym_number] = STATE(2785),
    [sym_string] = STATE(2785),
    [sym_tagged] = STATE(2785),
    [sym_context] = STATE(2785),
    [sym_elude] = STATE(2785),
    [sym_assign] = STATE(2785),
    [sym_lambda] = STATE(2785),
    [sym_or] = STATE(2785),
    [sym_not] = STATE(2785),
    [sym_and] = STATE(2785),
    [sym_cmp] = STATE(2785),
    [sym_in] = STATE(2785),
    [sym_add] = STATE(2785),
    [sym_sub] = STATE(2785),
    [sym_mul] = STATE(2785),
    [sym_div] = STATE(2785),
    [sym_sign] = STATE(2785),
    [sym_call] = STATE(2785),
    [sym_field] = STATE(2785),
    [sym_label] = STATE(2785),
    [sym_content] = STATE(2785),
    [sym_group] = STATE(2785),
    [sym_block] = STATE(2785),
    [sym_branch] = STATE(2785),
    [sym_let] = STATE(2785),
    [sym_set] = STATE(2785),
    [sym_import] = STATE(2785),
    [sym_include] = STATE(2785),
    [sym_for] = STATE(2785),
    [sym_while] = STATE(2785),
    [sym_show] = STATE(2785),
    [sym_return] = STATE(2785),
    [sym_flow] = STATE(2785),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2207),
    [sym_none] = ACTIONS(2207),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [397] = {
    [sym_raw_blck] = STATE(2786),
    [sym_raw_span] = STATE(2786),
    [sym_math] = STATE(2786),
    [sym__expr] = STATE(2786),
    [sym_ident] = STATE(2786),
    [sym_bool] = STATE(2786),
    [sym_number] = STATE(2786),
    [sym_string] = STATE(2786),
    [sym_tagged] = STATE(2786),
    [sym_context] = STATE(2786),
    [sym_elude] = STATE(2786),
    [sym_assign] = STATE(2786),
    [sym_lambda] = STATE(2786),
    [sym_or] = STATE(2786),
    [sym_not] = STATE(2786),
    [sym_and] = STATE(2786),
    [sym_cmp] = STATE(2786),
    [sym_in] = STATE(2786),
    [sym_add] = STATE(2786),
    [sym_sub] = STATE(2786),
    [sym_mul] = STATE(2786),
    [sym_div] = STATE(2786),
    [sym_sign] = STATE(2786),
    [sym_call] = STATE(2786),
    [sym_field] = STATE(2786),
    [sym_label] = STATE(2786),
    [sym_content] = STATE(2786),
    [sym_group] = STATE(2786),
    [sym_block] = STATE(2786),
    [sym_branch] = STATE(2786),
    [sym_let] = STATE(2786),
    [sym_set] = STATE(2786),
    [sym_import] = STATE(2786),
    [sym_include] = STATE(2786),
    [sym_for] = STATE(2786),
    [sym_while] = STATE(2786),
    [sym_show] = STATE(2786),
    [sym_return] = STATE(2786),
    [sym_flow] = STATE(2786),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2209),
    [sym_none] = ACTIONS(2209),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [398] = {
    [sym_raw_blck] = STATE(2769),
    [sym_raw_span] = STATE(2769),
    [sym_math] = STATE(2769),
    [sym__expr] = STATE(2769),
    [sym_ident] = STATE(2769),
    [sym_bool] = STATE(2769),
    [sym_number] = STATE(2769),
    [sym_string] = STATE(2769),
    [sym_tagged] = STATE(2769),
    [sym_context] = STATE(2769),
    [sym_elude] = STATE(2769),
    [sym_assign] = STATE(2769),
    [sym_lambda] = STATE(2769),
    [sym_or] = STATE(2769),
    [sym_not] = STATE(2769),
    [sym_and] = STATE(2769),
    [sym_cmp] = STATE(2769),
    [sym_in] = STATE(2769),
    [sym_add] = STATE(2769),
    [sym_sub] = STATE(2769),
    [sym_mul] = STATE(2769),
    [sym_div] = STATE(2769),
    [sym_sign] = STATE(2769),
    [sym_call] = STATE(2769),
    [sym_field] = STATE(2769),
    [sym_label] = STATE(2769),
    [sym_content] = STATE(2769),
    [sym_group] = STATE(2769),
    [sym_block] = STATE(2769),
    [sym_branch] = STATE(2769),
    [sym_let] = STATE(2769),
    [sym_set] = STATE(2769),
    [sym_import] = STATE(2769),
    [sym_include] = STATE(2769),
    [sym_for] = STATE(2769),
    [sym_while] = STATE(2769),
    [sym_show] = STATE(2769),
    [sym_return] = STATE(2769),
    [sym_flow] = STATE(2769),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2211),
    [sym_none] = ACTIONS(2211),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [399] = {
    [sym_raw_blck] = STATE(2042),
    [sym_raw_span] = STATE(2042),
    [sym_math] = STATE(2042),
    [sym__expr] = STATE(2042),
    [sym_ident] = STATE(2042),
    [sym_bool] = STATE(2042),
    [sym_number] = STATE(2042),
    [sym_string] = STATE(2042),
    [sym_tagged] = STATE(2042),
    [sym_context] = STATE(2042),
    [sym_elude] = STATE(2042),
    [sym_assign] = STATE(2042),
    [sym_lambda] = STATE(2042),
    [sym_or] = STATE(2042),
    [sym_not] = STATE(2042),
    [sym_and] = STATE(2042),
    [sym_cmp] = STATE(2042),
    [sym_in] = STATE(2042),
    [sym_add] = STATE(2042),
    [sym_sub] = STATE(2042),
    [sym_mul] = STATE(2042),
    [sym_div] = STATE(2042),
    [sym_sign] = STATE(2042),
    [sym_call] = STATE(2042),
    [sym_field] = STATE(2042),
    [sym_label] = STATE(2042),
    [sym_content] = STATE(2042),
    [sym_group] = STATE(2042),
    [sym_block] = STATE(2042),
    [sym_branch] = STATE(2042),
    [sym_let] = STATE(2042),
    [sym_set] = STATE(2042),
    [sym_import] = STATE(2042),
    [sym_include] = STATE(2042),
    [sym_for] = STATE(2042),
    [sym_while] = STATE(2042),
    [sym_show] = STATE(2042),
    [sym_return] = STATE(2042),
    [sym_flow] = STATE(2042),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2213),
    [sym_none] = ACTIONS(2213),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [400] = {
    [sym_raw_blck] = STATE(2996),
    [sym_raw_span] = STATE(2996),
    [sym_math] = STATE(2996),
    [sym__expr] = STATE(2996),
    [sym_ident] = STATE(2996),
    [sym_bool] = STATE(2996),
    [sym_number] = STATE(2996),
    [sym_string] = STATE(2996),
    [sym_tagged] = STATE(2996),
    [sym_context] = STATE(2996),
    [sym_elude] = STATE(2996),
    [sym_assign] = STATE(2996),
    [sym_lambda] = STATE(2996),
    [sym_or] = STATE(2996),
    [sym_not] = STATE(2996),
    [sym_and] = STATE(2996),
    [sym_cmp] = STATE(2996),
    [sym_in] = STATE(2996),
    [sym_add] = STATE(2996),
    [sym_sub] = STATE(2996),
    [sym_mul] = STATE(2996),
    [sym_div] = STATE(2996),
    [sym_sign] = STATE(2996),
    [sym_call] = STATE(2996),
    [sym_field] = STATE(2996),
    [sym_label] = STATE(2996),
    [sym_content] = STATE(2996),
    [sym_group] = STATE(2996),
    [sym_block] = STATE(2996),
    [sym_branch] = STATE(2996),
    [sym_let] = STATE(2996),
    [sym_set] = STATE(2996),
    [sym_import] = STATE(2996),
    [sym_include] = STATE(2996),
    [sym_for] = STATE(2996),
    [sym_while] = STATE(2996),
    [sym_show] = STATE(2996),
    [sym_return] = STATE(2996),
    [sym_flow] = STATE(2996),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2215),
    [sym_none] = ACTIONS(2215),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [401] = {
    [sym_raw_blck] = STATE(2986),
    [sym_raw_span] = STATE(2986),
    [sym_math] = STATE(2986),
    [sym__expr] = STATE(2986),
    [sym_ident] = STATE(2986),
    [sym_bool] = STATE(2986),
    [sym_number] = STATE(2986),
    [sym_string] = STATE(2986),
    [sym_tagged] = STATE(2986),
    [sym_context] = STATE(2986),
    [sym_elude] = STATE(2986),
    [sym_assign] = STATE(2986),
    [sym_lambda] = STATE(2986),
    [sym_or] = STATE(2986),
    [sym_not] = STATE(2986),
    [sym_and] = STATE(2986),
    [sym_cmp] = STATE(2986),
    [sym_in] = STATE(2986),
    [sym_add] = STATE(2986),
    [sym_sub] = STATE(2986),
    [sym_mul] = STATE(2986),
    [sym_div] = STATE(2986),
    [sym_sign] = STATE(2986),
    [sym_call] = STATE(2986),
    [sym_field] = STATE(2986),
    [sym_label] = STATE(2986),
    [sym_content] = STATE(2986),
    [sym_group] = STATE(2986),
    [sym_block] = STATE(2986),
    [sym_branch] = STATE(2986),
    [sym_let] = STATE(2986),
    [sym_set] = STATE(2986),
    [sym_import] = STATE(2986),
    [sym_include] = STATE(2986),
    [sym_for] = STATE(2986),
    [sym_while] = STATE(2986),
    [sym_show] = STATE(2986),
    [sym_return] = STATE(2986),
    [sym_flow] = STATE(2986),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2217),
    [sym_none] = ACTIONS(2217),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [402] = {
    [sym_raw_blck] = STATE(2091),
    [sym_raw_span] = STATE(2091),
    [sym_math] = STATE(2091),
    [sym__expr] = STATE(2091),
    [sym_ident] = STATE(2091),
    [sym_bool] = STATE(2091),
    [sym_number] = STATE(2091),
    [sym_string] = STATE(2091),
    [sym_tagged] = STATE(2091),
    [sym_context] = STATE(2091),
    [sym_elude] = STATE(2091),
    [sym_assign] = STATE(2091),
    [sym_lambda] = STATE(2091),
    [sym_or] = STATE(2091),
    [sym_not] = STATE(2091),
    [sym_and] = STATE(2091),
    [sym_cmp] = STATE(2091),
    [sym_in] = STATE(2091),
    [sym_add] = STATE(2091),
    [sym_sub] = STATE(2091),
    [sym_mul] = STATE(2091),
    [sym_div] = STATE(2091),
    [sym_sign] = STATE(2091),
    [sym_call] = STATE(2091),
    [sym_field] = STATE(2091),
    [sym_label] = STATE(2091),
    [sym_content] = STATE(2091),
    [sym_group] = STATE(2091),
    [sym_block] = STATE(2091),
    [sym_branch] = STATE(2091),
    [sym_let] = STATE(2091),
    [sym_set] = STATE(2091),
    [sym_import] = STATE(2091),
    [sym_include] = STATE(2091),
    [sym_for] = STATE(2091),
    [sym_while] = STATE(2091),
    [sym_show] = STATE(2091),
    [sym_return] = STATE(2091),
    [sym_flow] = STATE(2091),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2219),
    [sym_none] = ACTIONS(2219),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [403] = {
    [sym_raw_blck] = STATE(3024),
    [sym_raw_span] = STATE(3024),
    [sym_math] = STATE(3024),
    [sym__expr] = STATE(3024),
    [sym_ident] = STATE(3024),
    [sym_bool] = STATE(3024),
    [sym_number] = STATE(3024),
    [sym_string] = STATE(3024),
    [sym_tagged] = STATE(3024),
    [sym_context] = STATE(3024),
    [sym_elude] = STATE(3024),
    [sym_assign] = STATE(3024),
    [sym_lambda] = STATE(3024),
    [sym_or] = STATE(3024),
    [sym_not] = STATE(3024),
    [sym_and] = STATE(3024),
    [sym_cmp] = STATE(3024),
    [sym_in] = STATE(3024),
    [sym_add] = STATE(3024),
    [sym_sub] = STATE(3024),
    [sym_mul] = STATE(3024),
    [sym_div] = STATE(3024),
    [sym_sign] = STATE(3024),
    [sym_call] = STATE(2085),
    [sym_field] = STATE(3024),
    [sym_label] = STATE(3024),
    [sym_content] = STATE(3024),
    [sym_group] = STATE(3024),
    [sym_block] = STATE(3024),
    [sym_branch] = STATE(3024),
    [sym_let] = STATE(3024),
    [sym_set] = STATE(3024),
    [sym_import] = STATE(3024),
    [sym_include] = STATE(3024),
    [sym_for] = STATE(3024),
    [sym_while] = STATE(3024),
    [sym_show] = STATE(3024),
    [sym_return] = STATE(3024),
    [sym_flow] = STATE(3024),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2221),
    [sym_none] = ACTIONS(2221),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [404] = {
    [sym_raw_blck] = STATE(1339),
    [sym_raw_span] = STATE(1339),
    [sym_math] = STATE(1339),
    [sym__expr] = STATE(1339),
    [sym_ident] = STATE(1339),
    [sym_bool] = STATE(1339),
    [sym_number] = STATE(1339),
    [sym_string] = STATE(1339),
    [sym_tagged] = STATE(1339),
    [sym_context] = STATE(1339),
    [sym_elude] = STATE(1339),
    [sym_assign] = STATE(1339),
    [sym_lambda] = STATE(1339),
    [sym_or] = STATE(1339),
    [sym_not] = STATE(1339),
    [sym_and] = STATE(1339),
    [sym_cmp] = STATE(1339),
    [sym_in] = STATE(1339),
    [sym_add] = STATE(1339),
    [sym_sub] = STATE(1339),
    [sym_mul] = STATE(1339),
    [sym_div] = STATE(1339),
    [sym_sign] = STATE(1339),
    [sym_call] = STATE(1339),
    [sym_field] = STATE(1339),
    [sym_label] = STATE(1339),
    [sym_content] = STATE(1339),
    [sym_group] = STATE(1339),
    [sym_block] = STATE(1339),
    [sym_branch] = STATE(1339),
    [sym_let] = STATE(1339),
    [sym_set] = STATE(1339),
    [sym_import] = STATE(1339),
    [sym_include] = STATE(1339),
    [sym_for] = STATE(1339),
    [sym_while] = STATE(1339),
    [sym_show] = STATE(1339),
    [sym_return] = STATE(1339),
    [sym_flow] = STATE(1339),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2225),
    [sym_none] = ACTIONS(2225),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [405] = {
    [sym_raw_blck] = STATE(2685),
    [sym_raw_span] = STATE(2685),
    [sym_math] = STATE(2685),
    [sym__expr] = STATE(2685),
    [sym_ident] = STATE(2685),
    [sym_bool] = STATE(2685),
    [sym_number] = STATE(2685),
    [sym_string] = STATE(2685),
    [sym_tagged] = STATE(2685),
    [sym_context] = STATE(2685),
    [sym_elude] = STATE(2685),
    [sym_assign] = STATE(2685),
    [sym_lambda] = STATE(2685),
    [sym_or] = STATE(2685),
    [sym_not] = STATE(2685),
    [sym_and] = STATE(2685),
    [sym_cmp] = STATE(2685),
    [sym_in] = STATE(2685),
    [sym_add] = STATE(2685),
    [sym_sub] = STATE(2685),
    [sym_mul] = STATE(2685),
    [sym_div] = STATE(2685),
    [sym_sign] = STATE(2685),
    [sym_call] = STATE(2685),
    [sym_field] = STATE(2685),
    [sym_label] = STATE(2685),
    [sym_content] = STATE(2685),
    [sym_group] = STATE(2685),
    [sym_block] = STATE(2685),
    [sym_branch] = STATE(2685),
    [sym_let] = STATE(2685),
    [sym_set] = STATE(2685),
    [sym_import] = STATE(2685),
    [sym_include] = STATE(2685),
    [sym_for] = STATE(2685),
    [sym_while] = STATE(2685),
    [sym_show] = STATE(2685),
    [sym_return] = STATE(2685),
    [sym_flow] = STATE(2685),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2227),
    [sym_none] = ACTIONS(2227),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [406] = {
    [sym_raw_blck] = STATE(2983),
    [sym_raw_span] = STATE(2983),
    [sym_math] = STATE(2983),
    [sym__expr] = STATE(2983),
    [sym_ident] = STATE(2983),
    [sym_bool] = STATE(2983),
    [sym_number] = STATE(2983),
    [sym_string] = STATE(2983),
    [sym_tagged] = STATE(2983),
    [sym_context] = STATE(2983),
    [sym_elude] = STATE(2983),
    [sym_assign] = STATE(2983),
    [sym_lambda] = STATE(2983),
    [sym_or] = STATE(2983),
    [sym_not] = STATE(2983),
    [sym_and] = STATE(2983),
    [sym_cmp] = STATE(2983),
    [sym_in] = STATE(2983),
    [sym_add] = STATE(2983),
    [sym_sub] = STATE(2983),
    [sym_mul] = STATE(2983),
    [sym_div] = STATE(2983),
    [sym_sign] = STATE(2983),
    [sym_call] = STATE(2983),
    [sym_field] = STATE(2983),
    [sym_label] = STATE(2983),
    [sym_content] = STATE(2983),
    [sym_group] = STATE(2983),
    [sym_block] = STATE(2983),
    [sym_branch] = STATE(2983),
    [sym_let] = STATE(2983),
    [sym_set] = STATE(2983),
    [sym_import] = STATE(2983),
    [sym_include] = STATE(2983),
    [sym_for] = STATE(2983),
    [sym_while] = STATE(2983),
    [sym_show] = STATE(2983),
    [sym_return] = STATE(2983),
    [sym_flow] = STATE(2983),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2229),
    [sym_none] = ACTIONS(2229),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [407] = {
    [sym_raw_blck] = STATE(1711),
    [sym_raw_span] = STATE(1711),
    [sym_math] = STATE(1711),
    [sym__expr] = STATE(1711),
    [sym_ident] = STATE(1711),
    [sym_bool] = STATE(1711),
    [sym_number] = STATE(1711),
    [sym_string] = STATE(1711),
    [sym_tagged] = STATE(1711),
    [sym_context] = STATE(1711),
    [sym_elude] = STATE(1711),
    [sym_assign] = STATE(1711),
    [sym_lambda] = STATE(1711),
    [sym_or] = STATE(1711),
    [sym_not] = STATE(1711),
    [sym_and] = STATE(1711),
    [sym_cmp] = STATE(1711),
    [sym_in] = STATE(1711),
    [sym_add] = STATE(1711),
    [sym_sub] = STATE(1711),
    [sym_mul] = STATE(1711),
    [sym_div] = STATE(1711),
    [sym_sign] = STATE(1711),
    [sym_call] = STATE(1711),
    [sym_field] = STATE(1711),
    [sym_label] = STATE(1711),
    [sym_content] = STATE(1711),
    [sym_group] = STATE(1711),
    [sym_block] = STATE(1711),
    [sym_branch] = STATE(1711),
    [sym_let] = STATE(1711),
    [sym_set] = STATE(1711),
    [sym_import] = STATE(1711),
    [sym_include] = STATE(1711),
    [sym_for] = STATE(1711),
    [sym_while] = STATE(1711),
    [sym_show] = STATE(1711),
    [sym_return] = STATE(1711),
    [sym_flow] = STATE(1711),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2231),
    [sym_none] = ACTIONS(2231),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [408] = {
    [sym_raw_blck] = STATE(1710),
    [sym_raw_span] = STATE(1710),
    [sym_math] = STATE(1710),
    [sym__expr] = STATE(1710),
    [sym_ident] = STATE(1710),
    [sym_bool] = STATE(1710),
    [sym_number] = STATE(1710),
    [sym_string] = STATE(1710),
    [sym_tagged] = STATE(1710),
    [sym_context] = STATE(1710),
    [sym_elude] = STATE(1710),
    [sym_assign] = STATE(1710),
    [sym_lambda] = STATE(1710),
    [sym_or] = STATE(1710),
    [sym_not] = STATE(1710),
    [sym_and] = STATE(1710),
    [sym_cmp] = STATE(1710),
    [sym_in] = STATE(1710),
    [sym_add] = STATE(1710),
    [sym_sub] = STATE(1710),
    [sym_mul] = STATE(1710),
    [sym_div] = STATE(1710),
    [sym_sign] = STATE(1710),
    [sym_call] = STATE(1710),
    [sym_field] = STATE(1710),
    [sym_label] = STATE(1710),
    [sym_content] = STATE(1710),
    [sym_group] = STATE(1710),
    [sym_block] = STATE(1710),
    [sym_branch] = STATE(1710),
    [sym_let] = STATE(1710),
    [sym_set] = STATE(1710),
    [sym_import] = STATE(1710),
    [sym_include] = STATE(1710),
    [sym_for] = STATE(1710),
    [sym_while] = STATE(1710),
    [sym_show] = STATE(1710),
    [sym_return] = STATE(1710),
    [sym_flow] = STATE(1710),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2233),
    [sym_none] = ACTIONS(2233),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [409] = {
    [sym_raw_blck] = STATE(1451),
    [sym_raw_span] = STATE(1451),
    [sym_math] = STATE(1451),
    [sym__expr] = STATE(1451),
    [sym_ident] = STATE(1451),
    [sym_bool] = STATE(1451),
    [sym_number] = STATE(1451),
    [sym_string] = STATE(1451),
    [sym_tagged] = STATE(1451),
    [sym_context] = STATE(1451),
    [sym_elude] = STATE(1451),
    [sym_assign] = STATE(1451),
    [sym_lambda] = STATE(1451),
    [sym_or] = STATE(1451),
    [sym_not] = STATE(1451),
    [sym_and] = STATE(1451),
    [sym_cmp] = STATE(1451),
    [sym_in] = STATE(1451),
    [sym_add] = STATE(1451),
    [sym_sub] = STATE(1451),
    [sym_mul] = STATE(1451),
    [sym_div] = STATE(1451),
    [sym_sign] = STATE(1451),
    [sym_call] = STATE(1451),
    [sym_field] = STATE(1451),
    [sym_label] = STATE(1451),
    [sym_content] = STATE(1451),
    [sym_group] = STATE(1451),
    [sym_block] = STATE(1451),
    [sym_branch] = STATE(1451),
    [sym_let] = STATE(1451),
    [sym_set] = STATE(1451),
    [sym_import] = STATE(1451),
    [sym_include] = STATE(1451),
    [sym_for] = STATE(1451),
    [sym_while] = STATE(1451),
    [sym_show] = STATE(1451),
    [sym_return] = STATE(1451),
    [sym_flow] = STATE(1451),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2235),
    [sym_none] = ACTIONS(2235),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [410] = {
    [sym_raw_blck] = STATE(2913),
    [sym_raw_span] = STATE(2913),
    [sym_math] = STATE(2913),
    [sym__expr] = STATE(2913),
    [sym_ident] = STATE(2913),
    [sym_bool] = STATE(2913),
    [sym_number] = STATE(2913),
    [sym_string] = STATE(2913),
    [sym_tagged] = STATE(2913),
    [sym_context] = STATE(2913),
    [sym_elude] = STATE(2913),
    [sym_assign] = STATE(2913),
    [sym_lambda] = STATE(2913),
    [sym_or] = STATE(2913),
    [sym_not] = STATE(2913),
    [sym_and] = STATE(2913),
    [sym_cmp] = STATE(2913),
    [sym_in] = STATE(2913),
    [sym_add] = STATE(2913),
    [sym_sub] = STATE(2913),
    [sym_mul] = STATE(2913),
    [sym_div] = STATE(2913),
    [sym_sign] = STATE(2913),
    [sym_call] = STATE(2913),
    [sym_field] = STATE(2913),
    [sym_label] = STATE(2913),
    [sym_content] = STATE(2913),
    [sym_group] = STATE(2913),
    [sym_block] = STATE(2913),
    [sym_branch] = STATE(2913),
    [sym_let] = STATE(2913),
    [sym_set] = STATE(2913),
    [sym_import] = STATE(2913),
    [sym_include] = STATE(2913),
    [sym_for] = STATE(2913),
    [sym_while] = STATE(2913),
    [sym_show] = STATE(2913),
    [sym_return] = STATE(2913),
    [sym_flow] = STATE(2913),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2237),
    [sym_none] = ACTIONS(2237),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [411] = {
    [sym_raw_blck] = STATE(2766),
    [sym_raw_span] = STATE(2766),
    [sym_math] = STATE(2766),
    [sym__expr] = STATE(2766),
    [sym_ident] = STATE(2766),
    [sym_bool] = STATE(2766),
    [sym_number] = STATE(2766),
    [sym_string] = STATE(2766),
    [sym_tagged] = STATE(2766),
    [sym_context] = STATE(2766),
    [sym_elude] = STATE(2766),
    [sym_assign] = STATE(2766),
    [sym_lambda] = STATE(2766),
    [sym_or] = STATE(2766),
    [sym_not] = STATE(2766),
    [sym_and] = STATE(2766),
    [sym_cmp] = STATE(2766),
    [sym_in] = STATE(2766),
    [sym_add] = STATE(2766),
    [sym_sub] = STATE(2766),
    [sym_mul] = STATE(2766),
    [sym_div] = STATE(2766),
    [sym_sign] = STATE(2766),
    [sym_call] = STATE(2766),
    [sym_field] = STATE(2766),
    [sym_label] = STATE(2766),
    [sym_content] = STATE(2766),
    [sym_group] = STATE(2766),
    [sym_block] = STATE(2766),
    [sym_branch] = STATE(2766),
    [sym_let] = STATE(2766),
    [sym_set] = STATE(2766),
    [sym_import] = STATE(2766),
    [sym_include] = STATE(2766),
    [sym_for] = STATE(2766),
    [sym_while] = STATE(2766),
    [sym_show] = STATE(2766),
    [sym_return] = STATE(2766),
    [sym_flow] = STATE(2766),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2239),
    [sym_none] = ACTIONS(2239),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [412] = {
    [sym_raw_blck] = STATE(2971),
    [sym_raw_span] = STATE(2971),
    [sym_math] = STATE(2971),
    [sym__expr] = STATE(2971),
    [sym_ident] = STATE(2971),
    [sym_bool] = STATE(2971),
    [sym_number] = STATE(2971),
    [sym_string] = STATE(2971),
    [sym_tagged] = STATE(2971),
    [sym_context] = STATE(2971),
    [sym_elude] = STATE(2971),
    [sym_assign] = STATE(2971),
    [sym_lambda] = STATE(2971),
    [sym_or] = STATE(2971),
    [sym_not] = STATE(2971),
    [sym_and] = STATE(2971),
    [sym_cmp] = STATE(2971),
    [sym_in] = STATE(2971),
    [sym_add] = STATE(2971),
    [sym_sub] = STATE(2971),
    [sym_mul] = STATE(2971),
    [sym_div] = STATE(2971),
    [sym_sign] = STATE(2971),
    [sym_call] = STATE(2971),
    [sym_field] = STATE(2971),
    [sym_label] = STATE(2971),
    [sym_content] = STATE(2971),
    [sym_group] = STATE(2971),
    [sym_block] = STATE(2971),
    [sym_branch] = STATE(2971),
    [sym_let] = STATE(2971),
    [sym_set] = STATE(2971),
    [sym_import] = STATE(2971),
    [sym_include] = STATE(2971),
    [sym_for] = STATE(2971),
    [sym_while] = STATE(2971),
    [sym_show] = STATE(2971),
    [sym_return] = STATE(2971),
    [sym_flow] = STATE(2971),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2241),
    [sym_none] = ACTIONS(2241),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [413] = {
    [sym_raw_blck] = STATE(1708),
    [sym_raw_span] = STATE(1708),
    [sym_math] = STATE(1708),
    [sym__expr] = STATE(1708),
    [sym_ident] = STATE(1708),
    [sym_bool] = STATE(1708),
    [sym_number] = STATE(1708),
    [sym_string] = STATE(1708),
    [sym_tagged] = STATE(1708),
    [sym_context] = STATE(1708),
    [sym_elude] = STATE(1708),
    [sym_assign] = STATE(1708),
    [sym_lambda] = STATE(1708),
    [sym_or] = STATE(1708),
    [sym_not] = STATE(1708),
    [sym_and] = STATE(1708),
    [sym_cmp] = STATE(1708),
    [sym_in] = STATE(1708),
    [sym_add] = STATE(1708),
    [sym_sub] = STATE(1708),
    [sym_mul] = STATE(1708),
    [sym_div] = STATE(1708),
    [sym_sign] = STATE(1708),
    [sym_call] = STATE(1708),
    [sym_field] = STATE(1708),
    [sym_label] = STATE(1708),
    [sym_content] = STATE(1708),
    [sym_group] = STATE(1708),
    [sym_block] = STATE(1708),
    [sym_branch] = STATE(1708),
    [sym_let] = STATE(1708),
    [sym_set] = STATE(1708),
    [sym_import] = STATE(1708),
    [sym_include] = STATE(1708),
    [sym_for] = STATE(1708),
    [sym_while] = STATE(1708),
    [sym_show] = STATE(1708),
    [sym_return] = STATE(1708),
    [sym_flow] = STATE(1708),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2243),
    [sym_none] = ACTIONS(2243),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [414] = {
    [sym_raw_blck] = STATE(2311),
    [sym_raw_span] = STATE(2311),
    [sym_math] = STATE(2311),
    [sym__expr] = STATE(2311),
    [sym_ident] = STATE(2311),
    [sym_bool] = STATE(2311),
    [sym_number] = STATE(2311),
    [sym_string] = STATE(2311),
    [sym_tagged] = STATE(2311),
    [sym_context] = STATE(2311),
    [sym_elude] = STATE(2311),
    [sym_assign] = STATE(2311),
    [sym_lambda] = STATE(2311),
    [sym_or] = STATE(2311),
    [sym_not] = STATE(2311),
    [sym_and] = STATE(2311),
    [sym_cmp] = STATE(2311),
    [sym_in] = STATE(2311),
    [sym_add] = STATE(2311),
    [sym_sub] = STATE(2311),
    [sym_mul] = STATE(2311),
    [sym_div] = STATE(2311),
    [sym_sign] = STATE(2311),
    [sym_call] = STATE(2311),
    [sym_field] = STATE(2311),
    [sym_label] = STATE(2311),
    [sym_content] = STATE(2311),
    [sym_group] = STATE(2311),
    [sym_block] = STATE(2311),
    [sym_branch] = STATE(2311),
    [sym_let] = STATE(2311),
    [sym_set] = STATE(2311),
    [sym_import] = STATE(2311),
    [sym_include] = STATE(2311),
    [sym_for] = STATE(2311),
    [sym_while] = STATE(2311),
    [sym_show] = STATE(2311),
    [sym_return] = STATE(2311),
    [sym_flow] = STATE(2311),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2249),
    [sym_none] = ACTIONS(2249),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [415] = {
    [sym_raw_blck] = STATE(1467),
    [sym_raw_span] = STATE(1467),
    [sym_math] = STATE(1467),
    [sym__expr] = STATE(1467),
    [sym_ident] = STATE(1467),
    [sym_bool] = STATE(1467),
    [sym_number] = STATE(1467),
    [sym_string] = STATE(1467),
    [sym_tagged] = STATE(1467),
    [sym_context] = STATE(1467),
    [sym_elude] = STATE(1467),
    [sym_assign] = STATE(1467),
    [sym_lambda] = STATE(1467),
    [sym_or] = STATE(1467),
    [sym_not] = STATE(1467),
    [sym_and] = STATE(1467),
    [sym_cmp] = STATE(1467),
    [sym_in] = STATE(1467),
    [sym_add] = STATE(1467),
    [sym_sub] = STATE(1467),
    [sym_mul] = STATE(1467),
    [sym_div] = STATE(1467),
    [sym_sign] = STATE(1467),
    [sym_call] = STATE(1467),
    [sym_field] = STATE(1467),
    [sym_label] = STATE(1467),
    [sym_content] = STATE(1467),
    [sym_group] = STATE(1467),
    [sym_block] = STATE(1467),
    [sym_branch] = STATE(1467),
    [sym_let] = STATE(1467),
    [sym_set] = STATE(1467),
    [sym_import] = STATE(1467),
    [sym_include] = STATE(1467),
    [sym_for] = STATE(1467),
    [sym_while] = STATE(1467),
    [sym_show] = STATE(1467),
    [sym_return] = STATE(1467),
    [sym_flow] = STATE(1467),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2251),
    [sym_none] = ACTIONS(2251),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [416] = {
    [sym_raw_blck] = STATE(2302),
    [sym_raw_span] = STATE(2302),
    [sym_math] = STATE(2302),
    [sym__expr] = STATE(2302),
    [sym_ident] = STATE(2302),
    [sym_bool] = STATE(2302),
    [sym_number] = STATE(2302),
    [sym_string] = STATE(2302),
    [sym_tagged] = STATE(2302),
    [sym_context] = STATE(2302),
    [sym_elude] = STATE(2302),
    [sym_assign] = STATE(2302),
    [sym_lambda] = STATE(2302),
    [sym_or] = STATE(2302),
    [sym_not] = STATE(2302),
    [sym_and] = STATE(2302),
    [sym_cmp] = STATE(2302),
    [sym_in] = STATE(2302),
    [sym_add] = STATE(2302),
    [sym_sub] = STATE(2302),
    [sym_mul] = STATE(2302),
    [sym_div] = STATE(2302),
    [sym_sign] = STATE(2302),
    [sym_call] = STATE(2302),
    [sym_field] = STATE(2302),
    [sym_label] = STATE(2302),
    [sym_content] = STATE(2302),
    [sym_group] = STATE(2302),
    [sym_block] = STATE(2302),
    [sym_branch] = STATE(2302),
    [sym_let] = STATE(2302),
    [sym_set] = STATE(2302),
    [sym_import] = STATE(2302),
    [sym_include] = STATE(2302),
    [sym_for] = STATE(2302),
    [sym_while] = STATE(2302),
    [sym_show] = STATE(2302),
    [sym_return] = STATE(2302),
    [sym_flow] = STATE(2302),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2253),
    [sym_none] = ACTIONS(2253),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [417] = {
    [sym_raw_blck] = STATE(2061),
    [sym_raw_span] = STATE(2061),
    [sym_math] = STATE(2061),
    [sym__expr] = STATE(2061),
    [sym_ident] = STATE(2061),
    [sym_bool] = STATE(2061),
    [sym_number] = STATE(2061),
    [sym_string] = STATE(2061),
    [sym_tagged] = STATE(2061),
    [sym_context] = STATE(2061),
    [sym_elude] = STATE(2061),
    [sym_assign] = STATE(2061),
    [sym_lambda] = STATE(2061),
    [sym_or] = STATE(2061),
    [sym_not] = STATE(2061),
    [sym_and] = STATE(2061),
    [sym_cmp] = STATE(2061),
    [sym_in] = STATE(2061),
    [sym_add] = STATE(2061),
    [sym_sub] = STATE(2061),
    [sym_mul] = STATE(2061),
    [sym_div] = STATE(2061),
    [sym_sign] = STATE(2061),
    [sym_call] = STATE(2061),
    [sym_field] = STATE(2061),
    [sym_label] = STATE(2061),
    [sym_content] = STATE(2061),
    [sym_group] = STATE(2061),
    [sym_block] = STATE(2061),
    [sym_branch] = STATE(2061),
    [sym_let] = STATE(2061),
    [sym_set] = STATE(2061),
    [sym_import] = STATE(2061),
    [sym_include] = STATE(2061),
    [sym_for] = STATE(2061),
    [sym_while] = STATE(2061),
    [sym_show] = STATE(2061),
    [sym_return] = STATE(2061),
    [sym_flow] = STATE(2061),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2255),
    [sym_none] = ACTIONS(2255),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [418] = {
    [sym_raw_blck] = STATE(1469),
    [sym_raw_span] = STATE(1469),
    [sym_math] = STATE(1469),
    [sym__expr] = STATE(1469),
    [sym_ident] = STATE(1469),
    [sym_bool] = STATE(1469),
    [sym_number] = STATE(1469),
    [sym_string] = STATE(1469),
    [sym_tagged] = STATE(1469),
    [sym_context] = STATE(1469),
    [sym_elude] = STATE(1469),
    [sym_assign] = STATE(1469),
    [sym_lambda] = STATE(1469),
    [sym_or] = STATE(1469),
    [sym_not] = STATE(1469),
    [sym_and] = STATE(1469),
    [sym_cmp] = STATE(1469),
    [sym_in] = STATE(1469),
    [sym_add] = STATE(1469),
    [sym_sub] = STATE(1469),
    [sym_mul] = STATE(1469),
    [sym_div] = STATE(1469),
    [sym_sign] = STATE(1469),
    [sym_call] = STATE(1469),
    [sym_field] = STATE(1469),
    [sym_label] = STATE(1469),
    [sym_content] = STATE(1469),
    [sym_group] = STATE(1469),
    [sym_block] = STATE(1469),
    [sym_branch] = STATE(1469),
    [sym_let] = STATE(1469),
    [sym_set] = STATE(1469),
    [sym_import] = STATE(1469),
    [sym_include] = STATE(1469),
    [sym_for] = STATE(1469),
    [sym_while] = STATE(1469),
    [sym_show] = STATE(1469),
    [sym_return] = STATE(1469),
    [sym_flow] = STATE(1469),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2257),
    [sym_none] = ACTIONS(2257),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [419] = {
    [sym_raw_blck] = STATE(1488),
    [sym_raw_span] = STATE(1488),
    [sym_math] = STATE(1488),
    [sym__expr] = STATE(1488),
    [sym_ident] = STATE(1488),
    [sym_bool] = STATE(1488),
    [sym_number] = STATE(1488),
    [sym_string] = STATE(1488),
    [sym_tagged] = STATE(1488),
    [sym_context] = STATE(1488),
    [sym_elude] = STATE(1488),
    [sym_assign] = STATE(1488),
    [sym_lambda] = STATE(1488),
    [sym_or] = STATE(1488),
    [sym_not] = STATE(1488),
    [sym_and] = STATE(1488),
    [sym_cmp] = STATE(1488),
    [sym_in] = STATE(1488),
    [sym_add] = STATE(1488),
    [sym_sub] = STATE(1488),
    [sym_mul] = STATE(1488),
    [sym_div] = STATE(1488),
    [sym_sign] = STATE(1488),
    [sym_call] = STATE(1488),
    [sym_field] = STATE(1488),
    [sym_label] = STATE(1488),
    [sym_content] = STATE(1488),
    [sym_group] = STATE(1488),
    [sym_block] = STATE(1488),
    [sym_branch] = STATE(1488),
    [sym_let] = STATE(1488),
    [sym_set] = STATE(1488),
    [sym_import] = STATE(1488),
    [sym_include] = STATE(1488),
    [sym_for] = STATE(1488),
    [sym_while] = STATE(1488),
    [sym_show] = STATE(1488),
    [sym_return] = STATE(1488),
    [sym_flow] = STATE(1488),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2259),
    [sym_none] = ACTIONS(2259),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [420] = {
    [sym_raw_blck] = STATE(1704),
    [sym_raw_span] = STATE(1704),
    [sym_math] = STATE(1704),
    [sym__expr] = STATE(1704),
    [sym_ident] = STATE(1704),
    [sym_bool] = STATE(1704),
    [sym_number] = STATE(1704),
    [sym_string] = STATE(1704),
    [sym_tagged] = STATE(1704),
    [sym_context] = STATE(1704),
    [sym_elude] = STATE(1704),
    [sym_assign] = STATE(1704),
    [sym_lambda] = STATE(1704),
    [sym_or] = STATE(1704),
    [sym_not] = STATE(1704),
    [sym_and] = STATE(1704),
    [sym_cmp] = STATE(1704),
    [sym_in] = STATE(1704),
    [sym_add] = STATE(1704),
    [sym_sub] = STATE(1704),
    [sym_mul] = STATE(1704),
    [sym_div] = STATE(1704),
    [sym_sign] = STATE(1704),
    [sym_call] = STATE(1704),
    [sym_field] = STATE(1704),
    [sym_label] = STATE(1704),
    [sym_content] = STATE(1704),
    [sym_group] = STATE(1704),
    [sym_block] = STATE(1704),
    [sym_branch] = STATE(1704),
    [sym_let] = STATE(1704),
    [sym_set] = STATE(1704),
    [sym_import] = STATE(1704),
    [sym_include] = STATE(1704),
    [sym_for] = STATE(1704),
    [sym_while] = STATE(1704),
    [sym_show] = STATE(1704),
    [sym_return] = STATE(1704),
    [sym_flow] = STATE(1704),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2261),
    [sym_none] = ACTIONS(2261),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [421] = {
    [sym_raw_blck] = STATE(1489),
    [sym_raw_span] = STATE(1489),
    [sym_math] = STATE(1489),
    [sym__expr] = STATE(1489),
    [sym_ident] = STATE(1489),
    [sym_bool] = STATE(1489),
    [sym_number] = STATE(1489),
    [sym_string] = STATE(1489),
    [sym_tagged] = STATE(1489),
    [sym_context] = STATE(1489),
    [sym_elude] = STATE(1489),
    [sym_assign] = STATE(1489),
    [sym_lambda] = STATE(1489),
    [sym_or] = STATE(1489),
    [sym_not] = STATE(1489),
    [sym_and] = STATE(1489),
    [sym_cmp] = STATE(1489),
    [sym_in] = STATE(1489),
    [sym_add] = STATE(1489),
    [sym_sub] = STATE(1489),
    [sym_mul] = STATE(1489),
    [sym_div] = STATE(1489),
    [sym_sign] = STATE(1489),
    [sym_call] = STATE(1489),
    [sym_field] = STATE(1489),
    [sym_label] = STATE(1489),
    [sym_content] = STATE(1489),
    [sym_group] = STATE(1489),
    [sym_block] = STATE(1489),
    [sym_branch] = STATE(1489),
    [sym_let] = STATE(1489),
    [sym_set] = STATE(1489),
    [sym_import] = STATE(1489),
    [sym_include] = STATE(1489),
    [sym_for] = STATE(1489),
    [sym_while] = STATE(1489),
    [sym_show] = STATE(1489),
    [sym_return] = STATE(1489),
    [sym_flow] = STATE(1489),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2263),
    [sym_none] = ACTIONS(2263),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [422] = {
    [sym_raw_blck] = STATE(1490),
    [sym_raw_span] = STATE(1490),
    [sym_math] = STATE(1490),
    [sym__expr] = STATE(1490),
    [sym_ident] = STATE(1490),
    [sym_bool] = STATE(1490),
    [sym_number] = STATE(1490),
    [sym_string] = STATE(1490),
    [sym_tagged] = STATE(1490),
    [sym_context] = STATE(1490),
    [sym_elude] = STATE(1490),
    [sym_assign] = STATE(1490),
    [sym_lambda] = STATE(1490),
    [sym_or] = STATE(1490),
    [sym_not] = STATE(1490),
    [sym_and] = STATE(1490),
    [sym_cmp] = STATE(1490),
    [sym_in] = STATE(1490),
    [sym_add] = STATE(1490),
    [sym_sub] = STATE(1490),
    [sym_mul] = STATE(1490),
    [sym_div] = STATE(1490),
    [sym_sign] = STATE(1490),
    [sym_call] = STATE(1490),
    [sym_field] = STATE(1490),
    [sym_label] = STATE(1490),
    [sym_content] = STATE(1490),
    [sym_group] = STATE(1490),
    [sym_block] = STATE(1490),
    [sym_branch] = STATE(1490),
    [sym_let] = STATE(1490),
    [sym_set] = STATE(1490),
    [sym_import] = STATE(1490),
    [sym_include] = STATE(1490),
    [sym_for] = STATE(1490),
    [sym_while] = STATE(1490),
    [sym_show] = STATE(1490),
    [sym_return] = STATE(1490),
    [sym_flow] = STATE(1490),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2265),
    [sym_none] = ACTIONS(2265),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [423] = {
    [sym_raw_blck] = STATE(2893),
    [sym_raw_span] = STATE(2893),
    [sym_math] = STATE(2893),
    [sym__expr] = STATE(2893),
    [sym_ident] = STATE(2893),
    [sym_bool] = STATE(2893),
    [sym_number] = STATE(2893),
    [sym_string] = STATE(2893),
    [sym_tagged] = STATE(2893),
    [sym_context] = STATE(2893),
    [sym_elude] = STATE(2893),
    [sym_assign] = STATE(2893),
    [sym_lambda] = STATE(2893),
    [sym_or] = STATE(2893),
    [sym_not] = STATE(2893),
    [sym_and] = STATE(2893),
    [sym_cmp] = STATE(2893),
    [sym_in] = STATE(2893),
    [sym_add] = STATE(2893),
    [sym_sub] = STATE(2893),
    [sym_mul] = STATE(2893),
    [sym_div] = STATE(2893),
    [sym_sign] = STATE(2893),
    [sym_call] = STATE(2893),
    [sym_field] = STATE(2893),
    [sym_label] = STATE(2893),
    [sym_content] = STATE(2893),
    [sym_group] = STATE(2893),
    [sym_block] = STATE(2893),
    [sym_branch] = STATE(2893),
    [sym_let] = STATE(2893),
    [sym_set] = STATE(2893),
    [sym_import] = STATE(2893),
    [sym_include] = STATE(2893),
    [sym_for] = STATE(2893),
    [sym_while] = STATE(2893),
    [sym_show] = STATE(2893),
    [sym_return] = STATE(2893),
    [sym_flow] = STATE(2893),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2267),
    [sym_none] = ACTIONS(2267),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [424] = {
    [sym_raw_blck] = STATE(1491),
    [sym_raw_span] = STATE(1491),
    [sym_math] = STATE(1491),
    [sym__expr] = STATE(1491),
    [sym_ident] = STATE(1491),
    [sym_bool] = STATE(1491),
    [sym_number] = STATE(1491),
    [sym_string] = STATE(1491),
    [sym_tagged] = STATE(1491),
    [sym_context] = STATE(1491),
    [sym_elude] = STATE(1491),
    [sym_assign] = STATE(1491),
    [sym_lambda] = STATE(1491),
    [sym_or] = STATE(1491),
    [sym_not] = STATE(1491),
    [sym_and] = STATE(1491),
    [sym_cmp] = STATE(1491),
    [sym_in] = STATE(1491),
    [sym_add] = STATE(1491),
    [sym_sub] = STATE(1491),
    [sym_mul] = STATE(1491),
    [sym_div] = STATE(1491),
    [sym_sign] = STATE(1491),
    [sym_call] = STATE(1491),
    [sym_field] = STATE(1491),
    [sym_label] = STATE(1491),
    [sym_content] = STATE(1491),
    [sym_group] = STATE(1491),
    [sym_block] = STATE(1491),
    [sym_branch] = STATE(1491),
    [sym_let] = STATE(1491),
    [sym_set] = STATE(1491),
    [sym_import] = STATE(1491),
    [sym_include] = STATE(1491),
    [sym_for] = STATE(1491),
    [sym_while] = STATE(1491),
    [sym_show] = STATE(1491),
    [sym_return] = STATE(1491),
    [sym_flow] = STATE(1491),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2269),
    [sym_none] = ACTIONS(2269),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [425] = {
    [sym_raw_blck] = STATE(2973),
    [sym_raw_span] = STATE(2973),
    [sym_math] = STATE(2973),
    [sym__expr] = STATE(2973),
    [sym_ident] = STATE(2973),
    [sym_bool] = STATE(2973),
    [sym_number] = STATE(2973),
    [sym_string] = STATE(2973),
    [sym_tagged] = STATE(2973),
    [sym_context] = STATE(2973),
    [sym_elude] = STATE(2973),
    [sym_assign] = STATE(2973),
    [sym_lambda] = STATE(2973),
    [sym_or] = STATE(2973),
    [sym_not] = STATE(2973),
    [sym_and] = STATE(2973),
    [sym_cmp] = STATE(2973),
    [sym_in] = STATE(2973),
    [sym_add] = STATE(2973),
    [sym_sub] = STATE(2973),
    [sym_mul] = STATE(2973),
    [sym_div] = STATE(2973),
    [sym_sign] = STATE(2973),
    [sym_call] = STATE(2973),
    [sym_field] = STATE(2973),
    [sym_label] = STATE(2973),
    [sym_content] = STATE(2973),
    [sym_group] = STATE(2973),
    [sym_block] = STATE(2973),
    [sym_branch] = STATE(2973),
    [sym_let] = STATE(2973),
    [sym_set] = STATE(2973),
    [sym_import] = STATE(2973),
    [sym_include] = STATE(2973),
    [sym_for] = STATE(2973),
    [sym_while] = STATE(2973),
    [sym_show] = STATE(2973),
    [sym_return] = STATE(2973),
    [sym_flow] = STATE(2973),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2271),
    [sym_none] = ACTIONS(2271),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [426] = {
    [sym_raw_blck] = STATE(2888),
    [sym_raw_span] = STATE(2888),
    [sym_math] = STATE(2888),
    [sym__expr] = STATE(2888),
    [sym_ident] = STATE(2888),
    [sym_bool] = STATE(2888),
    [sym_number] = STATE(2888),
    [sym_string] = STATE(2888),
    [sym_tagged] = STATE(2888),
    [sym_context] = STATE(2888),
    [sym_elude] = STATE(2888),
    [sym_assign] = STATE(2888),
    [sym_lambda] = STATE(2888),
    [sym_or] = STATE(2888),
    [sym_not] = STATE(2888),
    [sym_and] = STATE(2888),
    [sym_cmp] = STATE(2888),
    [sym_in] = STATE(2888),
    [sym_add] = STATE(2888),
    [sym_sub] = STATE(2888),
    [sym_mul] = STATE(2888),
    [sym_div] = STATE(2888),
    [sym_sign] = STATE(2888),
    [sym_call] = STATE(2888),
    [sym_field] = STATE(2888),
    [sym_label] = STATE(2888),
    [sym_content] = STATE(2888),
    [sym_group] = STATE(2888),
    [sym_block] = STATE(2888),
    [sym_branch] = STATE(2888),
    [sym_let] = STATE(2888),
    [sym_set] = STATE(2888),
    [sym_import] = STATE(2888),
    [sym_include] = STATE(2888),
    [sym_for] = STATE(2888),
    [sym_while] = STATE(2888),
    [sym_show] = STATE(2888),
    [sym_return] = STATE(2888),
    [sym_flow] = STATE(2888),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2273),
    [sym_none] = ACTIONS(2273),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [427] = {
    [sym_raw_blck] = STATE(2887),
    [sym_raw_span] = STATE(2887),
    [sym_math] = STATE(2887),
    [sym__expr] = STATE(2887),
    [sym_ident] = STATE(2887),
    [sym_bool] = STATE(2887),
    [sym_number] = STATE(2887),
    [sym_string] = STATE(2887),
    [sym_tagged] = STATE(2887),
    [sym_context] = STATE(2887),
    [sym_elude] = STATE(2887),
    [sym_assign] = STATE(2887),
    [sym_lambda] = STATE(2887),
    [sym_or] = STATE(2887),
    [sym_not] = STATE(2887),
    [sym_and] = STATE(2887),
    [sym_cmp] = STATE(2887),
    [sym_in] = STATE(2887),
    [sym_add] = STATE(2887),
    [sym_sub] = STATE(2887),
    [sym_mul] = STATE(2887),
    [sym_div] = STATE(2887),
    [sym_sign] = STATE(2887),
    [sym_call] = STATE(2887),
    [sym_field] = STATE(2887),
    [sym_label] = STATE(2887),
    [sym_content] = STATE(2887),
    [sym_group] = STATE(2887),
    [sym_block] = STATE(2887),
    [sym_branch] = STATE(2887),
    [sym_let] = STATE(2887),
    [sym_set] = STATE(2887),
    [sym_import] = STATE(2887),
    [sym_include] = STATE(2887),
    [sym_for] = STATE(2887),
    [sym_while] = STATE(2887),
    [sym_show] = STATE(2887),
    [sym_return] = STATE(2887),
    [sym_flow] = STATE(2887),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2275),
    [sym_none] = ACTIONS(2275),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [428] = {
    [sym_raw_blck] = STATE(2882),
    [sym_raw_span] = STATE(2882),
    [sym_math] = STATE(2882),
    [sym__expr] = STATE(2882),
    [sym_ident] = STATE(2882),
    [sym_bool] = STATE(2882),
    [sym_number] = STATE(2882),
    [sym_string] = STATE(2882),
    [sym_tagged] = STATE(2882),
    [sym_context] = STATE(2882),
    [sym_elude] = STATE(2882),
    [sym_assign] = STATE(2882),
    [sym_lambda] = STATE(2882),
    [sym_or] = STATE(2882),
    [sym_not] = STATE(2882),
    [sym_and] = STATE(2882),
    [sym_cmp] = STATE(2882),
    [sym_in] = STATE(2882),
    [sym_add] = STATE(2882),
    [sym_sub] = STATE(2882),
    [sym_mul] = STATE(2882),
    [sym_div] = STATE(2882),
    [sym_sign] = STATE(2882),
    [sym_call] = STATE(2882),
    [sym_field] = STATE(2882),
    [sym_label] = STATE(2882),
    [sym_content] = STATE(2882),
    [sym_group] = STATE(2882),
    [sym_block] = STATE(2882),
    [sym_branch] = STATE(2882),
    [sym_let] = STATE(2882),
    [sym_set] = STATE(2882),
    [sym_import] = STATE(2882),
    [sym_include] = STATE(2882),
    [sym_for] = STATE(2882),
    [sym_while] = STATE(2882),
    [sym_show] = STATE(2882),
    [sym_return] = STATE(2882),
    [sym_flow] = STATE(2882),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2277),
    [sym_none] = ACTIONS(2277),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [429] = {
    [sym_raw_blck] = STATE(1699),
    [sym_raw_span] = STATE(1699),
    [sym_math] = STATE(1699),
    [sym__expr] = STATE(1699),
    [sym_ident] = STATE(1699),
    [sym_bool] = STATE(1699),
    [sym_number] = STATE(1699),
    [sym_string] = STATE(1699),
    [sym_tagged] = STATE(1699),
    [sym_context] = STATE(1699),
    [sym_elude] = STATE(1699),
    [sym_assign] = STATE(1699),
    [sym_lambda] = STATE(1699),
    [sym_or] = STATE(1699),
    [sym_not] = STATE(1699),
    [sym_and] = STATE(1699),
    [sym_cmp] = STATE(1699),
    [sym_in] = STATE(1699),
    [sym_add] = STATE(1699),
    [sym_sub] = STATE(1699),
    [sym_mul] = STATE(1699),
    [sym_div] = STATE(1699),
    [sym_sign] = STATE(1699),
    [sym_call] = STATE(1699),
    [sym_field] = STATE(1699),
    [sym_label] = STATE(1699),
    [sym_content] = STATE(1699),
    [sym_group] = STATE(1699),
    [sym_block] = STATE(1699),
    [sym_branch] = STATE(1699),
    [sym_let] = STATE(1699),
    [sym_set] = STATE(1699),
    [sym_import] = STATE(1699),
    [sym_include] = STATE(1699),
    [sym_for] = STATE(1699),
    [sym_while] = STATE(1699),
    [sym_show] = STATE(1699),
    [sym_return] = STATE(1699),
    [sym_flow] = STATE(1699),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2279),
    [sym_none] = ACTIONS(2279),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [430] = {
    [sym_raw_blck] = STATE(2881),
    [sym_raw_span] = STATE(2881),
    [sym_math] = STATE(2881),
    [sym__expr] = STATE(2881),
    [sym_ident] = STATE(2881),
    [sym_bool] = STATE(2881),
    [sym_number] = STATE(2881),
    [sym_string] = STATE(2881),
    [sym_tagged] = STATE(2881),
    [sym_context] = STATE(2881),
    [sym_elude] = STATE(2881),
    [sym_assign] = STATE(2881),
    [sym_lambda] = STATE(2881),
    [sym_or] = STATE(2881),
    [sym_not] = STATE(2881),
    [sym_and] = STATE(2881),
    [sym_cmp] = STATE(2881),
    [sym_in] = STATE(2881),
    [sym_add] = STATE(2881),
    [sym_sub] = STATE(2881),
    [sym_mul] = STATE(2881),
    [sym_div] = STATE(2881),
    [sym_sign] = STATE(2881),
    [sym_call] = STATE(2881),
    [sym_field] = STATE(2881),
    [sym_label] = STATE(2881),
    [sym_content] = STATE(2881),
    [sym_group] = STATE(2881),
    [sym_block] = STATE(2881),
    [sym_branch] = STATE(2881),
    [sym_let] = STATE(2881),
    [sym_set] = STATE(2881),
    [sym_import] = STATE(2881),
    [sym_include] = STATE(2881),
    [sym_for] = STATE(2881),
    [sym_while] = STATE(2881),
    [sym_show] = STATE(2881),
    [sym_return] = STATE(2881),
    [sym_flow] = STATE(2881),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2281),
    [sym_none] = ACTIONS(2281),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [431] = {
    [sym_raw_blck] = STATE(2874),
    [sym_raw_span] = STATE(2874),
    [sym_math] = STATE(2874),
    [sym__expr] = STATE(2874),
    [sym_ident] = STATE(2874),
    [sym_bool] = STATE(2874),
    [sym_number] = STATE(2874),
    [sym_string] = STATE(2874),
    [sym_tagged] = STATE(2874),
    [sym_context] = STATE(2874),
    [sym_elude] = STATE(2874),
    [sym_assign] = STATE(2874),
    [sym_lambda] = STATE(2874),
    [sym_or] = STATE(2874),
    [sym_not] = STATE(2874),
    [sym_and] = STATE(2874),
    [sym_cmp] = STATE(2874),
    [sym_in] = STATE(2874),
    [sym_add] = STATE(2874),
    [sym_sub] = STATE(2874),
    [sym_mul] = STATE(2874),
    [sym_div] = STATE(2874),
    [sym_sign] = STATE(2874),
    [sym_call] = STATE(2874),
    [sym_field] = STATE(2874),
    [sym_label] = STATE(2874),
    [sym_content] = STATE(2874),
    [sym_group] = STATE(2874),
    [sym_block] = STATE(2874),
    [sym_branch] = STATE(2874),
    [sym_let] = STATE(2874),
    [sym_set] = STATE(2874),
    [sym_import] = STATE(2874),
    [sym_include] = STATE(2874),
    [sym_for] = STATE(2874),
    [sym_while] = STATE(2874),
    [sym_show] = STATE(2874),
    [sym_return] = STATE(2874),
    [sym_flow] = STATE(2874),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2283),
    [sym_none] = ACTIONS(2283),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [432] = {
    [sym_raw_blck] = STATE(2873),
    [sym_raw_span] = STATE(2873),
    [sym_math] = STATE(2873),
    [sym__expr] = STATE(2873),
    [sym_ident] = STATE(2873),
    [sym_bool] = STATE(2873),
    [sym_number] = STATE(2873),
    [sym_string] = STATE(2873),
    [sym_tagged] = STATE(2873),
    [sym_context] = STATE(2873),
    [sym_elude] = STATE(2873),
    [sym_assign] = STATE(2873),
    [sym_lambda] = STATE(2873),
    [sym_or] = STATE(2873),
    [sym_not] = STATE(2873),
    [sym_and] = STATE(2873),
    [sym_cmp] = STATE(2873),
    [sym_in] = STATE(2873),
    [sym_add] = STATE(2873),
    [sym_sub] = STATE(2873),
    [sym_mul] = STATE(2873),
    [sym_div] = STATE(2873),
    [sym_sign] = STATE(2873),
    [sym_call] = STATE(2873),
    [sym_field] = STATE(2873),
    [sym_label] = STATE(2873),
    [sym_content] = STATE(2873),
    [sym_group] = STATE(2873),
    [sym_block] = STATE(2873),
    [sym_branch] = STATE(2873),
    [sym_let] = STATE(2873),
    [sym_set] = STATE(2873),
    [sym_import] = STATE(2873),
    [sym_include] = STATE(2873),
    [sym_for] = STATE(2873),
    [sym_while] = STATE(2873),
    [sym_show] = STATE(2873),
    [sym_return] = STATE(2873),
    [sym_flow] = STATE(2873),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2285),
    [sym_none] = ACTIONS(2285),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [433] = {
    [sym_raw_blck] = STATE(2040),
    [sym_raw_span] = STATE(2040),
    [sym_math] = STATE(2040),
    [sym__expr] = STATE(2040),
    [sym_ident] = STATE(2040),
    [sym_bool] = STATE(2040),
    [sym_number] = STATE(2040),
    [sym_string] = STATE(2040),
    [sym_tagged] = STATE(2040),
    [sym_context] = STATE(2040),
    [sym_elude] = STATE(2040),
    [sym_assign] = STATE(2040),
    [sym_lambda] = STATE(2040),
    [sym_or] = STATE(2040),
    [sym_not] = STATE(2040),
    [sym_and] = STATE(2040),
    [sym_cmp] = STATE(2040),
    [sym_in] = STATE(2040),
    [sym_add] = STATE(2040),
    [sym_sub] = STATE(2040),
    [sym_mul] = STATE(2040),
    [sym_div] = STATE(2040),
    [sym_sign] = STATE(2040),
    [sym_call] = STATE(2040),
    [sym_field] = STATE(2040),
    [sym_label] = STATE(2040),
    [sym_content] = STATE(2040),
    [sym_group] = STATE(2040),
    [sym_block] = STATE(2040),
    [sym_branch] = STATE(2040),
    [sym_let] = STATE(2040),
    [sym_set] = STATE(2040),
    [sym_import] = STATE(2040),
    [sym_include] = STATE(2040),
    [sym_for] = STATE(2040),
    [sym_while] = STATE(2040),
    [sym_show] = STATE(2040),
    [sym_return] = STATE(2040),
    [sym_flow] = STATE(2040),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2287),
    [sym_none] = ACTIONS(2287),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [434] = {
    [sym_raw_blck] = STATE(2872),
    [sym_raw_span] = STATE(2872),
    [sym_math] = STATE(2872),
    [sym__expr] = STATE(2872),
    [sym_ident] = STATE(2872),
    [sym_bool] = STATE(2872),
    [sym_number] = STATE(2872),
    [sym_string] = STATE(2872),
    [sym_tagged] = STATE(2872),
    [sym_context] = STATE(2872),
    [sym_elude] = STATE(2872),
    [sym_assign] = STATE(2872),
    [sym_lambda] = STATE(2872),
    [sym_or] = STATE(2872),
    [sym_not] = STATE(2872),
    [sym_and] = STATE(2872),
    [sym_cmp] = STATE(2872),
    [sym_in] = STATE(2872),
    [sym_add] = STATE(2872),
    [sym_sub] = STATE(2872),
    [sym_mul] = STATE(2872),
    [sym_div] = STATE(2872),
    [sym_sign] = STATE(2872),
    [sym_call] = STATE(2872),
    [sym_field] = STATE(2872),
    [sym_label] = STATE(2872),
    [sym_content] = STATE(2872),
    [sym_group] = STATE(2872),
    [sym_block] = STATE(2872),
    [sym_branch] = STATE(2872),
    [sym_let] = STATE(2872),
    [sym_set] = STATE(2872),
    [sym_import] = STATE(2872),
    [sym_include] = STATE(2872),
    [sym_for] = STATE(2872),
    [sym_while] = STATE(2872),
    [sym_show] = STATE(2872),
    [sym_return] = STATE(2872),
    [sym_flow] = STATE(2872),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2289),
    [sym_none] = ACTIONS(2289),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [435] = {
    [sym_raw_blck] = STATE(2871),
    [sym_raw_span] = STATE(2871),
    [sym_math] = STATE(2871),
    [sym__expr] = STATE(2871),
    [sym_ident] = STATE(2871),
    [sym_bool] = STATE(2871),
    [sym_number] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym_tagged] = STATE(2871),
    [sym_context] = STATE(2871),
    [sym_elude] = STATE(2871),
    [sym_assign] = STATE(2871),
    [sym_lambda] = STATE(2871),
    [sym_or] = STATE(2871),
    [sym_not] = STATE(2871),
    [sym_and] = STATE(2871),
    [sym_cmp] = STATE(2871),
    [sym_in] = STATE(2871),
    [sym_add] = STATE(2871),
    [sym_sub] = STATE(2871),
    [sym_mul] = STATE(2871),
    [sym_div] = STATE(2871),
    [sym_sign] = STATE(2871),
    [sym_call] = STATE(2871),
    [sym_field] = STATE(2871),
    [sym_label] = STATE(2871),
    [sym_content] = STATE(2871),
    [sym_group] = STATE(2871),
    [sym_block] = STATE(2871),
    [sym_branch] = STATE(2871),
    [sym_let] = STATE(2871),
    [sym_set] = STATE(2871),
    [sym_import] = STATE(2871),
    [sym_include] = STATE(2871),
    [sym_for] = STATE(2871),
    [sym_while] = STATE(2871),
    [sym_show] = STATE(2871),
    [sym_return] = STATE(2871),
    [sym_flow] = STATE(2871),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2291),
    [sym_none] = ACTIONS(2291),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [436] = {
    [sym_raw_blck] = STATE(1688),
    [sym_raw_span] = STATE(1688),
    [sym_math] = STATE(1688),
    [sym__expr] = STATE(1688),
    [sym_ident] = STATE(1688),
    [sym_bool] = STATE(1688),
    [sym_number] = STATE(1688),
    [sym_string] = STATE(1688),
    [sym_tagged] = STATE(1688),
    [sym_context] = STATE(1688),
    [sym_elude] = STATE(1688),
    [sym_assign] = STATE(1688),
    [sym_lambda] = STATE(1688),
    [sym_or] = STATE(1688),
    [sym_not] = STATE(1688),
    [sym_and] = STATE(1688),
    [sym_cmp] = STATE(1688),
    [sym_in] = STATE(1688),
    [sym_add] = STATE(1688),
    [sym_sub] = STATE(1688),
    [sym_mul] = STATE(1688),
    [sym_div] = STATE(1688),
    [sym_sign] = STATE(1688),
    [sym_call] = STATE(1688),
    [sym_field] = STATE(1688),
    [sym_label] = STATE(1688),
    [sym_content] = STATE(1688),
    [sym_group] = STATE(1688),
    [sym_block] = STATE(1688),
    [sym_branch] = STATE(1688),
    [sym_let] = STATE(1688),
    [sym_set] = STATE(1688),
    [sym_import] = STATE(1688),
    [sym_include] = STATE(1688),
    [sym_for] = STATE(1688),
    [sym_while] = STATE(1688),
    [sym_show] = STATE(1688),
    [sym_return] = STATE(1688),
    [sym_flow] = STATE(1688),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2293),
    [sym_none] = ACTIONS(2293),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [437] = {
    [sym_raw_blck] = STATE(2275),
    [sym_raw_span] = STATE(2275),
    [sym_math] = STATE(2275),
    [sym__expr] = STATE(2275),
    [sym_ident] = STATE(2275),
    [sym_bool] = STATE(2275),
    [sym_number] = STATE(2275),
    [sym_string] = STATE(2275),
    [sym_tagged] = STATE(2275),
    [sym_context] = STATE(2275),
    [sym_elude] = STATE(2275),
    [sym_assign] = STATE(2275),
    [sym_lambda] = STATE(2275),
    [sym_or] = STATE(2275),
    [sym_not] = STATE(2275),
    [sym_and] = STATE(2275),
    [sym_cmp] = STATE(2275),
    [sym_in] = STATE(2275),
    [sym_add] = STATE(2275),
    [sym_sub] = STATE(2275),
    [sym_mul] = STATE(2275),
    [sym_div] = STATE(2275),
    [sym_sign] = STATE(2275),
    [sym_call] = STATE(2275),
    [sym_field] = STATE(2275),
    [sym_label] = STATE(2275),
    [sym_content] = STATE(2275),
    [sym_group] = STATE(2275),
    [sym_block] = STATE(2275),
    [sym_branch] = STATE(2275),
    [sym_let] = STATE(2275),
    [sym_set] = STATE(2275),
    [sym_import] = STATE(2275),
    [sym_include] = STATE(2275),
    [sym_for] = STATE(2275),
    [sym_while] = STATE(2275),
    [sym_show] = STATE(2275),
    [sym_return] = STATE(2275),
    [sym_flow] = STATE(2275),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2295),
    [sym_none] = ACTIONS(2295),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [438] = {
    [sym_raw_blck] = STATE(1492),
    [sym_raw_span] = STATE(1492),
    [sym_math] = STATE(1492),
    [sym__expr] = STATE(1492),
    [sym_ident] = STATE(1492),
    [sym_bool] = STATE(1492),
    [sym_number] = STATE(1492),
    [sym_string] = STATE(1492),
    [sym_tagged] = STATE(1492),
    [sym_context] = STATE(1492),
    [sym_elude] = STATE(1492),
    [sym_assign] = STATE(1492),
    [sym_lambda] = STATE(1492),
    [sym_or] = STATE(1492),
    [sym_not] = STATE(1492),
    [sym_and] = STATE(1492),
    [sym_cmp] = STATE(1492),
    [sym_in] = STATE(1492),
    [sym_add] = STATE(1492),
    [sym_sub] = STATE(1492),
    [sym_mul] = STATE(1492),
    [sym_div] = STATE(1492),
    [sym_sign] = STATE(1492),
    [sym_call] = STATE(1492),
    [sym_field] = STATE(1492),
    [sym_label] = STATE(1492),
    [sym_content] = STATE(1492),
    [sym_group] = STATE(1492),
    [sym_block] = STATE(1492),
    [sym_branch] = STATE(1492),
    [sym_let] = STATE(1492),
    [sym_set] = STATE(1492),
    [sym_import] = STATE(1492),
    [sym_include] = STATE(1492),
    [sym_for] = STATE(1492),
    [sym_while] = STATE(1492),
    [sym_show] = STATE(1492),
    [sym_return] = STATE(1492),
    [sym_flow] = STATE(1492),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2297),
    [sym_none] = ACTIONS(2297),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [439] = {
    [sym_raw_blck] = STATE(1949),
    [sym_raw_span] = STATE(1949),
    [sym_math] = STATE(1949),
    [sym__expr] = STATE(1949),
    [sym_ident] = STATE(1949),
    [sym_bool] = STATE(1949),
    [sym_number] = STATE(1949),
    [sym_string] = STATE(1949),
    [sym_tagged] = STATE(1949),
    [sym_context] = STATE(1949),
    [sym_elude] = STATE(1949),
    [sym_assign] = STATE(1949),
    [sym_lambda] = STATE(1949),
    [sym_or] = STATE(1949),
    [sym_not] = STATE(1949),
    [sym_and] = STATE(1949),
    [sym_cmp] = STATE(1949),
    [sym_in] = STATE(1949),
    [sym_add] = STATE(1949),
    [sym_sub] = STATE(1949),
    [sym_mul] = STATE(1949),
    [sym_div] = STATE(1949),
    [sym_sign] = STATE(1949),
    [sym_call] = STATE(1949),
    [sym_field] = STATE(1949),
    [sym_label] = STATE(1949),
    [sym_content] = STATE(1949),
    [sym_group] = STATE(1949),
    [sym_block] = STATE(1949),
    [sym_branch] = STATE(1949),
    [sym_let] = STATE(1949),
    [sym_set] = STATE(1949),
    [sym_import] = STATE(1949),
    [sym_include] = STATE(1949),
    [sym_for] = STATE(1949),
    [sym_while] = STATE(1949),
    [sym_show] = STATE(1949),
    [sym_return] = STATE(1949),
    [sym_flow] = STATE(1949),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2299),
    [sym_none] = ACTIONS(2299),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [440] = {
    [sym_raw_blck] = STATE(1493),
    [sym_raw_span] = STATE(1493),
    [sym_math] = STATE(1493),
    [sym__expr] = STATE(1493),
    [sym_ident] = STATE(1493),
    [sym_bool] = STATE(1493),
    [sym_number] = STATE(1493),
    [sym_string] = STATE(1493),
    [sym_tagged] = STATE(1493),
    [sym_context] = STATE(1493),
    [sym_elude] = STATE(1493),
    [sym_assign] = STATE(1493),
    [sym_lambda] = STATE(1493),
    [sym_or] = STATE(1493),
    [sym_not] = STATE(1493),
    [sym_and] = STATE(1493),
    [sym_cmp] = STATE(1493),
    [sym_in] = STATE(1493),
    [sym_add] = STATE(1493),
    [sym_sub] = STATE(1493),
    [sym_mul] = STATE(1493),
    [sym_div] = STATE(1493),
    [sym_sign] = STATE(1493),
    [sym_call] = STATE(1493),
    [sym_field] = STATE(1493),
    [sym_label] = STATE(1493),
    [sym_content] = STATE(1493),
    [sym_group] = STATE(1493),
    [sym_block] = STATE(1493),
    [sym_branch] = STATE(1493),
    [sym_let] = STATE(1493),
    [sym_set] = STATE(1493),
    [sym_import] = STATE(1493),
    [sym_include] = STATE(1493),
    [sym_for] = STATE(1493),
    [sym_while] = STATE(1493),
    [sym_show] = STATE(1493),
    [sym_return] = STATE(1493),
    [sym_flow] = STATE(1493),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2301),
    [sym_none] = ACTIONS(2301),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [441] = {
    [sym_raw_blck] = STATE(2516),
    [sym_raw_span] = STATE(2516),
    [sym_math] = STATE(2516),
    [sym__expr] = STATE(2516),
    [sym_ident] = STATE(2516),
    [sym_bool] = STATE(2516),
    [sym_number] = STATE(2516),
    [sym_string] = STATE(2516),
    [sym_tagged] = STATE(2516),
    [sym_context] = STATE(2516),
    [sym_elude] = STATE(2516),
    [sym_assign] = STATE(2516),
    [sym_lambda] = STATE(2516),
    [sym_or] = STATE(2516),
    [sym_not] = STATE(2516),
    [sym_and] = STATE(2516),
    [sym_cmp] = STATE(2516),
    [sym_in] = STATE(2516),
    [sym_add] = STATE(2516),
    [sym_sub] = STATE(2516),
    [sym_mul] = STATE(2516),
    [sym_div] = STATE(2516),
    [sym_sign] = STATE(2516),
    [sym_call] = STATE(2516),
    [sym_field] = STATE(2516),
    [sym_label] = STATE(2516),
    [sym_content] = STATE(2516),
    [sym_group] = STATE(2516),
    [sym_block] = STATE(2516),
    [sym_branch] = STATE(2516),
    [sym_let] = STATE(2516),
    [sym_set] = STATE(2516),
    [sym_import] = STATE(2516),
    [sym_include] = STATE(2516),
    [sym_for] = STATE(2516),
    [sym_while] = STATE(2516),
    [sym_show] = STATE(2516),
    [sym_return] = STATE(2516),
    [sym_flow] = STATE(2516),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2303),
    [sym_none] = ACTIONS(2303),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [442] = {
    [sym_raw_blck] = STATE(1948),
    [sym_raw_span] = STATE(1948),
    [sym_math] = STATE(1948),
    [sym__expr] = STATE(1948),
    [sym_ident] = STATE(1948),
    [sym_bool] = STATE(1948),
    [sym_number] = STATE(1948),
    [sym_string] = STATE(1948),
    [sym_tagged] = STATE(1948),
    [sym_context] = STATE(1948),
    [sym_elude] = STATE(1948),
    [sym_assign] = STATE(1948),
    [sym_lambda] = STATE(1948),
    [sym_or] = STATE(1948),
    [sym_not] = STATE(1948),
    [sym_and] = STATE(1948),
    [sym_cmp] = STATE(1948),
    [sym_in] = STATE(1948),
    [sym_add] = STATE(1948),
    [sym_sub] = STATE(1948),
    [sym_mul] = STATE(1948),
    [sym_div] = STATE(1948),
    [sym_sign] = STATE(1948),
    [sym_call] = STATE(1948),
    [sym_field] = STATE(1948),
    [sym_label] = STATE(1948),
    [sym_content] = STATE(1948),
    [sym_group] = STATE(1948),
    [sym_block] = STATE(1948),
    [sym_branch] = STATE(1948),
    [sym_let] = STATE(1948),
    [sym_set] = STATE(1948),
    [sym_import] = STATE(1948),
    [sym_include] = STATE(1948),
    [sym_for] = STATE(1948),
    [sym_while] = STATE(1948),
    [sym_show] = STATE(1948),
    [sym_return] = STATE(1948),
    [sym_flow] = STATE(1948),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2305),
    [sym_none] = ACTIONS(2305),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [443] = {
    [sym_raw_blck] = STATE(3060),
    [sym_raw_span] = STATE(3060),
    [sym_math] = STATE(3060),
    [sym__expr] = STATE(3060),
    [sym_ident] = STATE(3060),
    [sym_bool] = STATE(3060),
    [sym_number] = STATE(3060),
    [sym_string] = STATE(3060),
    [sym_tagged] = STATE(3060),
    [sym_context] = STATE(3060),
    [sym_elude] = STATE(3060),
    [sym_assign] = STATE(3060),
    [sym_lambda] = STATE(3060),
    [sym_or] = STATE(3060),
    [sym_not] = STATE(3060),
    [sym_and] = STATE(3060),
    [sym_cmp] = STATE(3060),
    [sym_in] = STATE(3060),
    [sym_add] = STATE(3060),
    [sym_sub] = STATE(3060),
    [sym_mul] = STATE(3060),
    [sym_div] = STATE(3060),
    [sym_sign] = STATE(3060),
    [sym_call] = STATE(2515),
    [sym_field] = STATE(3060),
    [sym_label] = STATE(3060),
    [sym_content] = STATE(3060),
    [sym_group] = STATE(3060),
    [sym_block] = STATE(3060),
    [sym_branch] = STATE(3060),
    [sym_let] = STATE(3060),
    [sym_set] = STATE(3060),
    [sym_import] = STATE(3060),
    [sym_include] = STATE(3060),
    [sym_for] = STATE(3060),
    [sym_while] = STATE(3060),
    [sym_show] = STATE(3060),
    [sym_return] = STATE(3060),
    [sym_flow] = STATE(3060),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2307),
    [sym_none] = ACTIONS(2307),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [444] = {
    [sym_raw_blck] = STATE(1869),
    [sym_raw_span] = STATE(1869),
    [sym_math] = STATE(1869),
    [sym__expr] = STATE(1869),
    [sym_ident] = STATE(1869),
    [sym_bool] = STATE(1869),
    [sym_number] = STATE(1869),
    [sym_string] = STATE(1869),
    [sym_tagged] = STATE(1869),
    [sym_context] = STATE(1869),
    [sym_elude] = STATE(1869),
    [sym_assign] = STATE(1869),
    [sym_lambda] = STATE(1869),
    [sym_or] = STATE(1869),
    [sym_not] = STATE(1869),
    [sym_and] = STATE(1869),
    [sym_cmp] = STATE(1869),
    [sym_in] = STATE(1869),
    [sym_add] = STATE(1869),
    [sym_sub] = STATE(1869),
    [sym_mul] = STATE(1869),
    [sym_div] = STATE(1869),
    [sym_sign] = STATE(1869),
    [sym_call] = STATE(1869),
    [sym_field] = STATE(1869),
    [sym_label] = STATE(1869),
    [sym_content] = STATE(1869),
    [sym_group] = STATE(1869),
    [sym_block] = STATE(1869),
    [sym_branch] = STATE(1869),
    [sym_let] = STATE(1869),
    [sym_set] = STATE(1869),
    [sym_import] = STATE(1869),
    [sym_include] = STATE(1869),
    [sym_for] = STATE(1869),
    [sym_while] = STATE(1869),
    [sym_show] = STATE(1869),
    [sym_return] = STATE(1869),
    [sym_flow] = STATE(1869),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2313),
    [sym_none] = ACTIONS(2313),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [445] = {
    [sym_raw_blck] = STATE(2628),
    [sym_raw_span] = STATE(2628),
    [sym_math] = STATE(2628),
    [sym__expr] = STATE(2628),
    [sym_ident] = STATE(2628),
    [sym_bool] = STATE(2628),
    [sym_number] = STATE(2628),
    [sym_string] = STATE(2628),
    [sym_tagged] = STATE(2628),
    [sym_context] = STATE(2628),
    [sym_elude] = STATE(2628),
    [sym_assign] = STATE(2628),
    [sym_lambda] = STATE(2628),
    [sym_or] = STATE(2628),
    [sym_not] = STATE(2628),
    [sym_and] = STATE(2628),
    [sym_cmp] = STATE(2628),
    [sym_in] = STATE(2628),
    [sym_add] = STATE(2628),
    [sym_sub] = STATE(2628),
    [sym_mul] = STATE(2628),
    [sym_div] = STATE(2628),
    [sym_sign] = STATE(2628),
    [sym_call] = STATE(2628),
    [sym_field] = STATE(2628),
    [sym_label] = STATE(2628),
    [sym_content] = STATE(2628),
    [sym_group] = STATE(2628),
    [sym_block] = STATE(2628),
    [sym_branch] = STATE(2628),
    [sym_let] = STATE(2628),
    [sym_set] = STATE(2628),
    [sym_import] = STATE(2628),
    [sym_include] = STATE(2628),
    [sym_for] = STATE(2628),
    [sym_while] = STATE(2628),
    [sym_show] = STATE(2628),
    [sym_return] = STATE(2628),
    [sym_flow] = STATE(2628),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2319),
    [sym_none] = ACTIONS(2319),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [446] = {
    [sym_raw_blck] = STATE(2854),
    [sym_raw_span] = STATE(2854),
    [sym_math] = STATE(2854),
    [sym__expr] = STATE(2854),
    [sym_ident] = STATE(2854),
    [sym_bool] = STATE(2854),
    [sym_number] = STATE(2854),
    [sym_string] = STATE(2854),
    [sym_tagged] = STATE(2854),
    [sym_context] = STATE(2854),
    [sym_elude] = STATE(2854),
    [sym_assign] = STATE(2854),
    [sym_lambda] = STATE(2854),
    [sym_or] = STATE(2854),
    [sym_not] = STATE(2854),
    [sym_and] = STATE(2854),
    [sym_cmp] = STATE(2854),
    [sym_in] = STATE(2854),
    [sym_add] = STATE(2854),
    [sym_sub] = STATE(2854),
    [sym_mul] = STATE(2854),
    [sym_div] = STATE(2854),
    [sym_sign] = STATE(2854),
    [sym_call] = STATE(2854),
    [sym_field] = STATE(2854),
    [sym_label] = STATE(2854),
    [sym_content] = STATE(2854),
    [sym_group] = STATE(2854),
    [sym_block] = STATE(2854),
    [sym_branch] = STATE(2854),
    [sym_let] = STATE(2854),
    [sym_set] = STATE(2854),
    [sym_import] = STATE(2854),
    [sym_include] = STATE(2854),
    [sym_for] = STATE(2854),
    [sym_while] = STATE(2854),
    [sym_show] = STATE(2854),
    [sym_return] = STATE(2854),
    [sym_flow] = STATE(2854),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2321),
    [sym_none] = ACTIONS(2321),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [447] = {
    [sym_raw_blck] = STATE(2852),
    [sym_raw_span] = STATE(2852),
    [sym_math] = STATE(2852),
    [sym__expr] = STATE(2852),
    [sym_ident] = STATE(2852),
    [sym_bool] = STATE(2852),
    [sym_number] = STATE(2852),
    [sym_string] = STATE(2852),
    [sym_tagged] = STATE(2852),
    [sym_context] = STATE(2852),
    [sym_elude] = STATE(2852),
    [sym_assign] = STATE(2852),
    [sym_lambda] = STATE(2852),
    [sym_or] = STATE(2852),
    [sym_not] = STATE(2852),
    [sym_and] = STATE(2852),
    [sym_cmp] = STATE(2852),
    [sym_in] = STATE(2852),
    [sym_add] = STATE(2852),
    [sym_sub] = STATE(2852),
    [sym_mul] = STATE(2852),
    [sym_div] = STATE(2852),
    [sym_sign] = STATE(2852),
    [sym_call] = STATE(2852),
    [sym_field] = STATE(2852),
    [sym_label] = STATE(2852),
    [sym_content] = STATE(2852),
    [sym_group] = STATE(2852),
    [sym_block] = STATE(2852),
    [sym_branch] = STATE(2852),
    [sym_let] = STATE(2852),
    [sym_set] = STATE(2852),
    [sym_import] = STATE(2852),
    [sym_include] = STATE(2852),
    [sym_for] = STATE(2852),
    [sym_while] = STATE(2852),
    [sym_show] = STATE(2852),
    [sym_return] = STATE(2852),
    [sym_flow] = STATE(2852),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2323),
    [sym_none] = ACTIONS(2323),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [448] = {
    [sym_raw_blck] = STATE(1687),
    [sym_raw_span] = STATE(1687),
    [sym_math] = STATE(1687),
    [sym__expr] = STATE(1687),
    [sym_ident] = STATE(1687),
    [sym_bool] = STATE(1687),
    [sym_number] = STATE(1687),
    [sym_string] = STATE(1687),
    [sym_tagged] = STATE(1687),
    [sym_context] = STATE(1687),
    [sym_elude] = STATE(1687),
    [sym_assign] = STATE(1687),
    [sym_lambda] = STATE(1687),
    [sym_or] = STATE(1687),
    [sym_not] = STATE(1687),
    [sym_and] = STATE(1687),
    [sym_cmp] = STATE(1687),
    [sym_in] = STATE(1687),
    [sym_add] = STATE(1687),
    [sym_sub] = STATE(1687),
    [sym_mul] = STATE(1687),
    [sym_div] = STATE(1687),
    [sym_sign] = STATE(1687),
    [sym_call] = STATE(1687),
    [sym_field] = STATE(1687),
    [sym_label] = STATE(1687),
    [sym_content] = STATE(1687),
    [sym_group] = STATE(1687),
    [sym_block] = STATE(1687),
    [sym_branch] = STATE(1687),
    [sym_let] = STATE(1687),
    [sym_set] = STATE(1687),
    [sym_import] = STATE(1687),
    [sym_include] = STATE(1687),
    [sym_for] = STATE(1687),
    [sym_while] = STATE(1687),
    [sym_show] = STATE(1687),
    [sym_return] = STATE(1687),
    [sym_flow] = STATE(1687),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2325),
    [sym_none] = ACTIONS(2325),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [449] = {
    [sym_raw_blck] = STATE(2850),
    [sym_raw_span] = STATE(2850),
    [sym_math] = STATE(2850),
    [sym__expr] = STATE(2850),
    [sym_ident] = STATE(2850),
    [sym_bool] = STATE(2850),
    [sym_number] = STATE(2850),
    [sym_string] = STATE(2850),
    [sym_tagged] = STATE(2850),
    [sym_context] = STATE(2850),
    [sym_elude] = STATE(2850),
    [sym_assign] = STATE(2850),
    [sym_lambda] = STATE(2850),
    [sym_or] = STATE(2850),
    [sym_not] = STATE(2850),
    [sym_and] = STATE(2850),
    [sym_cmp] = STATE(2850),
    [sym_in] = STATE(2850),
    [sym_add] = STATE(2850),
    [sym_sub] = STATE(2850),
    [sym_mul] = STATE(2850),
    [sym_div] = STATE(2850),
    [sym_sign] = STATE(2850),
    [sym_call] = STATE(2850),
    [sym_field] = STATE(2850),
    [sym_label] = STATE(2850),
    [sym_content] = STATE(2850),
    [sym_group] = STATE(2850),
    [sym_block] = STATE(2850),
    [sym_branch] = STATE(2850),
    [sym_let] = STATE(2850),
    [sym_set] = STATE(2850),
    [sym_import] = STATE(2850),
    [sym_include] = STATE(2850),
    [sym_for] = STATE(2850),
    [sym_while] = STATE(2850),
    [sym_show] = STATE(2850),
    [sym_return] = STATE(2850),
    [sym_flow] = STATE(2850),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2327),
    [sym_none] = ACTIONS(2327),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [450] = {
    [sym_raw_blck] = STATE(1495),
    [sym_raw_span] = STATE(1495),
    [sym_math] = STATE(1495),
    [sym__expr] = STATE(1495),
    [sym_ident] = STATE(1495),
    [sym_bool] = STATE(1495),
    [sym_number] = STATE(1495),
    [sym_string] = STATE(1495),
    [sym_tagged] = STATE(1495),
    [sym_context] = STATE(1495),
    [sym_elude] = STATE(1495),
    [sym_assign] = STATE(1495),
    [sym_lambda] = STATE(1495),
    [sym_or] = STATE(1495),
    [sym_not] = STATE(1495),
    [sym_and] = STATE(1495),
    [sym_cmp] = STATE(1495),
    [sym_in] = STATE(1495),
    [sym_add] = STATE(1495),
    [sym_sub] = STATE(1495),
    [sym_mul] = STATE(1495),
    [sym_div] = STATE(1495),
    [sym_sign] = STATE(1495),
    [sym_call] = STATE(1495),
    [sym_field] = STATE(1495),
    [sym_label] = STATE(1495),
    [sym_content] = STATE(1495),
    [sym_group] = STATE(1495),
    [sym_block] = STATE(1495),
    [sym_branch] = STATE(1495),
    [sym_let] = STATE(1495),
    [sym_set] = STATE(1495),
    [sym_import] = STATE(1495),
    [sym_include] = STATE(1495),
    [sym_for] = STATE(1495),
    [sym_while] = STATE(1495),
    [sym_show] = STATE(1495),
    [sym_return] = STATE(1495),
    [sym_flow] = STATE(1495),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2329),
    [sym_none] = ACTIONS(2329),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [451] = {
    [sym_raw_blck] = STATE(1513),
    [sym_raw_span] = STATE(1513),
    [sym_math] = STATE(1513),
    [sym__expr] = STATE(1513),
    [sym_ident] = STATE(1513),
    [sym_bool] = STATE(1513),
    [sym_number] = STATE(1513),
    [sym_string] = STATE(1513),
    [sym_tagged] = STATE(1513),
    [sym_context] = STATE(1513),
    [sym_elude] = STATE(1513),
    [sym_assign] = STATE(1513),
    [sym_lambda] = STATE(1513),
    [sym_or] = STATE(1513),
    [sym_not] = STATE(1513),
    [sym_and] = STATE(1513),
    [sym_cmp] = STATE(1513),
    [sym_in] = STATE(1513),
    [sym_add] = STATE(1513),
    [sym_sub] = STATE(1513),
    [sym_mul] = STATE(1513),
    [sym_div] = STATE(1513),
    [sym_sign] = STATE(1513),
    [sym_call] = STATE(1513),
    [sym_field] = STATE(1513),
    [sym_label] = STATE(1513),
    [sym_content] = STATE(1513),
    [sym_group] = STATE(1513),
    [sym_block] = STATE(1513),
    [sym_branch] = STATE(1513),
    [sym_let] = STATE(1513),
    [sym_set] = STATE(1513),
    [sym_import] = STATE(1513),
    [sym_include] = STATE(1513),
    [sym_for] = STATE(1513),
    [sym_while] = STATE(1513),
    [sym_show] = STATE(1513),
    [sym_return] = STATE(1513),
    [sym_flow] = STATE(1513),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2331),
    [sym_none] = ACTIONS(2331),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [452] = {
    [sym_raw_blck] = STATE(1518),
    [sym_raw_span] = STATE(1518),
    [sym_math] = STATE(1518),
    [sym__expr] = STATE(1518),
    [sym_ident] = STATE(1518),
    [sym_bool] = STATE(1518),
    [sym_number] = STATE(1518),
    [sym_string] = STATE(1518),
    [sym_tagged] = STATE(1518),
    [sym_context] = STATE(1518),
    [sym_elude] = STATE(1518),
    [sym_assign] = STATE(1518),
    [sym_lambda] = STATE(1518),
    [sym_or] = STATE(1518),
    [sym_not] = STATE(1518),
    [sym_and] = STATE(1518),
    [sym_cmp] = STATE(1518),
    [sym_in] = STATE(1518),
    [sym_add] = STATE(1518),
    [sym_sub] = STATE(1518),
    [sym_mul] = STATE(1518),
    [sym_div] = STATE(1518),
    [sym_sign] = STATE(1518),
    [sym_call] = STATE(1518),
    [sym_field] = STATE(1518),
    [sym_label] = STATE(1518),
    [sym_content] = STATE(1518),
    [sym_group] = STATE(1518),
    [sym_block] = STATE(1518),
    [sym_branch] = STATE(1518),
    [sym_let] = STATE(1518),
    [sym_set] = STATE(1518),
    [sym_import] = STATE(1518),
    [sym_include] = STATE(1518),
    [sym_for] = STATE(1518),
    [sym_while] = STATE(1518),
    [sym_show] = STATE(1518),
    [sym_return] = STATE(1518),
    [sym_flow] = STATE(1518),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2333),
    [sym_none] = ACTIONS(2333),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [453] = {
    [sym_raw_blck] = STATE(1684),
    [sym_raw_span] = STATE(1684),
    [sym_math] = STATE(1684),
    [sym__expr] = STATE(1684),
    [sym_ident] = STATE(1684),
    [sym_bool] = STATE(1684),
    [sym_number] = STATE(1684),
    [sym_string] = STATE(1684),
    [sym_tagged] = STATE(1684),
    [sym_context] = STATE(1684),
    [sym_elude] = STATE(1684),
    [sym_assign] = STATE(1684),
    [sym_lambda] = STATE(1684),
    [sym_or] = STATE(1684),
    [sym_not] = STATE(1684),
    [sym_and] = STATE(1684),
    [sym_cmp] = STATE(1684),
    [sym_in] = STATE(1684),
    [sym_add] = STATE(1684),
    [sym_sub] = STATE(1684),
    [sym_mul] = STATE(1684),
    [sym_div] = STATE(1684),
    [sym_sign] = STATE(1684),
    [sym_call] = STATE(1684),
    [sym_field] = STATE(1684),
    [sym_label] = STATE(1684),
    [sym_content] = STATE(1684),
    [sym_group] = STATE(1684),
    [sym_block] = STATE(1684),
    [sym_branch] = STATE(1684),
    [sym_let] = STATE(1684),
    [sym_set] = STATE(1684),
    [sym_import] = STATE(1684),
    [sym_include] = STATE(1684),
    [sym_for] = STATE(1684),
    [sym_while] = STATE(1684),
    [sym_show] = STATE(1684),
    [sym_return] = STATE(1684),
    [sym_flow] = STATE(1684),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2335),
    [sym_none] = ACTIONS(2335),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [454] = {
    [sym_raw_blck] = STATE(1519),
    [sym_raw_span] = STATE(1519),
    [sym_math] = STATE(1519),
    [sym__expr] = STATE(1519),
    [sym_ident] = STATE(1519),
    [sym_bool] = STATE(1519),
    [sym_number] = STATE(1519),
    [sym_string] = STATE(1519),
    [sym_tagged] = STATE(1519),
    [sym_context] = STATE(1519),
    [sym_elude] = STATE(1519),
    [sym_assign] = STATE(1519),
    [sym_lambda] = STATE(1519),
    [sym_or] = STATE(1519),
    [sym_not] = STATE(1519),
    [sym_and] = STATE(1519),
    [sym_cmp] = STATE(1519),
    [sym_in] = STATE(1519),
    [sym_add] = STATE(1519),
    [sym_sub] = STATE(1519),
    [sym_mul] = STATE(1519),
    [sym_div] = STATE(1519),
    [sym_sign] = STATE(1519),
    [sym_call] = STATE(1519),
    [sym_field] = STATE(1519),
    [sym_label] = STATE(1519),
    [sym_content] = STATE(1519),
    [sym_group] = STATE(1519),
    [sym_block] = STATE(1519),
    [sym_branch] = STATE(1519),
    [sym_let] = STATE(1519),
    [sym_set] = STATE(1519),
    [sym_import] = STATE(1519),
    [sym_include] = STATE(1519),
    [sym_for] = STATE(1519),
    [sym_while] = STATE(1519),
    [sym_show] = STATE(1519),
    [sym_return] = STATE(1519),
    [sym_flow] = STATE(1519),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2337),
    [sym_none] = ACTIONS(2337),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [455] = {
    [sym_raw_blck] = STATE(1521),
    [sym_raw_span] = STATE(1521),
    [sym_math] = STATE(1521),
    [sym__expr] = STATE(1521),
    [sym_ident] = STATE(1521),
    [sym_bool] = STATE(1521),
    [sym_number] = STATE(1521),
    [sym_string] = STATE(1521),
    [sym_tagged] = STATE(1521),
    [sym_context] = STATE(1521),
    [sym_elude] = STATE(1521),
    [sym_assign] = STATE(1521),
    [sym_lambda] = STATE(1521),
    [sym_or] = STATE(1521),
    [sym_not] = STATE(1521),
    [sym_and] = STATE(1521),
    [sym_cmp] = STATE(1521),
    [sym_in] = STATE(1521),
    [sym_add] = STATE(1521),
    [sym_sub] = STATE(1521),
    [sym_mul] = STATE(1521),
    [sym_div] = STATE(1521),
    [sym_sign] = STATE(1521),
    [sym_call] = STATE(1521),
    [sym_field] = STATE(1521),
    [sym_label] = STATE(1521),
    [sym_content] = STATE(1521),
    [sym_group] = STATE(1521),
    [sym_block] = STATE(1521),
    [sym_branch] = STATE(1521),
    [sym_let] = STATE(1521),
    [sym_set] = STATE(1521),
    [sym_import] = STATE(1521),
    [sym_include] = STATE(1521),
    [sym_for] = STATE(1521),
    [sym_while] = STATE(1521),
    [sym_show] = STATE(1521),
    [sym_return] = STATE(1521),
    [sym_flow] = STATE(1521),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2339),
    [sym_none] = ACTIONS(2339),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [456] = {
    [sym_raw_blck] = STATE(1524),
    [sym_raw_span] = STATE(1524),
    [sym_math] = STATE(1524),
    [sym__expr] = STATE(1524),
    [sym_ident] = STATE(1524),
    [sym_bool] = STATE(1524),
    [sym_number] = STATE(1524),
    [sym_string] = STATE(1524),
    [sym_tagged] = STATE(1524),
    [sym_context] = STATE(1524),
    [sym_elude] = STATE(1524),
    [sym_assign] = STATE(1524),
    [sym_lambda] = STATE(1524),
    [sym_or] = STATE(1524),
    [sym_not] = STATE(1524),
    [sym_and] = STATE(1524),
    [sym_cmp] = STATE(1524),
    [sym_in] = STATE(1524),
    [sym_add] = STATE(1524),
    [sym_sub] = STATE(1524),
    [sym_mul] = STATE(1524),
    [sym_div] = STATE(1524),
    [sym_sign] = STATE(1524),
    [sym_call] = STATE(1524),
    [sym_field] = STATE(1524),
    [sym_label] = STATE(1524),
    [sym_content] = STATE(1524),
    [sym_group] = STATE(1524),
    [sym_block] = STATE(1524),
    [sym_branch] = STATE(1524),
    [sym_let] = STATE(1524),
    [sym_set] = STATE(1524),
    [sym_import] = STATE(1524),
    [sym_include] = STATE(1524),
    [sym_for] = STATE(1524),
    [sym_while] = STATE(1524),
    [sym_show] = STATE(1524),
    [sym_return] = STATE(1524),
    [sym_flow] = STATE(1524),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2341),
    [sym_none] = ACTIONS(2341),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [457] = {
    [sym_raw_blck] = STATE(1681),
    [sym_raw_span] = STATE(1681),
    [sym_math] = STATE(1681),
    [sym__expr] = STATE(1681),
    [sym_ident] = STATE(1681),
    [sym_bool] = STATE(1681),
    [sym_number] = STATE(1681),
    [sym_string] = STATE(1681),
    [sym_tagged] = STATE(1681),
    [sym_context] = STATE(1681),
    [sym_elude] = STATE(1681),
    [sym_assign] = STATE(1681),
    [sym_lambda] = STATE(1681),
    [sym_or] = STATE(1681),
    [sym_not] = STATE(1681),
    [sym_and] = STATE(1681),
    [sym_cmp] = STATE(1681),
    [sym_in] = STATE(1681),
    [sym_add] = STATE(1681),
    [sym_sub] = STATE(1681),
    [sym_mul] = STATE(1681),
    [sym_div] = STATE(1681),
    [sym_sign] = STATE(1681),
    [sym_call] = STATE(1681),
    [sym_field] = STATE(1681),
    [sym_label] = STATE(1681),
    [sym_content] = STATE(1681),
    [sym_group] = STATE(1681),
    [sym_block] = STATE(1681),
    [sym_branch] = STATE(1681),
    [sym_let] = STATE(1681),
    [sym_set] = STATE(1681),
    [sym_import] = STATE(1681),
    [sym_include] = STATE(1681),
    [sym_for] = STATE(1681),
    [sym_while] = STATE(1681),
    [sym_show] = STATE(1681),
    [sym_return] = STATE(1681),
    [sym_flow] = STATE(1681),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2343),
    [sym_none] = ACTIONS(2343),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [458] = {
    [sym_raw_blck] = STATE(2729),
    [sym_raw_span] = STATE(2729),
    [sym_math] = STATE(2729),
    [sym__expr] = STATE(2729),
    [sym_ident] = STATE(2729),
    [sym_bool] = STATE(2729),
    [sym_number] = STATE(2729),
    [sym_string] = STATE(2729),
    [sym_tagged] = STATE(2729),
    [sym_context] = STATE(2729),
    [sym_elude] = STATE(2729),
    [sym_assign] = STATE(2729),
    [sym_lambda] = STATE(2729),
    [sym_or] = STATE(2729),
    [sym_not] = STATE(2729),
    [sym_and] = STATE(2729),
    [sym_cmp] = STATE(2729),
    [sym_in] = STATE(2729),
    [sym_add] = STATE(2729),
    [sym_sub] = STATE(2729),
    [sym_mul] = STATE(2729),
    [sym_div] = STATE(2729),
    [sym_sign] = STATE(2729),
    [sym_call] = STATE(2729),
    [sym_field] = STATE(2729),
    [sym_label] = STATE(2729),
    [sym_content] = STATE(2729),
    [sym_group] = STATE(2729),
    [sym_block] = STATE(2729),
    [sym_branch] = STATE(2729),
    [sym_let] = STATE(2729),
    [sym_set] = STATE(2729),
    [sym_import] = STATE(2729),
    [sym_include] = STATE(2729),
    [sym_for] = STATE(2729),
    [sym_while] = STATE(2729),
    [sym_show] = STATE(2729),
    [sym_return] = STATE(2729),
    [sym_flow] = STATE(2729),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2345),
    [sym_none] = ACTIONS(2345),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [459] = {
    [sym_raw_blck] = STATE(2219),
    [sym_raw_span] = STATE(2219),
    [sym_math] = STATE(2219),
    [sym__expr] = STATE(2219),
    [sym_ident] = STATE(2219),
    [sym_bool] = STATE(2219),
    [sym_number] = STATE(2219),
    [sym_string] = STATE(2219),
    [sym_tagged] = STATE(2219),
    [sym_context] = STATE(2219),
    [sym_elude] = STATE(2219),
    [sym_assign] = STATE(2219),
    [sym_lambda] = STATE(2219),
    [sym_or] = STATE(2219),
    [sym_not] = STATE(2219),
    [sym_and] = STATE(2219),
    [sym_cmp] = STATE(2219),
    [sym_in] = STATE(2219),
    [sym_add] = STATE(2219),
    [sym_sub] = STATE(2219),
    [sym_mul] = STATE(2219),
    [sym_div] = STATE(2219),
    [sym_sign] = STATE(2219),
    [sym_call] = STATE(2219),
    [sym_field] = STATE(2219),
    [sym_label] = STATE(2219),
    [sym_content] = STATE(2219),
    [sym_group] = STATE(2219),
    [sym_block] = STATE(2219),
    [sym_branch] = STATE(2219),
    [sym_let] = STATE(2219),
    [sym_set] = STATE(2219),
    [sym_import] = STATE(2219),
    [sym_include] = STATE(2219),
    [sym_for] = STATE(2219),
    [sym_while] = STATE(2219),
    [sym_show] = STATE(2219),
    [sym_return] = STATE(2219),
    [sym_flow] = STATE(2219),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2347),
    [sym_none] = ACTIONS(2347),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [460] = {
    [sym_raw_blck] = STATE(1908),
    [sym_raw_span] = STATE(1908),
    [sym_math] = STATE(1908),
    [sym__expr] = STATE(1908),
    [sym_ident] = STATE(1908),
    [sym_bool] = STATE(1908),
    [sym_number] = STATE(1908),
    [sym_string] = STATE(1908),
    [sym_tagged] = STATE(1908),
    [sym_context] = STATE(1908),
    [sym_elude] = STATE(1908),
    [sym_assign] = STATE(1908),
    [sym_lambda] = STATE(1908),
    [sym_or] = STATE(1908),
    [sym_not] = STATE(1908),
    [sym_and] = STATE(1908),
    [sym_cmp] = STATE(1908),
    [sym_in] = STATE(1908),
    [sym_add] = STATE(1908),
    [sym_sub] = STATE(1908),
    [sym_mul] = STATE(1908),
    [sym_div] = STATE(1908),
    [sym_sign] = STATE(1908),
    [sym_call] = STATE(1908),
    [sym_field] = STATE(1908),
    [sym_label] = STATE(1908),
    [sym_content] = STATE(1908),
    [sym_group] = STATE(1908),
    [sym_block] = STATE(1908),
    [sym_branch] = STATE(1908),
    [sym_let] = STATE(1908),
    [sym_set] = STATE(1908),
    [sym_import] = STATE(1908),
    [sym_include] = STATE(1908),
    [sym_for] = STATE(1908),
    [sym_while] = STATE(1908),
    [sym_show] = STATE(1908),
    [sym_return] = STATE(1908),
    [sym_flow] = STATE(1908),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2349),
    [sym_none] = ACTIONS(2349),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [461] = {
    [sym_raw_blck] = STATE(2726),
    [sym_raw_span] = STATE(2726),
    [sym_math] = STATE(2726),
    [sym__expr] = STATE(2726),
    [sym_ident] = STATE(2726),
    [sym_bool] = STATE(2726),
    [sym_number] = STATE(2726),
    [sym_string] = STATE(2726),
    [sym_tagged] = STATE(2726),
    [sym_context] = STATE(2726),
    [sym_elude] = STATE(2726),
    [sym_assign] = STATE(2726),
    [sym_lambda] = STATE(2726),
    [sym_or] = STATE(2726),
    [sym_not] = STATE(2726),
    [sym_and] = STATE(2726),
    [sym_cmp] = STATE(2726),
    [sym_in] = STATE(2726),
    [sym_add] = STATE(2726),
    [sym_sub] = STATE(2726),
    [sym_mul] = STATE(2726),
    [sym_div] = STATE(2726),
    [sym_sign] = STATE(2726),
    [sym_call] = STATE(2726),
    [sym_field] = STATE(2726),
    [sym_label] = STATE(2726),
    [sym_content] = STATE(2726),
    [sym_group] = STATE(2726),
    [sym_block] = STATE(2726),
    [sym_branch] = STATE(2726),
    [sym_let] = STATE(2726),
    [sym_set] = STATE(2726),
    [sym_import] = STATE(2726),
    [sym_include] = STATE(2726),
    [sym_for] = STATE(2726),
    [sym_while] = STATE(2726),
    [sym_show] = STATE(2726),
    [sym_return] = STATE(2726),
    [sym_flow] = STATE(2726),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2351),
    [sym_none] = ACTIONS(2351),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [462] = {
    [sym_raw_blck] = STATE(2718),
    [sym_raw_span] = STATE(2718),
    [sym_math] = STATE(2718),
    [sym__expr] = STATE(2718),
    [sym_ident] = STATE(2718),
    [sym_bool] = STATE(2718),
    [sym_number] = STATE(2718),
    [sym_string] = STATE(2718),
    [sym_tagged] = STATE(2718),
    [sym_context] = STATE(2718),
    [sym_elude] = STATE(2718),
    [sym_assign] = STATE(2718),
    [sym_lambda] = STATE(2718),
    [sym_or] = STATE(2718),
    [sym_not] = STATE(2718),
    [sym_and] = STATE(2718),
    [sym_cmp] = STATE(2718),
    [sym_in] = STATE(2718),
    [sym_add] = STATE(2718),
    [sym_sub] = STATE(2718),
    [sym_mul] = STATE(2718),
    [sym_div] = STATE(2718),
    [sym_sign] = STATE(2718),
    [sym_call] = STATE(2718),
    [sym_field] = STATE(2718),
    [sym_label] = STATE(2718),
    [sym_content] = STATE(2718),
    [sym_group] = STATE(2718),
    [sym_block] = STATE(2718),
    [sym_branch] = STATE(2718),
    [sym_let] = STATE(2718),
    [sym_set] = STATE(2718),
    [sym_import] = STATE(2718),
    [sym_include] = STATE(2718),
    [sym_for] = STATE(2718),
    [sym_while] = STATE(2718),
    [sym_show] = STATE(2718),
    [sym_return] = STATE(2718),
    [sym_flow] = STATE(2718),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2353),
    [sym_none] = ACTIONS(2353),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [463] = {
    [sym_raw_blck] = STATE(2092),
    [sym_raw_span] = STATE(2092),
    [sym_math] = STATE(2092),
    [sym__expr] = STATE(2092),
    [sym_ident] = STATE(2092),
    [sym_bool] = STATE(2092),
    [sym_number] = STATE(2092),
    [sym_string] = STATE(2092),
    [sym_tagged] = STATE(2092),
    [sym_context] = STATE(2092),
    [sym_elude] = STATE(2092),
    [sym_assign] = STATE(2092),
    [sym_lambda] = STATE(2092),
    [sym_or] = STATE(2092),
    [sym_not] = STATE(2092),
    [sym_and] = STATE(2092),
    [sym_cmp] = STATE(2092),
    [sym_in] = STATE(2092),
    [sym_add] = STATE(2092),
    [sym_sub] = STATE(2092),
    [sym_mul] = STATE(2092),
    [sym_div] = STATE(2092),
    [sym_sign] = STATE(2092),
    [sym_call] = STATE(2092),
    [sym_field] = STATE(2092),
    [sym_label] = STATE(2092),
    [sym_content] = STATE(2092),
    [sym_group] = STATE(2092),
    [sym_block] = STATE(2092),
    [sym_branch] = STATE(2092),
    [sym_let] = STATE(2092),
    [sym_set] = STATE(2092),
    [sym_import] = STATE(2092),
    [sym_include] = STATE(2092),
    [sym_for] = STATE(2092),
    [sym_while] = STATE(2092),
    [sym_show] = STATE(2092),
    [sym_return] = STATE(2092),
    [sym_flow] = STATE(2092),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2359),
    [sym_none] = ACTIONS(2359),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [464] = {
    [sym_raw_blck] = STATE(1905),
    [sym_raw_span] = STATE(1905),
    [sym_math] = STATE(1905),
    [sym__expr] = STATE(1905),
    [sym_ident] = STATE(1905),
    [sym_bool] = STATE(1905),
    [sym_number] = STATE(1905),
    [sym_string] = STATE(1905),
    [sym_tagged] = STATE(1905),
    [sym_context] = STATE(1905),
    [sym_elude] = STATE(1905),
    [sym_assign] = STATE(1905),
    [sym_lambda] = STATE(1905),
    [sym_or] = STATE(1905),
    [sym_not] = STATE(1905),
    [sym_and] = STATE(1905),
    [sym_cmp] = STATE(1905),
    [sym_in] = STATE(1905),
    [sym_add] = STATE(1905),
    [sym_sub] = STATE(1905),
    [sym_mul] = STATE(1905),
    [sym_div] = STATE(1905),
    [sym_sign] = STATE(1905),
    [sym_call] = STATE(1905),
    [sym_field] = STATE(1905),
    [sym_label] = STATE(1905),
    [sym_content] = STATE(1905),
    [sym_group] = STATE(1905),
    [sym_block] = STATE(1905),
    [sym_branch] = STATE(1905),
    [sym_let] = STATE(1905),
    [sym_set] = STATE(1905),
    [sym_import] = STATE(1905),
    [sym_include] = STATE(1905),
    [sym_for] = STATE(1905),
    [sym_while] = STATE(1905),
    [sym_show] = STATE(1905),
    [sym_return] = STATE(1905),
    [sym_flow] = STATE(1905),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2361),
    [sym_none] = ACTIONS(2361),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [465] = {
    [sym_raw_blck] = STATE(2717),
    [sym_raw_span] = STATE(2717),
    [sym_math] = STATE(2717),
    [sym__expr] = STATE(2717),
    [sym_ident] = STATE(2717),
    [sym_bool] = STATE(2717),
    [sym_number] = STATE(2717),
    [sym_string] = STATE(2717),
    [sym_tagged] = STATE(2717),
    [sym_context] = STATE(2717),
    [sym_elude] = STATE(2717),
    [sym_assign] = STATE(2717),
    [sym_lambda] = STATE(2717),
    [sym_or] = STATE(2717),
    [sym_not] = STATE(2717),
    [sym_and] = STATE(2717),
    [sym_cmp] = STATE(2717),
    [sym_in] = STATE(2717),
    [sym_add] = STATE(2717),
    [sym_sub] = STATE(2717),
    [sym_mul] = STATE(2717),
    [sym_div] = STATE(2717),
    [sym_sign] = STATE(2717),
    [sym_call] = STATE(2717),
    [sym_field] = STATE(2717),
    [sym_label] = STATE(2717),
    [sym_content] = STATE(2717),
    [sym_group] = STATE(2717),
    [sym_block] = STATE(2717),
    [sym_branch] = STATE(2717),
    [sym_let] = STATE(2717),
    [sym_set] = STATE(2717),
    [sym_import] = STATE(2717),
    [sym_include] = STATE(2717),
    [sym_for] = STATE(2717),
    [sym_while] = STATE(2717),
    [sym_show] = STATE(2717),
    [sym_return] = STATE(2717),
    [sym_flow] = STATE(2717),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2363),
    [sym_none] = ACTIONS(2363),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [466] = {
    [sym_raw_blck] = STATE(2485),
    [sym_raw_span] = STATE(2485),
    [sym_math] = STATE(2485),
    [sym__expr] = STATE(2485),
    [sym_ident] = STATE(2485),
    [sym_bool] = STATE(2485),
    [sym_number] = STATE(2485),
    [sym_string] = STATE(2485),
    [sym_tagged] = STATE(2485),
    [sym_context] = STATE(2485),
    [sym_elude] = STATE(2485),
    [sym_assign] = STATE(2485),
    [sym_lambda] = STATE(2485),
    [sym_or] = STATE(2485),
    [sym_not] = STATE(2485),
    [sym_and] = STATE(2485),
    [sym_cmp] = STATE(2485),
    [sym_in] = STATE(2485),
    [sym_add] = STATE(2485),
    [sym_sub] = STATE(2485),
    [sym_mul] = STATE(2485),
    [sym_div] = STATE(2485),
    [sym_sign] = STATE(2485),
    [sym_call] = STATE(2485),
    [sym_field] = STATE(2485),
    [sym_label] = STATE(2485),
    [sym_content] = STATE(2485),
    [sym_group] = STATE(2485),
    [sym_block] = STATE(2485),
    [sym_branch] = STATE(2485),
    [sym_let] = STATE(2485),
    [sym_set] = STATE(2485),
    [sym_import] = STATE(2485),
    [sym_include] = STATE(2485),
    [sym_for] = STATE(2485),
    [sym_while] = STATE(2485),
    [sym_show] = STATE(2485),
    [sym_return] = STATE(2485),
    [sym_flow] = STATE(2485),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2369),
    [sym_none] = ACTIONS(2369),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [467] = {
    [sym_raw_blck] = STATE(3003),
    [sym_raw_span] = STATE(3003),
    [sym_math] = STATE(3003),
    [sym__expr] = STATE(3003),
    [sym_ident] = STATE(3003),
    [sym_bool] = STATE(3003),
    [sym_number] = STATE(3003),
    [sym_string] = STATE(3003),
    [sym_tagged] = STATE(3003),
    [sym_context] = STATE(3003),
    [sym_elude] = STATE(3003),
    [sym_assign] = STATE(3003),
    [sym_lambda] = STATE(3003),
    [sym_or] = STATE(3003),
    [sym_not] = STATE(3003),
    [sym_and] = STATE(3003),
    [sym_cmp] = STATE(3003),
    [sym_in] = STATE(3003),
    [sym_add] = STATE(3003),
    [sym_sub] = STATE(3003),
    [sym_mul] = STATE(3003),
    [sym_div] = STATE(3003),
    [sym_sign] = STATE(3003),
    [sym_call] = STATE(2094),
    [sym_field] = STATE(3003),
    [sym_label] = STATE(3003),
    [sym_content] = STATE(3003),
    [sym_group] = STATE(3003),
    [sym_block] = STATE(3003),
    [sym_branch] = STATE(3003),
    [sym_let] = STATE(3003),
    [sym_set] = STATE(3003),
    [sym_import] = STATE(3003),
    [sym_include] = STATE(3003),
    [sym_for] = STATE(3003),
    [sym_while] = STATE(3003),
    [sym_show] = STATE(3003),
    [sym_return] = STATE(3003),
    [sym_flow] = STATE(3003),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2371),
    [sym_none] = ACTIONS(2371),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [468] = {
    [sym_raw_blck] = STATE(2217),
    [sym_raw_span] = STATE(2217),
    [sym_math] = STATE(2217),
    [sym__expr] = STATE(2217),
    [sym_ident] = STATE(2217),
    [sym_bool] = STATE(2217),
    [sym_number] = STATE(2217),
    [sym_string] = STATE(2217),
    [sym_tagged] = STATE(2217),
    [sym_context] = STATE(2217),
    [sym_elude] = STATE(2217),
    [sym_assign] = STATE(2217),
    [sym_lambda] = STATE(2217),
    [sym_or] = STATE(2217),
    [sym_not] = STATE(2217),
    [sym_and] = STATE(2217),
    [sym_cmp] = STATE(2217),
    [sym_in] = STATE(2217),
    [sym_add] = STATE(2217),
    [sym_sub] = STATE(2217),
    [sym_mul] = STATE(2217),
    [sym_div] = STATE(2217),
    [sym_sign] = STATE(2217),
    [sym_call] = STATE(2217),
    [sym_field] = STATE(2217),
    [sym_label] = STATE(2217),
    [sym_content] = STATE(2217),
    [sym_group] = STATE(2217),
    [sym_block] = STATE(2217),
    [sym_branch] = STATE(2217),
    [sym_let] = STATE(2217),
    [sym_set] = STATE(2217),
    [sym_import] = STATE(2217),
    [sym_include] = STATE(2217),
    [sym_for] = STATE(2217),
    [sym_while] = STATE(2217),
    [sym_show] = STATE(2217),
    [sym_return] = STATE(2217),
    [sym_flow] = STATE(2217),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2373),
    [sym_none] = ACTIONS(2373),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [469] = {
    [sym_raw_blck] = STATE(1679),
    [sym_raw_span] = STATE(1679),
    [sym_math] = STATE(1679),
    [sym__expr] = STATE(1679),
    [sym_ident] = STATE(1679),
    [sym_bool] = STATE(1679),
    [sym_number] = STATE(1679),
    [sym_string] = STATE(1679),
    [sym_tagged] = STATE(1679),
    [sym_context] = STATE(1679),
    [sym_elude] = STATE(1679),
    [sym_assign] = STATE(1679),
    [sym_lambda] = STATE(1679),
    [sym_or] = STATE(1679),
    [sym_not] = STATE(1679),
    [sym_and] = STATE(1679),
    [sym_cmp] = STATE(1679),
    [sym_in] = STATE(1679),
    [sym_add] = STATE(1679),
    [sym_sub] = STATE(1679),
    [sym_mul] = STATE(1679),
    [sym_div] = STATE(1679),
    [sym_sign] = STATE(1679),
    [sym_call] = STATE(1679),
    [sym_field] = STATE(1679),
    [sym_label] = STATE(1679),
    [sym_content] = STATE(1679),
    [sym_group] = STATE(1679),
    [sym_block] = STATE(1679),
    [sym_branch] = STATE(1679),
    [sym_let] = STATE(1679),
    [sym_set] = STATE(1679),
    [sym_import] = STATE(1679),
    [sym_include] = STATE(1679),
    [sym_for] = STATE(1679),
    [sym_while] = STATE(1679),
    [sym_show] = STATE(1679),
    [sym_return] = STATE(1679),
    [sym_flow] = STATE(1679),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2375),
    [sym_none] = ACTIONS(2375),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [470] = {
    [sym_raw_blck] = STATE(1695),
    [sym_raw_span] = STATE(1695),
    [sym_math] = STATE(1695),
    [sym__expr] = STATE(1695),
    [sym_ident] = STATE(1695),
    [sym_bool] = STATE(1695),
    [sym_number] = STATE(1695),
    [sym_string] = STATE(1695),
    [sym_tagged] = STATE(1695),
    [sym_context] = STATE(1695),
    [sym_elude] = STATE(1695),
    [sym_assign] = STATE(1695),
    [sym_lambda] = STATE(1695),
    [sym_or] = STATE(1695),
    [sym_not] = STATE(1695),
    [sym_and] = STATE(1695),
    [sym_cmp] = STATE(1695),
    [sym_in] = STATE(1695),
    [sym_add] = STATE(1695),
    [sym_sub] = STATE(1695),
    [sym_mul] = STATE(1695),
    [sym_div] = STATE(1695),
    [sym_sign] = STATE(1695),
    [sym_call] = STATE(1695),
    [sym_field] = STATE(1695),
    [sym_label] = STATE(1695),
    [sym_content] = STATE(1695),
    [sym_group] = STATE(1695),
    [sym_block] = STATE(1695),
    [sym_branch] = STATE(1695),
    [sym_let] = STATE(1695),
    [sym_set] = STATE(1695),
    [sym_import] = STATE(1695),
    [sym_include] = STATE(1695),
    [sym_for] = STATE(1695),
    [sym_while] = STATE(1695),
    [sym_show] = STATE(1695),
    [sym_return] = STATE(1695),
    [sym_flow] = STATE(1695),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2377),
    [sym_none] = ACTIONS(2377),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [471] = {
    [sym_raw_blck] = STATE(2715),
    [sym_raw_span] = STATE(2715),
    [sym_math] = STATE(2715),
    [sym__expr] = STATE(2715),
    [sym_ident] = STATE(2715),
    [sym_bool] = STATE(2715),
    [sym_number] = STATE(2715),
    [sym_string] = STATE(2715),
    [sym_tagged] = STATE(2715),
    [sym_context] = STATE(2715),
    [sym_elude] = STATE(2715),
    [sym_assign] = STATE(2715),
    [sym_lambda] = STATE(2715),
    [sym_or] = STATE(2715),
    [sym_not] = STATE(2715),
    [sym_and] = STATE(2715),
    [sym_cmp] = STATE(2715),
    [sym_in] = STATE(2715),
    [sym_add] = STATE(2715),
    [sym_sub] = STATE(2715),
    [sym_mul] = STATE(2715),
    [sym_div] = STATE(2715),
    [sym_sign] = STATE(2715),
    [sym_call] = STATE(2715),
    [sym_field] = STATE(2715),
    [sym_label] = STATE(2715),
    [sym_content] = STATE(2715),
    [sym_group] = STATE(2715),
    [sym_block] = STATE(2715),
    [sym_branch] = STATE(2715),
    [sym_let] = STATE(2715),
    [sym_set] = STATE(2715),
    [sym_import] = STATE(2715),
    [sym_include] = STATE(2715),
    [sym_for] = STATE(2715),
    [sym_while] = STATE(2715),
    [sym_show] = STATE(2715),
    [sym_return] = STATE(2715),
    [sym_flow] = STATE(2715),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2379),
    [sym_none] = ACTIONS(2379),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [472] = {
    [sym_raw_blck] = STATE(2713),
    [sym_raw_span] = STATE(2713),
    [sym_math] = STATE(2713),
    [sym__expr] = STATE(2713),
    [sym_ident] = STATE(2713),
    [sym_bool] = STATE(2713),
    [sym_number] = STATE(2713),
    [sym_string] = STATE(2713),
    [sym_tagged] = STATE(2713),
    [sym_context] = STATE(2713),
    [sym_elude] = STATE(2713),
    [sym_assign] = STATE(2713),
    [sym_lambda] = STATE(2713),
    [sym_or] = STATE(2713),
    [sym_not] = STATE(2713),
    [sym_and] = STATE(2713),
    [sym_cmp] = STATE(2713),
    [sym_in] = STATE(2713),
    [sym_add] = STATE(2713),
    [sym_sub] = STATE(2713),
    [sym_mul] = STATE(2713),
    [sym_div] = STATE(2713),
    [sym_sign] = STATE(2713),
    [sym_call] = STATE(2713),
    [sym_field] = STATE(2713),
    [sym_label] = STATE(2713),
    [sym_content] = STATE(2713),
    [sym_group] = STATE(2713),
    [sym_block] = STATE(2713),
    [sym_branch] = STATE(2713),
    [sym_let] = STATE(2713),
    [sym_set] = STATE(2713),
    [sym_import] = STATE(2713),
    [sym_include] = STATE(2713),
    [sym_for] = STATE(2713),
    [sym_while] = STATE(2713),
    [sym_show] = STATE(2713),
    [sym_return] = STATE(2713),
    [sym_flow] = STATE(2713),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2381),
    [sym_none] = ACTIONS(2381),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [473] = {
    [sym_raw_blck] = STATE(2418),
    [sym_raw_span] = STATE(2418),
    [sym_math] = STATE(2418),
    [sym__expr] = STATE(2418),
    [sym_ident] = STATE(2418),
    [sym_bool] = STATE(2418),
    [sym_number] = STATE(2418),
    [sym_string] = STATE(2418),
    [sym_tagged] = STATE(2418),
    [sym_context] = STATE(2418),
    [sym_elude] = STATE(2418),
    [sym_assign] = STATE(2418),
    [sym_lambda] = STATE(2418),
    [sym_or] = STATE(2418),
    [sym_not] = STATE(2418),
    [sym_and] = STATE(2418),
    [sym_cmp] = STATE(2418),
    [sym_in] = STATE(2418),
    [sym_add] = STATE(2418),
    [sym_sub] = STATE(2418),
    [sym_mul] = STATE(2418),
    [sym_div] = STATE(2418),
    [sym_sign] = STATE(2418),
    [sym_call] = STATE(2418),
    [sym_field] = STATE(2418),
    [sym_label] = STATE(2418),
    [sym_content] = STATE(2418),
    [sym_group] = STATE(2418),
    [sym_block] = STATE(2418),
    [sym_branch] = STATE(2418),
    [sym_let] = STATE(2418),
    [sym_set] = STATE(2418),
    [sym_import] = STATE(2418),
    [sym_include] = STATE(2418),
    [sym_for] = STATE(2418),
    [sym_while] = STATE(2418),
    [sym_show] = STATE(2418),
    [sym_return] = STATE(2418),
    [sym_flow] = STATE(2418),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(2383),
    [sym_none] = ACTIONS(2383),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [474] = {
    [sym_raw_blck] = STATE(1665),
    [sym_raw_span] = STATE(1665),
    [sym_math] = STATE(1665),
    [sym__expr] = STATE(1665),
    [sym_ident] = STATE(1665),
    [sym_bool] = STATE(1665),
    [sym_number] = STATE(1665),
    [sym_string] = STATE(1665),
    [sym_tagged] = STATE(1665),
    [sym_context] = STATE(1665),
    [sym_elude] = STATE(1665),
    [sym_assign] = STATE(1665),
    [sym_lambda] = STATE(1665),
    [sym_or] = STATE(1665),
    [sym_not] = STATE(1665),
    [sym_and] = STATE(1665),
    [sym_cmp] = STATE(1665),
    [sym_in] = STATE(1665),
    [sym_add] = STATE(1665),
    [sym_sub] = STATE(1665),
    [sym_mul] = STATE(1665),
    [sym_div] = STATE(1665),
    [sym_sign] = STATE(1665),
    [sym_call] = STATE(1665),
    [sym_field] = STATE(1665),
    [sym_label] = STATE(1665),
    [sym_content] = STATE(1665),
    [sym_group] = STATE(1665),
    [sym_block] = STATE(1665),
    [sym_branch] = STATE(1665),
    [sym_let] = STATE(1665),
    [sym_set] = STATE(1665),
    [sym_import] = STATE(1665),
    [sym_include] = STATE(1665),
    [sym_for] = STATE(1665),
    [sym_while] = STATE(1665),
    [sym_show] = STATE(1665),
    [sym_return] = STATE(1665),
    [sym_flow] = STATE(1665),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2385),
    [sym_none] = ACTIONS(2385),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [475] = {
    [sym_raw_blck] = STATE(2712),
    [sym_raw_span] = STATE(2712),
    [sym_math] = STATE(2712),
    [sym__expr] = STATE(2712),
    [sym_ident] = STATE(2712),
    [sym_bool] = STATE(2712),
    [sym_number] = STATE(2712),
    [sym_string] = STATE(2712),
    [sym_tagged] = STATE(2712),
    [sym_context] = STATE(2712),
    [sym_elude] = STATE(2712),
    [sym_assign] = STATE(2712),
    [sym_lambda] = STATE(2712),
    [sym_or] = STATE(2712),
    [sym_not] = STATE(2712),
    [sym_and] = STATE(2712),
    [sym_cmp] = STATE(2712),
    [sym_in] = STATE(2712),
    [sym_add] = STATE(2712),
    [sym_sub] = STATE(2712),
    [sym_mul] = STATE(2712),
    [sym_div] = STATE(2712),
    [sym_sign] = STATE(2712),
    [sym_call] = STATE(2712),
    [sym_field] = STATE(2712),
    [sym_label] = STATE(2712),
    [sym_content] = STATE(2712),
    [sym_group] = STATE(2712),
    [sym_block] = STATE(2712),
    [sym_branch] = STATE(2712),
    [sym_let] = STATE(2712),
    [sym_set] = STATE(2712),
    [sym_import] = STATE(2712),
    [sym_include] = STATE(2712),
    [sym_for] = STATE(2712),
    [sym_while] = STATE(2712),
    [sym_show] = STATE(2712),
    [sym_return] = STATE(2712),
    [sym_flow] = STATE(2712),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2387),
    [sym_none] = ACTIONS(2387),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [476] = {
    [sym_raw_blck] = STATE(2490),
    [sym_raw_span] = STATE(2490),
    [sym_math] = STATE(2490),
    [sym__expr] = STATE(2490),
    [sym_ident] = STATE(2490),
    [sym_bool] = STATE(2490),
    [sym_number] = STATE(2490),
    [sym_string] = STATE(2490),
    [sym_tagged] = STATE(2490),
    [sym_context] = STATE(2490),
    [sym_elude] = STATE(2490),
    [sym_assign] = STATE(2490),
    [sym_lambda] = STATE(2490),
    [sym_or] = STATE(2490),
    [sym_not] = STATE(2490),
    [sym_and] = STATE(2490),
    [sym_cmp] = STATE(2490),
    [sym_in] = STATE(2490),
    [sym_add] = STATE(2490),
    [sym_sub] = STATE(2490),
    [sym_mul] = STATE(2490),
    [sym_div] = STATE(2490),
    [sym_sign] = STATE(2490),
    [sym_call] = STATE(2490),
    [sym_field] = STATE(2490),
    [sym_label] = STATE(2490),
    [sym_content] = STATE(2490),
    [sym_group] = STATE(2490),
    [sym_block] = STATE(2490),
    [sym_branch] = STATE(2490),
    [sym_let] = STATE(2490),
    [sym_set] = STATE(2490),
    [sym_import] = STATE(2490),
    [sym_include] = STATE(2490),
    [sym_for] = STATE(2490),
    [sym_while] = STATE(2490),
    [sym_show] = STATE(2490),
    [sym_return] = STATE(2490),
    [sym_flow] = STATE(2490),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2389),
    [sym_none] = ACTIONS(2389),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [477] = {
    [sym_raw_blck] = STATE(2216),
    [sym_raw_span] = STATE(2216),
    [sym_math] = STATE(2216),
    [sym__expr] = STATE(2216),
    [sym_ident] = STATE(2216),
    [sym_bool] = STATE(2216),
    [sym_number] = STATE(2216),
    [sym_string] = STATE(2216),
    [sym_tagged] = STATE(2216),
    [sym_context] = STATE(2216),
    [sym_elude] = STATE(2216),
    [sym_assign] = STATE(2216),
    [sym_lambda] = STATE(2216),
    [sym_or] = STATE(2216),
    [sym_not] = STATE(2216),
    [sym_and] = STATE(2216),
    [sym_cmp] = STATE(2216),
    [sym_in] = STATE(2216),
    [sym_add] = STATE(2216),
    [sym_sub] = STATE(2216),
    [sym_mul] = STATE(2216),
    [sym_div] = STATE(2216),
    [sym_sign] = STATE(2216),
    [sym_call] = STATE(2216),
    [sym_field] = STATE(2216),
    [sym_label] = STATE(2216),
    [sym_content] = STATE(2216),
    [sym_group] = STATE(2216),
    [sym_block] = STATE(2216),
    [sym_branch] = STATE(2216),
    [sym_let] = STATE(2216),
    [sym_set] = STATE(2216),
    [sym_import] = STATE(2216),
    [sym_include] = STATE(2216),
    [sym_for] = STATE(2216),
    [sym_while] = STATE(2216),
    [sym_show] = STATE(2216),
    [sym_return] = STATE(2216),
    [sym_flow] = STATE(2216),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2391),
    [sym_none] = ACTIONS(2391),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [478] = {
    [sym_raw_blck] = STATE(2268),
    [sym_raw_span] = STATE(2268),
    [sym_math] = STATE(2268),
    [sym__expr] = STATE(2268),
    [sym_ident] = STATE(2268),
    [sym_bool] = STATE(2268),
    [sym_number] = STATE(2268),
    [sym_string] = STATE(2268),
    [sym_tagged] = STATE(2268),
    [sym_context] = STATE(2268),
    [sym_elude] = STATE(2268),
    [sym_assign] = STATE(2268),
    [sym_lambda] = STATE(2268),
    [sym_or] = STATE(2268),
    [sym_not] = STATE(2268),
    [sym_and] = STATE(2268),
    [sym_cmp] = STATE(2268),
    [sym_in] = STATE(2268),
    [sym_add] = STATE(2268),
    [sym_sub] = STATE(2268),
    [sym_mul] = STATE(2268),
    [sym_div] = STATE(2268),
    [sym_sign] = STATE(2268),
    [sym_call] = STATE(2268),
    [sym_field] = STATE(2268),
    [sym_label] = STATE(2268),
    [sym_content] = STATE(2268),
    [sym_group] = STATE(2268),
    [sym_block] = STATE(2268),
    [sym_branch] = STATE(2268),
    [sym_let] = STATE(2268),
    [sym_set] = STATE(2268),
    [sym_import] = STATE(2268),
    [sym_include] = STATE(2268),
    [sym_for] = STATE(2268),
    [sym_while] = STATE(2268),
    [sym_show] = STATE(2268),
    [sym_return] = STATE(2268),
    [sym_flow] = STATE(2268),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2393),
    [sym_none] = ACTIONS(2393),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [479] = {
    [sym_raw_blck] = STATE(1563),
    [sym_raw_span] = STATE(1563),
    [sym_math] = STATE(1563),
    [sym__expr] = STATE(1563),
    [sym_ident] = STATE(1563),
    [sym_bool] = STATE(1563),
    [sym_number] = STATE(1563),
    [sym_string] = STATE(1563),
    [sym_tagged] = STATE(1563),
    [sym_context] = STATE(1563),
    [sym_elude] = STATE(1563),
    [sym_assign] = STATE(1563),
    [sym_lambda] = STATE(1563),
    [sym_or] = STATE(1563),
    [sym_not] = STATE(1563),
    [sym_and] = STATE(1563),
    [sym_cmp] = STATE(1563),
    [sym_in] = STATE(1563),
    [sym_add] = STATE(1563),
    [sym_sub] = STATE(1563),
    [sym_mul] = STATE(1563),
    [sym_div] = STATE(1563),
    [sym_sign] = STATE(1563),
    [sym_call] = STATE(1563),
    [sym_field] = STATE(1563),
    [sym_label] = STATE(1563),
    [sym_content] = STATE(1563),
    [sym_group] = STATE(1563),
    [sym_block] = STATE(1563),
    [sym_branch] = STATE(1563),
    [sym_let] = STATE(1563),
    [sym_set] = STATE(1563),
    [sym_import] = STATE(1563),
    [sym_include] = STATE(1563),
    [sym_for] = STATE(1563),
    [sym_while] = STATE(1563),
    [sym_show] = STATE(1563),
    [sym_return] = STATE(1563),
    [sym_flow] = STATE(1563),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2395),
    [sym_none] = ACTIONS(2395),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [480] = {
    [sym_raw_blck] = STATE(1564),
    [sym_raw_span] = STATE(1564),
    [sym_math] = STATE(1564),
    [sym__expr] = STATE(1564),
    [sym_ident] = STATE(1564),
    [sym_bool] = STATE(1564),
    [sym_number] = STATE(1564),
    [sym_string] = STATE(1564),
    [sym_tagged] = STATE(1564),
    [sym_context] = STATE(1564),
    [sym_elude] = STATE(1564),
    [sym_assign] = STATE(1564),
    [sym_lambda] = STATE(1564),
    [sym_or] = STATE(1564),
    [sym_not] = STATE(1564),
    [sym_and] = STATE(1564),
    [sym_cmp] = STATE(1564),
    [sym_in] = STATE(1564),
    [sym_add] = STATE(1564),
    [sym_sub] = STATE(1564),
    [sym_mul] = STATE(1564),
    [sym_div] = STATE(1564),
    [sym_sign] = STATE(1564),
    [sym_call] = STATE(1564),
    [sym_field] = STATE(1564),
    [sym_label] = STATE(1564),
    [sym_content] = STATE(1564),
    [sym_group] = STATE(1564),
    [sym_block] = STATE(1564),
    [sym_branch] = STATE(1564),
    [sym_let] = STATE(1564),
    [sym_set] = STATE(1564),
    [sym_import] = STATE(1564),
    [sym_include] = STATE(1564),
    [sym_for] = STATE(1564),
    [sym_while] = STATE(1564),
    [sym_show] = STATE(1564),
    [sym_return] = STATE(1564),
    [sym_flow] = STATE(1564),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2397),
    [sym_none] = ACTIONS(2397),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [481] = {
    [sym_raw_blck] = STATE(2705),
    [sym_raw_span] = STATE(2705),
    [sym_math] = STATE(2705),
    [sym__expr] = STATE(2705),
    [sym_ident] = STATE(2705),
    [sym_bool] = STATE(2705),
    [sym_number] = STATE(2705),
    [sym_string] = STATE(2705),
    [sym_tagged] = STATE(2705),
    [sym_context] = STATE(2705),
    [sym_elude] = STATE(2705),
    [sym_assign] = STATE(2705),
    [sym_lambda] = STATE(2705),
    [sym_or] = STATE(2705),
    [sym_not] = STATE(2705),
    [sym_and] = STATE(2705),
    [sym_cmp] = STATE(2705),
    [sym_in] = STATE(2705),
    [sym_add] = STATE(2705),
    [sym_sub] = STATE(2705),
    [sym_mul] = STATE(2705),
    [sym_div] = STATE(2705),
    [sym_sign] = STATE(2705),
    [sym_call] = STATE(2705),
    [sym_field] = STATE(2705),
    [sym_label] = STATE(2705),
    [sym_content] = STATE(2705),
    [sym_group] = STATE(2705),
    [sym_block] = STATE(2705),
    [sym_branch] = STATE(2705),
    [sym_let] = STATE(2705),
    [sym_set] = STATE(2705),
    [sym_import] = STATE(2705),
    [sym_include] = STATE(2705),
    [sym_for] = STATE(2705),
    [sym_while] = STATE(2705),
    [sym_show] = STATE(2705),
    [sym_return] = STATE(2705),
    [sym_flow] = STATE(2705),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2399),
    [sym_none] = ACTIONS(2399),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [482] = {
    [sym_raw_blck] = STATE(2703),
    [sym_raw_span] = STATE(2703),
    [sym_math] = STATE(2703),
    [sym__expr] = STATE(2703),
    [sym_ident] = STATE(2703),
    [sym_bool] = STATE(2703),
    [sym_number] = STATE(2703),
    [sym_string] = STATE(2703),
    [sym_tagged] = STATE(2703),
    [sym_context] = STATE(2703),
    [sym_elude] = STATE(2703),
    [sym_assign] = STATE(2703),
    [sym_lambda] = STATE(2703),
    [sym_or] = STATE(2703),
    [sym_not] = STATE(2703),
    [sym_and] = STATE(2703),
    [sym_cmp] = STATE(2703),
    [sym_in] = STATE(2703),
    [sym_add] = STATE(2703),
    [sym_sub] = STATE(2703),
    [sym_mul] = STATE(2703),
    [sym_div] = STATE(2703),
    [sym_sign] = STATE(2703),
    [sym_call] = STATE(2703),
    [sym_field] = STATE(2703),
    [sym_label] = STATE(2703),
    [sym_content] = STATE(2703),
    [sym_group] = STATE(2703),
    [sym_block] = STATE(2703),
    [sym_branch] = STATE(2703),
    [sym_let] = STATE(2703),
    [sym_set] = STATE(2703),
    [sym_import] = STATE(2703),
    [sym_include] = STATE(2703),
    [sym_for] = STATE(2703),
    [sym_while] = STATE(2703),
    [sym_show] = STATE(2703),
    [sym_return] = STATE(2703),
    [sym_flow] = STATE(2703),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2401),
    [sym_none] = ACTIONS(2401),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [483] = {
    [sym_raw_blck] = STATE(1566),
    [sym_raw_span] = STATE(1566),
    [sym_math] = STATE(1566),
    [sym__expr] = STATE(1566),
    [sym_ident] = STATE(1566),
    [sym_bool] = STATE(1566),
    [sym_number] = STATE(1566),
    [sym_string] = STATE(1566),
    [sym_tagged] = STATE(1566),
    [sym_context] = STATE(1566),
    [sym_elude] = STATE(1566),
    [sym_assign] = STATE(1566),
    [sym_lambda] = STATE(1566),
    [sym_or] = STATE(1566),
    [sym_not] = STATE(1566),
    [sym_and] = STATE(1566),
    [sym_cmp] = STATE(1566),
    [sym_in] = STATE(1566),
    [sym_add] = STATE(1566),
    [sym_sub] = STATE(1566),
    [sym_mul] = STATE(1566),
    [sym_div] = STATE(1566),
    [sym_sign] = STATE(1566),
    [sym_call] = STATE(1566),
    [sym_field] = STATE(1566),
    [sym_label] = STATE(1566),
    [sym_content] = STATE(1566),
    [sym_group] = STATE(1566),
    [sym_block] = STATE(1566),
    [sym_branch] = STATE(1566),
    [sym_let] = STATE(1566),
    [sym_set] = STATE(1566),
    [sym_import] = STATE(1566),
    [sym_include] = STATE(1566),
    [sym_for] = STATE(1566),
    [sym_while] = STATE(1566),
    [sym_show] = STATE(1566),
    [sym_return] = STATE(1566),
    [sym_flow] = STATE(1566),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2403),
    [sym_none] = ACTIONS(2403),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [484] = {
    [sym_raw_blck] = STATE(2203),
    [sym_raw_span] = STATE(2203),
    [sym_math] = STATE(2203),
    [sym__expr] = STATE(2203),
    [sym_ident] = STATE(2203),
    [sym_bool] = STATE(2203),
    [sym_number] = STATE(2203),
    [sym_string] = STATE(2203),
    [sym_tagged] = STATE(2203),
    [sym_context] = STATE(2203),
    [sym_elude] = STATE(2203),
    [sym_assign] = STATE(2203),
    [sym_lambda] = STATE(2203),
    [sym_or] = STATE(2203),
    [sym_not] = STATE(2203),
    [sym_and] = STATE(2203),
    [sym_cmp] = STATE(2203),
    [sym_in] = STATE(2203),
    [sym_add] = STATE(2203),
    [sym_sub] = STATE(2203),
    [sym_mul] = STATE(2203),
    [sym_div] = STATE(2203),
    [sym_sign] = STATE(2203),
    [sym_call] = STATE(2203),
    [sym_field] = STATE(2203),
    [sym_label] = STATE(2203),
    [sym_content] = STATE(2203),
    [sym_group] = STATE(2203),
    [sym_block] = STATE(2203),
    [sym_branch] = STATE(2203),
    [sym_let] = STATE(2203),
    [sym_set] = STATE(2203),
    [sym_import] = STATE(2203),
    [sym_include] = STATE(2203),
    [sym_for] = STATE(2203),
    [sym_while] = STATE(2203),
    [sym_show] = STATE(2203),
    [sym_return] = STATE(2203),
    [sym_flow] = STATE(2203),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2405),
    [sym_none] = ACTIONS(2405),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [485] = {
    [sym_raw_blck] = STATE(1664),
    [sym_raw_span] = STATE(1664),
    [sym_math] = STATE(1664),
    [sym__expr] = STATE(1664),
    [sym_ident] = STATE(1664),
    [sym_bool] = STATE(1664),
    [sym_number] = STATE(1664),
    [sym_string] = STATE(1664),
    [sym_tagged] = STATE(1664),
    [sym_context] = STATE(1664),
    [sym_elude] = STATE(1664),
    [sym_assign] = STATE(1664),
    [sym_lambda] = STATE(1664),
    [sym_or] = STATE(1664),
    [sym_not] = STATE(1664),
    [sym_and] = STATE(1664),
    [sym_cmp] = STATE(1664),
    [sym_in] = STATE(1664),
    [sym_add] = STATE(1664),
    [sym_sub] = STATE(1664),
    [sym_mul] = STATE(1664),
    [sym_div] = STATE(1664),
    [sym_sign] = STATE(1664),
    [sym_call] = STATE(1664),
    [sym_field] = STATE(1664),
    [sym_label] = STATE(1664),
    [sym_content] = STATE(1664),
    [sym_group] = STATE(1664),
    [sym_block] = STATE(1664),
    [sym_branch] = STATE(1664),
    [sym_let] = STATE(1664),
    [sym_set] = STATE(1664),
    [sym_import] = STATE(1664),
    [sym_include] = STATE(1664),
    [sym_for] = STATE(1664),
    [sym_while] = STATE(1664),
    [sym_show] = STATE(1664),
    [sym_return] = STATE(1664),
    [sym_flow] = STATE(1664),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2407),
    [sym_none] = ACTIONS(2407),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [486] = {
    [sym_raw_blck] = STATE(1663),
    [sym_raw_span] = STATE(1663),
    [sym_math] = STATE(1663),
    [sym__expr] = STATE(1663),
    [sym_ident] = STATE(1663),
    [sym_bool] = STATE(1663),
    [sym_number] = STATE(1663),
    [sym_string] = STATE(1663),
    [sym_tagged] = STATE(1663),
    [sym_context] = STATE(1663),
    [sym_elude] = STATE(1663),
    [sym_assign] = STATE(1663),
    [sym_lambda] = STATE(1663),
    [sym_or] = STATE(1663),
    [sym_not] = STATE(1663),
    [sym_and] = STATE(1663),
    [sym_cmp] = STATE(1663),
    [sym_in] = STATE(1663),
    [sym_add] = STATE(1663),
    [sym_sub] = STATE(1663),
    [sym_mul] = STATE(1663),
    [sym_div] = STATE(1663),
    [sym_sign] = STATE(1663),
    [sym_call] = STATE(1663),
    [sym_field] = STATE(1663),
    [sym_label] = STATE(1663),
    [sym_content] = STATE(1663),
    [sym_group] = STATE(1663),
    [sym_block] = STATE(1663),
    [sym_branch] = STATE(1663),
    [sym_let] = STATE(1663),
    [sym_set] = STATE(1663),
    [sym_import] = STATE(1663),
    [sym_include] = STATE(1663),
    [sym_for] = STATE(1663),
    [sym_while] = STATE(1663),
    [sym_show] = STATE(1663),
    [sym_return] = STATE(1663),
    [sym_flow] = STATE(1663),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2409),
    [sym_none] = ACTIONS(2409),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [487] = {
    [sym_raw_blck] = STATE(2698),
    [sym_raw_span] = STATE(2698),
    [sym_math] = STATE(2698),
    [sym__expr] = STATE(2698),
    [sym_ident] = STATE(2698),
    [sym_bool] = STATE(2698),
    [sym_number] = STATE(2698),
    [sym_string] = STATE(2698),
    [sym_tagged] = STATE(2698),
    [sym_context] = STATE(2698),
    [sym_elude] = STATE(2698),
    [sym_assign] = STATE(2698),
    [sym_lambda] = STATE(2698),
    [sym_or] = STATE(2698),
    [sym_not] = STATE(2698),
    [sym_and] = STATE(2698),
    [sym_cmp] = STATE(2698),
    [sym_in] = STATE(2698),
    [sym_add] = STATE(2698),
    [sym_sub] = STATE(2698),
    [sym_mul] = STATE(2698),
    [sym_div] = STATE(2698),
    [sym_sign] = STATE(2698),
    [sym_call] = STATE(2698),
    [sym_field] = STATE(2698),
    [sym_label] = STATE(2698),
    [sym_content] = STATE(2698),
    [sym_group] = STATE(2698),
    [sym_block] = STATE(2698),
    [sym_branch] = STATE(2698),
    [sym_let] = STATE(2698),
    [sym_set] = STATE(2698),
    [sym_import] = STATE(2698),
    [sym_include] = STATE(2698),
    [sym_for] = STATE(2698),
    [sym_while] = STATE(2698),
    [sym_show] = STATE(2698),
    [sym_return] = STATE(2698),
    [sym_flow] = STATE(2698),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2411),
    [sym_none] = ACTIONS(2411),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [488] = {
    [sym_raw_blck] = STATE(2693),
    [sym_raw_span] = STATE(2693),
    [sym_math] = STATE(2693),
    [sym__expr] = STATE(2693),
    [sym_ident] = STATE(2693),
    [sym_bool] = STATE(2693),
    [sym_number] = STATE(2693),
    [sym_string] = STATE(2693),
    [sym_tagged] = STATE(2693),
    [sym_context] = STATE(2693),
    [sym_elude] = STATE(2693),
    [sym_assign] = STATE(2693),
    [sym_lambda] = STATE(2693),
    [sym_or] = STATE(2693),
    [sym_not] = STATE(2693),
    [sym_and] = STATE(2693),
    [sym_cmp] = STATE(2693),
    [sym_in] = STATE(2693),
    [sym_add] = STATE(2693),
    [sym_sub] = STATE(2693),
    [sym_mul] = STATE(2693),
    [sym_div] = STATE(2693),
    [sym_sign] = STATE(2693),
    [sym_call] = STATE(2693),
    [sym_field] = STATE(2693),
    [sym_label] = STATE(2693),
    [sym_content] = STATE(2693),
    [sym_group] = STATE(2693),
    [sym_block] = STATE(2693),
    [sym_branch] = STATE(2693),
    [sym_let] = STATE(2693),
    [sym_set] = STATE(2693),
    [sym_import] = STATE(2693),
    [sym_include] = STATE(2693),
    [sym_for] = STATE(2693),
    [sym_while] = STATE(2693),
    [sym_show] = STATE(2693),
    [sym_return] = STATE(2693),
    [sym_flow] = STATE(2693),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2413),
    [sym_none] = ACTIONS(2413),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [489] = {
    [sym_raw_blck] = STATE(2202),
    [sym_raw_span] = STATE(2202),
    [sym_math] = STATE(2202),
    [sym__expr] = STATE(2202),
    [sym_ident] = STATE(2202),
    [sym_bool] = STATE(2202),
    [sym_number] = STATE(2202),
    [sym_string] = STATE(2202),
    [sym_tagged] = STATE(2202),
    [sym_context] = STATE(2202),
    [sym_elude] = STATE(2202),
    [sym_assign] = STATE(2202),
    [sym_lambda] = STATE(2202),
    [sym_or] = STATE(2202),
    [sym_not] = STATE(2202),
    [sym_and] = STATE(2202),
    [sym_cmp] = STATE(2202),
    [sym_in] = STATE(2202),
    [sym_add] = STATE(2202),
    [sym_sub] = STATE(2202),
    [sym_mul] = STATE(2202),
    [sym_div] = STATE(2202),
    [sym_sign] = STATE(2202),
    [sym_call] = STATE(2202),
    [sym_field] = STATE(2202),
    [sym_label] = STATE(2202),
    [sym_content] = STATE(2202),
    [sym_group] = STATE(2202),
    [sym_block] = STATE(2202),
    [sym_branch] = STATE(2202),
    [sym_let] = STATE(2202),
    [sym_set] = STATE(2202),
    [sym_import] = STATE(2202),
    [sym_include] = STATE(2202),
    [sym_for] = STATE(2202),
    [sym_while] = STATE(2202),
    [sym_show] = STATE(2202),
    [sym_return] = STATE(2202),
    [sym_flow] = STATE(2202),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2415),
    [sym_none] = ACTIONS(2415),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [490] = {
    [sym_raw_blck] = STATE(2201),
    [sym_raw_span] = STATE(2201),
    [sym_math] = STATE(2201),
    [sym__expr] = STATE(2201),
    [sym_ident] = STATE(2201),
    [sym_bool] = STATE(2201),
    [sym_number] = STATE(2201),
    [sym_string] = STATE(2201),
    [sym_tagged] = STATE(2201),
    [sym_context] = STATE(2201),
    [sym_elude] = STATE(2201),
    [sym_assign] = STATE(2201),
    [sym_lambda] = STATE(2201),
    [sym_or] = STATE(2201),
    [sym_not] = STATE(2201),
    [sym_and] = STATE(2201),
    [sym_cmp] = STATE(2201),
    [sym_in] = STATE(2201),
    [sym_add] = STATE(2201),
    [sym_sub] = STATE(2201),
    [sym_mul] = STATE(2201),
    [sym_div] = STATE(2201),
    [sym_sign] = STATE(2201),
    [sym_call] = STATE(2201),
    [sym_field] = STATE(2201),
    [sym_label] = STATE(2201),
    [sym_content] = STATE(2201),
    [sym_group] = STATE(2201),
    [sym_block] = STATE(2201),
    [sym_branch] = STATE(2201),
    [sym_let] = STATE(2201),
    [sym_set] = STATE(2201),
    [sym_import] = STATE(2201),
    [sym_include] = STATE(2201),
    [sym_for] = STATE(2201),
    [sym_while] = STATE(2201),
    [sym_show] = STATE(2201),
    [sym_return] = STATE(2201),
    [sym_flow] = STATE(2201),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2417),
    [sym_none] = ACTIONS(2417),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [491] = {
    [sym_raw_blck] = STATE(2200),
    [sym_raw_span] = STATE(2200),
    [sym_math] = STATE(2200),
    [sym__expr] = STATE(2200),
    [sym_ident] = STATE(2200),
    [sym_bool] = STATE(2200),
    [sym_number] = STATE(2200),
    [sym_string] = STATE(2200),
    [sym_tagged] = STATE(2200),
    [sym_context] = STATE(2200),
    [sym_elude] = STATE(2200),
    [sym_assign] = STATE(2200),
    [sym_lambda] = STATE(2200),
    [sym_or] = STATE(2200),
    [sym_not] = STATE(2200),
    [sym_and] = STATE(2200),
    [sym_cmp] = STATE(2200),
    [sym_in] = STATE(2200),
    [sym_add] = STATE(2200),
    [sym_sub] = STATE(2200),
    [sym_mul] = STATE(2200),
    [sym_div] = STATE(2200),
    [sym_sign] = STATE(2200),
    [sym_call] = STATE(2200),
    [sym_field] = STATE(2200),
    [sym_label] = STATE(2200),
    [sym_content] = STATE(2200),
    [sym_group] = STATE(2200),
    [sym_block] = STATE(2200),
    [sym_branch] = STATE(2200),
    [sym_let] = STATE(2200),
    [sym_set] = STATE(2200),
    [sym_import] = STATE(2200),
    [sym_include] = STATE(2200),
    [sym_for] = STATE(2200),
    [sym_while] = STATE(2200),
    [sym_show] = STATE(2200),
    [sym_return] = STATE(2200),
    [sym_flow] = STATE(2200),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2419),
    [sym_none] = ACTIONS(2419),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [492] = {
    [sym_raw_blck] = STATE(2519),
    [sym_raw_span] = STATE(2519),
    [sym_math] = STATE(2519),
    [sym__expr] = STATE(2519),
    [sym_ident] = STATE(2519),
    [sym_bool] = STATE(2519),
    [sym_number] = STATE(2519),
    [sym_string] = STATE(2519),
    [sym_tagged] = STATE(2519),
    [sym_context] = STATE(2519),
    [sym_elude] = STATE(2519),
    [sym_assign] = STATE(2519),
    [sym_lambda] = STATE(2519),
    [sym_or] = STATE(2519),
    [sym_not] = STATE(2519),
    [sym_and] = STATE(2519),
    [sym_cmp] = STATE(2519),
    [sym_in] = STATE(2519),
    [sym_add] = STATE(2519),
    [sym_sub] = STATE(2519),
    [sym_mul] = STATE(2519),
    [sym_div] = STATE(2519),
    [sym_sign] = STATE(2519),
    [sym_call] = STATE(2519),
    [sym_field] = STATE(2519),
    [sym_label] = STATE(2519),
    [sym_content] = STATE(2519),
    [sym_group] = STATE(2519),
    [sym_block] = STATE(2519),
    [sym_branch] = STATE(2519),
    [sym_let] = STATE(2519),
    [sym_set] = STATE(2519),
    [sym_import] = STATE(2519),
    [sym_include] = STATE(2519),
    [sym_for] = STATE(2519),
    [sym_while] = STATE(2519),
    [sym_show] = STATE(2519),
    [sym_return] = STATE(2519),
    [sym_flow] = STATE(2519),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2421),
    [sym_none] = ACTIONS(2421),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [493] = {
    [sym_raw_blck] = STATE(1625),
    [sym_raw_span] = STATE(1625),
    [sym_math] = STATE(1625),
    [sym__expr] = STATE(1625),
    [sym_ident] = STATE(1625),
    [sym_bool] = STATE(1625),
    [sym_number] = STATE(1625),
    [sym_string] = STATE(1625),
    [sym_tagged] = STATE(1625),
    [sym_context] = STATE(1625),
    [sym_elude] = STATE(1625),
    [sym_assign] = STATE(1625),
    [sym_lambda] = STATE(1625),
    [sym_or] = STATE(1625),
    [sym_not] = STATE(1625),
    [sym_and] = STATE(1625),
    [sym_cmp] = STATE(1625),
    [sym_in] = STATE(1625),
    [sym_add] = STATE(1625),
    [sym_sub] = STATE(1625),
    [sym_mul] = STATE(1625),
    [sym_div] = STATE(1625),
    [sym_sign] = STATE(1625),
    [sym_call] = STATE(1625),
    [sym_field] = STATE(1625),
    [sym_label] = STATE(1625),
    [sym_content] = STATE(1625),
    [sym_group] = STATE(1625),
    [sym_block] = STATE(1625),
    [sym_branch] = STATE(1625),
    [sym_let] = STATE(1625),
    [sym_set] = STATE(1625),
    [sym_import] = STATE(1625),
    [sym_include] = STATE(1625),
    [sym_for] = STATE(1625),
    [sym_while] = STATE(1625),
    [sym_show] = STATE(1625),
    [sym_return] = STATE(1625),
    [sym_flow] = STATE(1625),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2423),
    [sym_none] = ACTIONS(2423),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [494] = {
    [sym_raw_blck] = STATE(2199),
    [sym_raw_span] = STATE(2199),
    [sym_math] = STATE(2199),
    [sym__expr] = STATE(2199),
    [sym_ident] = STATE(2199),
    [sym_bool] = STATE(2199),
    [sym_number] = STATE(2199),
    [sym_string] = STATE(2199),
    [sym_tagged] = STATE(2199),
    [sym_context] = STATE(2199),
    [sym_elude] = STATE(2199),
    [sym_assign] = STATE(2199),
    [sym_lambda] = STATE(2199),
    [sym_or] = STATE(2199),
    [sym_not] = STATE(2199),
    [sym_and] = STATE(2199),
    [sym_cmp] = STATE(2199),
    [sym_in] = STATE(2199),
    [sym_add] = STATE(2199),
    [sym_sub] = STATE(2199),
    [sym_mul] = STATE(2199),
    [sym_div] = STATE(2199),
    [sym_sign] = STATE(2199),
    [sym_call] = STATE(2199),
    [sym_field] = STATE(2199),
    [sym_label] = STATE(2199),
    [sym_content] = STATE(2199),
    [sym_group] = STATE(2199),
    [sym_block] = STATE(2199),
    [sym_branch] = STATE(2199),
    [sym_let] = STATE(2199),
    [sym_set] = STATE(2199),
    [sym_import] = STATE(2199),
    [sym_include] = STATE(2199),
    [sym_for] = STATE(2199),
    [sym_while] = STATE(2199),
    [sym_show] = STATE(2199),
    [sym_return] = STATE(2199),
    [sym_flow] = STATE(2199),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2425),
    [sym_none] = ACTIONS(2425),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [495] = {
    [sym_raw_blck] = STATE(2574),
    [sym_raw_span] = STATE(2574),
    [sym_math] = STATE(2574),
    [sym__expr] = STATE(2574),
    [sym_ident] = STATE(2574),
    [sym_bool] = STATE(2574),
    [sym_number] = STATE(2574),
    [sym_string] = STATE(2574),
    [sym_tagged] = STATE(2574),
    [sym_context] = STATE(2574),
    [sym_elude] = STATE(2574),
    [sym_assign] = STATE(2574),
    [sym_lambda] = STATE(2574),
    [sym_or] = STATE(2574),
    [sym_not] = STATE(2574),
    [sym_and] = STATE(2574),
    [sym_cmp] = STATE(2574),
    [sym_in] = STATE(2574),
    [sym_add] = STATE(2574),
    [sym_sub] = STATE(2574),
    [sym_mul] = STATE(2574),
    [sym_div] = STATE(2574),
    [sym_sign] = STATE(2574),
    [sym_call] = STATE(2574),
    [sym_field] = STATE(2574),
    [sym_label] = STATE(2574),
    [sym_content] = STATE(2574),
    [sym_group] = STATE(2574),
    [sym_block] = STATE(2574),
    [sym_branch] = STATE(2574),
    [sym_let] = STATE(2574),
    [sym_set] = STATE(2574),
    [sym_import] = STATE(2574),
    [sym_include] = STATE(2574),
    [sym_for] = STATE(2574),
    [sym_while] = STATE(2574),
    [sym_show] = STATE(2574),
    [sym_return] = STATE(2574),
    [sym_flow] = STATE(2574),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2427),
    [sym_none] = ACTIONS(2427),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [496] = {
    [sym_raw_blck] = STATE(2198),
    [sym_raw_span] = STATE(2198),
    [sym_math] = STATE(2198),
    [sym__expr] = STATE(2198),
    [sym_ident] = STATE(2198),
    [sym_bool] = STATE(2198),
    [sym_number] = STATE(2198),
    [sym_string] = STATE(2198),
    [sym_tagged] = STATE(2198),
    [sym_context] = STATE(2198),
    [sym_elude] = STATE(2198),
    [sym_assign] = STATE(2198),
    [sym_lambda] = STATE(2198),
    [sym_or] = STATE(2198),
    [sym_not] = STATE(2198),
    [sym_and] = STATE(2198),
    [sym_cmp] = STATE(2198),
    [sym_in] = STATE(2198),
    [sym_add] = STATE(2198),
    [sym_sub] = STATE(2198),
    [sym_mul] = STATE(2198),
    [sym_div] = STATE(2198),
    [sym_sign] = STATE(2198),
    [sym_call] = STATE(2198),
    [sym_field] = STATE(2198),
    [sym_label] = STATE(2198),
    [sym_content] = STATE(2198),
    [sym_group] = STATE(2198),
    [sym_block] = STATE(2198),
    [sym_branch] = STATE(2198),
    [sym_let] = STATE(2198),
    [sym_set] = STATE(2198),
    [sym_import] = STATE(2198),
    [sym_include] = STATE(2198),
    [sym_for] = STATE(2198),
    [sym_while] = STATE(2198),
    [sym_show] = STATE(2198),
    [sym_return] = STATE(2198),
    [sym_flow] = STATE(2198),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2429),
    [sym_none] = ACTIONS(2429),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [497] = {
    [sym_raw_blck] = STATE(1660),
    [sym_raw_span] = STATE(1660),
    [sym_math] = STATE(1660),
    [sym__expr] = STATE(1660),
    [sym_ident] = STATE(1660),
    [sym_bool] = STATE(1660),
    [sym_number] = STATE(1660),
    [sym_string] = STATE(1660),
    [sym_tagged] = STATE(1660),
    [sym_context] = STATE(1660),
    [sym_elude] = STATE(1660),
    [sym_assign] = STATE(1660),
    [sym_lambda] = STATE(1660),
    [sym_or] = STATE(1660),
    [sym_not] = STATE(1660),
    [sym_and] = STATE(1660),
    [sym_cmp] = STATE(1660),
    [sym_in] = STATE(1660),
    [sym_add] = STATE(1660),
    [sym_sub] = STATE(1660),
    [sym_mul] = STATE(1660),
    [sym_div] = STATE(1660),
    [sym_sign] = STATE(1660),
    [sym_call] = STATE(1660),
    [sym_field] = STATE(1660),
    [sym_label] = STATE(1660),
    [sym_content] = STATE(1660),
    [sym_group] = STATE(1660),
    [sym_block] = STATE(1660),
    [sym_branch] = STATE(1660),
    [sym_let] = STATE(1660),
    [sym_set] = STATE(1660),
    [sym_import] = STATE(1660),
    [sym_include] = STATE(1660),
    [sym_for] = STATE(1660),
    [sym_while] = STATE(1660),
    [sym_show] = STATE(1660),
    [sym_return] = STATE(1660),
    [sym_flow] = STATE(1660),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2435),
    [sym_none] = ACTIONS(2435),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [498] = {
    [sym_raw_blck] = STATE(2197),
    [sym_raw_span] = STATE(2197),
    [sym_math] = STATE(2197),
    [sym__expr] = STATE(2197),
    [sym_ident] = STATE(2197),
    [sym_bool] = STATE(2197),
    [sym_number] = STATE(2197),
    [sym_string] = STATE(2197),
    [sym_tagged] = STATE(2197),
    [sym_context] = STATE(2197),
    [sym_elude] = STATE(2197),
    [sym_assign] = STATE(2197),
    [sym_lambda] = STATE(2197),
    [sym_or] = STATE(2197),
    [sym_not] = STATE(2197),
    [sym_and] = STATE(2197),
    [sym_cmp] = STATE(2197),
    [sym_in] = STATE(2197),
    [sym_add] = STATE(2197),
    [sym_sub] = STATE(2197),
    [sym_mul] = STATE(2197),
    [sym_div] = STATE(2197),
    [sym_sign] = STATE(2197),
    [sym_call] = STATE(2197),
    [sym_field] = STATE(2197),
    [sym_label] = STATE(2197),
    [sym_content] = STATE(2197),
    [sym_group] = STATE(2197),
    [sym_block] = STATE(2197),
    [sym_branch] = STATE(2197),
    [sym_let] = STATE(2197),
    [sym_set] = STATE(2197),
    [sym_import] = STATE(2197),
    [sym_include] = STATE(2197),
    [sym_for] = STATE(2197),
    [sym_while] = STATE(2197),
    [sym_show] = STATE(2197),
    [sym_return] = STATE(2197),
    [sym_flow] = STATE(2197),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2437),
    [sym_none] = ACTIONS(2437),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [499] = {
    [sym_raw_blck] = STATE(2829),
    [sym_raw_span] = STATE(2829),
    [sym_math] = STATE(2829),
    [sym__expr] = STATE(2829),
    [sym_ident] = STATE(2829),
    [sym_bool] = STATE(2829),
    [sym_number] = STATE(2829),
    [sym_string] = STATE(2829),
    [sym_tagged] = STATE(2829),
    [sym_context] = STATE(2829),
    [sym_elude] = STATE(2829),
    [sym_assign] = STATE(2829),
    [sym_lambda] = STATE(2829),
    [sym_or] = STATE(2829),
    [sym_not] = STATE(2829),
    [sym_and] = STATE(2829),
    [sym_cmp] = STATE(2829),
    [sym_in] = STATE(2829),
    [sym_add] = STATE(2829),
    [sym_sub] = STATE(2829),
    [sym_mul] = STATE(2829),
    [sym_div] = STATE(2829),
    [sym_sign] = STATE(2829),
    [sym_call] = STATE(2829),
    [sym_field] = STATE(2829),
    [sym_label] = STATE(2829),
    [sym_content] = STATE(2829),
    [sym_group] = STATE(2829),
    [sym_block] = STATE(2829),
    [sym_branch] = STATE(2829),
    [sym_let] = STATE(2829),
    [sym_set] = STATE(2829),
    [sym_import] = STATE(2829),
    [sym_include] = STATE(2829),
    [sym_for] = STATE(2829),
    [sym_while] = STATE(2829),
    [sym_show] = STATE(2829),
    [sym_return] = STATE(2829),
    [sym_flow] = STATE(2829),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2439),
    [sym_none] = ACTIONS(2439),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [500] = {
    [sym_raw_blck] = STATE(2833),
    [sym_raw_span] = STATE(2833),
    [sym_math] = STATE(2833),
    [sym__expr] = STATE(2833),
    [sym_ident] = STATE(2833),
    [sym_bool] = STATE(2833),
    [sym_number] = STATE(2833),
    [sym_string] = STATE(2833),
    [sym_tagged] = STATE(2833),
    [sym_context] = STATE(2833),
    [sym_elude] = STATE(2833),
    [sym_assign] = STATE(2833),
    [sym_lambda] = STATE(2833),
    [sym_or] = STATE(2833),
    [sym_not] = STATE(2833),
    [sym_and] = STATE(2833),
    [sym_cmp] = STATE(2833),
    [sym_in] = STATE(2833),
    [sym_add] = STATE(2833),
    [sym_sub] = STATE(2833),
    [sym_mul] = STATE(2833),
    [sym_div] = STATE(2833),
    [sym_sign] = STATE(2833),
    [sym_call] = STATE(2833),
    [sym_field] = STATE(2833),
    [sym_label] = STATE(2833),
    [sym_content] = STATE(2833),
    [sym_group] = STATE(2833),
    [sym_block] = STATE(2833),
    [sym_branch] = STATE(2833),
    [sym_let] = STATE(2833),
    [sym_set] = STATE(2833),
    [sym_import] = STATE(2833),
    [sym_include] = STATE(2833),
    [sym_for] = STATE(2833),
    [sym_while] = STATE(2833),
    [sym_show] = STATE(2833),
    [sym_return] = STATE(2833),
    [sym_flow] = STATE(2833),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2441),
    [sym_none] = ACTIONS(2441),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [501] = {
    [sym_raw_blck] = STATE(3009),
    [sym_raw_span] = STATE(3009),
    [sym_math] = STATE(3009),
    [sym__expr] = STATE(3009),
    [sym_ident] = STATE(3009),
    [sym_bool] = STATE(3009),
    [sym_number] = STATE(3009),
    [sym_string] = STATE(3009),
    [sym_tagged] = STATE(3009),
    [sym_context] = STATE(3009),
    [sym_elude] = STATE(3009),
    [sym_assign] = STATE(3009),
    [sym_lambda] = STATE(3009),
    [sym_or] = STATE(3009),
    [sym_not] = STATE(3009),
    [sym_and] = STATE(3009),
    [sym_cmp] = STATE(3009),
    [sym_in] = STATE(3009),
    [sym_add] = STATE(3009),
    [sym_sub] = STATE(3009),
    [sym_mul] = STATE(3009),
    [sym_div] = STATE(3009),
    [sym_sign] = STATE(3009),
    [sym_call] = STATE(2213),
    [sym_field] = STATE(3009),
    [sym_label] = STATE(3009),
    [sym_content] = STATE(3009),
    [sym_group] = STATE(3009),
    [sym_block] = STATE(3009),
    [sym_branch] = STATE(3009),
    [sym_let] = STATE(3009),
    [sym_set] = STATE(3009),
    [sym_import] = STATE(3009),
    [sym_include] = STATE(3009),
    [sym_for] = STATE(3009),
    [sym_while] = STATE(3009),
    [sym_show] = STATE(3009),
    [sym_return] = STATE(3009),
    [sym_flow] = STATE(3009),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2443),
    [sym_none] = ACTIONS(2443),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [502] = {
    [sym_raw_blck] = STATE(2812),
    [sym_raw_span] = STATE(2812),
    [sym_math] = STATE(2812),
    [sym__expr] = STATE(2812),
    [sym_ident] = STATE(2812),
    [sym_bool] = STATE(2812),
    [sym_number] = STATE(2812),
    [sym_string] = STATE(2812),
    [sym_tagged] = STATE(2812),
    [sym_context] = STATE(2812),
    [sym_elude] = STATE(2812),
    [sym_assign] = STATE(2812),
    [sym_lambda] = STATE(2812),
    [sym_or] = STATE(2812),
    [sym_not] = STATE(2812),
    [sym_and] = STATE(2812),
    [sym_cmp] = STATE(2812),
    [sym_in] = STATE(2812),
    [sym_add] = STATE(2812),
    [sym_sub] = STATE(2812),
    [sym_mul] = STATE(2812),
    [sym_div] = STATE(2812),
    [sym_sign] = STATE(2812),
    [sym_call] = STATE(2812),
    [sym_field] = STATE(2812),
    [sym_label] = STATE(2812),
    [sym_content] = STATE(2812),
    [sym_group] = STATE(2812),
    [sym_block] = STATE(2812),
    [sym_branch] = STATE(2812),
    [sym_let] = STATE(2812),
    [sym_set] = STATE(2812),
    [sym_import] = STATE(2812),
    [sym_include] = STATE(2812),
    [sym_for] = STATE(2812),
    [sym_while] = STATE(2812),
    [sym_show] = STATE(2812),
    [sym_return] = STATE(2812),
    [sym_flow] = STATE(2812),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2445),
    [sym_none] = ACTIONS(2445),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [503] = {
    [sym_raw_blck] = STATE(2811),
    [sym_raw_span] = STATE(2811),
    [sym_math] = STATE(2811),
    [sym__expr] = STATE(2811),
    [sym_ident] = STATE(2811),
    [sym_bool] = STATE(2811),
    [sym_number] = STATE(2811),
    [sym_string] = STATE(2811),
    [sym_tagged] = STATE(2811),
    [sym_context] = STATE(2811),
    [sym_elude] = STATE(2811),
    [sym_assign] = STATE(2811),
    [sym_lambda] = STATE(2811),
    [sym_or] = STATE(2811),
    [sym_not] = STATE(2811),
    [sym_and] = STATE(2811),
    [sym_cmp] = STATE(2811),
    [sym_in] = STATE(2811),
    [sym_add] = STATE(2811),
    [sym_sub] = STATE(2811),
    [sym_mul] = STATE(2811),
    [sym_div] = STATE(2811),
    [sym_sign] = STATE(2811),
    [sym_call] = STATE(2811),
    [sym_field] = STATE(2811),
    [sym_label] = STATE(2811),
    [sym_content] = STATE(2811),
    [sym_group] = STATE(2811),
    [sym_block] = STATE(2811),
    [sym_branch] = STATE(2811),
    [sym_let] = STATE(2811),
    [sym_set] = STATE(2811),
    [sym_import] = STATE(2811),
    [sym_include] = STATE(2811),
    [sym_for] = STATE(2811),
    [sym_while] = STATE(2811),
    [sym_show] = STATE(2811),
    [sym_return] = STATE(2811),
    [sym_flow] = STATE(2811),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2447),
    [sym_none] = ACTIONS(2447),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [504] = {
    [sym_raw_blck] = STATE(2741),
    [sym_raw_span] = STATE(2741),
    [sym_math] = STATE(2741),
    [sym__expr] = STATE(2741),
    [sym_ident] = STATE(2741),
    [sym_bool] = STATE(2741),
    [sym_number] = STATE(2741),
    [sym_string] = STATE(2741),
    [sym_tagged] = STATE(2741),
    [sym_context] = STATE(2741),
    [sym_elude] = STATE(2741),
    [sym_assign] = STATE(2741),
    [sym_lambda] = STATE(2741),
    [sym_or] = STATE(2741),
    [sym_not] = STATE(2741),
    [sym_and] = STATE(2741),
    [sym_cmp] = STATE(2741),
    [sym_in] = STATE(2741),
    [sym_add] = STATE(2741),
    [sym_sub] = STATE(2741),
    [sym_mul] = STATE(2741),
    [sym_div] = STATE(2741),
    [sym_sign] = STATE(2741),
    [sym_call] = STATE(2741),
    [sym_field] = STATE(2741),
    [sym_label] = STATE(2741),
    [sym_content] = STATE(2741),
    [sym_group] = STATE(2741),
    [sym_block] = STATE(2741),
    [sym_branch] = STATE(2741),
    [sym_let] = STATE(2741),
    [sym_set] = STATE(2741),
    [sym_import] = STATE(2741),
    [sym_include] = STATE(2741),
    [sym_for] = STATE(2741),
    [sym_while] = STATE(2741),
    [sym_show] = STATE(2741),
    [sym_return] = STATE(2741),
    [sym_flow] = STATE(2741),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2449),
    [sym_none] = ACTIONS(2449),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [505] = {
    [sym_raw_blck] = STATE(1602),
    [sym_raw_span] = STATE(1602),
    [sym_math] = STATE(1602),
    [sym__expr] = STATE(1602),
    [sym_ident] = STATE(1602),
    [sym_bool] = STATE(1602),
    [sym_number] = STATE(1602),
    [sym_string] = STATE(1602),
    [sym_tagged] = STATE(1602),
    [sym_context] = STATE(1602),
    [sym_elude] = STATE(1602),
    [sym_assign] = STATE(1602),
    [sym_lambda] = STATE(1602),
    [sym_or] = STATE(1602),
    [sym_not] = STATE(1602),
    [sym_and] = STATE(1602),
    [sym_cmp] = STATE(1602),
    [sym_in] = STATE(1602),
    [sym_add] = STATE(1602),
    [sym_sub] = STATE(1602),
    [sym_mul] = STATE(1602),
    [sym_div] = STATE(1602),
    [sym_sign] = STATE(1602),
    [sym_call] = STATE(1602),
    [sym_field] = STATE(1602),
    [sym_label] = STATE(1602),
    [sym_content] = STATE(1602),
    [sym_group] = STATE(1602),
    [sym_block] = STATE(1602),
    [sym_branch] = STATE(1602),
    [sym_let] = STATE(1602),
    [sym_set] = STATE(1602),
    [sym_import] = STATE(1602),
    [sym_include] = STATE(1602),
    [sym_for] = STATE(1602),
    [sym_while] = STATE(1602),
    [sym_show] = STATE(1602),
    [sym_return] = STATE(1602),
    [sym_flow] = STATE(1602),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2451),
    [sym_none] = ACTIONS(2451),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [506] = {
    [sym_raw_blck] = STATE(2926),
    [sym_raw_span] = STATE(2926),
    [sym_math] = STATE(2926),
    [sym__expr] = STATE(2926),
    [sym_ident] = STATE(2926),
    [sym_bool] = STATE(2926),
    [sym_number] = STATE(2926),
    [sym_string] = STATE(2926),
    [sym_tagged] = STATE(2926),
    [sym_context] = STATE(2926),
    [sym_elude] = STATE(2926),
    [sym_assign] = STATE(2926),
    [sym_lambda] = STATE(2926),
    [sym_or] = STATE(2926),
    [sym_not] = STATE(2926),
    [sym_and] = STATE(2926),
    [sym_cmp] = STATE(2926),
    [sym_in] = STATE(2926),
    [sym_add] = STATE(2926),
    [sym_sub] = STATE(2926),
    [sym_mul] = STATE(2926),
    [sym_div] = STATE(2926),
    [sym_sign] = STATE(2926),
    [sym_call] = STATE(2926),
    [sym_field] = STATE(2926),
    [sym_label] = STATE(2926),
    [sym_content] = STATE(2926),
    [sym_group] = STATE(2926),
    [sym_block] = STATE(2926),
    [sym_branch] = STATE(2926),
    [sym_let] = STATE(2926),
    [sym_set] = STATE(2926),
    [sym_import] = STATE(2926),
    [sym_include] = STATE(2926),
    [sym_for] = STATE(2926),
    [sym_while] = STATE(2926),
    [sym_show] = STATE(2926),
    [sym_return] = STATE(2926),
    [sym_flow] = STATE(2926),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(1065),
    [anon_sym_DOT_DOT] = ACTIONS(1067),
    [anon_sym_not] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1773),
    [anon_sym_DASH] = ACTIONS(1773),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(1073),
    [anon_sym_set] = ACTIONS(1075),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_include] = ACTIONS(1079),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1083),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2453),
    [sym_none] = ACTIONS(2453),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [507] = {
    [sym_raw_blck] = STATE(2196),
    [sym_raw_span] = STATE(2196),
    [sym_math] = STATE(2196),
    [sym__expr] = STATE(2196),
    [sym_ident] = STATE(2196),
    [sym_bool] = STATE(2196),
    [sym_number] = STATE(2196),
    [sym_string] = STATE(2196),
    [sym_tagged] = STATE(2196),
    [sym_context] = STATE(2196),
    [sym_elude] = STATE(2196),
    [sym_assign] = STATE(2196),
    [sym_lambda] = STATE(2196),
    [sym_or] = STATE(2196),
    [sym_not] = STATE(2196),
    [sym_and] = STATE(2196),
    [sym_cmp] = STATE(2196),
    [sym_in] = STATE(2196),
    [sym_add] = STATE(2196),
    [sym_sub] = STATE(2196),
    [sym_mul] = STATE(2196),
    [sym_div] = STATE(2196),
    [sym_sign] = STATE(2196),
    [sym_call] = STATE(2196),
    [sym_field] = STATE(2196),
    [sym_label] = STATE(2196),
    [sym_content] = STATE(2196),
    [sym_group] = STATE(2196),
    [sym_block] = STATE(2196),
    [sym_branch] = STATE(2196),
    [sym_let] = STATE(2196),
    [sym_set] = STATE(2196),
    [sym_import] = STATE(2196),
    [sym_include] = STATE(2196),
    [sym_for] = STATE(2196),
    [sym_while] = STATE(2196),
    [sym_show] = STATE(2196),
    [sym_return] = STATE(2196),
    [sym_flow] = STATE(2196),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2455),
    [sym_none] = ACTIONS(2455),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [508] = {
    [sym_raw_blck] = STATE(2195),
    [sym_raw_span] = STATE(2195),
    [sym_math] = STATE(2195),
    [sym__expr] = STATE(2195),
    [sym_ident] = STATE(2195),
    [sym_bool] = STATE(2195),
    [sym_number] = STATE(2195),
    [sym_string] = STATE(2195),
    [sym_tagged] = STATE(2195),
    [sym_context] = STATE(2195),
    [sym_elude] = STATE(2195),
    [sym_assign] = STATE(2195),
    [sym_lambda] = STATE(2195),
    [sym_or] = STATE(2195),
    [sym_not] = STATE(2195),
    [sym_and] = STATE(2195),
    [sym_cmp] = STATE(2195),
    [sym_in] = STATE(2195),
    [sym_add] = STATE(2195),
    [sym_sub] = STATE(2195),
    [sym_mul] = STATE(2195),
    [sym_div] = STATE(2195),
    [sym_sign] = STATE(2195),
    [sym_call] = STATE(2195),
    [sym_field] = STATE(2195),
    [sym_label] = STATE(2195),
    [sym_content] = STATE(2195),
    [sym_group] = STATE(2195),
    [sym_block] = STATE(2195),
    [sym_branch] = STATE(2195),
    [sym_let] = STATE(2195),
    [sym_set] = STATE(2195),
    [sym_import] = STATE(2195),
    [sym_include] = STATE(2195),
    [sym_for] = STATE(2195),
    [sym_while] = STATE(2195),
    [sym_show] = STATE(2195),
    [sym_return] = STATE(2195),
    [sym_flow] = STATE(2195),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2457),
    [sym_none] = ACTIONS(2457),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [509] = {
    [sym_raw_blck] = STATE(2194),
    [sym_raw_span] = STATE(2194),
    [sym_math] = STATE(2194),
    [sym__expr] = STATE(2194),
    [sym_ident] = STATE(2194),
    [sym_bool] = STATE(2194),
    [sym_number] = STATE(2194),
    [sym_string] = STATE(2194),
    [sym_tagged] = STATE(2194),
    [sym_context] = STATE(2194),
    [sym_elude] = STATE(2194),
    [sym_assign] = STATE(2194),
    [sym_lambda] = STATE(2194),
    [sym_or] = STATE(2194),
    [sym_not] = STATE(2194),
    [sym_and] = STATE(2194),
    [sym_cmp] = STATE(2194),
    [sym_in] = STATE(2194),
    [sym_add] = STATE(2194),
    [sym_sub] = STATE(2194),
    [sym_mul] = STATE(2194),
    [sym_div] = STATE(2194),
    [sym_sign] = STATE(2194),
    [sym_call] = STATE(2194),
    [sym_field] = STATE(2194),
    [sym_label] = STATE(2194),
    [sym_content] = STATE(2194),
    [sym_group] = STATE(2194),
    [sym_block] = STATE(2194),
    [sym_branch] = STATE(2194),
    [sym_let] = STATE(2194),
    [sym_set] = STATE(2194),
    [sym_import] = STATE(2194),
    [sym_include] = STATE(2194),
    [sym_for] = STATE(2194),
    [sym_while] = STATE(2194),
    [sym_show] = STATE(2194),
    [sym_return] = STATE(2194),
    [sym_flow] = STATE(2194),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2459),
    [sym_none] = ACTIONS(2459),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [510] = {
    [sym_raw_blck] = STATE(2644),
    [sym_raw_span] = STATE(2644),
    [sym_math] = STATE(2644),
    [sym__expr] = STATE(2644),
    [sym_ident] = STATE(2644),
    [sym_bool] = STATE(2644),
    [sym_number] = STATE(2644),
    [sym_string] = STATE(2644),
    [sym_tagged] = STATE(2644),
    [sym_context] = STATE(2644),
    [sym_elude] = STATE(2644),
    [sym_assign] = STATE(2644),
    [sym_lambda] = STATE(2644),
    [sym_or] = STATE(2644),
    [sym_not] = STATE(2644),
    [sym_and] = STATE(2644),
    [sym_cmp] = STATE(2644),
    [sym_in] = STATE(2644),
    [sym_add] = STATE(2644),
    [sym_sub] = STATE(2644),
    [sym_mul] = STATE(2644),
    [sym_div] = STATE(2644),
    [sym_sign] = STATE(2644),
    [sym_call] = STATE(2644),
    [sym_field] = STATE(2644),
    [sym_label] = STATE(2644),
    [sym_content] = STATE(2644),
    [sym_group] = STATE(2644),
    [sym_block] = STATE(2644),
    [sym_branch] = STATE(2644),
    [sym_let] = STATE(2644),
    [sym_set] = STATE(2644),
    [sym_import] = STATE(2644),
    [sym_include] = STATE(2644),
    [sym_for] = STATE(2644),
    [sym_while] = STATE(2644),
    [sym_show] = STATE(2644),
    [sym_return] = STATE(2644),
    [sym_flow] = STATE(2644),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2461),
    [sym_none] = ACTIONS(2461),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [511] = {
    [sym_raw_blck] = STATE(3026),
    [sym_raw_span] = STATE(3026),
    [sym_math] = STATE(3026),
    [sym__expr] = STATE(3026),
    [sym_ident] = STATE(3026),
    [sym_bool] = STATE(3026),
    [sym_number] = STATE(3026),
    [sym_string] = STATE(3026),
    [sym_tagged] = STATE(3026),
    [sym_context] = STATE(3026),
    [sym_elude] = STATE(3026),
    [sym_assign] = STATE(3026),
    [sym_lambda] = STATE(3026),
    [sym_or] = STATE(3026),
    [sym_not] = STATE(3026),
    [sym_and] = STATE(3026),
    [sym_cmp] = STATE(3026),
    [sym_in] = STATE(3026),
    [sym_add] = STATE(3026),
    [sym_sub] = STATE(3026),
    [sym_mul] = STATE(3026),
    [sym_div] = STATE(3026),
    [sym_sign] = STATE(3026),
    [sym_call] = STATE(1698),
    [sym_field] = STATE(3026),
    [sym_label] = STATE(3026),
    [sym_content] = STATE(3026),
    [sym_group] = STATE(3026),
    [sym_block] = STATE(3026),
    [sym_branch] = STATE(3026),
    [sym_let] = STATE(3026),
    [sym_set] = STATE(3026),
    [sym_import] = STATE(3026),
    [sym_include] = STATE(3026),
    [sym_for] = STATE(3026),
    [sym_while] = STATE(3026),
    [sym_show] = STATE(3026),
    [sym_return] = STATE(3026),
    [sym_flow] = STATE(3026),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2463),
    [sym_none] = ACTIONS(2463),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [512] = {
    [sym_raw_blck] = STATE(1624),
    [sym_raw_span] = STATE(1624),
    [sym_math] = STATE(1624),
    [sym__expr] = STATE(1624),
    [sym_ident] = STATE(1624),
    [sym_bool] = STATE(1624),
    [sym_number] = STATE(1624),
    [sym_string] = STATE(1624),
    [sym_tagged] = STATE(1624),
    [sym_context] = STATE(1624),
    [sym_elude] = STATE(1624),
    [sym_assign] = STATE(1624),
    [sym_lambda] = STATE(1624),
    [sym_or] = STATE(1624),
    [sym_not] = STATE(1624),
    [sym_and] = STATE(1624),
    [sym_cmp] = STATE(1624),
    [sym_in] = STATE(1624),
    [sym_add] = STATE(1624),
    [sym_sub] = STATE(1624),
    [sym_mul] = STATE(1624),
    [sym_div] = STATE(1624),
    [sym_sign] = STATE(1624),
    [sym_call] = STATE(1624),
    [sym_field] = STATE(1624),
    [sym_label] = STATE(1624),
    [sym_content] = STATE(1624),
    [sym_group] = STATE(1624),
    [sym_block] = STATE(1624),
    [sym_branch] = STATE(1624),
    [sym_let] = STATE(1624),
    [sym_set] = STATE(1624),
    [sym_import] = STATE(1624),
    [sym_include] = STATE(1624),
    [sym_for] = STATE(1624),
    [sym_while] = STATE(1624),
    [sym_show] = STATE(1624),
    [sym_return] = STATE(1624),
    [sym_flow] = STATE(1624),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2465),
    [sym_none] = ACTIONS(2465),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [513] = {
    [sym_raw_blck] = STATE(2325),
    [sym_raw_span] = STATE(2325),
    [sym_math] = STATE(2325),
    [sym__expr] = STATE(2325),
    [sym_ident] = STATE(2325),
    [sym_bool] = STATE(2325),
    [sym_number] = STATE(2325),
    [sym_string] = STATE(2325),
    [sym_tagged] = STATE(2325),
    [sym_context] = STATE(2325),
    [sym_elude] = STATE(2325),
    [sym_assign] = STATE(2325),
    [sym_lambda] = STATE(2325),
    [sym_or] = STATE(2325),
    [sym_not] = STATE(2325),
    [sym_and] = STATE(2325),
    [sym_cmp] = STATE(2325),
    [sym_in] = STATE(2325),
    [sym_add] = STATE(2325),
    [sym_sub] = STATE(2325),
    [sym_mul] = STATE(2325),
    [sym_div] = STATE(2325),
    [sym_sign] = STATE(2325),
    [sym_call] = STATE(2325),
    [sym_field] = STATE(2325),
    [sym_label] = STATE(2325),
    [sym_content] = STATE(2325),
    [sym_group] = STATE(2325),
    [sym_block] = STATE(2325),
    [sym_branch] = STATE(2325),
    [sym_let] = STATE(2325),
    [sym_set] = STATE(2325),
    [sym_import] = STATE(2325),
    [sym_include] = STATE(2325),
    [sym_for] = STATE(2325),
    [sym_while] = STATE(2325),
    [sym_show] = STATE(2325),
    [sym_return] = STATE(2325),
    [sym_flow] = STATE(2325),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2467),
    [sym_none] = ACTIONS(2467),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [514] = {
    [sym_raw_blck] = STATE(1621),
    [sym_raw_span] = STATE(1621),
    [sym_math] = STATE(1621),
    [sym__expr] = STATE(1621),
    [sym_ident] = STATE(1621),
    [sym_bool] = STATE(1621),
    [sym_number] = STATE(1621),
    [sym_string] = STATE(1621),
    [sym_tagged] = STATE(1621),
    [sym_context] = STATE(1621),
    [sym_elude] = STATE(1621),
    [sym_assign] = STATE(1621),
    [sym_lambda] = STATE(1621),
    [sym_or] = STATE(1621),
    [sym_not] = STATE(1621),
    [sym_and] = STATE(1621),
    [sym_cmp] = STATE(1621),
    [sym_in] = STATE(1621),
    [sym_add] = STATE(1621),
    [sym_sub] = STATE(1621),
    [sym_mul] = STATE(1621),
    [sym_div] = STATE(1621),
    [sym_sign] = STATE(1621),
    [sym_call] = STATE(1621),
    [sym_field] = STATE(1621),
    [sym_label] = STATE(1621),
    [sym_content] = STATE(1621),
    [sym_group] = STATE(1621),
    [sym_block] = STATE(1621),
    [sym_branch] = STATE(1621),
    [sym_let] = STATE(1621),
    [sym_set] = STATE(1621),
    [sym_import] = STATE(1621),
    [sym_include] = STATE(1621),
    [sym_for] = STATE(1621),
    [sym_while] = STATE(1621),
    [sym_show] = STATE(1621),
    [sym_return] = STATE(1621),
    [sym_flow] = STATE(1621),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2469),
    [sym_none] = ACTIONS(2469),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [515] = {
    [sym_raw_blck] = STATE(2253),
    [sym_raw_span] = STATE(2253),
    [sym_math] = STATE(2253),
    [sym__expr] = STATE(2253),
    [sym_ident] = STATE(2253),
    [sym_bool] = STATE(2253),
    [sym_number] = STATE(2253),
    [sym_string] = STATE(2253),
    [sym_tagged] = STATE(2253),
    [sym_context] = STATE(2253),
    [sym_elude] = STATE(2253),
    [sym_assign] = STATE(2253),
    [sym_lambda] = STATE(2253),
    [sym_or] = STATE(2253),
    [sym_not] = STATE(2253),
    [sym_and] = STATE(2253),
    [sym_cmp] = STATE(2253),
    [sym_in] = STATE(2253),
    [sym_add] = STATE(2253),
    [sym_sub] = STATE(2253),
    [sym_mul] = STATE(2253),
    [sym_div] = STATE(2253),
    [sym_sign] = STATE(2253),
    [sym_call] = STATE(2253),
    [sym_field] = STATE(2253),
    [sym_label] = STATE(2253),
    [sym_content] = STATE(2253),
    [sym_group] = STATE(2253),
    [sym_block] = STATE(2253),
    [sym_branch] = STATE(2253),
    [sym_let] = STATE(2253),
    [sym_set] = STATE(2253),
    [sym_import] = STATE(2253),
    [sym_include] = STATE(2253),
    [sym_for] = STATE(2253),
    [sym_while] = STATE(2253),
    [sym_show] = STATE(2253),
    [sym_return] = STATE(2253),
    [sym_flow] = STATE(2253),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2471),
    [sym_none] = ACTIONS(2471),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [516] = {
    [sym_raw_blck] = STATE(1396),
    [sym_raw_span] = STATE(1396),
    [sym_math] = STATE(1396),
    [sym__expr] = STATE(1396),
    [sym_ident] = STATE(1396),
    [sym_bool] = STATE(1396),
    [sym_number] = STATE(1396),
    [sym_string] = STATE(1396),
    [sym_tagged] = STATE(1396),
    [sym_context] = STATE(1396),
    [sym_elude] = STATE(1396),
    [sym_assign] = STATE(1396),
    [sym_lambda] = STATE(1396),
    [sym_or] = STATE(1396),
    [sym_not] = STATE(1396),
    [sym_and] = STATE(1396),
    [sym_cmp] = STATE(1396),
    [sym_in] = STATE(1396),
    [sym_add] = STATE(1396),
    [sym_sub] = STATE(1396),
    [sym_mul] = STATE(1396),
    [sym_div] = STATE(1396),
    [sym_sign] = STATE(1396),
    [sym_call] = STATE(1396),
    [sym_field] = STATE(1396),
    [sym_label] = STATE(1396),
    [sym_content] = STATE(1396),
    [sym_group] = STATE(1396),
    [sym_block] = STATE(1396),
    [sym_branch] = STATE(1396),
    [sym_let] = STATE(1396),
    [sym_set] = STATE(1396),
    [sym_import] = STATE(1396),
    [sym_include] = STATE(1396),
    [sym_for] = STATE(1396),
    [sym_while] = STATE(1396),
    [sym_show] = STATE(1396),
    [sym_return] = STATE(1396),
    [sym_flow] = STATE(1396),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2473),
    [sym_none] = ACTIONS(2473),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [517] = {
    [sym_raw_blck] = STATE(2449),
    [sym_raw_span] = STATE(2449),
    [sym_math] = STATE(2449),
    [sym__expr] = STATE(2449),
    [sym_ident] = STATE(2449),
    [sym_bool] = STATE(2449),
    [sym_number] = STATE(2449),
    [sym_string] = STATE(2449),
    [sym_tagged] = STATE(2449),
    [sym_context] = STATE(2449),
    [sym_elude] = STATE(2449),
    [sym_assign] = STATE(2449),
    [sym_lambda] = STATE(2449),
    [sym_or] = STATE(2449),
    [sym_not] = STATE(2449),
    [sym_and] = STATE(2449),
    [sym_cmp] = STATE(2449),
    [sym_in] = STATE(2449),
    [sym_add] = STATE(2449),
    [sym_sub] = STATE(2449),
    [sym_mul] = STATE(2449),
    [sym_div] = STATE(2449),
    [sym_sign] = STATE(2449),
    [sym_call] = STATE(2449),
    [sym_field] = STATE(2449),
    [sym_label] = STATE(2449),
    [sym_content] = STATE(2449),
    [sym_group] = STATE(2449),
    [sym_block] = STATE(2449),
    [sym_branch] = STATE(2449),
    [sym_let] = STATE(2449),
    [sym_set] = STATE(2449),
    [sym_import] = STATE(2449),
    [sym_include] = STATE(2449),
    [sym_for] = STATE(2449),
    [sym_while] = STATE(2449),
    [sym_show] = STATE(2449),
    [sym_return] = STATE(2449),
    [sym_flow] = STATE(2449),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(2475),
    [sym_none] = ACTIONS(2475),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [518] = {
    [sym_raw_blck] = STATE(2193),
    [sym_raw_span] = STATE(2193),
    [sym_math] = STATE(2193),
    [sym__expr] = STATE(2193),
    [sym_ident] = STATE(2193),
    [sym_bool] = STATE(2193),
    [sym_number] = STATE(2193),
    [sym_string] = STATE(2193),
    [sym_tagged] = STATE(2193),
    [sym_context] = STATE(2193),
    [sym_elude] = STATE(2193),
    [sym_assign] = STATE(2193),
    [sym_lambda] = STATE(2193),
    [sym_or] = STATE(2193),
    [sym_not] = STATE(2193),
    [sym_and] = STATE(2193),
    [sym_cmp] = STATE(2193),
    [sym_in] = STATE(2193),
    [sym_add] = STATE(2193),
    [sym_sub] = STATE(2193),
    [sym_mul] = STATE(2193),
    [sym_div] = STATE(2193),
    [sym_sign] = STATE(2193),
    [sym_call] = STATE(2193),
    [sym_field] = STATE(2193),
    [sym_label] = STATE(2193),
    [sym_content] = STATE(2193),
    [sym_group] = STATE(2193),
    [sym_block] = STATE(2193),
    [sym_branch] = STATE(2193),
    [sym_let] = STATE(2193),
    [sym_set] = STATE(2193),
    [sym_import] = STATE(2193),
    [sym_include] = STATE(2193),
    [sym_for] = STATE(2193),
    [sym_while] = STATE(2193),
    [sym_show] = STATE(2193),
    [sym_return] = STATE(2193),
    [sym_flow] = STATE(2193),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2477),
    [sym_none] = ACTIONS(2477),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [519] = {
    [sym_raw_blck] = STATE(2192),
    [sym_raw_span] = STATE(2192),
    [sym_math] = STATE(2192),
    [sym__expr] = STATE(2192),
    [sym_ident] = STATE(2192),
    [sym_bool] = STATE(2192),
    [sym_number] = STATE(2192),
    [sym_string] = STATE(2192),
    [sym_tagged] = STATE(2192),
    [sym_context] = STATE(2192),
    [sym_elude] = STATE(2192),
    [sym_assign] = STATE(2192),
    [sym_lambda] = STATE(2192),
    [sym_or] = STATE(2192),
    [sym_not] = STATE(2192),
    [sym_and] = STATE(2192),
    [sym_cmp] = STATE(2192),
    [sym_in] = STATE(2192),
    [sym_add] = STATE(2192),
    [sym_sub] = STATE(2192),
    [sym_mul] = STATE(2192),
    [sym_div] = STATE(2192),
    [sym_sign] = STATE(2192),
    [sym_call] = STATE(2192),
    [sym_field] = STATE(2192),
    [sym_label] = STATE(2192),
    [sym_content] = STATE(2192),
    [sym_group] = STATE(2192),
    [sym_block] = STATE(2192),
    [sym_branch] = STATE(2192),
    [sym_let] = STATE(2192),
    [sym_set] = STATE(2192),
    [sym_import] = STATE(2192),
    [sym_include] = STATE(2192),
    [sym_for] = STATE(2192),
    [sym_while] = STATE(2192),
    [sym_show] = STATE(2192),
    [sym_return] = STATE(2192),
    [sym_flow] = STATE(2192),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2479),
    [sym_none] = ACTIONS(2479),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [520] = {
    [sym_raw_blck] = STATE(1631),
    [sym_raw_span] = STATE(1631),
    [sym_math] = STATE(1631),
    [sym__expr] = STATE(1631),
    [sym_ident] = STATE(1631),
    [sym_bool] = STATE(1631),
    [sym_number] = STATE(1631),
    [sym_string] = STATE(1631),
    [sym_tagged] = STATE(1631),
    [sym_context] = STATE(1631),
    [sym_elude] = STATE(1631),
    [sym_assign] = STATE(1631),
    [sym_lambda] = STATE(1631),
    [sym_or] = STATE(1631),
    [sym_not] = STATE(1631),
    [sym_and] = STATE(1631),
    [sym_cmp] = STATE(1631),
    [sym_in] = STATE(1631),
    [sym_add] = STATE(1631),
    [sym_sub] = STATE(1631),
    [sym_mul] = STATE(1631),
    [sym_div] = STATE(1631),
    [sym_sign] = STATE(1631),
    [sym_call] = STATE(1631),
    [sym_field] = STATE(1631),
    [sym_label] = STATE(1631),
    [sym_content] = STATE(1631),
    [sym_group] = STATE(1631),
    [sym_block] = STATE(1631),
    [sym_branch] = STATE(1631),
    [sym_let] = STATE(1631),
    [sym_set] = STATE(1631),
    [sym_import] = STATE(1631),
    [sym_include] = STATE(1631),
    [sym_for] = STATE(1631),
    [sym_while] = STATE(1631),
    [sym_show] = STATE(1631),
    [sym_return] = STATE(1631),
    [sym_flow] = STATE(1631),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2481),
    [sym_none] = ACTIONS(2481),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [521] = {
    [sym_raw_blck] = STATE(2184),
    [sym_raw_span] = STATE(2184),
    [sym_math] = STATE(2184),
    [sym__expr] = STATE(2184),
    [sym_ident] = STATE(2184),
    [sym_bool] = STATE(2184),
    [sym_number] = STATE(2184),
    [sym_string] = STATE(2184),
    [sym_tagged] = STATE(2184),
    [sym_context] = STATE(2184),
    [sym_elude] = STATE(2184),
    [sym_assign] = STATE(2184),
    [sym_lambda] = STATE(2184),
    [sym_or] = STATE(2184),
    [sym_not] = STATE(2184),
    [sym_and] = STATE(2184),
    [sym_cmp] = STATE(2184),
    [sym_in] = STATE(2184),
    [sym_add] = STATE(2184),
    [sym_sub] = STATE(2184),
    [sym_mul] = STATE(2184),
    [sym_div] = STATE(2184),
    [sym_sign] = STATE(2184),
    [sym_call] = STATE(2184),
    [sym_field] = STATE(2184),
    [sym_label] = STATE(2184),
    [sym_content] = STATE(2184),
    [sym_group] = STATE(2184),
    [sym_block] = STATE(2184),
    [sym_branch] = STATE(2184),
    [sym_let] = STATE(2184),
    [sym_set] = STATE(2184),
    [sym_import] = STATE(2184),
    [sym_include] = STATE(2184),
    [sym_for] = STATE(2184),
    [sym_while] = STATE(2184),
    [sym_show] = STATE(2184),
    [sym_return] = STATE(2184),
    [sym_flow] = STATE(2184),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2483),
    [sym_none] = ACTIONS(2483),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [522] = {
    [sym_raw_blck] = STATE(2714),
    [sym_raw_span] = STATE(2714),
    [sym_math] = STATE(2714),
    [sym__expr] = STATE(2714),
    [sym_ident] = STATE(2714),
    [sym_bool] = STATE(2714),
    [sym_number] = STATE(2714),
    [sym_string] = STATE(2714),
    [sym_tagged] = STATE(2714),
    [sym_context] = STATE(2714),
    [sym_elude] = STATE(2714),
    [sym_assign] = STATE(2714),
    [sym_lambda] = STATE(2714),
    [sym_or] = STATE(2714),
    [sym_not] = STATE(2714),
    [sym_and] = STATE(2714),
    [sym_cmp] = STATE(2714),
    [sym_in] = STATE(2714),
    [sym_add] = STATE(2714),
    [sym_sub] = STATE(2714),
    [sym_mul] = STATE(2714),
    [sym_div] = STATE(2714),
    [sym_sign] = STATE(2714),
    [sym_call] = STATE(2714),
    [sym_field] = STATE(2714),
    [sym_label] = STATE(2714),
    [sym_content] = STATE(2714),
    [sym_group] = STATE(2714),
    [sym_block] = STATE(2714),
    [sym_branch] = STATE(2714),
    [sym_let] = STATE(2714),
    [sym_set] = STATE(2714),
    [sym_import] = STATE(2714),
    [sym_include] = STATE(2714),
    [sym_for] = STATE(2714),
    [sym_while] = STATE(2714),
    [sym_show] = STATE(2714),
    [sym_return] = STATE(2714),
    [sym_flow] = STATE(2714),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2485),
    [sym_none] = ACTIONS(2485),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [523] = {
    [sym_raw_blck] = STATE(2527),
    [sym_raw_span] = STATE(2527),
    [sym_math] = STATE(2527),
    [sym__expr] = STATE(2527),
    [sym_ident] = STATE(2527),
    [sym_bool] = STATE(2527),
    [sym_number] = STATE(2527),
    [sym_string] = STATE(2527),
    [sym_tagged] = STATE(2527),
    [sym_context] = STATE(2527),
    [sym_elude] = STATE(2527),
    [sym_assign] = STATE(2527),
    [sym_lambda] = STATE(2527),
    [sym_or] = STATE(2527),
    [sym_not] = STATE(2527),
    [sym_and] = STATE(2527),
    [sym_cmp] = STATE(2527),
    [sym_in] = STATE(2527),
    [sym_add] = STATE(2527),
    [sym_sub] = STATE(2527),
    [sym_mul] = STATE(2527),
    [sym_div] = STATE(2527),
    [sym_sign] = STATE(2527),
    [sym_call] = STATE(2527),
    [sym_field] = STATE(2527),
    [sym_label] = STATE(2527),
    [sym_content] = STATE(2527),
    [sym_group] = STATE(2527),
    [sym_block] = STATE(2527),
    [sym_branch] = STATE(2527),
    [sym_let] = STATE(2527),
    [sym_set] = STATE(2527),
    [sym_import] = STATE(2527),
    [sym_include] = STATE(2527),
    [sym_for] = STATE(2527),
    [sym_while] = STATE(2527),
    [sym_show] = STATE(2527),
    [sym_return] = STATE(2527),
    [sym_flow] = STATE(2527),
    [sym__identifier] = ACTIONS(655),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(657),
    [anon_sym_BQUOTE] = ACTIONS(659),
    [anon_sym_DOLLAR] = ACTIONS(661),
    [anon_sym_true] = ACTIONS(663),
    [anon_sym_false] = ACTIONS(663),
    [aux_sym_number_token1] = ACTIONS(665),
    [anon_sym_DQUOTE] = ACTIONS(667),
    [anon_sym_context] = ACTIONS(669),
    [anon_sym_DOT_DOT] = ACTIONS(671),
    [anon_sym_not] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1877),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LBRACE] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(683),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_set] = ACTIONS(687),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_include] = ACTIONS(691),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(695),
    [anon_sym_show] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [sym_auto] = ACTIONS(2487),
    [sym_none] = ACTIONS(2487),
    [sym__token_content] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [524] = {
    [sym_raw_blck] = STATE(3025),
    [sym_raw_span] = STATE(3025),
    [sym_math] = STATE(3025),
    [sym__expr] = STATE(3025),
    [sym_ident] = STATE(3025),
    [sym_bool] = STATE(3025),
    [sym_number] = STATE(3025),
    [sym_string] = STATE(3025),
    [sym_tagged] = STATE(3025),
    [sym_context] = STATE(3025),
    [sym_elude] = STATE(3025),
    [sym_assign] = STATE(3025),
    [sym_lambda] = STATE(3025),
    [sym_or] = STATE(3025),
    [sym_not] = STATE(3025),
    [sym_and] = STATE(3025),
    [sym_cmp] = STATE(3025),
    [sym_in] = STATE(3025),
    [sym_add] = STATE(3025),
    [sym_sub] = STATE(3025),
    [sym_mul] = STATE(3025),
    [sym_div] = STATE(3025),
    [sym_sign] = STATE(3025),
    [sym_call] = STATE(2544),
    [sym_field] = STATE(3025),
    [sym_label] = STATE(3025),
    [sym_content] = STATE(3025),
    [sym_group] = STATE(3025),
    [sym_block] = STATE(3025),
    [sym_branch] = STATE(3025),
    [sym_let] = STATE(3025),
    [sym_set] = STATE(3025),
    [sym_import] = STATE(3025),
    [sym_include] = STATE(3025),
    [sym_for] = STATE(3025),
    [sym_while] = STATE(3025),
    [sym_show] = STATE(3025),
    [sym_return] = STATE(3025),
    [sym_flow] = STATE(3025),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2489),
    [sym_none] = ACTIONS(2489),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [525] = {
    [sym_raw_blck] = STATE(1544),
    [sym_raw_span] = STATE(1544),
    [sym_math] = STATE(1544),
    [sym__expr] = STATE(1544),
    [sym_ident] = STATE(1544),
    [sym_bool] = STATE(1544),
    [sym_number] = STATE(1544),
    [sym_string] = STATE(1544),
    [sym_tagged] = STATE(1544),
    [sym_context] = STATE(1544),
    [sym_elude] = STATE(1544),
    [sym_assign] = STATE(1544),
    [sym_lambda] = STATE(1544),
    [sym_or] = STATE(1544),
    [sym_not] = STATE(1544),
    [sym_and] = STATE(1544),
    [sym_cmp] = STATE(1544),
    [sym_in] = STATE(1544),
    [sym_add] = STATE(1544),
    [sym_sub] = STATE(1544),
    [sym_mul] = STATE(1544),
    [sym_div] = STATE(1544),
    [sym_sign] = STATE(1544),
    [sym_call] = STATE(1544),
    [sym_field] = STATE(1544),
    [sym_label] = STATE(1544),
    [sym_content] = STATE(1544),
    [sym_group] = STATE(1544),
    [sym_block] = STATE(1544),
    [sym_branch] = STATE(1544),
    [sym_let] = STATE(1544),
    [sym_set] = STATE(1544),
    [sym_import] = STATE(1544),
    [sym_include] = STATE(1544),
    [sym_for] = STATE(1544),
    [sym_while] = STATE(1544),
    [sym_show] = STATE(1544),
    [sym_return] = STATE(1544),
    [sym_flow] = STATE(1544),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2491),
    [sym_none] = ACTIONS(2491),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [526] = {
    [sym_raw_blck] = STATE(2183),
    [sym_raw_span] = STATE(2183),
    [sym_math] = STATE(2183),
    [sym__expr] = STATE(2183),
    [sym_ident] = STATE(2183),
    [sym_bool] = STATE(2183),
    [sym_number] = STATE(2183),
    [sym_string] = STATE(2183),
    [sym_tagged] = STATE(2183),
    [sym_context] = STATE(2183),
    [sym_elude] = STATE(2183),
    [sym_assign] = STATE(2183),
    [sym_lambda] = STATE(2183),
    [sym_or] = STATE(2183),
    [sym_not] = STATE(2183),
    [sym_and] = STATE(2183),
    [sym_cmp] = STATE(2183),
    [sym_in] = STATE(2183),
    [sym_add] = STATE(2183),
    [sym_sub] = STATE(2183),
    [sym_mul] = STATE(2183),
    [sym_div] = STATE(2183),
    [sym_sign] = STATE(2183),
    [sym_call] = STATE(2183),
    [sym_field] = STATE(2183),
    [sym_label] = STATE(2183),
    [sym_content] = STATE(2183),
    [sym_group] = STATE(2183),
    [sym_block] = STATE(2183),
    [sym_branch] = STATE(2183),
    [sym_let] = STATE(2183),
    [sym_set] = STATE(2183),
    [sym_import] = STATE(2183),
    [sym_include] = STATE(2183),
    [sym_for] = STATE(2183),
    [sym_while] = STATE(2183),
    [sym_show] = STATE(2183),
    [sym_return] = STATE(2183),
    [sym_flow] = STATE(2183),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2493),
    [sym_none] = ACTIONS(2493),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [527] = {
    [sym_raw_blck] = STATE(2403),
    [sym_raw_span] = STATE(2403),
    [sym_math] = STATE(2403),
    [sym__expr] = STATE(2403),
    [sym_ident] = STATE(2403),
    [sym_bool] = STATE(2403),
    [sym_number] = STATE(2403),
    [sym_string] = STATE(2403),
    [sym_tagged] = STATE(2403),
    [sym_context] = STATE(2403),
    [sym_elude] = STATE(2403),
    [sym_assign] = STATE(2403),
    [sym_lambda] = STATE(2403),
    [sym_or] = STATE(2403),
    [sym_not] = STATE(2403),
    [sym_and] = STATE(2403),
    [sym_cmp] = STATE(2403),
    [sym_in] = STATE(2403),
    [sym_add] = STATE(2403),
    [sym_sub] = STATE(2403),
    [sym_mul] = STATE(2403),
    [sym_div] = STATE(2403),
    [sym_sign] = STATE(2403),
    [sym_call] = STATE(2403),
    [sym_field] = STATE(2403),
    [sym_label] = STATE(2403),
    [sym_content] = STATE(2403),
    [sym_group] = STATE(2403),
    [sym_block] = STATE(2403),
    [sym_branch] = STATE(2403),
    [sym_let] = STATE(2403),
    [sym_set] = STATE(2403),
    [sym_import] = STATE(2403),
    [sym_include] = STATE(2403),
    [sym_for] = STATE(2403),
    [sym_while] = STATE(2403),
    [sym_show] = STATE(2403),
    [sym_return] = STATE(2403),
    [sym_flow] = STATE(2403),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2495),
    [sym_none] = ACTIONS(2495),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [528] = {
    [sym_raw_blck] = STATE(2739),
    [sym_raw_span] = STATE(2739),
    [sym_math] = STATE(2739),
    [sym__expr] = STATE(2739),
    [sym_ident] = STATE(2739),
    [sym_bool] = STATE(2739),
    [sym_number] = STATE(2739),
    [sym_string] = STATE(2739),
    [sym_tagged] = STATE(2739),
    [sym_context] = STATE(2739),
    [sym_elude] = STATE(2739),
    [sym_assign] = STATE(2739),
    [sym_lambda] = STATE(2739),
    [sym_or] = STATE(2739),
    [sym_not] = STATE(2739),
    [sym_and] = STATE(2739),
    [sym_cmp] = STATE(2739),
    [sym_in] = STATE(2739),
    [sym_add] = STATE(2739),
    [sym_sub] = STATE(2739),
    [sym_mul] = STATE(2739),
    [sym_div] = STATE(2739),
    [sym_sign] = STATE(2739),
    [sym_call] = STATE(2739),
    [sym_field] = STATE(2739),
    [sym_label] = STATE(2739),
    [sym_content] = STATE(2739),
    [sym_group] = STATE(2739),
    [sym_block] = STATE(2739),
    [sym_branch] = STATE(2739),
    [sym_let] = STATE(2739),
    [sym_set] = STATE(2739),
    [sym_import] = STATE(2739),
    [sym_include] = STATE(2739),
    [sym_for] = STATE(2739),
    [sym_while] = STATE(2739),
    [sym_show] = STATE(2739),
    [sym_return] = STATE(2739),
    [sym_flow] = STATE(2739),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2497),
    [sym_none] = ACTIONS(2497),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [529] = {
    [sym_raw_blck] = STATE(2374),
    [sym_raw_span] = STATE(2374),
    [sym_math] = STATE(2374),
    [sym__expr] = STATE(2374),
    [sym_ident] = STATE(2374),
    [sym_bool] = STATE(2374),
    [sym_number] = STATE(2374),
    [sym_string] = STATE(2374),
    [sym_tagged] = STATE(2374),
    [sym_context] = STATE(2374),
    [sym_elude] = STATE(2374),
    [sym_assign] = STATE(2374),
    [sym_lambda] = STATE(2374),
    [sym_or] = STATE(2374),
    [sym_not] = STATE(2374),
    [sym_and] = STATE(2374),
    [sym_cmp] = STATE(2374),
    [sym_in] = STATE(2374),
    [sym_add] = STATE(2374),
    [sym_sub] = STATE(2374),
    [sym_mul] = STATE(2374),
    [sym_div] = STATE(2374),
    [sym_sign] = STATE(2374),
    [sym_call] = STATE(2374),
    [sym_field] = STATE(2374),
    [sym_label] = STATE(2374),
    [sym_content] = STATE(2374),
    [sym_group] = STATE(2374),
    [sym_block] = STATE(2374),
    [sym_branch] = STATE(2374),
    [sym_let] = STATE(2374),
    [sym_set] = STATE(2374),
    [sym_import] = STATE(2374),
    [sym_include] = STATE(2374),
    [sym_for] = STATE(2374),
    [sym_while] = STATE(2374),
    [sym_show] = STATE(2374),
    [sym_return] = STATE(2374),
    [sym_flow] = STATE(2374),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2499),
    [sym_none] = ACTIONS(2499),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [530] = {
    [sym_raw_blck] = STATE(2180),
    [sym_raw_span] = STATE(2180),
    [sym_math] = STATE(2180),
    [sym__expr] = STATE(2180),
    [sym_ident] = STATE(2180),
    [sym_bool] = STATE(2180),
    [sym_number] = STATE(2180),
    [sym_string] = STATE(2180),
    [sym_tagged] = STATE(2180),
    [sym_context] = STATE(2180),
    [sym_elude] = STATE(2180),
    [sym_assign] = STATE(2180),
    [sym_lambda] = STATE(2180),
    [sym_or] = STATE(2180),
    [sym_not] = STATE(2180),
    [sym_and] = STATE(2180),
    [sym_cmp] = STATE(2180),
    [sym_in] = STATE(2180),
    [sym_add] = STATE(2180),
    [sym_sub] = STATE(2180),
    [sym_mul] = STATE(2180),
    [sym_div] = STATE(2180),
    [sym_sign] = STATE(2180),
    [sym_call] = STATE(2180),
    [sym_field] = STATE(2180),
    [sym_label] = STATE(2180),
    [sym_content] = STATE(2180),
    [sym_group] = STATE(2180),
    [sym_block] = STATE(2180),
    [sym_branch] = STATE(2180),
    [sym_let] = STATE(2180),
    [sym_set] = STATE(2180),
    [sym_import] = STATE(2180),
    [sym_include] = STATE(2180),
    [sym_for] = STATE(2180),
    [sym_while] = STATE(2180),
    [sym_show] = STATE(2180),
    [sym_return] = STATE(2180),
    [sym_flow] = STATE(2180),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2501),
    [sym_none] = ACTIONS(2501),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [531] = {
    [sym_raw_blck] = STATE(1633),
    [sym_raw_span] = STATE(1633),
    [sym_math] = STATE(1633),
    [sym__expr] = STATE(1633),
    [sym_ident] = STATE(1633),
    [sym_bool] = STATE(1633),
    [sym_number] = STATE(1633),
    [sym_string] = STATE(1633),
    [sym_tagged] = STATE(1633),
    [sym_context] = STATE(1633),
    [sym_elude] = STATE(1633),
    [sym_assign] = STATE(1633),
    [sym_lambda] = STATE(1633),
    [sym_or] = STATE(1633),
    [sym_not] = STATE(1633),
    [sym_and] = STATE(1633),
    [sym_cmp] = STATE(1633),
    [sym_in] = STATE(1633),
    [sym_add] = STATE(1633),
    [sym_sub] = STATE(1633),
    [sym_mul] = STATE(1633),
    [sym_div] = STATE(1633),
    [sym_sign] = STATE(1633),
    [sym_call] = STATE(1633),
    [sym_field] = STATE(1633),
    [sym_label] = STATE(1633),
    [sym_content] = STATE(1633),
    [sym_group] = STATE(1633),
    [sym_block] = STATE(1633),
    [sym_branch] = STATE(1633),
    [sym_let] = STATE(1633),
    [sym_set] = STATE(1633),
    [sym_import] = STATE(1633),
    [sym_include] = STATE(1633),
    [sym_for] = STATE(1633),
    [sym_while] = STATE(1633),
    [sym_show] = STATE(1633),
    [sym_return] = STATE(1633),
    [sym_flow] = STATE(1633),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2503),
    [sym_none] = ACTIONS(2503),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [532] = {
    [sym_raw_blck] = STATE(1634),
    [sym_raw_span] = STATE(1634),
    [sym_math] = STATE(1634),
    [sym__expr] = STATE(1634),
    [sym_ident] = STATE(1634),
    [sym_bool] = STATE(1634),
    [sym_number] = STATE(1634),
    [sym_string] = STATE(1634),
    [sym_tagged] = STATE(1634),
    [sym_context] = STATE(1634),
    [sym_elude] = STATE(1634),
    [sym_assign] = STATE(1634),
    [sym_lambda] = STATE(1634),
    [sym_or] = STATE(1634),
    [sym_not] = STATE(1634),
    [sym_and] = STATE(1634),
    [sym_cmp] = STATE(1634),
    [sym_in] = STATE(1634),
    [sym_add] = STATE(1634),
    [sym_sub] = STATE(1634),
    [sym_mul] = STATE(1634),
    [sym_div] = STATE(1634),
    [sym_sign] = STATE(1634),
    [sym_call] = STATE(1634),
    [sym_field] = STATE(1634),
    [sym_label] = STATE(1634),
    [sym_content] = STATE(1634),
    [sym_group] = STATE(1634),
    [sym_block] = STATE(1634),
    [sym_branch] = STATE(1634),
    [sym_let] = STATE(1634),
    [sym_set] = STATE(1634),
    [sym_import] = STATE(1634),
    [sym_include] = STATE(1634),
    [sym_for] = STATE(1634),
    [sym_while] = STATE(1634),
    [sym_show] = STATE(1634),
    [sym_return] = STATE(1634),
    [sym_flow] = STATE(1634),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2505),
    [sym_none] = ACTIONS(2505),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [533] = {
    [sym_raw_blck] = STATE(2179),
    [sym_raw_span] = STATE(2179),
    [sym_math] = STATE(2179),
    [sym__expr] = STATE(2179),
    [sym_ident] = STATE(2179),
    [sym_bool] = STATE(2179),
    [sym_number] = STATE(2179),
    [sym_string] = STATE(2179),
    [sym_tagged] = STATE(2179),
    [sym_context] = STATE(2179),
    [sym_elude] = STATE(2179),
    [sym_assign] = STATE(2179),
    [sym_lambda] = STATE(2179),
    [sym_or] = STATE(2179),
    [sym_not] = STATE(2179),
    [sym_and] = STATE(2179),
    [sym_cmp] = STATE(2179),
    [sym_in] = STATE(2179),
    [sym_add] = STATE(2179),
    [sym_sub] = STATE(2179),
    [sym_mul] = STATE(2179),
    [sym_div] = STATE(2179),
    [sym_sign] = STATE(2179),
    [sym_call] = STATE(2179),
    [sym_field] = STATE(2179),
    [sym_label] = STATE(2179),
    [sym_content] = STATE(2179),
    [sym_group] = STATE(2179),
    [sym_block] = STATE(2179),
    [sym_branch] = STATE(2179),
    [sym_let] = STATE(2179),
    [sym_set] = STATE(2179),
    [sym_import] = STATE(2179),
    [sym_include] = STATE(2179),
    [sym_for] = STATE(2179),
    [sym_while] = STATE(2179),
    [sym_show] = STATE(2179),
    [sym_return] = STATE(2179),
    [sym_flow] = STATE(2179),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2507),
    [sym_none] = ACTIONS(2507),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [534] = {
    [sym_raw_blck] = STATE(1860),
    [sym_raw_span] = STATE(1860),
    [sym_math] = STATE(1860),
    [sym__expr] = STATE(1860),
    [sym_ident] = STATE(1860),
    [sym_bool] = STATE(1860),
    [sym_number] = STATE(1860),
    [sym_string] = STATE(1860),
    [sym_tagged] = STATE(1860),
    [sym_context] = STATE(1860),
    [sym_elude] = STATE(1860),
    [sym_assign] = STATE(1860),
    [sym_lambda] = STATE(1860),
    [sym_or] = STATE(1860),
    [sym_not] = STATE(1860),
    [sym_and] = STATE(1860),
    [sym_cmp] = STATE(1860),
    [sym_in] = STATE(1860),
    [sym_add] = STATE(1860),
    [sym_sub] = STATE(1860),
    [sym_mul] = STATE(1860),
    [sym_div] = STATE(1860),
    [sym_sign] = STATE(1860),
    [sym_call] = STATE(1860),
    [sym_field] = STATE(1860),
    [sym_label] = STATE(1860),
    [sym_content] = STATE(1860),
    [sym_group] = STATE(1860),
    [sym_block] = STATE(1860),
    [sym_branch] = STATE(1860),
    [sym_let] = STATE(1860),
    [sym_set] = STATE(1860),
    [sym_import] = STATE(1860),
    [sym_include] = STATE(1860),
    [sym_for] = STATE(1860),
    [sym_while] = STATE(1860),
    [sym_show] = STATE(1860),
    [sym_return] = STATE(1860),
    [sym_flow] = STATE(1860),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2509),
    [sym_none] = ACTIONS(2509),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [535] = {
    [sym_raw_blck] = STATE(2247),
    [sym_raw_span] = STATE(2247),
    [sym_math] = STATE(2247),
    [sym__expr] = STATE(2247),
    [sym_ident] = STATE(2247),
    [sym_bool] = STATE(2247),
    [sym_number] = STATE(2247),
    [sym_string] = STATE(2247),
    [sym_tagged] = STATE(2247),
    [sym_context] = STATE(2247),
    [sym_elude] = STATE(2247),
    [sym_assign] = STATE(2247),
    [sym_lambda] = STATE(2247),
    [sym_or] = STATE(2247),
    [sym_not] = STATE(2247),
    [sym_and] = STATE(2247),
    [sym_cmp] = STATE(2247),
    [sym_in] = STATE(2247),
    [sym_add] = STATE(2247),
    [sym_sub] = STATE(2247),
    [sym_mul] = STATE(2247),
    [sym_div] = STATE(2247),
    [sym_sign] = STATE(2247),
    [sym_call] = STATE(2247),
    [sym_field] = STATE(2247),
    [sym_label] = STATE(2247),
    [sym_content] = STATE(2247),
    [sym_group] = STATE(2247),
    [sym_block] = STATE(2247),
    [sym_branch] = STATE(2247),
    [sym_let] = STATE(2247),
    [sym_set] = STATE(2247),
    [sym_import] = STATE(2247),
    [sym_include] = STATE(2247),
    [sym_for] = STATE(2247),
    [sym_while] = STATE(2247),
    [sym_show] = STATE(2247),
    [sym_return] = STATE(2247),
    [sym_flow] = STATE(2247),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2511),
    [sym_none] = ACTIONS(2511),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [536] = {
    [sym_raw_blck] = STATE(1393),
    [sym_raw_span] = STATE(1393),
    [sym_math] = STATE(1393),
    [sym__expr] = STATE(1393),
    [sym_ident] = STATE(1393),
    [sym_bool] = STATE(1393),
    [sym_number] = STATE(1393),
    [sym_string] = STATE(1393),
    [sym_tagged] = STATE(1393),
    [sym_context] = STATE(1393),
    [sym_elude] = STATE(1393),
    [sym_assign] = STATE(1393),
    [sym_lambda] = STATE(1393),
    [sym_or] = STATE(1393),
    [sym_not] = STATE(1393),
    [sym_and] = STATE(1393),
    [sym_cmp] = STATE(1393),
    [sym_in] = STATE(1393),
    [sym_add] = STATE(1393),
    [sym_sub] = STATE(1393),
    [sym_mul] = STATE(1393),
    [sym_div] = STATE(1393),
    [sym_sign] = STATE(1393),
    [sym_call] = STATE(1393),
    [sym_field] = STATE(1393),
    [sym_label] = STATE(1393),
    [sym_content] = STATE(1393),
    [sym_group] = STATE(1393),
    [sym_block] = STATE(1393),
    [sym_branch] = STATE(1393),
    [sym_let] = STATE(1393),
    [sym_set] = STATE(1393),
    [sym_import] = STATE(1393),
    [sym_include] = STATE(1393),
    [sym_for] = STATE(1393),
    [sym_while] = STATE(1393),
    [sym_show] = STATE(1393),
    [sym_return] = STATE(1393),
    [sym_flow] = STATE(1393),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2513),
    [sym_none] = ACTIONS(2513),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [537] = {
    [sym_raw_blck] = STATE(2245),
    [sym_raw_span] = STATE(2245),
    [sym_math] = STATE(2245),
    [sym__expr] = STATE(2245),
    [sym_ident] = STATE(2245),
    [sym_bool] = STATE(2245),
    [sym_number] = STATE(2245),
    [sym_string] = STATE(2245),
    [sym_tagged] = STATE(2245),
    [sym_context] = STATE(2245),
    [sym_elude] = STATE(2245),
    [sym_assign] = STATE(2245),
    [sym_lambda] = STATE(2245),
    [sym_or] = STATE(2245),
    [sym_not] = STATE(2245),
    [sym_and] = STATE(2245),
    [sym_cmp] = STATE(2245),
    [sym_in] = STATE(2245),
    [sym_add] = STATE(2245),
    [sym_sub] = STATE(2245),
    [sym_mul] = STATE(2245),
    [sym_div] = STATE(2245),
    [sym_sign] = STATE(2245),
    [sym_call] = STATE(2245),
    [sym_field] = STATE(2245),
    [sym_label] = STATE(2245),
    [sym_content] = STATE(2245),
    [sym_group] = STATE(2245),
    [sym_block] = STATE(2245),
    [sym_branch] = STATE(2245),
    [sym_let] = STATE(2245),
    [sym_set] = STATE(2245),
    [sym_import] = STATE(2245),
    [sym_include] = STATE(2245),
    [sym_for] = STATE(2245),
    [sym_while] = STATE(2245),
    [sym_show] = STATE(2245),
    [sym_return] = STATE(2245),
    [sym_flow] = STATE(2245),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2515),
    [sym_none] = ACTIONS(2515),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [538] = {
    [sym_raw_blck] = STATE(2751),
    [sym_raw_span] = STATE(2751),
    [sym_math] = STATE(2751),
    [sym__expr] = STATE(2751),
    [sym_ident] = STATE(2751),
    [sym_bool] = STATE(2751),
    [sym_number] = STATE(2751),
    [sym_string] = STATE(2751),
    [sym_tagged] = STATE(2751),
    [sym_context] = STATE(2751),
    [sym_elude] = STATE(2751),
    [sym_assign] = STATE(2751),
    [sym_lambda] = STATE(2751),
    [sym_or] = STATE(2751),
    [sym_not] = STATE(2751),
    [sym_and] = STATE(2751),
    [sym_cmp] = STATE(2751),
    [sym_in] = STATE(2751),
    [sym_add] = STATE(2751),
    [sym_sub] = STATE(2751),
    [sym_mul] = STATE(2751),
    [sym_div] = STATE(2751),
    [sym_sign] = STATE(2751),
    [sym_call] = STATE(2751),
    [sym_field] = STATE(2751),
    [sym_label] = STATE(2751),
    [sym_content] = STATE(2751),
    [sym_group] = STATE(2751),
    [sym_block] = STATE(2751),
    [sym_branch] = STATE(2751),
    [sym_let] = STATE(2751),
    [sym_set] = STATE(2751),
    [sym_import] = STATE(2751),
    [sym_include] = STATE(2751),
    [sym_for] = STATE(2751),
    [sym_while] = STATE(2751),
    [sym_show] = STATE(2751),
    [sym_return] = STATE(2751),
    [sym_flow] = STATE(2751),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2517),
    [sym_none] = ACTIONS(2517),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [539] = {
    [sym_raw_blck] = STATE(1639),
    [sym_raw_span] = STATE(1639),
    [sym_math] = STATE(1639),
    [sym__expr] = STATE(1639),
    [sym_ident] = STATE(1639),
    [sym_bool] = STATE(1639),
    [sym_number] = STATE(1639),
    [sym_string] = STATE(1639),
    [sym_tagged] = STATE(1639),
    [sym_context] = STATE(1639),
    [sym_elude] = STATE(1639),
    [sym_assign] = STATE(1639),
    [sym_lambda] = STATE(1639),
    [sym_or] = STATE(1639),
    [sym_not] = STATE(1639),
    [sym_and] = STATE(1639),
    [sym_cmp] = STATE(1639),
    [sym_in] = STATE(1639),
    [sym_add] = STATE(1639),
    [sym_sub] = STATE(1639),
    [sym_mul] = STATE(1639),
    [sym_div] = STATE(1639),
    [sym_sign] = STATE(1639),
    [sym_call] = STATE(1639),
    [sym_field] = STATE(1639),
    [sym_label] = STATE(1639),
    [sym_content] = STATE(1639),
    [sym_group] = STATE(1639),
    [sym_block] = STATE(1639),
    [sym_branch] = STATE(1639),
    [sym_let] = STATE(1639),
    [sym_set] = STATE(1639),
    [sym_import] = STATE(1639),
    [sym_include] = STATE(1639),
    [sym_for] = STATE(1639),
    [sym_while] = STATE(1639),
    [sym_show] = STATE(1639),
    [sym_return] = STATE(1639),
    [sym_flow] = STATE(1639),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2519),
    [sym_none] = ACTIONS(2519),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [540] = {
    [sym_raw_blck] = STATE(2241),
    [sym_raw_span] = STATE(2241),
    [sym_math] = STATE(2241),
    [sym__expr] = STATE(2241),
    [sym_ident] = STATE(2241),
    [sym_bool] = STATE(2241),
    [sym_number] = STATE(2241),
    [sym_string] = STATE(2241),
    [sym_tagged] = STATE(2241),
    [sym_context] = STATE(2241),
    [sym_elude] = STATE(2241),
    [sym_assign] = STATE(2241),
    [sym_lambda] = STATE(2241),
    [sym_or] = STATE(2241),
    [sym_not] = STATE(2241),
    [sym_and] = STATE(2241),
    [sym_cmp] = STATE(2241),
    [sym_in] = STATE(2241),
    [sym_add] = STATE(2241),
    [sym_sub] = STATE(2241),
    [sym_mul] = STATE(2241),
    [sym_div] = STATE(2241),
    [sym_sign] = STATE(2241),
    [sym_call] = STATE(2241),
    [sym_field] = STATE(2241),
    [sym_label] = STATE(2241),
    [sym_content] = STATE(2241),
    [sym_group] = STATE(2241),
    [sym_block] = STATE(2241),
    [sym_branch] = STATE(2241),
    [sym_let] = STATE(2241),
    [sym_set] = STATE(2241),
    [sym_import] = STATE(2241),
    [sym_include] = STATE(2241),
    [sym_for] = STATE(2241),
    [sym_while] = STATE(2241),
    [sym_show] = STATE(2241),
    [sym_return] = STATE(2241),
    [sym_flow] = STATE(2241),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2521),
    [sym_none] = ACTIONS(2521),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [541] = {
    [sym_raw_blck] = STATE(2806),
    [sym_raw_span] = STATE(2806),
    [sym_math] = STATE(2806),
    [sym__expr] = STATE(2806),
    [sym_ident] = STATE(2806),
    [sym_bool] = STATE(2806),
    [sym_number] = STATE(2806),
    [sym_string] = STATE(2806),
    [sym_tagged] = STATE(2806),
    [sym_context] = STATE(2806),
    [sym_elude] = STATE(2806),
    [sym_assign] = STATE(2806),
    [sym_lambda] = STATE(2806),
    [sym_or] = STATE(2806),
    [sym_not] = STATE(2806),
    [sym_and] = STATE(2806),
    [sym_cmp] = STATE(2806),
    [sym_in] = STATE(2806),
    [sym_add] = STATE(2806),
    [sym_sub] = STATE(2806),
    [sym_mul] = STATE(2806),
    [sym_div] = STATE(2806),
    [sym_sign] = STATE(2806),
    [sym_call] = STATE(2806),
    [sym_field] = STATE(2806),
    [sym_label] = STATE(2806),
    [sym_content] = STATE(2806),
    [sym_group] = STATE(2806),
    [sym_block] = STATE(2806),
    [sym_branch] = STATE(2806),
    [sym_let] = STATE(2806),
    [sym_set] = STATE(2806),
    [sym_import] = STATE(2806),
    [sym_include] = STATE(2806),
    [sym_for] = STATE(2806),
    [sym_while] = STATE(2806),
    [sym_show] = STATE(2806),
    [sym_return] = STATE(2806),
    [sym_flow] = STATE(2806),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2523),
    [sym_none] = ACTIONS(2523),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [542] = {
    [sym_raw_blck] = STATE(2807),
    [sym_raw_span] = STATE(2807),
    [sym_math] = STATE(2807),
    [sym__expr] = STATE(2807),
    [sym_ident] = STATE(2807),
    [sym_bool] = STATE(2807),
    [sym_number] = STATE(2807),
    [sym_string] = STATE(2807),
    [sym_tagged] = STATE(2807),
    [sym_context] = STATE(2807),
    [sym_elude] = STATE(2807),
    [sym_assign] = STATE(2807),
    [sym_lambda] = STATE(2807),
    [sym_or] = STATE(2807),
    [sym_not] = STATE(2807),
    [sym_and] = STATE(2807),
    [sym_cmp] = STATE(2807),
    [sym_in] = STATE(2807),
    [sym_add] = STATE(2807),
    [sym_sub] = STATE(2807),
    [sym_mul] = STATE(2807),
    [sym_div] = STATE(2807),
    [sym_sign] = STATE(2807),
    [sym_call] = STATE(2807),
    [sym_field] = STATE(2807),
    [sym_label] = STATE(2807),
    [sym_content] = STATE(2807),
    [sym_group] = STATE(2807),
    [sym_block] = STATE(2807),
    [sym_branch] = STATE(2807),
    [sym_let] = STATE(2807),
    [sym_set] = STATE(2807),
    [sym_import] = STATE(2807),
    [sym_include] = STATE(2807),
    [sym_for] = STATE(2807),
    [sym_while] = STATE(2807),
    [sym_show] = STATE(2807),
    [sym_return] = STATE(2807),
    [sym_flow] = STATE(2807),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2525),
    [sym_none] = ACTIONS(2525),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [543] = {
    [sym_raw_blck] = STATE(2808),
    [sym_raw_span] = STATE(2808),
    [sym_math] = STATE(2808),
    [sym__expr] = STATE(2808),
    [sym_ident] = STATE(2808),
    [sym_bool] = STATE(2808),
    [sym_number] = STATE(2808),
    [sym_string] = STATE(2808),
    [sym_tagged] = STATE(2808),
    [sym_context] = STATE(2808),
    [sym_elude] = STATE(2808),
    [sym_assign] = STATE(2808),
    [sym_lambda] = STATE(2808),
    [sym_or] = STATE(2808),
    [sym_not] = STATE(2808),
    [sym_and] = STATE(2808),
    [sym_cmp] = STATE(2808),
    [sym_in] = STATE(2808),
    [sym_add] = STATE(2808),
    [sym_sub] = STATE(2808),
    [sym_mul] = STATE(2808),
    [sym_div] = STATE(2808),
    [sym_sign] = STATE(2808),
    [sym_call] = STATE(2808),
    [sym_field] = STATE(2808),
    [sym_label] = STATE(2808),
    [sym_content] = STATE(2808),
    [sym_group] = STATE(2808),
    [sym_block] = STATE(2808),
    [sym_branch] = STATE(2808),
    [sym_let] = STATE(2808),
    [sym_set] = STATE(2808),
    [sym_import] = STATE(2808),
    [sym_include] = STATE(2808),
    [sym_for] = STATE(2808),
    [sym_while] = STATE(2808),
    [sym_show] = STATE(2808),
    [sym_return] = STATE(2808),
    [sym_flow] = STATE(2808),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2527),
    [sym_none] = ACTIONS(2527),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [544] = {
    [sym_raw_blck] = STATE(2810),
    [sym_raw_span] = STATE(2810),
    [sym_math] = STATE(2810),
    [sym__expr] = STATE(2810),
    [sym_ident] = STATE(2810),
    [sym_bool] = STATE(2810),
    [sym_number] = STATE(2810),
    [sym_string] = STATE(2810),
    [sym_tagged] = STATE(2810),
    [sym_context] = STATE(2810),
    [sym_elude] = STATE(2810),
    [sym_assign] = STATE(2810),
    [sym_lambda] = STATE(2810),
    [sym_or] = STATE(2810),
    [sym_not] = STATE(2810),
    [sym_and] = STATE(2810),
    [sym_cmp] = STATE(2810),
    [sym_in] = STATE(2810),
    [sym_add] = STATE(2810),
    [sym_sub] = STATE(2810),
    [sym_mul] = STATE(2810),
    [sym_div] = STATE(2810),
    [sym_sign] = STATE(2810),
    [sym_call] = STATE(2810),
    [sym_field] = STATE(2810),
    [sym_label] = STATE(2810),
    [sym_content] = STATE(2810),
    [sym_group] = STATE(2810),
    [sym_block] = STATE(2810),
    [sym_branch] = STATE(2810),
    [sym_let] = STATE(2810),
    [sym_set] = STATE(2810),
    [sym_import] = STATE(2810),
    [sym_include] = STATE(2810),
    [sym_for] = STATE(2810),
    [sym_while] = STATE(2810),
    [sym_show] = STATE(2810),
    [sym_return] = STATE(2810),
    [sym_flow] = STATE(2810),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2529),
    [sym_none] = ACTIONS(2529),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [545] = {
    [sym_raw_blck] = STATE(2817),
    [sym_raw_span] = STATE(2817),
    [sym_math] = STATE(2817),
    [sym__expr] = STATE(2817),
    [sym_ident] = STATE(2817),
    [sym_bool] = STATE(2817),
    [sym_number] = STATE(2817),
    [sym_string] = STATE(2817),
    [sym_tagged] = STATE(2817),
    [sym_context] = STATE(2817),
    [sym_elude] = STATE(2817),
    [sym_assign] = STATE(2817),
    [sym_lambda] = STATE(2817),
    [sym_or] = STATE(2817),
    [sym_not] = STATE(2817),
    [sym_and] = STATE(2817),
    [sym_cmp] = STATE(2817),
    [sym_in] = STATE(2817),
    [sym_add] = STATE(2817),
    [sym_sub] = STATE(2817),
    [sym_mul] = STATE(2817),
    [sym_div] = STATE(2817),
    [sym_sign] = STATE(2817),
    [sym_call] = STATE(2817),
    [sym_field] = STATE(2817),
    [sym_label] = STATE(2817),
    [sym_content] = STATE(2817),
    [sym_group] = STATE(2817),
    [sym_block] = STATE(2817),
    [sym_branch] = STATE(2817),
    [sym_let] = STATE(2817),
    [sym_set] = STATE(2817),
    [sym_import] = STATE(2817),
    [sym_include] = STATE(2817),
    [sym_for] = STATE(2817),
    [sym_while] = STATE(2817),
    [sym_show] = STATE(2817),
    [sym_return] = STATE(2817),
    [sym_flow] = STATE(2817),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2531),
    [sym_none] = ACTIONS(2531),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [546] = {
    [sym_raw_blck] = STATE(2819),
    [sym_raw_span] = STATE(2819),
    [sym_math] = STATE(2819),
    [sym__expr] = STATE(2819),
    [sym_ident] = STATE(2819),
    [sym_bool] = STATE(2819),
    [sym_number] = STATE(2819),
    [sym_string] = STATE(2819),
    [sym_tagged] = STATE(2819),
    [sym_context] = STATE(2819),
    [sym_elude] = STATE(2819),
    [sym_assign] = STATE(2819),
    [sym_lambda] = STATE(2819),
    [sym_or] = STATE(2819),
    [sym_not] = STATE(2819),
    [sym_and] = STATE(2819),
    [sym_cmp] = STATE(2819),
    [sym_in] = STATE(2819),
    [sym_add] = STATE(2819),
    [sym_sub] = STATE(2819),
    [sym_mul] = STATE(2819),
    [sym_div] = STATE(2819),
    [sym_sign] = STATE(2819),
    [sym_call] = STATE(2819),
    [sym_field] = STATE(2819),
    [sym_label] = STATE(2819),
    [sym_content] = STATE(2819),
    [sym_group] = STATE(2819),
    [sym_block] = STATE(2819),
    [sym_branch] = STATE(2819),
    [sym_let] = STATE(2819),
    [sym_set] = STATE(2819),
    [sym_import] = STATE(2819),
    [sym_include] = STATE(2819),
    [sym_for] = STATE(2819),
    [sym_while] = STATE(2819),
    [sym_show] = STATE(2819),
    [sym_return] = STATE(2819),
    [sym_flow] = STATE(2819),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2533),
    [sym_none] = ACTIONS(2533),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [547] = {
    [sym_raw_blck] = STATE(2820),
    [sym_raw_span] = STATE(2820),
    [sym_math] = STATE(2820),
    [sym__expr] = STATE(2820),
    [sym_ident] = STATE(2820),
    [sym_bool] = STATE(2820),
    [sym_number] = STATE(2820),
    [sym_string] = STATE(2820),
    [sym_tagged] = STATE(2820),
    [sym_context] = STATE(2820),
    [sym_elude] = STATE(2820),
    [sym_assign] = STATE(2820),
    [sym_lambda] = STATE(2820),
    [sym_or] = STATE(2820),
    [sym_not] = STATE(2820),
    [sym_and] = STATE(2820),
    [sym_cmp] = STATE(2820),
    [sym_in] = STATE(2820),
    [sym_add] = STATE(2820),
    [sym_sub] = STATE(2820),
    [sym_mul] = STATE(2820),
    [sym_div] = STATE(2820),
    [sym_sign] = STATE(2820),
    [sym_call] = STATE(2820),
    [sym_field] = STATE(2820),
    [sym_label] = STATE(2820),
    [sym_content] = STATE(2820),
    [sym_group] = STATE(2820),
    [sym_block] = STATE(2820),
    [sym_branch] = STATE(2820),
    [sym_let] = STATE(2820),
    [sym_set] = STATE(2820),
    [sym_import] = STATE(2820),
    [sym_include] = STATE(2820),
    [sym_for] = STATE(2820),
    [sym_while] = STATE(2820),
    [sym_show] = STATE(2820),
    [sym_return] = STATE(2820),
    [sym_flow] = STATE(2820),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2535),
    [sym_none] = ACTIONS(2535),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [548] = {
    [sym_raw_blck] = STATE(2822),
    [sym_raw_span] = STATE(2822),
    [sym_math] = STATE(2822),
    [sym__expr] = STATE(2822),
    [sym_ident] = STATE(2822),
    [sym_bool] = STATE(2822),
    [sym_number] = STATE(2822),
    [sym_string] = STATE(2822),
    [sym_tagged] = STATE(2822),
    [sym_context] = STATE(2822),
    [sym_elude] = STATE(2822),
    [sym_assign] = STATE(2822),
    [sym_lambda] = STATE(2822),
    [sym_or] = STATE(2822),
    [sym_not] = STATE(2822),
    [sym_and] = STATE(2822),
    [sym_cmp] = STATE(2822),
    [sym_in] = STATE(2822),
    [sym_add] = STATE(2822),
    [sym_sub] = STATE(2822),
    [sym_mul] = STATE(2822),
    [sym_div] = STATE(2822),
    [sym_sign] = STATE(2822),
    [sym_call] = STATE(2822),
    [sym_field] = STATE(2822),
    [sym_label] = STATE(2822),
    [sym_content] = STATE(2822),
    [sym_group] = STATE(2822),
    [sym_block] = STATE(2822),
    [sym_branch] = STATE(2822),
    [sym_let] = STATE(2822),
    [sym_set] = STATE(2822),
    [sym_import] = STATE(2822),
    [sym_include] = STATE(2822),
    [sym_for] = STATE(2822),
    [sym_while] = STATE(2822),
    [sym_show] = STATE(2822),
    [sym_return] = STATE(2822),
    [sym_flow] = STATE(2822),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2537),
    [sym_none] = ACTIONS(2537),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [549] = {
    [sym_raw_blck] = STATE(2823),
    [sym_raw_span] = STATE(2823),
    [sym_math] = STATE(2823),
    [sym__expr] = STATE(2823),
    [sym_ident] = STATE(2823),
    [sym_bool] = STATE(2823),
    [sym_number] = STATE(2823),
    [sym_string] = STATE(2823),
    [sym_tagged] = STATE(2823),
    [sym_context] = STATE(2823),
    [sym_elude] = STATE(2823),
    [sym_assign] = STATE(2823),
    [sym_lambda] = STATE(2823),
    [sym_or] = STATE(2823),
    [sym_not] = STATE(2823),
    [sym_and] = STATE(2823),
    [sym_cmp] = STATE(2823),
    [sym_in] = STATE(2823),
    [sym_add] = STATE(2823),
    [sym_sub] = STATE(2823),
    [sym_mul] = STATE(2823),
    [sym_div] = STATE(2823),
    [sym_sign] = STATE(2823),
    [sym_call] = STATE(2823),
    [sym_field] = STATE(2823),
    [sym_label] = STATE(2823),
    [sym_content] = STATE(2823),
    [sym_group] = STATE(2823),
    [sym_block] = STATE(2823),
    [sym_branch] = STATE(2823),
    [sym_let] = STATE(2823),
    [sym_set] = STATE(2823),
    [sym_import] = STATE(2823),
    [sym_include] = STATE(2823),
    [sym_for] = STATE(2823),
    [sym_while] = STATE(2823),
    [sym_show] = STATE(2823),
    [sym_return] = STATE(2823),
    [sym_flow] = STATE(2823),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2539),
    [sym_none] = ACTIONS(2539),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [550] = {
    [sym_raw_blck] = STATE(2828),
    [sym_raw_span] = STATE(2828),
    [sym_math] = STATE(2828),
    [sym__expr] = STATE(2828),
    [sym_ident] = STATE(2828),
    [sym_bool] = STATE(2828),
    [sym_number] = STATE(2828),
    [sym_string] = STATE(2828),
    [sym_tagged] = STATE(2828),
    [sym_context] = STATE(2828),
    [sym_elude] = STATE(2828),
    [sym_assign] = STATE(2828),
    [sym_lambda] = STATE(2828),
    [sym_or] = STATE(2828),
    [sym_not] = STATE(2828),
    [sym_and] = STATE(2828),
    [sym_cmp] = STATE(2828),
    [sym_in] = STATE(2828),
    [sym_add] = STATE(2828),
    [sym_sub] = STATE(2828),
    [sym_mul] = STATE(2828),
    [sym_div] = STATE(2828),
    [sym_sign] = STATE(2828),
    [sym_call] = STATE(2828),
    [sym_field] = STATE(2828),
    [sym_label] = STATE(2828),
    [sym_content] = STATE(2828),
    [sym_group] = STATE(2828),
    [sym_block] = STATE(2828),
    [sym_branch] = STATE(2828),
    [sym_let] = STATE(2828),
    [sym_set] = STATE(2828),
    [sym_import] = STATE(2828),
    [sym_include] = STATE(2828),
    [sym_for] = STATE(2828),
    [sym_while] = STATE(2828),
    [sym_show] = STATE(2828),
    [sym_return] = STATE(2828),
    [sym_flow] = STATE(2828),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2541),
    [sym_none] = ACTIONS(2541),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [551] = {
    [sym_raw_blck] = STATE(2831),
    [sym_raw_span] = STATE(2831),
    [sym_math] = STATE(2831),
    [sym__expr] = STATE(2831),
    [sym_ident] = STATE(2831),
    [sym_bool] = STATE(2831),
    [sym_number] = STATE(2831),
    [sym_string] = STATE(2831),
    [sym_tagged] = STATE(2831),
    [sym_context] = STATE(2831),
    [sym_elude] = STATE(2831),
    [sym_assign] = STATE(2831),
    [sym_lambda] = STATE(2831),
    [sym_or] = STATE(2831),
    [sym_not] = STATE(2831),
    [sym_and] = STATE(2831),
    [sym_cmp] = STATE(2831),
    [sym_in] = STATE(2831),
    [sym_add] = STATE(2831),
    [sym_sub] = STATE(2831),
    [sym_mul] = STATE(2831),
    [sym_div] = STATE(2831),
    [sym_sign] = STATE(2831),
    [sym_call] = STATE(2831),
    [sym_field] = STATE(2831),
    [sym_label] = STATE(2831),
    [sym_content] = STATE(2831),
    [sym_group] = STATE(2831),
    [sym_block] = STATE(2831),
    [sym_branch] = STATE(2831),
    [sym_let] = STATE(2831),
    [sym_set] = STATE(2831),
    [sym_import] = STATE(2831),
    [sym_include] = STATE(2831),
    [sym_for] = STATE(2831),
    [sym_while] = STATE(2831),
    [sym_show] = STATE(2831),
    [sym_return] = STATE(2831),
    [sym_flow] = STATE(2831),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2543),
    [sym_none] = ACTIONS(2543),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [552] = {
    [sym_raw_blck] = STATE(2240),
    [sym_raw_span] = STATE(2240),
    [sym_math] = STATE(2240),
    [sym__expr] = STATE(2240),
    [sym_ident] = STATE(2240),
    [sym_bool] = STATE(2240),
    [sym_number] = STATE(2240),
    [sym_string] = STATE(2240),
    [sym_tagged] = STATE(2240),
    [sym_context] = STATE(2240),
    [sym_elude] = STATE(2240),
    [sym_assign] = STATE(2240),
    [sym_lambda] = STATE(2240),
    [sym_or] = STATE(2240),
    [sym_not] = STATE(2240),
    [sym_and] = STATE(2240),
    [sym_cmp] = STATE(2240),
    [sym_in] = STATE(2240),
    [sym_add] = STATE(2240),
    [sym_sub] = STATE(2240),
    [sym_mul] = STATE(2240),
    [sym_div] = STATE(2240),
    [sym_sign] = STATE(2240),
    [sym_call] = STATE(2240),
    [sym_field] = STATE(2240),
    [sym_label] = STATE(2240),
    [sym_content] = STATE(2240),
    [sym_group] = STATE(2240),
    [sym_block] = STATE(2240),
    [sym_branch] = STATE(2240),
    [sym_let] = STATE(2240),
    [sym_set] = STATE(2240),
    [sym_import] = STATE(2240),
    [sym_include] = STATE(2240),
    [sym_for] = STATE(2240),
    [sym_while] = STATE(2240),
    [sym_show] = STATE(2240),
    [sym_return] = STATE(2240),
    [sym_flow] = STATE(2240),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2545),
    [sym_none] = ACTIONS(2545),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [553] = {
    [sym_raw_blck] = STATE(2239),
    [sym_raw_span] = STATE(2239),
    [sym_math] = STATE(2239),
    [sym__expr] = STATE(2239),
    [sym_ident] = STATE(2239),
    [sym_bool] = STATE(2239),
    [sym_number] = STATE(2239),
    [sym_string] = STATE(2239),
    [sym_tagged] = STATE(2239),
    [sym_context] = STATE(2239),
    [sym_elude] = STATE(2239),
    [sym_assign] = STATE(2239),
    [sym_lambda] = STATE(2239),
    [sym_or] = STATE(2239),
    [sym_not] = STATE(2239),
    [sym_and] = STATE(2239),
    [sym_cmp] = STATE(2239),
    [sym_in] = STATE(2239),
    [sym_add] = STATE(2239),
    [sym_sub] = STATE(2239),
    [sym_mul] = STATE(2239),
    [sym_div] = STATE(2239),
    [sym_sign] = STATE(2239),
    [sym_call] = STATE(2239),
    [sym_field] = STATE(2239),
    [sym_label] = STATE(2239),
    [sym_content] = STATE(2239),
    [sym_group] = STATE(2239),
    [sym_block] = STATE(2239),
    [sym_branch] = STATE(2239),
    [sym_let] = STATE(2239),
    [sym_set] = STATE(2239),
    [sym_import] = STATE(2239),
    [sym_include] = STATE(2239),
    [sym_for] = STATE(2239),
    [sym_while] = STATE(2239),
    [sym_show] = STATE(2239),
    [sym_return] = STATE(2239),
    [sym_flow] = STATE(2239),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2547),
    [sym_none] = ACTIONS(2547),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [554] = {
    [sym_raw_blck] = STATE(2238),
    [sym_raw_span] = STATE(2238),
    [sym_math] = STATE(2238),
    [sym__expr] = STATE(2238),
    [sym_ident] = STATE(2238),
    [sym_bool] = STATE(2238),
    [sym_number] = STATE(2238),
    [sym_string] = STATE(2238),
    [sym_tagged] = STATE(2238),
    [sym_context] = STATE(2238),
    [sym_elude] = STATE(2238),
    [sym_assign] = STATE(2238),
    [sym_lambda] = STATE(2238),
    [sym_or] = STATE(2238),
    [sym_not] = STATE(2238),
    [sym_and] = STATE(2238),
    [sym_cmp] = STATE(2238),
    [sym_in] = STATE(2238),
    [sym_add] = STATE(2238),
    [sym_sub] = STATE(2238),
    [sym_mul] = STATE(2238),
    [sym_div] = STATE(2238),
    [sym_sign] = STATE(2238),
    [sym_call] = STATE(2238),
    [sym_field] = STATE(2238),
    [sym_label] = STATE(2238),
    [sym_content] = STATE(2238),
    [sym_group] = STATE(2238),
    [sym_block] = STATE(2238),
    [sym_branch] = STATE(2238),
    [sym_let] = STATE(2238),
    [sym_set] = STATE(2238),
    [sym_import] = STATE(2238),
    [sym_include] = STATE(2238),
    [sym_for] = STATE(2238),
    [sym_while] = STATE(2238),
    [sym_show] = STATE(2238),
    [sym_return] = STATE(2238),
    [sym_flow] = STATE(2238),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2549),
    [sym_none] = ACTIONS(2549),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [555] = {
    [sym_raw_blck] = STATE(2237),
    [sym_raw_span] = STATE(2237),
    [sym_math] = STATE(2237),
    [sym__expr] = STATE(2237),
    [sym_ident] = STATE(2237),
    [sym_bool] = STATE(2237),
    [sym_number] = STATE(2237),
    [sym_string] = STATE(2237),
    [sym_tagged] = STATE(2237),
    [sym_context] = STATE(2237),
    [sym_elude] = STATE(2237),
    [sym_assign] = STATE(2237),
    [sym_lambda] = STATE(2237),
    [sym_or] = STATE(2237),
    [sym_not] = STATE(2237),
    [sym_and] = STATE(2237),
    [sym_cmp] = STATE(2237),
    [sym_in] = STATE(2237),
    [sym_add] = STATE(2237),
    [sym_sub] = STATE(2237),
    [sym_mul] = STATE(2237),
    [sym_div] = STATE(2237),
    [sym_sign] = STATE(2237),
    [sym_call] = STATE(2237),
    [sym_field] = STATE(2237),
    [sym_label] = STATE(2237),
    [sym_content] = STATE(2237),
    [sym_group] = STATE(2237),
    [sym_block] = STATE(2237),
    [sym_branch] = STATE(2237),
    [sym_let] = STATE(2237),
    [sym_set] = STATE(2237),
    [sym_import] = STATE(2237),
    [sym_include] = STATE(2237),
    [sym_for] = STATE(2237),
    [sym_while] = STATE(2237),
    [sym_show] = STATE(2237),
    [sym_return] = STATE(2237),
    [sym_flow] = STATE(2237),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2551),
    [sym_none] = ACTIONS(2551),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [556] = {
    [sym_raw_blck] = STATE(2236),
    [sym_raw_span] = STATE(2236),
    [sym_math] = STATE(2236),
    [sym__expr] = STATE(2236),
    [sym_ident] = STATE(2236),
    [sym_bool] = STATE(2236),
    [sym_number] = STATE(2236),
    [sym_string] = STATE(2236),
    [sym_tagged] = STATE(2236),
    [sym_context] = STATE(2236),
    [sym_elude] = STATE(2236),
    [sym_assign] = STATE(2236),
    [sym_lambda] = STATE(2236),
    [sym_or] = STATE(2236),
    [sym_not] = STATE(2236),
    [sym_and] = STATE(2236),
    [sym_cmp] = STATE(2236),
    [sym_in] = STATE(2236),
    [sym_add] = STATE(2236),
    [sym_sub] = STATE(2236),
    [sym_mul] = STATE(2236),
    [sym_div] = STATE(2236),
    [sym_sign] = STATE(2236),
    [sym_call] = STATE(2236),
    [sym_field] = STATE(2236),
    [sym_label] = STATE(2236),
    [sym_content] = STATE(2236),
    [sym_group] = STATE(2236),
    [sym_block] = STATE(2236),
    [sym_branch] = STATE(2236),
    [sym_let] = STATE(2236),
    [sym_set] = STATE(2236),
    [sym_import] = STATE(2236),
    [sym_include] = STATE(2236),
    [sym_for] = STATE(2236),
    [sym_while] = STATE(2236),
    [sym_show] = STATE(2236),
    [sym_return] = STATE(2236),
    [sym_flow] = STATE(2236),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2553),
    [sym_none] = ACTIONS(2553),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [557] = {
    [sym_raw_blck] = STATE(2235),
    [sym_raw_span] = STATE(2235),
    [sym_math] = STATE(2235),
    [sym__expr] = STATE(2235),
    [sym_ident] = STATE(2235),
    [sym_bool] = STATE(2235),
    [sym_number] = STATE(2235),
    [sym_string] = STATE(2235),
    [sym_tagged] = STATE(2235),
    [sym_context] = STATE(2235),
    [sym_elude] = STATE(2235),
    [sym_assign] = STATE(2235),
    [sym_lambda] = STATE(2235),
    [sym_or] = STATE(2235),
    [sym_not] = STATE(2235),
    [sym_and] = STATE(2235),
    [sym_cmp] = STATE(2235),
    [sym_in] = STATE(2235),
    [sym_add] = STATE(2235),
    [sym_sub] = STATE(2235),
    [sym_mul] = STATE(2235),
    [sym_div] = STATE(2235),
    [sym_sign] = STATE(2235),
    [sym_call] = STATE(2235),
    [sym_field] = STATE(2235),
    [sym_label] = STATE(2235),
    [sym_content] = STATE(2235),
    [sym_group] = STATE(2235),
    [sym_block] = STATE(2235),
    [sym_branch] = STATE(2235),
    [sym_let] = STATE(2235),
    [sym_set] = STATE(2235),
    [sym_import] = STATE(2235),
    [sym_include] = STATE(2235),
    [sym_for] = STATE(2235),
    [sym_while] = STATE(2235),
    [sym_show] = STATE(2235),
    [sym_return] = STATE(2235),
    [sym_flow] = STATE(2235),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2555),
    [sym_none] = ACTIONS(2555),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [558] = {
    [sym_raw_blck] = STATE(2233),
    [sym_raw_span] = STATE(2233),
    [sym_math] = STATE(2233),
    [sym__expr] = STATE(2233),
    [sym_ident] = STATE(2233),
    [sym_bool] = STATE(2233),
    [sym_number] = STATE(2233),
    [sym_string] = STATE(2233),
    [sym_tagged] = STATE(2233),
    [sym_context] = STATE(2233),
    [sym_elude] = STATE(2233),
    [sym_assign] = STATE(2233),
    [sym_lambda] = STATE(2233),
    [sym_or] = STATE(2233),
    [sym_not] = STATE(2233),
    [sym_and] = STATE(2233),
    [sym_cmp] = STATE(2233),
    [sym_in] = STATE(2233),
    [sym_add] = STATE(2233),
    [sym_sub] = STATE(2233),
    [sym_mul] = STATE(2233),
    [sym_div] = STATE(2233),
    [sym_sign] = STATE(2233),
    [sym_call] = STATE(2233),
    [sym_field] = STATE(2233),
    [sym_label] = STATE(2233),
    [sym_content] = STATE(2233),
    [sym_group] = STATE(2233),
    [sym_block] = STATE(2233),
    [sym_branch] = STATE(2233),
    [sym_let] = STATE(2233),
    [sym_set] = STATE(2233),
    [sym_import] = STATE(2233),
    [sym_include] = STATE(2233),
    [sym_for] = STATE(2233),
    [sym_while] = STATE(2233),
    [sym_show] = STATE(2233),
    [sym_return] = STATE(2233),
    [sym_flow] = STATE(2233),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2557),
    [sym_none] = ACTIONS(2557),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [559] = {
    [sym_raw_blck] = STATE(2229),
    [sym_raw_span] = STATE(2229),
    [sym_math] = STATE(2229),
    [sym__expr] = STATE(2229),
    [sym_ident] = STATE(2229),
    [sym_bool] = STATE(2229),
    [sym_number] = STATE(2229),
    [sym_string] = STATE(2229),
    [sym_tagged] = STATE(2229),
    [sym_context] = STATE(2229),
    [sym_elude] = STATE(2229),
    [sym_assign] = STATE(2229),
    [sym_lambda] = STATE(2229),
    [sym_or] = STATE(2229),
    [sym_not] = STATE(2229),
    [sym_and] = STATE(2229),
    [sym_cmp] = STATE(2229),
    [sym_in] = STATE(2229),
    [sym_add] = STATE(2229),
    [sym_sub] = STATE(2229),
    [sym_mul] = STATE(2229),
    [sym_div] = STATE(2229),
    [sym_sign] = STATE(2229),
    [sym_call] = STATE(2229),
    [sym_field] = STATE(2229),
    [sym_label] = STATE(2229),
    [sym_content] = STATE(2229),
    [sym_group] = STATE(2229),
    [sym_block] = STATE(2229),
    [sym_branch] = STATE(2229),
    [sym_let] = STATE(2229),
    [sym_set] = STATE(2229),
    [sym_import] = STATE(2229),
    [sym_include] = STATE(2229),
    [sym_for] = STATE(2229),
    [sym_while] = STATE(2229),
    [sym_show] = STATE(2229),
    [sym_return] = STATE(2229),
    [sym_flow] = STATE(2229),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2559),
    [sym_none] = ACTIONS(2559),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [560] = {
    [sym_raw_blck] = STATE(3047),
    [sym_raw_span] = STATE(3047),
    [sym_math] = STATE(3047),
    [sym__expr] = STATE(3047),
    [sym_ident] = STATE(3047),
    [sym_bool] = STATE(3047),
    [sym_number] = STATE(3047),
    [sym_string] = STATE(3047),
    [sym_tagged] = STATE(3047),
    [sym_context] = STATE(3047),
    [sym_elude] = STATE(3047),
    [sym_assign] = STATE(3047),
    [sym_lambda] = STATE(3047),
    [sym_or] = STATE(3047),
    [sym_not] = STATE(3047),
    [sym_and] = STATE(3047),
    [sym_cmp] = STATE(3047),
    [sym_in] = STATE(3047),
    [sym_add] = STATE(3047),
    [sym_sub] = STATE(3047),
    [sym_mul] = STATE(3047),
    [sym_div] = STATE(3047),
    [sym_sign] = STATE(3047),
    [sym_call] = STATE(2368),
    [sym_field] = STATE(3047),
    [sym_label] = STATE(3047),
    [sym_content] = STATE(3047),
    [sym_group] = STATE(3047),
    [sym_block] = STATE(3047),
    [sym_branch] = STATE(3047),
    [sym_let] = STATE(3047),
    [sym_set] = STATE(3047),
    [sym_import] = STATE(3047),
    [sym_include] = STATE(3047),
    [sym_for] = STATE(3047),
    [sym_while] = STATE(3047),
    [sym_show] = STATE(3047),
    [sym_return] = STATE(3047),
    [sym_flow] = STATE(3047),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2561),
    [sym_none] = ACTIONS(2561),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [561] = {
    [sym_raw_blck] = STATE(1640),
    [sym_raw_span] = STATE(1640),
    [sym_math] = STATE(1640),
    [sym__expr] = STATE(1640),
    [sym_ident] = STATE(1640),
    [sym_bool] = STATE(1640),
    [sym_number] = STATE(1640),
    [sym_string] = STATE(1640),
    [sym_tagged] = STATE(1640),
    [sym_context] = STATE(1640),
    [sym_elude] = STATE(1640),
    [sym_assign] = STATE(1640),
    [sym_lambda] = STATE(1640),
    [sym_or] = STATE(1640),
    [sym_not] = STATE(1640),
    [sym_and] = STATE(1640),
    [sym_cmp] = STATE(1640),
    [sym_in] = STATE(1640),
    [sym_add] = STATE(1640),
    [sym_sub] = STATE(1640),
    [sym_mul] = STATE(1640),
    [sym_div] = STATE(1640),
    [sym_sign] = STATE(1640),
    [sym_call] = STATE(1640),
    [sym_field] = STATE(1640),
    [sym_label] = STATE(1640),
    [sym_content] = STATE(1640),
    [sym_group] = STATE(1640),
    [sym_block] = STATE(1640),
    [sym_branch] = STATE(1640),
    [sym_let] = STATE(1640),
    [sym_set] = STATE(1640),
    [sym_import] = STATE(1640),
    [sym_include] = STATE(1640),
    [sym_for] = STATE(1640),
    [sym_while] = STATE(1640),
    [sym_show] = STATE(1640),
    [sym_return] = STATE(1640),
    [sym_flow] = STATE(1640),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2563),
    [sym_none] = ACTIONS(2563),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [562] = {
    [sym_raw_blck] = STATE(1644),
    [sym_raw_span] = STATE(1644),
    [sym_math] = STATE(1644),
    [sym__expr] = STATE(1644),
    [sym_ident] = STATE(1644),
    [sym_bool] = STATE(1644),
    [sym_number] = STATE(1644),
    [sym_string] = STATE(1644),
    [sym_tagged] = STATE(1644),
    [sym_context] = STATE(1644),
    [sym_elude] = STATE(1644),
    [sym_assign] = STATE(1644),
    [sym_lambda] = STATE(1644),
    [sym_or] = STATE(1644),
    [sym_not] = STATE(1644),
    [sym_and] = STATE(1644),
    [sym_cmp] = STATE(1644),
    [sym_in] = STATE(1644),
    [sym_add] = STATE(1644),
    [sym_sub] = STATE(1644),
    [sym_mul] = STATE(1644),
    [sym_div] = STATE(1644),
    [sym_sign] = STATE(1644),
    [sym_call] = STATE(1644),
    [sym_field] = STATE(1644),
    [sym_label] = STATE(1644),
    [sym_content] = STATE(1644),
    [sym_group] = STATE(1644),
    [sym_block] = STATE(1644),
    [sym_branch] = STATE(1644),
    [sym_let] = STATE(1644),
    [sym_set] = STATE(1644),
    [sym_import] = STATE(1644),
    [sym_include] = STATE(1644),
    [sym_for] = STATE(1644),
    [sym_while] = STATE(1644),
    [sym_show] = STATE(1644),
    [sym_return] = STATE(1644),
    [sym_flow] = STATE(1644),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2565),
    [sym_none] = ACTIONS(2565),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [563] = {
    [sym_raw_blck] = STATE(1914),
    [sym_raw_span] = STATE(1914),
    [sym_math] = STATE(1914),
    [sym__expr] = STATE(1914),
    [sym_ident] = STATE(1914),
    [sym_bool] = STATE(1914),
    [sym_number] = STATE(1914),
    [sym_string] = STATE(1914),
    [sym_tagged] = STATE(1914),
    [sym_context] = STATE(1914),
    [sym_elude] = STATE(1914),
    [sym_assign] = STATE(1914),
    [sym_lambda] = STATE(1914),
    [sym_or] = STATE(1914),
    [sym_not] = STATE(1914),
    [sym_and] = STATE(1914),
    [sym_cmp] = STATE(1914),
    [sym_in] = STATE(1914),
    [sym_add] = STATE(1914),
    [sym_sub] = STATE(1914),
    [sym_mul] = STATE(1914),
    [sym_div] = STATE(1914),
    [sym_sign] = STATE(1914),
    [sym_call] = STATE(1914),
    [sym_field] = STATE(1914),
    [sym_label] = STATE(1914),
    [sym_content] = STATE(1914),
    [sym_group] = STATE(1914),
    [sym_block] = STATE(1914),
    [sym_branch] = STATE(1914),
    [sym_let] = STATE(1914),
    [sym_set] = STATE(1914),
    [sym_import] = STATE(1914),
    [sym_include] = STATE(1914),
    [sym_for] = STATE(1914),
    [sym_while] = STATE(1914),
    [sym_show] = STATE(1914),
    [sym_return] = STATE(1914),
    [sym_flow] = STATE(1914),
    [sym__identifier] = ACTIONS(337),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(339),
    [anon_sym_BQUOTE] = ACTIONS(341),
    [anon_sym_DOLLAR] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(345),
    [anon_sym_false] = ACTIONS(345),
    [aux_sym_number_token1] = ACTIONS(347),
    [anon_sym_DQUOTE] = ACTIONS(349),
    [anon_sym_context] = ACTIONS(351),
    [anon_sym_DOT_DOT] = ACTIONS(353),
    [anon_sym_not] = ACTIONS(355),
    [anon_sym_LT] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(363),
    [anon_sym_if] = ACTIONS(365),
    [anon_sym_let] = ACTIONS(367),
    [anon_sym_set] = ACTIONS(369),
    [anon_sym_import] = ACTIONS(371),
    [anon_sym_include] = ACTIONS(373),
    [anon_sym_for] = ACTIONS(375),
    [anon_sym_while] = ACTIONS(377),
    [anon_sym_show] = ACTIONS(379),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(383),
    [anon_sym_continue] = ACTIONS(383),
    [sym_auto] = ACTIONS(2567),
    [sym_none] = ACTIONS(2567),
    [sym__token_content] = ACTIONS(387),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [564] = {
    [sym_raw_blck] = STATE(2697),
    [sym_raw_span] = STATE(2697),
    [sym_math] = STATE(2697),
    [sym__expr] = STATE(2697),
    [sym_ident] = STATE(2697),
    [sym_bool] = STATE(2697),
    [sym_number] = STATE(2697),
    [sym_string] = STATE(2697),
    [sym_tagged] = STATE(2697),
    [sym_context] = STATE(2697),
    [sym_elude] = STATE(2697),
    [sym_assign] = STATE(2697),
    [sym_lambda] = STATE(2697),
    [sym_or] = STATE(2697),
    [sym_not] = STATE(2697),
    [sym_and] = STATE(2697),
    [sym_cmp] = STATE(2697),
    [sym_in] = STATE(2697),
    [sym_add] = STATE(2697),
    [sym_sub] = STATE(2697),
    [sym_mul] = STATE(2697),
    [sym_div] = STATE(2697),
    [sym_sign] = STATE(2697),
    [sym_call] = STATE(2697),
    [sym_field] = STATE(2697),
    [sym_label] = STATE(2697),
    [sym_content] = STATE(2697),
    [sym_group] = STATE(2697),
    [sym_block] = STATE(2697),
    [sym_branch] = STATE(2697),
    [sym_let] = STATE(2697),
    [sym_set] = STATE(2697),
    [sym_import] = STATE(2697),
    [sym_include] = STATE(2697),
    [sym_for] = STATE(2697),
    [sym_while] = STATE(2697),
    [sym_show] = STATE(2697),
    [sym_return] = STATE(2697),
    [sym_flow] = STATE(2697),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2569),
    [sym_none] = ACTIONS(2569),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [565] = {
    [sym_raw_blck] = STATE(2316),
    [sym_raw_span] = STATE(2316),
    [sym_math] = STATE(2316),
    [sym__expr] = STATE(2316),
    [sym_ident] = STATE(2316),
    [sym_bool] = STATE(2316),
    [sym_number] = STATE(2316),
    [sym_string] = STATE(2316),
    [sym_tagged] = STATE(2316),
    [sym_context] = STATE(2316),
    [sym_elude] = STATE(2316),
    [sym_assign] = STATE(2316),
    [sym_lambda] = STATE(2316),
    [sym_or] = STATE(2316),
    [sym_not] = STATE(2316),
    [sym_and] = STATE(2316),
    [sym_cmp] = STATE(2316),
    [sym_in] = STATE(2316),
    [sym_add] = STATE(2316),
    [sym_sub] = STATE(2316),
    [sym_mul] = STATE(2316),
    [sym_div] = STATE(2316),
    [sym_sign] = STATE(2316),
    [sym_call] = STATE(2316),
    [sym_field] = STATE(2316),
    [sym_label] = STATE(2316),
    [sym_content] = STATE(2316),
    [sym_group] = STATE(2316),
    [sym_block] = STATE(2316),
    [sym_branch] = STATE(2316),
    [sym_let] = STATE(2316),
    [sym_set] = STATE(2316),
    [sym_import] = STATE(2316),
    [sym_include] = STATE(2316),
    [sym_for] = STATE(2316),
    [sym_while] = STATE(2316),
    [sym_show] = STATE(2316),
    [sym_return] = STATE(2316),
    [sym_flow] = STATE(2316),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2571),
    [sym_none] = ACTIONS(2571),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [566] = {
    [sym_raw_blck] = STATE(1622),
    [sym_raw_span] = STATE(1622),
    [sym_math] = STATE(1622),
    [sym__expr] = STATE(1622),
    [sym_ident] = STATE(1622),
    [sym_bool] = STATE(1622),
    [sym_number] = STATE(1622),
    [sym_string] = STATE(1622),
    [sym_tagged] = STATE(1622),
    [sym_context] = STATE(1622),
    [sym_elude] = STATE(1622),
    [sym_assign] = STATE(1622),
    [sym_lambda] = STATE(1622),
    [sym_or] = STATE(1622),
    [sym_not] = STATE(1622),
    [sym_and] = STATE(1622),
    [sym_cmp] = STATE(1622),
    [sym_in] = STATE(1622),
    [sym_add] = STATE(1622),
    [sym_sub] = STATE(1622),
    [sym_mul] = STATE(1622),
    [sym_div] = STATE(1622),
    [sym_sign] = STATE(1622),
    [sym_call] = STATE(1622),
    [sym_field] = STATE(1622),
    [sym_label] = STATE(1622),
    [sym_content] = STATE(1622),
    [sym_group] = STATE(1622),
    [sym_block] = STATE(1622),
    [sym_branch] = STATE(1622),
    [sym_let] = STATE(1622),
    [sym_set] = STATE(1622),
    [sym_import] = STATE(1622),
    [sym_include] = STATE(1622),
    [sym_for] = STATE(1622),
    [sym_while] = STATE(1622),
    [sym_show] = STATE(1622),
    [sym_return] = STATE(1622),
    [sym_flow] = STATE(1622),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2577),
    [sym_none] = ACTIONS(2577),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [567] = {
    [sym_raw_blck] = STATE(2659),
    [sym_raw_span] = STATE(2659),
    [sym_math] = STATE(2659),
    [sym__expr] = STATE(2659),
    [sym_ident] = STATE(2659),
    [sym_bool] = STATE(2659),
    [sym_number] = STATE(2659),
    [sym_string] = STATE(2659),
    [sym_tagged] = STATE(2659),
    [sym_context] = STATE(2659),
    [sym_elude] = STATE(2659),
    [sym_assign] = STATE(2659),
    [sym_lambda] = STATE(2659),
    [sym_or] = STATE(2659),
    [sym_not] = STATE(2659),
    [sym_and] = STATE(2659),
    [sym_cmp] = STATE(2659),
    [sym_in] = STATE(2659),
    [sym_add] = STATE(2659),
    [sym_sub] = STATE(2659),
    [sym_mul] = STATE(2659),
    [sym_div] = STATE(2659),
    [sym_sign] = STATE(2659),
    [sym_call] = STATE(2659),
    [sym_field] = STATE(2659),
    [sym_label] = STATE(2659),
    [sym_content] = STATE(2659),
    [sym_group] = STATE(2659),
    [sym_block] = STATE(2659),
    [sym_branch] = STATE(2659),
    [sym_let] = STATE(2659),
    [sym_set] = STATE(2659),
    [sym_import] = STATE(2659),
    [sym_include] = STATE(2659),
    [sym_for] = STATE(2659),
    [sym_while] = STATE(2659),
    [sym_show] = STATE(2659),
    [sym_return] = STATE(2659),
    [sym_flow] = STATE(2659),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2579),
    [sym_none] = ACTIONS(2579),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [568] = {
    [sym_raw_blck] = STATE(1650),
    [sym_raw_span] = STATE(1650),
    [sym_math] = STATE(1650),
    [sym__expr] = STATE(1650),
    [sym_ident] = STATE(1650),
    [sym_bool] = STATE(1650),
    [sym_number] = STATE(1650),
    [sym_string] = STATE(1650),
    [sym_tagged] = STATE(1650),
    [sym_context] = STATE(1650),
    [sym_elude] = STATE(1650),
    [sym_assign] = STATE(1650),
    [sym_lambda] = STATE(1650),
    [sym_or] = STATE(1650),
    [sym_not] = STATE(1650),
    [sym_and] = STATE(1650),
    [sym_cmp] = STATE(1650),
    [sym_in] = STATE(1650),
    [sym_add] = STATE(1650),
    [sym_sub] = STATE(1650),
    [sym_mul] = STATE(1650),
    [sym_div] = STATE(1650),
    [sym_sign] = STATE(1650),
    [sym_call] = STATE(1650),
    [sym_field] = STATE(1650),
    [sym_label] = STATE(1650),
    [sym_content] = STATE(1650),
    [sym_group] = STATE(1650),
    [sym_block] = STATE(1650),
    [sym_branch] = STATE(1650),
    [sym_let] = STATE(1650),
    [sym_set] = STATE(1650),
    [sym_import] = STATE(1650),
    [sym_include] = STATE(1650),
    [sym_for] = STATE(1650),
    [sym_while] = STATE(1650),
    [sym_show] = STATE(1650),
    [sym_return] = STATE(1650),
    [sym_flow] = STATE(1650),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2581),
    [sym_none] = ACTIONS(2581),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [569] = {
    [sym_raw_blck] = STATE(2167),
    [sym_raw_span] = STATE(2167),
    [sym_math] = STATE(2167),
    [sym__expr] = STATE(2167),
    [sym_ident] = STATE(2167),
    [sym_bool] = STATE(2167),
    [sym_number] = STATE(2167),
    [sym_string] = STATE(2167),
    [sym_tagged] = STATE(2167),
    [sym_context] = STATE(2167),
    [sym_elude] = STATE(2167),
    [sym_assign] = STATE(2167),
    [sym_lambda] = STATE(2167),
    [sym_or] = STATE(2167),
    [sym_not] = STATE(2167),
    [sym_and] = STATE(2167),
    [sym_cmp] = STATE(2167),
    [sym_in] = STATE(2167),
    [sym_add] = STATE(2167),
    [sym_sub] = STATE(2167),
    [sym_mul] = STATE(2167),
    [sym_div] = STATE(2167),
    [sym_sign] = STATE(2167),
    [sym_call] = STATE(2167),
    [sym_field] = STATE(2167),
    [sym_label] = STATE(2167),
    [sym_content] = STATE(2167),
    [sym_group] = STATE(2167),
    [sym_block] = STATE(2167),
    [sym_branch] = STATE(2167),
    [sym_let] = STATE(2167),
    [sym_set] = STATE(2167),
    [sym_import] = STATE(2167),
    [sym_include] = STATE(2167),
    [sym_for] = STATE(2167),
    [sym_while] = STATE(2167),
    [sym_show] = STATE(2167),
    [sym_return] = STATE(2167),
    [sym_flow] = STATE(2167),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2583),
    [sym_none] = ACTIONS(2583),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [570] = {
    [sym_raw_blck] = STATE(3025),
    [sym_raw_span] = STATE(3025),
    [sym_math] = STATE(3025),
    [sym__expr] = STATE(3025),
    [sym_ident] = STATE(3025),
    [sym_bool] = STATE(3025),
    [sym_number] = STATE(3025),
    [sym_string] = STATE(3025),
    [sym_tagged] = STATE(3025),
    [sym_context] = STATE(3025),
    [sym_elude] = STATE(3025),
    [sym_assign] = STATE(3025),
    [sym_lambda] = STATE(3025),
    [sym_or] = STATE(3025),
    [sym_not] = STATE(3025),
    [sym_and] = STATE(3025),
    [sym_cmp] = STATE(3025),
    [sym_in] = STATE(3025),
    [sym_add] = STATE(3025),
    [sym_sub] = STATE(3025),
    [sym_mul] = STATE(3025),
    [sym_div] = STATE(3025),
    [sym_sign] = STATE(3025),
    [sym_call] = STATE(1454),
    [sym_field] = STATE(3025),
    [sym_label] = STATE(3025),
    [sym_content] = STATE(3025),
    [sym_group] = STATE(3025),
    [sym_block] = STATE(3025),
    [sym_branch] = STATE(3025),
    [sym_let] = STATE(3025),
    [sym_set] = STATE(3025),
    [sym_import] = STATE(3025),
    [sym_include] = STATE(3025),
    [sym_for] = STATE(3025),
    [sym_while] = STATE(3025),
    [sym_show] = STATE(3025),
    [sym_return] = STATE(3025),
    [sym_flow] = STATE(3025),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2489),
    [sym_none] = ACTIONS(2489),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [571] = {
    [sym_raw_blck] = STATE(2661),
    [sym_raw_span] = STATE(2661),
    [sym_math] = STATE(2661),
    [sym__expr] = STATE(2661),
    [sym_ident] = STATE(2661),
    [sym_bool] = STATE(2661),
    [sym_number] = STATE(2661),
    [sym_string] = STATE(2661),
    [sym_tagged] = STATE(2661),
    [sym_context] = STATE(2661),
    [sym_elude] = STATE(2661),
    [sym_assign] = STATE(2661),
    [sym_lambda] = STATE(2661),
    [sym_or] = STATE(2661),
    [sym_not] = STATE(2661),
    [sym_and] = STATE(2661),
    [sym_cmp] = STATE(2661),
    [sym_in] = STATE(2661),
    [sym_add] = STATE(2661),
    [sym_sub] = STATE(2661),
    [sym_mul] = STATE(2661),
    [sym_div] = STATE(2661),
    [sym_sign] = STATE(2661),
    [sym_call] = STATE(2661),
    [sym_field] = STATE(2661),
    [sym_label] = STATE(2661),
    [sym_content] = STATE(2661),
    [sym_group] = STATE(2661),
    [sym_block] = STATE(2661),
    [sym_branch] = STATE(2661),
    [sym_let] = STATE(2661),
    [sym_set] = STATE(2661),
    [sym_import] = STATE(2661),
    [sym_include] = STATE(2661),
    [sym_for] = STATE(2661),
    [sym_while] = STATE(2661),
    [sym_show] = STATE(2661),
    [sym_return] = STATE(2661),
    [sym_flow] = STATE(2661),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2585),
    [sym_none] = ACTIONS(2585),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [572] = {
    [sym_raw_blck] = STATE(2649),
    [sym_raw_span] = STATE(2649),
    [sym_math] = STATE(2649),
    [sym__expr] = STATE(2649),
    [sym_ident] = STATE(2649),
    [sym_bool] = STATE(2649),
    [sym_number] = STATE(2649),
    [sym_string] = STATE(2649),
    [sym_tagged] = STATE(2649),
    [sym_context] = STATE(2649),
    [sym_elude] = STATE(2649),
    [sym_assign] = STATE(2649),
    [sym_lambda] = STATE(2649),
    [sym_or] = STATE(2649),
    [sym_not] = STATE(2649),
    [sym_and] = STATE(2649),
    [sym_cmp] = STATE(2649),
    [sym_in] = STATE(2649),
    [sym_add] = STATE(2649),
    [sym_sub] = STATE(2649),
    [sym_mul] = STATE(2649),
    [sym_div] = STATE(2649),
    [sym_sign] = STATE(2649),
    [sym_call] = STATE(2649),
    [sym_field] = STATE(2649),
    [sym_label] = STATE(2649),
    [sym_content] = STATE(2649),
    [sym_group] = STATE(2649),
    [sym_block] = STATE(2649),
    [sym_branch] = STATE(2649),
    [sym_let] = STATE(2649),
    [sym_set] = STATE(2649),
    [sym_import] = STATE(2649),
    [sym_include] = STATE(2649),
    [sym_for] = STATE(2649),
    [sym_while] = STATE(2649),
    [sym_show] = STATE(2649),
    [sym_return] = STATE(2649),
    [sym_flow] = STATE(2649),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2587),
    [sym_none] = ACTIONS(2587),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [573] = {
    [sym_raw_blck] = STATE(2598),
    [sym_raw_span] = STATE(2598),
    [sym_math] = STATE(2598),
    [sym__expr] = STATE(2598),
    [sym_ident] = STATE(2598),
    [sym_bool] = STATE(2598),
    [sym_number] = STATE(2598),
    [sym_string] = STATE(2598),
    [sym_tagged] = STATE(2598),
    [sym_context] = STATE(2598),
    [sym_elude] = STATE(2598),
    [sym_assign] = STATE(2598),
    [sym_lambda] = STATE(2598),
    [sym_or] = STATE(2598),
    [sym_not] = STATE(2598),
    [sym_and] = STATE(2598),
    [sym_cmp] = STATE(2598),
    [sym_in] = STATE(2598),
    [sym_add] = STATE(2598),
    [sym_sub] = STATE(2598),
    [sym_mul] = STATE(2598),
    [sym_div] = STATE(2598),
    [sym_sign] = STATE(2598),
    [sym_call] = STATE(2598),
    [sym_field] = STATE(2598),
    [sym_label] = STATE(2598),
    [sym_content] = STATE(2598),
    [sym_group] = STATE(2598),
    [sym_block] = STATE(2598),
    [sym_branch] = STATE(2598),
    [sym_let] = STATE(2598),
    [sym_set] = STATE(2598),
    [sym_import] = STATE(2598),
    [sym_include] = STATE(2598),
    [sym_for] = STATE(2598),
    [sym_while] = STATE(2598),
    [sym_show] = STATE(2598),
    [sym_return] = STATE(2598),
    [sym_flow] = STATE(2598),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2589),
    [sym_none] = ACTIONS(2589),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [574] = {
    [sym_raw_blck] = STATE(2328),
    [sym_raw_span] = STATE(2328),
    [sym_math] = STATE(2328),
    [sym__expr] = STATE(2328),
    [sym_ident] = STATE(2328),
    [sym_bool] = STATE(2328),
    [sym_number] = STATE(2328),
    [sym_string] = STATE(2328),
    [sym_tagged] = STATE(2328),
    [sym_context] = STATE(2328),
    [sym_elude] = STATE(2328),
    [sym_assign] = STATE(2328),
    [sym_lambda] = STATE(2328),
    [sym_or] = STATE(2328),
    [sym_not] = STATE(2328),
    [sym_and] = STATE(2328),
    [sym_cmp] = STATE(2328),
    [sym_in] = STATE(2328),
    [sym_add] = STATE(2328),
    [sym_sub] = STATE(2328),
    [sym_mul] = STATE(2328),
    [sym_div] = STATE(2328),
    [sym_sign] = STATE(2328),
    [sym_call] = STATE(2328),
    [sym_field] = STATE(2328),
    [sym_label] = STATE(2328),
    [sym_content] = STATE(2328),
    [sym_group] = STATE(2328),
    [sym_block] = STATE(2328),
    [sym_branch] = STATE(2328),
    [sym_let] = STATE(2328),
    [sym_set] = STATE(2328),
    [sym_import] = STATE(2328),
    [sym_include] = STATE(2328),
    [sym_for] = STATE(2328),
    [sym_while] = STATE(2328),
    [sym_show] = STATE(2328),
    [sym_return] = STATE(2328),
    [sym_flow] = STATE(2328),
    [sym__identifier] = ACTIONS(501),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(503),
    [anon_sym_BQUOTE] = ACTIONS(505),
    [anon_sym_DOLLAR] = ACTIONS(507),
    [anon_sym_true] = ACTIONS(509),
    [anon_sym_false] = ACTIONS(509),
    [aux_sym_number_token1] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_context] = ACTIONS(515),
    [anon_sym_DOT_DOT] = ACTIONS(517),
    [anon_sym_not] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(519),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_if] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(525),
    [anon_sym_set] = ACTIONS(527),
    [anon_sym_import] = ACTIONS(529),
    [anon_sym_include] = ACTIONS(531),
    [anon_sym_for] = ACTIONS(533),
    [anon_sym_while] = ACTIONS(535),
    [anon_sym_show] = ACTIONS(537),
    [anon_sym_return] = ACTIONS(539),
    [anon_sym_break] = ACTIONS(541),
    [anon_sym_continue] = ACTIONS(541),
    [sym_auto] = ACTIONS(2591),
    [sym_none] = ACTIONS(2591),
    [sym__token_content] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [575] = {
    [sym_raw_blck] = STATE(2165),
    [sym_raw_span] = STATE(2165),
    [sym_math] = STATE(2165),
    [sym__expr] = STATE(2165),
    [sym_ident] = STATE(2165),
    [sym_bool] = STATE(2165),
    [sym_number] = STATE(2165),
    [sym_string] = STATE(2165),
    [sym_tagged] = STATE(2165),
    [sym_context] = STATE(2165),
    [sym_elude] = STATE(2165),
    [sym_assign] = STATE(2165),
    [sym_lambda] = STATE(2165),
    [sym_or] = STATE(2165),
    [sym_not] = STATE(2165),
    [sym_and] = STATE(2165),
    [sym_cmp] = STATE(2165),
    [sym_in] = STATE(2165),
    [sym_add] = STATE(2165),
    [sym_sub] = STATE(2165),
    [sym_mul] = STATE(2165),
    [sym_div] = STATE(2165),
    [sym_sign] = STATE(2165),
    [sym_call] = STATE(2165),
    [sym_field] = STATE(2165),
    [sym_label] = STATE(2165),
    [sym_content] = STATE(2165),
    [sym_group] = STATE(2165),
    [sym_block] = STATE(2165),
    [sym_branch] = STATE(2165),
    [sym_let] = STATE(2165),
    [sym_set] = STATE(2165),
    [sym_import] = STATE(2165),
    [sym_include] = STATE(2165),
    [sym_for] = STATE(2165),
    [sym_while] = STATE(2165),
    [sym_show] = STATE(2165),
    [sym_return] = STATE(2165),
    [sym_flow] = STATE(2165),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2593),
    [sym_none] = ACTIONS(2593),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [576] = {
    [sym_raw_blck] = STATE(2164),
    [sym_raw_span] = STATE(2164),
    [sym_math] = STATE(2164),
    [sym__expr] = STATE(2164),
    [sym_ident] = STATE(2164),
    [sym_bool] = STATE(2164),
    [sym_number] = STATE(2164),
    [sym_string] = STATE(2164),
    [sym_tagged] = STATE(2164),
    [sym_context] = STATE(2164),
    [sym_elude] = STATE(2164),
    [sym_assign] = STATE(2164),
    [sym_lambda] = STATE(2164),
    [sym_or] = STATE(2164),
    [sym_not] = STATE(2164),
    [sym_and] = STATE(2164),
    [sym_cmp] = STATE(2164),
    [sym_in] = STATE(2164),
    [sym_add] = STATE(2164),
    [sym_sub] = STATE(2164),
    [sym_mul] = STATE(2164),
    [sym_div] = STATE(2164),
    [sym_sign] = STATE(2164),
    [sym_call] = STATE(2164),
    [sym_field] = STATE(2164),
    [sym_label] = STATE(2164),
    [sym_content] = STATE(2164),
    [sym_group] = STATE(2164),
    [sym_block] = STATE(2164),
    [sym_branch] = STATE(2164),
    [sym_let] = STATE(2164),
    [sym_set] = STATE(2164),
    [sym_import] = STATE(2164),
    [sym_include] = STATE(2164),
    [sym_for] = STATE(2164),
    [sym_while] = STATE(2164),
    [sym_show] = STATE(2164),
    [sym_return] = STATE(2164),
    [sym_flow] = STATE(2164),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2595),
    [sym_none] = ACTIONS(2595),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [577] = {
    [sym_raw_blck] = STATE(2647),
    [sym_raw_span] = STATE(2647),
    [sym_math] = STATE(2647),
    [sym__expr] = STATE(2647),
    [sym_ident] = STATE(2647),
    [sym_bool] = STATE(2647),
    [sym_number] = STATE(2647),
    [sym_string] = STATE(2647),
    [sym_tagged] = STATE(2647),
    [sym_context] = STATE(2647),
    [sym_elude] = STATE(2647),
    [sym_assign] = STATE(2647),
    [sym_lambda] = STATE(2647),
    [sym_or] = STATE(2647),
    [sym_not] = STATE(2647),
    [sym_and] = STATE(2647),
    [sym_cmp] = STATE(2647),
    [sym_in] = STATE(2647),
    [sym_add] = STATE(2647),
    [sym_sub] = STATE(2647),
    [sym_mul] = STATE(2647),
    [sym_div] = STATE(2647),
    [sym_sign] = STATE(2647),
    [sym_call] = STATE(2647),
    [sym_field] = STATE(2647),
    [sym_label] = STATE(2647),
    [sym_content] = STATE(2647),
    [sym_group] = STATE(2647),
    [sym_block] = STATE(2647),
    [sym_branch] = STATE(2647),
    [sym_let] = STATE(2647),
    [sym_set] = STATE(2647),
    [sym_import] = STATE(2647),
    [sym_include] = STATE(2647),
    [sym_for] = STATE(2647),
    [sym_while] = STATE(2647),
    [sym_show] = STATE(2647),
    [sym_return] = STATE(2647),
    [sym_flow] = STATE(2647),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2597),
    [sym_none] = ACTIONS(2597),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [578] = {
    [sym_raw_blck] = STATE(3014),
    [sym_raw_span] = STATE(3014),
    [sym_math] = STATE(3014),
    [sym__expr] = STATE(3014),
    [sym_ident] = STATE(3014),
    [sym_bool] = STATE(3014),
    [sym_number] = STATE(3014),
    [sym_string] = STATE(3014),
    [sym_tagged] = STATE(3014),
    [sym_context] = STATE(3014),
    [sym_elude] = STATE(3014),
    [sym_assign] = STATE(3014),
    [sym_lambda] = STATE(3014),
    [sym_or] = STATE(3014),
    [sym_not] = STATE(3014),
    [sym_and] = STATE(3014),
    [sym_cmp] = STATE(3014),
    [sym_in] = STATE(3014),
    [sym_add] = STATE(3014),
    [sym_sub] = STATE(3014),
    [sym_mul] = STATE(3014),
    [sym_div] = STATE(3014),
    [sym_sign] = STATE(3014),
    [sym_call] = STATE(2006),
    [sym_field] = STATE(3014),
    [sym_label] = STATE(3014),
    [sym_content] = STATE(3014),
    [sym_group] = STATE(3014),
    [sym_block] = STATE(3014),
    [sym_branch] = STATE(3014),
    [sym_let] = STATE(3014),
    [sym_set] = STATE(3014),
    [sym_import] = STATE(3014),
    [sym_include] = STATE(3014),
    [sym_for] = STATE(3014),
    [sym_while] = STATE(3014),
    [sym_show] = STATE(3014),
    [sym_return] = STATE(3014),
    [sym_flow] = STATE(3014),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2599),
    [sym_none] = ACTIONS(2599),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [579] = {
    [sym_raw_blck] = STATE(1652),
    [sym_raw_span] = STATE(1652),
    [sym_math] = STATE(1652),
    [sym__expr] = STATE(1652),
    [sym_ident] = STATE(1652),
    [sym_bool] = STATE(1652),
    [sym_number] = STATE(1652),
    [sym_string] = STATE(1652),
    [sym_tagged] = STATE(1652),
    [sym_context] = STATE(1652),
    [sym_elude] = STATE(1652),
    [sym_assign] = STATE(1652),
    [sym_lambda] = STATE(1652),
    [sym_or] = STATE(1652),
    [sym_not] = STATE(1652),
    [sym_and] = STATE(1652),
    [sym_cmp] = STATE(1652),
    [sym_in] = STATE(1652),
    [sym_add] = STATE(1652),
    [sym_sub] = STATE(1652),
    [sym_mul] = STATE(1652),
    [sym_div] = STATE(1652),
    [sym_sign] = STATE(1652),
    [sym_call] = STATE(1652),
    [sym_field] = STATE(1652),
    [sym_label] = STATE(1652),
    [sym_content] = STATE(1652),
    [sym_group] = STATE(1652),
    [sym_block] = STATE(1652),
    [sym_branch] = STATE(1652),
    [sym_let] = STATE(1652),
    [sym_set] = STATE(1652),
    [sym_import] = STATE(1652),
    [sym_include] = STATE(1652),
    [sym_for] = STATE(1652),
    [sym_while] = STATE(1652),
    [sym_show] = STATE(1652),
    [sym_return] = STATE(1652),
    [sym_flow] = STATE(1652),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2601),
    [sym_none] = ACTIONS(2601),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [580] = {
    [sym_raw_blck] = STATE(1659),
    [sym_raw_span] = STATE(1659),
    [sym_math] = STATE(1659),
    [sym__expr] = STATE(1659),
    [sym_ident] = STATE(1659),
    [sym_bool] = STATE(1659),
    [sym_number] = STATE(1659),
    [sym_string] = STATE(1659),
    [sym_tagged] = STATE(1659),
    [sym_context] = STATE(1659),
    [sym_elude] = STATE(1659),
    [sym_assign] = STATE(1659),
    [sym_lambda] = STATE(1659),
    [sym_or] = STATE(1659),
    [sym_not] = STATE(1659),
    [sym_and] = STATE(1659),
    [sym_cmp] = STATE(1659),
    [sym_in] = STATE(1659),
    [sym_add] = STATE(1659),
    [sym_sub] = STATE(1659),
    [sym_mul] = STATE(1659),
    [sym_div] = STATE(1659),
    [sym_sign] = STATE(1659),
    [sym_call] = STATE(1659),
    [sym_field] = STATE(1659),
    [sym_label] = STATE(1659),
    [sym_content] = STATE(1659),
    [sym_group] = STATE(1659),
    [sym_block] = STATE(1659),
    [sym_branch] = STATE(1659),
    [sym_let] = STATE(1659),
    [sym_set] = STATE(1659),
    [sym_import] = STATE(1659),
    [sym_include] = STATE(1659),
    [sym_for] = STATE(1659),
    [sym_while] = STATE(1659),
    [sym_show] = STATE(1659),
    [sym_return] = STATE(1659),
    [sym_flow] = STATE(1659),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2603),
    [sym_none] = ACTIONS(2603),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [581] = {
    [sym_raw_blck] = STATE(1297),
    [sym_raw_span] = STATE(1297),
    [sym_math] = STATE(1297),
    [sym__expr] = STATE(1297),
    [sym_ident] = STATE(1297),
    [sym_bool] = STATE(1297),
    [sym_number] = STATE(1297),
    [sym_string] = STATE(1297),
    [sym_tagged] = STATE(1297),
    [sym_context] = STATE(1297),
    [sym_elude] = STATE(1297),
    [sym_assign] = STATE(1297),
    [sym_lambda] = STATE(1297),
    [sym_or] = STATE(1297),
    [sym_not] = STATE(1297),
    [sym_and] = STATE(1297),
    [sym_cmp] = STATE(1297),
    [sym_in] = STATE(1297),
    [sym_add] = STATE(1297),
    [sym_sub] = STATE(1297),
    [sym_mul] = STATE(1297),
    [sym_div] = STATE(1297),
    [sym_sign] = STATE(1297),
    [sym_call] = STATE(1297),
    [sym_field] = STATE(1297),
    [sym_label] = STATE(1297),
    [sym_content] = STATE(1297),
    [sym_group] = STATE(1297),
    [sym_block] = STATE(1297),
    [sym_branch] = STATE(1297),
    [sym_let] = STATE(1297),
    [sym_set] = STATE(1297),
    [sym_import] = STATE(1297),
    [sym_include] = STATE(1297),
    [sym_for] = STATE(1297),
    [sym_while] = STATE(1297),
    [sym_show] = STATE(1297),
    [sym_return] = STATE(1297),
    [sym_flow] = STATE(1297),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2607),
    [sym_none] = ACTIONS(2607),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [582] = {
    [sym_raw_blck] = STATE(2212),
    [sym_raw_span] = STATE(2212),
    [sym_math] = STATE(2212),
    [sym__expr] = STATE(2212),
    [sym_ident] = STATE(2212),
    [sym_bool] = STATE(2212),
    [sym_number] = STATE(2212),
    [sym_string] = STATE(2212),
    [sym_tagged] = STATE(2212),
    [sym_context] = STATE(2212),
    [sym_elude] = STATE(2212),
    [sym_assign] = STATE(2212),
    [sym_lambda] = STATE(2212),
    [sym_or] = STATE(2212),
    [sym_not] = STATE(2212),
    [sym_and] = STATE(2212),
    [sym_cmp] = STATE(2212),
    [sym_in] = STATE(2212),
    [sym_add] = STATE(2212),
    [sym_sub] = STATE(2212),
    [sym_mul] = STATE(2212),
    [sym_div] = STATE(2212),
    [sym_sign] = STATE(2212),
    [sym_call] = STATE(2212),
    [sym_field] = STATE(2212),
    [sym_label] = STATE(2212),
    [sym_content] = STATE(2212),
    [sym_group] = STATE(2212),
    [sym_block] = STATE(2212),
    [sym_branch] = STATE(2212),
    [sym_let] = STATE(2212),
    [sym_set] = STATE(2212),
    [sym_import] = STATE(2212),
    [sym_include] = STATE(2212),
    [sym_for] = STATE(2212),
    [sym_while] = STATE(2212),
    [sym_show] = STATE(2212),
    [sym_return] = STATE(2212),
    [sym_flow] = STATE(2212),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2609),
    [sym_none] = ACTIONS(2609),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [583] = {
    [sym_raw_blck] = STATE(2863),
    [sym_raw_span] = STATE(2863),
    [sym_math] = STATE(2863),
    [sym__expr] = STATE(2863),
    [sym_ident] = STATE(2863),
    [sym_bool] = STATE(2863),
    [sym_number] = STATE(2863),
    [sym_string] = STATE(2863),
    [sym_tagged] = STATE(2863),
    [sym_context] = STATE(2863),
    [sym_elude] = STATE(2863),
    [sym_assign] = STATE(2863),
    [sym_lambda] = STATE(2863),
    [sym_or] = STATE(2863),
    [sym_not] = STATE(2863),
    [sym_and] = STATE(2863),
    [sym_cmp] = STATE(2863),
    [sym_in] = STATE(2863),
    [sym_add] = STATE(2863),
    [sym_sub] = STATE(2863),
    [sym_mul] = STATE(2863),
    [sym_div] = STATE(2863),
    [sym_sign] = STATE(2863),
    [sym_call] = STATE(2863),
    [sym_field] = STATE(2863),
    [sym_label] = STATE(2863),
    [sym_content] = STATE(2863),
    [sym_group] = STATE(2863),
    [sym_block] = STATE(2863),
    [sym_branch] = STATE(2863),
    [sym_let] = STATE(2863),
    [sym_set] = STATE(2863),
    [sym_import] = STATE(2863),
    [sym_include] = STATE(2863),
    [sym_for] = STATE(2863),
    [sym_while] = STATE(2863),
    [sym_show] = STATE(2863),
    [sym_return] = STATE(2863),
    [sym_flow] = STATE(2863),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2611),
    [sym_none] = ACTIONS(2611),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [584] = {
    [sym_raw_blck] = STATE(2211),
    [sym_raw_span] = STATE(2211),
    [sym_math] = STATE(2211),
    [sym__expr] = STATE(2211),
    [sym_ident] = STATE(2211),
    [sym_bool] = STATE(2211),
    [sym_number] = STATE(2211),
    [sym_string] = STATE(2211),
    [sym_tagged] = STATE(2211),
    [sym_context] = STATE(2211),
    [sym_elude] = STATE(2211),
    [sym_assign] = STATE(2211),
    [sym_lambda] = STATE(2211),
    [sym_or] = STATE(2211),
    [sym_not] = STATE(2211),
    [sym_and] = STATE(2211),
    [sym_cmp] = STATE(2211),
    [sym_in] = STATE(2211),
    [sym_add] = STATE(2211),
    [sym_sub] = STATE(2211),
    [sym_mul] = STATE(2211),
    [sym_div] = STATE(2211),
    [sym_sign] = STATE(2211),
    [sym_call] = STATE(2211),
    [sym_field] = STATE(2211),
    [sym_label] = STATE(2211),
    [sym_content] = STATE(2211),
    [sym_group] = STATE(2211),
    [sym_block] = STATE(2211),
    [sym_branch] = STATE(2211),
    [sym_let] = STATE(2211),
    [sym_set] = STATE(2211),
    [sym_import] = STATE(2211),
    [sym_include] = STATE(2211),
    [sym_for] = STATE(2211),
    [sym_while] = STATE(2211),
    [sym_show] = STATE(2211),
    [sym_return] = STATE(2211),
    [sym_flow] = STATE(2211),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2613),
    [sym_none] = ACTIONS(2613),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [585] = {
    [sym_raw_blck] = STATE(2209),
    [sym_raw_span] = STATE(2209),
    [sym_math] = STATE(2209),
    [sym__expr] = STATE(2209),
    [sym_ident] = STATE(2209),
    [sym_bool] = STATE(2209),
    [sym_number] = STATE(2209),
    [sym_string] = STATE(2209),
    [sym_tagged] = STATE(2209),
    [sym_context] = STATE(2209),
    [sym_elude] = STATE(2209),
    [sym_assign] = STATE(2209),
    [sym_lambda] = STATE(2209),
    [sym_or] = STATE(2209),
    [sym_not] = STATE(2209),
    [sym_and] = STATE(2209),
    [sym_cmp] = STATE(2209),
    [sym_in] = STATE(2209),
    [sym_add] = STATE(2209),
    [sym_sub] = STATE(2209),
    [sym_mul] = STATE(2209),
    [sym_div] = STATE(2209),
    [sym_sign] = STATE(2209),
    [sym_call] = STATE(2209),
    [sym_field] = STATE(2209),
    [sym_label] = STATE(2209),
    [sym_content] = STATE(2209),
    [sym_group] = STATE(2209),
    [sym_block] = STATE(2209),
    [sym_branch] = STATE(2209),
    [sym_let] = STATE(2209),
    [sym_set] = STATE(2209),
    [sym_import] = STATE(2209),
    [sym_include] = STATE(2209),
    [sym_for] = STATE(2209),
    [sym_while] = STATE(2209),
    [sym_show] = STATE(2209),
    [sym_return] = STATE(2209),
    [sym_flow] = STATE(2209),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2615),
    [sym_none] = ACTIONS(2615),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [586] = {
    [sym_raw_blck] = STATE(1691),
    [sym_raw_span] = STATE(1691),
    [sym_math] = STATE(1691),
    [sym__expr] = STATE(1691),
    [sym_ident] = STATE(1691),
    [sym_bool] = STATE(1691),
    [sym_number] = STATE(1691),
    [sym_string] = STATE(1691),
    [sym_tagged] = STATE(1691),
    [sym_context] = STATE(1691),
    [sym_elude] = STATE(1691),
    [sym_assign] = STATE(1691),
    [sym_lambda] = STATE(1691),
    [sym_or] = STATE(1691),
    [sym_not] = STATE(1691),
    [sym_and] = STATE(1691),
    [sym_cmp] = STATE(1691),
    [sym_in] = STATE(1691),
    [sym_add] = STATE(1691),
    [sym_sub] = STATE(1691),
    [sym_mul] = STATE(1691),
    [sym_div] = STATE(1691),
    [sym_sign] = STATE(1691),
    [sym_call] = STATE(1691),
    [sym_field] = STATE(1691),
    [sym_label] = STATE(1691),
    [sym_content] = STATE(1691),
    [sym_group] = STATE(1691),
    [sym_block] = STATE(1691),
    [sym_branch] = STATE(1691),
    [sym_let] = STATE(1691),
    [sym_set] = STATE(1691),
    [sym_import] = STATE(1691),
    [sym_include] = STATE(1691),
    [sym_for] = STATE(1691),
    [sym_while] = STATE(1691),
    [sym_show] = STATE(1691),
    [sym_return] = STATE(1691),
    [sym_flow] = STATE(1691),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2617),
    [sym_none] = ACTIONS(2617),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [587] = {
    [sym_raw_blck] = STATE(2664),
    [sym_raw_span] = STATE(2664),
    [sym_math] = STATE(2664),
    [sym__expr] = STATE(2664),
    [sym_ident] = STATE(2664),
    [sym_bool] = STATE(2664),
    [sym_number] = STATE(2664),
    [sym_string] = STATE(2664),
    [sym_tagged] = STATE(2664),
    [sym_context] = STATE(2664),
    [sym_elude] = STATE(2664),
    [sym_assign] = STATE(2664),
    [sym_lambda] = STATE(2664),
    [sym_or] = STATE(2664),
    [sym_not] = STATE(2664),
    [sym_and] = STATE(2664),
    [sym_cmp] = STATE(2664),
    [sym_in] = STATE(2664),
    [sym_add] = STATE(2664),
    [sym_sub] = STATE(2664),
    [sym_mul] = STATE(2664),
    [sym_div] = STATE(2664),
    [sym_sign] = STATE(2664),
    [sym_call] = STATE(2664),
    [sym_field] = STATE(2664),
    [sym_label] = STATE(2664),
    [sym_content] = STATE(2664),
    [sym_group] = STATE(2664),
    [sym_block] = STATE(2664),
    [sym_branch] = STATE(2664),
    [sym_let] = STATE(2664),
    [sym_set] = STATE(2664),
    [sym_import] = STATE(2664),
    [sym_include] = STATE(2664),
    [sym_for] = STATE(2664),
    [sym_while] = STATE(2664),
    [sym_show] = STATE(2664),
    [sym_return] = STATE(2664),
    [sym_flow] = STATE(2664),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2619),
    [sym_none] = ACTIONS(2619),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [588] = {
    [sym_raw_blck] = STATE(1623),
    [sym_raw_span] = STATE(1623),
    [sym_math] = STATE(1623),
    [sym__expr] = STATE(1623),
    [sym_ident] = STATE(1623),
    [sym_bool] = STATE(1623),
    [sym_number] = STATE(1623),
    [sym_string] = STATE(1623),
    [sym_tagged] = STATE(1623),
    [sym_context] = STATE(1623),
    [sym_elude] = STATE(1623),
    [sym_assign] = STATE(1623),
    [sym_lambda] = STATE(1623),
    [sym_or] = STATE(1623),
    [sym_not] = STATE(1623),
    [sym_and] = STATE(1623),
    [sym_cmp] = STATE(1623),
    [sym_in] = STATE(1623),
    [sym_add] = STATE(1623),
    [sym_sub] = STATE(1623),
    [sym_mul] = STATE(1623),
    [sym_div] = STATE(1623),
    [sym_sign] = STATE(1623),
    [sym_call] = STATE(1623),
    [sym_field] = STATE(1623),
    [sym_label] = STATE(1623),
    [sym_content] = STATE(1623),
    [sym_group] = STATE(1623),
    [sym_block] = STATE(1623),
    [sym_branch] = STATE(1623),
    [sym_let] = STATE(1623),
    [sym_set] = STATE(1623),
    [sym_import] = STATE(1623),
    [sym_include] = STATE(1623),
    [sym_for] = STATE(1623),
    [sym_while] = STATE(1623),
    [sym_show] = STATE(1623),
    [sym_return] = STATE(1623),
    [sym_flow] = STATE(1623),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2621),
    [sym_none] = ACTIONS(2621),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [589] = {
    [sym_raw_blck] = STATE(2154),
    [sym_raw_span] = STATE(2154),
    [sym_math] = STATE(2154),
    [sym__expr] = STATE(2154),
    [sym_ident] = STATE(2154),
    [sym_bool] = STATE(2154),
    [sym_number] = STATE(2154),
    [sym_string] = STATE(2154),
    [sym_tagged] = STATE(2154),
    [sym_context] = STATE(2154),
    [sym_elude] = STATE(2154),
    [sym_assign] = STATE(2154),
    [sym_lambda] = STATE(2154),
    [sym_or] = STATE(2154),
    [sym_not] = STATE(2154),
    [sym_and] = STATE(2154),
    [sym_cmp] = STATE(2154),
    [sym_in] = STATE(2154),
    [sym_add] = STATE(2154),
    [sym_sub] = STATE(2154),
    [sym_mul] = STATE(2154),
    [sym_div] = STATE(2154),
    [sym_sign] = STATE(2154),
    [sym_call] = STATE(2154),
    [sym_field] = STATE(2154),
    [sym_label] = STATE(2154),
    [sym_content] = STATE(2154),
    [sym_group] = STATE(2154),
    [sym_block] = STATE(2154),
    [sym_branch] = STATE(2154),
    [sym_let] = STATE(2154),
    [sym_set] = STATE(2154),
    [sym_import] = STATE(2154),
    [sym_include] = STATE(2154),
    [sym_for] = STATE(2154),
    [sym_while] = STATE(2154),
    [sym_show] = STATE(2154),
    [sym_return] = STATE(2154),
    [sym_flow] = STATE(2154),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2623),
    [sym_none] = ACTIONS(2623),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [590] = {
    [sym_raw_blck] = STATE(2153),
    [sym_raw_span] = STATE(2153),
    [sym_math] = STATE(2153),
    [sym__expr] = STATE(2153),
    [sym_ident] = STATE(2153),
    [sym_bool] = STATE(2153),
    [sym_number] = STATE(2153),
    [sym_string] = STATE(2153),
    [sym_tagged] = STATE(2153),
    [sym_context] = STATE(2153),
    [sym_elude] = STATE(2153),
    [sym_assign] = STATE(2153),
    [sym_lambda] = STATE(2153),
    [sym_or] = STATE(2153),
    [sym_not] = STATE(2153),
    [sym_and] = STATE(2153),
    [sym_cmp] = STATE(2153),
    [sym_in] = STATE(2153),
    [sym_add] = STATE(2153),
    [sym_sub] = STATE(2153),
    [sym_mul] = STATE(2153),
    [sym_div] = STATE(2153),
    [sym_sign] = STATE(2153),
    [sym_call] = STATE(2153),
    [sym_field] = STATE(2153),
    [sym_label] = STATE(2153),
    [sym_content] = STATE(2153),
    [sym_group] = STATE(2153),
    [sym_block] = STATE(2153),
    [sym_branch] = STATE(2153),
    [sym_let] = STATE(2153),
    [sym_set] = STATE(2153),
    [sym_import] = STATE(2153),
    [sym_include] = STATE(2153),
    [sym_for] = STATE(2153),
    [sym_while] = STATE(2153),
    [sym_show] = STATE(2153),
    [sym_return] = STATE(2153),
    [sym_flow] = STATE(2153),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2625),
    [sym_none] = ACTIONS(2625),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [591] = {
    [sym_raw_blck] = STATE(2533),
    [sym_raw_span] = STATE(2533),
    [sym_math] = STATE(2533),
    [sym__expr] = STATE(2533),
    [sym_ident] = STATE(2533),
    [sym_bool] = STATE(2533),
    [sym_number] = STATE(2533),
    [sym_string] = STATE(2533),
    [sym_tagged] = STATE(2533),
    [sym_context] = STATE(2533),
    [sym_elude] = STATE(2533),
    [sym_assign] = STATE(2533),
    [sym_lambda] = STATE(2533),
    [sym_or] = STATE(2533),
    [sym_not] = STATE(2533),
    [sym_and] = STATE(2533),
    [sym_cmp] = STATE(2533),
    [sym_in] = STATE(2533),
    [sym_add] = STATE(2533),
    [sym_sub] = STATE(2533),
    [sym_mul] = STATE(2533),
    [sym_div] = STATE(2533),
    [sym_sign] = STATE(2533),
    [sym_call] = STATE(2533),
    [sym_field] = STATE(2533),
    [sym_label] = STATE(2533),
    [sym_content] = STATE(2533),
    [sym_group] = STATE(2533),
    [sym_block] = STATE(2533),
    [sym_branch] = STATE(2533),
    [sym_let] = STATE(2533),
    [sym_set] = STATE(2533),
    [sym_import] = STATE(2533),
    [sym_include] = STATE(2533),
    [sym_for] = STATE(2533),
    [sym_while] = STATE(2533),
    [sym_show] = STATE(2533),
    [sym_return] = STATE(2533),
    [sym_flow] = STATE(2533),
    [sym__identifier] = ACTIONS(555),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(557),
    [anon_sym_BQUOTE] = ACTIONS(559),
    [anon_sym_DOLLAR] = ACTIONS(561),
    [anon_sym_true] = ACTIONS(563),
    [anon_sym_false] = ACTIONS(563),
    [aux_sym_number_token1] = ACTIONS(565),
    [anon_sym_DQUOTE] = ACTIONS(567),
    [anon_sym_context] = ACTIONS(569),
    [anon_sym_DOT_DOT] = ACTIONS(571),
    [anon_sym_not] = ACTIONS(647),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_let] = ACTIONS(579),
    [anon_sym_set] = ACTIONS(581),
    [anon_sym_import] = ACTIONS(583),
    [anon_sym_include] = ACTIONS(585),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_show] = ACTIONS(591),
    [anon_sym_return] = ACTIONS(593),
    [anon_sym_break] = ACTIONS(595),
    [anon_sym_continue] = ACTIONS(595),
    [sym_auto] = ACTIONS(2627),
    [sym_none] = ACTIONS(2627),
    [sym__token_content] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [592] = {
    [sym_raw_blck] = STATE(3008),
    [sym_raw_span] = STATE(3008),
    [sym_math] = STATE(3008),
    [sym__expr] = STATE(3008),
    [sym_ident] = STATE(3008),
    [sym_bool] = STATE(3008),
    [sym_number] = STATE(3008),
    [sym_string] = STATE(3008),
    [sym_tagged] = STATE(3008),
    [sym_context] = STATE(3008),
    [sym_elude] = STATE(3008),
    [sym_assign] = STATE(3008),
    [sym_lambda] = STATE(3008),
    [sym_or] = STATE(3008),
    [sym_not] = STATE(3008),
    [sym_and] = STATE(3008),
    [sym_cmp] = STATE(3008),
    [sym_in] = STATE(3008),
    [sym_add] = STATE(3008),
    [sym_sub] = STATE(3008),
    [sym_mul] = STATE(3008),
    [sym_div] = STATE(3008),
    [sym_sign] = STATE(3008),
    [sym_call] = STATE(1922),
    [sym_field] = STATE(3008),
    [sym_label] = STATE(3008),
    [sym_content] = STATE(3008),
    [sym_group] = STATE(3008),
    [sym_block] = STATE(3008),
    [sym_branch] = STATE(3008),
    [sym_let] = STATE(3008),
    [sym_set] = STATE(3008),
    [sym_import] = STATE(3008),
    [sym_include] = STATE(3008),
    [sym_for] = STATE(3008),
    [sym_while] = STATE(3008),
    [sym_show] = STATE(3008),
    [sym_return] = STATE(3008),
    [sym_flow] = STATE(3008),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2629),
    [sym_none] = ACTIONS(2629),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [593] = {
    [sym_raw_blck] = STATE(1537),
    [sym_raw_span] = STATE(1537),
    [sym_math] = STATE(1537),
    [sym__expr] = STATE(1537),
    [sym_ident] = STATE(1537),
    [sym_bool] = STATE(1537),
    [sym_number] = STATE(1537),
    [sym_string] = STATE(1537),
    [sym_tagged] = STATE(1537),
    [sym_context] = STATE(1537),
    [sym_elude] = STATE(1537),
    [sym_assign] = STATE(1537),
    [sym_lambda] = STATE(1537),
    [sym_or] = STATE(1537),
    [sym_not] = STATE(1537),
    [sym_and] = STATE(1537),
    [sym_cmp] = STATE(1537),
    [sym_in] = STATE(1537),
    [sym_add] = STATE(1537),
    [sym_sub] = STATE(1537),
    [sym_mul] = STATE(1537),
    [sym_div] = STATE(1537),
    [sym_sign] = STATE(1537),
    [sym_call] = STATE(1537),
    [sym_field] = STATE(1537),
    [sym_label] = STATE(1537),
    [sym_content] = STATE(1537),
    [sym_group] = STATE(1537),
    [sym_block] = STATE(1537),
    [sym_branch] = STATE(1537),
    [sym_let] = STATE(1537),
    [sym_set] = STATE(1537),
    [sym_import] = STATE(1537),
    [sym_include] = STATE(1537),
    [sym_for] = STATE(1537),
    [sym_while] = STATE(1537),
    [sym_show] = STATE(1537),
    [sym_return] = STATE(1537),
    [sym_flow] = STATE(1537),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2631),
    [sym_none] = ACTIONS(2631),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [594] = {
    [sym_raw_blck] = STATE(2215),
    [sym_raw_span] = STATE(2215),
    [sym_math] = STATE(2215),
    [sym__expr] = STATE(2215),
    [sym_ident] = STATE(2215),
    [sym_bool] = STATE(2215),
    [sym_number] = STATE(2215),
    [sym_string] = STATE(2215),
    [sym_tagged] = STATE(2215),
    [sym_context] = STATE(2215),
    [sym_elude] = STATE(2215),
    [sym_assign] = STATE(2215),
    [sym_lambda] = STATE(2215),
    [sym_or] = STATE(2215),
    [sym_not] = STATE(2215),
    [sym_and] = STATE(2215),
    [sym_cmp] = STATE(2215),
    [sym_in] = STATE(2215),
    [sym_add] = STATE(2215),
    [sym_sub] = STATE(2215),
    [sym_mul] = STATE(2215),
    [sym_div] = STATE(2215),
    [sym_sign] = STATE(2215),
    [sym_call] = STATE(2215),
    [sym_field] = STATE(2215),
    [sym_label] = STATE(2215),
    [sym_content] = STATE(2215),
    [sym_group] = STATE(2215),
    [sym_block] = STATE(2215),
    [sym_branch] = STATE(2215),
    [sym_let] = STATE(2215),
    [sym_set] = STATE(2215),
    [sym_import] = STATE(2215),
    [sym_include] = STATE(2215),
    [sym_for] = STATE(2215),
    [sym_while] = STATE(2215),
    [sym_show] = STATE(2215),
    [sym_return] = STATE(2215),
    [sym_flow] = STATE(2215),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2633),
    [sym_none] = ACTIONS(2633),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [595] = {
    [sym_raw_blck] = STATE(2152),
    [sym_raw_span] = STATE(2152),
    [sym_math] = STATE(2152),
    [sym__expr] = STATE(2152),
    [sym_ident] = STATE(2152),
    [sym_bool] = STATE(2152),
    [sym_number] = STATE(2152),
    [sym_string] = STATE(2152),
    [sym_tagged] = STATE(2152),
    [sym_context] = STATE(2152),
    [sym_elude] = STATE(2152),
    [sym_assign] = STATE(2152),
    [sym_lambda] = STATE(2152),
    [sym_or] = STATE(2152),
    [sym_not] = STATE(2152),
    [sym_and] = STATE(2152),
    [sym_cmp] = STATE(2152),
    [sym_in] = STATE(2152),
    [sym_add] = STATE(2152),
    [sym_sub] = STATE(2152),
    [sym_mul] = STATE(2152),
    [sym_div] = STATE(2152),
    [sym_sign] = STATE(2152),
    [sym_call] = STATE(2152),
    [sym_field] = STATE(2152),
    [sym_label] = STATE(2152),
    [sym_content] = STATE(2152),
    [sym_group] = STATE(2152),
    [sym_block] = STATE(2152),
    [sym_branch] = STATE(2152),
    [sym_let] = STATE(2152),
    [sym_set] = STATE(2152),
    [sym_import] = STATE(2152),
    [sym_include] = STATE(2152),
    [sym_for] = STATE(2152),
    [sym_while] = STATE(2152),
    [sym_show] = STATE(2152),
    [sym_return] = STATE(2152),
    [sym_flow] = STATE(2152),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2635),
    [sym_none] = ACTIONS(2635),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [596] = {
    [sym_raw_blck] = STATE(2151),
    [sym_raw_span] = STATE(2151),
    [sym_math] = STATE(2151),
    [sym__expr] = STATE(2151),
    [sym_ident] = STATE(2151),
    [sym_bool] = STATE(2151),
    [sym_number] = STATE(2151),
    [sym_string] = STATE(2151),
    [sym_tagged] = STATE(2151),
    [sym_context] = STATE(2151),
    [sym_elude] = STATE(2151),
    [sym_assign] = STATE(2151),
    [sym_lambda] = STATE(2151),
    [sym_or] = STATE(2151),
    [sym_not] = STATE(2151),
    [sym_and] = STATE(2151),
    [sym_cmp] = STATE(2151),
    [sym_in] = STATE(2151),
    [sym_add] = STATE(2151),
    [sym_sub] = STATE(2151),
    [sym_mul] = STATE(2151),
    [sym_div] = STATE(2151),
    [sym_sign] = STATE(2151),
    [sym_call] = STATE(2151),
    [sym_field] = STATE(2151),
    [sym_label] = STATE(2151),
    [sym_content] = STATE(2151),
    [sym_group] = STATE(2151),
    [sym_block] = STATE(2151),
    [sym_branch] = STATE(2151),
    [sym_let] = STATE(2151),
    [sym_set] = STATE(2151),
    [sym_import] = STATE(2151),
    [sym_include] = STATE(2151),
    [sym_for] = STATE(2151),
    [sym_while] = STATE(2151),
    [sym_show] = STATE(2151),
    [sym_return] = STATE(2151),
    [sym_flow] = STATE(2151),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2637),
    [sym_none] = ACTIONS(2637),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [597] = {
    [sym_raw_blck] = STATE(2150),
    [sym_raw_span] = STATE(2150),
    [sym_math] = STATE(2150),
    [sym__expr] = STATE(2150),
    [sym_ident] = STATE(2150),
    [sym_bool] = STATE(2150),
    [sym_number] = STATE(2150),
    [sym_string] = STATE(2150),
    [sym_tagged] = STATE(2150),
    [sym_context] = STATE(2150),
    [sym_elude] = STATE(2150),
    [sym_assign] = STATE(2150),
    [sym_lambda] = STATE(2150),
    [sym_or] = STATE(2150),
    [sym_not] = STATE(2150),
    [sym_and] = STATE(2150),
    [sym_cmp] = STATE(2150),
    [sym_in] = STATE(2150),
    [sym_add] = STATE(2150),
    [sym_sub] = STATE(2150),
    [sym_mul] = STATE(2150),
    [sym_div] = STATE(2150),
    [sym_sign] = STATE(2150),
    [sym_call] = STATE(2150),
    [sym_field] = STATE(2150),
    [sym_label] = STATE(2150),
    [sym_content] = STATE(2150),
    [sym_group] = STATE(2150),
    [sym_block] = STATE(2150),
    [sym_branch] = STATE(2150),
    [sym_let] = STATE(2150),
    [sym_set] = STATE(2150),
    [sym_import] = STATE(2150),
    [sym_include] = STATE(2150),
    [sym_for] = STATE(2150),
    [sym_while] = STATE(2150),
    [sym_show] = STATE(2150),
    [sym_return] = STATE(2150),
    [sym_flow] = STATE(2150),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2639),
    [sym_none] = ACTIONS(2639),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [598] = {
    [sym_raw_blck] = STATE(2149),
    [sym_raw_span] = STATE(2149),
    [sym_math] = STATE(2149),
    [sym__expr] = STATE(2149),
    [sym_ident] = STATE(2149),
    [sym_bool] = STATE(2149),
    [sym_number] = STATE(2149),
    [sym_string] = STATE(2149),
    [sym_tagged] = STATE(2149),
    [sym_context] = STATE(2149),
    [sym_elude] = STATE(2149),
    [sym_assign] = STATE(2149),
    [sym_lambda] = STATE(2149),
    [sym_or] = STATE(2149),
    [sym_not] = STATE(2149),
    [sym_and] = STATE(2149),
    [sym_cmp] = STATE(2149),
    [sym_in] = STATE(2149),
    [sym_add] = STATE(2149),
    [sym_sub] = STATE(2149),
    [sym_mul] = STATE(2149),
    [sym_div] = STATE(2149),
    [sym_sign] = STATE(2149),
    [sym_call] = STATE(2149),
    [sym_field] = STATE(2149),
    [sym_label] = STATE(2149),
    [sym_content] = STATE(2149),
    [sym_group] = STATE(2149),
    [sym_block] = STATE(2149),
    [sym_branch] = STATE(2149),
    [sym_let] = STATE(2149),
    [sym_set] = STATE(2149),
    [sym_import] = STATE(2149),
    [sym_include] = STATE(2149),
    [sym_for] = STATE(2149),
    [sym_while] = STATE(2149),
    [sym_show] = STATE(2149),
    [sym_return] = STATE(2149),
    [sym_flow] = STATE(2149),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2641),
    [sym_none] = ACTIONS(2641),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [599] = {
    [sym_raw_blck] = STATE(1693),
    [sym_raw_span] = STATE(1693),
    [sym_math] = STATE(1693),
    [sym__expr] = STATE(1693),
    [sym_ident] = STATE(1693),
    [sym_bool] = STATE(1693),
    [sym_number] = STATE(1693),
    [sym_string] = STATE(1693),
    [sym_tagged] = STATE(1693),
    [sym_context] = STATE(1693),
    [sym_elude] = STATE(1693),
    [sym_assign] = STATE(1693),
    [sym_lambda] = STATE(1693),
    [sym_or] = STATE(1693),
    [sym_not] = STATE(1693),
    [sym_and] = STATE(1693),
    [sym_cmp] = STATE(1693),
    [sym_in] = STATE(1693),
    [sym_add] = STATE(1693),
    [sym_sub] = STATE(1693),
    [sym_mul] = STATE(1693),
    [sym_div] = STATE(1693),
    [sym_sign] = STATE(1693),
    [sym_call] = STATE(1693),
    [sym_field] = STATE(1693),
    [sym_label] = STATE(1693),
    [sym_content] = STATE(1693),
    [sym_group] = STATE(1693),
    [sym_block] = STATE(1693),
    [sym_branch] = STATE(1693),
    [sym_let] = STATE(1693),
    [sym_set] = STATE(1693),
    [sym_import] = STATE(1693),
    [sym_include] = STATE(1693),
    [sym_for] = STATE(1693),
    [sym_while] = STATE(1693),
    [sym_show] = STATE(1693),
    [sym_return] = STATE(1693),
    [sym_flow] = STATE(1693),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2643),
    [sym_none] = ACTIONS(2643),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [600] = {
    [sym_raw_blck] = STATE(1700),
    [sym_raw_span] = STATE(1700),
    [sym_math] = STATE(1700),
    [sym__expr] = STATE(1700),
    [sym_ident] = STATE(1700),
    [sym_bool] = STATE(1700),
    [sym_number] = STATE(1700),
    [sym_string] = STATE(1700),
    [sym_tagged] = STATE(1700),
    [sym_context] = STATE(1700),
    [sym_elude] = STATE(1700),
    [sym_assign] = STATE(1700),
    [sym_lambda] = STATE(1700),
    [sym_or] = STATE(1700),
    [sym_not] = STATE(1700),
    [sym_and] = STATE(1700),
    [sym_cmp] = STATE(1700),
    [sym_in] = STATE(1700),
    [sym_add] = STATE(1700),
    [sym_sub] = STATE(1700),
    [sym_mul] = STATE(1700),
    [sym_div] = STATE(1700),
    [sym_sign] = STATE(1700),
    [sym_call] = STATE(1700),
    [sym_field] = STATE(1700),
    [sym_label] = STATE(1700),
    [sym_content] = STATE(1700),
    [sym_group] = STATE(1700),
    [sym_block] = STATE(1700),
    [sym_branch] = STATE(1700),
    [sym_let] = STATE(1700),
    [sym_set] = STATE(1700),
    [sym_import] = STATE(1700),
    [sym_include] = STATE(1700),
    [sym_for] = STATE(1700),
    [sym_while] = STATE(1700),
    [sym_show] = STATE(1700),
    [sym_return] = STATE(1700),
    [sym_flow] = STATE(1700),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2645),
    [sym_none] = ACTIONS(2645),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [601] = {
    [sym_raw_blck] = STATE(2148),
    [sym_raw_span] = STATE(2148),
    [sym_math] = STATE(2148),
    [sym__expr] = STATE(2148),
    [sym_ident] = STATE(2148),
    [sym_bool] = STATE(2148),
    [sym_number] = STATE(2148),
    [sym_string] = STATE(2148),
    [sym_tagged] = STATE(2148),
    [sym_context] = STATE(2148),
    [sym_elude] = STATE(2148),
    [sym_assign] = STATE(2148),
    [sym_lambda] = STATE(2148),
    [sym_or] = STATE(2148),
    [sym_not] = STATE(2148),
    [sym_and] = STATE(2148),
    [sym_cmp] = STATE(2148),
    [sym_in] = STATE(2148),
    [sym_add] = STATE(2148),
    [sym_sub] = STATE(2148),
    [sym_mul] = STATE(2148),
    [sym_div] = STATE(2148),
    [sym_sign] = STATE(2148),
    [sym_call] = STATE(2148),
    [sym_field] = STATE(2148),
    [sym_label] = STATE(2148),
    [sym_content] = STATE(2148),
    [sym_group] = STATE(2148),
    [sym_block] = STATE(2148),
    [sym_branch] = STATE(2148),
    [sym_let] = STATE(2148),
    [sym_set] = STATE(2148),
    [sym_import] = STATE(2148),
    [sym_include] = STATE(2148),
    [sym_for] = STATE(2148),
    [sym_while] = STATE(2148),
    [sym_show] = STATE(2148),
    [sym_return] = STATE(2148),
    [sym_flow] = STATE(2148),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2647),
    [sym_none] = ACTIONS(2647),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [602] = {
    [sym_raw_blck] = STATE(2147),
    [sym_raw_span] = STATE(2147),
    [sym_math] = STATE(2147),
    [sym__expr] = STATE(2147),
    [sym_ident] = STATE(2147),
    [sym_bool] = STATE(2147),
    [sym_number] = STATE(2147),
    [sym_string] = STATE(2147),
    [sym_tagged] = STATE(2147),
    [sym_context] = STATE(2147),
    [sym_elude] = STATE(2147),
    [sym_assign] = STATE(2147),
    [sym_lambda] = STATE(2147),
    [sym_or] = STATE(2147),
    [sym_not] = STATE(2147),
    [sym_and] = STATE(2147),
    [sym_cmp] = STATE(2147),
    [sym_in] = STATE(2147),
    [sym_add] = STATE(2147),
    [sym_sub] = STATE(2147),
    [sym_mul] = STATE(2147),
    [sym_div] = STATE(2147),
    [sym_sign] = STATE(2147),
    [sym_call] = STATE(2147),
    [sym_field] = STATE(2147),
    [sym_label] = STATE(2147),
    [sym_content] = STATE(2147),
    [sym_group] = STATE(2147),
    [sym_block] = STATE(2147),
    [sym_branch] = STATE(2147),
    [sym_let] = STATE(2147),
    [sym_set] = STATE(2147),
    [sym_import] = STATE(2147),
    [sym_include] = STATE(2147),
    [sym_for] = STATE(2147),
    [sym_while] = STATE(2147),
    [sym_show] = STATE(2147),
    [sym_return] = STATE(2147),
    [sym_flow] = STATE(2147),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2649),
    [sym_none] = ACTIONS(2649),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [603] = {
    [sym_raw_blck] = STATE(2146),
    [sym_raw_span] = STATE(2146),
    [sym_math] = STATE(2146),
    [sym__expr] = STATE(2146),
    [sym_ident] = STATE(2146),
    [sym_bool] = STATE(2146),
    [sym_number] = STATE(2146),
    [sym_string] = STATE(2146),
    [sym_tagged] = STATE(2146),
    [sym_context] = STATE(2146),
    [sym_elude] = STATE(2146),
    [sym_assign] = STATE(2146),
    [sym_lambda] = STATE(2146),
    [sym_or] = STATE(2146),
    [sym_not] = STATE(2146),
    [sym_and] = STATE(2146),
    [sym_cmp] = STATE(2146),
    [sym_in] = STATE(2146),
    [sym_add] = STATE(2146),
    [sym_sub] = STATE(2146),
    [sym_mul] = STATE(2146),
    [sym_div] = STATE(2146),
    [sym_sign] = STATE(2146),
    [sym_call] = STATE(2146),
    [sym_field] = STATE(2146),
    [sym_label] = STATE(2146),
    [sym_content] = STATE(2146),
    [sym_group] = STATE(2146),
    [sym_block] = STATE(2146),
    [sym_branch] = STATE(2146),
    [sym_let] = STATE(2146),
    [sym_set] = STATE(2146),
    [sym_import] = STATE(2146),
    [sym_include] = STATE(2146),
    [sym_for] = STATE(2146),
    [sym_while] = STATE(2146),
    [sym_show] = STATE(2146),
    [sym_return] = STATE(2146),
    [sym_flow] = STATE(2146),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2651),
    [sym_none] = ACTIONS(2651),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [604] = {
    [sym_raw_blck] = STATE(2145),
    [sym_raw_span] = STATE(2145),
    [sym_math] = STATE(2145),
    [sym__expr] = STATE(2145),
    [sym_ident] = STATE(2145),
    [sym_bool] = STATE(2145),
    [sym_number] = STATE(2145),
    [sym_string] = STATE(2145),
    [sym_tagged] = STATE(2145),
    [sym_context] = STATE(2145),
    [sym_elude] = STATE(2145),
    [sym_assign] = STATE(2145),
    [sym_lambda] = STATE(2145),
    [sym_or] = STATE(2145),
    [sym_not] = STATE(2145),
    [sym_and] = STATE(2145),
    [sym_cmp] = STATE(2145),
    [sym_in] = STATE(2145),
    [sym_add] = STATE(2145),
    [sym_sub] = STATE(2145),
    [sym_mul] = STATE(2145),
    [sym_div] = STATE(2145),
    [sym_sign] = STATE(2145),
    [sym_call] = STATE(2145),
    [sym_field] = STATE(2145),
    [sym_label] = STATE(2145),
    [sym_content] = STATE(2145),
    [sym_group] = STATE(2145),
    [sym_block] = STATE(2145),
    [sym_branch] = STATE(2145),
    [sym_let] = STATE(2145),
    [sym_set] = STATE(2145),
    [sym_import] = STATE(2145),
    [sym_include] = STATE(2145),
    [sym_for] = STATE(2145),
    [sym_while] = STATE(2145),
    [sym_show] = STATE(2145),
    [sym_return] = STATE(2145),
    [sym_flow] = STATE(2145),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2653),
    [sym_none] = ACTIONS(2653),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [605] = {
    [sym_raw_blck] = STATE(2005),
    [sym_raw_span] = STATE(2005),
    [sym_math] = STATE(2005),
    [sym__expr] = STATE(2005),
    [sym_ident] = STATE(2005),
    [sym_bool] = STATE(2005),
    [sym_number] = STATE(2005),
    [sym_string] = STATE(2005),
    [sym_tagged] = STATE(2005),
    [sym_context] = STATE(2005),
    [sym_elude] = STATE(2005),
    [sym_assign] = STATE(2005),
    [sym_lambda] = STATE(2005),
    [sym_or] = STATE(2005),
    [sym_not] = STATE(2005),
    [sym_and] = STATE(2005),
    [sym_cmp] = STATE(2005),
    [sym_in] = STATE(2005),
    [sym_add] = STATE(2005),
    [sym_sub] = STATE(2005),
    [sym_mul] = STATE(2005),
    [sym_div] = STATE(2005),
    [sym_sign] = STATE(2005),
    [sym_call] = STATE(2005),
    [sym_field] = STATE(2005),
    [sym_label] = STATE(2005),
    [sym_content] = STATE(2005),
    [sym_group] = STATE(2005),
    [sym_block] = STATE(2005),
    [sym_branch] = STATE(2005),
    [sym_let] = STATE(2005),
    [sym_set] = STATE(2005),
    [sym_import] = STATE(2005),
    [sym_include] = STATE(2005),
    [sym_for] = STATE(2005),
    [sym_while] = STATE(2005),
    [sym_show] = STATE(2005),
    [sym_return] = STATE(2005),
    [sym_flow] = STATE(2005),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2655),
    [sym_none] = ACTIONS(2655),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [606] = {
    [sym_raw_blck] = STATE(3035),
    [sym_raw_span] = STATE(3035),
    [sym_math] = STATE(3035),
    [sym__expr] = STATE(3035),
    [sym_ident] = STATE(3035),
    [sym_bool] = STATE(3035),
    [sym_number] = STATE(3035),
    [sym_string] = STATE(3035),
    [sym_tagged] = STATE(3035),
    [sym_context] = STATE(3035),
    [sym_elude] = STATE(3035),
    [sym_assign] = STATE(3035),
    [sym_lambda] = STATE(3035),
    [sym_or] = STATE(3035),
    [sym_not] = STATE(3035),
    [sym_and] = STATE(3035),
    [sym_cmp] = STATE(3035),
    [sym_in] = STATE(3035),
    [sym_add] = STATE(3035),
    [sym_sub] = STATE(3035),
    [sym_mul] = STATE(3035),
    [sym_div] = STATE(3035),
    [sym_sign] = STATE(3035),
    [sym_call] = STATE(2266),
    [sym_field] = STATE(3035),
    [sym_label] = STATE(3035),
    [sym_content] = STATE(3035),
    [sym_group] = STATE(3035),
    [sym_block] = STATE(3035),
    [sym_branch] = STATE(3035),
    [sym_let] = STATE(3035),
    [sym_set] = STATE(3035),
    [sym_import] = STATE(3035),
    [sym_include] = STATE(3035),
    [sym_for] = STATE(3035),
    [sym_while] = STATE(3035),
    [sym_show] = STATE(3035),
    [sym_return] = STATE(3035),
    [sym_flow] = STATE(3035),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2657),
    [sym_none] = ACTIONS(2657),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [607] = {
    [sym_raw_blck] = STATE(1734),
    [sym_raw_span] = STATE(1734),
    [sym_math] = STATE(1734),
    [sym__expr] = STATE(1734),
    [sym_ident] = STATE(1734),
    [sym_bool] = STATE(1734),
    [sym_number] = STATE(1734),
    [sym_string] = STATE(1734),
    [sym_tagged] = STATE(1734),
    [sym_context] = STATE(1734),
    [sym_elude] = STATE(1734),
    [sym_assign] = STATE(1734),
    [sym_lambda] = STATE(1734),
    [sym_or] = STATE(1734),
    [sym_not] = STATE(1734),
    [sym_and] = STATE(1734),
    [sym_cmp] = STATE(1734),
    [sym_in] = STATE(1734),
    [sym_add] = STATE(1734),
    [sym_sub] = STATE(1734),
    [sym_mul] = STATE(1734),
    [sym_div] = STATE(1734),
    [sym_sign] = STATE(1734),
    [sym_call] = STATE(1734),
    [sym_field] = STATE(1734),
    [sym_label] = STATE(1734),
    [sym_content] = STATE(1734),
    [sym_group] = STATE(1734),
    [sym_block] = STATE(1734),
    [sym_branch] = STATE(1734),
    [sym_let] = STATE(1734),
    [sym_set] = STATE(1734),
    [sym_import] = STATE(1734),
    [sym_include] = STATE(1734),
    [sym_for] = STATE(1734),
    [sym_while] = STATE(1734),
    [sym_show] = STATE(1734),
    [sym_return] = STATE(1734),
    [sym_flow] = STATE(1734),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2659),
    [sym_none] = ACTIONS(2659),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [608] = {
    [sym_raw_blck] = STATE(1413),
    [sym_raw_span] = STATE(1413),
    [sym_math] = STATE(1413),
    [sym__expr] = STATE(1413),
    [sym_ident] = STATE(1413),
    [sym_bool] = STATE(1413),
    [sym_number] = STATE(1413),
    [sym_string] = STATE(1413),
    [sym_tagged] = STATE(1413),
    [sym_context] = STATE(1413),
    [sym_elude] = STATE(1413),
    [sym_assign] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_or] = STATE(1413),
    [sym_not] = STATE(1413),
    [sym_and] = STATE(1413),
    [sym_cmp] = STATE(1413),
    [sym_in] = STATE(1413),
    [sym_add] = STATE(1413),
    [sym_sub] = STATE(1413),
    [sym_mul] = STATE(1413),
    [sym_div] = STATE(1413),
    [sym_sign] = STATE(1413),
    [sym_call] = STATE(1413),
    [sym_field] = STATE(1413),
    [sym_label] = STATE(1413),
    [sym_content] = STATE(1413),
    [sym_group] = STATE(1413),
    [sym_block] = STATE(1413),
    [sym_branch] = STATE(1413),
    [sym_let] = STATE(1413),
    [sym_set] = STATE(1413),
    [sym_import] = STATE(1413),
    [sym_include] = STATE(1413),
    [sym_for] = STATE(1413),
    [sym_while] = STATE(1413),
    [sym_show] = STATE(1413),
    [sym_return] = STATE(1413),
    [sym_flow] = STATE(1413),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2661),
    [sym_none] = ACTIONS(2661),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [609] = {
    [sym_raw_blck] = STATE(2163),
    [sym_raw_span] = STATE(2163),
    [sym_math] = STATE(2163),
    [sym__expr] = STATE(2163),
    [sym_ident] = STATE(2163),
    [sym_bool] = STATE(2163),
    [sym_number] = STATE(2163),
    [sym_string] = STATE(2163),
    [sym_tagged] = STATE(2163),
    [sym_context] = STATE(2163),
    [sym_elude] = STATE(2163),
    [sym_assign] = STATE(2163),
    [sym_lambda] = STATE(2163),
    [sym_or] = STATE(2163),
    [sym_not] = STATE(2163),
    [sym_and] = STATE(2163),
    [sym_cmp] = STATE(2163),
    [sym_in] = STATE(2163),
    [sym_add] = STATE(2163),
    [sym_sub] = STATE(2163),
    [sym_mul] = STATE(2163),
    [sym_div] = STATE(2163),
    [sym_sign] = STATE(2163),
    [sym_call] = STATE(2163),
    [sym_field] = STATE(2163),
    [sym_label] = STATE(2163),
    [sym_content] = STATE(2163),
    [sym_group] = STATE(2163),
    [sym_block] = STATE(2163),
    [sym_branch] = STATE(2163),
    [sym_let] = STATE(2163),
    [sym_set] = STATE(2163),
    [sym_import] = STATE(2163),
    [sym_include] = STATE(2163),
    [sym_for] = STATE(2163),
    [sym_while] = STATE(2163),
    [sym_show] = STATE(2163),
    [sym_return] = STATE(2163),
    [sym_flow] = STATE(2163),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2663),
    [sym_none] = ACTIONS(2663),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [610] = {
    [sym_raw_blck] = STATE(2144),
    [sym_raw_span] = STATE(2144),
    [sym_math] = STATE(2144),
    [sym__expr] = STATE(2144),
    [sym_ident] = STATE(2144),
    [sym_bool] = STATE(2144),
    [sym_number] = STATE(2144),
    [sym_string] = STATE(2144),
    [sym_tagged] = STATE(2144),
    [sym_context] = STATE(2144),
    [sym_elude] = STATE(2144),
    [sym_assign] = STATE(2144),
    [sym_lambda] = STATE(2144),
    [sym_or] = STATE(2144),
    [sym_not] = STATE(2144),
    [sym_and] = STATE(2144),
    [sym_cmp] = STATE(2144),
    [sym_in] = STATE(2144),
    [sym_add] = STATE(2144),
    [sym_sub] = STATE(2144),
    [sym_mul] = STATE(2144),
    [sym_div] = STATE(2144),
    [sym_sign] = STATE(2144),
    [sym_call] = STATE(2144),
    [sym_field] = STATE(2144),
    [sym_label] = STATE(2144),
    [sym_content] = STATE(2144),
    [sym_group] = STATE(2144),
    [sym_block] = STATE(2144),
    [sym_branch] = STATE(2144),
    [sym_let] = STATE(2144),
    [sym_set] = STATE(2144),
    [sym_import] = STATE(2144),
    [sym_include] = STATE(2144),
    [sym_for] = STATE(2144),
    [sym_while] = STATE(2144),
    [sym_show] = STATE(2144),
    [sym_return] = STATE(2144),
    [sym_flow] = STATE(2144),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2665),
    [sym_none] = ACTIONS(2665),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [611] = {
    [sym_raw_blck] = STATE(2599),
    [sym_raw_span] = STATE(2599),
    [sym_math] = STATE(2599),
    [sym__expr] = STATE(2599),
    [sym_ident] = STATE(2599),
    [sym_bool] = STATE(2599),
    [sym_number] = STATE(2599),
    [sym_string] = STATE(2599),
    [sym_tagged] = STATE(2599),
    [sym_context] = STATE(2599),
    [sym_elude] = STATE(2599),
    [sym_assign] = STATE(2599),
    [sym_lambda] = STATE(2599),
    [sym_or] = STATE(2599),
    [sym_not] = STATE(2599),
    [sym_and] = STATE(2599),
    [sym_cmp] = STATE(2599),
    [sym_in] = STATE(2599),
    [sym_add] = STATE(2599),
    [sym_sub] = STATE(2599),
    [sym_mul] = STATE(2599),
    [sym_div] = STATE(2599),
    [sym_sign] = STATE(2599),
    [sym_call] = STATE(2599),
    [sym_field] = STATE(2599),
    [sym_label] = STATE(2599),
    [sym_content] = STATE(2599),
    [sym_group] = STATE(2599),
    [sym_block] = STATE(2599),
    [sym_branch] = STATE(2599),
    [sym_let] = STATE(2599),
    [sym_set] = STATE(2599),
    [sym_import] = STATE(2599),
    [sym_include] = STATE(2599),
    [sym_for] = STATE(2599),
    [sym_while] = STATE(2599),
    [sym_show] = STATE(2599),
    [sym_return] = STATE(2599),
    [sym_flow] = STATE(2599),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2667),
    [sym_none] = ACTIONS(2667),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [612] = {
    [sym_raw_blck] = STATE(2143),
    [sym_raw_span] = STATE(2143),
    [sym_math] = STATE(2143),
    [sym__expr] = STATE(2143),
    [sym_ident] = STATE(2143),
    [sym_bool] = STATE(2143),
    [sym_number] = STATE(2143),
    [sym_string] = STATE(2143),
    [sym_tagged] = STATE(2143),
    [sym_context] = STATE(2143),
    [sym_elude] = STATE(2143),
    [sym_assign] = STATE(2143),
    [sym_lambda] = STATE(2143),
    [sym_or] = STATE(2143),
    [sym_not] = STATE(2143),
    [sym_and] = STATE(2143),
    [sym_cmp] = STATE(2143),
    [sym_in] = STATE(2143),
    [sym_add] = STATE(2143),
    [sym_sub] = STATE(2143),
    [sym_mul] = STATE(2143),
    [sym_div] = STATE(2143),
    [sym_sign] = STATE(2143),
    [sym_call] = STATE(2143),
    [sym_field] = STATE(2143),
    [sym_label] = STATE(2143),
    [sym_content] = STATE(2143),
    [sym_group] = STATE(2143),
    [sym_block] = STATE(2143),
    [sym_branch] = STATE(2143),
    [sym_let] = STATE(2143),
    [sym_set] = STATE(2143),
    [sym_import] = STATE(2143),
    [sym_include] = STATE(2143),
    [sym_for] = STATE(2143),
    [sym_while] = STATE(2143),
    [sym_show] = STATE(2143),
    [sym_return] = STATE(2143),
    [sym_flow] = STATE(2143),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2669),
    [sym_none] = ACTIONS(2669),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [613] = {
    [sym_raw_blck] = STATE(2603),
    [sym_raw_span] = STATE(2603),
    [sym_math] = STATE(2603),
    [sym__expr] = STATE(2603),
    [sym_ident] = STATE(2603),
    [sym_bool] = STATE(2603),
    [sym_number] = STATE(2603),
    [sym_string] = STATE(2603),
    [sym_tagged] = STATE(2603),
    [sym_context] = STATE(2603),
    [sym_elude] = STATE(2603),
    [sym_assign] = STATE(2603),
    [sym_lambda] = STATE(2603),
    [sym_or] = STATE(2603),
    [sym_not] = STATE(2603),
    [sym_and] = STATE(2603),
    [sym_cmp] = STATE(2603),
    [sym_in] = STATE(2603),
    [sym_add] = STATE(2603),
    [sym_sub] = STATE(2603),
    [sym_mul] = STATE(2603),
    [sym_div] = STATE(2603),
    [sym_sign] = STATE(2603),
    [sym_call] = STATE(2603),
    [sym_field] = STATE(2603),
    [sym_label] = STATE(2603),
    [sym_content] = STATE(2603),
    [sym_group] = STATE(2603),
    [sym_block] = STATE(2603),
    [sym_branch] = STATE(2603),
    [sym_let] = STATE(2603),
    [sym_set] = STATE(2603),
    [sym_import] = STATE(2603),
    [sym_include] = STATE(2603),
    [sym_for] = STATE(2603),
    [sym_while] = STATE(2603),
    [sym_show] = STATE(2603),
    [sym_return] = STATE(2603),
    [sym_flow] = STATE(2603),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2671),
    [sym_none] = ACTIONS(2671),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [614] = {
    [sym_raw_blck] = STATE(2656),
    [sym_raw_span] = STATE(2656),
    [sym_math] = STATE(2656),
    [sym__expr] = STATE(2656),
    [sym_ident] = STATE(2656),
    [sym_bool] = STATE(2656),
    [sym_number] = STATE(2656),
    [sym_string] = STATE(2656),
    [sym_tagged] = STATE(2656),
    [sym_context] = STATE(2656),
    [sym_elude] = STATE(2656),
    [sym_assign] = STATE(2656),
    [sym_lambda] = STATE(2656),
    [sym_or] = STATE(2656),
    [sym_not] = STATE(2656),
    [sym_and] = STATE(2656),
    [sym_cmp] = STATE(2656),
    [sym_in] = STATE(2656),
    [sym_add] = STATE(2656),
    [sym_sub] = STATE(2656),
    [sym_mul] = STATE(2656),
    [sym_div] = STATE(2656),
    [sym_sign] = STATE(2656),
    [sym_call] = STATE(2656),
    [sym_field] = STATE(2656),
    [sym_label] = STATE(2656),
    [sym_content] = STATE(2656),
    [sym_group] = STATE(2656),
    [sym_block] = STATE(2656),
    [sym_branch] = STATE(2656),
    [sym_let] = STATE(2656),
    [sym_set] = STATE(2656),
    [sym_import] = STATE(2656),
    [sym_include] = STATE(2656),
    [sym_for] = STATE(2656),
    [sym_while] = STATE(2656),
    [sym_show] = STATE(2656),
    [sym_return] = STATE(2656),
    [sym_flow] = STATE(2656),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2673),
    [sym_none] = ACTIONS(2673),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [615] = {
    [sym_raw_blck] = STATE(2662),
    [sym_raw_span] = STATE(2662),
    [sym_math] = STATE(2662),
    [sym__expr] = STATE(2662),
    [sym_ident] = STATE(2662),
    [sym_bool] = STATE(2662),
    [sym_number] = STATE(2662),
    [sym_string] = STATE(2662),
    [sym_tagged] = STATE(2662),
    [sym_context] = STATE(2662),
    [sym_elude] = STATE(2662),
    [sym_assign] = STATE(2662),
    [sym_lambda] = STATE(2662),
    [sym_or] = STATE(2662),
    [sym_not] = STATE(2662),
    [sym_and] = STATE(2662),
    [sym_cmp] = STATE(2662),
    [sym_in] = STATE(2662),
    [sym_add] = STATE(2662),
    [sym_sub] = STATE(2662),
    [sym_mul] = STATE(2662),
    [sym_div] = STATE(2662),
    [sym_sign] = STATE(2662),
    [sym_call] = STATE(2662),
    [sym_field] = STATE(2662),
    [sym_label] = STATE(2662),
    [sym_content] = STATE(2662),
    [sym_group] = STATE(2662),
    [sym_block] = STATE(2662),
    [sym_branch] = STATE(2662),
    [sym_let] = STATE(2662),
    [sym_set] = STATE(2662),
    [sym_import] = STATE(2662),
    [sym_include] = STATE(2662),
    [sym_for] = STATE(2662),
    [sym_while] = STATE(2662),
    [sym_show] = STATE(2662),
    [sym_return] = STATE(2662),
    [sym_flow] = STATE(2662),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2675),
    [sym_none] = ACTIONS(2675),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [616] = {
    [sym_raw_blck] = STATE(1628),
    [sym_raw_span] = STATE(1628),
    [sym_math] = STATE(1628),
    [sym__expr] = STATE(1628),
    [sym_ident] = STATE(1628),
    [sym_bool] = STATE(1628),
    [sym_number] = STATE(1628),
    [sym_string] = STATE(1628),
    [sym_tagged] = STATE(1628),
    [sym_context] = STATE(1628),
    [sym_elude] = STATE(1628),
    [sym_assign] = STATE(1628),
    [sym_lambda] = STATE(1628),
    [sym_or] = STATE(1628),
    [sym_not] = STATE(1628),
    [sym_and] = STATE(1628),
    [sym_cmp] = STATE(1628),
    [sym_in] = STATE(1628),
    [sym_add] = STATE(1628),
    [sym_sub] = STATE(1628),
    [sym_mul] = STATE(1628),
    [sym_div] = STATE(1628),
    [sym_sign] = STATE(1628),
    [sym_call] = STATE(1628),
    [sym_field] = STATE(1628),
    [sym_label] = STATE(1628),
    [sym_content] = STATE(1628),
    [sym_group] = STATE(1628),
    [sym_block] = STATE(1628),
    [sym_branch] = STATE(1628),
    [sym_let] = STATE(1628),
    [sym_set] = STATE(1628),
    [sym_import] = STATE(1628),
    [sym_include] = STATE(1628),
    [sym_for] = STATE(1628),
    [sym_while] = STATE(1628),
    [sym_show] = STATE(1628),
    [sym_return] = STATE(1628),
    [sym_flow] = STATE(1628),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2677),
    [sym_none] = ACTIONS(2677),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [617] = {
    [sym_raw_blck] = STATE(1630),
    [sym_raw_span] = STATE(1630),
    [sym_math] = STATE(1630),
    [sym__expr] = STATE(1630),
    [sym_ident] = STATE(1630),
    [sym_bool] = STATE(1630),
    [sym_number] = STATE(1630),
    [sym_string] = STATE(1630),
    [sym_tagged] = STATE(1630),
    [sym_context] = STATE(1630),
    [sym_elude] = STATE(1630),
    [sym_assign] = STATE(1630),
    [sym_lambda] = STATE(1630),
    [sym_or] = STATE(1630),
    [sym_not] = STATE(1630),
    [sym_and] = STATE(1630),
    [sym_cmp] = STATE(1630),
    [sym_in] = STATE(1630),
    [sym_add] = STATE(1630),
    [sym_sub] = STATE(1630),
    [sym_mul] = STATE(1630),
    [sym_div] = STATE(1630),
    [sym_sign] = STATE(1630),
    [sym_call] = STATE(1630),
    [sym_field] = STATE(1630),
    [sym_label] = STATE(1630),
    [sym_content] = STATE(1630),
    [sym_group] = STATE(1630),
    [sym_block] = STATE(1630),
    [sym_branch] = STATE(1630),
    [sym_let] = STATE(1630),
    [sym_set] = STATE(1630),
    [sym_import] = STATE(1630),
    [sym_include] = STATE(1630),
    [sym_for] = STATE(1630),
    [sym_while] = STATE(1630),
    [sym_show] = STATE(1630),
    [sym_return] = STATE(1630),
    [sym_flow] = STATE(1630),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2679),
    [sym_none] = ACTIONS(2679),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [618] = {
    [sym_raw_blck] = STATE(2137),
    [sym_raw_span] = STATE(2137),
    [sym_math] = STATE(2137),
    [sym__expr] = STATE(2137),
    [sym_ident] = STATE(2137),
    [sym_bool] = STATE(2137),
    [sym_number] = STATE(2137),
    [sym_string] = STATE(2137),
    [sym_tagged] = STATE(2137),
    [sym_context] = STATE(2137),
    [sym_elude] = STATE(2137),
    [sym_assign] = STATE(2137),
    [sym_lambda] = STATE(2137),
    [sym_or] = STATE(2137),
    [sym_not] = STATE(2137),
    [sym_and] = STATE(2137),
    [sym_cmp] = STATE(2137),
    [sym_in] = STATE(2137),
    [sym_add] = STATE(2137),
    [sym_sub] = STATE(2137),
    [sym_mul] = STATE(2137),
    [sym_div] = STATE(2137),
    [sym_sign] = STATE(2137),
    [sym_call] = STATE(2137),
    [sym_field] = STATE(2137),
    [sym_label] = STATE(2137),
    [sym_content] = STATE(2137),
    [sym_group] = STATE(2137),
    [sym_block] = STATE(2137),
    [sym_branch] = STATE(2137),
    [sym_let] = STATE(2137),
    [sym_set] = STATE(2137),
    [sym_import] = STATE(2137),
    [sym_include] = STATE(2137),
    [sym_for] = STATE(2137),
    [sym_while] = STATE(2137),
    [sym_show] = STATE(2137),
    [sym_return] = STATE(2137),
    [sym_flow] = STATE(2137),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2681),
    [sym_none] = ACTIONS(2681),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [619] = {
    [sym_raw_blck] = STATE(2136),
    [sym_raw_span] = STATE(2136),
    [sym_math] = STATE(2136),
    [sym__expr] = STATE(2136),
    [sym_ident] = STATE(2136),
    [sym_bool] = STATE(2136),
    [sym_number] = STATE(2136),
    [sym_string] = STATE(2136),
    [sym_tagged] = STATE(2136),
    [sym_context] = STATE(2136),
    [sym_elude] = STATE(2136),
    [sym_assign] = STATE(2136),
    [sym_lambda] = STATE(2136),
    [sym_or] = STATE(2136),
    [sym_not] = STATE(2136),
    [sym_and] = STATE(2136),
    [sym_cmp] = STATE(2136),
    [sym_in] = STATE(2136),
    [sym_add] = STATE(2136),
    [sym_sub] = STATE(2136),
    [sym_mul] = STATE(2136),
    [sym_div] = STATE(2136),
    [sym_sign] = STATE(2136),
    [sym_call] = STATE(2136),
    [sym_field] = STATE(2136),
    [sym_label] = STATE(2136),
    [sym_content] = STATE(2136),
    [sym_group] = STATE(2136),
    [sym_block] = STATE(2136),
    [sym_branch] = STATE(2136),
    [sym_let] = STATE(2136),
    [sym_set] = STATE(2136),
    [sym_import] = STATE(2136),
    [sym_include] = STATE(2136),
    [sym_for] = STATE(2136),
    [sym_while] = STATE(2136),
    [sym_show] = STATE(2136),
    [sym_return] = STATE(2136),
    [sym_flow] = STATE(2136),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2683),
    [sym_none] = ACTIONS(2683),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [620] = {
    [sym_raw_blck] = STATE(2133),
    [sym_raw_span] = STATE(2133),
    [sym_math] = STATE(2133),
    [sym__expr] = STATE(2133),
    [sym_ident] = STATE(2133),
    [sym_bool] = STATE(2133),
    [sym_number] = STATE(2133),
    [sym_string] = STATE(2133),
    [sym_tagged] = STATE(2133),
    [sym_context] = STATE(2133),
    [sym_elude] = STATE(2133),
    [sym_assign] = STATE(2133),
    [sym_lambda] = STATE(2133),
    [sym_or] = STATE(2133),
    [sym_not] = STATE(2133),
    [sym_and] = STATE(2133),
    [sym_cmp] = STATE(2133),
    [sym_in] = STATE(2133),
    [sym_add] = STATE(2133),
    [sym_sub] = STATE(2133),
    [sym_mul] = STATE(2133),
    [sym_div] = STATE(2133),
    [sym_sign] = STATE(2133),
    [sym_call] = STATE(2133),
    [sym_field] = STATE(2133),
    [sym_label] = STATE(2133),
    [sym_content] = STATE(2133),
    [sym_group] = STATE(2133),
    [sym_block] = STATE(2133),
    [sym_branch] = STATE(2133),
    [sym_let] = STATE(2133),
    [sym_set] = STATE(2133),
    [sym_import] = STATE(2133),
    [sym_include] = STATE(2133),
    [sym_for] = STATE(2133),
    [sym_while] = STATE(2133),
    [sym_show] = STATE(2133),
    [sym_return] = STATE(2133),
    [sym_flow] = STATE(2133),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2685),
    [sym_none] = ACTIONS(2685),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [621] = {
    [sym_raw_blck] = STATE(1616),
    [sym_raw_span] = STATE(1616),
    [sym_math] = STATE(1616),
    [sym__expr] = STATE(1616),
    [sym_ident] = STATE(1616),
    [sym_bool] = STATE(1616),
    [sym_number] = STATE(1616),
    [sym_string] = STATE(1616),
    [sym_tagged] = STATE(1616),
    [sym_context] = STATE(1616),
    [sym_elude] = STATE(1616),
    [sym_assign] = STATE(1616),
    [sym_lambda] = STATE(1616),
    [sym_or] = STATE(1616),
    [sym_not] = STATE(1616),
    [sym_and] = STATE(1616),
    [sym_cmp] = STATE(1616),
    [sym_in] = STATE(1616),
    [sym_add] = STATE(1616),
    [sym_sub] = STATE(1616),
    [sym_mul] = STATE(1616),
    [sym_div] = STATE(1616),
    [sym_sign] = STATE(1616),
    [sym_call] = STATE(1616),
    [sym_field] = STATE(1616),
    [sym_label] = STATE(1616),
    [sym_content] = STATE(1616),
    [sym_group] = STATE(1616),
    [sym_block] = STATE(1616),
    [sym_branch] = STATE(1616),
    [sym_let] = STATE(1616),
    [sym_set] = STATE(1616),
    [sym_import] = STATE(1616),
    [sym_include] = STATE(1616),
    [sym_for] = STATE(1616),
    [sym_while] = STATE(1616),
    [sym_show] = STATE(1616),
    [sym_return] = STATE(1616),
    [sym_flow] = STATE(1616),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2687),
    [sym_none] = ACTIONS(2687),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [622] = {
    [sym_raw_blck] = STATE(1738),
    [sym_raw_span] = STATE(1738),
    [sym_math] = STATE(1738),
    [sym__expr] = STATE(1738),
    [sym_ident] = STATE(1738),
    [sym_bool] = STATE(1738),
    [sym_number] = STATE(1738),
    [sym_string] = STATE(1738),
    [sym_tagged] = STATE(1738),
    [sym_context] = STATE(1738),
    [sym_elude] = STATE(1738),
    [sym_assign] = STATE(1738),
    [sym_lambda] = STATE(1738),
    [sym_or] = STATE(1738),
    [sym_not] = STATE(1738),
    [sym_and] = STATE(1738),
    [sym_cmp] = STATE(1738),
    [sym_in] = STATE(1738),
    [sym_add] = STATE(1738),
    [sym_sub] = STATE(1738),
    [sym_mul] = STATE(1738),
    [sym_div] = STATE(1738),
    [sym_sign] = STATE(1738),
    [sym_call] = STATE(1738),
    [sym_field] = STATE(1738),
    [sym_label] = STATE(1738),
    [sym_content] = STATE(1738),
    [sym_group] = STATE(1738),
    [sym_block] = STATE(1738),
    [sym_branch] = STATE(1738),
    [sym_let] = STATE(1738),
    [sym_set] = STATE(1738),
    [sym_import] = STATE(1738),
    [sym_include] = STATE(1738),
    [sym_for] = STATE(1738),
    [sym_while] = STATE(1738),
    [sym_show] = STATE(1738),
    [sym_return] = STATE(1738),
    [sym_flow] = STATE(1738),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2689),
    [sym_none] = ACTIONS(2689),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [623] = {
    [sym_raw_blck] = STATE(1741),
    [sym_raw_span] = STATE(1741),
    [sym_math] = STATE(1741),
    [sym__expr] = STATE(1741),
    [sym_ident] = STATE(1741),
    [sym_bool] = STATE(1741),
    [sym_number] = STATE(1741),
    [sym_string] = STATE(1741),
    [sym_tagged] = STATE(1741),
    [sym_context] = STATE(1741),
    [sym_elude] = STATE(1741),
    [sym_assign] = STATE(1741),
    [sym_lambda] = STATE(1741),
    [sym_or] = STATE(1741),
    [sym_not] = STATE(1741),
    [sym_and] = STATE(1741),
    [sym_cmp] = STATE(1741),
    [sym_in] = STATE(1741),
    [sym_add] = STATE(1741),
    [sym_sub] = STATE(1741),
    [sym_mul] = STATE(1741),
    [sym_div] = STATE(1741),
    [sym_sign] = STATE(1741),
    [sym_call] = STATE(1741),
    [sym_field] = STATE(1741),
    [sym_label] = STATE(1741),
    [sym_content] = STATE(1741),
    [sym_group] = STATE(1741),
    [sym_block] = STATE(1741),
    [sym_branch] = STATE(1741),
    [sym_let] = STATE(1741),
    [sym_set] = STATE(1741),
    [sym_import] = STATE(1741),
    [sym_include] = STATE(1741),
    [sym_for] = STATE(1741),
    [sym_while] = STATE(1741),
    [sym_show] = STATE(1741),
    [sym_return] = STATE(1741),
    [sym_flow] = STATE(1741),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2691),
    [sym_none] = ACTIONS(2691),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [624] = {
    [sym_raw_blck] = STATE(2319),
    [sym_raw_span] = STATE(2319),
    [sym_math] = STATE(2319),
    [sym__expr] = STATE(2319),
    [sym_ident] = STATE(2319),
    [sym_bool] = STATE(2319),
    [sym_number] = STATE(2319),
    [sym_string] = STATE(2319),
    [sym_tagged] = STATE(2319),
    [sym_context] = STATE(2319),
    [sym_elude] = STATE(2319),
    [sym_assign] = STATE(2319),
    [sym_lambda] = STATE(2319),
    [sym_or] = STATE(2319),
    [sym_not] = STATE(2319),
    [sym_and] = STATE(2319),
    [sym_cmp] = STATE(2319),
    [sym_in] = STATE(2319),
    [sym_add] = STATE(2319),
    [sym_sub] = STATE(2319),
    [sym_mul] = STATE(2319),
    [sym_div] = STATE(2319),
    [sym_sign] = STATE(2319),
    [sym_call] = STATE(2319),
    [sym_field] = STATE(2319),
    [sym_label] = STATE(2319),
    [sym_content] = STATE(2319),
    [sym_group] = STATE(2319),
    [sym_block] = STATE(2319),
    [sym_branch] = STATE(2319),
    [sym_let] = STATE(2319),
    [sym_set] = STATE(2319),
    [sym_import] = STATE(2319),
    [sym_include] = STATE(2319),
    [sym_for] = STATE(2319),
    [sym_while] = STATE(2319),
    [sym_show] = STATE(2319),
    [sym_return] = STATE(2319),
    [sym_flow] = STATE(2319),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2693),
    [sym_none] = ACTIONS(2693),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [625] = {
    [sym_raw_blck] = STATE(3059),
    [sym_raw_span] = STATE(3059),
    [sym_math] = STATE(3059),
    [sym__expr] = STATE(3059),
    [sym_ident] = STATE(3059),
    [sym_bool] = STATE(3059),
    [sym_number] = STATE(3059),
    [sym_string] = STATE(3059),
    [sym_tagged] = STATE(3059),
    [sym_context] = STATE(3059),
    [sym_elude] = STATE(3059),
    [sym_assign] = STATE(3059),
    [sym_lambda] = STATE(3059),
    [sym_or] = STATE(3059),
    [sym_not] = STATE(3059),
    [sym_and] = STATE(3059),
    [sym_cmp] = STATE(3059),
    [sym_in] = STATE(3059),
    [sym_add] = STATE(3059),
    [sym_sub] = STATE(3059),
    [sym_mul] = STATE(3059),
    [sym_div] = STATE(3059),
    [sym_sign] = STATE(3059),
    [sym_call] = STATE(1666),
    [sym_field] = STATE(3059),
    [sym_label] = STATE(3059),
    [sym_content] = STATE(3059),
    [sym_group] = STATE(3059),
    [sym_block] = STATE(3059),
    [sym_branch] = STATE(3059),
    [sym_let] = STATE(3059),
    [sym_set] = STATE(3059),
    [sym_import] = STATE(3059),
    [sym_include] = STATE(3059),
    [sym_for] = STATE(3059),
    [sym_while] = STATE(3059),
    [sym_show] = STATE(3059),
    [sym_return] = STATE(3059),
    [sym_flow] = STATE(3059),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2695),
    [sym_none] = ACTIONS(2695),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [626] = {
    [sym_raw_blck] = STATE(1888),
    [sym_raw_span] = STATE(1888),
    [sym_math] = STATE(1888),
    [sym__expr] = STATE(1888),
    [sym_ident] = STATE(1888),
    [sym_bool] = STATE(1888),
    [sym_number] = STATE(1888),
    [sym_string] = STATE(1888),
    [sym_tagged] = STATE(1888),
    [sym_context] = STATE(1888),
    [sym_elude] = STATE(1888),
    [sym_assign] = STATE(1888),
    [sym_lambda] = STATE(1888),
    [sym_or] = STATE(1888),
    [sym_not] = STATE(1888),
    [sym_and] = STATE(1888),
    [sym_cmp] = STATE(1888),
    [sym_in] = STATE(1888),
    [sym_add] = STATE(1888),
    [sym_sub] = STATE(1888),
    [sym_mul] = STATE(1888),
    [sym_div] = STATE(1888),
    [sym_sign] = STATE(1888),
    [sym_call] = STATE(1888),
    [sym_field] = STATE(1888),
    [sym_label] = STATE(1888),
    [sym_content] = STATE(1888),
    [sym_group] = STATE(1888),
    [sym_block] = STATE(1888),
    [sym_branch] = STATE(1888),
    [sym_let] = STATE(1888),
    [sym_set] = STATE(1888),
    [sym_import] = STATE(1888),
    [sym_include] = STATE(1888),
    [sym_for] = STATE(1888),
    [sym_while] = STATE(1888),
    [sym_show] = STATE(1888),
    [sym_return] = STATE(1888),
    [sym_flow] = STATE(1888),
    [sym__identifier] = ACTIONS(285),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(287),
    [anon_sym_BQUOTE] = ACTIONS(289),
    [anon_sym_DOLLAR] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(293),
    [anon_sym_false] = ACTIONS(293),
    [aux_sym_number_token1] = ACTIONS(295),
    [anon_sym_DQUOTE] = ACTIONS(297),
    [anon_sym_context] = ACTIONS(299),
    [anon_sym_DOT_DOT] = ACTIONS(301),
    [anon_sym_not] = ACTIONS(303),
    [anon_sym_LT] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(309),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_if] = ACTIONS(313),
    [anon_sym_let] = ACTIONS(315),
    [anon_sym_set] = ACTIONS(317),
    [anon_sym_import] = ACTIONS(319),
    [anon_sym_include] = ACTIONS(321),
    [anon_sym_for] = ACTIONS(323),
    [anon_sym_while] = ACTIONS(325),
    [anon_sym_show] = ACTIONS(327),
    [anon_sym_return] = ACTIONS(329),
    [anon_sym_break] = ACTIONS(331),
    [anon_sym_continue] = ACTIONS(331),
    [sym_auto] = ACTIONS(2697),
    [sym_none] = ACTIONS(2697),
    [sym__token_content] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [627] = {
    [sym_raw_blck] = STATE(1769),
    [sym_raw_span] = STATE(1769),
    [sym_math] = STATE(1769),
    [sym__expr] = STATE(1769),
    [sym_ident] = STATE(1769),
    [sym_bool] = STATE(1769),
    [sym_number] = STATE(1769),
    [sym_string] = STATE(1769),
    [sym_tagged] = STATE(1769),
    [sym_context] = STATE(1769),
    [sym_elude] = STATE(1769),
    [sym_assign] = STATE(1769),
    [sym_lambda] = STATE(1769),
    [sym_or] = STATE(1769),
    [sym_not] = STATE(1769),
    [sym_and] = STATE(1769),
    [sym_cmp] = STATE(1769),
    [sym_in] = STATE(1769),
    [sym_add] = STATE(1769),
    [sym_sub] = STATE(1769),
    [sym_mul] = STATE(1769),
    [sym_div] = STATE(1769),
    [sym_sign] = STATE(1769),
    [sym_call] = STATE(1769),
    [sym_field] = STATE(1769),
    [sym_label] = STATE(1769),
    [sym_content] = STATE(1769),
    [sym_group] = STATE(1769),
    [sym_block] = STATE(1769),
    [sym_branch] = STATE(1769),
    [sym_let] = STATE(1769),
    [sym_set] = STATE(1769),
    [sym_import] = STATE(1769),
    [sym_include] = STATE(1769),
    [sym_for] = STATE(1769),
    [sym_while] = STATE(1769),
    [sym_show] = STATE(1769),
    [sym_return] = STATE(1769),
    [sym_flow] = STATE(1769),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2699),
    [sym_none] = ACTIONS(2699),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [628] = {
    [sym_raw_blck] = STATE(1645),
    [sym_raw_span] = STATE(1645),
    [sym_math] = STATE(1645),
    [sym__expr] = STATE(1645),
    [sym_ident] = STATE(1645),
    [sym_bool] = STATE(1645),
    [sym_number] = STATE(1645),
    [sym_string] = STATE(1645),
    [sym_tagged] = STATE(1645),
    [sym_context] = STATE(1645),
    [sym_elude] = STATE(1645),
    [sym_assign] = STATE(1645),
    [sym_lambda] = STATE(1645),
    [sym_or] = STATE(1645),
    [sym_not] = STATE(1645),
    [sym_and] = STATE(1645),
    [sym_cmp] = STATE(1645),
    [sym_in] = STATE(1645),
    [sym_add] = STATE(1645),
    [sym_sub] = STATE(1645),
    [sym_mul] = STATE(1645),
    [sym_div] = STATE(1645),
    [sym_sign] = STATE(1645),
    [sym_call] = STATE(1645),
    [sym_field] = STATE(1645),
    [sym_label] = STATE(1645),
    [sym_content] = STATE(1645),
    [sym_group] = STATE(1645),
    [sym_block] = STATE(1645),
    [sym_branch] = STATE(1645),
    [sym_let] = STATE(1645),
    [sym_set] = STATE(1645),
    [sym_import] = STATE(1645),
    [sym_include] = STATE(1645),
    [sym_for] = STATE(1645),
    [sym_while] = STATE(1645),
    [sym_show] = STATE(1645),
    [sym_return] = STATE(1645),
    [sym_flow] = STATE(1645),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2701),
    [sym_none] = ACTIONS(2701),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [629] = {
    [sym_raw_blck] = STATE(1352),
    [sym_raw_span] = STATE(1352),
    [sym_math] = STATE(1352),
    [sym__expr] = STATE(1352),
    [sym_ident] = STATE(1352),
    [sym_bool] = STATE(1352),
    [sym_number] = STATE(1352),
    [sym_string] = STATE(1352),
    [sym_tagged] = STATE(1352),
    [sym_context] = STATE(1352),
    [sym_elude] = STATE(1352),
    [sym_assign] = STATE(1352),
    [sym_lambda] = STATE(1352),
    [sym_or] = STATE(1352),
    [sym_not] = STATE(1352),
    [sym_and] = STATE(1352),
    [sym_cmp] = STATE(1352),
    [sym_in] = STATE(1352),
    [sym_add] = STATE(1352),
    [sym_sub] = STATE(1352),
    [sym_mul] = STATE(1352),
    [sym_div] = STATE(1352),
    [sym_sign] = STATE(1352),
    [sym_call] = STATE(1352),
    [sym_field] = STATE(1352),
    [sym_label] = STATE(1352),
    [sym_content] = STATE(1352),
    [sym_group] = STATE(1352),
    [sym_block] = STATE(1352),
    [sym_branch] = STATE(1352),
    [sym_let] = STATE(1352),
    [sym_set] = STATE(1352),
    [sym_import] = STATE(1352),
    [sym_include] = STATE(1352),
    [sym_for] = STATE(1352),
    [sym_while] = STATE(1352),
    [sym_show] = STATE(1352),
    [sym_return] = STATE(1352),
    [sym_flow] = STATE(1352),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2703),
    [sym_none] = ACTIONS(2703),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [630] = {
    [sym_raw_blck] = STATE(1507),
    [sym_raw_span] = STATE(1507),
    [sym_math] = STATE(1507),
    [sym__expr] = STATE(1507),
    [sym_ident] = STATE(1507),
    [sym_bool] = STATE(1507),
    [sym_number] = STATE(1507),
    [sym_string] = STATE(1507),
    [sym_tagged] = STATE(1507),
    [sym_context] = STATE(1507),
    [sym_elude] = STATE(1507),
    [sym_assign] = STATE(1507),
    [sym_lambda] = STATE(1507),
    [sym_or] = STATE(1507),
    [sym_not] = STATE(1507),
    [sym_and] = STATE(1507),
    [sym_cmp] = STATE(1507),
    [sym_in] = STATE(1507),
    [sym_add] = STATE(1507),
    [sym_sub] = STATE(1507),
    [sym_mul] = STATE(1507),
    [sym_div] = STATE(1507),
    [sym_sign] = STATE(1507),
    [sym_call] = STATE(1507),
    [sym_field] = STATE(1507),
    [sym_label] = STATE(1507),
    [sym_content] = STATE(1507),
    [sym_group] = STATE(1507),
    [sym_block] = STATE(1507),
    [sym_branch] = STATE(1507),
    [sym_let] = STATE(1507),
    [sym_set] = STATE(1507),
    [sym_import] = STATE(1507),
    [sym_include] = STATE(1507),
    [sym_for] = STATE(1507),
    [sym_while] = STATE(1507),
    [sym_show] = STATE(1507),
    [sym_return] = STATE(1507),
    [sym_flow] = STATE(1507),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2705),
    [sym_none] = ACTIONS(2705),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [631] = {
    [sym_raw_blck] = STATE(2132),
    [sym_raw_span] = STATE(2132),
    [sym_math] = STATE(2132),
    [sym__expr] = STATE(2132),
    [sym_ident] = STATE(2132),
    [sym_bool] = STATE(2132),
    [sym_number] = STATE(2132),
    [sym_string] = STATE(2132),
    [sym_tagged] = STATE(2132),
    [sym_context] = STATE(2132),
    [sym_elude] = STATE(2132),
    [sym_assign] = STATE(2132),
    [sym_lambda] = STATE(2132),
    [sym_or] = STATE(2132),
    [sym_not] = STATE(2132),
    [sym_and] = STATE(2132),
    [sym_cmp] = STATE(2132),
    [sym_in] = STATE(2132),
    [sym_add] = STATE(2132),
    [sym_sub] = STATE(2132),
    [sym_mul] = STATE(2132),
    [sym_div] = STATE(2132),
    [sym_sign] = STATE(2132),
    [sym_call] = STATE(2132),
    [sym_field] = STATE(2132),
    [sym_label] = STATE(2132),
    [sym_content] = STATE(2132),
    [sym_group] = STATE(2132),
    [sym_block] = STATE(2132),
    [sym_branch] = STATE(2132),
    [sym_let] = STATE(2132),
    [sym_set] = STATE(2132),
    [sym_import] = STATE(2132),
    [sym_include] = STATE(2132),
    [sym_for] = STATE(2132),
    [sym_while] = STATE(2132),
    [sym_show] = STATE(2132),
    [sym_return] = STATE(2132),
    [sym_flow] = STATE(2132),
    [sym__identifier] = ACTIONS(949),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(951),
    [anon_sym_BQUOTE] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_true] = ACTIONS(957),
    [anon_sym_false] = ACTIONS(957),
    [aux_sym_number_token1] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_context] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(965),
    [anon_sym_not] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(2355),
    [anon_sym_PLUS] = ACTIONS(2357),
    [anon_sym_DASH] = ACTIONS(2357),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_set] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(983),
    [anon_sym_include] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(987),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_show] = ACTIONS(991),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(995),
    [anon_sym_continue] = ACTIONS(995),
    [sym_auto] = ACTIONS(2707),
    [sym_none] = ACTIONS(2707),
    [sym__token_content] = ACTIONS(999),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [632] = {
    [sym_raw_blck] = STATE(2672),
    [sym_raw_span] = STATE(2672),
    [sym_math] = STATE(2672),
    [sym__expr] = STATE(2672),
    [sym_ident] = STATE(2672),
    [sym_bool] = STATE(2672),
    [sym_number] = STATE(2672),
    [sym_string] = STATE(2672),
    [sym_tagged] = STATE(2672),
    [sym_context] = STATE(2672),
    [sym_elude] = STATE(2672),
    [sym_assign] = STATE(2672),
    [sym_lambda] = STATE(2672),
    [sym_or] = STATE(2672),
    [sym_not] = STATE(2672),
    [sym_and] = STATE(2672),
    [sym_cmp] = STATE(2672),
    [sym_in] = STATE(2672),
    [sym_add] = STATE(2672),
    [sym_sub] = STATE(2672),
    [sym_mul] = STATE(2672),
    [sym_div] = STATE(2672),
    [sym_sign] = STATE(2672),
    [sym_call] = STATE(2672),
    [sym_field] = STATE(2672),
    [sym_label] = STATE(2672),
    [sym_content] = STATE(2672),
    [sym_group] = STATE(2672),
    [sym_block] = STATE(2672),
    [sym_branch] = STATE(2672),
    [sym_let] = STATE(2672),
    [sym_set] = STATE(2672),
    [sym_import] = STATE(2672),
    [sym_include] = STATE(2672),
    [sym_for] = STATE(2672),
    [sym_while] = STATE(2672),
    [sym_show] = STATE(2672),
    [sym_return] = STATE(2672),
    [sym_flow] = STATE(2672),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2709),
    [sym_none] = ACTIONS(2709),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [633] = {
    [sym_raw_blck] = STATE(2728),
    [sym_raw_span] = STATE(2728),
    [sym_math] = STATE(2728),
    [sym__expr] = STATE(2728),
    [sym_ident] = STATE(2728),
    [sym_bool] = STATE(2728),
    [sym_number] = STATE(2728),
    [sym_string] = STATE(2728),
    [sym_tagged] = STATE(2728),
    [sym_context] = STATE(2728),
    [sym_elude] = STATE(2728),
    [sym_assign] = STATE(2728),
    [sym_lambda] = STATE(2728),
    [sym_or] = STATE(2728),
    [sym_not] = STATE(2728),
    [sym_and] = STATE(2728),
    [sym_cmp] = STATE(2728),
    [sym_in] = STATE(2728),
    [sym_add] = STATE(2728),
    [sym_sub] = STATE(2728),
    [sym_mul] = STATE(2728),
    [sym_div] = STATE(2728),
    [sym_sign] = STATE(2728),
    [sym_call] = STATE(2728),
    [sym_field] = STATE(2728),
    [sym_label] = STATE(2728),
    [sym_content] = STATE(2728),
    [sym_group] = STATE(2728),
    [sym_block] = STATE(2728),
    [sym_branch] = STATE(2728),
    [sym_let] = STATE(2728),
    [sym_set] = STATE(2728),
    [sym_import] = STATE(2728),
    [sym_include] = STATE(2728),
    [sym_for] = STATE(2728),
    [sym_while] = STATE(2728),
    [sym_show] = STATE(2728),
    [sym_return] = STATE(2728),
    [sym_flow] = STATE(2728),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2711),
    [sym_none] = ACTIONS(2711),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [634] = {
    [sym_raw_blck] = STATE(1612),
    [sym_raw_span] = STATE(1612),
    [sym_math] = STATE(1612),
    [sym__expr] = STATE(1612),
    [sym_ident] = STATE(1612),
    [sym_bool] = STATE(1612),
    [sym_number] = STATE(1612),
    [sym_string] = STATE(1612),
    [sym_tagged] = STATE(1612),
    [sym_context] = STATE(1612),
    [sym_elude] = STATE(1612),
    [sym_assign] = STATE(1612),
    [sym_lambda] = STATE(1612),
    [sym_or] = STATE(1612),
    [sym_not] = STATE(1612),
    [sym_and] = STATE(1612),
    [sym_cmp] = STATE(1612),
    [sym_in] = STATE(1612),
    [sym_add] = STATE(1612),
    [sym_sub] = STATE(1612),
    [sym_mul] = STATE(1612),
    [sym_div] = STATE(1612),
    [sym_sign] = STATE(1612),
    [sym_call] = STATE(1612),
    [sym_field] = STATE(1612),
    [sym_label] = STATE(1612),
    [sym_content] = STATE(1612),
    [sym_group] = STATE(1612),
    [sym_block] = STATE(1612),
    [sym_branch] = STATE(1612),
    [sym_let] = STATE(1612),
    [sym_set] = STATE(1612),
    [sym_import] = STATE(1612),
    [sym_include] = STATE(1612),
    [sym_for] = STATE(1612),
    [sym_while] = STATE(1612),
    [sym_show] = STATE(1612),
    [sym_return] = STATE(1612),
    [sym_flow] = STATE(1612),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2713),
    [sym_none] = ACTIONS(2713),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [635] = {
    [sym_raw_blck] = STATE(2755),
    [sym_raw_span] = STATE(2755),
    [sym_math] = STATE(2755),
    [sym__expr] = STATE(2755),
    [sym_ident] = STATE(2755),
    [sym_bool] = STATE(2755),
    [sym_number] = STATE(2755),
    [sym_string] = STATE(2755),
    [sym_tagged] = STATE(2755),
    [sym_context] = STATE(2755),
    [sym_elude] = STATE(2755),
    [sym_assign] = STATE(2755),
    [sym_lambda] = STATE(2755),
    [sym_or] = STATE(2755),
    [sym_not] = STATE(2755),
    [sym_and] = STATE(2755),
    [sym_cmp] = STATE(2755),
    [sym_in] = STATE(2755),
    [sym_add] = STATE(2755),
    [sym_sub] = STATE(2755),
    [sym_mul] = STATE(2755),
    [sym_div] = STATE(2755),
    [sym_sign] = STATE(2755),
    [sym_call] = STATE(2755),
    [sym_field] = STATE(2755),
    [sym_label] = STATE(2755),
    [sym_content] = STATE(2755),
    [sym_group] = STATE(2755),
    [sym_block] = STATE(2755),
    [sym_branch] = STATE(2755),
    [sym_let] = STATE(2755),
    [sym_set] = STATE(2755),
    [sym_import] = STATE(2755),
    [sym_include] = STATE(2755),
    [sym_for] = STATE(2755),
    [sym_while] = STATE(2755),
    [sym_show] = STATE(2755),
    [sym_return] = STATE(2755),
    [sym_flow] = STATE(2755),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2715),
    [sym_none] = ACTIONS(2715),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [636] = {
    [sym_raw_blck] = STATE(1817),
    [sym_raw_span] = STATE(1817),
    [sym_math] = STATE(1817),
    [sym__expr] = STATE(1817),
    [sym_ident] = STATE(1817),
    [sym_bool] = STATE(1817),
    [sym_number] = STATE(1817),
    [sym_string] = STATE(1817),
    [sym_tagged] = STATE(1817),
    [sym_context] = STATE(1817),
    [sym_elude] = STATE(1817),
    [sym_assign] = STATE(1817),
    [sym_lambda] = STATE(1817),
    [sym_or] = STATE(1817),
    [sym_not] = STATE(1817),
    [sym_and] = STATE(1817),
    [sym_cmp] = STATE(1817),
    [sym_in] = STATE(1817),
    [sym_add] = STATE(1817),
    [sym_sub] = STATE(1817),
    [sym_mul] = STATE(1817),
    [sym_div] = STATE(1817),
    [sym_sign] = STATE(1817),
    [sym_call] = STATE(1817),
    [sym_field] = STATE(1817),
    [sym_label] = STATE(1817),
    [sym_content] = STATE(1817),
    [sym_group] = STATE(1817),
    [sym_block] = STATE(1817),
    [sym_branch] = STATE(1817),
    [sym_let] = STATE(1817),
    [sym_set] = STATE(1817),
    [sym_import] = STATE(1817),
    [sym_include] = STATE(1817),
    [sym_for] = STATE(1817),
    [sym_while] = STATE(1817),
    [sym_show] = STATE(1817),
    [sym_return] = STATE(1817),
    [sym_flow] = STATE(1817),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2717),
    [sym_none] = ACTIONS(2717),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [637] = {
    [sym_raw_blck] = STATE(1651),
    [sym_raw_span] = STATE(1651),
    [sym_math] = STATE(1651),
    [sym__expr] = STATE(1651),
    [sym_ident] = STATE(1651),
    [sym_bool] = STATE(1651),
    [sym_number] = STATE(1651),
    [sym_string] = STATE(1651),
    [sym_tagged] = STATE(1651),
    [sym_context] = STATE(1651),
    [sym_elude] = STATE(1651),
    [sym_assign] = STATE(1651),
    [sym_lambda] = STATE(1651),
    [sym_or] = STATE(1651),
    [sym_not] = STATE(1651),
    [sym_and] = STATE(1651),
    [sym_cmp] = STATE(1651),
    [sym_in] = STATE(1651),
    [sym_add] = STATE(1651),
    [sym_sub] = STATE(1651),
    [sym_mul] = STATE(1651),
    [sym_div] = STATE(1651),
    [sym_sign] = STATE(1651),
    [sym_call] = STATE(1651),
    [sym_field] = STATE(1651),
    [sym_label] = STATE(1651),
    [sym_content] = STATE(1651),
    [sym_group] = STATE(1651),
    [sym_block] = STATE(1651),
    [sym_branch] = STATE(1651),
    [sym_let] = STATE(1651),
    [sym_set] = STATE(1651),
    [sym_import] = STATE(1651),
    [sym_include] = STATE(1651),
    [sym_for] = STATE(1651),
    [sym_while] = STATE(1651),
    [sym_show] = STATE(1651),
    [sym_return] = STATE(1651),
    [sym_flow] = STATE(1651),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2719),
    [sym_none] = ACTIONS(2719),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [638] = {
    [sym_raw_blck] = STATE(2764),
    [sym_raw_span] = STATE(2764),
    [sym_math] = STATE(2764),
    [sym__expr] = STATE(2764),
    [sym_ident] = STATE(2764),
    [sym_bool] = STATE(2764),
    [sym_number] = STATE(2764),
    [sym_string] = STATE(2764),
    [sym_tagged] = STATE(2764),
    [sym_context] = STATE(2764),
    [sym_elude] = STATE(2764),
    [sym_assign] = STATE(2764),
    [sym_lambda] = STATE(2764),
    [sym_or] = STATE(2764),
    [sym_not] = STATE(2764),
    [sym_and] = STATE(2764),
    [sym_cmp] = STATE(2764),
    [sym_in] = STATE(2764),
    [sym_add] = STATE(2764),
    [sym_sub] = STATE(2764),
    [sym_mul] = STATE(2764),
    [sym_div] = STATE(2764),
    [sym_sign] = STATE(2764),
    [sym_call] = STATE(2764),
    [sym_field] = STATE(2764),
    [sym_label] = STATE(2764),
    [sym_content] = STATE(2764),
    [sym_group] = STATE(2764),
    [sym_block] = STATE(2764),
    [sym_branch] = STATE(2764),
    [sym_let] = STATE(2764),
    [sym_set] = STATE(2764),
    [sym_import] = STATE(2764),
    [sym_include] = STATE(2764),
    [sym_for] = STATE(2764),
    [sym_while] = STATE(2764),
    [sym_show] = STATE(2764),
    [sym_return] = STATE(2764),
    [sym_flow] = STATE(2764),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2721),
    [sym_none] = ACTIONS(2721),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [639] = {
    [sym_raw_blck] = STATE(1424),
    [sym_raw_span] = STATE(1424),
    [sym_math] = STATE(1424),
    [sym__expr] = STATE(1424),
    [sym_ident] = STATE(1424),
    [sym_bool] = STATE(1424),
    [sym_number] = STATE(1424),
    [sym_string] = STATE(1424),
    [sym_tagged] = STATE(1424),
    [sym_context] = STATE(1424),
    [sym_elude] = STATE(1424),
    [sym_assign] = STATE(1424),
    [sym_lambda] = STATE(1424),
    [sym_or] = STATE(1424),
    [sym_not] = STATE(1424),
    [sym_and] = STATE(1424),
    [sym_cmp] = STATE(1424),
    [sym_in] = STATE(1424),
    [sym_add] = STATE(1424),
    [sym_sub] = STATE(1424),
    [sym_mul] = STATE(1424),
    [sym_div] = STATE(1424),
    [sym_sign] = STATE(1424),
    [sym_call] = STATE(1424),
    [sym_field] = STATE(1424),
    [sym_label] = STATE(1424),
    [sym_content] = STATE(1424),
    [sym_group] = STATE(1424),
    [sym_block] = STATE(1424),
    [sym_branch] = STATE(1424),
    [sym_let] = STATE(1424),
    [sym_set] = STATE(1424),
    [sym_import] = STATE(1424),
    [sym_include] = STATE(1424),
    [sym_for] = STATE(1424),
    [sym_while] = STATE(1424),
    [sym_show] = STATE(1424),
    [sym_return] = STATE(1424),
    [sym_flow] = STATE(1424),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2723),
    [sym_none] = ACTIONS(2723),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [640] = {
    [sym_raw_blck] = STATE(3031),
    [sym_raw_span] = STATE(3031),
    [sym_math] = STATE(3031),
    [sym__expr] = STATE(3031),
    [sym_ident] = STATE(3031),
    [sym_bool] = STATE(3031),
    [sym_number] = STATE(3031),
    [sym_string] = STATE(3031),
    [sym_tagged] = STATE(3031),
    [sym_context] = STATE(3031),
    [sym_elude] = STATE(3031),
    [sym_assign] = STATE(3031),
    [sym_lambda] = STATE(3031),
    [sym_or] = STATE(3031),
    [sym_not] = STATE(3031),
    [sym_and] = STATE(3031),
    [sym_cmp] = STATE(3031),
    [sym_in] = STATE(3031),
    [sym_add] = STATE(3031),
    [sym_sub] = STATE(3031),
    [sym_mul] = STATE(3031),
    [sym_div] = STATE(3031),
    [sym_sign] = STATE(3031),
    [sym_call] = STATE(1676),
    [sym_field] = STATE(3031),
    [sym_label] = STATE(3031),
    [sym_content] = STATE(3031),
    [sym_group] = STATE(3031),
    [sym_block] = STATE(3031),
    [sym_branch] = STATE(3031),
    [sym_let] = STATE(3031),
    [sym_set] = STATE(3031),
    [sym_import] = STATE(3031),
    [sym_include] = STATE(3031),
    [sym_for] = STATE(3031),
    [sym_while] = STATE(3031),
    [sym_show] = STATE(3031),
    [sym_return] = STATE(3031),
    [sym_flow] = STATE(3031),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2725),
    [sym_none] = ACTIONS(2725),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [641] = {
    [sym_raw_blck] = STATE(1356),
    [sym_raw_span] = STATE(1356),
    [sym_math] = STATE(1356),
    [sym__expr] = STATE(1356),
    [sym_ident] = STATE(1356),
    [sym_bool] = STATE(1356),
    [sym_number] = STATE(1356),
    [sym_string] = STATE(1356),
    [sym_tagged] = STATE(1356),
    [sym_context] = STATE(1356),
    [sym_elude] = STATE(1356),
    [sym_assign] = STATE(1356),
    [sym_lambda] = STATE(1356),
    [sym_or] = STATE(1356),
    [sym_not] = STATE(1356),
    [sym_and] = STATE(1356),
    [sym_cmp] = STATE(1356),
    [sym_in] = STATE(1356),
    [sym_add] = STATE(1356),
    [sym_sub] = STATE(1356),
    [sym_mul] = STATE(1356),
    [sym_div] = STATE(1356),
    [sym_sign] = STATE(1356),
    [sym_call] = STATE(1356),
    [sym_field] = STATE(1356),
    [sym_label] = STATE(1356),
    [sym_content] = STATE(1356),
    [sym_group] = STATE(1356),
    [sym_block] = STATE(1356),
    [sym_branch] = STATE(1356),
    [sym_let] = STATE(1356),
    [sym_set] = STATE(1356),
    [sym_import] = STATE(1356),
    [sym_include] = STATE(1356),
    [sym_for] = STATE(1356),
    [sym_while] = STATE(1356),
    [sym_show] = STATE(1356),
    [sym_return] = STATE(1356),
    [sym_flow] = STATE(1356),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2727),
    [sym_none] = ACTIONS(2727),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [642] = {
    [sym_raw_blck] = STATE(2689),
    [sym_raw_span] = STATE(2689),
    [sym_math] = STATE(2689),
    [sym__expr] = STATE(2689),
    [sym_ident] = STATE(2689),
    [sym_bool] = STATE(2689),
    [sym_number] = STATE(2689),
    [sym_string] = STATE(2689),
    [sym_tagged] = STATE(2689),
    [sym_context] = STATE(2689),
    [sym_elude] = STATE(2689),
    [sym_assign] = STATE(2689),
    [sym_lambda] = STATE(2689),
    [sym_or] = STATE(2689),
    [sym_not] = STATE(2689),
    [sym_and] = STATE(2689),
    [sym_cmp] = STATE(2689),
    [sym_in] = STATE(2689),
    [sym_add] = STATE(2689),
    [sym_sub] = STATE(2689),
    [sym_mul] = STATE(2689),
    [sym_div] = STATE(2689),
    [sym_sign] = STATE(2689),
    [sym_call] = STATE(2689),
    [sym_field] = STATE(2689),
    [sym_label] = STATE(2689),
    [sym_content] = STATE(2689),
    [sym_group] = STATE(2689),
    [sym_block] = STATE(2689),
    [sym_branch] = STATE(2689),
    [sym_let] = STATE(2689),
    [sym_set] = STATE(2689),
    [sym_import] = STATE(2689),
    [sym_include] = STATE(2689),
    [sym_for] = STATE(2689),
    [sym_while] = STATE(2689),
    [sym_show] = STATE(2689),
    [sym_return] = STATE(2689),
    [sym_flow] = STATE(2689),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2729),
    [sym_none] = ACTIONS(2729),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [643] = {
    [sym_raw_blck] = STATE(1307),
    [sym_raw_span] = STATE(1307),
    [sym_math] = STATE(1307),
    [sym__expr] = STATE(1307),
    [sym_ident] = STATE(1307),
    [sym_bool] = STATE(1307),
    [sym_number] = STATE(1307),
    [sym_string] = STATE(1307),
    [sym_tagged] = STATE(1307),
    [sym_context] = STATE(1307),
    [sym_elude] = STATE(1307),
    [sym_assign] = STATE(1307),
    [sym_lambda] = STATE(1307),
    [sym_or] = STATE(1307),
    [sym_not] = STATE(1307),
    [sym_and] = STATE(1307),
    [sym_cmp] = STATE(1307),
    [sym_in] = STATE(1307),
    [sym_add] = STATE(1307),
    [sym_sub] = STATE(1307),
    [sym_mul] = STATE(1307),
    [sym_div] = STATE(1307),
    [sym_sign] = STATE(1307),
    [sym_call] = STATE(1307),
    [sym_field] = STATE(1307),
    [sym_label] = STATE(1307),
    [sym_content] = STATE(1307),
    [sym_group] = STATE(1307),
    [sym_block] = STATE(1307),
    [sym_branch] = STATE(1307),
    [sym_let] = STATE(1307),
    [sym_set] = STATE(1307),
    [sym_import] = STATE(1307),
    [sym_include] = STATE(1307),
    [sym_for] = STATE(1307),
    [sym_while] = STATE(1307),
    [sym_show] = STATE(1307),
    [sym_return] = STATE(1307),
    [sym_flow] = STATE(1307),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2731),
    [sym_none] = ACTIONS(2731),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [644] = {
    [sym_raw_blck] = STATE(2675),
    [sym_raw_span] = STATE(2675),
    [sym_math] = STATE(2675),
    [sym__expr] = STATE(2675),
    [sym_ident] = STATE(2675),
    [sym_bool] = STATE(2675),
    [sym_number] = STATE(2675),
    [sym_string] = STATE(2675),
    [sym_tagged] = STATE(2675),
    [sym_context] = STATE(2675),
    [sym_elude] = STATE(2675),
    [sym_assign] = STATE(2675),
    [sym_lambda] = STATE(2675),
    [sym_or] = STATE(2675),
    [sym_not] = STATE(2675),
    [sym_and] = STATE(2675),
    [sym_cmp] = STATE(2675),
    [sym_in] = STATE(2675),
    [sym_add] = STATE(2675),
    [sym_sub] = STATE(2675),
    [sym_mul] = STATE(2675),
    [sym_div] = STATE(2675),
    [sym_sign] = STATE(2675),
    [sym_call] = STATE(2675),
    [sym_field] = STATE(2675),
    [sym_label] = STATE(2675),
    [sym_content] = STATE(2675),
    [sym_group] = STATE(2675),
    [sym_block] = STATE(2675),
    [sym_branch] = STATE(2675),
    [sym_let] = STATE(2675),
    [sym_set] = STATE(2675),
    [sym_import] = STATE(2675),
    [sym_include] = STATE(2675),
    [sym_for] = STATE(2675),
    [sym_while] = STATE(2675),
    [sym_show] = STATE(2675),
    [sym_return] = STATE(2675),
    [sym_flow] = STATE(2675),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2733),
    [sym_none] = ACTIONS(2733),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [645] = {
    [sym_raw_blck] = STATE(1861),
    [sym_raw_span] = STATE(1861),
    [sym_math] = STATE(1861),
    [sym__expr] = STATE(1861),
    [sym_ident] = STATE(1861),
    [sym_bool] = STATE(1861),
    [sym_number] = STATE(1861),
    [sym_string] = STATE(1861),
    [sym_tagged] = STATE(1861),
    [sym_context] = STATE(1861),
    [sym_elude] = STATE(1861),
    [sym_assign] = STATE(1861),
    [sym_lambda] = STATE(1861),
    [sym_or] = STATE(1861),
    [sym_not] = STATE(1861),
    [sym_and] = STATE(1861),
    [sym_cmp] = STATE(1861),
    [sym_in] = STATE(1861),
    [sym_add] = STATE(1861),
    [sym_sub] = STATE(1861),
    [sym_mul] = STATE(1861),
    [sym_div] = STATE(1861),
    [sym_sign] = STATE(1861),
    [sym_call] = STATE(1861),
    [sym_field] = STATE(1861),
    [sym_label] = STATE(1861),
    [sym_content] = STATE(1861),
    [sym_group] = STATE(1861),
    [sym_block] = STATE(1861),
    [sym_branch] = STATE(1861),
    [sym_let] = STATE(1861),
    [sym_set] = STATE(1861),
    [sym_import] = STATE(1861),
    [sym_include] = STATE(1861),
    [sym_for] = STATE(1861),
    [sym_while] = STATE(1861),
    [sym_show] = STATE(1861),
    [sym_return] = STATE(1861),
    [sym_flow] = STATE(1861),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2735),
    [sym_none] = ACTIONS(2735),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [646] = {
    [sym_raw_blck] = STATE(1653),
    [sym_raw_span] = STATE(1653),
    [sym_math] = STATE(1653),
    [sym__expr] = STATE(1653),
    [sym_ident] = STATE(1653),
    [sym_bool] = STATE(1653),
    [sym_number] = STATE(1653),
    [sym_string] = STATE(1653),
    [sym_tagged] = STATE(1653),
    [sym_context] = STATE(1653),
    [sym_elude] = STATE(1653),
    [sym_assign] = STATE(1653),
    [sym_lambda] = STATE(1653),
    [sym_or] = STATE(1653),
    [sym_not] = STATE(1653),
    [sym_and] = STATE(1653),
    [sym_cmp] = STATE(1653),
    [sym_in] = STATE(1653),
    [sym_add] = STATE(1653),
    [sym_sub] = STATE(1653),
    [sym_mul] = STATE(1653),
    [sym_div] = STATE(1653),
    [sym_sign] = STATE(1653),
    [sym_call] = STATE(1653),
    [sym_field] = STATE(1653),
    [sym_label] = STATE(1653),
    [sym_content] = STATE(1653),
    [sym_group] = STATE(1653),
    [sym_block] = STATE(1653),
    [sym_branch] = STATE(1653),
    [sym_let] = STATE(1653),
    [sym_set] = STATE(1653),
    [sym_import] = STATE(1653),
    [sym_include] = STATE(1653),
    [sym_for] = STATE(1653),
    [sym_while] = STATE(1653),
    [sym_show] = STATE(1653),
    [sym_return] = STATE(1653),
    [sym_flow] = STATE(1653),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2737),
    [sym_none] = ACTIONS(2737),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [647] = {
    [sym_raw_blck] = STATE(2541),
    [sym_raw_span] = STATE(2541),
    [sym_math] = STATE(2541),
    [sym__expr] = STATE(2541),
    [sym_ident] = STATE(2541),
    [sym_bool] = STATE(2541),
    [sym_number] = STATE(2541),
    [sym_string] = STATE(2541),
    [sym_tagged] = STATE(2541),
    [sym_context] = STATE(2541),
    [sym_elude] = STATE(2541),
    [sym_assign] = STATE(2541),
    [sym_lambda] = STATE(2541),
    [sym_or] = STATE(2541),
    [sym_not] = STATE(2541),
    [sym_and] = STATE(2541),
    [sym_cmp] = STATE(2541),
    [sym_in] = STATE(2541),
    [sym_add] = STATE(2541),
    [sym_sub] = STATE(2541),
    [sym_mul] = STATE(2541),
    [sym_div] = STATE(2541),
    [sym_sign] = STATE(2541),
    [sym_call] = STATE(2541),
    [sym_field] = STATE(2541),
    [sym_label] = STATE(2541),
    [sym_content] = STATE(2541),
    [sym_group] = STATE(2541),
    [sym_block] = STATE(2541),
    [sym_branch] = STATE(2541),
    [sym_let] = STATE(2541),
    [sym_set] = STATE(2541),
    [sym_import] = STATE(2541),
    [sym_include] = STATE(2541),
    [sym_for] = STATE(2541),
    [sym_while] = STATE(2541),
    [sym_show] = STATE(2541),
    [sym_return] = STATE(2541),
    [sym_flow] = STATE(2541),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2739),
    [sym_none] = ACTIONS(2739),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [648] = {
    [sym_raw_blck] = STATE(1654),
    [sym_raw_span] = STATE(1654),
    [sym_math] = STATE(1654),
    [sym__expr] = STATE(1654),
    [sym_ident] = STATE(1654),
    [sym_bool] = STATE(1654),
    [sym_number] = STATE(1654),
    [sym_string] = STATE(1654),
    [sym_tagged] = STATE(1654),
    [sym_context] = STATE(1654),
    [sym_elude] = STATE(1654),
    [sym_assign] = STATE(1654),
    [sym_lambda] = STATE(1654),
    [sym_or] = STATE(1654),
    [sym_not] = STATE(1654),
    [sym_and] = STATE(1654),
    [sym_cmp] = STATE(1654),
    [sym_in] = STATE(1654),
    [sym_add] = STATE(1654),
    [sym_sub] = STATE(1654),
    [sym_mul] = STATE(1654),
    [sym_div] = STATE(1654),
    [sym_sign] = STATE(1654),
    [sym_call] = STATE(1654),
    [sym_field] = STATE(1654),
    [sym_label] = STATE(1654),
    [sym_content] = STATE(1654),
    [sym_group] = STATE(1654),
    [sym_block] = STATE(1654),
    [sym_branch] = STATE(1654),
    [sym_let] = STATE(1654),
    [sym_set] = STATE(1654),
    [sym_import] = STATE(1654),
    [sym_include] = STATE(1654),
    [sym_for] = STATE(1654),
    [sym_while] = STATE(1654),
    [sym_show] = STATE(1654),
    [sym_return] = STATE(1654),
    [sym_flow] = STATE(1654),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2741),
    [sym_none] = ACTIONS(2741),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [649] = {
    [sym_raw_blck] = STATE(1354),
    [sym_raw_span] = STATE(1354),
    [sym_math] = STATE(1354),
    [sym__expr] = STATE(1354),
    [sym_ident] = STATE(1354),
    [sym_bool] = STATE(1354),
    [sym_number] = STATE(1354),
    [sym_string] = STATE(1354),
    [sym_tagged] = STATE(1354),
    [sym_context] = STATE(1354),
    [sym_elude] = STATE(1354),
    [sym_assign] = STATE(1354),
    [sym_lambda] = STATE(1354),
    [sym_or] = STATE(1354),
    [sym_not] = STATE(1354),
    [sym_and] = STATE(1354),
    [sym_cmp] = STATE(1354),
    [sym_in] = STATE(1354),
    [sym_add] = STATE(1354),
    [sym_sub] = STATE(1354),
    [sym_mul] = STATE(1354),
    [sym_div] = STATE(1354),
    [sym_sign] = STATE(1354),
    [sym_call] = STATE(1354),
    [sym_field] = STATE(1354),
    [sym_label] = STATE(1354),
    [sym_content] = STATE(1354),
    [sym_group] = STATE(1354),
    [sym_block] = STATE(1354),
    [sym_branch] = STATE(1354),
    [sym_let] = STATE(1354),
    [sym_set] = STATE(1354),
    [sym_import] = STATE(1354),
    [sym_include] = STATE(1354),
    [sym_for] = STATE(1354),
    [sym_while] = STATE(1354),
    [sym_show] = STATE(1354),
    [sym_return] = STATE(1354),
    [sym_flow] = STATE(1354),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2743),
    [sym_none] = ACTIONS(2743),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [650] = {
    [sym_raw_blck] = STATE(1655),
    [sym_raw_span] = STATE(1655),
    [sym_math] = STATE(1655),
    [sym__expr] = STATE(1655),
    [sym_ident] = STATE(1655),
    [sym_bool] = STATE(1655),
    [sym_number] = STATE(1655),
    [sym_string] = STATE(1655),
    [sym_tagged] = STATE(1655),
    [sym_context] = STATE(1655),
    [sym_elude] = STATE(1655),
    [sym_assign] = STATE(1655),
    [sym_lambda] = STATE(1655),
    [sym_or] = STATE(1655),
    [sym_not] = STATE(1655),
    [sym_and] = STATE(1655),
    [sym_cmp] = STATE(1655),
    [sym_in] = STATE(1655),
    [sym_add] = STATE(1655),
    [sym_sub] = STATE(1655),
    [sym_mul] = STATE(1655),
    [sym_div] = STATE(1655),
    [sym_sign] = STATE(1655),
    [sym_call] = STATE(1655),
    [sym_field] = STATE(1655),
    [sym_label] = STATE(1655),
    [sym_content] = STATE(1655),
    [sym_group] = STATE(1655),
    [sym_block] = STATE(1655),
    [sym_branch] = STATE(1655),
    [sym_let] = STATE(1655),
    [sym_set] = STATE(1655),
    [sym_import] = STATE(1655),
    [sym_include] = STATE(1655),
    [sym_for] = STATE(1655),
    [sym_while] = STATE(1655),
    [sym_show] = STATE(1655),
    [sym_return] = STATE(1655),
    [sym_flow] = STATE(1655),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2745),
    [sym_none] = ACTIONS(2745),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [651] = {
    [sym_raw_blck] = STATE(1879),
    [sym_raw_span] = STATE(1879),
    [sym_math] = STATE(1879),
    [sym__expr] = STATE(1879),
    [sym_ident] = STATE(1879),
    [sym_bool] = STATE(1879),
    [sym_number] = STATE(1879),
    [sym_string] = STATE(1879),
    [sym_tagged] = STATE(1879),
    [sym_context] = STATE(1879),
    [sym_elude] = STATE(1879),
    [sym_assign] = STATE(1879),
    [sym_lambda] = STATE(1879),
    [sym_or] = STATE(1879),
    [sym_not] = STATE(1879),
    [sym_and] = STATE(1879),
    [sym_cmp] = STATE(1879),
    [sym_in] = STATE(1879),
    [sym_add] = STATE(1879),
    [sym_sub] = STATE(1879),
    [sym_mul] = STATE(1879),
    [sym_div] = STATE(1879),
    [sym_sign] = STATE(1879),
    [sym_call] = STATE(1879),
    [sym_field] = STATE(1879),
    [sym_label] = STATE(1879),
    [sym_content] = STATE(1879),
    [sym_group] = STATE(1879),
    [sym_block] = STATE(1879),
    [sym_branch] = STATE(1879),
    [sym_let] = STATE(1879),
    [sym_set] = STATE(1879),
    [sym_import] = STATE(1879),
    [sym_include] = STATE(1879),
    [sym_for] = STATE(1879),
    [sym_while] = STATE(1879),
    [sym_show] = STATE(1879),
    [sym_return] = STATE(1879),
    [sym_flow] = STATE(1879),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2747),
    [sym_none] = ACTIONS(2747),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [652] = {
    [sym_raw_blck] = STATE(1918),
    [sym_raw_span] = STATE(1918),
    [sym_math] = STATE(1918),
    [sym__expr] = STATE(1918),
    [sym_ident] = STATE(1918),
    [sym_bool] = STATE(1918),
    [sym_number] = STATE(1918),
    [sym_string] = STATE(1918),
    [sym_tagged] = STATE(1918),
    [sym_context] = STATE(1918),
    [sym_elude] = STATE(1918),
    [sym_assign] = STATE(1918),
    [sym_lambda] = STATE(1918),
    [sym_or] = STATE(1918),
    [sym_not] = STATE(1918),
    [sym_and] = STATE(1918),
    [sym_cmp] = STATE(1918),
    [sym_in] = STATE(1918),
    [sym_add] = STATE(1918),
    [sym_sub] = STATE(1918),
    [sym_mul] = STATE(1918),
    [sym_div] = STATE(1918),
    [sym_sign] = STATE(1918),
    [sym_call] = STATE(1918),
    [sym_field] = STATE(1918),
    [sym_label] = STATE(1918),
    [sym_content] = STATE(1918),
    [sym_group] = STATE(1918),
    [sym_block] = STATE(1918),
    [sym_branch] = STATE(1918),
    [sym_let] = STATE(1918),
    [sym_set] = STATE(1918),
    [sym_import] = STATE(1918),
    [sym_include] = STATE(1918),
    [sym_for] = STATE(1918),
    [sym_while] = STATE(1918),
    [sym_show] = STATE(1918),
    [sym_return] = STATE(1918),
    [sym_flow] = STATE(1918),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2749),
    [sym_none] = ACTIONS(2749),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [653] = {
    [sym_raw_blck] = STATE(1917),
    [sym_raw_span] = STATE(1917),
    [sym_math] = STATE(1917),
    [sym__expr] = STATE(1917),
    [sym_ident] = STATE(1917),
    [sym_bool] = STATE(1917),
    [sym_number] = STATE(1917),
    [sym_string] = STATE(1917),
    [sym_tagged] = STATE(1917),
    [sym_context] = STATE(1917),
    [sym_elude] = STATE(1917),
    [sym_assign] = STATE(1917),
    [sym_lambda] = STATE(1917),
    [sym_or] = STATE(1917),
    [sym_not] = STATE(1917),
    [sym_and] = STATE(1917),
    [sym_cmp] = STATE(1917),
    [sym_in] = STATE(1917),
    [sym_add] = STATE(1917),
    [sym_sub] = STATE(1917),
    [sym_mul] = STATE(1917),
    [sym_div] = STATE(1917),
    [sym_sign] = STATE(1917),
    [sym_call] = STATE(1917),
    [sym_field] = STATE(1917),
    [sym_label] = STATE(1917),
    [sym_content] = STATE(1917),
    [sym_group] = STATE(1917),
    [sym_block] = STATE(1917),
    [sym_branch] = STATE(1917),
    [sym_let] = STATE(1917),
    [sym_set] = STATE(1917),
    [sym_import] = STATE(1917),
    [sym_include] = STATE(1917),
    [sym_for] = STATE(1917),
    [sym_while] = STATE(1917),
    [sym_show] = STATE(1917),
    [sym_return] = STATE(1917),
    [sym_flow] = STATE(1917),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2751),
    [sym_none] = ACTIONS(2751),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [654] = {
    [sym_raw_blck] = STATE(1365),
    [sym_raw_span] = STATE(1365),
    [sym_math] = STATE(1365),
    [sym__expr] = STATE(1365),
    [sym_ident] = STATE(1365),
    [sym_bool] = STATE(1365),
    [sym_number] = STATE(1365),
    [sym_string] = STATE(1365),
    [sym_tagged] = STATE(1365),
    [sym_context] = STATE(1365),
    [sym_elude] = STATE(1365),
    [sym_assign] = STATE(1365),
    [sym_lambda] = STATE(1365),
    [sym_or] = STATE(1365),
    [sym_not] = STATE(1365),
    [sym_and] = STATE(1365),
    [sym_cmp] = STATE(1365),
    [sym_in] = STATE(1365),
    [sym_add] = STATE(1365),
    [sym_sub] = STATE(1365),
    [sym_mul] = STATE(1365),
    [sym_div] = STATE(1365),
    [sym_sign] = STATE(1365),
    [sym_call] = STATE(1365),
    [sym_field] = STATE(1365),
    [sym_label] = STATE(1365),
    [sym_content] = STATE(1365),
    [sym_group] = STATE(1365),
    [sym_block] = STATE(1365),
    [sym_branch] = STATE(1365),
    [sym_let] = STATE(1365),
    [sym_set] = STATE(1365),
    [sym_import] = STATE(1365),
    [sym_include] = STATE(1365),
    [sym_for] = STATE(1365),
    [sym_while] = STATE(1365),
    [sym_show] = STATE(1365),
    [sym_return] = STATE(1365),
    [sym_flow] = STATE(1365),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2753),
    [sym_none] = ACTIONS(2753),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [655] = {
    [sym_raw_blck] = STATE(3030),
    [sym_raw_span] = STATE(3030),
    [sym_math] = STATE(3030),
    [sym__expr] = STATE(3030),
    [sym_ident] = STATE(3030),
    [sym_bool] = STATE(3030),
    [sym_number] = STATE(3030),
    [sym_string] = STATE(3030),
    [sym_tagged] = STATE(3030),
    [sym_context] = STATE(3030),
    [sym_elude] = STATE(3030),
    [sym_assign] = STATE(3030),
    [sym_lambda] = STATE(3030),
    [sym_or] = STATE(3030),
    [sym_not] = STATE(3030),
    [sym_and] = STATE(3030),
    [sym_cmp] = STATE(3030),
    [sym_in] = STATE(3030),
    [sym_add] = STATE(3030),
    [sym_sub] = STATE(3030),
    [sym_mul] = STATE(3030),
    [sym_div] = STATE(3030),
    [sym_sign] = STATE(3030),
    [sym_call] = STATE(1496),
    [sym_field] = STATE(3030),
    [sym_label] = STATE(3030),
    [sym_content] = STATE(3030),
    [sym_group] = STATE(3030),
    [sym_block] = STATE(3030),
    [sym_branch] = STATE(3030),
    [sym_let] = STATE(3030),
    [sym_set] = STATE(3030),
    [sym_import] = STATE(3030),
    [sym_include] = STATE(3030),
    [sym_for] = STATE(3030),
    [sym_while] = STATE(3030),
    [sym_show] = STATE(3030),
    [sym_return] = STATE(3030),
    [sym_flow] = STATE(3030),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2755),
    [sym_none] = ACTIONS(2755),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [656] = {
    [sym_raw_blck] = STATE(1428),
    [sym_raw_span] = STATE(1428),
    [sym_math] = STATE(1428),
    [sym__expr] = STATE(1428),
    [sym_ident] = STATE(1428),
    [sym_bool] = STATE(1428),
    [sym_number] = STATE(1428),
    [sym_string] = STATE(1428),
    [sym_tagged] = STATE(1428),
    [sym_context] = STATE(1428),
    [sym_elude] = STATE(1428),
    [sym_assign] = STATE(1428),
    [sym_lambda] = STATE(1428),
    [sym_or] = STATE(1428),
    [sym_not] = STATE(1428),
    [sym_and] = STATE(1428),
    [sym_cmp] = STATE(1428),
    [sym_in] = STATE(1428),
    [sym_add] = STATE(1428),
    [sym_sub] = STATE(1428),
    [sym_mul] = STATE(1428),
    [sym_div] = STATE(1428),
    [sym_sign] = STATE(1428),
    [sym_call] = STATE(1428),
    [sym_field] = STATE(1428),
    [sym_label] = STATE(1428),
    [sym_content] = STATE(1428),
    [sym_group] = STATE(1428),
    [sym_block] = STATE(1428),
    [sym_branch] = STATE(1428),
    [sym_let] = STATE(1428),
    [sym_set] = STATE(1428),
    [sym_import] = STATE(1428),
    [sym_include] = STATE(1428),
    [sym_for] = STATE(1428),
    [sym_while] = STATE(1428),
    [sym_show] = STATE(1428),
    [sym_return] = STATE(1428),
    [sym_flow] = STATE(1428),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2757),
    [sym_none] = ACTIONS(2757),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [657] = {
    [sym_raw_blck] = STATE(1368),
    [sym_raw_span] = STATE(1368),
    [sym_math] = STATE(1368),
    [sym__expr] = STATE(1368),
    [sym_ident] = STATE(1368),
    [sym_bool] = STATE(1368),
    [sym_number] = STATE(1368),
    [sym_string] = STATE(1368),
    [sym_tagged] = STATE(1368),
    [sym_context] = STATE(1368),
    [sym_elude] = STATE(1368),
    [sym_assign] = STATE(1368),
    [sym_lambda] = STATE(1368),
    [sym_or] = STATE(1368),
    [sym_not] = STATE(1368),
    [sym_and] = STATE(1368),
    [sym_cmp] = STATE(1368),
    [sym_in] = STATE(1368),
    [sym_add] = STATE(1368),
    [sym_sub] = STATE(1368),
    [sym_mul] = STATE(1368),
    [sym_div] = STATE(1368),
    [sym_sign] = STATE(1368),
    [sym_call] = STATE(1368),
    [sym_field] = STATE(1368),
    [sym_label] = STATE(1368),
    [sym_content] = STATE(1368),
    [sym_group] = STATE(1368),
    [sym_block] = STATE(1368),
    [sym_branch] = STATE(1368),
    [sym_let] = STATE(1368),
    [sym_set] = STATE(1368),
    [sym_import] = STATE(1368),
    [sym_include] = STATE(1368),
    [sym_for] = STATE(1368),
    [sym_while] = STATE(1368),
    [sym_show] = STATE(1368),
    [sym_return] = STATE(1368),
    [sym_flow] = STATE(1368),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2759),
    [sym_none] = ACTIONS(2759),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [658] = {
    [sym_raw_blck] = STATE(1911),
    [sym_raw_span] = STATE(1911),
    [sym_math] = STATE(1911),
    [sym__expr] = STATE(1911),
    [sym_ident] = STATE(1911),
    [sym_bool] = STATE(1911),
    [sym_number] = STATE(1911),
    [sym_string] = STATE(1911),
    [sym_tagged] = STATE(1911),
    [sym_context] = STATE(1911),
    [sym_elude] = STATE(1911),
    [sym_assign] = STATE(1911),
    [sym_lambda] = STATE(1911),
    [sym_or] = STATE(1911),
    [sym_not] = STATE(1911),
    [sym_and] = STATE(1911),
    [sym_cmp] = STATE(1911),
    [sym_in] = STATE(1911),
    [sym_add] = STATE(1911),
    [sym_sub] = STATE(1911),
    [sym_mul] = STATE(1911),
    [sym_div] = STATE(1911),
    [sym_sign] = STATE(1911),
    [sym_call] = STATE(1911),
    [sym_field] = STATE(1911),
    [sym_label] = STATE(1911),
    [sym_content] = STATE(1911),
    [sym_group] = STATE(1911),
    [sym_block] = STATE(1911),
    [sym_branch] = STATE(1911),
    [sym_let] = STATE(1911),
    [sym_set] = STATE(1911),
    [sym_import] = STATE(1911),
    [sym_include] = STATE(1911),
    [sym_for] = STATE(1911),
    [sym_while] = STATE(1911),
    [sym_show] = STATE(1911),
    [sym_return] = STATE(1911),
    [sym_flow] = STATE(1911),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2761),
    [sym_none] = ACTIONS(2761),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [659] = {
    [sym_raw_blck] = STATE(1369),
    [sym_raw_span] = STATE(1369),
    [sym_math] = STATE(1369),
    [sym__expr] = STATE(1369),
    [sym_ident] = STATE(1369),
    [sym_bool] = STATE(1369),
    [sym_number] = STATE(1369),
    [sym_string] = STATE(1369),
    [sym_tagged] = STATE(1369),
    [sym_context] = STATE(1369),
    [sym_elude] = STATE(1369),
    [sym_assign] = STATE(1369),
    [sym_lambda] = STATE(1369),
    [sym_or] = STATE(1369),
    [sym_not] = STATE(1369),
    [sym_and] = STATE(1369),
    [sym_cmp] = STATE(1369),
    [sym_in] = STATE(1369),
    [sym_add] = STATE(1369),
    [sym_sub] = STATE(1369),
    [sym_mul] = STATE(1369),
    [sym_div] = STATE(1369),
    [sym_sign] = STATE(1369),
    [sym_call] = STATE(1369),
    [sym_field] = STATE(1369),
    [sym_label] = STATE(1369),
    [sym_content] = STATE(1369),
    [sym_group] = STATE(1369),
    [sym_block] = STATE(1369),
    [sym_branch] = STATE(1369),
    [sym_let] = STATE(1369),
    [sym_set] = STATE(1369),
    [sym_import] = STATE(1369),
    [sym_include] = STATE(1369),
    [sym_for] = STATE(1369),
    [sym_while] = STATE(1369),
    [sym_show] = STATE(1369),
    [sym_return] = STATE(1369),
    [sym_flow] = STATE(1369),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2763),
    [sym_none] = ACTIONS(2763),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [660] = {
    [sym_raw_blck] = STATE(1396),
    [sym_raw_span] = STATE(1396),
    [sym_math] = STATE(1396),
    [sym__expr] = STATE(1396),
    [sym_ident] = STATE(1396),
    [sym_bool] = STATE(1396),
    [sym_number] = STATE(1396),
    [sym_string] = STATE(1396),
    [sym_tagged] = STATE(1396),
    [sym_context] = STATE(1396),
    [sym_elude] = STATE(1396),
    [sym_assign] = STATE(1396),
    [sym_lambda] = STATE(1396),
    [sym_or] = STATE(1396),
    [sym_not] = STATE(1396),
    [sym_and] = STATE(1396),
    [sym_cmp] = STATE(1396),
    [sym_in] = STATE(1396),
    [sym_add] = STATE(1396),
    [sym_sub] = STATE(1396),
    [sym_mul] = STATE(1396),
    [sym_div] = STATE(1396),
    [sym_sign] = STATE(1396),
    [sym_call] = STATE(1396),
    [sym_field] = STATE(1396),
    [sym_label] = STATE(1396),
    [sym_content] = STATE(1396),
    [sym_group] = STATE(1396),
    [sym_block] = STATE(1396),
    [sym_branch] = STATE(1396),
    [sym_let] = STATE(1396),
    [sym_set] = STATE(1396),
    [sym_import] = STATE(1396),
    [sym_include] = STATE(1396),
    [sym_for] = STATE(1396),
    [sym_while] = STATE(1396),
    [sym_show] = STATE(1396),
    [sym_return] = STATE(1396),
    [sym_flow] = STATE(1396),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2473),
    [sym_none] = ACTIONS(2473),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [661] = {
    [sym_raw_blck] = STATE(1910),
    [sym_raw_span] = STATE(1910),
    [sym_math] = STATE(1910),
    [sym__expr] = STATE(1910),
    [sym_ident] = STATE(1910),
    [sym_bool] = STATE(1910),
    [sym_number] = STATE(1910),
    [sym_string] = STATE(1910),
    [sym_tagged] = STATE(1910),
    [sym_context] = STATE(1910),
    [sym_elude] = STATE(1910),
    [sym_assign] = STATE(1910),
    [sym_lambda] = STATE(1910),
    [sym_or] = STATE(1910),
    [sym_not] = STATE(1910),
    [sym_and] = STATE(1910),
    [sym_cmp] = STATE(1910),
    [sym_in] = STATE(1910),
    [sym_add] = STATE(1910),
    [sym_sub] = STATE(1910),
    [sym_mul] = STATE(1910),
    [sym_div] = STATE(1910),
    [sym_sign] = STATE(1910),
    [sym_call] = STATE(1910),
    [sym_field] = STATE(1910),
    [sym_label] = STATE(1910),
    [sym_content] = STATE(1910),
    [sym_group] = STATE(1910),
    [sym_block] = STATE(1910),
    [sym_branch] = STATE(1910),
    [sym_let] = STATE(1910),
    [sym_set] = STATE(1910),
    [sym_import] = STATE(1910),
    [sym_include] = STATE(1910),
    [sym_for] = STATE(1910),
    [sym_while] = STATE(1910),
    [sym_show] = STATE(1910),
    [sym_return] = STATE(1910),
    [sym_flow] = STATE(1910),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2765),
    [sym_none] = ACTIONS(2765),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [662] = {
    [sym_raw_blck] = STATE(1393),
    [sym_raw_span] = STATE(1393),
    [sym_math] = STATE(1393),
    [sym__expr] = STATE(1393),
    [sym_ident] = STATE(1393),
    [sym_bool] = STATE(1393),
    [sym_number] = STATE(1393),
    [sym_string] = STATE(1393),
    [sym_tagged] = STATE(1393),
    [sym_context] = STATE(1393),
    [sym_elude] = STATE(1393),
    [sym_assign] = STATE(1393),
    [sym_lambda] = STATE(1393),
    [sym_or] = STATE(1393),
    [sym_not] = STATE(1393),
    [sym_and] = STATE(1393),
    [sym_cmp] = STATE(1393),
    [sym_in] = STATE(1393),
    [sym_add] = STATE(1393),
    [sym_sub] = STATE(1393),
    [sym_mul] = STATE(1393),
    [sym_div] = STATE(1393),
    [sym_sign] = STATE(1393),
    [sym_call] = STATE(1393),
    [sym_field] = STATE(1393),
    [sym_label] = STATE(1393),
    [sym_content] = STATE(1393),
    [sym_group] = STATE(1393),
    [sym_block] = STATE(1393),
    [sym_branch] = STATE(1393),
    [sym_let] = STATE(1393),
    [sym_set] = STATE(1393),
    [sym_import] = STATE(1393),
    [sym_include] = STATE(1393),
    [sym_for] = STATE(1393),
    [sym_while] = STATE(1393),
    [sym_show] = STATE(1393),
    [sym_return] = STATE(1393),
    [sym_flow] = STATE(1393),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2513),
    [sym_none] = ACTIONS(2513),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [663] = {
    [sym_raw_blck] = STATE(1455),
    [sym_raw_span] = STATE(1455),
    [sym_math] = STATE(1455),
    [sym__expr] = STATE(1455),
    [sym_ident] = STATE(1455),
    [sym_bool] = STATE(1455),
    [sym_number] = STATE(1455),
    [sym_string] = STATE(1455),
    [sym_tagged] = STATE(1455),
    [sym_context] = STATE(1455),
    [sym_elude] = STATE(1455),
    [sym_assign] = STATE(1455),
    [sym_lambda] = STATE(1455),
    [sym_or] = STATE(1455),
    [sym_not] = STATE(1455),
    [sym_and] = STATE(1455),
    [sym_cmp] = STATE(1455),
    [sym_in] = STATE(1455),
    [sym_add] = STATE(1455),
    [sym_sub] = STATE(1455),
    [sym_mul] = STATE(1455),
    [sym_div] = STATE(1455),
    [sym_sign] = STATE(1455),
    [sym_call] = STATE(1455),
    [sym_field] = STATE(1455),
    [sym_label] = STATE(1455),
    [sym_content] = STATE(1455),
    [sym_group] = STATE(1455),
    [sym_block] = STATE(1455),
    [sym_branch] = STATE(1455),
    [sym_let] = STATE(1455),
    [sym_set] = STATE(1455),
    [sym_import] = STATE(1455),
    [sym_include] = STATE(1455),
    [sym_for] = STATE(1455),
    [sym_while] = STATE(1455),
    [sym_show] = STATE(1455),
    [sym_return] = STATE(1455),
    [sym_flow] = STATE(1455),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2767),
    [sym_none] = ACTIONS(2767),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [664] = {
    [sym_raw_blck] = STATE(2479),
    [sym_raw_span] = STATE(2479),
    [sym_math] = STATE(2479),
    [sym__expr] = STATE(2479),
    [sym_ident] = STATE(2479),
    [sym_bool] = STATE(2479),
    [sym_number] = STATE(2479),
    [sym_string] = STATE(2479),
    [sym_tagged] = STATE(2479),
    [sym_context] = STATE(2479),
    [sym_elude] = STATE(2479),
    [sym_assign] = STATE(2479),
    [sym_lambda] = STATE(2479),
    [sym_or] = STATE(2479),
    [sym_not] = STATE(2479),
    [sym_and] = STATE(2479),
    [sym_cmp] = STATE(2479),
    [sym_in] = STATE(2479),
    [sym_add] = STATE(2479),
    [sym_sub] = STATE(2479),
    [sym_mul] = STATE(2479),
    [sym_div] = STATE(2479),
    [sym_sign] = STATE(2479),
    [sym_call] = STATE(2479),
    [sym_field] = STATE(2479),
    [sym_label] = STATE(2479),
    [sym_content] = STATE(2479),
    [sym_group] = STATE(2479),
    [sym_block] = STATE(2479),
    [sym_branch] = STATE(2479),
    [sym_let] = STATE(2479),
    [sym_set] = STATE(2479),
    [sym_import] = STATE(2479),
    [sym_include] = STATE(2479),
    [sym_for] = STATE(2479),
    [sym_while] = STATE(2479),
    [sym_show] = STATE(2479),
    [sym_return] = STATE(2479),
    [sym_flow] = STATE(2479),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2769),
    [sym_none] = ACTIONS(2769),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [665] = {
    [sym_raw_blck] = STATE(1371),
    [sym_raw_span] = STATE(1371),
    [sym_math] = STATE(1371),
    [sym__expr] = STATE(1371),
    [sym_ident] = STATE(1371),
    [sym_bool] = STATE(1371),
    [sym_number] = STATE(1371),
    [sym_string] = STATE(1371),
    [sym_tagged] = STATE(1371),
    [sym_context] = STATE(1371),
    [sym_elude] = STATE(1371),
    [sym_assign] = STATE(1371),
    [sym_lambda] = STATE(1371),
    [sym_or] = STATE(1371),
    [sym_not] = STATE(1371),
    [sym_and] = STATE(1371),
    [sym_cmp] = STATE(1371),
    [sym_in] = STATE(1371),
    [sym_add] = STATE(1371),
    [sym_sub] = STATE(1371),
    [sym_mul] = STATE(1371),
    [sym_div] = STATE(1371),
    [sym_sign] = STATE(1371),
    [sym_call] = STATE(1371),
    [sym_field] = STATE(1371),
    [sym_label] = STATE(1371),
    [sym_content] = STATE(1371),
    [sym_group] = STATE(1371),
    [sym_block] = STATE(1371),
    [sym_branch] = STATE(1371),
    [sym_let] = STATE(1371),
    [sym_set] = STATE(1371),
    [sym_import] = STATE(1371),
    [sym_include] = STATE(1371),
    [sym_for] = STATE(1371),
    [sym_while] = STATE(1371),
    [sym_show] = STATE(1371),
    [sym_return] = STATE(1371),
    [sym_flow] = STATE(1371),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2771),
    [sym_none] = ACTIONS(2771),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [666] = {
    [sym_raw_blck] = STATE(2523),
    [sym_raw_span] = STATE(2523),
    [sym_math] = STATE(2523),
    [sym__expr] = STATE(2523),
    [sym_ident] = STATE(2523),
    [sym_bool] = STATE(2523),
    [sym_number] = STATE(2523),
    [sym_string] = STATE(2523),
    [sym_tagged] = STATE(2523),
    [sym_context] = STATE(2523),
    [sym_elude] = STATE(2523),
    [sym_assign] = STATE(2523),
    [sym_lambda] = STATE(2523),
    [sym_or] = STATE(2523),
    [sym_not] = STATE(2523),
    [sym_and] = STATE(2523),
    [sym_cmp] = STATE(2523),
    [sym_in] = STATE(2523),
    [sym_add] = STATE(2523),
    [sym_sub] = STATE(2523),
    [sym_mul] = STATE(2523),
    [sym_div] = STATE(2523),
    [sym_sign] = STATE(2523),
    [sym_call] = STATE(2523),
    [sym_field] = STATE(2523),
    [sym_label] = STATE(2523),
    [sym_content] = STATE(2523),
    [sym_group] = STATE(2523),
    [sym_block] = STATE(2523),
    [sym_branch] = STATE(2523),
    [sym_let] = STATE(2523),
    [sym_set] = STATE(2523),
    [sym_import] = STATE(2523),
    [sym_include] = STATE(2523),
    [sym_for] = STATE(2523),
    [sym_while] = STATE(2523),
    [sym_show] = STATE(2523),
    [sym_return] = STATE(2523),
    [sym_flow] = STATE(2523),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2773),
    [sym_none] = ACTIONS(2773),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [667] = {
    [sym_raw_blck] = STATE(2735),
    [sym_raw_span] = STATE(2735),
    [sym_math] = STATE(2735),
    [sym__expr] = STATE(2735),
    [sym_ident] = STATE(2735),
    [sym_bool] = STATE(2735),
    [sym_number] = STATE(2735),
    [sym_string] = STATE(2735),
    [sym_tagged] = STATE(2735),
    [sym_context] = STATE(2735),
    [sym_elude] = STATE(2735),
    [sym_assign] = STATE(2735),
    [sym_lambda] = STATE(2735),
    [sym_or] = STATE(2735),
    [sym_not] = STATE(2735),
    [sym_and] = STATE(2735),
    [sym_cmp] = STATE(2735),
    [sym_in] = STATE(2735),
    [sym_add] = STATE(2735),
    [sym_sub] = STATE(2735),
    [sym_mul] = STATE(2735),
    [sym_div] = STATE(2735),
    [sym_sign] = STATE(2735),
    [sym_call] = STATE(2735),
    [sym_field] = STATE(2735),
    [sym_label] = STATE(2735),
    [sym_content] = STATE(2735),
    [sym_group] = STATE(2735),
    [sym_block] = STATE(2735),
    [sym_branch] = STATE(2735),
    [sym_let] = STATE(2735),
    [sym_set] = STATE(2735),
    [sym_import] = STATE(2735),
    [sym_include] = STATE(2735),
    [sym_for] = STATE(2735),
    [sym_while] = STATE(2735),
    [sym_show] = STATE(2735),
    [sym_return] = STATE(2735),
    [sym_flow] = STATE(2735),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2775),
    [sym_none] = ACTIONS(2775),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [668] = {
    [sym_raw_blck] = STATE(2520),
    [sym_raw_span] = STATE(2520),
    [sym_math] = STATE(2520),
    [sym__expr] = STATE(2520),
    [sym_ident] = STATE(2520),
    [sym_bool] = STATE(2520),
    [sym_number] = STATE(2520),
    [sym_string] = STATE(2520),
    [sym_tagged] = STATE(2520),
    [sym_context] = STATE(2520),
    [sym_elude] = STATE(2520),
    [sym_assign] = STATE(2520),
    [sym_lambda] = STATE(2520),
    [sym_or] = STATE(2520),
    [sym_not] = STATE(2520),
    [sym_and] = STATE(2520),
    [sym_cmp] = STATE(2520),
    [sym_in] = STATE(2520),
    [sym_add] = STATE(2520),
    [sym_sub] = STATE(2520),
    [sym_mul] = STATE(2520),
    [sym_div] = STATE(2520),
    [sym_sign] = STATE(2520),
    [sym_call] = STATE(2520),
    [sym_field] = STATE(2520),
    [sym_label] = STATE(2520),
    [sym_content] = STATE(2520),
    [sym_group] = STATE(2520),
    [sym_block] = STATE(2520),
    [sym_branch] = STATE(2520),
    [sym_let] = STATE(2520),
    [sym_set] = STATE(2520),
    [sym_import] = STATE(2520),
    [sym_include] = STATE(2520),
    [sym_for] = STATE(2520),
    [sym_while] = STATE(2520),
    [sym_show] = STATE(2520),
    [sym_return] = STATE(2520),
    [sym_flow] = STATE(2520),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2777),
    [sym_none] = ACTIONS(2777),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [669] = {
    [sym_raw_blck] = STATE(2456),
    [sym_raw_span] = STATE(2456),
    [sym_math] = STATE(2456),
    [sym__expr] = STATE(2456),
    [sym_ident] = STATE(2456),
    [sym_bool] = STATE(2456),
    [sym_number] = STATE(2456),
    [sym_string] = STATE(2456),
    [sym_tagged] = STATE(2456),
    [sym_context] = STATE(2456),
    [sym_elude] = STATE(2456),
    [sym_assign] = STATE(2456),
    [sym_lambda] = STATE(2456),
    [sym_or] = STATE(2456),
    [sym_not] = STATE(2456),
    [sym_and] = STATE(2456),
    [sym_cmp] = STATE(2456),
    [sym_in] = STATE(2456),
    [sym_add] = STATE(2456),
    [sym_sub] = STATE(2456),
    [sym_mul] = STATE(2456),
    [sym_div] = STATE(2456),
    [sym_sign] = STATE(2456),
    [sym_call] = STATE(2456),
    [sym_field] = STATE(2456),
    [sym_label] = STATE(2456),
    [sym_content] = STATE(2456),
    [sym_group] = STATE(2456),
    [sym_block] = STATE(2456),
    [sym_branch] = STATE(2456),
    [sym_let] = STATE(2456),
    [sym_set] = STATE(2456),
    [sym_import] = STATE(2456),
    [sym_include] = STATE(2456),
    [sym_for] = STATE(2456),
    [sym_while] = STATE(2456),
    [sym_show] = STATE(2456),
    [sym_return] = STATE(2456),
    [sym_flow] = STATE(2456),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2779),
    [sym_none] = ACTIONS(2779),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [670] = {
    [sym_raw_blck] = STATE(1975),
    [sym_raw_span] = STATE(1975),
    [sym_math] = STATE(1975),
    [sym__expr] = STATE(1975),
    [sym_ident] = STATE(1975),
    [sym_bool] = STATE(1975),
    [sym_number] = STATE(1975),
    [sym_string] = STATE(1975),
    [sym_tagged] = STATE(1975),
    [sym_context] = STATE(1975),
    [sym_elude] = STATE(1975),
    [sym_assign] = STATE(1975),
    [sym_lambda] = STATE(1975),
    [sym_or] = STATE(1975),
    [sym_not] = STATE(1975),
    [sym_and] = STATE(1975),
    [sym_cmp] = STATE(1975),
    [sym_in] = STATE(1975),
    [sym_add] = STATE(1975),
    [sym_sub] = STATE(1975),
    [sym_mul] = STATE(1975),
    [sym_div] = STATE(1975),
    [sym_sign] = STATE(1975),
    [sym_call] = STATE(1975),
    [sym_field] = STATE(1975),
    [sym_label] = STATE(1975),
    [sym_content] = STATE(1975),
    [sym_group] = STATE(1975),
    [sym_block] = STATE(1975),
    [sym_branch] = STATE(1975),
    [sym_let] = STATE(1975),
    [sym_set] = STATE(1975),
    [sym_import] = STATE(1975),
    [sym_include] = STATE(1975),
    [sym_for] = STATE(1975),
    [sym_while] = STATE(1975),
    [sym_show] = STATE(1975),
    [sym_return] = STATE(1975),
    [sym_flow] = STATE(1975),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2781),
    [sym_none] = ACTIONS(2781),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [671] = {
    [sym_raw_blck] = STATE(1385),
    [sym_raw_span] = STATE(1385),
    [sym_math] = STATE(1385),
    [sym__expr] = STATE(1385),
    [sym_ident] = STATE(1385),
    [sym_bool] = STATE(1385),
    [sym_number] = STATE(1385),
    [sym_string] = STATE(1385),
    [sym_tagged] = STATE(1385),
    [sym_context] = STATE(1385),
    [sym_elude] = STATE(1385),
    [sym_assign] = STATE(1385),
    [sym_lambda] = STATE(1385),
    [sym_or] = STATE(1385),
    [sym_not] = STATE(1385),
    [sym_and] = STATE(1385),
    [sym_cmp] = STATE(1385),
    [sym_in] = STATE(1385),
    [sym_add] = STATE(1385),
    [sym_sub] = STATE(1385),
    [sym_mul] = STATE(1385),
    [sym_div] = STATE(1385),
    [sym_sign] = STATE(1385),
    [sym_call] = STATE(1385),
    [sym_field] = STATE(1385),
    [sym_label] = STATE(1385),
    [sym_content] = STATE(1385),
    [sym_group] = STATE(1385),
    [sym_block] = STATE(1385),
    [sym_branch] = STATE(1385),
    [sym_let] = STATE(1385),
    [sym_set] = STATE(1385),
    [sym_import] = STATE(1385),
    [sym_include] = STATE(1385),
    [sym_for] = STATE(1385),
    [sym_while] = STATE(1385),
    [sym_show] = STATE(1385),
    [sym_return] = STATE(1385),
    [sym_flow] = STATE(1385),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2783),
    [sym_none] = ACTIONS(2783),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [672] = {
    [sym_raw_blck] = STATE(1388),
    [sym_raw_span] = STATE(1388),
    [sym_math] = STATE(1388),
    [sym__expr] = STATE(1388),
    [sym_ident] = STATE(1388),
    [sym_bool] = STATE(1388),
    [sym_number] = STATE(1388),
    [sym_string] = STATE(1388),
    [sym_tagged] = STATE(1388),
    [sym_context] = STATE(1388),
    [sym_elude] = STATE(1388),
    [sym_assign] = STATE(1388),
    [sym_lambda] = STATE(1388),
    [sym_or] = STATE(1388),
    [sym_not] = STATE(1388),
    [sym_and] = STATE(1388),
    [sym_cmp] = STATE(1388),
    [sym_in] = STATE(1388),
    [sym_add] = STATE(1388),
    [sym_sub] = STATE(1388),
    [sym_mul] = STATE(1388),
    [sym_div] = STATE(1388),
    [sym_sign] = STATE(1388),
    [sym_call] = STATE(1388),
    [sym_field] = STATE(1388),
    [sym_label] = STATE(1388),
    [sym_content] = STATE(1388),
    [sym_group] = STATE(1388),
    [sym_block] = STATE(1388),
    [sym_branch] = STATE(1388),
    [sym_let] = STATE(1388),
    [sym_set] = STATE(1388),
    [sym_import] = STATE(1388),
    [sym_include] = STATE(1388),
    [sym_for] = STATE(1388),
    [sym_while] = STATE(1388),
    [sym_show] = STATE(1388),
    [sym_return] = STATE(1388),
    [sym_flow] = STATE(1388),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2785),
    [sym_none] = ACTIONS(2785),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [673] = {
    [sym_raw_blck] = STATE(1658),
    [sym_raw_span] = STATE(1658),
    [sym_math] = STATE(1658),
    [sym__expr] = STATE(1658),
    [sym_ident] = STATE(1658),
    [sym_bool] = STATE(1658),
    [sym_number] = STATE(1658),
    [sym_string] = STATE(1658),
    [sym_tagged] = STATE(1658),
    [sym_context] = STATE(1658),
    [sym_elude] = STATE(1658),
    [sym_assign] = STATE(1658),
    [sym_lambda] = STATE(1658),
    [sym_or] = STATE(1658),
    [sym_not] = STATE(1658),
    [sym_and] = STATE(1658),
    [sym_cmp] = STATE(1658),
    [sym_in] = STATE(1658),
    [sym_add] = STATE(1658),
    [sym_sub] = STATE(1658),
    [sym_mul] = STATE(1658),
    [sym_div] = STATE(1658),
    [sym_sign] = STATE(1658),
    [sym_call] = STATE(1658),
    [sym_field] = STATE(1658),
    [sym_label] = STATE(1658),
    [sym_content] = STATE(1658),
    [sym_group] = STATE(1658),
    [sym_block] = STATE(1658),
    [sym_branch] = STATE(1658),
    [sym_let] = STATE(1658),
    [sym_set] = STATE(1658),
    [sym_import] = STATE(1658),
    [sym_include] = STATE(1658),
    [sym_for] = STATE(1658),
    [sym_while] = STATE(1658),
    [sym_show] = STATE(1658),
    [sym_return] = STATE(1658),
    [sym_flow] = STATE(1658),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2787),
    [sym_none] = ACTIONS(2787),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [674] = {
    [sym_raw_blck] = STATE(1402),
    [sym_raw_span] = STATE(1402),
    [sym_math] = STATE(1402),
    [sym__expr] = STATE(1402),
    [sym_ident] = STATE(1402),
    [sym_bool] = STATE(1402),
    [sym_number] = STATE(1402),
    [sym_string] = STATE(1402),
    [sym_tagged] = STATE(1402),
    [sym_context] = STATE(1402),
    [sym_elude] = STATE(1402),
    [sym_assign] = STATE(1402),
    [sym_lambda] = STATE(1402),
    [sym_or] = STATE(1402),
    [sym_not] = STATE(1402),
    [sym_and] = STATE(1402),
    [sym_cmp] = STATE(1402),
    [sym_in] = STATE(1402),
    [sym_add] = STATE(1402),
    [sym_sub] = STATE(1402),
    [sym_mul] = STATE(1402),
    [sym_div] = STATE(1402),
    [sym_sign] = STATE(1402),
    [sym_call] = STATE(1402),
    [sym_field] = STATE(1402),
    [sym_label] = STATE(1402),
    [sym_content] = STATE(1402),
    [sym_group] = STATE(1402),
    [sym_block] = STATE(1402),
    [sym_branch] = STATE(1402),
    [sym_let] = STATE(1402),
    [sym_set] = STATE(1402),
    [sym_import] = STATE(1402),
    [sym_include] = STATE(1402),
    [sym_for] = STATE(1402),
    [sym_while] = STATE(1402),
    [sym_show] = STATE(1402),
    [sym_return] = STATE(1402),
    [sym_flow] = STATE(1402),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2789),
    [sym_none] = ACTIONS(2789),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [675] = {
    [sym_raw_blck] = STATE(1404),
    [sym_raw_span] = STATE(1404),
    [sym_math] = STATE(1404),
    [sym__expr] = STATE(1404),
    [sym_ident] = STATE(1404),
    [sym_bool] = STATE(1404),
    [sym_number] = STATE(1404),
    [sym_string] = STATE(1404),
    [sym_tagged] = STATE(1404),
    [sym_context] = STATE(1404),
    [sym_elude] = STATE(1404),
    [sym_assign] = STATE(1404),
    [sym_lambda] = STATE(1404),
    [sym_or] = STATE(1404),
    [sym_not] = STATE(1404),
    [sym_and] = STATE(1404),
    [sym_cmp] = STATE(1404),
    [sym_in] = STATE(1404),
    [sym_add] = STATE(1404),
    [sym_sub] = STATE(1404),
    [sym_mul] = STATE(1404),
    [sym_div] = STATE(1404),
    [sym_sign] = STATE(1404),
    [sym_call] = STATE(1404),
    [sym_field] = STATE(1404),
    [sym_label] = STATE(1404),
    [sym_content] = STATE(1404),
    [sym_group] = STATE(1404),
    [sym_block] = STATE(1404),
    [sym_branch] = STATE(1404),
    [sym_let] = STATE(1404),
    [sym_set] = STATE(1404),
    [sym_import] = STATE(1404),
    [sym_include] = STATE(1404),
    [sym_for] = STATE(1404),
    [sym_while] = STATE(1404),
    [sym_show] = STATE(1404),
    [sym_return] = STATE(1404),
    [sym_flow] = STATE(1404),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2791),
    [sym_none] = ACTIONS(2791),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [676] = {
    [sym_raw_blck] = STATE(1405),
    [sym_raw_span] = STATE(1405),
    [sym_math] = STATE(1405),
    [sym__expr] = STATE(1405),
    [sym_ident] = STATE(1405),
    [sym_bool] = STATE(1405),
    [sym_number] = STATE(1405),
    [sym_string] = STATE(1405),
    [sym_tagged] = STATE(1405),
    [sym_context] = STATE(1405),
    [sym_elude] = STATE(1405),
    [sym_assign] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_or] = STATE(1405),
    [sym_not] = STATE(1405),
    [sym_and] = STATE(1405),
    [sym_cmp] = STATE(1405),
    [sym_in] = STATE(1405),
    [sym_add] = STATE(1405),
    [sym_sub] = STATE(1405),
    [sym_mul] = STATE(1405),
    [sym_div] = STATE(1405),
    [sym_sign] = STATE(1405),
    [sym_call] = STATE(1405),
    [sym_field] = STATE(1405),
    [sym_label] = STATE(1405),
    [sym_content] = STATE(1405),
    [sym_group] = STATE(1405),
    [sym_block] = STATE(1405),
    [sym_branch] = STATE(1405),
    [sym_let] = STATE(1405),
    [sym_set] = STATE(1405),
    [sym_import] = STATE(1405),
    [sym_include] = STATE(1405),
    [sym_for] = STATE(1405),
    [sym_while] = STATE(1405),
    [sym_show] = STATE(1405),
    [sym_return] = STATE(1405),
    [sym_flow] = STATE(1405),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2793),
    [sym_none] = ACTIONS(2793),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [677] = {
    [sym_raw_blck] = STATE(1407),
    [sym_raw_span] = STATE(1407),
    [sym_math] = STATE(1407),
    [sym__expr] = STATE(1407),
    [sym_ident] = STATE(1407),
    [sym_bool] = STATE(1407),
    [sym_number] = STATE(1407),
    [sym_string] = STATE(1407),
    [sym_tagged] = STATE(1407),
    [sym_context] = STATE(1407),
    [sym_elude] = STATE(1407),
    [sym_assign] = STATE(1407),
    [sym_lambda] = STATE(1407),
    [sym_or] = STATE(1407),
    [sym_not] = STATE(1407),
    [sym_and] = STATE(1407),
    [sym_cmp] = STATE(1407),
    [sym_in] = STATE(1407),
    [sym_add] = STATE(1407),
    [sym_sub] = STATE(1407),
    [sym_mul] = STATE(1407),
    [sym_div] = STATE(1407),
    [sym_sign] = STATE(1407),
    [sym_call] = STATE(1407),
    [sym_field] = STATE(1407),
    [sym_label] = STATE(1407),
    [sym_content] = STATE(1407),
    [sym_group] = STATE(1407),
    [sym_block] = STATE(1407),
    [sym_branch] = STATE(1407),
    [sym_let] = STATE(1407),
    [sym_set] = STATE(1407),
    [sym_import] = STATE(1407),
    [sym_include] = STATE(1407),
    [sym_for] = STATE(1407),
    [sym_while] = STATE(1407),
    [sym_show] = STATE(1407),
    [sym_return] = STATE(1407),
    [sym_flow] = STATE(1407),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2795),
    [sym_none] = ACTIONS(2795),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [678] = {
    [sym_raw_blck] = STATE(1414),
    [sym_raw_span] = STATE(1414),
    [sym_math] = STATE(1414),
    [sym__expr] = STATE(1414),
    [sym_ident] = STATE(1414),
    [sym_bool] = STATE(1414),
    [sym_number] = STATE(1414),
    [sym_string] = STATE(1414),
    [sym_tagged] = STATE(1414),
    [sym_context] = STATE(1414),
    [sym_elude] = STATE(1414),
    [sym_assign] = STATE(1414),
    [sym_lambda] = STATE(1414),
    [sym_or] = STATE(1414),
    [sym_not] = STATE(1414),
    [sym_and] = STATE(1414),
    [sym_cmp] = STATE(1414),
    [sym_in] = STATE(1414),
    [sym_add] = STATE(1414),
    [sym_sub] = STATE(1414),
    [sym_mul] = STATE(1414),
    [sym_div] = STATE(1414),
    [sym_sign] = STATE(1414),
    [sym_call] = STATE(1414),
    [sym_field] = STATE(1414),
    [sym_label] = STATE(1414),
    [sym_content] = STATE(1414),
    [sym_group] = STATE(1414),
    [sym_block] = STATE(1414),
    [sym_branch] = STATE(1414),
    [sym_let] = STATE(1414),
    [sym_set] = STATE(1414),
    [sym_import] = STATE(1414),
    [sym_include] = STATE(1414),
    [sym_for] = STATE(1414),
    [sym_while] = STATE(1414),
    [sym_show] = STATE(1414),
    [sym_return] = STATE(1414),
    [sym_flow] = STATE(1414),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2797),
    [sym_none] = ACTIONS(2797),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [679] = {
    [sym_raw_blck] = STATE(1420),
    [sym_raw_span] = STATE(1420),
    [sym_math] = STATE(1420),
    [sym__expr] = STATE(1420),
    [sym_ident] = STATE(1420),
    [sym_bool] = STATE(1420),
    [sym_number] = STATE(1420),
    [sym_string] = STATE(1420),
    [sym_tagged] = STATE(1420),
    [sym_context] = STATE(1420),
    [sym_elude] = STATE(1420),
    [sym_assign] = STATE(1420),
    [sym_lambda] = STATE(1420),
    [sym_or] = STATE(1420),
    [sym_not] = STATE(1420),
    [sym_and] = STATE(1420),
    [sym_cmp] = STATE(1420),
    [sym_in] = STATE(1420),
    [sym_add] = STATE(1420),
    [sym_sub] = STATE(1420),
    [sym_mul] = STATE(1420),
    [sym_div] = STATE(1420),
    [sym_sign] = STATE(1420),
    [sym_call] = STATE(1420),
    [sym_field] = STATE(1420),
    [sym_label] = STATE(1420),
    [sym_content] = STATE(1420),
    [sym_group] = STATE(1420),
    [sym_block] = STATE(1420),
    [sym_branch] = STATE(1420),
    [sym_let] = STATE(1420),
    [sym_set] = STATE(1420),
    [sym_import] = STATE(1420),
    [sym_include] = STATE(1420),
    [sym_for] = STATE(1420),
    [sym_while] = STATE(1420),
    [sym_show] = STATE(1420),
    [sym_return] = STATE(1420),
    [sym_flow] = STATE(1420),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2799),
    [sym_none] = ACTIONS(2799),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [680] = {
    [sym_raw_blck] = STATE(2859),
    [sym_raw_span] = STATE(2859),
    [sym_math] = STATE(2859),
    [sym__expr] = STATE(2859),
    [sym_ident] = STATE(2859),
    [sym_bool] = STATE(2859),
    [sym_number] = STATE(2859),
    [sym_string] = STATE(2859),
    [sym_tagged] = STATE(2859),
    [sym_context] = STATE(2859),
    [sym_elude] = STATE(2859),
    [sym_assign] = STATE(2859),
    [sym_lambda] = STATE(2859),
    [sym_or] = STATE(2859),
    [sym_not] = STATE(2859),
    [sym_and] = STATE(2859),
    [sym_cmp] = STATE(2859),
    [sym_in] = STATE(2859),
    [sym_add] = STATE(2859),
    [sym_sub] = STATE(2859),
    [sym_mul] = STATE(2859),
    [sym_div] = STATE(2859),
    [sym_sign] = STATE(2859),
    [sym_call] = STATE(2859),
    [sym_field] = STATE(2859),
    [sym_label] = STATE(2859),
    [sym_content] = STATE(2859),
    [sym_group] = STATE(2859),
    [sym_block] = STATE(2859),
    [sym_branch] = STATE(2859),
    [sym_let] = STATE(2859),
    [sym_set] = STATE(2859),
    [sym_import] = STATE(2859),
    [sym_include] = STATE(2859),
    [sym_for] = STATE(2859),
    [sym_while] = STATE(2859),
    [sym_show] = STATE(2859),
    [sym_return] = STATE(2859),
    [sym_flow] = STATE(2859),
    [sym__identifier] = ACTIONS(1003),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1005),
    [anon_sym_BQUOTE] = ACTIONS(1007),
    [anon_sym_DOLLAR] = ACTIONS(1009),
    [anon_sym_true] = ACTIONS(1011),
    [anon_sym_false] = ACTIONS(1011),
    [aux_sym_number_token1] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [anon_sym_context] = ACTIONS(1017),
    [anon_sym_DOT_DOT] = ACTIONS(1019),
    [anon_sym_not] = ACTIONS(1021),
    [anon_sym_LT] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1031),
    [anon_sym_let] = ACTIONS(1033),
    [anon_sym_set] = ACTIONS(1035),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_include] = ACTIONS(1039),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1043),
    [anon_sym_show] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1047),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [sym_auto] = ACTIONS(2801),
    [sym_none] = ACTIONS(2801),
    [sym__token_content] = ACTIONS(1053),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [681] = {
    [sym_raw_blck] = STATE(1356),
    [sym_raw_span] = STATE(1356),
    [sym_math] = STATE(1356),
    [sym__expr] = STATE(1356),
    [sym_ident] = STATE(1356),
    [sym_bool] = STATE(1356),
    [sym_number] = STATE(1356),
    [sym_string] = STATE(1356),
    [sym_tagged] = STATE(1356),
    [sym_context] = STATE(1356),
    [sym_elude] = STATE(1356),
    [sym_assign] = STATE(1356),
    [sym_lambda] = STATE(1356),
    [sym_or] = STATE(1356),
    [sym_not] = STATE(1356),
    [sym_and] = STATE(1356),
    [sym_cmp] = STATE(1356),
    [sym_in] = STATE(1356),
    [sym_add] = STATE(1356),
    [sym_sub] = STATE(1356),
    [sym_mul] = STATE(1356),
    [sym_div] = STATE(1356),
    [sym_sign] = STATE(1356),
    [sym_call] = STATE(1356),
    [sym_field] = STATE(1356),
    [sym_label] = STATE(1356),
    [sym_content] = STATE(1356),
    [sym_group] = STATE(1356),
    [sym_block] = STATE(1356),
    [sym_branch] = STATE(1356),
    [sym_let] = STATE(1356),
    [sym_set] = STATE(1356),
    [sym_import] = STATE(1356),
    [sym_include] = STATE(1356),
    [sym_for] = STATE(1356),
    [sym_while] = STATE(1356),
    [sym_show] = STATE(1356),
    [sym_return] = STATE(1356),
    [sym_flow] = STATE(1356),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2727),
    [sym_none] = ACTIONS(2727),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [682] = {
    [sym_raw_blck] = STATE(1662),
    [sym_raw_span] = STATE(1662),
    [sym_math] = STATE(1662),
    [sym__expr] = STATE(1662),
    [sym_ident] = STATE(1662),
    [sym_bool] = STATE(1662),
    [sym_number] = STATE(1662),
    [sym_string] = STATE(1662),
    [sym_tagged] = STATE(1662),
    [sym_context] = STATE(1662),
    [sym_elude] = STATE(1662),
    [sym_assign] = STATE(1662),
    [sym_lambda] = STATE(1662),
    [sym_or] = STATE(1662),
    [sym_not] = STATE(1662),
    [sym_and] = STATE(1662),
    [sym_cmp] = STATE(1662),
    [sym_in] = STATE(1662),
    [sym_add] = STATE(1662),
    [sym_sub] = STATE(1662),
    [sym_mul] = STATE(1662),
    [sym_div] = STATE(1662),
    [sym_sign] = STATE(1662),
    [sym_call] = STATE(1662),
    [sym_field] = STATE(1662),
    [sym_label] = STATE(1662),
    [sym_content] = STATE(1662),
    [sym_group] = STATE(1662),
    [sym_block] = STATE(1662),
    [sym_branch] = STATE(1662),
    [sym_let] = STATE(1662),
    [sym_set] = STATE(1662),
    [sym_import] = STATE(1662),
    [sym_include] = STATE(1662),
    [sym_for] = STATE(1662),
    [sym_while] = STATE(1662),
    [sym_show] = STATE(1662),
    [sym_return] = STATE(1662),
    [sym_flow] = STATE(1662),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2803),
    [sym_none] = ACTIONS(2803),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [683] = {
    [sym_raw_blck] = STATE(1578),
    [sym_raw_span] = STATE(1578),
    [sym_math] = STATE(1578),
    [sym__expr] = STATE(1578),
    [sym_ident] = STATE(1578),
    [sym_bool] = STATE(1578),
    [sym_number] = STATE(1578),
    [sym_string] = STATE(1578),
    [sym_tagged] = STATE(1578),
    [sym_context] = STATE(1578),
    [sym_elude] = STATE(1578),
    [sym_assign] = STATE(1578),
    [sym_lambda] = STATE(1578),
    [sym_or] = STATE(1578),
    [sym_not] = STATE(1578),
    [sym_and] = STATE(1578),
    [sym_cmp] = STATE(1578),
    [sym_in] = STATE(1578),
    [sym_add] = STATE(1578),
    [sym_sub] = STATE(1578),
    [sym_mul] = STATE(1578),
    [sym_div] = STATE(1578),
    [sym_sign] = STATE(1578),
    [sym_call] = STATE(1578),
    [sym_field] = STATE(1578),
    [sym_label] = STATE(1578),
    [sym_content] = STATE(1578),
    [sym_group] = STATE(1578),
    [sym_block] = STATE(1578),
    [sym_branch] = STATE(1578),
    [sym_let] = STATE(1578),
    [sym_set] = STATE(1578),
    [sym_import] = STATE(1578),
    [sym_include] = STATE(1578),
    [sym_for] = STATE(1578),
    [sym_while] = STATE(1578),
    [sym_show] = STATE(1578),
    [sym_return] = STATE(1578),
    [sym_flow] = STATE(1578),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2805),
    [sym_none] = ACTIONS(2805),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [684] = {
    [sym_raw_blck] = STATE(1958),
    [sym_raw_span] = STATE(1958),
    [sym_math] = STATE(1958),
    [sym__expr] = STATE(1958),
    [sym_ident] = STATE(1958),
    [sym_bool] = STATE(1958),
    [sym_number] = STATE(1958),
    [sym_string] = STATE(1958),
    [sym_tagged] = STATE(1958),
    [sym_context] = STATE(1958),
    [sym_elude] = STATE(1958),
    [sym_assign] = STATE(1958),
    [sym_lambda] = STATE(1958),
    [sym_or] = STATE(1958),
    [sym_not] = STATE(1958),
    [sym_and] = STATE(1958),
    [sym_cmp] = STATE(1958),
    [sym_in] = STATE(1958),
    [sym_add] = STATE(1958),
    [sym_sub] = STATE(1958),
    [sym_mul] = STATE(1958),
    [sym_div] = STATE(1958),
    [sym_sign] = STATE(1958),
    [sym_call] = STATE(1958),
    [sym_field] = STATE(1958),
    [sym_label] = STATE(1958),
    [sym_content] = STATE(1958),
    [sym_group] = STATE(1958),
    [sym_block] = STATE(1958),
    [sym_branch] = STATE(1958),
    [sym_let] = STATE(1958),
    [sym_set] = STATE(1958),
    [sym_import] = STATE(1958),
    [sym_include] = STATE(1958),
    [sym_for] = STATE(1958),
    [sym_while] = STATE(1958),
    [sym_show] = STATE(1958),
    [sym_return] = STATE(1958),
    [sym_flow] = STATE(1958),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2807),
    [sym_none] = ACTIONS(2807),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [685] = {
    [sym_raw_blck] = STATE(2416),
    [sym_raw_span] = STATE(2416),
    [sym_math] = STATE(2416),
    [sym__expr] = STATE(2416),
    [sym_ident] = STATE(2416),
    [sym_bool] = STATE(2416),
    [sym_number] = STATE(2416),
    [sym_string] = STATE(2416),
    [sym_tagged] = STATE(2416),
    [sym_context] = STATE(2416),
    [sym_elude] = STATE(2416),
    [sym_assign] = STATE(2416),
    [sym_lambda] = STATE(2416),
    [sym_or] = STATE(2416),
    [sym_not] = STATE(2416),
    [sym_and] = STATE(2416),
    [sym_cmp] = STATE(2416),
    [sym_in] = STATE(2416),
    [sym_add] = STATE(2416),
    [sym_sub] = STATE(2416),
    [sym_mul] = STATE(2416),
    [sym_div] = STATE(2416),
    [sym_sign] = STATE(2416),
    [sym_call] = STATE(2416),
    [sym_field] = STATE(2416),
    [sym_label] = STATE(2416),
    [sym_content] = STATE(2416),
    [sym_group] = STATE(2416),
    [sym_block] = STATE(2416),
    [sym_branch] = STATE(2416),
    [sym_let] = STATE(2416),
    [sym_set] = STATE(2416),
    [sym_import] = STATE(2416),
    [sym_include] = STATE(2416),
    [sym_for] = STATE(2416),
    [sym_while] = STATE(2416),
    [sym_show] = STATE(2416),
    [sym_return] = STATE(2416),
    [sym_flow] = STATE(2416),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2809),
    [sym_none] = ACTIONS(2809),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [686] = {
    [sym_raw_blck] = STATE(2443),
    [sym_raw_span] = STATE(2443),
    [sym_math] = STATE(2443),
    [sym__expr] = STATE(2443),
    [sym_ident] = STATE(2443),
    [sym_bool] = STATE(2443),
    [sym_number] = STATE(2443),
    [sym_string] = STATE(2443),
    [sym_tagged] = STATE(2443),
    [sym_context] = STATE(2443),
    [sym_elude] = STATE(2443),
    [sym_assign] = STATE(2443),
    [sym_lambda] = STATE(2443),
    [sym_or] = STATE(2443),
    [sym_not] = STATE(2443),
    [sym_and] = STATE(2443),
    [sym_cmp] = STATE(2443),
    [sym_in] = STATE(2443),
    [sym_add] = STATE(2443),
    [sym_sub] = STATE(2443),
    [sym_mul] = STATE(2443),
    [sym_div] = STATE(2443),
    [sym_sign] = STATE(2443),
    [sym_call] = STATE(2443),
    [sym_field] = STATE(2443),
    [sym_label] = STATE(2443),
    [sym_content] = STATE(2443),
    [sym_group] = STATE(2443),
    [sym_block] = STATE(2443),
    [sym_branch] = STATE(2443),
    [sym_let] = STATE(2443),
    [sym_set] = STATE(2443),
    [sym_import] = STATE(2443),
    [sym_include] = STATE(2443),
    [sym_for] = STATE(2443),
    [sym_while] = STATE(2443),
    [sym_show] = STATE(2443),
    [sym_return] = STATE(2443),
    [sym_flow] = STATE(2443),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2811),
    [sym_none] = ACTIONS(2811),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [687] = {
    [sym_raw_blck] = STATE(1668),
    [sym_raw_span] = STATE(1668),
    [sym_math] = STATE(1668),
    [sym__expr] = STATE(1668),
    [sym_ident] = STATE(1668),
    [sym_bool] = STATE(1668),
    [sym_number] = STATE(1668),
    [sym_string] = STATE(1668),
    [sym_tagged] = STATE(1668),
    [sym_context] = STATE(1668),
    [sym_elude] = STATE(1668),
    [sym_assign] = STATE(1668),
    [sym_lambda] = STATE(1668),
    [sym_or] = STATE(1668),
    [sym_not] = STATE(1668),
    [sym_and] = STATE(1668),
    [sym_cmp] = STATE(1668),
    [sym_in] = STATE(1668),
    [sym_add] = STATE(1668),
    [sym_sub] = STATE(1668),
    [sym_mul] = STATE(1668),
    [sym_div] = STATE(1668),
    [sym_sign] = STATE(1668),
    [sym_call] = STATE(1668),
    [sym_field] = STATE(1668),
    [sym_label] = STATE(1668),
    [sym_content] = STATE(1668),
    [sym_group] = STATE(1668),
    [sym_block] = STATE(1668),
    [sym_branch] = STATE(1668),
    [sym_let] = STATE(1668),
    [sym_set] = STATE(1668),
    [sym_import] = STATE(1668),
    [sym_include] = STATE(1668),
    [sym_for] = STATE(1668),
    [sym_while] = STATE(1668),
    [sym_show] = STATE(1668),
    [sym_return] = STATE(1668),
    [sym_flow] = STATE(1668),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2813),
    [sym_none] = ACTIONS(2813),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [688] = {
    [sym_raw_blck] = STATE(1669),
    [sym_raw_span] = STATE(1669),
    [sym_math] = STATE(1669),
    [sym__expr] = STATE(1669),
    [sym_ident] = STATE(1669),
    [sym_bool] = STATE(1669),
    [sym_number] = STATE(1669),
    [sym_string] = STATE(1669),
    [sym_tagged] = STATE(1669),
    [sym_context] = STATE(1669),
    [sym_elude] = STATE(1669),
    [sym_assign] = STATE(1669),
    [sym_lambda] = STATE(1669),
    [sym_or] = STATE(1669),
    [sym_not] = STATE(1669),
    [sym_and] = STATE(1669),
    [sym_cmp] = STATE(1669),
    [sym_in] = STATE(1669),
    [sym_add] = STATE(1669),
    [sym_sub] = STATE(1669),
    [sym_mul] = STATE(1669),
    [sym_div] = STATE(1669),
    [sym_sign] = STATE(1669),
    [sym_call] = STATE(1669),
    [sym_field] = STATE(1669),
    [sym_label] = STATE(1669),
    [sym_content] = STATE(1669),
    [sym_group] = STATE(1669),
    [sym_block] = STATE(1669),
    [sym_branch] = STATE(1669),
    [sym_let] = STATE(1669),
    [sym_set] = STATE(1669),
    [sym_import] = STATE(1669),
    [sym_include] = STATE(1669),
    [sym_for] = STATE(1669),
    [sym_while] = STATE(1669),
    [sym_show] = STATE(1669),
    [sym_return] = STATE(1669),
    [sym_flow] = STATE(1669),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2815),
    [sym_none] = ACTIONS(2815),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [689] = {
    [sym_raw_blck] = STATE(1901),
    [sym_raw_span] = STATE(1901),
    [sym_math] = STATE(1901),
    [sym__expr] = STATE(1901),
    [sym_ident] = STATE(1901),
    [sym_bool] = STATE(1901),
    [sym_number] = STATE(1901),
    [sym_string] = STATE(1901),
    [sym_tagged] = STATE(1901),
    [sym_context] = STATE(1901),
    [sym_elude] = STATE(1901),
    [sym_assign] = STATE(1901),
    [sym_lambda] = STATE(1901),
    [sym_or] = STATE(1901),
    [sym_not] = STATE(1901),
    [sym_and] = STATE(1901),
    [sym_cmp] = STATE(1901),
    [sym_in] = STATE(1901),
    [sym_add] = STATE(1901),
    [sym_sub] = STATE(1901),
    [sym_mul] = STATE(1901),
    [sym_div] = STATE(1901),
    [sym_sign] = STATE(1901),
    [sym_call] = STATE(1901),
    [sym_field] = STATE(1901),
    [sym_label] = STATE(1901),
    [sym_content] = STATE(1901),
    [sym_group] = STATE(1901),
    [sym_block] = STATE(1901),
    [sym_branch] = STATE(1901),
    [sym_let] = STATE(1901),
    [sym_set] = STATE(1901),
    [sym_import] = STATE(1901),
    [sym_include] = STATE(1901),
    [sym_for] = STATE(1901),
    [sym_while] = STATE(1901),
    [sym_show] = STATE(1901),
    [sym_return] = STATE(1901),
    [sym_flow] = STATE(1901),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2817),
    [sym_none] = ACTIONS(2817),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [690] = {
    [sym_raw_blck] = STATE(1582),
    [sym_raw_span] = STATE(1582),
    [sym_math] = STATE(1582),
    [sym__expr] = STATE(1582),
    [sym_ident] = STATE(1582),
    [sym_bool] = STATE(1582),
    [sym_number] = STATE(1582),
    [sym_string] = STATE(1582),
    [sym_tagged] = STATE(1582),
    [sym_context] = STATE(1582),
    [sym_elude] = STATE(1582),
    [sym_assign] = STATE(1582),
    [sym_lambda] = STATE(1582),
    [sym_or] = STATE(1582),
    [sym_not] = STATE(1582),
    [sym_and] = STATE(1582),
    [sym_cmp] = STATE(1582),
    [sym_in] = STATE(1582),
    [sym_add] = STATE(1582),
    [sym_sub] = STATE(1582),
    [sym_mul] = STATE(1582),
    [sym_div] = STATE(1582),
    [sym_sign] = STATE(1582),
    [sym_call] = STATE(1582),
    [sym_field] = STATE(1582),
    [sym_label] = STATE(1582),
    [sym_content] = STATE(1582),
    [sym_group] = STATE(1582),
    [sym_block] = STATE(1582),
    [sym_branch] = STATE(1582),
    [sym_let] = STATE(1582),
    [sym_set] = STATE(1582),
    [sym_import] = STATE(1582),
    [sym_include] = STATE(1582),
    [sym_for] = STATE(1582),
    [sym_while] = STATE(1582),
    [sym_show] = STATE(1582),
    [sym_return] = STATE(1582),
    [sym_flow] = STATE(1582),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2819),
    [sym_none] = ACTIONS(2819),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [691] = {
    [sym_raw_blck] = STATE(1900),
    [sym_raw_span] = STATE(1900),
    [sym_math] = STATE(1900),
    [sym__expr] = STATE(1900),
    [sym_ident] = STATE(1900),
    [sym_bool] = STATE(1900),
    [sym_number] = STATE(1900),
    [sym_string] = STATE(1900),
    [sym_tagged] = STATE(1900),
    [sym_context] = STATE(1900),
    [sym_elude] = STATE(1900),
    [sym_assign] = STATE(1900),
    [sym_lambda] = STATE(1900),
    [sym_or] = STATE(1900),
    [sym_not] = STATE(1900),
    [sym_and] = STATE(1900),
    [sym_cmp] = STATE(1900),
    [sym_in] = STATE(1900),
    [sym_add] = STATE(1900),
    [sym_sub] = STATE(1900),
    [sym_mul] = STATE(1900),
    [sym_div] = STATE(1900),
    [sym_sign] = STATE(1900),
    [sym_call] = STATE(1900),
    [sym_field] = STATE(1900),
    [sym_label] = STATE(1900),
    [sym_content] = STATE(1900),
    [sym_group] = STATE(1900),
    [sym_block] = STATE(1900),
    [sym_branch] = STATE(1900),
    [sym_let] = STATE(1900),
    [sym_set] = STATE(1900),
    [sym_import] = STATE(1900),
    [sym_include] = STATE(1900),
    [sym_for] = STATE(1900),
    [sym_while] = STATE(1900),
    [sym_show] = STATE(1900),
    [sym_return] = STATE(1900),
    [sym_flow] = STATE(1900),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2821),
    [sym_none] = ACTIONS(2821),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [692] = {
    [sym_raw_blck] = STATE(1899),
    [sym_raw_span] = STATE(1899),
    [sym_math] = STATE(1899),
    [sym__expr] = STATE(1899),
    [sym_ident] = STATE(1899),
    [sym_bool] = STATE(1899),
    [sym_number] = STATE(1899),
    [sym_string] = STATE(1899),
    [sym_tagged] = STATE(1899),
    [sym_context] = STATE(1899),
    [sym_elude] = STATE(1899),
    [sym_assign] = STATE(1899),
    [sym_lambda] = STATE(1899),
    [sym_or] = STATE(1899),
    [sym_not] = STATE(1899),
    [sym_and] = STATE(1899),
    [sym_cmp] = STATE(1899),
    [sym_in] = STATE(1899),
    [sym_add] = STATE(1899),
    [sym_sub] = STATE(1899),
    [sym_mul] = STATE(1899),
    [sym_div] = STATE(1899),
    [sym_sign] = STATE(1899),
    [sym_call] = STATE(1899),
    [sym_field] = STATE(1899),
    [sym_label] = STATE(1899),
    [sym_content] = STATE(1899),
    [sym_group] = STATE(1899),
    [sym_block] = STATE(1899),
    [sym_branch] = STATE(1899),
    [sym_let] = STATE(1899),
    [sym_set] = STATE(1899),
    [sym_import] = STATE(1899),
    [sym_include] = STATE(1899),
    [sym_for] = STATE(1899),
    [sym_while] = STATE(1899),
    [sym_show] = STATE(1899),
    [sym_return] = STATE(1899),
    [sym_flow] = STATE(1899),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2823),
    [sym_none] = ACTIONS(2823),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [693] = {
    [sym_raw_blck] = STATE(1898),
    [sym_raw_span] = STATE(1898),
    [sym_math] = STATE(1898),
    [sym__expr] = STATE(1898),
    [sym_ident] = STATE(1898),
    [sym_bool] = STATE(1898),
    [sym_number] = STATE(1898),
    [sym_string] = STATE(1898),
    [sym_tagged] = STATE(1898),
    [sym_context] = STATE(1898),
    [sym_elude] = STATE(1898),
    [sym_assign] = STATE(1898),
    [sym_lambda] = STATE(1898),
    [sym_or] = STATE(1898),
    [sym_not] = STATE(1898),
    [sym_and] = STATE(1898),
    [sym_cmp] = STATE(1898),
    [sym_in] = STATE(1898),
    [sym_add] = STATE(1898),
    [sym_sub] = STATE(1898),
    [sym_mul] = STATE(1898),
    [sym_div] = STATE(1898),
    [sym_sign] = STATE(1898),
    [sym_call] = STATE(1898),
    [sym_field] = STATE(1898),
    [sym_label] = STATE(1898),
    [sym_content] = STATE(1898),
    [sym_group] = STATE(1898),
    [sym_block] = STATE(1898),
    [sym_branch] = STATE(1898),
    [sym_let] = STATE(1898),
    [sym_set] = STATE(1898),
    [sym_import] = STATE(1898),
    [sym_include] = STATE(1898),
    [sym_for] = STATE(1898),
    [sym_while] = STATE(1898),
    [sym_show] = STATE(1898),
    [sym_return] = STATE(1898),
    [sym_flow] = STATE(1898),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2825),
    [sym_none] = ACTIONS(2825),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [694] = {
    [sym_raw_blck] = STATE(1897),
    [sym_raw_span] = STATE(1897),
    [sym_math] = STATE(1897),
    [sym__expr] = STATE(1897),
    [sym_ident] = STATE(1897),
    [sym_bool] = STATE(1897),
    [sym_number] = STATE(1897),
    [sym_string] = STATE(1897),
    [sym_tagged] = STATE(1897),
    [sym_context] = STATE(1897),
    [sym_elude] = STATE(1897),
    [sym_assign] = STATE(1897),
    [sym_lambda] = STATE(1897),
    [sym_or] = STATE(1897),
    [sym_not] = STATE(1897),
    [sym_and] = STATE(1897),
    [sym_cmp] = STATE(1897),
    [sym_in] = STATE(1897),
    [sym_add] = STATE(1897),
    [sym_sub] = STATE(1897),
    [sym_mul] = STATE(1897),
    [sym_div] = STATE(1897),
    [sym_sign] = STATE(1897),
    [sym_call] = STATE(1897),
    [sym_field] = STATE(1897),
    [sym_label] = STATE(1897),
    [sym_content] = STATE(1897),
    [sym_group] = STATE(1897),
    [sym_block] = STATE(1897),
    [sym_branch] = STATE(1897),
    [sym_let] = STATE(1897),
    [sym_set] = STATE(1897),
    [sym_import] = STATE(1897),
    [sym_include] = STATE(1897),
    [sym_for] = STATE(1897),
    [sym_while] = STATE(1897),
    [sym_show] = STATE(1897),
    [sym_return] = STATE(1897),
    [sym_flow] = STATE(1897),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2827),
    [sym_none] = ACTIONS(2827),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [695] = {
    [sym_raw_blck] = STATE(1896),
    [sym_raw_span] = STATE(1896),
    [sym_math] = STATE(1896),
    [sym__expr] = STATE(1896),
    [sym_ident] = STATE(1896),
    [sym_bool] = STATE(1896),
    [sym_number] = STATE(1896),
    [sym_string] = STATE(1896),
    [sym_tagged] = STATE(1896),
    [sym_context] = STATE(1896),
    [sym_elude] = STATE(1896),
    [sym_assign] = STATE(1896),
    [sym_lambda] = STATE(1896),
    [sym_or] = STATE(1896),
    [sym_not] = STATE(1896),
    [sym_and] = STATE(1896),
    [sym_cmp] = STATE(1896),
    [sym_in] = STATE(1896),
    [sym_add] = STATE(1896),
    [sym_sub] = STATE(1896),
    [sym_mul] = STATE(1896),
    [sym_div] = STATE(1896),
    [sym_sign] = STATE(1896),
    [sym_call] = STATE(1896),
    [sym_field] = STATE(1896),
    [sym_label] = STATE(1896),
    [sym_content] = STATE(1896),
    [sym_group] = STATE(1896),
    [sym_block] = STATE(1896),
    [sym_branch] = STATE(1896),
    [sym_let] = STATE(1896),
    [sym_set] = STATE(1896),
    [sym_import] = STATE(1896),
    [sym_include] = STATE(1896),
    [sym_for] = STATE(1896),
    [sym_while] = STATE(1896),
    [sym_show] = STATE(1896),
    [sym_return] = STATE(1896),
    [sym_flow] = STATE(1896),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2829),
    [sym_none] = ACTIONS(2829),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [696] = {
    [sym_raw_blck] = STATE(1895),
    [sym_raw_span] = STATE(1895),
    [sym_math] = STATE(1895),
    [sym__expr] = STATE(1895),
    [sym_ident] = STATE(1895),
    [sym_bool] = STATE(1895),
    [sym_number] = STATE(1895),
    [sym_string] = STATE(1895),
    [sym_tagged] = STATE(1895),
    [sym_context] = STATE(1895),
    [sym_elude] = STATE(1895),
    [sym_assign] = STATE(1895),
    [sym_lambda] = STATE(1895),
    [sym_or] = STATE(1895),
    [sym_not] = STATE(1895),
    [sym_and] = STATE(1895),
    [sym_cmp] = STATE(1895),
    [sym_in] = STATE(1895),
    [sym_add] = STATE(1895),
    [sym_sub] = STATE(1895),
    [sym_mul] = STATE(1895),
    [sym_div] = STATE(1895),
    [sym_sign] = STATE(1895),
    [sym_call] = STATE(1895),
    [sym_field] = STATE(1895),
    [sym_label] = STATE(1895),
    [sym_content] = STATE(1895),
    [sym_group] = STATE(1895),
    [sym_block] = STATE(1895),
    [sym_branch] = STATE(1895),
    [sym_let] = STATE(1895),
    [sym_set] = STATE(1895),
    [sym_import] = STATE(1895),
    [sym_include] = STATE(1895),
    [sym_for] = STATE(1895),
    [sym_while] = STATE(1895),
    [sym_show] = STATE(1895),
    [sym_return] = STATE(1895),
    [sym_flow] = STATE(1895),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2831),
    [sym_none] = ACTIONS(2831),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [697] = {
    [sym_raw_blck] = STATE(1893),
    [sym_raw_span] = STATE(1893),
    [sym_math] = STATE(1893),
    [sym__expr] = STATE(1893),
    [sym_ident] = STATE(1893),
    [sym_bool] = STATE(1893),
    [sym_number] = STATE(1893),
    [sym_string] = STATE(1893),
    [sym_tagged] = STATE(1893),
    [sym_context] = STATE(1893),
    [sym_elude] = STATE(1893),
    [sym_assign] = STATE(1893),
    [sym_lambda] = STATE(1893),
    [sym_or] = STATE(1893),
    [sym_not] = STATE(1893),
    [sym_and] = STATE(1893),
    [sym_cmp] = STATE(1893),
    [sym_in] = STATE(1893),
    [sym_add] = STATE(1893),
    [sym_sub] = STATE(1893),
    [sym_mul] = STATE(1893),
    [sym_div] = STATE(1893),
    [sym_sign] = STATE(1893),
    [sym_call] = STATE(1893),
    [sym_field] = STATE(1893),
    [sym_label] = STATE(1893),
    [sym_content] = STATE(1893),
    [sym_group] = STATE(1893),
    [sym_block] = STATE(1893),
    [sym_branch] = STATE(1893),
    [sym_let] = STATE(1893),
    [sym_set] = STATE(1893),
    [sym_import] = STATE(1893),
    [sym_include] = STATE(1893),
    [sym_for] = STATE(1893),
    [sym_while] = STATE(1893),
    [sym_show] = STATE(1893),
    [sym_return] = STATE(1893),
    [sym_flow] = STATE(1893),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2833),
    [sym_none] = ACTIONS(2833),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [698] = {
    [sym_raw_blck] = STATE(2979),
    [sym_raw_span] = STATE(2979),
    [sym_math] = STATE(2979),
    [sym__expr] = STATE(2979),
    [sym_ident] = STATE(2979),
    [sym_bool] = STATE(2979),
    [sym_number] = STATE(2979),
    [sym_string] = STATE(2979),
    [sym_tagged] = STATE(2979),
    [sym_context] = STATE(2979),
    [sym_elude] = STATE(2979),
    [sym_assign] = STATE(2979),
    [sym_lambda] = STATE(2979),
    [sym_or] = STATE(2979),
    [sym_not] = STATE(2979),
    [sym_and] = STATE(2979),
    [sym_cmp] = STATE(2979),
    [sym_in] = STATE(2979),
    [sym_add] = STATE(2979),
    [sym_sub] = STATE(2979),
    [sym_mul] = STATE(2979),
    [sym_div] = STATE(2979),
    [sym_sign] = STATE(2979),
    [sym_call] = STATE(2979),
    [sym_field] = STATE(2979),
    [sym_label] = STATE(2979),
    [sym_content] = STATE(2979),
    [sym_group] = STATE(2979),
    [sym_block] = STATE(2979),
    [sym_branch] = STATE(2979),
    [sym_let] = STATE(2979),
    [sym_set] = STATE(2979),
    [sym_import] = STATE(2979),
    [sym_include] = STATE(2979),
    [sym_for] = STATE(2979),
    [sym_while] = STATE(2979),
    [sym_show] = STATE(2979),
    [sym_return] = STATE(2979),
    [sym_flow] = STATE(2979),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2835),
    [sym_none] = ACTIONS(2835),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [699] = {
    [sym_raw_blck] = STATE(1892),
    [sym_raw_span] = STATE(1892),
    [sym_math] = STATE(1892),
    [sym__expr] = STATE(1892),
    [sym_ident] = STATE(1892),
    [sym_bool] = STATE(1892),
    [sym_number] = STATE(1892),
    [sym_string] = STATE(1892),
    [sym_tagged] = STATE(1892),
    [sym_context] = STATE(1892),
    [sym_elude] = STATE(1892),
    [sym_assign] = STATE(1892),
    [sym_lambda] = STATE(1892),
    [sym_or] = STATE(1892),
    [sym_not] = STATE(1892),
    [sym_and] = STATE(1892),
    [sym_cmp] = STATE(1892),
    [sym_in] = STATE(1892),
    [sym_add] = STATE(1892),
    [sym_sub] = STATE(1892),
    [sym_mul] = STATE(1892),
    [sym_div] = STATE(1892),
    [sym_sign] = STATE(1892),
    [sym_call] = STATE(1892),
    [sym_field] = STATE(1892),
    [sym_label] = STATE(1892),
    [sym_content] = STATE(1892),
    [sym_group] = STATE(1892),
    [sym_block] = STATE(1892),
    [sym_branch] = STATE(1892),
    [sym_let] = STATE(1892),
    [sym_set] = STATE(1892),
    [sym_import] = STATE(1892),
    [sym_include] = STATE(1892),
    [sym_for] = STATE(1892),
    [sym_while] = STATE(1892),
    [sym_show] = STATE(1892),
    [sym_return] = STATE(1892),
    [sym_flow] = STATE(1892),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2837),
    [sym_none] = ACTIONS(2837),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [700] = {
    [sym_raw_blck] = STATE(1891),
    [sym_raw_span] = STATE(1891),
    [sym_math] = STATE(1891),
    [sym__expr] = STATE(1891),
    [sym_ident] = STATE(1891),
    [sym_bool] = STATE(1891),
    [sym_number] = STATE(1891),
    [sym_string] = STATE(1891),
    [sym_tagged] = STATE(1891),
    [sym_context] = STATE(1891),
    [sym_elude] = STATE(1891),
    [sym_assign] = STATE(1891),
    [sym_lambda] = STATE(1891),
    [sym_or] = STATE(1891),
    [sym_not] = STATE(1891),
    [sym_and] = STATE(1891),
    [sym_cmp] = STATE(1891),
    [sym_in] = STATE(1891),
    [sym_add] = STATE(1891),
    [sym_sub] = STATE(1891),
    [sym_mul] = STATE(1891),
    [sym_div] = STATE(1891),
    [sym_sign] = STATE(1891),
    [sym_call] = STATE(1891),
    [sym_field] = STATE(1891),
    [sym_label] = STATE(1891),
    [sym_content] = STATE(1891),
    [sym_group] = STATE(1891),
    [sym_block] = STATE(1891),
    [sym_branch] = STATE(1891),
    [sym_let] = STATE(1891),
    [sym_set] = STATE(1891),
    [sym_import] = STATE(1891),
    [sym_include] = STATE(1891),
    [sym_for] = STATE(1891),
    [sym_while] = STATE(1891),
    [sym_show] = STATE(1891),
    [sym_return] = STATE(1891),
    [sym_flow] = STATE(1891),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2839),
    [sym_none] = ACTIONS(2839),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [701] = {
    [sym_raw_blck] = STATE(2484),
    [sym_raw_span] = STATE(2484),
    [sym_math] = STATE(2484),
    [sym__expr] = STATE(2484),
    [sym_ident] = STATE(2484),
    [sym_bool] = STATE(2484),
    [sym_number] = STATE(2484),
    [sym_string] = STATE(2484),
    [sym_tagged] = STATE(2484),
    [sym_context] = STATE(2484),
    [sym_elude] = STATE(2484),
    [sym_assign] = STATE(2484),
    [sym_lambda] = STATE(2484),
    [sym_or] = STATE(2484),
    [sym_not] = STATE(2484),
    [sym_and] = STATE(2484),
    [sym_cmp] = STATE(2484),
    [sym_in] = STATE(2484),
    [sym_add] = STATE(2484),
    [sym_sub] = STATE(2484),
    [sym_mul] = STATE(2484),
    [sym_div] = STATE(2484),
    [sym_sign] = STATE(2484),
    [sym_call] = STATE(2484),
    [sym_field] = STATE(2484),
    [sym_label] = STATE(2484),
    [sym_content] = STATE(2484),
    [sym_group] = STATE(2484),
    [sym_block] = STATE(2484),
    [sym_branch] = STATE(2484),
    [sym_let] = STATE(2484),
    [sym_set] = STATE(2484),
    [sym_import] = STATE(2484),
    [sym_include] = STATE(2484),
    [sym_for] = STATE(2484),
    [sym_while] = STATE(2484),
    [sym_show] = STATE(2484),
    [sym_return] = STATE(2484),
    [sym_flow] = STATE(2484),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2841),
    [sym_none] = ACTIONS(2841),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [702] = {
    [sym_raw_blck] = STATE(2483),
    [sym_raw_span] = STATE(2483),
    [sym_math] = STATE(2483),
    [sym__expr] = STATE(2483),
    [sym_ident] = STATE(2483),
    [sym_bool] = STATE(2483),
    [sym_number] = STATE(2483),
    [sym_string] = STATE(2483),
    [sym_tagged] = STATE(2483),
    [sym_context] = STATE(2483),
    [sym_elude] = STATE(2483),
    [sym_assign] = STATE(2483),
    [sym_lambda] = STATE(2483),
    [sym_or] = STATE(2483),
    [sym_not] = STATE(2483),
    [sym_and] = STATE(2483),
    [sym_cmp] = STATE(2483),
    [sym_in] = STATE(2483),
    [sym_add] = STATE(2483),
    [sym_sub] = STATE(2483),
    [sym_mul] = STATE(2483),
    [sym_div] = STATE(2483),
    [sym_sign] = STATE(2483),
    [sym_call] = STATE(2483),
    [sym_field] = STATE(2483),
    [sym_label] = STATE(2483),
    [sym_content] = STATE(2483),
    [sym_group] = STATE(2483),
    [sym_block] = STATE(2483),
    [sym_branch] = STATE(2483),
    [sym_let] = STATE(2483),
    [sym_set] = STATE(2483),
    [sym_import] = STATE(2483),
    [sym_include] = STATE(2483),
    [sym_for] = STATE(2483),
    [sym_while] = STATE(2483),
    [sym_show] = STATE(2483),
    [sym_return] = STATE(2483),
    [sym_flow] = STATE(2483),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2843),
    [sym_none] = ACTIONS(2843),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [703] = {
    [sym_raw_blck] = STATE(2482),
    [sym_raw_span] = STATE(2482),
    [sym_math] = STATE(2482),
    [sym__expr] = STATE(2482),
    [sym_ident] = STATE(2482),
    [sym_bool] = STATE(2482),
    [sym_number] = STATE(2482),
    [sym_string] = STATE(2482),
    [sym_tagged] = STATE(2482),
    [sym_context] = STATE(2482),
    [sym_elude] = STATE(2482),
    [sym_assign] = STATE(2482),
    [sym_lambda] = STATE(2482),
    [sym_or] = STATE(2482),
    [sym_not] = STATE(2482),
    [sym_and] = STATE(2482),
    [sym_cmp] = STATE(2482),
    [sym_in] = STATE(2482),
    [sym_add] = STATE(2482),
    [sym_sub] = STATE(2482),
    [sym_mul] = STATE(2482),
    [sym_div] = STATE(2482),
    [sym_sign] = STATE(2482),
    [sym_call] = STATE(2482),
    [sym_field] = STATE(2482),
    [sym_label] = STATE(2482),
    [sym_content] = STATE(2482),
    [sym_group] = STATE(2482),
    [sym_block] = STATE(2482),
    [sym_branch] = STATE(2482),
    [sym_let] = STATE(2482),
    [sym_set] = STATE(2482),
    [sym_import] = STATE(2482),
    [sym_include] = STATE(2482),
    [sym_for] = STATE(2482),
    [sym_while] = STATE(2482),
    [sym_show] = STATE(2482),
    [sym_return] = STATE(2482),
    [sym_flow] = STATE(2482),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2845),
    [sym_none] = ACTIONS(2845),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [704] = {
    [sym_raw_blck] = STATE(2481),
    [sym_raw_span] = STATE(2481),
    [sym_math] = STATE(2481),
    [sym__expr] = STATE(2481),
    [sym_ident] = STATE(2481),
    [sym_bool] = STATE(2481),
    [sym_number] = STATE(2481),
    [sym_string] = STATE(2481),
    [sym_tagged] = STATE(2481),
    [sym_context] = STATE(2481),
    [sym_elude] = STATE(2481),
    [sym_assign] = STATE(2481),
    [sym_lambda] = STATE(2481),
    [sym_or] = STATE(2481),
    [sym_not] = STATE(2481),
    [sym_and] = STATE(2481),
    [sym_cmp] = STATE(2481),
    [sym_in] = STATE(2481),
    [sym_add] = STATE(2481),
    [sym_sub] = STATE(2481),
    [sym_mul] = STATE(2481),
    [sym_div] = STATE(2481),
    [sym_sign] = STATE(2481),
    [sym_call] = STATE(2481),
    [sym_field] = STATE(2481),
    [sym_label] = STATE(2481),
    [sym_content] = STATE(2481),
    [sym_group] = STATE(2481),
    [sym_block] = STATE(2481),
    [sym_branch] = STATE(2481),
    [sym_let] = STATE(2481),
    [sym_set] = STATE(2481),
    [sym_import] = STATE(2481),
    [sym_include] = STATE(2481),
    [sym_for] = STATE(2481),
    [sym_while] = STATE(2481),
    [sym_show] = STATE(2481),
    [sym_return] = STATE(2481),
    [sym_flow] = STATE(2481),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2847),
    [sym_none] = ACTIONS(2847),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [705] = {
    [sym_raw_blck] = STATE(2480),
    [sym_raw_span] = STATE(2480),
    [sym_math] = STATE(2480),
    [sym__expr] = STATE(2480),
    [sym_ident] = STATE(2480),
    [sym_bool] = STATE(2480),
    [sym_number] = STATE(2480),
    [sym_string] = STATE(2480),
    [sym_tagged] = STATE(2480),
    [sym_context] = STATE(2480),
    [sym_elude] = STATE(2480),
    [sym_assign] = STATE(2480),
    [sym_lambda] = STATE(2480),
    [sym_or] = STATE(2480),
    [sym_not] = STATE(2480),
    [sym_and] = STATE(2480),
    [sym_cmp] = STATE(2480),
    [sym_in] = STATE(2480),
    [sym_add] = STATE(2480),
    [sym_sub] = STATE(2480),
    [sym_mul] = STATE(2480),
    [sym_div] = STATE(2480),
    [sym_sign] = STATE(2480),
    [sym_call] = STATE(2480),
    [sym_field] = STATE(2480),
    [sym_label] = STATE(2480),
    [sym_content] = STATE(2480),
    [sym_group] = STATE(2480),
    [sym_block] = STATE(2480),
    [sym_branch] = STATE(2480),
    [sym_let] = STATE(2480),
    [sym_set] = STATE(2480),
    [sym_import] = STATE(2480),
    [sym_include] = STATE(2480),
    [sym_for] = STATE(2480),
    [sym_while] = STATE(2480),
    [sym_show] = STATE(2480),
    [sym_return] = STATE(2480),
    [sym_flow] = STATE(2480),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2849),
    [sym_none] = ACTIONS(2849),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [706] = {
    [sym_raw_blck] = STATE(2476),
    [sym_raw_span] = STATE(2476),
    [sym_math] = STATE(2476),
    [sym__expr] = STATE(2476),
    [sym_ident] = STATE(2476),
    [sym_bool] = STATE(2476),
    [sym_number] = STATE(2476),
    [sym_string] = STATE(2476),
    [sym_tagged] = STATE(2476),
    [sym_context] = STATE(2476),
    [sym_elude] = STATE(2476),
    [sym_assign] = STATE(2476),
    [sym_lambda] = STATE(2476),
    [sym_or] = STATE(2476),
    [sym_not] = STATE(2476),
    [sym_and] = STATE(2476),
    [sym_cmp] = STATE(2476),
    [sym_in] = STATE(2476),
    [sym_add] = STATE(2476),
    [sym_sub] = STATE(2476),
    [sym_mul] = STATE(2476),
    [sym_div] = STATE(2476),
    [sym_sign] = STATE(2476),
    [sym_call] = STATE(2476),
    [sym_field] = STATE(2476),
    [sym_label] = STATE(2476),
    [sym_content] = STATE(2476),
    [sym_group] = STATE(2476),
    [sym_block] = STATE(2476),
    [sym_branch] = STATE(2476),
    [sym_let] = STATE(2476),
    [sym_set] = STATE(2476),
    [sym_import] = STATE(2476),
    [sym_include] = STATE(2476),
    [sym_for] = STATE(2476),
    [sym_while] = STATE(2476),
    [sym_show] = STATE(2476),
    [sym_return] = STATE(2476),
    [sym_flow] = STATE(2476),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2851),
    [sym_none] = ACTIONS(2851),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [707] = {
    [sym_raw_blck] = STATE(2475),
    [sym_raw_span] = STATE(2475),
    [sym_math] = STATE(2475),
    [sym__expr] = STATE(2475),
    [sym_ident] = STATE(2475),
    [sym_bool] = STATE(2475),
    [sym_number] = STATE(2475),
    [sym_string] = STATE(2475),
    [sym_tagged] = STATE(2475),
    [sym_context] = STATE(2475),
    [sym_elude] = STATE(2475),
    [sym_assign] = STATE(2475),
    [sym_lambda] = STATE(2475),
    [sym_or] = STATE(2475),
    [sym_not] = STATE(2475),
    [sym_and] = STATE(2475),
    [sym_cmp] = STATE(2475),
    [sym_in] = STATE(2475),
    [sym_add] = STATE(2475),
    [sym_sub] = STATE(2475),
    [sym_mul] = STATE(2475),
    [sym_div] = STATE(2475),
    [sym_sign] = STATE(2475),
    [sym_call] = STATE(2475),
    [sym_field] = STATE(2475),
    [sym_label] = STATE(2475),
    [sym_content] = STATE(2475),
    [sym_group] = STATE(2475),
    [sym_block] = STATE(2475),
    [sym_branch] = STATE(2475),
    [sym_let] = STATE(2475),
    [sym_set] = STATE(2475),
    [sym_import] = STATE(2475),
    [sym_include] = STATE(2475),
    [sym_for] = STATE(2475),
    [sym_while] = STATE(2475),
    [sym_show] = STATE(2475),
    [sym_return] = STATE(2475),
    [sym_flow] = STATE(2475),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2853),
    [sym_none] = ACTIONS(2853),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [708] = {
    [sym_raw_blck] = STATE(2474),
    [sym_raw_span] = STATE(2474),
    [sym_math] = STATE(2474),
    [sym__expr] = STATE(2474),
    [sym_ident] = STATE(2474),
    [sym_bool] = STATE(2474),
    [sym_number] = STATE(2474),
    [sym_string] = STATE(2474),
    [sym_tagged] = STATE(2474),
    [sym_context] = STATE(2474),
    [sym_elude] = STATE(2474),
    [sym_assign] = STATE(2474),
    [sym_lambda] = STATE(2474),
    [sym_or] = STATE(2474),
    [sym_not] = STATE(2474),
    [sym_and] = STATE(2474),
    [sym_cmp] = STATE(2474),
    [sym_in] = STATE(2474),
    [sym_add] = STATE(2474),
    [sym_sub] = STATE(2474),
    [sym_mul] = STATE(2474),
    [sym_div] = STATE(2474),
    [sym_sign] = STATE(2474),
    [sym_call] = STATE(2474),
    [sym_field] = STATE(2474),
    [sym_label] = STATE(2474),
    [sym_content] = STATE(2474),
    [sym_group] = STATE(2474),
    [sym_block] = STATE(2474),
    [sym_branch] = STATE(2474),
    [sym_let] = STATE(2474),
    [sym_set] = STATE(2474),
    [sym_import] = STATE(2474),
    [sym_include] = STATE(2474),
    [sym_for] = STATE(2474),
    [sym_while] = STATE(2474),
    [sym_show] = STATE(2474),
    [sym_return] = STATE(2474),
    [sym_flow] = STATE(2474),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2855),
    [sym_none] = ACTIONS(2855),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [709] = {
    [sym_raw_blck] = STATE(2472),
    [sym_raw_span] = STATE(2472),
    [sym_math] = STATE(2472),
    [sym__expr] = STATE(2472),
    [sym_ident] = STATE(2472),
    [sym_bool] = STATE(2472),
    [sym_number] = STATE(2472),
    [sym_string] = STATE(2472),
    [sym_tagged] = STATE(2472),
    [sym_context] = STATE(2472),
    [sym_elude] = STATE(2472),
    [sym_assign] = STATE(2472),
    [sym_lambda] = STATE(2472),
    [sym_or] = STATE(2472),
    [sym_not] = STATE(2472),
    [sym_and] = STATE(2472),
    [sym_cmp] = STATE(2472),
    [sym_in] = STATE(2472),
    [sym_add] = STATE(2472),
    [sym_sub] = STATE(2472),
    [sym_mul] = STATE(2472),
    [sym_div] = STATE(2472),
    [sym_sign] = STATE(2472),
    [sym_call] = STATE(2472),
    [sym_field] = STATE(2472),
    [sym_label] = STATE(2472),
    [sym_content] = STATE(2472),
    [sym_group] = STATE(2472),
    [sym_block] = STATE(2472),
    [sym_branch] = STATE(2472),
    [sym_let] = STATE(2472),
    [sym_set] = STATE(2472),
    [sym_import] = STATE(2472),
    [sym_include] = STATE(2472),
    [sym_for] = STATE(2472),
    [sym_while] = STATE(2472),
    [sym_show] = STATE(2472),
    [sym_return] = STATE(2472),
    [sym_flow] = STATE(2472),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2857),
    [sym_none] = ACTIONS(2857),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [710] = {
    [sym_raw_blck] = STATE(2471),
    [sym_raw_span] = STATE(2471),
    [sym_math] = STATE(2471),
    [sym__expr] = STATE(2471),
    [sym_ident] = STATE(2471),
    [sym_bool] = STATE(2471),
    [sym_number] = STATE(2471),
    [sym_string] = STATE(2471),
    [sym_tagged] = STATE(2471),
    [sym_context] = STATE(2471),
    [sym_elude] = STATE(2471),
    [sym_assign] = STATE(2471),
    [sym_lambda] = STATE(2471),
    [sym_or] = STATE(2471),
    [sym_not] = STATE(2471),
    [sym_and] = STATE(2471),
    [sym_cmp] = STATE(2471),
    [sym_in] = STATE(2471),
    [sym_add] = STATE(2471),
    [sym_sub] = STATE(2471),
    [sym_mul] = STATE(2471),
    [sym_div] = STATE(2471),
    [sym_sign] = STATE(2471),
    [sym_call] = STATE(2471),
    [sym_field] = STATE(2471),
    [sym_label] = STATE(2471),
    [sym_content] = STATE(2471),
    [sym_group] = STATE(2471),
    [sym_block] = STATE(2471),
    [sym_branch] = STATE(2471),
    [sym_let] = STATE(2471),
    [sym_set] = STATE(2471),
    [sym_import] = STATE(2471),
    [sym_include] = STATE(2471),
    [sym_for] = STATE(2471),
    [sym_while] = STATE(2471),
    [sym_show] = STATE(2471),
    [sym_return] = STATE(2471),
    [sym_flow] = STATE(2471),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2859),
    [sym_none] = ACTIONS(2859),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [711] = {
    [sym_raw_blck] = STATE(2470),
    [sym_raw_span] = STATE(2470),
    [sym_math] = STATE(2470),
    [sym__expr] = STATE(2470),
    [sym_ident] = STATE(2470),
    [sym_bool] = STATE(2470),
    [sym_number] = STATE(2470),
    [sym_string] = STATE(2470),
    [sym_tagged] = STATE(2470),
    [sym_context] = STATE(2470),
    [sym_elude] = STATE(2470),
    [sym_assign] = STATE(2470),
    [sym_lambda] = STATE(2470),
    [sym_or] = STATE(2470),
    [sym_not] = STATE(2470),
    [sym_and] = STATE(2470),
    [sym_cmp] = STATE(2470),
    [sym_in] = STATE(2470),
    [sym_add] = STATE(2470),
    [sym_sub] = STATE(2470),
    [sym_mul] = STATE(2470),
    [sym_div] = STATE(2470),
    [sym_sign] = STATE(2470),
    [sym_call] = STATE(2470),
    [sym_field] = STATE(2470),
    [sym_label] = STATE(2470),
    [sym_content] = STATE(2470),
    [sym_group] = STATE(2470),
    [sym_block] = STATE(2470),
    [sym_branch] = STATE(2470),
    [sym_let] = STATE(2470),
    [sym_set] = STATE(2470),
    [sym_import] = STATE(2470),
    [sym_include] = STATE(2470),
    [sym_for] = STATE(2470),
    [sym_while] = STATE(2470),
    [sym_show] = STATE(2470),
    [sym_return] = STATE(2470),
    [sym_flow] = STATE(2470),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2861),
    [sym_none] = ACTIONS(2861),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [712] = {
    [sym_raw_blck] = STATE(1890),
    [sym_raw_span] = STATE(1890),
    [sym_math] = STATE(1890),
    [sym__expr] = STATE(1890),
    [sym_ident] = STATE(1890),
    [sym_bool] = STATE(1890),
    [sym_number] = STATE(1890),
    [sym_string] = STATE(1890),
    [sym_tagged] = STATE(1890),
    [sym_context] = STATE(1890),
    [sym_elude] = STATE(1890),
    [sym_assign] = STATE(1890),
    [sym_lambda] = STATE(1890),
    [sym_or] = STATE(1890),
    [sym_not] = STATE(1890),
    [sym_and] = STATE(1890),
    [sym_cmp] = STATE(1890),
    [sym_in] = STATE(1890),
    [sym_add] = STATE(1890),
    [sym_sub] = STATE(1890),
    [sym_mul] = STATE(1890),
    [sym_div] = STATE(1890),
    [sym_sign] = STATE(1890),
    [sym_call] = STATE(1890),
    [sym_field] = STATE(1890),
    [sym_label] = STATE(1890),
    [sym_content] = STATE(1890),
    [sym_group] = STATE(1890),
    [sym_block] = STATE(1890),
    [sym_branch] = STATE(1890),
    [sym_let] = STATE(1890),
    [sym_set] = STATE(1890),
    [sym_import] = STATE(1890),
    [sym_include] = STATE(1890),
    [sym_for] = STATE(1890),
    [sym_while] = STATE(1890),
    [sym_show] = STATE(1890),
    [sym_return] = STATE(1890),
    [sym_flow] = STATE(1890),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2863),
    [sym_none] = ACTIONS(2863),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [713] = {
    [sym_raw_blck] = STATE(1874),
    [sym_raw_span] = STATE(1874),
    [sym_math] = STATE(1874),
    [sym__expr] = STATE(1874),
    [sym_ident] = STATE(1874),
    [sym_bool] = STATE(1874),
    [sym_number] = STATE(1874),
    [sym_string] = STATE(1874),
    [sym_tagged] = STATE(1874),
    [sym_context] = STATE(1874),
    [sym_elude] = STATE(1874),
    [sym_assign] = STATE(1874),
    [sym_lambda] = STATE(1874),
    [sym_or] = STATE(1874),
    [sym_not] = STATE(1874),
    [sym_and] = STATE(1874),
    [sym_cmp] = STATE(1874),
    [sym_in] = STATE(1874),
    [sym_add] = STATE(1874),
    [sym_sub] = STATE(1874),
    [sym_mul] = STATE(1874),
    [sym_div] = STATE(1874),
    [sym_sign] = STATE(1874),
    [sym_call] = STATE(1874),
    [sym_field] = STATE(1874),
    [sym_label] = STATE(1874),
    [sym_content] = STATE(1874),
    [sym_group] = STATE(1874),
    [sym_block] = STATE(1874),
    [sym_branch] = STATE(1874),
    [sym_let] = STATE(1874),
    [sym_set] = STATE(1874),
    [sym_import] = STATE(1874),
    [sym_include] = STATE(1874),
    [sym_for] = STATE(1874),
    [sym_while] = STATE(1874),
    [sym_show] = STATE(1874),
    [sym_return] = STATE(1874),
    [sym_flow] = STATE(1874),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2865),
    [sym_none] = ACTIONS(2865),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [714] = {
    [sym_raw_blck] = STATE(1887),
    [sym_raw_span] = STATE(1887),
    [sym_math] = STATE(1887),
    [sym__expr] = STATE(1887),
    [sym_ident] = STATE(1887),
    [sym_bool] = STATE(1887),
    [sym_number] = STATE(1887),
    [sym_string] = STATE(1887),
    [sym_tagged] = STATE(1887),
    [sym_context] = STATE(1887),
    [sym_elude] = STATE(1887),
    [sym_assign] = STATE(1887),
    [sym_lambda] = STATE(1887),
    [sym_or] = STATE(1887),
    [sym_not] = STATE(1887),
    [sym_and] = STATE(1887),
    [sym_cmp] = STATE(1887),
    [sym_in] = STATE(1887),
    [sym_add] = STATE(1887),
    [sym_sub] = STATE(1887),
    [sym_mul] = STATE(1887),
    [sym_div] = STATE(1887),
    [sym_sign] = STATE(1887),
    [sym_call] = STATE(1887),
    [sym_field] = STATE(1887),
    [sym_label] = STATE(1887),
    [sym_content] = STATE(1887),
    [sym_group] = STATE(1887),
    [sym_block] = STATE(1887),
    [sym_branch] = STATE(1887),
    [sym_let] = STATE(1887),
    [sym_set] = STATE(1887),
    [sym_import] = STATE(1887),
    [sym_include] = STATE(1887),
    [sym_for] = STATE(1887),
    [sym_while] = STATE(1887),
    [sym_show] = STATE(1887),
    [sym_return] = STATE(1887),
    [sym_flow] = STATE(1887),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2867),
    [sym_none] = ACTIONS(2867),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [715] = {
    [sym_raw_blck] = STATE(3004),
    [sym_raw_span] = STATE(3004),
    [sym_math] = STATE(3004),
    [sym__expr] = STATE(3004),
    [sym_ident] = STATE(3004),
    [sym_bool] = STATE(3004),
    [sym_number] = STATE(3004),
    [sym_string] = STATE(3004),
    [sym_tagged] = STATE(3004),
    [sym_context] = STATE(3004),
    [sym_elude] = STATE(3004),
    [sym_assign] = STATE(3004),
    [sym_lambda] = STATE(3004),
    [sym_or] = STATE(3004),
    [sym_not] = STATE(3004),
    [sym_and] = STATE(3004),
    [sym_cmp] = STATE(3004),
    [sym_in] = STATE(3004),
    [sym_add] = STATE(3004),
    [sym_sub] = STATE(3004),
    [sym_mul] = STATE(3004),
    [sym_div] = STATE(3004),
    [sym_sign] = STATE(3004),
    [sym_call] = STATE(1268),
    [sym_field] = STATE(3004),
    [sym_label] = STATE(3004),
    [sym_content] = STATE(3004),
    [sym_group] = STATE(3004),
    [sym_block] = STATE(3004),
    [sym_branch] = STATE(3004),
    [sym_let] = STATE(3004),
    [sym_set] = STATE(3004),
    [sym_import] = STATE(3004),
    [sym_include] = STATE(3004),
    [sym_for] = STATE(3004),
    [sym_while] = STATE(3004),
    [sym_show] = STATE(3004),
    [sym_return] = STATE(3004),
    [sym_flow] = STATE(3004),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2869),
    [sym_none] = ACTIONS(2869),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [716] = {
    [sym_raw_blck] = STATE(1859),
    [sym_raw_span] = STATE(1859),
    [sym_math] = STATE(1859),
    [sym__expr] = STATE(1859),
    [sym_ident] = STATE(1859),
    [sym_bool] = STATE(1859),
    [sym_number] = STATE(1859),
    [sym_string] = STATE(1859),
    [sym_tagged] = STATE(1859),
    [sym_context] = STATE(1859),
    [sym_elude] = STATE(1859),
    [sym_assign] = STATE(1859),
    [sym_lambda] = STATE(1859),
    [sym_or] = STATE(1859),
    [sym_not] = STATE(1859),
    [sym_and] = STATE(1859),
    [sym_cmp] = STATE(1859),
    [sym_in] = STATE(1859),
    [sym_add] = STATE(1859),
    [sym_sub] = STATE(1859),
    [sym_mul] = STATE(1859),
    [sym_div] = STATE(1859),
    [sym_sign] = STATE(1859),
    [sym_call] = STATE(1859),
    [sym_field] = STATE(1859),
    [sym_label] = STATE(1859),
    [sym_content] = STATE(1859),
    [sym_group] = STATE(1859),
    [sym_block] = STATE(1859),
    [sym_branch] = STATE(1859),
    [sym_let] = STATE(1859),
    [sym_set] = STATE(1859),
    [sym_import] = STATE(1859),
    [sym_include] = STATE(1859),
    [sym_for] = STATE(1859),
    [sym_while] = STATE(1859),
    [sym_show] = STATE(1859),
    [sym_return] = STATE(1859),
    [sym_flow] = STATE(1859),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2871),
    [sym_none] = ACTIONS(2871),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [717] = {
    [sym_raw_blck] = STATE(1858),
    [sym_raw_span] = STATE(1858),
    [sym_math] = STATE(1858),
    [sym__expr] = STATE(1858),
    [sym_ident] = STATE(1858),
    [sym_bool] = STATE(1858),
    [sym_number] = STATE(1858),
    [sym_string] = STATE(1858),
    [sym_tagged] = STATE(1858),
    [sym_context] = STATE(1858),
    [sym_elude] = STATE(1858),
    [sym_assign] = STATE(1858),
    [sym_lambda] = STATE(1858),
    [sym_or] = STATE(1858),
    [sym_not] = STATE(1858),
    [sym_and] = STATE(1858),
    [sym_cmp] = STATE(1858),
    [sym_in] = STATE(1858),
    [sym_add] = STATE(1858),
    [sym_sub] = STATE(1858),
    [sym_mul] = STATE(1858),
    [sym_div] = STATE(1858),
    [sym_sign] = STATE(1858),
    [sym_call] = STATE(1858),
    [sym_field] = STATE(1858),
    [sym_label] = STATE(1858),
    [sym_content] = STATE(1858),
    [sym_group] = STATE(1858),
    [sym_block] = STATE(1858),
    [sym_branch] = STATE(1858),
    [sym_let] = STATE(1858),
    [sym_set] = STATE(1858),
    [sym_import] = STATE(1858),
    [sym_include] = STATE(1858),
    [sym_for] = STATE(1858),
    [sym_while] = STATE(1858),
    [sym_show] = STATE(1858),
    [sym_return] = STATE(1858),
    [sym_flow] = STATE(1858),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2873),
    [sym_none] = ACTIONS(2873),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [718] = {
    [sym_raw_blck] = STATE(1873),
    [sym_raw_span] = STATE(1873),
    [sym_math] = STATE(1873),
    [sym__expr] = STATE(1873),
    [sym_ident] = STATE(1873),
    [sym_bool] = STATE(1873),
    [sym_number] = STATE(1873),
    [sym_string] = STATE(1873),
    [sym_tagged] = STATE(1873),
    [sym_context] = STATE(1873),
    [sym_elude] = STATE(1873),
    [sym_assign] = STATE(1873),
    [sym_lambda] = STATE(1873),
    [sym_or] = STATE(1873),
    [sym_not] = STATE(1873),
    [sym_and] = STATE(1873),
    [sym_cmp] = STATE(1873),
    [sym_in] = STATE(1873),
    [sym_add] = STATE(1873),
    [sym_sub] = STATE(1873),
    [sym_mul] = STATE(1873),
    [sym_div] = STATE(1873),
    [sym_sign] = STATE(1873),
    [sym_call] = STATE(1873),
    [sym_field] = STATE(1873),
    [sym_label] = STATE(1873),
    [sym_content] = STATE(1873),
    [sym_group] = STATE(1873),
    [sym_block] = STATE(1873),
    [sym_branch] = STATE(1873),
    [sym_let] = STATE(1873),
    [sym_set] = STATE(1873),
    [sym_import] = STATE(1873),
    [sym_include] = STATE(1873),
    [sym_for] = STATE(1873),
    [sym_while] = STATE(1873),
    [sym_show] = STATE(1873),
    [sym_return] = STATE(1873),
    [sym_flow] = STATE(1873),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2875),
    [sym_none] = ACTIONS(2875),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [719] = {
    [sym_raw_blck] = STATE(1672),
    [sym_raw_span] = STATE(1672),
    [sym_math] = STATE(1672),
    [sym__expr] = STATE(1672),
    [sym_ident] = STATE(1672),
    [sym_bool] = STATE(1672),
    [sym_number] = STATE(1672),
    [sym_string] = STATE(1672),
    [sym_tagged] = STATE(1672),
    [sym_context] = STATE(1672),
    [sym_elude] = STATE(1672),
    [sym_assign] = STATE(1672),
    [sym_lambda] = STATE(1672),
    [sym_or] = STATE(1672),
    [sym_not] = STATE(1672),
    [sym_and] = STATE(1672),
    [sym_cmp] = STATE(1672),
    [sym_in] = STATE(1672),
    [sym_add] = STATE(1672),
    [sym_sub] = STATE(1672),
    [sym_mul] = STATE(1672),
    [sym_div] = STATE(1672),
    [sym_sign] = STATE(1672),
    [sym_call] = STATE(1672),
    [sym_field] = STATE(1672),
    [sym_label] = STATE(1672),
    [sym_content] = STATE(1672),
    [sym_group] = STATE(1672),
    [sym_block] = STATE(1672),
    [sym_branch] = STATE(1672),
    [sym_let] = STATE(1672),
    [sym_set] = STATE(1672),
    [sym_import] = STATE(1672),
    [sym_include] = STATE(1672),
    [sym_for] = STATE(1672),
    [sym_while] = STATE(1672),
    [sym_show] = STATE(1672),
    [sym_return] = STATE(1672),
    [sym_flow] = STATE(1672),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2877),
    [sym_none] = ACTIONS(2877),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [720] = {
    [sym_raw_blck] = STATE(1872),
    [sym_raw_span] = STATE(1872),
    [sym_math] = STATE(1872),
    [sym__expr] = STATE(1872),
    [sym_ident] = STATE(1872),
    [sym_bool] = STATE(1872),
    [sym_number] = STATE(1872),
    [sym_string] = STATE(1872),
    [sym_tagged] = STATE(1872),
    [sym_context] = STATE(1872),
    [sym_elude] = STATE(1872),
    [sym_assign] = STATE(1872),
    [sym_lambda] = STATE(1872),
    [sym_or] = STATE(1872),
    [sym_not] = STATE(1872),
    [sym_and] = STATE(1872),
    [sym_cmp] = STATE(1872),
    [sym_in] = STATE(1872),
    [sym_add] = STATE(1872),
    [sym_sub] = STATE(1872),
    [sym_mul] = STATE(1872),
    [sym_div] = STATE(1872),
    [sym_sign] = STATE(1872),
    [sym_call] = STATE(1872),
    [sym_field] = STATE(1872),
    [sym_label] = STATE(1872),
    [sym_content] = STATE(1872),
    [sym_group] = STATE(1872),
    [sym_block] = STATE(1872),
    [sym_branch] = STATE(1872),
    [sym_let] = STATE(1872),
    [sym_set] = STATE(1872),
    [sym_import] = STATE(1872),
    [sym_include] = STATE(1872),
    [sym_for] = STATE(1872),
    [sym_while] = STATE(1872),
    [sym_show] = STATE(1872),
    [sym_return] = STATE(1872),
    [sym_flow] = STATE(1872),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2879),
    [sym_none] = ACTIONS(2879),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [721] = {
    [sym_raw_blck] = STATE(1871),
    [sym_raw_span] = STATE(1871),
    [sym_math] = STATE(1871),
    [sym__expr] = STATE(1871),
    [sym_ident] = STATE(1871),
    [sym_bool] = STATE(1871),
    [sym_number] = STATE(1871),
    [sym_string] = STATE(1871),
    [sym_tagged] = STATE(1871),
    [sym_context] = STATE(1871),
    [sym_elude] = STATE(1871),
    [sym_assign] = STATE(1871),
    [sym_lambda] = STATE(1871),
    [sym_or] = STATE(1871),
    [sym_not] = STATE(1871),
    [sym_and] = STATE(1871),
    [sym_cmp] = STATE(1871),
    [sym_in] = STATE(1871),
    [sym_add] = STATE(1871),
    [sym_sub] = STATE(1871),
    [sym_mul] = STATE(1871),
    [sym_div] = STATE(1871),
    [sym_sign] = STATE(1871),
    [sym_call] = STATE(1871),
    [sym_field] = STATE(1871),
    [sym_label] = STATE(1871),
    [sym_content] = STATE(1871),
    [sym_group] = STATE(1871),
    [sym_block] = STATE(1871),
    [sym_branch] = STATE(1871),
    [sym_let] = STATE(1871),
    [sym_set] = STATE(1871),
    [sym_import] = STATE(1871),
    [sym_include] = STATE(1871),
    [sym_for] = STATE(1871),
    [sym_while] = STATE(1871),
    [sym_show] = STATE(1871),
    [sym_return] = STATE(1871),
    [sym_flow] = STATE(1871),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2881),
    [sym_none] = ACTIONS(2881),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [722] = {
    [sym_raw_blck] = STATE(1919),
    [sym_raw_span] = STATE(1919),
    [sym_math] = STATE(1919),
    [sym__expr] = STATE(1919),
    [sym_ident] = STATE(1919),
    [sym_bool] = STATE(1919),
    [sym_number] = STATE(1919),
    [sym_string] = STATE(1919),
    [sym_tagged] = STATE(1919),
    [sym_context] = STATE(1919),
    [sym_elude] = STATE(1919),
    [sym_assign] = STATE(1919),
    [sym_lambda] = STATE(1919),
    [sym_or] = STATE(1919),
    [sym_not] = STATE(1919),
    [sym_and] = STATE(1919),
    [sym_cmp] = STATE(1919),
    [sym_in] = STATE(1919),
    [sym_add] = STATE(1919),
    [sym_sub] = STATE(1919),
    [sym_mul] = STATE(1919),
    [sym_div] = STATE(1919),
    [sym_sign] = STATE(1919),
    [sym_call] = STATE(1919),
    [sym_field] = STATE(1919),
    [sym_label] = STATE(1919),
    [sym_content] = STATE(1919),
    [sym_group] = STATE(1919),
    [sym_block] = STATE(1919),
    [sym_branch] = STATE(1919),
    [sym_let] = STATE(1919),
    [sym_set] = STATE(1919),
    [sym_import] = STATE(1919),
    [sym_include] = STATE(1919),
    [sym_for] = STATE(1919),
    [sym_while] = STATE(1919),
    [sym_show] = STATE(1919),
    [sym_return] = STATE(1919),
    [sym_flow] = STATE(1919),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2095),
    [sym_none] = ACTIONS(2095),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [723] = {
    [sym_raw_blck] = STATE(1856),
    [sym_raw_span] = STATE(1856),
    [sym_math] = STATE(1856),
    [sym__expr] = STATE(1856),
    [sym_ident] = STATE(1856),
    [sym_bool] = STATE(1856),
    [sym_number] = STATE(1856),
    [sym_string] = STATE(1856),
    [sym_tagged] = STATE(1856),
    [sym_context] = STATE(1856),
    [sym_elude] = STATE(1856),
    [sym_assign] = STATE(1856),
    [sym_lambda] = STATE(1856),
    [sym_or] = STATE(1856),
    [sym_not] = STATE(1856),
    [sym_and] = STATE(1856),
    [sym_cmp] = STATE(1856),
    [sym_in] = STATE(1856),
    [sym_add] = STATE(1856),
    [sym_sub] = STATE(1856),
    [sym_mul] = STATE(1856),
    [sym_div] = STATE(1856),
    [sym_sign] = STATE(1856),
    [sym_call] = STATE(1856),
    [sym_field] = STATE(1856),
    [sym_label] = STATE(1856),
    [sym_content] = STATE(1856),
    [sym_group] = STATE(1856),
    [sym_block] = STATE(1856),
    [sym_branch] = STATE(1856),
    [sym_let] = STATE(1856),
    [sym_set] = STATE(1856),
    [sym_import] = STATE(1856),
    [sym_include] = STATE(1856),
    [sym_for] = STATE(1856),
    [sym_while] = STATE(1856),
    [sym_show] = STATE(1856),
    [sym_return] = STATE(1856),
    [sym_flow] = STATE(1856),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2883),
    [sym_none] = ACTIONS(2883),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [724] = {
    [sym_raw_blck] = STATE(1916),
    [sym_raw_span] = STATE(1916),
    [sym_math] = STATE(1916),
    [sym__expr] = STATE(1916),
    [sym_ident] = STATE(1916),
    [sym_bool] = STATE(1916),
    [sym_number] = STATE(1916),
    [sym_string] = STATE(1916),
    [sym_tagged] = STATE(1916),
    [sym_context] = STATE(1916),
    [sym_elude] = STATE(1916),
    [sym_assign] = STATE(1916),
    [sym_lambda] = STATE(1916),
    [sym_or] = STATE(1916),
    [sym_not] = STATE(1916),
    [sym_and] = STATE(1916),
    [sym_cmp] = STATE(1916),
    [sym_in] = STATE(1916),
    [sym_add] = STATE(1916),
    [sym_sub] = STATE(1916),
    [sym_mul] = STATE(1916),
    [sym_div] = STATE(1916),
    [sym_sign] = STATE(1916),
    [sym_call] = STATE(1916),
    [sym_field] = STATE(1916),
    [sym_label] = STATE(1916),
    [sym_content] = STATE(1916),
    [sym_group] = STATE(1916),
    [sym_block] = STATE(1916),
    [sym_branch] = STATE(1916),
    [sym_let] = STATE(1916),
    [sym_set] = STATE(1916),
    [sym_import] = STATE(1916),
    [sym_include] = STATE(1916),
    [sym_for] = STATE(1916),
    [sym_while] = STATE(1916),
    [sym_show] = STATE(1916),
    [sym_return] = STATE(1916),
    [sym_flow] = STATE(1916),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2097),
    [sym_none] = ACTIONS(2097),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [725] = {
    [sym_raw_blck] = STATE(1870),
    [sym_raw_span] = STATE(1870),
    [sym_math] = STATE(1870),
    [sym__expr] = STATE(1870),
    [sym_ident] = STATE(1870),
    [sym_bool] = STATE(1870),
    [sym_number] = STATE(1870),
    [sym_string] = STATE(1870),
    [sym_tagged] = STATE(1870),
    [sym_context] = STATE(1870),
    [sym_elude] = STATE(1870),
    [sym_assign] = STATE(1870),
    [sym_lambda] = STATE(1870),
    [sym_or] = STATE(1870),
    [sym_not] = STATE(1870),
    [sym_and] = STATE(1870),
    [sym_cmp] = STATE(1870),
    [sym_in] = STATE(1870),
    [sym_add] = STATE(1870),
    [sym_sub] = STATE(1870),
    [sym_mul] = STATE(1870),
    [sym_div] = STATE(1870),
    [sym_sign] = STATE(1870),
    [sym_call] = STATE(1870),
    [sym_field] = STATE(1870),
    [sym_label] = STATE(1870),
    [sym_content] = STATE(1870),
    [sym_group] = STATE(1870),
    [sym_block] = STATE(1870),
    [sym_branch] = STATE(1870),
    [sym_let] = STATE(1870),
    [sym_set] = STATE(1870),
    [sym_import] = STATE(1870),
    [sym_include] = STATE(1870),
    [sym_for] = STATE(1870),
    [sym_while] = STATE(1870),
    [sym_show] = STATE(1870),
    [sym_return] = STATE(1870),
    [sym_flow] = STATE(1870),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2885),
    [sym_none] = ACTIONS(2885),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [726] = {
    [sym_raw_blck] = STATE(2542),
    [sym_raw_span] = STATE(2542),
    [sym_math] = STATE(2542),
    [sym__expr] = STATE(2542),
    [sym_ident] = STATE(2542),
    [sym_bool] = STATE(2542),
    [sym_number] = STATE(2542),
    [sym_string] = STATE(2542),
    [sym_tagged] = STATE(2542),
    [sym_context] = STATE(2542),
    [sym_elude] = STATE(2542),
    [sym_assign] = STATE(2542),
    [sym_lambda] = STATE(2542),
    [sym_or] = STATE(2542),
    [sym_not] = STATE(2542),
    [sym_and] = STATE(2542),
    [sym_cmp] = STATE(2542),
    [sym_in] = STATE(2542),
    [sym_add] = STATE(2542),
    [sym_sub] = STATE(2542),
    [sym_mul] = STATE(2542),
    [sym_div] = STATE(2542),
    [sym_sign] = STATE(2542),
    [sym_call] = STATE(2542),
    [sym_field] = STATE(2542),
    [sym_label] = STATE(2542),
    [sym_content] = STATE(2542),
    [sym_group] = STATE(2542),
    [sym_block] = STATE(2542),
    [sym_branch] = STATE(2542),
    [sym_let] = STATE(2542),
    [sym_set] = STATE(2542),
    [sym_import] = STATE(2542),
    [sym_include] = STATE(2542),
    [sym_for] = STATE(2542),
    [sym_while] = STATE(2542),
    [sym_show] = STATE(2542),
    [sym_return] = STATE(2542),
    [sym_flow] = STATE(2542),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(809),
    [anon_sym_DOT_DOT] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2367),
    [anon_sym_DASH] = ACTIONS(2367),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(813),
    [anon_sym_set] = ACTIONS(815),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_include] = ACTIONS(819),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(823),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2887),
    [sym_none] = ACTIONS(2887),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [727] = {
    [sym_raw_blck] = STATE(2998),
    [sym_raw_span] = STATE(2998),
    [sym_math] = STATE(2998),
    [sym__expr] = STATE(2998),
    [sym_ident] = STATE(2998),
    [sym_bool] = STATE(2998),
    [sym_number] = STATE(2998),
    [sym_string] = STATE(2998),
    [sym_tagged] = STATE(2998),
    [sym_context] = STATE(2998),
    [sym_elude] = STATE(2998),
    [sym_assign] = STATE(2998),
    [sym_lambda] = STATE(2998),
    [sym_or] = STATE(2998),
    [sym_not] = STATE(2998),
    [sym_and] = STATE(2998),
    [sym_cmp] = STATE(2998),
    [sym_in] = STATE(2998),
    [sym_add] = STATE(2998),
    [sym_sub] = STATE(2998),
    [sym_mul] = STATE(2998),
    [sym_div] = STATE(2998),
    [sym_sign] = STATE(2998),
    [sym_call] = STATE(2998),
    [sym_field] = STATE(2998),
    [sym_label] = STATE(2998),
    [sym_content] = STATE(2998),
    [sym_group] = STATE(2998),
    [sym_block] = STATE(2998),
    [sym_branch] = STATE(2998),
    [sym_let] = STATE(2998),
    [sym_set] = STATE(2998),
    [sym_import] = STATE(2998),
    [sym_include] = STATE(2998),
    [sym_for] = STATE(2998),
    [sym_while] = STATE(2998),
    [sym_show] = STATE(2998),
    [sym_return] = STATE(2998),
    [sym_flow] = STATE(2998),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2889),
    [sym_none] = ACTIONS(2889),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [728] = {
    [sym_raw_blck] = STATE(2997),
    [sym_raw_span] = STATE(2997),
    [sym_math] = STATE(2997),
    [sym__expr] = STATE(2997),
    [sym_ident] = STATE(2997),
    [sym_bool] = STATE(2997),
    [sym_number] = STATE(2997),
    [sym_string] = STATE(2997),
    [sym_tagged] = STATE(2997),
    [sym_context] = STATE(2997),
    [sym_elude] = STATE(2997),
    [sym_assign] = STATE(2997),
    [sym_lambda] = STATE(2997),
    [sym_or] = STATE(2997),
    [sym_not] = STATE(2997),
    [sym_and] = STATE(2997),
    [sym_cmp] = STATE(2997),
    [sym_in] = STATE(2997),
    [sym_add] = STATE(2997),
    [sym_sub] = STATE(2997),
    [sym_mul] = STATE(2997),
    [sym_div] = STATE(2997),
    [sym_sign] = STATE(2997),
    [sym_call] = STATE(2997),
    [sym_field] = STATE(2997),
    [sym_label] = STATE(2997),
    [sym_content] = STATE(2997),
    [sym_group] = STATE(2997),
    [sym_block] = STATE(2997),
    [sym_branch] = STATE(2997),
    [sym_let] = STATE(2997),
    [sym_set] = STATE(2997),
    [sym_import] = STATE(2997),
    [sym_include] = STATE(2997),
    [sym_for] = STATE(2997),
    [sym_while] = STATE(2997),
    [sym_show] = STATE(2997),
    [sym_return] = STATE(2997),
    [sym_flow] = STATE(2997),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2891),
    [sym_none] = ACTIONS(2891),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [729] = {
    [sym_raw_blck] = STATE(3011),
    [sym_raw_span] = STATE(3011),
    [sym_math] = STATE(3011),
    [sym__expr] = STATE(3011),
    [sym_ident] = STATE(3011),
    [sym_bool] = STATE(3011),
    [sym_number] = STATE(3011),
    [sym_string] = STATE(3011),
    [sym_tagged] = STATE(3011),
    [sym_context] = STATE(3011),
    [sym_elude] = STATE(3011),
    [sym_assign] = STATE(3011),
    [sym_lambda] = STATE(3011),
    [sym_or] = STATE(3011),
    [sym_not] = STATE(3011),
    [sym_and] = STATE(3011),
    [sym_cmp] = STATE(3011),
    [sym_in] = STATE(3011),
    [sym_add] = STATE(3011),
    [sym_sub] = STATE(3011),
    [sym_mul] = STATE(3011),
    [sym_div] = STATE(3011),
    [sym_sign] = STATE(3011),
    [sym_call] = STATE(1447),
    [sym_field] = STATE(3011),
    [sym_label] = STATE(3011),
    [sym_content] = STATE(3011),
    [sym_group] = STATE(3011),
    [sym_block] = STATE(3011),
    [sym_branch] = STATE(3011),
    [sym_let] = STATE(3011),
    [sym_set] = STATE(3011),
    [sym_import] = STATE(3011),
    [sym_include] = STATE(3011),
    [sym_for] = STATE(3011),
    [sym_while] = STATE(3011),
    [sym_show] = STATE(3011),
    [sym_return] = STATE(3011),
    [sym_flow] = STATE(3011),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2893),
    [sym_none] = ACTIONS(2893),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [730] = {
    [sym_raw_blck] = STATE(1868),
    [sym_raw_span] = STATE(1868),
    [sym_math] = STATE(1868),
    [sym__expr] = STATE(1868),
    [sym_ident] = STATE(1868),
    [sym_bool] = STATE(1868),
    [sym_number] = STATE(1868),
    [sym_string] = STATE(1868),
    [sym_tagged] = STATE(1868),
    [sym_context] = STATE(1868),
    [sym_elude] = STATE(1868),
    [sym_assign] = STATE(1868),
    [sym_lambda] = STATE(1868),
    [sym_or] = STATE(1868),
    [sym_not] = STATE(1868),
    [sym_and] = STATE(1868),
    [sym_cmp] = STATE(1868),
    [sym_in] = STATE(1868),
    [sym_add] = STATE(1868),
    [sym_sub] = STATE(1868),
    [sym_mul] = STATE(1868),
    [sym_div] = STATE(1868),
    [sym_sign] = STATE(1868),
    [sym_call] = STATE(1868),
    [sym_field] = STATE(1868),
    [sym_label] = STATE(1868),
    [sym_content] = STATE(1868),
    [sym_group] = STATE(1868),
    [sym_block] = STATE(1868),
    [sym_branch] = STATE(1868),
    [sym_let] = STATE(1868),
    [sym_set] = STATE(1868),
    [sym_import] = STATE(1868),
    [sym_include] = STATE(1868),
    [sym_for] = STATE(1868),
    [sym_while] = STATE(1868),
    [sym_show] = STATE(1868),
    [sym_return] = STATE(1868),
    [sym_flow] = STATE(1868),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2895),
    [sym_none] = ACTIONS(2895),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [731] = {
    [sym_raw_blck] = STATE(1867),
    [sym_raw_span] = STATE(1867),
    [sym_math] = STATE(1867),
    [sym__expr] = STATE(1867),
    [sym_ident] = STATE(1867),
    [sym_bool] = STATE(1867),
    [sym_number] = STATE(1867),
    [sym_string] = STATE(1867),
    [sym_tagged] = STATE(1867),
    [sym_context] = STATE(1867),
    [sym_elude] = STATE(1867),
    [sym_assign] = STATE(1867),
    [sym_lambda] = STATE(1867),
    [sym_or] = STATE(1867),
    [sym_not] = STATE(1867),
    [sym_and] = STATE(1867),
    [sym_cmp] = STATE(1867),
    [sym_in] = STATE(1867),
    [sym_add] = STATE(1867),
    [sym_sub] = STATE(1867),
    [sym_mul] = STATE(1867),
    [sym_div] = STATE(1867),
    [sym_sign] = STATE(1867),
    [sym_call] = STATE(1867),
    [sym_field] = STATE(1867),
    [sym_label] = STATE(1867),
    [sym_content] = STATE(1867),
    [sym_group] = STATE(1867),
    [sym_block] = STATE(1867),
    [sym_branch] = STATE(1867),
    [sym_let] = STATE(1867),
    [sym_set] = STATE(1867),
    [sym_import] = STATE(1867),
    [sym_include] = STATE(1867),
    [sym_for] = STATE(1867),
    [sym_while] = STATE(1867),
    [sym_show] = STATE(1867),
    [sym_return] = STATE(1867),
    [sym_flow] = STATE(1867),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2897),
    [sym_none] = ACTIONS(2897),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [732] = {
    [sym_raw_blck] = STATE(1866),
    [sym_raw_span] = STATE(1866),
    [sym_math] = STATE(1866),
    [sym__expr] = STATE(1866),
    [sym_ident] = STATE(1866),
    [sym_bool] = STATE(1866),
    [sym_number] = STATE(1866),
    [sym_string] = STATE(1866),
    [sym_tagged] = STATE(1866),
    [sym_context] = STATE(1866),
    [sym_elude] = STATE(1866),
    [sym_assign] = STATE(1866),
    [sym_lambda] = STATE(1866),
    [sym_or] = STATE(1866),
    [sym_not] = STATE(1866),
    [sym_and] = STATE(1866),
    [sym_cmp] = STATE(1866),
    [sym_in] = STATE(1866),
    [sym_add] = STATE(1866),
    [sym_sub] = STATE(1866),
    [sym_mul] = STATE(1866),
    [sym_div] = STATE(1866),
    [sym_sign] = STATE(1866),
    [sym_call] = STATE(1866),
    [sym_field] = STATE(1866),
    [sym_label] = STATE(1866),
    [sym_content] = STATE(1866),
    [sym_group] = STATE(1866),
    [sym_block] = STATE(1866),
    [sym_branch] = STATE(1866),
    [sym_let] = STATE(1866),
    [sym_set] = STATE(1866),
    [sym_import] = STATE(1866),
    [sym_include] = STATE(1866),
    [sym_for] = STATE(1866),
    [sym_while] = STATE(1866),
    [sym_show] = STATE(1866),
    [sym_return] = STATE(1866),
    [sym_flow] = STATE(1866),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2899),
    [sym_none] = ACTIONS(2899),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [733] = {
    [sym_raw_blck] = STATE(2991),
    [sym_raw_span] = STATE(2991),
    [sym_math] = STATE(2991),
    [sym__expr] = STATE(2991),
    [sym_ident] = STATE(2991),
    [sym_bool] = STATE(2991),
    [sym_number] = STATE(2991),
    [sym_string] = STATE(2991),
    [sym_tagged] = STATE(2991),
    [sym_context] = STATE(2991),
    [sym_elude] = STATE(2991),
    [sym_assign] = STATE(2991),
    [sym_lambda] = STATE(2991),
    [sym_or] = STATE(2991),
    [sym_not] = STATE(2991),
    [sym_and] = STATE(2991),
    [sym_cmp] = STATE(2991),
    [sym_in] = STATE(2991),
    [sym_add] = STATE(2991),
    [sym_sub] = STATE(2991),
    [sym_mul] = STATE(2991),
    [sym_div] = STATE(2991),
    [sym_sign] = STATE(2991),
    [sym_call] = STATE(2991),
    [sym_field] = STATE(2991),
    [sym_label] = STATE(2991),
    [sym_content] = STATE(2991),
    [sym_group] = STATE(2991),
    [sym_block] = STATE(2991),
    [sym_branch] = STATE(2991),
    [sym_let] = STATE(2991),
    [sym_set] = STATE(2991),
    [sym_import] = STATE(2991),
    [sym_include] = STATE(2991),
    [sym_for] = STATE(2991),
    [sym_while] = STATE(2991),
    [sym_show] = STATE(2991),
    [sym_return] = STATE(2991),
    [sym_flow] = STATE(2991),
    [sym__identifier] = ACTIONS(849),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(851),
    [anon_sym_BQUOTE] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_true] = ACTIONS(857),
    [anon_sym_false] = ACTIONS(857),
    [aux_sym_number_token1] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_context] = ACTIONS(863),
    [anon_sym_DOT_DOT] = ACTIONS(865),
    [anon_sym_not] = ACTIONS(1057),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1275),
    [anon_sym_DASH] = ACTIONS(1275),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_set] = ACTIONS(875),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_include] = ACTIONS(879),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(883),
    [anon_sym_show] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(887),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [sym_auto] = ACTIONS(2901),
    [sym_none] = ACTIONS(2901),
    [sym__token_content] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [734] = {
    [sym_raw_blck] = STATE(1865),
    [sym_raw_span] = STATE(1865),
    [sym_math] = STATE(1865),
    [sym__expr] = STATE(1865),
    [sym_ident] = STATE(1865),
    [sym_bool] = STATE(1865),
    [sym_number] = STATE(1865),
    [sym_string] = STATE(1865),
    [sym_tagged] = STATE(1865),
    [sym_context] = STATE(1865),
    [sym_elude] = STATE(1865),
    [sym_assign] = STATE(1865),
    [sym_lambda] = STATE(1865),
    [sym_or] = STATE(1865),
    [sym_not] = STATE(1865),
    [sym_and] = STATE(1865),
    [sym_cmp] = STATE(1865),
    [sym_in] = STATE(1865),
    [sym_add] = STATE(1865),
    [sym_sub] = STATE(1865),
    [sym_mul] = STATE(1865),
    [sym_div] = STATE(1865),
    [sym_sign] = STATE(1865),
    [sym_call] = STATE(1865),
    [sym_field] = STATE(1865),
    [sym_label] = STATE(1865),
    [sym_content] = STATE(1865),
    [sym_group] = STATE(1865),
    [sym_block] = STATE(1865),
    [sym_branch] = STATE(1865),
    [sym_let] = STATE(1865),
    [sym_set] = STATE(1865),
    [sym_import] = STATE(1865),
    [sym_include] = STATE(1865),
    [sym_for] = STATE(1865),
    [sym_while] = STATE(1865),
    [sym_show] = STATE(1865),
    [sym_return] = STATE(1865),
    [sym_flow] = STATE(1865),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2903),
    [sym_none] = ACTIONS(2903),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [735] = {
    [sym_raw_blck] = STATE(1864),
    [sym_raw_span] = STATE(1864),
    [sym_math] = STATE(1864),
    [sym__expr] = STATE(1864),
    [sym_ident] = STATE(1864),
    [sym_bool] = STATE(1864),
    [sym_number] = STATE(1864),
    [sym_string] = STATE(1864),
    [sym_tagged] = STATE(1864),
    [sym_context] = STATE(1864),
    [sym_elude] = STATE(1864),
    [sym_assign] = STATE(1864),
    [sym_lambda] = STATE(1864),
    [sym_or] = STATE(1864),
    [sym_not] = STATE(1864),
    [sym_and] = STATE(1864),
    [sym_cmp] = STATE(1864),
    [sym_in] = STATE(1864),
    [sym_add] = STATE(1864),
    [sym_sub] = STATE(1864),
    [sym_mul] = STATE(1864),
    [sym_div] = STATE(1864),
    [sym_sign] = STATE(1864),
    [sym_call] = STATE(1864),
    [sym_field] = STATE(1864),
    [sym_label] = STATE(1864),
    [sym_content] = STATE(1864),
    [sym_group] = STATE(1864),
    [sym_block] = STATE(1864),
    [sym_branch] = STATE(1864),
    [sym_let] = STATE(1864),
    [sym_set] = STATE(1864),
    [sym_import] = STATE(1864),
    [sym_include] = STATE(1864),
    [sym_for] = STATE(1864),
    [sym_while] = STATE(1864),
    [sym_show] = STATE(1864),
    [sym_return] = STATE(1864),
    [sym_flow] = STATE(1864),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2905),
    [sym_none] = ACTIONS(2905),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [736] = {
    [sym_raw_blck] = STATE(1862),
    [sym_raw_span] = STATE(1862),
    [sym_math] = STATE(1862),
    [sym__expr] = STATE(1862),
    [sym_ident] = STATE(1862),
    [sym_bool] = STATE(1862),
    [sym_number] = STATE(1862),
    [sym_string] = STATE(1862),
    [sym_tagged] = STATE(1862),
    [sym_context] = STATE(1862),
    [sym_elude] = STATE(1862),
    [sym_assign] = STATE(1862),
    [sym_lambda] = STATE(1862),
    [sym_or] = STATE(1862),
    [sym_not] = STATE(1862),
    [sym_and] = STATE(1862),
    [sym_cmp] = STATE(1862),
    [sym_in] = STATE(1862),
    [sym_add] = STATE(1862),
    [sym_sub] = STATE(1862),
    [sym_mul] = STATE(1862),
    [sym_div] = STATE(1862),
    [sym_sign] = STATE(1862),
    [sym_call] = STATE(1862),
    [sym_field] = STATE(1862),
    [sym_label] = STATE(1862),
    [sym_content] = STATE(1862),
    [sym_group] = STATE(1862),
    [sym_block] = STATE(1862),
    [sym_branch] = STATE(1862),
    [sym_let] = STATE(1862),
    [sym_set] = STATE(1862),
    [sym_import] = STATE(1862),
    [sym_include] = STATE(1862),
    [sym_for] = STATE(1862),
    [sym_while] = STATE(1862),
    [sym_show] = STATE(1862),
    [sym_return] = STATE(1862),
    [sym_flow] = STATE(1862),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2907),
    [sym_none] = ACTIONS(2907),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [737] = {
    [sym_raw_blck] = STATE(1851),
    [sym_raw_span] = STATE(1851),
    [sym_math] = STATE(1851),
    [sym__expr] = STATE(1851),
    [sym_ident] = STATE(1851),
    [sym_bool] = STATE(1851),
    [sym_number] = STATE(1851),
    [sym_string] = STATE(1851),
    [sym_tagged] = STATE(1851),
    [sym_context] = STATE(1851),
    [sym_elude] = STATE(1851),
    [sym_assign] = STATE(1851),
    [sym_lambda] = STATE(1851),
    [sym_or] = STATE(1851),
    [sym_not] = STATE(1851),
    [sym_and] = STATE(1851),
    [sym_cmp] = STATE(1851),
    [sym_in] = STATE(1851),
    [sym_add] = STATE(1851),
    [sym_sub] = STATE(1851),
    [sym_mul] = STATE(1851),
    [sym_div] = STATE(1851),
    [sym_sign] = STATE(1851),
    [sym_call] = STATE(1851),
    [sym_field] = STATE(1851),
    [sym_label] = STATE(1851),
    [sym_content] = STATE(1851),
    [sym_group] = STATE(1851),
    [sym_block] = STATE(1851),
    [sym_branch] = STATE(1851),
    [sym_let] = STATE(1851),
    [sym_set] = STATE(1851),
    [sym_import] = STATE(1851),
    [sym_include] = STATE(1851),
    [sym_for] = STATE(1851),
    [sym_while] = STATE(1851),
    [sym_show] = STATE(1851),
    [sym_return] = STATE(1851),
    [sym_flow] = STATE(1851),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2909),
    [sym_none] = ACTIONS(2909),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [738] = {
    [sym_raw_blck] = STATE(1850),
    [sym_raw_span] = STATE(1850),
    [sym_math] = STATE(1850),
    [sym__expr] = STATE(1850),
    [sym_ident] = STATE(1850),
    [sym_bool] = STATE(1850),
    [sym_number] = STATE(1850),
    [sym_string] = STATE(1850),
    [sym_tagged] = STATE(1850),
    [sym_context] = STATE(1850),
    [sym_elude] = STATE(1850),
    [sym_assign] = STATE(1850),
    [sym_lambda] = STATE(1850),
    [sym_or] = STATE(1850),
    [sym_not] = STATE(1850),
    [sym_and] = STATE(1850),
    [sym_cmp] = STATE(1850),
    [sym_in] = STATE(1850),
    [sym_add] = STATE(1850),
    [sym_sub] = STATE(1850),
    [sym_mul] = STATE(1850),
    [sym_div] = STATE(1850),
    [sym_sign] = STATE(1850),
    [sym_call] = STATE(1850),
    [sym_field] = STATE(1850),
    [sym_label] = STATE(1850),
    [sym_content] = STATE(1850),
    [sym_group] = STATE(1850),
    [sym_block] = STATE(1850),
    [sym_branch] = STATE(1850),
    [sym_let] = STATE(1850),
    [sym_set] = STATE(1850),
    [sym_import] = STATE(1850),
    [sym_include] = STATE(1850),
    [sym_for] = STATE(1850),
    [sym_while] = STATE(1850),
    [sym_show] = STATE(1850),
    [sym_return] = STATE(1850),
    [sym_flow] = STATE(1850),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2911),
    [sym_none] = ACTIONS(2911),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [739] = {
    [sym_raw_blck] = STATE(2455),
    [sym_raw_span] = STATE(2455),
    [sym_math] = STATE(2455),
    [sym__expr] = STATE(2455),
    [sym_ident] = STATE(2455),
    [sym_bool] = STATE(2455),
    [sym_number] = STATE(2455),
    [sym_string] = STATE(2455),
    [sym_tagged] = STATE(2455),
    [sym_context] = STATE(2455),
    [sym_elude] = STATE(2455),
    [sym_assign] = STATE(2455),
    [sym_lambda] = STATE(2455),
    [sym_or] = STATE(2455),
    [sym_not] = STATE(2455),
    [sym_and] = STATE(2455),
    [sym_cmp] = STATE(2455),
    [sym_in] = STATE(2455),
    [sym_add] = STATE(2455),
    [sym_sub] = STATE(2455),
    [sym_mul] = STATE(2455),
    [sym_div] = STATE(2455),
    [sym_sign] = STATE(2455),
    [sym_call] = STATE(2455),
    [sym_field] = STATE(2455),
    [sym_label] = STATE(2455),
    [sym_content] = STATE(2455),
    [sym_group] = STATE(2455),
    [sym_block] = STATE(2455),
    [sym_branch] = STATE(2455),
    [sym_let] = STATE(2455),
    [sym_set] = STATE(2455),
    [sym_import] = STATE(2455),
    [sym_include] = STATE(2455),
    [sym_for] = STATE(2455),
    [sym_while] = STATE(2455),
    [sym_show] = STATE(2455),
    [sym_return] = STATE(2455),
    [sym_flow] = STATE(2455),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2913),
    [sym_none] = ACTIONS(2913),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [740] = {
    [sym_raw_blck] = STATE(1849),
    [sym_raw_span] = STATE(1849),
    [sym_math] = STATE(1849),
    [sym__expr] = STATE(1849),
    [sym_ident] = STATE(1849),
    [sym_bool] = STATE(1849),
    [sym_number] = STATE(1849),
    [sym_string] = STATE(1849),
    [sym_tagged] = STATE(1849),
    [sym_context] = STATE(1849),
    [sym_elude] = STATE(1849),
    [sym_assign] = STATE(1849),
    [sym_lambda] = STATE(1849),
    [sym_or] = STATE(1849),
    [sym_not] = STATE(1849),
    [sym_and] = STATE(1849),
    [sym_cmp] = STATE(1849),
    [sym_in] = STATE(1849),
    [sym_add] = STATE(1849),
    [sym_sub] = STATE(1849),
    [sym_mul] = STATE(1849),
    [sym_div] = STATE(1849),
    [sym_sign] = STATE(1849),
    [sym_call] = STATE(1849),
    [sym_field] = STATE(1849),
    [sym_label] = STATE(1849),
    [sym_content] = STATE(1849),
    [sym_group] = STATE(1849),
    [sym_block] = STATE(1849),
    [sym_branch] = STATE(1849),
    [sym_let] = STATE(1849),
    [sym_set] = STATE(1849),
    [sym_import] = STATE(1849),
    [sym_include] = STATE(1849),
    [sym_for] = STATE(1849),
    [sym_while] = STATE(1849),
    [sym_show] = STATE(1849),
    [sym_return] = STATE(1849),
    [sym_flow] = STATE(1849),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2915),
    [sym_none] = ACTIONS(2915),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [741] = {
    [sym_raw_blck] = STATE(3001),
    [sym_raw_span] = STATE(3001),
    [sym_math] = STATE(3001),
    [sym__expr] = STATE(3001),
    [sym_ident] = STATE(3001),
    [sym_bool] = STATE(3001),
    [sym_number] = STATE(3001),
    [sym_string] = STATE(3001),
    [sym_tagged] = STATE(3001),
    [sym_context] = STATE(3001),
    [sym_elude] = STATE(3001),
    [sym_assign] = STATE(3001),
    [sym_lambda] = STATE(3001),
    [sym_or] = STATE(3001),
    [sym_not] = STATE(3001),
    [sym_and] = STATE(3001),
    [sym_cmp] = STATE(3001),
    [sym_in] = STATE(3001),
    [sym_add] = STATE(3001),
    [sym_sub] = STATE(3001),
    [sym_mul] = STATE(3001),
    [sym_div] = STATE(3001),
    [sym_sign] = STATE(3001),
    [sym_call] = STATE(2631),
    [sym_field] = STATE(3001),
    [sym_label] = STATE(3001),
    [sym_content] = STATE(3001),
    [sym_group] = STATE(3001),
    [sym_block] = STATE(3001),
    [sym_branch] = STATE(3001),
    [sym_let] = STATE(3001),
    [sym_set] = STATE(3001),
    [sym_import] = STATE(3001),
    [sym_include] = STATE(3001),
    [sym_for] = STATE(3001),
    [sym_while] = STATE(3001),
    [sym_show] = STATE(3001),
    [sym_return] = STATE(3001),
    [sym_flow] = STATE(3001),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2917),
    [sym_none] = ACTIONS(2917),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [742] = {
    [sym_raw_blck] = STATE(1855),
    [sym_raw_span] = STATE(1855),
    [sym_math] = STATE(1855),
    [sym__expr] = STATE(1855),
    [sym_ident] = STATE(1855),
    [sym_bool] = STATE(1855),
    [sym_number] = STATE(1855),
    [sym_string] = STATE(1855),
    [sym_tagged] = STATE(1855),
    [sym_context] = STATE(1855),
    [sym_elude] = STATE(1855),
    [sym_assign] = STATE(1855),
    [sym_lambda] = STATE(1855),
    [sym_or] = STATE(1855),
    [sym_not] = STATE(1855),
    [sym_and] = STATE(1855),
    [sym_cmp] = STATE(1855),
    [sym_in] = STATE(1855),
    [sym_add] = STATE(1855),
    [sym_sub] = STATE(1855),
    [sym_mul] = STATE(1855),
    [sym_div] = STATE(1855),
    [sym_sign] = STATE(1855),
    [sym_call] = STATE(1855),
    [sym_field] = STATE(1855),
    [sym_label] = STATE(1855),
    [sym_content] = STATE(1855),
    [sym_group] = STATE(1855),
    [sym_block] = STATE(1855),
    [sym_branch] = STATE(1855),
    [sym_let] = STATE(1855),
    [sym_set] = STATE(1855),
    [sym_import] = STATE(1855),
    [sym_include] = STATE(1855),
    [sym_for] = STATE(1855),
    [sym_while] = STATE(1855),
    [sym_show] = STATE(1855),
    [sym_return] = STATE(1855),
    [sym_flow] = STATE(1855),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2129),
    [sym_none] = ACTIONS(2129),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [743] = {
    [sym_raw_blck] = STATE(1947),
    [sym_raw_span] = STATE(1947),
    [sym_math] = STATE(1947),
    [sym__expr] = STATE(1947),
    [sym_ident] = STATE(1947),
    [sym_bool] = STATE(1947),
    [sym_number] = STATE(1947),
    [sym_string] = STATE(1947),
    [sym_tagged] = STATE(1947),
    [sym_context] = STATE(1947),
    [sym_elude] = STATE(1947),
    [sym_assign] = STATE(1947),
    [sym_lambda] = STATE(1947),
    [sym_or] = STATE(1947),
    [sym_not] = STATE(1947),
    [sym_and] = STATE(1947),
    [sym_cmp] = STATE(1947),
    [sym_in] = STATE(1947),
    [sym_add] = STATE(1947),
    [sym_sub] = STATE(1947),
    [sym_mul] = STATE(1947),
    [sym_div] = STATE(1947),
    [sym_sign] = STATE(1947),
    [sym_call] = STATE(1947),
    [sym_field] = STATE(1947),
    [sym_label] = STATE(1947),
    [sym_content] = STATE(1947),
    [sym_group] = STATE(1947),
    [sym_block] = STATE(1947),
    [sym_branch] = STATE(1947),
    [sym_let] = STATE(1947),
    [sym_set] = STATE(1947),
    [sym_import] = STATE(1947),
    [sym_include] = STATE(1947),
    [sym_for] = STATE(1947),
    [sym_while] = STATE(1947),
    [sym_show] = STATE(1947),
    [sym_return] = STATE(1947),
    [sym_flow] = STATE(1947),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2919),
    [sym_none] = ACTIONS(2919),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [744] = {
    [sym_raw_blck] = STATE(2626),
    [sym_raw_span] = STATE(2626),
    [sym_math] = STATE(2626),
    [sym__expr] = STATE(2626),
    [sym_ident] = STATE(2626),
    [sym_bool] = STATE(2626),
    [sym_number] = STATE(2626),
    [sym_string] = STATE(2626),
    [sym_tagged] = STATE(2626),
    [sym_context] = STATE(2626),
    [sym_elude] = STATE(2626),
    [sym_assign] = STATE(2626),
    [sym_lambda] = STATE(2626),
    [sym_or] = STATE(2626),
    [sym_not] = STATE(2626),
    [sym_and] = STATE(2626),
    [sym_cmp] = STATE(2626),
    [sym_in] = STATE(2626),
    [sym_add] = STATE(2626),
    [sym_sub] = STATE(2626),
    [sym_mul] = STATE(2626),
    [sym_div] = STATE(2626),
    [sym_sign] = STATE(2626),
    [sym_call] = STATE(2626),
    [sym_field] = STATE(2626),
    [sym_label] = STATE(2626),
    [sym_content] = STATE(2626),
    [sym_group] = STATE(2626),
    [sym_block] = STATE(2626),
    [sym_branch] = STATE(2626),
    [sym_let] = STATE(2626),
    [sym_set] = STATE(2626),
    [sym_import] = STATE(2626),
    [sym_include] = STATE(2626),
    [sym_for] = STATE(2626),
    [sym_while] = STATE(2626),
    [sym_show] = STATE(2626),
    [sym_return] = STATE(2626),
    [sym_flow] = STATE(2626),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2921),
    [sym_none] = ACTIONS(2921),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [745] = {
    [sym_raw_blck] = STATE(1638),
    [sym_raw_span] = STATE(1638),
    [sym_math] = STATE(1638),
    [sym__expr] = STATE(1638),
    [sym_ident] = STATE(1638),
    [sym_bool] = STATE(1638),
    [sym_number] = STATE(1638),
    [sym_string] = STATE(1638),
    [sym_tagged] = STATE(1638),
    [sym_context] = STATE(1638),
    [sym_elude] = STATE(1638),
    [sym_assign] = STATE(1638),
    [sym_lambda] = STATE(1638),
    [sym_or] = STATE(1638),
    [sym_not] = STATE(1638),
    [sym_and] = STATE(1638),
    [sym_cmp] = STATE(1638),
    [sym_in] = STATE(1638),
    [sym_add] = STATE(1638),
    [sym_sub] = STATE(1638),
    [sym_mul] = STATE(1638),
    [sym_div] = STATE(1638),
    [sym_sign] = STATE(1638),
    [sym_call] = STATE(1638),
    [sym_field] = STATE(1638),
    [sym_label] = STATE(1638),
    [sym_content] = STATE(1638),
    [sym_group] = STATE(1638),
    [sym_block] = STATE(1638),
    [sym_branch] = STATE(1638),
    [sym_let] = STATE(1638),
    [sym_set] = STATE(1638),
    [sym_import] = STATE(1638),
    [sym_include] = STATE(1638),
    [sym_for] = STATE(1638),
    [sym_while] = STATE(1638),
    [sym_show] = STATE(1638),
    [sym_return] = STATE(1638),
    [sym_flow] = STATE(1638),
    [sym__identifier] = ACTIONS(123),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(125),
    [anon_sym_BQUOTE] = ACTIONS(127),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_true] = ACTIONS(131),
    [anon_sym_false] = ACTIONS(131),
    [aux_sym_number_token1] = ACTIONS(133),
    [anon_sym_DQUOTE] = ACTIONS(135),
    [anon_sym_context] = ACTIONS(137),
    [anon_sym_DOT_DOT] = ACTIONS(139),
    [anon_sym_not] = ACTIONS(269),
    [anon_sym_LT] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(2223),
    [anon_sym_DASH] = ACTIONS(2223),
    [anon_sym_LPAREN] = ACTIONS(141),
    [anon_sym_LBRACE] = ACTIONS(143),
    [anon_sym_if] = ACTIONS(145),
    [anon_sym_let] = ACTIONS(147),
    [anon_sym_set] = ACTIONS(149),
    [anon_sym_import] = ACTIONS(151),
    [anon_sym_include] = ACTIONS(153),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_show] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(163),
    [sym_auto] = ACTIONS(2923),
    [sym_none] = ACTIONS(2923),
    [sym__token_content] = ACTIONS(167),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [746] = {
    [sym_raw_blck] = STATE(1903),
    [sym_raw_span] = STATE(1903),
    [sym_math] = STATE(1903),
    [sym__expr] = STATE(1903),
    [sym_ident] = STATE(1903),
    [sym_bool] = STATE(1903),
    [sym_number] = STATE(1903),
    [sym_string] = STATE(1903),
    [sym_tagged] = STATE(1903),
    [sym_context] = STATE(1903),
    [sym_elude] = STATE(1903),
    [sym_assign] = STATE(1903),
    [sym_lambda] = STATE(1903),
    [sym_or] = STATE(1903),
    [sym_not] = STATE(1903),
    [sym_and] = STATE(1903),
    [sym_cmp] = STATE(1903),
    [sym_in] = STATE(1903),
    [sym_add] = STATE(1903),
    [sym_sub] = STATE(1903),
    [sym_mul] = STATE(1903),
    [sym_div] = STATE(1903),
    [sym_sign] = STATE(1903),
    [sym_call] = STATE(1903),
    [sym_field] = STATE(1903),
    [sym_label] = STATE(1903),
    [sym_content] = STATE(1903),
    [sym_group] = STATE(1903),
    [sym_block] = STATE(1903),
    [sym_branch] = STATE(1903),
    [sym_let] = STATE(1903),
    [sym_set] = STATE(1903),
    [sym_import] = STATE(1903),
    [sym_include] = STATE(1903),
    [sym_for] = STATE(1903),
    [sym_while] = STATE(1903),
    [sym_show] = STATE(1903),
    [sym_return] = STATE(1903),
    [sym_flow] = STATE(1903),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2925),
    [sym_none] = ACTIONS(2925),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [747] = {
    [sym_raw_blck] = STATE(1974),
    [sym_raw_span] = STATE(1974),
    [sym_math] = STATE(1974),
    [sym__expr] = STATE(1974),
    [sym_ident] = STATE(1974),
    [sym_bool] = STATE(1974),
    [sym_number] = STATE(1974),
    [sym_string] = STATE(1974),
    [sym_tagged] = STATE(1974),
    [sym_context] = STATE(1974),
    [sym_elude] = STATE(1974),
    [sym_assign] = STATE(1974),
    [sym_lambda] = STATE(1974),
    [sym_or] = STATE(1974),
    [sym_not] = STATE(1974),
    [sym_and] = STATE(1974),
    [sym_cmp] = STATE(1974),
    [sym_in] = STATE(1974),
    [sym_add] = STATE(1974),
    [sym_sub] = STATE(1974),
    [sym_mul] = STATE(1974),
    [sym_div] = STATE(1974),
    [sym_sign] = STATE(1974),
    [sym_call] = STATE(1974),
    [sym_field] = STATE(1974),
    [sym_label] = STATE(1974),
    [sym_content] = STATE(1974),
    [sym_group] = STATE(1974),
    [sym_block] = STATE(1974),
    [sym_branch] = STATE(1974),
    [sym_let] = STATE(1974),
    [sym_set] = STATE(1974),
    [sym_import] = STATE(1974),
    [sym_include] = STATE(1974),
    [sym_for] = STATE(1974),
    [sym_while] = STATE(1974),
    [sym_show] = STATE(1974),
    [sym_return] = STATE(1974),
    [sym_flow] = STATE(1974),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2927),
    [sym_none] = ACTIONS(2927),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [748] = {
    [sym_raw_blck] = STATE(1437),
    [sym_raw_span] = STATE(1437),
    [sym_math] = STATE(1437),
    [sym__expr] = STATE(1437),
    [sym_ident] = STATE(1437),
    [sym_bool] = STATE(1437),
    [sym_number] = STATE(1437),
    [sym_string] = STATE(1437),
    [sym_tagged] = STATE(1437),
    [sym_context] = STATE(1437),
    [sym_elude] = STATE(1437),
    [sym_assign] = STATE(1437),
    [sym_lambda] = STATE(1437),
    [sym_or] = STATE(1437),
    [sym_not] = STATE(1437),
    [sym_and] = STATE(1437),
    [sym_cmp] = STATE(1437),
    [sym_in] = STATE(1437),
    [sym_add] = STATE(1437),
    [sym_sub] = STATE(1437),
    [sym_mul] = STATE(1437),
    [sym_div] = STATE(1437),
    [sym_sign] = STATE(1437),
    [sym_call] = STATE(1437),
    [sym_field] = STATE(1437),
    [sym_label] = STATE(1437),
    [sym_content] = STATE(1437),
    [sym_group] = STATE(1437),
    [sym_block] = STATE(1437),
    [sym_branch] = STATE(1437),
    [sym_let] = STATE(1437),
    [sym_set] = STATE(1437),
    [sym_import] = STATE(1437),
    [sym_include] = STATE(1437),
    [sym_for] = STATE(1437),
    [sym_while] = STATE(1437),
    [sym_show] = STATE(1437),
    [sym_return] = STATE(1437),
    [sym_flow] = STATE(1437),
    [sym__identifier] = ACTIONS(169),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(171),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_DOLLAR] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(177),
    [anon_sym_false] = ACTIONS(177),
    [aux_sym_number_token1] = ACTIONS(179),
    [anon_sym_DQUOTE] = ACTIONS(181),
    [anon_sym_context] = ACTIONS(183),
    [anon_sym_DOT_DOT] = ACTIONS(185),
    [anon_sym_not] = ACTIONS(187),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(193),
    [anon_sym_LBRACE] = ACTIONS(195),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_let] = ACTIONS(199),
    [anon_sym_set] = ACTIONS(201),
    [anon_sym_import] = ACTIONS(203),
    [anon_sym_include] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(207),
    [anon_sym_while] = ACTIONS(209),
    [anon_sym_show] = ACTIONS(211),
    [anon_sym_return] = ACTIONS(213),
    [anon_sym_break] = ACTIONS(215),
    [anon_sym_continue] = ACTIONS(215),
    [sym_auto] = ACTIONS(2929),
    [sym_none] = ACTIONS(2929),
    [sym__token_content] = ACTIONS(219),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [749] = {
    [sym_raw_blck] = STATE(2618),
    [sym_raw_span] = STATE(2618),
    [sym_math] = STATE(2618),
    [sym__expr] = STATE(2618),
    [sym_ident] = STATE(2618),
    [sym_bool] = STATE(2618),
    [sym_number] = STATE(2618),
    [sym_string] = STATE(2618),
    [sym_tagged] = STATE(2618),
    [sym_context] = STATE(2618),
    [sym_elude] = STATE(2618),
    [sym_assign] = STATE(2618),
    [sym_lambda] = STATE(2618),
    [sym_or] = STATE(2618),
    [sym_not] = STATE(2618),
    [sym_and] = STATE(2618),
    [sym_cmp] = STATE(2618),
    [sym_in] = STATE(2618),
    [sym_add] = STATE(2618),
    [sym_sub] = STATE(2618),
    [sym_mul] = STATE(2618),
    [sym_div] = STATE(2618),
    [sym_sign] = STATE(2618),
    [sym_call] = STATE(2618),
    [sym_field] = STATE(2618),
    [sym_label] = STATE(2618),
    [sym_content] = STATE(2618),
    [sym_group] = STATE(2618),
    [sym_block] = STATE(2618),
    [sym_branch] = STATE(2618),
    [sym_let] = STATE(2618),
    [sym_set] = STATE(2618),
    [sym_import] = STATE(2618),
    [sym_include] = STATE(2618),
    [sym_for] = STATE(2618),
    [sym_while] = STATE(2618),
    [sym_show] = STATE(2618),
    [sym_return] = STATE(2618),
    [sym_flow] = STATE(2618),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2931),
    [sym_none] = ACTIONS(2931),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [750] = {
    [sym_raw_blck] = STATE(2617),
    [sym_raw_span] = STATE(2617),
    [sym_math] = STATE(2617),
    [sym__expr] = STATE(2617),
    [sym_ident] = STATE(2617),
    [sym_bool] = STATE(2617),
    [sym_number] = STATE(2617),
    [sym_string] = STATE(2617),
    [sym_tagged] = STATE(2617),
    [sym_context] = STATE(2617),
    [sym_elude] = STATE(2617),
    [sym_assign] = STATE(2617),
    [sym_lambda] = STATE(2617),
    [sym_or] = STATE(2617),
    [sym_not] = STATE(2617),
    [sym_and] = STATE(2617),
    [sym_cmp] = STATE(2617),
    [sym_in] = STATE(2617),
    [sym_add] = STATE(2617),
    [sym_sub] = STATE(2617),
    [sym_mul] = STATE(2617),
    [sym_div] = STATE(2617),
    [sym_sign] = STATE(2617),
    [sym_call] = STATE(2617),
    [sym_field] = STATE(2617),
    [sym_label] = STATE(2617),
    [sym_content] = STATE(2617),
    [sym_group] = STATE(2617),
    [sym_block] = STATE(2617),
    [sym_branch] = STATE(2617),
    [sym_let] = STATE(2617),
    [sym_set] = STATE(2617),
    [sym_import] = STATE(2617),
    [sym_include] = STATE(2617),
    [sym_for] = STATE(2617),
    [sym_while] = STATE(2617),
    [sym_show] = STATE(2617),
    [sym_return] = STATE(2617),
    [sym_flow] = STATE(2617),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2933),
    [sym_none] = ACTIONS(2933),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [751] = {
    [sym_raw_blck] = STATE(2045),
    [sym_raw_span] = STATE(2045),
    [sym_math] = STATE(2045),
    [sym__expr] = STATE(2045),
    [sym_ident] = STATE(2045),
    [sym_bool] = STATE(2045),
    [sym_number] = STATE(2045),
    [sym_string] = STATE(2045),
    [sym_tagged] = STATE(2045),
    [sym_context] = STATE(2045),
    [sym_elude] = STATE(2045),
    [sym_assign] = STATE(2045),
    [sym_lambda] = STATE(2045),
    [sym_or] = STATE(2045),
    [sym_not] = STATE(2045),
    [sym_and] = STATE(2045),
    [sym_cmp] = STATE(2045),
    [sym_in] = STATE(2045),
    [sym_add] = STATE(2045),
    [sym_sub] = STATE(2045),
    [sym_mul] = STATE(2045),
    [sym_div] = STATE(2045),
    [sym_sign] = STATE(2045),
    [sym_call] = STATE(2045),
    [sym_field] = STATE(2045),
    [sym_label] = STATE(2045),
    [sym_content] = STATE(2045),
    [sym_group] = STATE(2045),
    [sym_block] = STATE(2045),
    [sym_branch] = STATE(2045),
    [sym_let] = STATE(2045),
    [sym_set] = STATE(2045),
    [sym_import] = STATE(2045),
    [sym_include] = STATE(2045),
    [sym_for] = STATE(2045),
    [sym_while] = STATE(2045),
    [sym_show] = STATE(2045),
    [sym_return] = STATE(2045),
    [sym_flow] = STATE(2045),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(2935),
    [sym_none] = ACTIONS(2935),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [752] = {
    [sym_raw_blck] = STATE(2506),
    [sym_raw_span] = STATE(2506),
    [sym_math] = STATE(2506),
    [sym__expr] = STATE(2506),
    [sym_ident] = STATE(2506),
    [sym_bool] = STATE(2506),
    [sym_number] = STATE(2506),
    [sym_string] = STATE(2506),
    [sym_tagged] = STATE(2506),
    [sym_context] = STATE(2506),
    [sym_elude] = STATE(2506),
    [sym_assign] = STATE(2506),
    [sym_lambda] = STATE(2506),
    [sym_or] = STATE(2506),
    [sym_not] = STATE(2506),
    [sym_and] = STATE(2506),
    [sym_cmp] = STATE(2506),
    [sym_in] = STATE(2506),
    [sym_add] = STATE(2506),
    [sym_sub] = STATE(2506),
    [sym_mul] = STATE(2506),
    [sym_div] = STATE(2506),
    [sym_sign] = STATE(2506),
    [sym_call] = STATE(2506),
    [sym_field] = STATE(2506),
    [sym_label] = STATE(2506),
    [sym_content] = STATE(2506),
    [sym_group] = STATE(2506),
    [sym_block] = STATE(2506),
    [sym_branch] = STATE(2506),
    [sym_let] = STATE(2506),
    [sym_set] = STATE(2506),
    [sym_import] = STATE(2506),
    [sym_include] = STATE(2506),
    [sym_for] = STATE(2506),
    [sym_while] = STATE(2506),
    [sym_show] = STATE(2506),
    [sym_return] = STATE(2506),
    [sym_flow] = STATE(2506),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2937),
    [sym_none] = ACTIONS(2937),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [753] = {
    [sym_raw_blck] = STATE(2869),
    [sym_raw_span] = STATE(2869),
    [sym_math] = STATE(2869),
    [sym__expr] = STATE(2869),
    [sym_ident] = STATE(2869),
    [sym_bool] = STATE(2869),
    [sym_number] = STATE(2869),
    [sym_string] = STATE(2869),
    [sym_tagged] = STATE(2869),
    [sym_context] = STATE(2869),
    [sym_elude] = STATE(2869),
    [sym_assign] = STATE(2869),
    [sym_lambda] = STATE(2869),
    [sym_or] = STATE(2869),
    [sym_not] = STATE(2869),
    [sym_and] = STATE(2869),
    [sym_cmp] = STATE(2869),
    [sym_in] = STATE(2869),
    [sym_add] = STATE(2869),
    [sym_sub] = STATE(2869),
    [sym_mul] = STATE(2869),
    [sym_div] = STATE(2869),
    [sym_sign] = STATE(2869),
    [sym_call] = STATE(2869),
    [sym_field] = STATE(2869),
    [sym_label] = STATE(2869),
    [sym_content] = STATE(2869),
    [sym_group] = STATE(2869),
    [sym_block] = STATE(2869),
    [sym_branch] = STATE(2869),
    [sym_let] = STATE(2869),
    [sym_set] = STATE(2869),
    [sym_import] = STATE(2869),
    [sym_include] = STATE(2869),
    [sym_for] = STATE(2869),
    [sym_while] = STATE(2869),
    [sym_show] = STATE(2869),
    [sym_return] = STATE(2869),
    [sym_flow] = STATE(2869),
    [sym__identifier] = ACTIONS(895),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(897),
    [anon_sym_BQUOTE] = ACTIONS(899),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_true] = ACTIONS(903),
    [anon_sym_false] = ACTIONS(903),
    [aux_sym_number_token1] = ACTIONS(905),
    [anon_sym_DQUOTE] = ACTIONS(907),
    [anon_sym_context] = ACTIONS(909),
    [anon_sym_DOT_DOT] = ACTIONS(911),
    [anon_sym_not] = ACTIONS(941),
    [anon_sym_LT] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_set] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(923),
    [anon_sym_include] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_show] = ACTIONS(931),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [sym_auto] = ACTIONS(2939),
    [sym_none] = ACTIONS(2939),
    [sym__token_content] = ACTIONS(939),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [754] = {
    [sym_raw_blck] = STATE(2518),
    [sym_raw_span] = STATE(2518),
    [sym_math] = STATE(2518),
    [sym__expr] = STATE(2518),
    [sym_ident] = STATE(2518),
    [sym_bool] = STATE(2518),
    [sym_number] = STATE(2518),
    [sym_string] = STATE(2518),
    [sym_tagged] = STATE(2518),
    [sym_context] = STATE(2518),
    [sym_elude] = STATE(2518),
    [sym_assign] = STATE(2518),
    [sym_lambda] = STATE(2518),
    [sym_or] = STATE(2518),
    [sym_not] = STATE(2518),
    [sym_and] = STATE(2518),
    [sym_cmp] = STATE(2518),
    [sym_in] = STATE(2518),
    [sym_add] = STATE(2518),
    [sym_sub] = STATE(2518),
    [sym_mul] = STATE(2518),
    [sym_div] = STATE(2518),
    [sym_sign] = STATE(2518),
    [sym_call] = STATE(2518),
    [sym_field] = STATE(2518),
    [sym_label] = STATE(2518),
    [sym_content] = STATE(2518),
    [sym_group] = STATE(2518),
    [sym_block] = STATE(2518),
    [sym_branch] = STATE(2518),
    [sym_let] = STATE(2518),
    [sym_set] = STATE(2518),
    [sym_import] = STATE(2518),
    [sym_include] = STATE(2518),
    [sym_for] = STATE(2518),
    [sym_while] = STATE(2518),
    [sym_show] = STATE(2518),
    [sym_return] = STATE(2518),
    [sym_flow] = STATE(2518),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2941),
    [sym_none] = ACTIONS(2941),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [755] = {
    [sym_raw_blck] = STATE(1941),
    [sym_raw_span] = STATE(1941),
    [sym_math] = STATE(1941),
    [sym__expr] = STATE(1941),
    [sym_ident] = STATE(1941),
    [sym_bool] = STATE(1941),
    [sym_number] = STATE(1941),
    [sym_string] = STATE(1941),
    [sym_tagged] = STATE(1941),
    [sym_context] = STATE(1941),
    [sym_elude] = STATE(1941),
    [sym_assign] = STATE(1941),
    [sym_lambda] = STATE(1941),
    [sym_or] = STATE(1941),
    [sym_not] = STATE(1941),
    [sym_and] = STATE(1941),
    [sym_cmp] = STATE(1941),
    [sym_in] = STATE(1941),
    [sym_add] = STATE(1941),
    [sym_sub] = STATE(1941),
    [sym_mul] = STATE(1941),
    [sym_div] = STATE(1941),
    [sym_sign] = STATE(1941),
    [sym_call] = STATE(1941),
    [sym_field] = STATE(1941),
    [sym_label] = STATE(1941),
    [sym_content] = STATE(1941),
    [sym_group] = STATE(1941),
    [sym_block] = STATE(1941),
    [sym_branch] = STATE(1941),
    [sym_let] = STATE(1941),
    [sym_set] = STATE(1941),
    [sym_import] = STATE(1941),
    [sym_include] = STATE(1941),
    [sym_for] = STATE(1941),
    [sym_while] = STATE(1941),
    [sym_show] = STATE(1941),
    [sym_return] = STATE(1941),
    [sym_flow] = STATE(1941),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2943),
    [sym_none] = ACTIONS(2943),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [756] = {
    [sym_raw_blck] = STATE(1915),
    [sym_raw_span] = STATE(1915),
    [sym_math] = STATE(1915),
    [sym__expr] = STATE(1915),
    [sym_ident] = STATE(1915),
    [sym_bool] = STATE(1915),
    [sym_number] = STATE(1915),
    [sym_string] = STATE(1915),
    [sym_tagged] = STATE(1915),
    [sym_context] = STATE(1915),
    [sym_elude] = STATE(1915),
    [sym_assign] = STATE(1915),
    [sym_lambda] = STATE(1915),
    [sym_or] = STATE(1915),
    [sym_not] = STATE(1915),
    [sym_and] = STATE(1915),
    [sym_cmp] = STATE(1915),
    [sym_in] = STATE(1915),
    [sym_add] = STATE(1915),
    [sym_sub] = STATE(1915),
    [sym_mul] = STATE(1915),
    [sym_div] = STATE(1915),
    [sym_sign] = STATE(1915),
    [sym_call] = STATE(1915),
    [sym_field] = STATE(1915),
    [sym_label] = STATE(1915),
    [sym_content] = STATE(1915),
    [sym_group] = STATE(1915),
    [sym_block] = STATE(1915),
    [sym_branch] = STATE(1915),
    [sym_let] = STATE(1915),
    [sym_set] = STATE(1915),
    [sym_import] = STATE(1915),
    [sym_include] = STATE(1915),
    [sym_for] = STATE(1915),
    [sym_while] = STATE(1915),
    [sym_show] = STATE(1915),
    [sym_return] = STATE(1915),
    [sym_flow] = STATE(1915),
    [sym__identifier] = ACTIONS(443),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(445),
    [anon_sym_BQUOTE] = ACTIONS(447),
    [anon_sym_DOLLAR] = ACTIONS(449),
    [anon_sym_true] = ACTIONS(451),
    [anon_sym_false] = ACTIONS(451),
    [aux_sym_number_token1] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_context] = ACTIONS(457),
    [anon_sym_DOT_DOT] = ACTIONS(459),
    [anon_sym_not] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2247),
    [anon_sym_DASH] = ACTIONS(2247),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(469),
    [anon_sym_if] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_set] = ACTIONS(475),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_include] = ACTIONS(479),
    [anon_sym_for] = ACTIONS(481),
    [anon_sym_while] = ACTIONS(483),
    [anon_sym_show] = ACTIONS(485),
    [anon_sym_return] = ACTIONS(487),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [sym_auto] = ACTIONS(2945),
    [sym_none] = ACTIONS(2945),
    [sym__token_content] = ACTIONS(493),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [757] = {
    [sym_raw_blck] = STATE(2491),
    [sym_raw_span] = STATE(2491),
    [sym_math] = STATE(2491),
    [sym__expr] = STATE(2491),
    [sym_ident] = STATE(2491),
    [sym_bool] = STATE(2491),
    [sym_number] = STATE(2491),
    [sym_string] = STATE(2491),
    [sym_tagged] = STATE(2491),
    [sym_context] = STATE(2491),
    [sym_elude] = STATE(2491),
    [sym_assign] = STATE(2491),
    [sym_lambda] = STATE(2491),
    [sym_or] = STATE(2491),
    [sym_not] = STATE(2491),
    [sym_and] = STATE(2491),
    [sym_cmp] = STATE(2491),
    [sym_in] = STATE(2491),
    [sym_add] = STATE(2491),
    [sym_sub] = STATE(2491),
    [sym_mul] = STATE(2491),
    [sym_div] = STATE(2491),
    [sym_sign] = STATE(2491),
    [sym_call] = STATE(2491),
    [sym_field] = STATE(2491),
    [sym_label] = STATE(2491),
    [sym_content] = STATE(2491),
    [sym_group] = STATE(2491),
    [sym_block] = STATE(2491),
    [sym_branch] = STATE(2491),
    [sym_let] = STATE(2491),
    [sym_set] = STATE(2491),
    [sym_import] = STATE(2491),
    [sym_include] = STATE(2491),
    [sym_for] = STATE(2491),
    [sym_while] = STATE(2491),
    [sym_show] = STATE(2491),
    [sym_return] = STATE(2491),
    [sym_flow] = STATE(2491),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2947),
    [sym_none] = ACTIONS(2947),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [758] = {
    [sym_raw_blck] = STATE(2524),
    [sym_raw_span] = STATE(2524),
    [sym_math] = STATE(2524),
    [sym__expr] = STATE(2524),
    [sym_ident] = STATE(2524),
    [sym_bool] = STATE(2524),
    [sym_number] = STATE(2524),
    [sym_string] = STATE(2524),
    [sym_tagged] = STATE(2524),
    [sym_context] = STATE(2524),
    [sym_elude] = STATE(2524),
    [sym_assign] = STATE(2524),
    [sym_lambda] = STATE(2524),
    [sym_or] = STATE(2524),
    [sym_not] = STATE(2524),
    [sym_and] = STATE(2524),
    [sym_cmp] = STATE(2524),
    [sym_in] = STATE(2524),
    [sym_add] = STATE(2524),
    [sym_sub] = STATE(2524),
    [sym_mul] = STATE(2524),
    [sym_div] = STATE(2524),
    [sym_sign] = STATE(2524),
    [sym_call] = STATE(2524),
    [sym_field] = STATE(2524),
    [sym_label] = STATE(2524),
    [sym_content] = STATE(2524),
    [sym_group] = STATE(2524),
    [sym_block] = STATE(2524),
    [sym_branch] = STATE(2524),
    [sym_let] = STATE(2524),
    [sym_set] = STATE(2524),
    [sym_import] = STATE(2524),
    [sym_include] = STATE(2524),
    [sym_for] = STATE(2524),
    [sym_while] = STATE(2524),
    [sym_show] = STATE(2524),
    [sym_return] = STATE(2524),
    [sym_flow] = STATE(2524),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2949),
    [sym_none] = ACTIONS(2949),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [759] = {
    [sym_raw_blck] = STATE(1925),
    [sym_raw_span] = STATE(1925),
    [sym_math] = STATE(1925),
    [sym__expr] = STATE(1925),
    [sym_ident] = STATE(1925),
    [sym_bool] = STATE(1925),
    [sym_number] = STATE(1925),
    [sym_string] = STATE(1925),
    [sym_tagged] = STATE(1925),
    [sym_context] = STATE(1925),
    [sym_elude] = STATE(1925),
    [sym_assign] = STATE(1925),
    [sym_lambda] = STATE(1925),
    [sym_or] = STATE(1925),
    [sym_not] = STATE(1925),
    [sym_and] = STATE(1925),
    [sym_cmp] = STATE(1925),
    [sym_in] = STATE(1925),
    [sym_add] = STATE(1925),
    [sym_sub] = STATE(1925),
    [sym_mul] = STATE(1925),
    [sym_div] = STATE(1925),
    [sym_sign] = STATE(1925),
    [sym_call] = STATE(1925),
    [sym_field] = STATE(1925),
    [sym_label] = STATE(1925),
    [sym_content] = STATE(1925),
    [sym_group] = STATE(1925),
    [sym_block] = STATE(1925),
    [sym_branch] = STATE(1925),
    [sym_let] = STATE(1925),
    [sym_set] = STATE(1925),
    [sym_import] = STATE(1925),
    [sym_include] = STATE(1925),
    [sym_for] = STATE(1925),
    [sym_while] = STATE(1925),
    [sym_show] = STATE(1925),
    [sym_return] = STATE(1925),
    [sym_flow] = STATE(1925),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(2951),
    [sym_none] = ACTIONS(2951),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [760] = {
    [sym_raw_blck] = STATE(2530),
    [sym_raw_span] = STATE(2530),
    [sym_math] = STATE(2530),
    [sym__expr] = STATE(2530),
    [sym_ident] = STATE(2530),
    [sym_bool] = STATE(2530),
    [sym_number] = STATE(2530),
    [sym_string] = STATE(2530),
    [sym_tagged] = STATE(2530),
    [sym_context] = STATE(2530),
    [sym_elude] = STATE(2530),
    [sym_assign] = STATE(2530),
    [sym_lambda] = STATE(2530),
    [sym_or] = STATE(2530),
    [sym_not] = STATE(2530),
    [sym_and] = STATE(2530),
    [sym_cmp] = STATE(2530),
    [sym_in] = STATE(2530),
    [sym_add] = STATE(2530),
    [sym_sub] = STATE(2530),
    [sym_mul] = STATE(2530),
    [sym_div] = STATE(2530),
    [sym_sign] = STATE(2530),
    [sym_call] = STATE(2530),
    [sym_field] = STATE(2530),
    [sym_label] = STATE(2530),
    [sym_content] = STATE(2530),
    [sym_group] = STATE(2530),
    [sym_block] = STATE(2530),
    [sym_branch] = STATE(2530),
    [sym_let] = STATE(2530),
    [sym_set] = STATE(2530),
    [sym_import] = STATE(2530),
    [sym_include] = STATE(2530),
    [sym_for] = STATE(2530),
    [sym_while] = STATE(2530),
    [sym_show] = STATE(2530),
    [sym_return] = STATE(2530),
    [sym_flow] = STATE(2530),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2953),
    [sym_none] = ACTIONS(2953),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [761] = {
    [sym_raw_blck] = STATE(2532),
    [sym_raw_span] = STATE(2532),
    [sym_math] = STATE(2532),
    [sym__expr] = STATE(2532),
    [sym_ident] = STATE(2532),
    [sym_bool] = STATE(2532),
    [sym_number] = STATE(2532),
    [sym_string] = STATE(2532),
    [sym_tagged] = STATE(2532),
    [sym_context] = STATE(2532),
    [sym_elude] = STATE(2532),
    [sym_assign] = STATE(2532),
    [sym_lambda] = STATE(2532),
    [sym_or] = STATE(2532),
    [sym_not] = STATE(2532),
    [sym_and] = STATE(2532),
    [sym_cmp] = STATE(2532),
    [sym_in] = STATE(2532),
    [sym_add] = STATE(2532),
    [sym_sub] = STATE(2532),
    [sym_mul] = STATE(2532),
    [sym_div] = STATE(2532),
    [sym_sign] = STATE(2532),
    [sym_call] = STATE(2532),
    [sym_field] = STATE(2532),
    [sym_label] = STATE(2532),
    [sym_content] = STATE(2532),
    [sym_group] = STATE(2532),
    [sym_block] = STATE(2532),
    [sym_branch] = STATE(2532),
    [sym_let] = STATE(2532),
    [sym_set] = STATE(2532),
    [sym_import] = STATE(2532),
    [sym_include] = STATE(2532),
    [sym_for] = STATE(2532),
    [sym_while] = STATE(2532),
    [sym_show] = STATE(2532),
    [sym_return] = STATE(2532),
    [sym_flow] = STATE(2532),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2955),
    [sym_none] = ACTIONS(2955),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [762] = {
    [sym_raw_blck] = STATE(2543),
    [sym_raw_span] = STATE(2543),
    [sym_math] = STATE(2543),
    [sym__expr] = STATE(2543),
    [sym_ident] = STATE(2543),
    [sym_bool] = STATE(2543),
    [sym_number] = STATE(2543),
    [sym_string] = STATE(2543),
    [sym_tagged] = STATE(2543),
    [sym_context] = STATE(2543),
    [sym_elude] = STATE(2543),
    [sym_assign] = STATE(2543),
    [sym_lambda] = STATE(2543),
    [sym_or] = STATE(2543),
    [sym_not] = STATE(2543),
    [sym_and] = STATE(2543),
    [sym_cmp] = STATE(2543),
    [sym_in] = STATE(2543),
    [sym_add] = STATE(2543),
    [sym_sub] = STATE(2543),
    [sym_mul] = STATE(2543),
    [sym_div] = STATE(2543),
    [sym_sign] = STATE(2543),
    [sym_call] = STATE(2543),
    [sym_field] = STATE(2543),
    [sym_label] = STATE(2543),
    [sym_content] = STATE(2543),
    [sym_group] = STATE(2543),
    [sym_block] = STATE(2543),
    [sym_branch] = STATE(2543),
    [sym_let] = STATE(2543),
    [sym_set] = STATE(2543),
    [sym_import] = STATE(2543),
    [sym_include] = STATE(2543),
    [sym_for] = STATE(2543),
    [sym_while] = STATE(2543),
    [sym_show] = STATE(2543),
    [sym_return] = STATE(2543),
    [sym_flow] = STATE(2543),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2957),
    [sym_none] = ACTIONS(2957),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [763] = {
    [sym_raw_blck] = STATE(2545),
    [sym_raw_span] = STATE(2545),
    [sym_math] = STATE(2545),
    [sym__expr] = STATE(2545),
    [sym_ident] = STATE(2545),
    [sym_bool] = STATE(2545),
    [sym_number] = STATE(2545),
    [sym_string] = STATE(2545),
    [sym_tagged] = STATE(2545),
    [sym_context] = STATE(2545),
    [sym_elude] = STATE(2545),
    [sym_assign] = STATE(2545),
    [sym_lambda] = STATE(2545),
    [sym_or] = STATE(2545),
    [sym_not] = STATE(2545),
    [sym_and] = STATE(2545),
    [sym_cmp] = STATE(2545),
    [sym_in] = STATE(2545),
    [sym_add] = STATE(2545),
    [sym_sub] = STATE(2545),
    [sym_mul] = STATE(2545),
    [sym_div] = STATE(2545),
    [sym_sign] = STATE(2545),
    [sym_call] = STATE(2545),
    [sym_field] = STATE(2545),
    [sym_label] = STATE(2545),
    [sym_content] = STATE(2545),
    [sym_group] = STATE(2545),
    [sym_block] = STATE(2545),
    [sym_branch] = STATE(2545),
    [sym_let] = STATE(2545),
    [sym_set] = STATE(2545),
    [sym_import] = STATE(2545),
    [sym_include] = STATE(2545),
    [sym_for] = STATE(2545),
    [sym_while] = STATE(2545),
    [sym_show] = STATE(2545),
    [sym_return] = STATE(2545),
    [sym_flow] = STATE(2545),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2959),
    [sym_none] = ACTIONS(2959),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [764] = {
    [sym_raw_blck] = STATE(1826),
    [sym_raw_span] = STATE(1826),
    [sym_math] = STATE(1826),
    [sym__expr] = STATE(1826),
    [sym_ident] = STATE(1826),
    [sym_bool] = STATE(1826),
    [sym_number] = STATE(1826),
    [sym_string] = STATE(1826),
    [sym_tagged] = STATE(1826),
    [sym_context] = STATE(1826),
    [sym_elude] = STATE(1826),
    [sym_assign] = STATE(1826),
    [sym_lambda] = STATE(1826),
    [sym_or] = STATE(1826),
    [sym_not] = STATE(1826),
    [sym_and] = STATE(1826),
    [sym_cmp] = STATE(1826),
    [sym_in] = STATE(1826),
    [sym_add] = STATE(1826),
    [sym_sub] = STATE(1826),
    [sym_mul] = STATE(1826),
    [sym_div] = STATE(1826),
    [sym_sign] = STATE(1826),
    [sym_call] = STATE(1826),
    [sym_field] = STATE(1826),
    [sym_label] = STATE(1826),
    [sym_content] = STATE(1826),
    [sym_group] = STATE(1826),
    [sym_block] = STATE(1826),
    [sym_branch] = STATE(1826),
    [sym_let] = STATE(1826),
    [sym_set] = STATE(1826),
    [sym_import] = STATE(1826),
    [sym_include] = STATE(1826),
    [sym_for] = STATE(1826),
    [sym_while] = STATE(1826),
    [sym_show] = STATE(1826),
    [sym_return] = STATE(1826),
    [sym_flow] = STATE(1826),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2961),
    [sym_none] = ACTIONS(2961),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [765] = {
    [sym_raw_blck] = STATE(1825),
    [sym_raw_span] = STATE(1825),
    [sym_math] = STATE(1825),
    [sym__expr] = STATE(1825),
    [sym_ident] = STATE(1825),
    [sym_bool] = STATE(1825),
    [sym_number] = STATE(1825),
    [sym_string] = STATE(1825),
    [sym_tagged] = STATE(1825),
    [sym_context] = STATE(1825),
    [sym_elude] = STATE(1825),
    [sym_assign] = STATE(1825),
    [sym_lambda] = STATE(1825),
    [sym_or] = STATE(1825),
    [sym_not] = STATE(1825),
    [sym_and] = STATE(1825),
    [sym_cmp] = STATE(1825),
    [sym_in] = STATE(1825),
    [sym_add] = STATE(1825),
    [sym_sub] = STATE(1825),
    [sym_mul] = STATE(1825),
    [sym_div] = STATE(1825),
    [sym_sign] = STATE(1825),
    [sym_call] = STATE(1825),
    [sym_field] = STATE(1825),
    [sym_label] = STATE(1825),
    [sym_content] = STATE(1825),
    [sym_group] = STATE(1825),
    [sym_block] = STATE(1825),
    [sym_branch] = STATE(1825),
    [sym_let] = STATE(1825),
    [sym_set] = STATE(1825),
    [sym_import] = STATE(1825),
    [sym_include] = STATE(1825),
    [sym_for] = STATE(1825),
    [sym_while] = STATE(1825),
    [sym_show] = STATE(1825),
    [sym_return] = STATE(1825),
    [sym_flow] = STATE(1825),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2963),
    [sym_none] = ACTIONS(2963),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [766] = {
    [sym_raw_blck] = STATE(2572),
    [sym_raw_span] = STATE(2572),
    [sym_math] = STATE(2572),
    [sym__expr] = STATE(2572),
    [sym_ident] = STATE(2572),
    [sym_bool] = STATE(2572),
    [sym_number] = STATE(2572),
    [sym_string] = STATE(2572),
    [sym_tagged] = STATE(2572),
    [sym_context] = STATE(2572),
    [sym_elude] = STATE(2572),
    [sym_assign] = STATE(2572),
    [sym_lambda] = STATE(2572),
    [sym_or] = STATE(2572),
    [sym_not] = STATE(2572),
    [sym_and] = STATE(2572),
    [sym_cmp] = STATE(2572),
    [sym_in] = STATE(2572),
    [sym_add] = STATE(2572),
    [sym_sub] = STATE(2572),
    [sym_mul] = STATE(2572),
    [sym_div] = STATE(2572),
    [sym_sign] = STATE(2572),
    [sym_call] = STATE(2572),
    [sym_field] = STATE(2572),
    [sym_label] = STATE(2572),
    [sym_content] = STATE(2572),
    [sym_group] = STATE(2572),
    [sym_block] = STATE(2572),
    [sym_branch] = STATE(2572),
    [sym_let] = STATE(2572),
    [sym_set] = STATE(2572),
    [sym_import] = STATE(2572),
    [sym_include] = STATE(2572),
    [sym_for] = STATE(2572),
    [sym_while] = STATE(2572),
    [sym_show] = STATE(2572),
    [sym_return] = STATE(2572),
    [sym_flow] = STATE(2572),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2965),
    [sym_none] = ACTIONS(2965),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [767] = {
    [sym_raw_blck] = STATE(2583),
    [sym_raw_span] = STATE(2583),
    [sym_math] = STATE(2583),
    [sym__expr] = STATE(2583),
    [sym_ident] = STATE(2583),
    [sym_bool] = STATE(2583),
    [sym_number] = STATE(2583),
    [sym_string] = STATE(2583),
    [sym_tagged] = STATE(2583),
    [sym_context] = STATE(2583),
    [sym_elude] = STATE(2583),
    [sym_assign] = STATE(2583),
    [sym_lambda] = STATE(2583),
    [sym_or] = STATE(2583),
    [sym_not] = STATE(2583),
    [sym_and] = STATE(2583),
    [sym_cmp] = STATE(2583),
    [sym_in] = STATE(2583),
    [sym_add] = STATE(2583),
    [sym_sub] = STATE(2583),
    [sym_mul] = STATE(2583),
    [sym_div] = STATE(2583),
    [sym_sign] = STATE(2583),
    [sym_call] = STATE(2583),
    [sym_field] = STATE(2583),
    [sym_label] = STATE(2583),
    [sym_content] = STATE(2583),
    [sym_group] = STATE(2583),
    [sym_block] = STATE(2583),
    [sym_branch] = STATE(2583),
    [sym_let] = STATE(2583),
    [sym_set] = STATE(2583),
    [sym_import] = STATE(2583),
    [sym_include] = STATE(2583),
    [sym_for] = STATE(2583),
    [sym_while] = STATE(2583),
    [sym_show] = STATE(2583),
    [sym_return] = STATE(2583),
    [sym_flow] = STATE(2583),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2967),
    [sym_none] = ACTIONS(2967),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [768] = {
    [sym_raw_blck] = STATE(1269),
    [sym_raw_span] = STATE(1269),
    [sym_math] = STATE(1269),
    [sym__expr] = STATE(1269),
    [sym_ident] = STATE(1269),
    [sym_bool] = STATE(1269),
    [sym_number] = STATE(1269),
    [sym_string] = STATE(1269),
    [sym_tagged] = STATE(1269),
    [sym_context] = STATE(1269),
    [sym_elude] = STATE(1269),
    [sym_assign] = STATE(1269),
    [sym_lambda] = STATE(1269),
    [sym_or] = STATE(1269),
    [sym_not] = STATE(1269),
    [sym_and] = STATE(1269),
    [sym_cmp] = STATE(1269),
    [sym_in] = STATE(1269),
    [sym_add] = STATE(1269),
    [sym_sub] = STATE(1269),
    [sym_mul] = STATE(1269),
    [sym_div] = STATE(1269),
    [sym_sign] = STATE(1269),
    [sym_call] = STATE(1269),
    [sym_field] = STATE(1269),
    [sym_label] = STATE(1269),
    [sym_content] = STATE(1269),
    [sym_group] = STATE(1269),
    [sym_block] = STATE(1269),
    [sym_branch] = STATE(1269),
    [sym_let] = STATE(1269),
    [sym_set] = STATE(1269),
    [sym_import] = STATE(1269),
    [sym_include] = STATE(1269),
    [sym_for] = STATE(1269),
    [sym_while] = STATE(1269),
    [sym_show] = STATE(1269),
    [sym_return] = STATE(1269),
    [sym_flow] = STATE(1269),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(2969),
    [sym_none] = ACTIONS(2969),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [769] = {
    [sym_raw_blck] = STATE(2584),
    [sym_raw_span] = STATE(2584),
    [sym_math] = STATE(2584),
    [sym__expr] = STATE(2584),
    [sym_ident] = STATE(2584),
    [sym_bool] = STATE(2584),
    [sym_number] = STATE(2584),
    [sym_string] = STATE(2584),
    [sym_tagged] = STATE(2584),
    [sym_context] = STATE(2584),
    [sym_elude] = STATE(2584),
    [sym_assign] = STATE(2584),
    [sym_lambda] = STATE(2584),
    [sym_or] = STATE(2584),
    [sym_not] = STATE(2584),
    [sym_and] = STATE(2584),
    [sym_cmp] = STATE(2584),
    [sym_in] = STATE(2584),
    [sym_add] = STATE(2584),
    [sym_sub] = STATE(2584),
    [sym_mul] = STATE(2584),
    [sym_div] = STATE(2584),
    [sym_sign] = STATE(2584),
    [sym_call] = STATE(2584),
    [sym_field] = STATE(2584),
    [sym_label] = STATE(2584),
    [sym_content] = STATE(2584),
    [sym_group] = STATE(2584),
    [sym_block] = STATE(2584),
    [sym_branch] = STATE(2584),
    [sym_let] = STATE(2584),
    [sym_set] = STATE(2584),
    [sym_import] = STATE(2584),
    [sym_include] = STATE(2584),
    [sym_for] = STATE(2584),
    [sym_while] = STATE(2584),
    [sym_show] = STATE(2584),
    [sym_return] = STATE(2584),
    [sym_flow] = STATE(2584),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2971),
    [sym_none] = ACTIONS(2971),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [770] = {
    [sym_raw_blck] = STATE(1819),
    [sym_raw_span] = STATE(1819),
    [sym_math] = STATE(1819),
    [sym__expr] = STATE(1819),
    [sym_ident] = STATE(1819),
    [sym_bool] = STATE(1819),
    [sym_number] = STATE(1819),
    [sym_string] = STATE(1819),
    [sym_tagged] = STATE(1819),
    [sym_context] = STATE(1819),
    [sym_elude] = STATE(1819),
    [sym_assign] = STATE(1819),
    [sym_lambda] = STATE(1819),
    [sym_or] = STATE(1819),
    [sym_not] = STATE(1819),
    [sym_and] = STATE(1819),
    [sym_cmp] = STATE(1819),
    [sym_in] = STATE(1819),
    [sym_add] = STATE(1819),
    [sym_sub] = STATE(1819),
    [sym_mul] = STATE(1819),
    [sym_div] = STATE(1819),
    [sym_sign] = STATE(1819),
    [sym_call] = STATE(1819),
    [sym_field] = STATE(1819),
    [sym_label] = STATE(1819),
    [sym_content] = STATE(1819),
    [sym_group] = STATE(1819),
    [sym_block] = STATE(1819),
    [sym_branch] = STATE(1819),
    [sym_let] = STATE(1819),
    [sym_set] = STATE(1819),
    [sym_import] = STATE(1819),
    [sym_include] = STATE(1819),
    [sym_for] = STATE(1819),
    [sym_while] = STATE(1819),
    [sym_show] = STATE(1819),
    [sym_return] = STATE(1819),
    [sym_flow] = STATE(1819),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2973),
    [sym_none] = ACTIONS(2973),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [771] = {
    [sym_raw_blck] = STATE(1818),
    [sym_raw_span] = STATE(1818),
    [sym_math] = STATE(1818),
    [sym__expr] = STATE(1818),
    [sym_ident] = STATE(1818),
    [sym_bool] = STATE(1818),
    [sym_number] = STATE(1818),
    [sym_string] = STATE(1818),
    [sym_tagged] = STATE(1818),
    [sym_context] = STATE(1818),
    [sym_elude] = STATE(1818),
    [sym_assign] = STATE(1818),
    [sym_lambda] = STATE(1818),
    [sym_or] = STATE(1818),
    [sym_not] = STATE(1818),
    [sym_and] = STATE(1818),
    [sym_cmp] = STATE(1818),
    [sym_in] = STATE(1818),
    [sym_add] = STATE(1818),
    [sym_sub] = STATE(1818),
    [sym_mul] = STATE(1818),
    [sym_div] = STATE(1818),
    [sym_sign] = STATE(1818),
    [sym_call] = STATE(1818),
    [sym_field] = STATE(1818),
    [sym_label] = STATE(1818),
    [sym_content] = STATE(1818),
    [sym_group] = STATE(1818),
    [sym_block] = STATE(1818),
    [sym_branch] = STATE(1818),
    [sym_let] = STATE(1818),
    [sym_set] = STATE(1818),
    [sym_import] = STATE(1818),
    [sym_include] = STATE(1818),
    [sym_for] = STATE(1818),
    [sym_while] = STATE(1818),
    [sym_show] = STATE(1818),
    [sym_return] = STATE(1818),
    [sym_flow] = STATE(1818),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2975),
    [sym_none] = ACTIONS(2975),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [772] = {
    [sym_raw_blck] = STATE(2585),
    [sym_raw_span] = STATE(2585),
    [sym_math] = STATE(2585),
    [sym__expr] = STATE(2585),
    [sym_ident] = STATE(2585),
    [sym_bool] = STATE(2585),
    [sym_number] = STATE(2585),
    [sym_string] = STATE(2585),
    [sym_tagged] = STATE(2585),
    [sym_context] = STATE(2585),
    [sym_elude] = STATE(2585),
    [sym_assign] = STATE(2585),
    [sym_lambda] = STATE(2585),
    [sym_or] = STATE(2585),
    [sym_not] = STATE(2585),
    [sym_and] = STATE(2585),
    [sym_cmp] = STATE(2585),
    [sym_in] = STATE(2585),
    [sym_add] = STATE(2585),
    [sym_sub] = STATE(2585),
    [sym_mul] = STATE(2585),
    [sym_div] = STATE(2585),
    [sym_sign] = STATE(2585),
    [sym_call] = STATE(2585),
    [sym_field] = STATE(2585),
    [sym_label] = STATE(2585),
    [sym_content] = STATE(2585),
    [sym_group] = STATE(2585),
    [sym_block] = STATE(2585),
    [sym_branch] = STATE(2585),
    [sym_let] = STATE(2585),
    [sym_set] = STATE(2585),
    [sym_import] = STATE(2585),
    [sym_include] = STATE(2585),
    [sym_for] = STATE(2585),
    [sym_while] = STATE(2585),
    [sym_show] = STATE(2585),
    [sym_return] = STATE(2585),
    [sym_flow] = STATE(2585),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(2977),
    [sym_none] = ACTIONS(2977),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [773] = {
    [sym_raw_blck] = STATE(1498),
    [sym_raw_span] = STATE(1498),
    [sym_math] = STATE(1498),
    [sym__expr] = STATE(1498),
    [sym_ident] = STATE(1498),
    [sym_bool] = STATE(1498),
    [sym_number] = STATE(1498),
    [sym_string] = STATE(1498),
    [sym_tagged] = STATE(1498),
    [sym_context] = STATE(1498),
    [sym_elude] = STATE(1498),
    [sym_assign] = STATE(1498),
    [sym_lambda] = STATE(1498),
    [sym_or] = STATE(1498),
    [sym_not] = STATE(1498),
    [sym_and] = STATE(1498),
    [sym_cmp] = STATE(1498),
    [sym_in] = STATE(1498),
    [sym_add] = STATE(1498),
    [sym_sub] = STATE(1498),
    [sym_mul] = STATE(1498),
    [sym_div] = STATE(1498),
    [sym_sign] = STATE(1498),
    [sym_call] = STATE(1498),
    [sym_field] = STATE(1498),
    [sym_label] = STATE(1498),
    [sym_content] = STATE(1498),
    [sym_group] = STATE(1498),
    [sym_block] = STATE(1498),
    [sym_branch] = STATE(1498),
    [sym_let] = STATE(1498),
    [sym_set] = STATE(1498),
    [sym_import] = STATE(1498),
    [sym_include] = STATE(1498),
    [sym_for] = STATE(1498),
    [sym_while] = STATE(1498),
    [sym_show] = STATE(1498),
    [sym_return] = STATE(1498),
    [sym_flow] = STATE(1498),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2979),
    [sym_none] = ACTIONS(2979),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [774] = {
    [sym_raw_blck] = STATE(3066),
    [sym_raw_span] = STATE(3066),
    [sym_math] = STATE(3066),
    [sym__expr] = STATE(3066),
    [sym_ident] = STATE(3066),
    [sym_bool] = STATE(3066),
    [sym_number] = STATE(3066),
    [sym_string] = STATE(3066),
    [sym_tagged] = STATE(3066),
    [sym_context] = STATE(3066),
    [sym_elude] = STATE(3066),
    [sym_assign] = STATE(3066),
    [sym_lambda] = STATE(3066),
    [sym_or] = STATE(3066),
    [sym_not] = STATE(3066),
    [sym_and] = STATE(3066),
    [sym_cmp] = STATE(3066),
    [sym_in] = STATE(3066),
    [sym_add] = STATE(3066),
    [sym_sub] = STATE(3066),
    [sym_mul] = STATE(3066),
    [sym_div] = STATE(3066),
    [sym_sign] = STATE(3066),
    [sym_call] = STATE(1246),
    [sym_field] = STATE(3066),
    [sym_label] = STATE(3066),
    [sym_content] = STATE(3066),
    [sym_group] = STATE(3066),
    [sym_block] = STATE(3066),
    [sym_branch] = STATE(3066),
    [sym_let] = STATE(3066),
    [sym_set] = STATE(3066),
    [sym_import] = STATE(3066),
    [sym_include] = STATE(3066),
    [sym_for] = STATE(3066),
    [sym_while] = STATE(3066),
    [sym_show] = STATE(3066),
    [sym_return] = STATE(3066),
    [sym_flow] = STATE(3066),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2981),
    [sym_none] = ACTIONS(2981),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [775] = {
    [sym_raw_blck] = STATE(1733),
    [sym_raw_span] = STATE(1733),
    [sym_math] = STATE(1733),
    [sym__expr] = STATE(1733),
    [sym_ident] = STATE(1733),
    [sym_bool] = STATE(1733),
    [sym_number] = STATE(1733),
    [sym_string] = STATE(1733),
    [sym_tagged] = STATE(1733),
    [sym_context] = STATE(1733),
    [sym_elude] = STATE(1733),
    [sym_assign] = STATE(1733),
    [sym_lambda] = STATE(1733),
    [sym_or] = STATE(1733),
    [sym_not] = STATE(1733),
    [sym_and] = STATE(1733),
    [sym_cmp] = STATE(1733),
    [sym_in] = STATE(1733),
    [sym_add] = STATE(1733),
    [sym_sub] = STATE(1733),
    [sym_mul] = STATE(1733),
    [sym_div] = STATE(1733),
    [sym_sign] = STATE(1733),
    [sym_call] = STATE(1733),
    [sym_field] = STATE(1733),
    [sym_label] = STATE(1733),
    [sym_content] = STATE(1733),
    [sym_group] = STATE(1733),
    [sym_block] = STATE(1733),
    [sym_branch] = STATE(1733),
    [sym_let] = STATE(1733),
    [sym_set] = STATE(1733),
    [sym_import] = STATE(1733),
    [sym_include] = STATE(1733),
    [sym_for] = STATE(1733),
    [sym_while] = STATE(1733),
    [sym_show] = STATE(1733),
    [sym_return] = STATE(1733),
    [sym_flow] = STATE(1733),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2983),
    [sym_none] = ACTIONS(2983),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [776] = {
    [sym_raw_blck] = STATE(1809),
    [sym_raw_span] = STATE(1809),
    [sym_math] = STATE(1809),
    [sym__expr] = STATE(1809),
    [sym_ident] = STATE(1809),
    [sym_bool] = STATE(1809),
    [sym_number] = STATE(1809),
    [sym_string] = STATE(1809),
    [sym_tagged] = STATE(1809),
    [sym_context] = STATE(1809),
    [sym_elude] = STATE(1809),
    [sym_assign] = STATE(1809),
    [sym_lambda] = STATE(1809),
    [sym_or] = STATE(1809),
    [sym_not] = STATE(1809),
    [sym_and] = STATE(1809),
    [sym_cmp] = STATE(1809),
    [sym_in] = STATE(1809),
    [sym_add] = STATE(1809),
    [sym_sub] = STATE(1809),
    [sym_mul] = STATE(1809),
    [sym_div] = STATE(1809),
    [sym_sign] = STATE(1809),
    [sym_call] = STATE(1809),
    [sym_field] = STATE(1809),
    [sym_label] = STATE(1809),
    [sym_content] = STATE(1809),
    [sym_group] = STATE(1809),
    [sym_block] = STATE(1809),
    [sym_branch] = STATE(1809),
    [sym_let] = STATE(1809),
    [sym_set] = STATE(1809),
    [sym_import] = STATE(1809),
    [sym_include] = STATE(1809),
    [sym_for] = STATE(1809),
    [sym_while] = STATE(1809),
    [sym_show] = STATE(1809),
    [sym_return] = STATE(1809),
    [sym_flow] = STATE(1809),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2985),
    [sym_none] = ACTIONS(2985),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [777] = {
    [sym_raw_blck] = STATE(1808),
    [sym_raw_span] = STATE(1808),
    [sym_math] = STATE(1808),
    [sym__expr] = STATE(1808),
    [sym_ident] = STATE(1808),
    [sym_bool] = STATE(1808),
    [sym_number] = STATE(1808),
    [sym_string] = STATE(1808),
    [sym_tagged] = STATE(1808),
    [sym_context] = STATE(1808),
    [sym_elude] = STATE(1808),
    [sym_assign] = STATE(1808),
    [sym_lambda] = STATE(1808),
    [sym_or] = STATE(1808),
    [sym_not] = STATE(1808),
    [sym_and] = STATE(1808),
    [sym_cmp] = STATE(1808),
    [sym_in] = STATE(1808),
    [sym_add] = STATE(1808),
    [sym_sub] = STATE(1808),
    [sym_mul] = STATE(1808),
    [sym_div] = STATE(1808),
    [sym_sign] = STATE(1808),
    [sym_call] = STATE(1808),
    [sym_field] = STATE(1808),
    [sym_label] = STATE(1808),
    [sym_content] = STATE(1808),
    [sym_group] = STATE(1808),
    [sym_block] = STATE(1808),
    [sym_branch] = STATE(1808),
    [sym_let] = STATE(1808),
    [sym_set] = STATE(1808),
    [sym_import] = STATE(1808),
    [sym_include] = STATE(1808),
    [sym_for] = STATE(1808),
    [sym_while] = STATE(1808),
    [sym_show] = STATE(1808),
    [sym_return] = STATE(1808),
    [sym_flow] = STATE(1808),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2987),
    [sym_none] = ACTIONS(2987),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [778] = {
    [sym_raw_blck] = STATE(1807),
    [sym_raw_span] = STATE(1807),
    [sym_math] = STATE(1807),
    [sym__expr] = STATE(1807),
    [sym_ident] = STATE(1807),
    [sym_bool] = STATE(1807),
    [sym_number] = STATE(1807),
    [sym_string] = STATE(1807),
    [sym_tagged] = STATE(1807),
    [sym_context] = STATE(1807),
    [sym_elude] = STATE(1807),
    [sym_assign] = STATE(1807),
    [sym_lambda] = STATE(1807),
    [sym_or] = STATE(1807),
    [sym_not] = STATE(1807),
    [sym_and] = STATE(1807),
    [sym_cmp] = STATE(1807),
    [sym_in] = STATE(1807),
    [sym_add] = STATE(1807),
    [sym_sub] = STATE(1807),
    [sym_mul] = STATE(1807),
    [sym_div] = STATE(1807),
    [sym_sign] = STATE(1807),
    [sym_call] = STATE(1807),
    [sym_field] = STATE(1807),
    [sym_label] = STATE(1807),
    [sym_content] = STATE(1807),
    [sym_group] = STATE(1807),
    [sym_block] = STATE(1807),
    [sym_branch] = STATE(1807),
    [sym_let] = STATE(1807),
    [sym_set] = STATE(1807),
    [sym_import] = STATE(1807),
    [sym_include] = STATE(1807),
    [sym_for] = STATE(1807),
    [sym_while] = STATE(1807),
    [sym_show] = STATE(1807),
    [sym_return] = STATE(1807),
    [sym_flow] = STATE(1807),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2989),
    [sym_none] = ACTIONS(2989),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [779] = {
    [sym_raw_blck] = STATE(1806),
    [sym_raw_span] = STATE(1806),
    [sym_math] = STATE(1806),
    [sym__expr] = STATE(1806),
    [sym_ident] = STATE(1806),
    [sym_bool] = STATE(1806),
    [sym_number] = STATE(1806),
    [sym_string] = STATE(1806),
    [sym_tagged] = STATE(1806),
    [sym_context] = STATE(1806),
    [sym_elude] = STATE(1806),
    [sym_assign] = STATE(1806),
    [sym_lambda] = STATE(1806),
    [sym_or] = STATE(1806),
    [sym_not] = STATE(1806),
    [sym_and] = STATE(1806),
    [sym_cmp] = STATE(1806),
    [sym_in] = STATE(1806),
    [sym_add] = STATE(1806),
    [sym_sub] = STATE(1806),
    [sym_mul] = STATE(1806),
    [sym_div] = STATE(1806),
    [sym_sign] = STATE(1806),
    [sym_call] = STATE(1806),
    [sym_field] = STATE(1806),
    [sym_label] = STATE(1806),
    [sym_content] = STATE(1806),
    [sym_group] = STATE(1806),
    [sym_block] = STATE(1806),
    [sym_branch] = STATE(1806),
    [sym_let] = STATE(1806),
    [sym_set] = STATE(1806),
    [sym_import] = STATE(1806),
    [sym_include] = STATE(1806),
    [sym_for] = STATE(1806),
    [sym_while] = STATE(1806),
    [sym_show] = STATE(1806),
    [sym_return] = STATE(1806),
    [sym_flow] = STATE(1806),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2991),
    [sym_none] = ACTIONS(2991),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [780] = {
    [sym_raw_blck] = STATE(1805),
    [sym_raw_span] = STATE(1805),
    [sym_math] = STATE(1805),
    [sym__expr] = STATE(1805),
    [sym_ident] = STATE(1805),
    [sym_bool] = STATE(1805),
    [sym_number] = STATE(1805),
    [sym_string] = STATE(1805),
    [sym_tagged] = STATE(1805),
    [sym_context] = STATE(1805),
    [sym_elude] = STATE(1805),
    [sym_assign] = STATE(1805),
    [sym_lambda] = STATE(1805),
    [sym_or] = STATE(1805),
    [sym_not] = STATE(1805),
    [sym_and] = STATE(1805),
    [sym_cmp] = STATE(1805),
    [sym_in] = STATE(1805),
    [sym_add] = STATE(1805),
    [sym_sub] = STATE(1805),
    [sym_mul] = STATE(1805),
    [sym_div] = STATE(1805),
    [sym_sign] = STATE(1805),
    [sym_call] = STATE(1805),
    [sym_field] = STATE(1805),
    [sym_label] = STATE(1805),
    [sym_content] = STATE(1805),
    [sym_group] = STATE(1805),
    [sym_block] = STATE(1805),
    [sym_branch] = STATE(1805),
    [sym_let] = STATE(1805),
    [sym_set] = STATE(1805),
    [sym_import] = STATE(1805),
    [sym_include] = STATE(1805),
    [sym_for] = STATE(1805),
    [sym_while] = STATE(1805),
    [sym_show] = STATE(1805),
    [sym_return] = STATE(1805),
    [sym_flow] = STATE(1805),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2993),
    [sym_none] = ACTIONS(2993),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [781] = {
    [sym_raw_blck] = STATE(1804),
    [sym_raw_span] = STATE(1804),
    [sym_math] = STATE(1804),
    [sym__expr] = STATE(1804),
    [sym_ident] = STATE(1804),
    [sym_bool] = STATE(1804),
    [sym_number] = STATE(1804),
    [sym_string] = STATE(1804),
    [sym_tagged] = STATE(1804),
    [sym_context] = STATE(1804),
    [sym_elude] = STATE(1804),
    [sym_assign] = STATE(1804),
    [sym_lambda] = STATE(1804),
    [sym_or] = STATE(1804),
    [sym_not] = STATE(1804),
    [sym_and] = STATE(1804),
    [sym_cmp] = STATE(1804),
    [sym_in] = STATE(1804),
    [sym_add] = STATE(1804),
    [sym_sub] = STATE(1804),
    [sym_mul] = STATE(1804),
    [sym_div] = STATE(1804),
    [sym_sign] = STATE(1804),
    [sym_call] = STATE(1804),
    [sym_field] = STATE(1804),
    [sym_label] = STATE(1804),
    [sym_content] = STATE(1804),
    [sym_group] = STATE(1804),
    [sym_block] = STATE(1804),
    [sym_branch] = STATE(1804),
    [sym_let] = STATE(1804),
    [sym_set] = STATE(1804),
    [sym_import] = STATE(1804),
    [sym_include] = STATE(1804),
    [sym_for] = STATE(1804),
    [sym_while] = STATE(1804),
    [sym_show] = STATE(1804),
    [sym_return] = STATE(1804),
    [sym_flow] = STATE(1804),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(2995),
    [sym_none] = ACTIONS(2995),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [782] = {
    [sym_raw_blck] = STATE(1675),
    [sym_raw_span] = STATE(1675),
    [sym_math] = STATE(1675),
    [sym__expr] = STATE(1675),
    [sym_ident] = STATE(1675),
    [sym_bool] = STATE(1675),
    [sym_number] = STATE(1675),
    [sym_string] = STATE(1675),
    [sym_tagged] = STATE(1675),
    [sym_context] = STATE(1675),
    [sym_elude] = STATE(1675),
    [sym_assign] = STATE(1675),
    [sym_lambda] = STATE(1675),
    [sym_or] = STATE(1675),
    [sym_not] = STATE(1675),
    [sym_and] = STATE(1675),
    [sym_cmp] = STATE(1675),
    [sym_in] = STATE(1675),
    [sym_add] = STATE(1675),
    [sym_sub] = STATE(1675),
    [sym_mul] = STATE(1675),
    [sym_div] = STATE(1675),
    [sym_sign] = STATE(1675),
    [sym_call] = STATE(1675),
    [sym_field] = STATE(1675),
    [sym_label] = STATE(1675),
    [sym_content] = STATE(1675),
    [sym_group] = STATE(1675),
    [sym_block] = STATE(1675),
    [sym_branch] = STATE(1675),
    [sym_let] = STATE(1675),
    [sym_set] = STATE(1675),
    [sym_import] = STATE(1675),
    [sym_include] = STATE(1675),
    [sym_for] = STATE(1675),
    [sym_while] = STATE(1675),
    [sym_show] = STATE(1675),
    [sym_return] = STATE(1675),
    [sym_flow] = STATE(1675),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(2997),
    [sym_none] = ACTIONS(2997),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [783] = {
    [sym_raw_blck] = STATE(1253),
    [sym_raw_span] = STATE(1253),
    [sym_math] = STATE(1253),
    [sym__expr] = STATE(1253),
    [sym_ident] = STATE(1253),
    [sym_bool] = STATE(1253),
    [sym_number] = STATE(1253),
    [sym_string] = STATE(1253),
    [sym_tagged] = STATE(1253),
    [sym_context] = STATE(1253),
    [sym_elude] = STATE(1253),
    [sym_assign] = STATE(1253),
    [sym_lambda] = STATE(1253),
    [sym_or] = STATE(1253),
    [sym_not] = STATE(1253),
    [sym_and] = STATE(1253),
    [sym_cmp] = STATE(1253),
    [sym_in] = STATE(1253),
    [sym_add] = STATE(1253),
    [sym_sub] = STATE(1253),
    [sym_mul] = STATE(1253),
    [sym_div] = STATE(1253),
    [sym_sign] = STATE(1253),
    [sym_call] = STATE(1253),
    [sym_field] = STATE(1253),
    [sym_label] = STATE(1253),
    [sym_content] = STATE(1253),
    [sym_group] = STATE(1253),
    [sym_block] = STATE(1253),
    [sym_branch] = STATE(1253),
    [sym_let] = STATE(1253),
    [sym_set] = STATE(1253),
    [sym_import] = STATE(1253),
    [sym_include] = STATE(1253),
    [sym_for] = STATE(1253),
    [sym_while] = STATE(1253),
    [sym_show] = STATE(1253),
    [sym_return] = STATE(1253),
    [sym_flow] = STATE(1253),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(2999),
    [sym_none] = ACTIONS(2999),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [784] = {
    [sym_raw_blck] = STATE(3049),
    [sym_raw_span] = STATE(3049),
    [sym_math] = STATE(3049),
    [sym__expr] = STATE(3049),
    [sym_ident] = STATE(3049),
    [sym_bool] = STATE(3049),
    [sym_number] = STATE(3049),
    [sym_string] = STATE(3049),
    [sym_tagged] = STATE(3049),
    [sym_context] = STATE(3049),
    [sym_elude] = STATE(3049),
    [sym_assign] = STATE(3049),
    [sym_lambda] = STATE(3049),
    [sym_or] = STATE(3049),
    [sym_not] = STATE(3049),
    [sym_and] = STATE(3049),
    [sym_cmp] = STATE(3049),
    [sym_in] = STATE(3049),
    [sym_add] = STATE(3049),
    [sym_sub] = STATE(3049),
    [sym_mul] = STATE(3049),
    [sym_div] = STATE(3049),
    [sym_sign] = STATE(3049),
    [sym_call] = STATE(1534),
    [sym_field] = STATE(3049),
    [sym_label] = STATE(3049),
    [sym_content] = STATE(3049),
    [sym_group] = STATE(3049),
    [sym_block] = STATE(3049),
    [sym_branch] = STATE(3049),
    [sym_let] = STATE(3049),
    [sym_set] = STATE(3049),
    [sym_import] = STATE(3049),
    [sym_include] = STATE(3049),
    [sym_for] = STATE(3049),
    [sym_while] = STATE(3049),
    [sym_show] = STATE(3049),
    [sym_return] = STATE(3049),
    [sym_flow] = STATE(3049),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(3001),
    [sym_none] = ACTIONS(3001),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [785] = {
    [sym_raw_blck] = STATE(1501),
    [sym_raw_span] = STATE(1501),
    [sym_math] = STATE(1501),
    [sym__expr] = STATE(1501),
    [sym_ident] = STATE(1501),
    [sym_bool] = STATE(1501),
    [sym_number] = STATE(1501),
    [sym_string] = STATE(1501),
    [sym_tagged] = STATE(1501),
    [sym_context] = STATE(1501),
    [sym_elude] = STATE(1501),
    [sym_assign] = STATE(1501),
    [sym_lambda] = STATE(1501),
    [sym_or] = STATE(1501),
    [sym_not] = STATE(1501),
    [sym_and] = STATE(1501),
    [sym_cmp] = STATE(1501),
    [sym_in] = STATE(1501),
    [sym_add] = STATE(1501),
    [sym_sub] = STATE(1501),
    [sym_mul] = STATE(1501),
    [sym_div] = STATE(1501),
    [sym_sign] = STATE(1501),
    [sym_call] = STATE(1501),
    [sym_field] = STATE(1501),
    [sym_label] = STATE(1501),
    [sym_content] = STATE(1501),
    [sym_group] = STATE(1501),
    [sym_block] = STATE(1501),
    [sym_branch] = STATE(1501),
    [sym_let] = STATE(1501),
    [sym_set] = STATE(1501),
    [sym_import] = STATE(1501),
    [sym_include] = STATE(1501),
    [sym_for] = STATE(1501),
    [sym_while] = STATE(1501),
    [sym_show] = STATE(1501),
    [sym_return] = STATE(1501),
    [sym_flow] = STATE(1501),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(3003),
    [sym_none] = ACTIONS(3003),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [786] = {
    [sym_raw_blck] = STATE(1803),
    [sym_raw_span] = STATE(1803),
    [sym_math] = STATE(1803),
    [sym__expr] = STATE(1803),
    [sym_ident] = STATE(1803),
    [sym_bool] = STATE(1803),
    [sym_number] = STATE(1803),
    [sym_string] = STATE(1803),
    [sym_tagged] = STATE(1803),
    [sym_context] = STATE(1803),
    [sym_elude] = STATE(1803),
    [sym_assign] = STATE(1803),
    [sym_lambda] = STATE(1803),
    [sym_or] = STATE(1803),
    [sym_not] = STATE(1803),
    [sym_and] = STATE(1803),
    [sym_cmp] = STATE(1803),
    [sym_in] = STATE(1803),
    [sym_add] = STATE(1803),
    [sym_sub] = STATE(1803),
    [sym_mul] = STATE(1803),
    [sym_div] = STATE(1803),
    [sym_sign] = STATE(1803),
    [sym_call] = STATE(1803),
    [sym_field] = STATE(1803),
    [sym_label] = STATE(1803),
    [sym_content] = STATE(1803),
    [sym_group] = STATE(1803),
    [sym_block] = STATE(1803),
    [sym_branch] = STATE(1803),
    [sym_let] = STATE(1803),
    [sym_set] = STATE(1803),
    [sym_import] = STATE(1803),
    [sym_include] = STATE(1803),
    [sym_for] = STATE(1803),
    [sym_while] = STATE(1803),
    [sym_show] = STATE(1803),
    [sym_return] = STATE(1803),
    [sym_flow] = STATE(1803),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3005),
    [sym_none] = ACTIONS(3005),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [787] = {
    [sym_raw_blck] = STATE(1801),
    [sym_raw_span] = STATE(1801),
    [sym_math] = STATE(1801),
    [sym__expr] = STATE(1801),
    [sym_ident] = STATE(1801),
    [sym_bool] = STATE(1801),
    [sym_number] = STATE(1801),
    [sym_string] = STATE(1801),
    [sym_tagged] = STATE(1801),
    [sym_context] = STATE(1801),
    [sym_elude] = STATE(1801),
    [sym_assign] = STATE(1801),
    [sym_lambda] = STATE(1801),
    [sym_or] = STATE(1801),
    [sym_not] = STATE(1801),
    [sym_and] = STATE(1801),
    [sym_cmp] = STATE(1801),
    [sym_in] = STATE(1801),
    [sym_add] = STATE(1801),
    [sym_sub] = STATE(1801),
    [sym_mul] = STATE(1801),
    [sym_div] = STATE(1801),
    [sym_sign] = STATE(1801),
    [sym_call] = STATE(1801),
    [sym_field] = STATE(1801),
    [sym_label] = STATE(1801),
    [sym_content] = STATE(1801),
    [sym_group] = STATE(1801),
    [sym_block] = STATE(1801),
    [sym_branch] = STATE(1801),
    [sym_let] = STATE(1801),
    [sym_set] = STATE(1801),
    [sym_import] = STATE(1801),
    [sym_include] = STATE(1801),
    [sym_for] = STATE(1801),
    [sym_while] = STATE(1801),
    [sym_show] = STATE(1801),
    [sym_return] = STATE(1801),
    [sym_flow] = STATE(1801),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3007),
    [sym_none] = ACTIONS(3007),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [788] = {
    [sym_raw_blck] = STATE(1800),
    [sym_raw_span] = STATE(1800),
    [sym_math] = STATE(1800),
    [sym__expr] = STATE(1800),
    [sym_ident] = STATE(1800),
    [sym_bool] = STATE(1800),
    [sym_number] = STATE(1800),
    [sym_string] = STATE(1800),
    [sym_tagged] = STATE(1800),
    [sym_context] = STATE(1800),
    [sym_elude] = STATE(1800),
    [sym_assign] = STATE(1800),
    [sym_lambda] = STATE(1800),
    [sym_or] = STATE(1800),
    [sym_not] = STATE(1800),
    [sym_and] = STATE(1800),
    [sym_cmp] = STATE(1800),
    [sym_in] = STATE(1800),
    [sym_add] = STATE(1800),
    [sym_sub] = STATE(1800),
    [sym_mul] = STATE(1800),
    [sym_div] = STATE(1800),
    [sym_sign] = STATE(1800),
    [sym_call] = STATE(1800),
    [sym_field] = STATE(1800),
    [sym_label] = STATE(1800),
    [sym_content] = STATE(1800),
    [sym_group] = STATE(1800),
    [sym_block] = STATE(1800),
    [sym_branch] = STATE(1800),
    [sym_let] = STATE(1800),
    [sym_set] = STATE(1800),
    [sym_import] = STATE(1800),
    [sym_include] = STATE(1800),
    [sym_for] = STATE(1800),
    [sym_while] = STATE(1800),
    [sym_show] = STATE(1800),
    [sym_return] = STATE(1800),
    [sym_flow] = STATE(1800),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3009),
    [sym_none] = ACTIONS(3009),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [789] = {
    [sym_raw_blck] = STATE(1727),
    [sym_raw_span] = STATE(1727),
    [sym_math] = STATE(1727),
    [sym__expr] = STATE(1727),
    [sym_ident] = STATE(1727),
    [sym_bool] = STATE(1727),
    [sym_number] = STATE(1727),
    [sym_string] = STATE(1727),
    [sym_tagged] = STATE(1727),
    [sym_context] = STATE(1727),
    [sym_elude] = STATE(1727),
    [sym_assign] = STATE(1727),
    [sym_lambda] = STATE(1727),
    [sym_or] = STATE(1727),
    [sym_not] = STATE(1727),
    [sym_and] = STATE(1727),
    [sym_cmp] = STATE(1727),
    [sym_in] = STATE(1727),
    [sym_add] = STATE(1727),
    [sym_sub] = STATE(1727),
    [sym_mul] = STATE(1727),
    [sym_div] = STATE(1727),
    [sym_sign] = STATE(1727),
    [sym_call] = STATE(1727),
    [sym_field] = STATE(1727),
    [sym_label] = STATE(1727),
    [sym_content] = STATE(1727),
    [sym_group] = STATE(1727),
    [sym_block] = STATE(1727),
    [sym_branch] = STATE(1727),
    [sym_let] = STATE(1727),
    [sym_set] = STATE(1727),
    [sym_import] = STATE(1727),
    [sym_include] = STATE(1727),
    [sym_for] = STATE(1727),
    [sym_while] = STATE(1727),
    [sym_show] = STATE(1727),
    [sym_return] = STATE(1727),
    [sym_flow] = STATE(1727),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(3011),
    [sym_none] = ACTIONS(3011),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [790] = {
    [sym_raw_blck] = STATE(1799),
    [sym_raw_span] = STATE(1799),
    [sym_math] = STATE(1799),
    [sym__expr] = STATE(1799),
    [sym_ident] = STATE(1799),
    [sym_bool] = STATE(1799),
    [sym_number] = STATE(1799),
    [sym_string] = STATE(1799),
    [sym_tagged] = STATE(1799),
    [sym_context] = STATE(1799),
    [sym_elude] = STATE(1799),
    [sym_assign] = STATE(1799),
    [sym_lambda] = STATE(1799),
    [sym_or] = STATE(1799),
    [sym_not] = STATE(1799),
    [sym_and] = STATE(1799),
    [sym_cmp] = STATE(1799),
    [sym_in] = STATE(1799),
    [sym_add] = STATE(1799),
    [sym_sub] = STATE(1799),
    [sym_mul] = STATE(1799),
    [sym_div] = STATE(1799),
    [sym_sign] = STATE(1799),
    [sym_call] = STATE(1799),
    [sym_field] = STATE(1799),
    [sym_label] = STATE(1799),
    [sym_content] = STATE(1799),
    [sym_group] = STATE(1799),
    [sym_block] = STATE(1799),
    [sym_branch] = STATE(1799),
    [sym_let] = STATE(1799),
    [sym_set] = STATE(1799),
    [sym_import] = STATE(1799),
    [sym_include] = STATE(1799),
    [sym_for] = STATE(1799),
    [sym_while] = STATE(1799),
    [sym_show] = STATE(1799),
    [sym_return] = STATE(1799),
    [sym_flow] = STATE(1799),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3013),
    [sym_none] = ACTIONS(3013),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [791] = {
    [sym_raw_blck] = STATE(1559),
    [sym_raw_span] = STATE(1559),
    [sym_math] = STATE(1559),
    [sym__expr] = STATE(1559),
    [sym_ident] = STATE(1559),
    [sym_bool] = STATE(1559),
    [sym_number] = STATE(1559),
    [sym_string] = STATE(1559),
    [sym_tagged] = STATE(1559),
    [sym_context] = STATE(1559),
    [sym_elude] = STATE(1559),
    [sym_assign] = STATE(1559),
    [sym_lambda] = STATE(1559),
    [sym_or] = STATE(1559),
    [sym_not] = STATE(1559),
    [sym_and] = STATE(1559),
    [sym_cmp] = STATE(1559),
    [sym_in] = STATE(1559),
    [sym_add] = STATE(1559),
    [sym_sub] = STATE(1559),
    [sym_mul] = STATE(1559),
    [sym_div] = STATE(1559),
    [sym_sign] = STATE(1559),
    [sym_call] = STATE(1559),
    [sym_field] = STATE(1559),
    [sym_label] = STATE(1559),
    [sym_content] = STATE(1559),
    [sym_group] = STATE(1559),
    [sym_block] = STATE(1559),
    [sym_branch] = STATE(1559),
    [sym_let] = STATE(1559),
    [sym_set] = STATE(1559),
    [sym_import] = STATE(1559),
    [sym_include] = STATE(1559),
    [sym_for] = STATE(1559),
    [sym_while] = STATE(1559),
    [sym_show] = STATE(1559),
    [sym_return] = STATE(1559),
    [sym_flow] = STATE(1559),
    [sym__identifier] = ACTIONS(389),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_true] = ACTIONS(397),
    [anon_sym_false] = ACTIONS(397),
    [aux_sym_number_token1] = ACTIONS(399),
    [anon_sym_DQUOTE] = ACTIONS(401),
    [anon_sym_context] = ACTIONS(403),
    [anon_sym_DOT_DOT] = ACTIONS(405),
    [anon_sym_not] = ACTIONS(431),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(407),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_if] = ACTIONS(409),
    [anon_sym_let] = ACTIONS(411),
    [anon_sym_set] = ACTIONS(413),
    [anon_sym_import] = ACTIONS(415),
    [anon_sym_include] = ACTIONS(417),
    [anon_sym_for] = ACTIONS(419),
    [anon_sym_while] = ACTIONS(421),
    [anon_sym_show] = ACTIONS(423),
    [anon_sym_return] = ACTIONS(425),
    [anon_sym_break] = ACTIONS(427),
    [anon_sym_continue] = ACTIONS(427),
    [sym_auto] = ACTIONS(3015),
    [sym_none] = ACTIONS(3015),
    [sym__token_content] = ACTIONS(441),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [792] = {
    [sym_raw_blck] = STATE(1443),
    [sym_raw_span] = STATE(1443),
    [sym_math] = STATE(1443),
    [sym__expr] = STATE(1443),
    [sym_ident] = STATE(1443),
    [sym_bool] = STATE(1443),
    [sym_number] = STATE(1443),
    [sym_string] = STATE(1443),
    [sym_tagged] = STATE(1443),
    [sym_context] = STATE(1443),
    [sym_elude] = STATE(1443),
    [sym_assign] = STATE(1443),
    [sym_lambda] = STATE(1443),
    [sym_or] = STATE(1443),
    [sym_not] = STATE(1443),
    [sym_and] = STATE(1443),
    [sym_cmp] = STATE(1443),
    [sym_in] = STATE(1443),
    [sym_add] = STATE(1443),
    [sym_sub] = STATE(1443),
    [sym_mul] = STATE(1443),
    [sym_div] = STATE(1443),
    [sym_sign] = STATE(1443),
    [sym_call] = STATE(1443),
    [sym_field] = STATE(1443),
    [sym_label] = STATE(1443),
    [sym_content] = STATE(1443),
    [sym_group] = STATE(1443),
    [sym_block] = STATE(1443),
    [sym_branch] = STATE(1443),
    [sym_let] = STATE(1443),
    [sym_set] = STATE(1443),
    [sym_import] = STATE(1443),
    [sym_include] = STATE(1443),
    [sym_for] = STATE(1443),
    [sym_while] = STATE(1443),
    [sym_show] = STATE(1443),
    [sym_return] = STATE(1443),
    [sym_flow] = STATE(1443),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(3017),
    [sym_none] = ACTIONS(3017),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [793] = {
    [sym_raw_blck] = STATE(2588),
    [sym_raw_span] = STATE(2588),
    [sym_math] = STATE(2588),
    [sym__expr] = STATE(2588),
    [sym_ident] = STATE(2588),
    [sym_bool] = STATE(2588),
    [sym_number] = STATE(2588),
    [sym_string] = STATE(2588),
    [sym_tagged] = STATE(2588),
    [sym_context] = STATE(2588),
    [sym_elude] = STATE(2588),
    [sym_assign] = STATE(2588),
    [sym_lambda] = STATE(2588),
    [sym_or] = STATE(2588),
    [sym_not] = STATE(2588),
    [sym_and] = STATE(2588),
    [sym_cmp] = STATE(2588),
    [sym_in] = STATE(2588),
    [sym_add] = STATE(2588),
    [sym_sub] = STATE(2588),
    [sym_mul] = STATE(2588),
    [sym_div] = STATE(2588),
    [sym_sign] = STATE(2588),
    [sym_call] = STATE(2588),
    [sym_field] = STATE(2588),
    [sym_label] = STATE(2588),
    [sym_content] = STATE(2588),
    [sym_group] = STATE(2588),
    [sym_block] = STATE(2588),
    [sym_branch] = STATE(2588),
    [sym_let] = STATE(2588),
    [sym_set] = STATE(2588),
    [sym_import] = STATE(2588),
    [sym_include] = STATE(2588),
    [sym_for] = STATE(2588),
    [sym_while] = STATE(2588),
    [sym_show] = STATE(2588),
    [sym_return] = STATE(2588),
    [sym_flow] = STATE(2588),
    [sym__identifier] = ACTIONS(1089),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1091),
    [anon_sym_BQUOTE] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_true] = ACTIONS(1097),
    [anon_sym_false] = ACTIONS(1097),
    [aux_sym_number_token1] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_context] = ACTIONS(1103),
    [anon_sym_DOT_DOT] = ACTIONS(1105),
    [anon_sym_not] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_let] = ACTIONS(1119),
    [anon_sym_set] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1123),
    [anon_sym_include] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1127),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_show] = ACTIONS(1131),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1135),
    [anon_sym_continue] = ACTIONS(1135),
    [sym_auto] = ACTIONS(3019),
    [sym_none] = ACTIONS(3019),
    [sym__token_content] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [794] = {
    [sym_raw_blck] = STATE(1728),
    [sym_raw_span] = STATE(1728),
    [sym_math] = STATE(1728),
    [sym__expr] = STATE(1728),
    [sym_ident] = STATE(1728),
    [sym_bool] = STATE(1728),
    [sym_number] = STATE(1728),
    [sym_string] = STATE(1728),
    [sym_tagged] = STATE(1728),
    [sym_context] = STATE(1728),
    [sym_elude] = STATE(1728),
    [sym_assign] = STATE(1728),
    [sym_lambda] = STATE(1728),
    [sym_or] = STATE(1728),
    [sym_not] = STATE(1728),
    [sym_and] = STATE(1728),
    [sym_cmp] = STATE(1728),
    [sym_in] = STATE(1728),
    [sym_add] = STATE(1728),
    [sym_sub] = STATE(1728),
    [sym_mul] = STATE(1728),
    [sym_div] = STATE(1728),
    [sym_sign] = STATE(1728),
    [sym_call] = STATE(1728),
    [sym_field] = STATE(1728),
    [sym_label] = STATE(1728),
    [sym_content] = STATE(1728),
    [sym_group] = STATE(1728),
    [sym_block] = STATE(1728),
    [sym_branch] = STATE(1728),
    [sym_let] = STATE(1728),
    [sym_set] = STATE(1728),
    [sym_import] = STATE(1728),
    [sym_include] = STATE(1728),
    [sym_for] = STATE(1728),
    [sym_while] = STATE(1728),
    [sym_show] = STATE(1728),
    [sym_return] = STATE(1728),
    [sym_flow] = STATE(1728),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(3021),
    [sym_none] = ACTIONS(3021),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [795] = {
    [sym_raw_blck] = STATE(1764),
    [sym_raw_span] = STATE(1764),
    [sym_math] = STATE(1764),
    [sym__expr] = STATE(1764),
    [sym_ident] = STATE(1764),
    [sym_bool] = STATE(1764),
    [sym_number] = STATE(1764),
    [sym_string] = STATE(1764),
    [sym_tagged] = STATE(1764),
    [sym_context] = STATE(1764),
    [sym_elude] = STATE(1764),
    [sym_assign] = STATE(1764),
    [sym_lambda] = STATE(1764),
    [sym_or] = STATE(1764),
    [sym_not] = STATE(1764),
    [sym_and] = STATE(1764),
    [sym_cmp] = STATE(1764),
    [sym_in] = STATE(1764),
    [sym_add] = STATE(1764),
    [sym_sub] = STATE(1764),
    [sym_mul] = STATE(1764),
    [sym_div] = STATE(1764),
    [sym_sign] = STATE(1764),
    [sym_call] = STATE(1764),
    [sym_field] = STATE(1764),
    [sym_label] = STATE(1764),
    [sym_content] = STATE(1764),
    [sym_group] = STATE(1764),
    [sym_block] = STATE(1764),
    [sym_branch] = STATE(1764),
    [sym_let] = STATE(1764),
    [sym_set] = STATE(1764),
    [sym_import] = STATE(1764),
    [sym_include] = STATE(1764),
    [sym_for] = STATE(1764),
    [sym_while] = STATE(1764),
    [sym_show] = STATE(1764),
    [sym_return] = STATE(1764),
    [sym_flow] = STATE(1764),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3023),
    [sym_none] = ACTIONS(3023),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [796] = {
    [sym_raw_blck] = STATE(3027),
    [sym_raw_span] = STATE(3027),
    [sym_math] = STATE(3027),
    [sym__expr] = STATE(3027),
    [sym_ident] = STATE(3027),
    [sym_bool] = STATE(3027),
    [sym_number] = STATE(3027),
    [sym_string] = STATE(3027),
    [sym_tagged] = STATE(3027),
    [sym_context] = STATE(3027),
    [sym_elude] = STATE(3027),
    [sym_assign] = STATE(3027),
    [sym_lambda] = STATE(3027),
    [sym_or] = STATE(3027),
    [sym_not] = STATE(3027),
    [sym_and] = STATE(3027),
    [sym_cmp] = STATE(3027),
    [sym_in] = STATE(3027),
    [sym_add] = STATE(3027),
    [sym_sub] = STATE(3027),
    [sym_mul] = STATE(3027),
    [sym_div] = STATE(3027),
    [sym_sign] = STATE(3027),
    [sym_call] = STATE(1567),
    [sym_field] = STATE(3027),
    [sym_label] = STATE(3027),
    [sym_content] = STATE(3027),
    [sym_group] = STATE(3027),
    [sym_block] = STATE(3027),
    [sym_branch] = STATE(3027),
    [sym_let] = STATE(3027),
    [sym_set] = STATE(3027),
    [sym_import] = STATE(3027),
    [sym_include] = STATE(3027),
    [sym_for] = STATE(3027),
    [sym_while] = STATE(3027),
    [sym_show] = STATE(3027),
    [sym_return] = STATE(3027),
    [sym_flow] = STATE(3027),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(3025),
    [sym_none] = ACTIONS(3025),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [797] = {
    [sym_raw_blck] = STATE(1845),
    [sym_raw_span] = STATE(1845),
    [sym_math] = STATE(1845),
    [sym__expr] = STATE(1845),
    [sym_ident] = STATE(1845),
    [sym_bool] = STATE(1845),
    [sym_number] = STATE(1845),
    [sym_string] = STATE(1845),
    [sym_tagged] = STATE(1845),
    [sym_context] = STATE(1845),
    [sym_elude] = STATE(1845),
    [sym_assign] = STATE(1845),
    [sym_lambda] = STATE(1845),
    [sym_or] = STATE(1845),
    [sym_not] = STATE(1845),
    [sym_and] = STATE(1845),
    [sym_cmp] = STATE(1845),
    [sym_in] = STATE(1845),
    [sym_add] = STATE(1845),
    [sym_sub] = STATE(1845),
    [sym_mul] = STATE(1845),
    [sym_div] = STATE(1845),
    [sym_sign] = STATE(1845),
    [sym_call] = STATE(1845),
    [sym_field] = STATE(1845),
    [sym_label] = STATE(1845),
    [sym_content] = STATE(1845),
    [sym_group] = STATE(1845),
    [sym_block] = STATE(1845),
    [sym_branch] = STATE(1845),
    [sym_let] = STATE(1845),
    [sym_set] = STATE(1845),
    [sym_import] = STATE(1845),
    [sym_include] = STATE(1845),
    [sym_for] = STATE(1845),
    [sym_while] = STATE(1845),
    [sym_show] = STATE(1845),
    [sym_return] = STATE(1845),
    [sym_flow] = STATE(1845),
    [sym__identifier] = ACTIONS(69),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(71),
    [anon_sym_BQUOTE] = ACTIONS(73),
    [anon_sym_DOLLAR] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [anon_sym_DQUOTE] = ACTIONS(81),
    [anon_sym_context] = ACTIONS(83),
    [anon_sym_DOT_DOT] = ACTIONS(85),
    [anon_sym_not] = ACTIONS(87),
    [anon_sym_LT] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(93),
    [anon_sym_LBRACE] = ACTIONS(95),
    [anon_sym_if] = ACTIONS(97),
    [anon_sym_let] = ACTIONS(99),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(103),
    [anon_sym_include] = ACTIONS(105),
    [anon_sym_for] = ACTIONS(107),
    [anon_sym_while] = ACTIONS(109),
    [anon_sym_show] = ACTIONS(111),
    [anon_sym_return] = ACTIONS(113),
    [anon_sym_break] = ACTIONS(115),
    [anon_sym_continue] = ACTIONS(115),
    [sym_auto] = ACTIONS(3027),
    [sym_none] = ACTIONS(3027),
    [sym__token_content] = ACTIONS(119),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [798] = {
    [sym_raw_blck] = STATE(1768),
    [sym_raw_span] = STATE(1768),
    [sym_math] = STATE(1768),
    [sym__expr] = STATE(1768),
    [sym_ident] = STATE(1768),
    [sym_bool] = STATE(1768),
    [sym_number] = STATE(1768),
    [sym_string] = STATE(1768),
    [sym_tagged] = STATE(1768),
    [sym_context] = STATE(1768),
    [sym_elude] = STATE(1768),
    [sym_assign] = STATE(1768),
    [sym_lambda] = STATE(1768),
    [sym_or] = STATE(1768),
    [sym_not] = STATE(1768),
    [sym_and] = STATE(1768),
    [sym_cmp] = STATE(1768),
    [sym_in] = STATE(1768),
    [sym_add] = STATE(1768),
    [sym_sub] = STATE(1768),
    [sym_mul] = STATE(1768),
    [sym_div] = STATE(1768),
    [sym_sign] = STATE(1768),
    [sym_call] = STATE(1768),
    [sym_field] = STATE(1768),
    [sym_label] = STATE(1768),
    [sym_content] = STATE(1768),
    [sym_group] = STATE(1768),
    [sym_block] = STATE(1768),
    [sym_branch] = STATE(1768),
    [sym_let] = STATE(1768),
    [sym_set] = STATE(1768),
    [sym_import] = STATE(1768),
    [sym_include] = STATE(1768),
    [sym_for] = STATE(1768),
    [sym_while] = STATE(1768),
    [sym_show] = STATE(1768),
    [sym_return] = STATE(1768),
    [sym_flow] = STATE(1768),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(3029),
    [sym_none] = ACTIONS(3029),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [799] = {
    [sym_raw_blck] = STATE(2762),
    [sym_raw_span] = STATE(2762),
    [sym_math] = STATE(2762),
    [sym__expr] = STATE(2762),
    [sym_ident] = STATE(2762),
    [sym_bool] = STATE(2762),
    [sym_number] = STATE(2762),
    [sym_string] = STATE(2762),
    [sym_tagged] = STATE(2762),
    [sym_context] = STATE(2762),
    [sym_elude] = STATE(2762),
    [sym_assign] = STATE(2762),
    [sym_lambda] = STATE(2762),
    [sym_or] = STATE(2762),
    [sym_not] = STATE(2762),
    [sym_and] = STATE(2762),
    [sym_cmp] = STATE(2762),
    [sym_in] = STATE(2762),
    [sym_add] = STATE(2762),
    [sym_sub] = STATE(2762),
    [sym_mul] = STATE(2762),
    [sym_div] = STATE(2762),
    [sym_sign] = STATE(2762),
    [sym_call] = STATE(2762),
    [sym_field] = STATE(2762),
    [sym_label] = STATE(2762),
    [sym_content] = STATE(2762),
    [sym_group] = STATE(2762),
    [sym_block] = STATE(2762),
    [sym_branch] = STATE(2762),
    [sym_let] = STATE(2762),
    [sym_set] = STATE(2762),
    [sym_import] = STATE(2762),
    [sym_include] = STATE(2762),
    [sym_for] = STATE(2762),
    [sym_while] = STATE(2762),
    [sym_show] = STATE(2762),
    [sym_return] = STATE(2762),
    [sym_flow] = STATE(2762),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(3031),
    [sym_none] = ACTIONS(3031),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [800] = {
    [sym_raw_blck] = STATE(3004),
    [sym_raw_span] = STATE(3004),
    [sym_math] = STATE(3004),
    [sym__expr] = STATE(3004),
    [sym_ident] = STATE(3004),
    [sym_bool] = STATE(3004),
    [sym_number] = STATE(3004),
    [sym_string] = STATE(3004),
    [sym_tagged] = STATE(3004),
    [sym_context] = STATE(3004),
    [sym_elude] = STATE(3004),
    [sym_assign] = STATE(3004),
    [sym_lambda] = STATE(3004),
    [sym_or] = STATE(3004),
    [sym_not] = STATE(3004),
    [sym_and] = STATE(3004),
    [sym_cmp] = STATE(3004),
    [sym_in] = STATE(3004),
    [sym_add] = STATE(3004),
    [sym_sub] = STATE(3004),
    [sym_mul] = STATE(3004),
    [sym_div] = STATE(3004),
    [sym_sign] = STATE(3004),
    [sym_call] = STATE(2093),
    [sym_field] = STATE(3004),
    [sym_label] = STATE(3004),
    [sym_content] = STATE(3004),
    [sym_group] = STATE(3004),
    [sym_block] = STATE(3004),
    [sym_branch] = STATE(3004),
    [sym_let] = STATE(3004),
    [sym_set] = STATE(3004),
    [sym_import] = STATE(3004),
    [sym_include] = STATE(3004),
    [sym_for] = STATE(3004),
    [sym_while] = STATE(3004),
    [sym_show] = STATE(3004),
    [sym_return] = STATE(3004),
    [sym_flow] = STATE(3004),
    [sym__identifier] = ACTIONS(601),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(603),
    [anon_sym_BQUOTE] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(607),
    [anon_sym_true] = ACTIONS(609),
    [anon_sym_false] = ACTIONS(609),
    [aux_sym_number_token1] = ACTIONS(611),
    [anon_sym_DQUOTE] = ACTIONS(613),
    [anon_sym_context] = ACTIONS(615),
    [anon_sym_DOT_DOT] = ACTIONS(617),
    [anon_sym_not] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(1145),
    [anon_sym_PLUS] = ACTIONS(1147),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_LPAREN] = ACTIONS(619),
    [anon_sym_LBRACE] = ACTIONS(621),
    [anon_sym_if] = ACTIONS(623),
    [anon_sym_let] = ACTIONS(625),
    [anon_sym_set] = ACTIONS(627),
    [anon_sym_import] = ACTIONS(629),
    [anon_sym_include] = ACTIONS(631),
    [anon_sym_for] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_show] = ACTIONS(637),
    [anon_sym_return] = ACTIONS(639),
    [anon_sym_break] = ACTIONS(641),
    [anon_sym_continue] = ACTIONS(641),
    [sym_auto] = ACTIONS(2869),
    [sym_none] = ACTIONS(2869),
    [sym__token_content] = ACTIONS(645),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [801] = {
    [sym_raw_blck] = STATE(2731),
    [sym_raw_span] = STATE(2731),
    [sym_math] = STATE(2731),
    [sym__expr] = STATE(2731),
    [sym_ident] = STATE(2731),
    [sym_bool] = STATE(2731),
    [sym_number] = STATE(2731),
    [sym_string] = STATE(2731),
    [sym_tagged] = STATE(2731),
    [sym_context] = STATE(2731),
    [sym_elude] = STATE(2731),
    [sym_assign] = STATE(2731),
    [sym_lambda] = STATE(2731),
    [sym_or] = STATE(2731),
    [sym_not] = STATE(2731),
    [sym_and] = STATE(2731),
    [sym_cmp] = STATE(2731),
    [sym_in] = STATE(2731),
    [sym_add] = STATE(2731),
    [sym_sub] = STATE(2731),
    [sym_mul] = STATE(2731),
    [sym_div] = STATE(2731),
    [sym_sign] = STATE(2731),
    [sym_call] = STATE(2731),
    [sym_field] = STATE(2731),
    [sym_label] = STATE(2731),
    [sym_content] = STATE(2731),
    [sym_group] = STATE(2731),
    [sym_block] = STATE(2731),
    [sym_branch] = STATE(2731),
    [sym_let] = STATE(2731),
    [sym_set] = STATE(2731),
    [sym_import] = STATE(2731),
    [sym_include] = STATE(2731),
    [sym_for] = STATE(2731),
    [sym_while] = STATE(2731),
    [sym_show] = STATE(2731),
    [sym_return] = STATE(2731),
    [sym_flow] = STATE(2731),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(3033),
    [sym_none] = ACTIONS(3033),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [802] = {
    [sym_raw_blck] = STATE(2724),
    [sym_raw_span] = STATE(2724),
    [sym_math] = STATE(2724),
    [sym__expr] = STATE(2724),
    [sym_ident] = STATE(2724),
    [sym_bool] = STATE(2724),
    [sym_number] = STATE(2724),
    [sym_string] = STATE(2724),
    [sym_tagged] = STATE(2724),
    [sym_context] = STATE(2724),
    [sym_elude] = STATE(2724),
    [sym_assign] = STATE(2724),
    [sym_lambda] = STATE(2724),
    [sym_or] = STATE(2724),
    [sym_not] = STATE(2724),
    [sym_and] = STATE(2724),
    [sym_cmp] = STATE(2724),
    [sym_in] = STATE(2724),
    [sym_add] = STATE(2724),
    [sym_sub] = STATE(2724),
    [sym_mul] = STATE(2724),
    [sym_div] = STATE(2724),
    [sym_sign] = STATE(2724),
    [sym_call] = STATE(2724),
    [sym_field] = STATE(2724),
    [sym_label] = STATE(2724),
    [sym_content] = STATE(2724),
    [sym_group] = STATE(2724),
    [sym_block] = STATE(2724),
    [sym_branch] = STATE(2724),
    [sym_let] = STATE(2724),
    [sym_set] = STATE(2724),
    [sym_import] = STATE(2724),
    [sym_include] = STATE(2724),
    [sym_for] = STATE(2724),
    [sym_while] = STATE(2724),
    [sym_show] = STATE(2724),
    [sym_return] = STATE(2724),
    [sym_flow] = STATE(2724),
    [sym__identifier] = ACTIONS(763),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(765),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [aux_sym_number_token1] = ACTIONS(773),
    [anon_sym_DQUOTE] = ACTIONS(775),
    [anon_sym_context] = ACTIONS(777),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_not] = ACTIONS(841),
    [anon_sym_LT] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_let] = ACTIONS(787),
    [anon_sym_set] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(791),
    [anon_sym_include] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(795),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_show] = ACTIONS(799),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(803),
    [anon_sym_continue] = ACTIONS(803),
    [sym_auto] = ACTIONS(3035),
    [sym_none] = ACTIONS(3035),
    [sym__token_content] = ACTIONS(807),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [803] = {
    [sym_raw_blck] = STATE(1831),
    [sym_raw_span] = STATE(1831),
    [sym_math] = STATE(1831),
    [sym__expr] = STATE(1831),
    [sym_ident] = STATE(1831),
    [sym_bool] = STATE(1831),
    [sym_number] = STATE(1831),
    [sym_string] = STATE(1831),
    [sym_tagged] = STATE(1831),
    [sym_context] = STATE(1831),
    [sym_elude] = STATE(1831),
    [sym_assign] = STATE(1831),
    [sym_lambda] = STATE(1831),
    [sym_or] = STATE(1831),
    [sym_not] = STATE(1831),
    [sym_and] = STATE(1831),
    [sym_cmp] = STATE(1831),
    [sym_in] = STATE(1831),
    [sym_add] = STATE(1831),
    [sym_sub] = STATE(1831),
    [sym_mul] = STATE(1831),
    [sym_div] = STATE(1831),
    [sym_sign] = STATE(1831),
    [sym_call] = STATE(1831),
    [sym_field] = STATE(1831),
    [sym_label] = STATE(1831),
    [sym_content] = STATE(1831),
    [sym_group] = STATE(1831),
    [sym_block] = STATE(1831),
    [sym_branch] = STATE(1831),
    [sym_let] = STATE(1831),
    [sym_set] = STATE(1831),
    [sym_import] = STATE(1831),
    [sym_include] = STATE(1831),
    [sym_for] = STATE(1831),
    [sym_while] = STATE(1831),
    [sym_show] = STATE(1831),
    [sym_return] = STATE(1831),
    [sym_flow] = STATE(1831),
    [sym__identifier] = ACTIONS(7),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(15),
    [anon_sym_true] = ACTIONS(19),
    [anon_sym_false] = ACTIONS(19),
    [aux_sym_number_token1] = ACTIONS(21),
    [anon_sym_DQUOTE] = ACTIONS(23),
    [anon_sym_context] = ACTIONS(25),
    [anon_sym_DOT_DOT] = ACTIONS(27),
    [anon_sym_not] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(2365),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(35),
    [anon_sym_LBRACE] = ACTIONS(37),
    [anon_sym_if] = ACTIONS(39),
    [anon_sym_let] = ACTIONS(41),
    [anon_sym_set] = ACTIONS(43),
    [anon_sym_import] = ACTIONS(45),
    [anon_sym_include] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_show] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_break] = ACTIONS(57),
    [anon_sym_continue] = ACTIONS(57),
    [sym_auto] = ACTIONS(3037),
    [sym_none] = ACTIONS(3037),
    [sym__token_content] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [804] = {
    [sym_raw_blck] = STATE(1798),
    [sym_raw_span] = STATE(1798),
    [sym_math] = STATE(1798),
    [sym__expr] = STATE(1798),
    [sym_ident] = STATE(1798),
    [sym_bool] = STATE(1798),
    [sym_number] = STATE(1798),
    [sym_string] = STATE(1798),
    [sym_tagged] = STATE(1798),
    [sym_context] = STATE(1798),
    [sym_elude] = STATE(1798),
    [sym_assign] = STATE(1798),
    [sym_lambda] = STATE(1798),
    [sym_or] = STATE(1798),
    [sym_not] = STATE(1798),
    [sym_and] = STATE(1798),
    [sym_cmp] = STATE(1798),
    [sym_in] = STATE(1798),
    [sym_add] = STATE(1798),
    [sym_sub] = STATE(1798),
    [sym_mul] = STATE(1798),
    [sym_div] = STATE(1798),
    [sym_sign] = STATE(1798),
    [sym_call] = STATE(1798),
    [sym_field] = STATE(1798),
    [sym_label] = STATE(1798),
    [sym_content] = STATE(1798),
    [sym_group] = STATE(1798),
    [sym_block] = STATE(1798),
    [sym_branch] = STATE(1798),
    [sym_let] = STATE(1798),
    [sym_set] = STATE(1798),
    [sym_import] = STATE(1798),
    [sym_include] = STATE(1798),
    [sym_for] = STATE(1798),
    [sym_while] = STATE(1798),
    [sym_show] = STATE(1798),
    [sym_return] = STATE(1798),
    [sym_flow] = STATE(1798),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3039),
    [sym_none] = ACTIONS(3039),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [805] = {
    [sym_raw_blck] = STATE(1724),
    [sym_raw_span] = STATE(1724),
    [sym_math] = STATE(1724),
    [sym__expr] = STATE(1724),
    [sym_ident] = STATE(1724),
    [sym_bool] = STATE(1724),
    [sym_number] = STATE(1724),
    [sym_string] = STATE(1724),
    [sym_tagged] = STATE(1724),
    [sym_context] = STATE(1724),
    [sym_elude] = STATE(1724),
    [sym_assign] = STATE(1724),
    [sym_lambda] = STATE(1724),
    [sym_or] = STATE(1724),
    [sym_not] = STATE(1724),
    [sym_and] = STATE(1724),
    [sym_cmp] = STATE(1724),
    [sym_in] = STATE(1724),
    [sym_add] = STATE(1724),
    [sym_sub] = STATE(1724),
    [sym_mul] = STATE(1724),
    [sym_div] = STATE(1724),
    [sym_sign] = STATE(1724),
    [sym_call] = STATE(1724),
    [sym_field] = STATE(1724),
    [sym_label] = STATE(1724),
    [sym_content] = STATE(1724),
    [sym_group] = STATE(1724),
    [sym_block] = STATE(1724),
    [sym_branch] = STATE(1724),
    [sym_let] = STATE(1724),
    [sym_set] = STATE(1724),
    [sym_import] = STATE(1724),
    [sym_include] = STATE(1724),
    [sym_for] = STATE(1724),
    [sym_while] = STATE(1724),
    [sym_show] = STATE(1724),
    [sym_return] = STATE(1724),
    [sym_flow] = STATE(1724),
    [sym__identifier] = ACTIONS(223),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(225),
    [anon_sym_BQUOTE] = ACTIONS(227),
    [anon_sym_DOLLAR] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(231),
    [anon_sym_false] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(233),
    [anon_sym_DQUOTE] = ACTIONS(235),
    [anon_sym_context] = ACTIONS(237),
    [anon_sym_DOT_DOT] = ACTIONS(239),
    [anon_sym_not] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2575),
    [anon_sym_DASH] = ACTIONS(2575),
    [anon_sym_LPAREN] = ACTIONS(241),
    [anon_sym_LBRACE] = ACTIONS(243),
    [anon_sym_if] = ACTIONS(245),
    [anon_sym_let] = ACTIONS(247),
    [anon_sym_set] = ACTIONS(249),
    [anon_sym_import] = ACTIONS(251),
    [anon_sym_include] = ACTIONS(253),
    [anon_sym_for] = ACTIONS(255),
    [anon_sym_while] = ACTIONS(257),
    [anon_sym_show] = ACTIONS(259),
    [anon_sym_return] = ACTIONS(261),
    [anon_sym_break] = ACTIONS(263),
    [anon_sym_continue] = ACTIONS(263),
    [sym_auto] = ACTIONS(3041),
    [sym_none] = ACTIONS(3041),
    [sym__token_content] = ACTIONS(267),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [806] = {
    [sym_raw_blck] = STATE(1766),
    [sym_raw_span] = STATE(1766),
    [sym_math] = STATE(1766),
    [sym__expr] = STATE(1766),
    [sym_ident] = STATE(1766),
    [sym_bool] = STATE(1766),
    [sym_number] = STATE(1766),
    [sym_string] = STATE(1766),
    [sym_tagged] = STATE(1766),
    [sym_context] = STATE(1766),
    [sym_elude] = STATE(1766),
    [sym_assign] = STATE(1766),
    [sym_lambda] = STATE(1766),
    [sym_or] = STATE(1766),
    [sym_not] = STATE(1766),
    [sym_and] = STATE(1766),
    [sym_cmp] = STATE(1766),
    [sym_in] = STATE(1766),
    [sym_add] = STATE(1766),
    [sym_sub] = STATE(1766),
    [sym_mul] = STATE(1766),
    [sym_div] = STATE(1766),
    [sym_sign] = STATE(1766),
    [sym_call] = STATE(1766),
    [sym_field] = STATE(1766),
    [sym_label] = STATE(1766),
    [sym_content] = STATE(1766),
    [sym_group] = STATE(1766),
    [sym_block] = STATE(1766),
    [sym_branch] = STATE(1766),
    [sym_let] = STATE(1766),
    [sym_set] = STATE(1766),
    [sym_import] = STATE(1766),
    [sym_include] = STATE(1766),
    [sym_for] = STATE(1766),
    [sym_while] = STATE(1766),
    [sym_show] = STATE(1766),
    [sym_return] = STATE(1766),
    [sym_flow] = STATE(1766),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3043),
    [sym_none] = ACTIONS(3043),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [807] = {
    [sym_raw_blck] = STATE(1767),
    [sym_raw_span] = STATE(1767),
    [sym_math] = STATE(1767),
    [sym__expr] = STATE(1767),
    [sym_ident] = STATE(1767),
    [sym_bool] = STATE(1767),
    [sym_number] = STATE(1767),
    [sym_string] = STATE(1767),
    [sym_tagged] = STATE(1767),
    [sym_context] = STATE(1767),
    [sym_elude] = STATE(1767),
    [sym_assign] = STATE(1767),
    [sym_lambda] = STATE(1767),
    [sym_or] = STATE(1767),
    [sym_not] = STATE(1767),
    [sym_and] = STATE(1767),
    [sym_cmp] = STATE(1767),
    [sym_in] = STATE(1767),
    [sym_add] = STATE(1767),
    [sym_sub] = STATE(1767),
    [sym_mul] = STATE(1767),
    [sym_div] = STATE(1767),
    [sym_sign] = STATE(1767),
    [sym_call] = STATE(1767),
    [sym_field] = STATE(1767),
    [sym_label] = STATE(1767),
    [sym_content] = STATE(1767),
    [sym_group] = STATE(1767),
    [sym_block] = STATE(1767),
    [sym_branch] = STATE(1767),
    [sym_let] = STATE(1767),
    [sym_set] = STATE(1767),
    [sym_import] = STATE(1767),
    [sym_include] = STATE(1767),
    [sym_for] = STATE(1767),
    [sym_while] = STATE(1767),
    [sym_show] = STATE(1767),
    [sym_return] = STATE(1767),
    [sym_flow] = STATE(1767),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3045),
    [sym_none] = ACTIONS(3045),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
  [808] = {
    [sym_raw_blck] = STATE(1795),
    [sym_raw_span] = STATE(1795),
    [sym_math] = STATE(1795),
    [sym__expr] = STATE(1795),
    [sym_ident] = STATE(1795),
    [sym_bool] = STATE(1795),
    [sym_number] = STATE(1795),
    [sym_string] = STATE(1795),
    [sym_tagged] = STATE(1795),
    [sym_context] = STATE(1795),
    [sym_elude] = STATE(1795),
    [sym_assign] = STATE(1795),
    [sym_lambda] = STATE(1795),
    [sym_or] = STATE(1795),
    [sym_not] = STATE(1795),
    [sym_and] = STATE(1795),
    [sym_cmp] = STATE(1795),
    [sym_in] = STATE(1795),
    [sym_add] = STATE(1795),
    [sym_sub] = STATE(1795),
    [sym_mul] = STATE(1795),
    [sym_div] = STATE(1795),
    [sym_sign] = STATE(1795),
    [sym_call] = STATE(1795),
    [sym_field] = STATE(1795),
    [sym_label] = STATE(1795),
    [sym_content] = STATE(1795),
    [sym_group] = STATE(1795),
    [sym_block] = STATE(1795),
    [sym_branch] = STATE(1795),
    [sym_let] = STATE(1795),
    [sym_set] = STATE(1795),
    [sym_import] = STATE(1795),
    [sym_include] = STATE(1795),
    [sym_for] = STATE(1795),
    [sym_while] = STATE(1795),
    [sym_show] = STATE(1795),
    [sym_return] = STATE(1795),
    [sym_flow] = STATE(1795),
    [sym__identifier] = ACTIONS(709),
    [sym__lb] = ACTIONS(3),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(711),
    [anon_sym_BQUOTE] = ACTIONS(713),
    [anon_sym_DOLLAR] = ACTIONS(715),
    [anon_sym_true] = ACTIONS(717),
    [anon_sym_false] = ACTIONS(717),
    [aux_sym_number_token1] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_context] = ACTIONS(723),
    [anon_sym_DOT_DOT] = ACTIONS(725),
    [anon_sym_not] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_set] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(735),
    [anon_sym_include] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(739),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_show] = ACTIONS(743),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(747),
    [anon_sym_continue] = ACTIONS(747),
    [sym_auto] = ACTIONS(3047),
    [sym_none] = ACTIONS(3047),
    [sym__token_content] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym__sp] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3083), 1,
      sym__termination,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(928), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [109] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3093), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(890), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [218] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3095), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [327] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3097), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(811), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [436] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3099), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [545] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3101), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(833), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [654] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3103), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [763] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3105), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [872] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3107), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(815), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [981] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3109), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1090] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3111), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(816), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1199] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3113), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(936), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1308] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3115), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1417] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3117), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(828), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1526] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3119), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(818), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1635] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3121), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1744] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3123), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(824), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1853] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3125), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(829), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [1962] = 28,
    ACTIONS(3127), 1,
      sym_parbreak,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3133), 1,
      sym__lb,
    ACTIONS(3135), 1,
      sym_linebreak,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3153), 1,
      sym__dedent,
    ACTIONS(3155), 1,
      sym__redent,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3163), 1,
      sym__token_item,
    ACTIONS(3165), 1,
      sym__token_term,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3137), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(858), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2071] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3169), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2180] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3171), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2289] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3173), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2398] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3175), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(821), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2507] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3177), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(905), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2616] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3179), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2725] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3181), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(839), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2834] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3183), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [2943] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3185), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(849), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3052] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3187), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(852), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3161] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3189), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3270] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3191), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3379] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3193), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(843), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3488] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3195), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(838), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3597] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3197), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(876), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3706] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3199), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3815] = 28,
    ACTIONS(3127), 1,
      sym_parbreak,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3133), 1,
      sym__lb,
    ACTIONS(3135), 1,
      sym_linebreak,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3155), 1,
      sym__redent,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3163), 1,
      sym__token_item,
    ACTIONS(3165), 1,
      sym__token_term,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3201), 1,
      sym__dedent,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3137), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(827), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [3924] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3203), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4033] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3205), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(856), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4142] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3207), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4251] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3209), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(872), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4360] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3211), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4469] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3213), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4578] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3215), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(942), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4687] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3217), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4796] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3219), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [4905] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3221), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(813), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5014] = 28,
    ACTIONS(3223), 1,
      ts_builtin_sym_end,
    ACTIONS(3225), 1,
      sym_parbreak,
    ACTIONS(3227), 1,
      aux_sym_escape_token1,
    ACTIONS(3229), 1,
      aux_sym_url_token1,
    ACTIONS(3231), 1,
      sym__lb,
    ACTIONS(3233), 1,
      sym_linebreak,
    ACTIONS(3237), 1,
      aux_sym_text_token1,
    ACTIONS(3239), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_AT,
    ACTIONS(3251), 1,
      sym__redent,
    ACTIONS(3253), 1,
      sym__token_strong,
    ACTIONS(3255), 1,
      sym__token_emph,
    ACTIONS(3257), 1,
      sym__token_bracket,
    ACTIONS(3259), 1,
      sym__token_item,
    ACTIONS(3261), 1,
      sym__token_term,
    ACTIONS(3263), 1,
      sym__token_anti_markup,
    STATE(3336), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3235), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(880), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(951), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(946), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5123] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3265), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5232] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3267), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(845), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5341] = 28,
    ACTIONS(3269), 1,
      sym_parbreak,
    ACTIONS(3272), 1,
      aux_sym_escape_token1,
    ACTIONS(3275), 1,
      aux_sym_url_token1,
    ACTIONS(3278), 1,
      sym__lb,
    ACTIONS(3281), 1,
      sym_linebreak,
    ACTIONS(3287), 1,
      aux_sym_text_token1,
    ACTIONS(3290), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3293), 1,
      anon_sym_BQUOTE,
    ACTIONS(3296), 1,
      anon_sym_DOLLAR,
    ACTIONS(3299), 1,
      anon_sym_POUND,
    ACTIONS(3302), 1,
      anon_sym_LT,
    ACTIONS(3305), 1,
      anon_sym_AT,
    ACTIONS(3308), 1,
      sym__dedent,
    ACTIONS(3310), 1,
      sym__redent,
    ACTIONS(3313), 1,
      sym__token_strong,
    ACTIONS(3316), 1,
      sym__token_emph,
    ACTIONS(3319), 1,
      sym__token_bracket,
    ACTIONS(3322), 1,
      sym__token_item,
    ACTIONS(3325), 1,
      sym__token_term,
    ACTIONS(3331), 1,
      sym__token_anti_markup,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3284), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(858), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3328), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5450] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3334), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(868), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5559] = 28,
    ACTIONS(3127), 1,
      sym_parbreak,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3133), 1,
      sym__lb,
    ACTIONS(3135), 1,
      sym_linebreak,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3155), 1,
      sym__redent,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3163), 1,
      sym__token_item,
    ACTIONS(3165), 1,
      sym__token_term,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3336), 1,
      sym__dedent,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3137), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(858), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5668] = 28,
    ACTIONS(3225), 1,
      sym_parbreak,
    ACTIONS(3227), 1,
      aux_sym_escape_token1,
    ACTIONS(3229), 1,
      aux_sym_url_token1,
    ACTIONS(3231), 1,
      sym__lb,
    ACTIONS(3233), 1,
      sym_linebreak,
    ACTIONS(3237), 1,
      aux_sym_text_token1,
    ACTIONS(3239), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_AT,
    ACTIONS(3251), 1,
      sym__redent,
    ACTIONS(3253), 1,
      sym__token_strong,
    ACTIONS(3255), 1,
      sym__token_emph,
    ACTIONS(3257), 1,
      sym__token_bracket,
    ACTIONS(3259), 1,
      sym__token_item,
    ACTIONS(3261), 1,
      sym__token_term,
    ACTIONS(3263), 1,
      sym__token_anti_markup,
    ACTIONS(3338), 1,
      ts_builtin_sym_end,
    STATE(3336), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3235), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(855), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(951), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(946), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5777] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3340), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(835), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5886] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3342), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(889), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [5995] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3344), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6104] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3346), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(850), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6213] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3348), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(874), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6322] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3350), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(830), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6431] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3352), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6540] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3354), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(873), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6649] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3356), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(915), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6758] = 28,
    ACTIONS(3308), 1,
      sym__termination,
    ACTIONS(3358), 1,
      sym_parbreak,
    ACTIONS(3361), 1,
      aux_sym_escape_token1,
    ACTIONS(3364), 1,
      aux_sym_url_token1,
    ACTIONS(3367), 1,
      sym__lb,
    ACTIONS(3370), 1,
      sym_linebreak,
    ACTIONS(3376), 1,
      aux_sym_text_token1,
    ACTIONS(3379), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3382), 1,
      anon_sym_BQUOTE,
    ACTIONS(3385), 1,
      anon_sym_DOLLAR,
    ACTIONS(3388), 1,
      anon_sym_POUND,
    ACTIONS(3391), 1,
      anon_sym_LT,
    ACTIONS(3394), 1,
      anon_sym_AT,
    ACTIONS(3397), 1,
      sym__redent,
    ACTIONS(3400), 1,
      sym__token_strong,
    ACTIONS(3403), 1,
      sym__token_emph,
    ACTIONS(3406), 1,
      sym__token_bracket,
    ACTIONS(3409), 1,
      sym__token_item,
    ACTIONS(3412), 1,
      sym__token_term,
    ACTIONS(3415), 1,
      sym__token_anti_markup,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3373), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3328), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6867] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3418), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [6976] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3420), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7085] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3422), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7194] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3424), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(864), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7303] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3426), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7412] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3428), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(882), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7521] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3430), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(930), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7630] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3432), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(885), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7739] = 28,
    ACTIONS(3308), 1,
      ts_builtin_sym_end,
    ACTIONS(3434), 1,
      sym_parbreak,
    ACTIONS(3437), 1,
      aux_sym_escape_token1,
    ACTIONS(3440), 1,
      aux_sym_url_token1,
    ACTIONS(3443), 1,
      sym__lb,
    ACTIONS(3446), 1,
      sym_linebreak,
    ACTIONS(3452), 1,
      aux_sym_text_token1,
    ACTIONS(3455), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3458), 1,
      anon_sym_BQUOTE,
    ACTIONS(3461), 1,
      anon_sym_DOLLAR,
    ACTIONS(3464), 1,
      anon_sym_POUND,
    ACTIONS(3467), 1,
      anon_sym_LT,
    ACTIONS(3470), 1,
      anon_sym_AT,
    ACTIONS(3473), 1,
      sym__redent,
    ACTIONS(3476), 1,
      sym__token_strong,
    ACTIONS(3479), 1,
      sym__token_emph,
    ACTIONS(3482), 1,
      sym__token_bracket,
    ACTIONS(3485), 1,
      sym__token_item,
    ACTIONS(3488), 1,
      sym__token_term,
    ACTIONS(3491), 1,
      sym__token_anti_markup,
    STATE(3336), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3449), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(880), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(951), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3328), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(946), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7848] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3494), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [7957] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3496), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8066] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3498), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(887), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8175] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3500), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(900), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8284] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3502), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8393] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3504), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8502] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3506), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8611] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3508), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(881), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8720] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3510), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8829] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3512), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [8938] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3514), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9047] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3516), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(894), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9156] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3518), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(895), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9265] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3520), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9374] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3522), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9483] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3524), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(901), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9592] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3526), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(906), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9701] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3528), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(899), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9810] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3530), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [9919] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3532), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10028] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3534), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10137] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3536), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(891), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10246] = 28,
    ACTIONS(3127), 1,
      sym_parbreak,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3133), 1,
      sym__lb,
    ACTIONS(3135), 1,
      sym_linebreak,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3155), 1,
      sym__redent,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3163), 1,
      sym__token_item,
    ACTIONS(3165), 1,
      sym__token_term,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3538), 1,
      sym__dedent,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3137), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(860), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10355] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3540), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(908), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10464] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3542), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10573] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3544), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10682] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3546), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(937), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10791] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3548), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [10900] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3550), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11009] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3552), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(914), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11118] = 28,
    ACTIONS(3127), 1,
      sym_parbreak,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3133), 1,
      sym__lb,
    ACTIONS(3135), 1,
      sym_linebreak,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3155), 1,
      sym__redent,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3163), 1,
      sym__token_item,
    ACTIONS(3165), 1,
      sym__token_term,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3554), 1,
      sym__dedent,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3137), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(916), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11227] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3556), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(909), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11336] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3558), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11445] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3560), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11554] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3562), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11663] = 28,
    ACTIONS(3127), 1,
      sym_parbreak,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3133), 1,
      sym__lb,
    ACTIONS(3135), 1,
      sym_linebreak,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3155), 1,
      sym__redent,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3163), 1,
      sym__token_item,
    ACTIONS(3165), 1,
      sym__token_term,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3564), 1,
      sym__dedent,
    STATE(3306), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3137), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(858), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(954), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(956), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11772] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3566), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11881] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3568), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(847), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [11990] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3570), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(917), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12099] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3572), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(913), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12208] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3574), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12317] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3576), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(921), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12426] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3578), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(931), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12535] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3580), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(853), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12644] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3582), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12753] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3584), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(886), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12862] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3586), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [12971] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3588), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13080] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3590), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(932), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13189] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3592), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13298] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3594), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13407] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3596), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13516] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3598), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(927), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13625] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3600), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(925), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13734] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3602), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13843] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3604), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [13952] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3606), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14061] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3608), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(945), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14170] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3610), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(935), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14279] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3612), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(944), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14388] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3614), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14497] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3616), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14606] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3618), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(941), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14715] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3620), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14824] = 28,
    ACTIONS(3049), 1,
      sym_parbreak,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3055), 1,
      sym__lb,
    ACTIONS(3057), 1,
      sym_linebreak,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3075), 1,
      sym__redent,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3085), 1,
      sym__token_item,
    ACTIONS(3087), 1,
      sym__token_term,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3622), 1,
      sym__termination,
    STATE(3374), 1,
      sym_heading,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3059), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    STATE(871), 3,
      sym__line_content,
      sym__content_lb,
      aux_sym_source_file_repeat1,
    STATE(949), 3,
      sym_item,
      sym_term,
      sym_section,
    ACTIONS(3089), 6,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
    STATE(950), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [14933] = 20,
    ACTIONS(3227), 1,
      aux_sym_escape_token1,
    ACTIONS(3229), 1,
      aux_sym_url_token1,
    ACTIONS(3237), 1,
      aux_sym_text_token1,
    ACTIONS(3239), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_AT,
    ACTIONS(3253), 1,
      sym__token_strong,
    ACTIONS(3255), 1,
      sym__token_emph,
    ACTIONS(3257), 1,
      sym__token_bracket,
    ACTIONS(3263), 1,
      sym__token_anti_markup,
    ACTIONS(3626), 1,
      sym__lb,
    ACTIONS(3628), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3630), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3624), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(952), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15019] = 20,
    ACTIONS(3227), 1,
      aux_sym_escape_token1,
    ACTIONS(3229), 1,
      aux_sym_url_token1,
    ACTIONS(3237), 1,
      aux_sym_text_token1,
    ACTIONS(3239), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_AT,
    ACTIONS(3253), 1,
      sym__token_strong,
    ACTIONS(3255), 1,
      sym__token_emph,
    ACTIONS(3257), 1,
      sym__token_bracket,
    ACTIONS(3263), 1,
      sym__token_anti_markup,
    ACTIONS(3628), 1,
      sym_linebreak,
    ACTIONS(3634), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3630), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3632), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(952), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15105] = 20,
    ACTIONS(3638), 1,
      aux_sym_escape_token1,
    ACTIONS(3641), 1,
      aux_sym_url_token1,
    ACTIONS(3644), 1,
      sym__lb,
    ACTIONS(3646), 1,
      sym_linebreak,
    ACTIONS(3652), 1,
      aux_sym_text_token1,
    ACTIONS(3655), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_BQUOTE,
    ACTIONS(3661), 1,
      anon_sym_DOLLAR,
    ACTIONS(3664), 1,
      anon_sym_POUND,
    ACTIONS(3667), 1,
      anon_sym_LT,
    ACTIONS(3670), 1,
      anon_sym_AT,
    ACTIONS(3673), 1,
      sym__token_strong,
    ACTIONS(3676), 1,
      sym__token_emph,
    ACTIONS(3679), 1,
      sym__token_bracket,
    ACTIONS(3682), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3649), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3636), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(948), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15191] = 20,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3626), 1,
      sym__lb,
    ACTIONS(3685), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3687), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3624), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(955), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15277] = 20,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3626), 1,
      sym__lb,
    ACTIONS(3689), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3691), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3624), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(957), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15363] = 20,
    ACTIONS(3227), 1,
      aux_sym_escape_token1,
    ACTIONS(3229), 1,
      aux_sym_url_token1,
    ACTIONS(3237), 1,
      aux_sym_text_token1,
    ACTIONS(3239), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3241), 1,
      anon_sym_BQUOTE,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3245), 1,
      anon_sym_POUND,
    ACTIONS(3247), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_AT,
    ACTIONS(3253), 1,
      sym__token_strong,
    ACTIONS(3255), 1,
      sym__token_emph,
    ACTIONS(3257), 1,
      sym__token_bracket,
    ACTIONS(3263), 1,
      sym__token_anti_markup,
    ACTIONS(3626), 1,
      sym__lb,
    ACTIONS(3693), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3695), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3624), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(947), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15449] = 20,
    ACTIONS(3644), 1,
      sym__lb,
    ACTIONS(3697), 1,
      aux_sym_escape_token1,
    ACTIONS(3700), 1,
      aux_sym_url_token1,
    ACTIONS(3703), 1,
      sym_linebreak,
    ACTIONS(3709), 1,
      aux_sym_text_token1,
    ACTIONS(3712), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3715), 1,
      anon_sym_BQUOTE,
    ACTIONS(3718), 1,
      anon_sym_DOLLAR,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    ACTIONS(3724), 1,
      anon_sym_LT,
    ACTIONS(3727), 1,
      anon_sym_AT,
    ACTIONS(3730), 1,
      sym__token_strong,
    ACTIONS(3733), 1,
      sym__token_emph,
    ACTIONS(3736), 1,
      sym__token_bracket,
    ACTIONS(3739), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3706), 2,
      sym_quote,
      sym_shorthand,
    STATE(1070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3636), 11,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
    STATE(952), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15535] = 20,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3634), 1,
      sym__lb,
    ACTIONS(3742), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3744), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3632), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(948), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15621] = 20,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3626), 1,
      sym__lb,
    ACTIONS(3746), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3748), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3624), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(953), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15707] = 20,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(3053), 1,
      aux_sym_url_token1,
    ACTIONS(3061), 1,
      aux_sym_text_token1,
    ACTIONS(3063), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3065), 1,
      anon_sym_BQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR,
    ACTIONS(3069), 1,
      anon_sym_POUND,
    ACTIONS(3071), 1,
      anon_sym_LT,
    ACTIONS(3073), 1,
      anon_sym_AT,
    ACTIONS(3077), 1,
      sym__token_strong,
    ACTIONS(3079), 1,
      sym__token_emph,
    ACTIONS(3081), 1,
      sym__token_bracket,
    ACTIONS(3091), 1,
      sym__token_anti_markup,
    ACTIONS(3634), 1,
      sym__lb,
    ACTIONS(3689), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3691), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3632), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(957), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15793] = 20,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(3131), 1,
      aux_sym_url_token1,
    ACTIONS(3139), 1,
      aux_sym_text_token1,
    ACTIONS(3141), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3143), 1,
      anon_sym_BQUOTE,
    ACTIONS(3145), 1,
      anon_sym_DOLLAR,
    ACTIONS(3147), 1,
      anon_sym_POUND,
    ACTIONS(3149), 1,
      anon_sym_LT,
    ACTIONS(3151), 1,
      anon_sym_AT,
    ACTIONS(3157), 1,
      sym__token_strong,
    ACTIONS(3159), 1,
      sym__token_emph,
    ACTIONS(3161), 1,
      sym__token_bracket,
    ACTIONS(3167), 1,
      sym__token_anti_markup,
    ACTIONS(3626), 1,
      sym__lb,
    ACTIONS(3742), 1,
      sym_linebreak,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3744), 2,
      sym_quote,
      sym_shorthand,
    STATE(1072), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3624), 11,
      sym__dedent,
      sym__redent,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(948), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15879] = 20,
    ACTIONS(3644), 1,
      sym__lb,
    ACTIONS(3750), 1,
      aux_sym_escape_token1,
    ACTIONS(3753), 1,
      aux_sym_url_token1,
    ACTIONS(3756), 1,
      sym_linebreak,
    ACTIONS(3762), 1,
      aux_sym_text_token1,
    ACTIONS(3765), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3768), 1,
      anon_sym_BQUOTE,
    ACTIONS(3771), 1,
      anon_sym_DOLLAR,
    ACTIONS(3774), 1,
      anon_sym_POUND,
    ACTIONS(3777), 1,
      anon_sym_LT,
    ACTIONS(3780), 1,
      anon_sym_AT,
    ACTIONS(3783), 1,
      sym__token_strong,
    ACTIONS(3786), 1,
      sym__token_emph,
    ACTIONS(3789), 1,
      sym__token_bracket,
    ACTIONS(3792), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(3759), 2,
      sym_quote,
      sym_shorthand,
    STATE(1071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3636), 11,
      sym__redent,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
    STATE(957), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [15965] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3803), 1,
      sym__math_token_rpar,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    STATE(963), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3241), 1,
      sym__math_tagged,
    STATE(3243), 1,
      sym_formula,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16067] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3821), 1,
      sym__math_token_rpar,
    STATE(963), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3229), 1,
      sym__math_tagged,
    STATE(3231), 1,
      sym_formula,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16169] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3823), 1,
      sym__math_token_rpar,
    STATE(958), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3244), 1,
      sym__math_tagged,
    STATE(3247), 1,
      sym_formula,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3825), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16271] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3827), 1,
      sym__math_token_rpar,
    STATE(962), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3248), 1,
      sym_formula,
    STATE(3251), 1,
      sym__math_tagged,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3829), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16373] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3831), 1,
      sym__math_token_rpar,
    STATE(963), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3252), 1,
      sym_formula,
    STATE(3259), 1,
      sym__math_tagged,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16475] = 29,
    ACTIONS(3833), 1,
      aux_sym_escape_token1,
    ACTIONS(3836), 1,
      sym_linebreak,
    ACTIONS(3845), 1,
      sym__math_token_rpar,
    ACTIONS(3847), 1,
      sym__math_token_ldlm,
    ACTIONS(3850), 1,
      aux_sym__math_root_token1,
    ACTIONS(3856), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3859), 1,
      anon_sym_POUND,
    ACTIONS(3862), 1,
      anon_sym_DQUOTE,
    ACTIONS(3865), 1,
      sym__token_math_letter,
    ACTIONS(3868), 1,
      sym__token_math_ident,
    STATE(963), 1,
      aux_sym__math_call_repeat1,
    STATE(997), 1,
      aux_sym_formula_repeat1,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    STATE(3365), 1,
      sym__math_tag,
    STATE(3367), 1,
      sym_formula,
    STATE(3371), 1,
      sym__math_tagged,
    ACTIONS(3842), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3853), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3839), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2904), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16577] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3871), 1,
      sym__math_token_rpar,
    STATE(966), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3235), 1,
      sym_formula,
    STATE(3238), 1,
      sym__math_tagged,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3873), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16679] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3875), 1,
      sym__math_token_rpar,
    STATE(959), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3233), 1,
      sym__math_tagged,
    STATE(3234), 1,
      sym_formula,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3877), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16781] = 29,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3817), 1,
      sym__token_math_letter,
    ACTIONS(3819), 1,
      sym__token_math_ident,
    ACTIONS(3879), 1,
      sym__math_token_rpar,
    STATE(963), 1,
      aux_sym__math_call_repeat1,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3236), 1,
      sym__math_tagged,
    STATE(3257), 1,
      sym_formula,
    STATE(3319), 1,
      sym__math_tag,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16883] = 24,
    ACTIONS(3881), 1,
      aux_sym_escape_token1,
    ACTIONS(3884), 1,
      sym_linebreak,
    ACTIONS(3895), 1,
      sym__math_token_ldlm,
    ACTIONS(3898), 1,
      aux_sym__math_root_token1,
    ACTIONS(3901), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3904), 1,
      anon_sym_POUND,
    ACTIONS(3907), 1,
      anon_sym_DQUOTE,
    ACTIONS(3910), 1,
      sym__token_math_letter,
    ACTIONS(3913), 1,
      sym__token_math_ident,
    STATE(967), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(3890), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3887), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(3893), 3,
      sym__math_token_rpar,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [16971] = 24,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    STATE(967), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(3916), 3,
      sym__math_token_rpar,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17059] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3928), 1,
      anon_sym_DOLLAR,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3987), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17148] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3946), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3542), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17237] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3948), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3569), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17326] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3950), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(4022), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17415] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3952), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3829), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17504] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3954), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(4011), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17593] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3956), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3760), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17682] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3958), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3806), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17771] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(3960), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3944), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17860] = 24,
    ACTIONS(3962), 1,
      aux_sym_escape_token1,
    ACTIONS(3965), 1,
      sym_linebreak,
    ACTIONS(3974), 1,
      sym__math_token_ldlm,
    ACTIONS(3977), 1,
      aux_sym__math_root_token1,
    ACTIONS(3980), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3983), 1,
      anon_sym_POUND,
    ACTIONS(3986), 1,
      anon_sym_DQUOTE,
    ACTIONS(3989), 1,
      sym__token_math_letter,
    ACTIONS(3992), 1,
      sym__token_math_ident,
    STATE(978), 1,
      aux_sym_formula_repeat1,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(3893), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3971), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3968), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2904), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [17947] = 25,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(3997), 1,
      sym_linebreak,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4017), 1,
      sym__token_math_group_end,
    STATE(1001), 1,
      aux_sym_formula_repeat1,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    STATE(4068), 1,
      sym_formula,
    ACTIONS(4001), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3017), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18036] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4019), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(4094), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18125] = 25,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(3997), 1,
      sym_linebreak,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4021), 1,
      sym__token_math_group_end,
    STATE(1001), 1,
      aux_sym_formula_repeat1,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    STATE(4066), 1,
      sym_formula,
    ACTIONS(4001), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3017), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18214] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4023), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3714), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18303] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4025), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3921), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18392] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4027), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3595), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18481] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4029), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3783), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18570] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4031), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3667), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18659] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4033), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3967), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18748] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4035), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3643), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18837] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4037), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3737), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [18926] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4039), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3898), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19015] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4041), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3619), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19104] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4043), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3852), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19193] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4045), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3999), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19282] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4047), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3428), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19371] = 25,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(3997), 1,
      sym_linebreak,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4049), 1,
      sym__token_math_group_end,
    STATE(1001), 1,
      aux_sym_formula_repeat1,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    STATE(4177), 1,
      sym_formula,
    ACTIONS(4001), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3017), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19460] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4051), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3691), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19549] = 24,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4055), 1,
      sym_linebreak,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    STATE(978), 1,
      aux_sym_formula_repeat1,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(3916), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4059), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2904), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19636] = 25,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4075), 1,
      anon_sym_DOLLAR,
    STATE(1000), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    STATE(3875), 1,
      sym_formula,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19725] = 25,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(3997), 1,
      sym_linebreak,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4077), 1,
      sym__token_math_group_end,
    STATE(1001), 1,
      aux_sym_formula_repeat1,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    STATE(4028), 1,
      sym_formula,
    ACTIONS(4001), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3017), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19814] = 24,
    ACTIONS(3916), 1,
      anon_sym_DOLLAR,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3924), 1,
      sym_linebreak,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    STATE(1003), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(3930), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19900] = 24,
    ACTIONS(3916), 1,
      sym__token_math_group_end,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(3997), 1,
      sym_linebreak,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    STATE(1005), 1,
      aux_sym_formula_repeat1,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4001), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3017), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [19986] = 24,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3797), 1,
      sym_linebreak,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    STATE(968), 1,
      aux_sym_formula_repeat1,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    STATE(3255), 1,
      sym_formula,
    ACTIONS(3801), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2591), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20072] = 24,
    ACTIONS(3893), 1,
      anon_sym_DOLLAR,
    ACTIONS(4079), 1,
      aux_sym_escape_token1,
    ACTIONS(4082), 1,
      sym_linebreak,
    ACTIONS(4091), 1,
      sym__math_token_ldlm,
    ACTIONS(4094), 1,
      aux_sym__math_root_token1,
    ACTIONS(4097), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4100), 1,
      anon_sym_POUND,
    ACTIONS(4103), 1,
      anon_sym_DQUOTE,
    ACTIONS(4106), 1,
      sym__token_math_letter,
    ACTIONS(4109), 1,
      sym__token_math_ident,
    STATE(1003), 1,
      aux_sym_formula_repeat1,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4088), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4085), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3023), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20158] = 24,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4055), 1,
      sym_linebreak,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    STATE(997), 1,
      aux_sym_formula_repeat1,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    STATE(3255), 1,
      sym_formula,
    ACTIONS(4059), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2904), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20244] = 24,
    ACTIONS(3893), 1,
      sym__token_math_group_end,
    ACTIONS(4112), 1,
      aux_sym_escape_token1,
    ACTIONS(4115), 1,
      sym_linebreak,
    ACTIONS(4124), 1,
      sym__math_token_ldlm,
    ACTIONS(4127), 1,
      aux_sym__math_root_token1,
    ACTIONS(4130), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4133), 1,
      anon_sym_POUND,
    ACTIONS(4136), 1,
      anon_sym_DQUOTE,
    ACTIONS(4139), 1,
      sym__token_math_letter,
    ACTIONS(4142), 1,
      sym__token_math_ident,
    STATE(1005), 1,
      aux_sym_formula_repeat1,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4121), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4118), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3017), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20330] = 22,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4145), 1,
      sym_linebreak,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4147), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3039), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20410] = 22,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4149), 1,
      sym_linebreak,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4151), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3015), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20490] = 22,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    ACTIONS(4153), 1,
      sym_linebreak,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(4155), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2848), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20570] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4161), 1,
      sym_linebreak,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4185), 1,
      sym__termination,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4163), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1019), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [20644] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4189), 1,
      sym_linebreak,
    ACTIONS(4193), 1,
      sym__termination,
    ACTIONS(4191), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1050), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [20718] = 19,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(4197), 1,
      aux_sym_url_token1,
    ACTIONS(4199), 1,
      sym_linebreak,
    ACTIONS(4203), 1,
      aux_sym_text_token1,
    ACTIONS(4205), 1,
      anon_sym_COLON,
    ACTIONS(4207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4209), 1,
      anon_sym_BQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_POUND,
    ACTIONS(4215), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_AT,
    ACTIONS(4219), 1,
      sym__token_strong,
    ACTIONS(4221), 1,
      sym__token_emph,
    ACTIONS(4223), 1,
      sym__token_bracket,
    ACTIONS(4225), 1,
      sym__token_anti_markup,
    ACTIONS(4201), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1033), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [20792] = 19,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(4197), 1,
      aux_sym_url_token1,
    ACTIONS(4199), 1,
      sym_linebreak,
    ACTIONS(4203), 1,
      aux_sym_text_token1,
    ACTIONS(4207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4209), 1,
      anon_sym_BQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_POUND,
    ACTIONS(4215), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_AT,
    ACTIONS(4219), 1,
      sym__token_strong,
    ACTIONS(4221), 1,
      sym__token_emph,
    ACTIONS(4223), 1,
      sym__token_bracket,
    ACTIONS(4225), 1,
      sym__token_anti_markup,
    ACTIONS(4227), 1,
      anon_sym_COLON,
    ACTIONS(4201), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1033), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [20866] = 22,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    ACTIONS(4229), 1,
      sym_linebreak,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(4231), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2794), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [20946] = 22,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4233), 1,
      sym_linebreak,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4235), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3067), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21026] = 22,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    ACTIONS(4237), 1,
      sym_linebreak,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(4239), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2964), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21106] = 22,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4241), 1,
      sym_linebreak,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4243), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3033), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21186] = 22,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    ACTIONS(4245), 1,
      sym_linebreak,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(4247), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2962), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21266] = 19,
    ACTIONS(3636), 1,
      sym__termination,
    ACTIONS(4249), 1,
      aux_sym_escape_token1,
    ACTIONS(4252), 1,
      aux_sym_url_token1,
    ACTIONS(4255), 1,
      sym_linebreak,
    ACTIONS(4261), 1,
      aux_sym_text_token1,
    ACTIONS(4264), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4267), 1,
      anon_sym_BQUOTE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4273), 1,
      anon_sym_POUND,
    ACTIONS(4276), 1,
      anon_sym_LT,
    ACTIONS(4279), 1,
      anon_sym_AT,
    ACTIONS(4282), 1,
      sym__token_strong,
    ACTIONS(4285), 1,
      sym__token_emph,
    ACTIONS(4288), 1,
      sym__token_bracket,
    ACTIONS(4291), 1,
      sym__token_anti_markup,
    ACTIONS(4258), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [21340] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4298), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [21414] = 22,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    ACTIONS(4300), 1,
      sym_linebreak,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(4302), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2650), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21494] = 22,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4304), 1,
      sym_linebreak,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4306), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3037), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21574] = 22,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    ACTIONS(4308), 1,
      sym_linebreak,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(4310), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2933), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21654] = 22,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4312), 1,
      sym_linebreak,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4314), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3044), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21734] = 22,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4316), 1,
      sym_linebreak,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4318), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3018), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21814] = 22,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4320), 1,
      sym_linebreak,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4322), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3019), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [21894] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4324), 1,
      sym_linebreak,
    ACTIONS(4328), 1,
      sym__termination,
    ACTIONS(4326), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1031), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [21968] = 22,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    ACTIONS(4330), 1,
      sym_linebreak,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(4332), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2629), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [22048] = 22,
    ACTIONS(4053), 1,
      aux_sym_escape_token1,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    ACTIONS(4063), 1,
      aux_sym__math_root_token1,
    ACTIONS(4065), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4067), 1,
      anon_sym_POUND,
    ACTIONS(4069), 1,
      anon_sym_DQUOTE,
    ACTIONS(4071), 1,
      sym__token_math_letter,
    ACTIONS(4073), 1,
      sym__token_math_ident,
    ACTIONS(4334), 1,
      sym_linebreak,
    STATE(1884), 1,
      sym__math_field,
    STATE(1885), 1,
      sym__math_item,
    STATE(2902), 1,
      sym__math_token_colon,
    STATE(2907), 1,
      sym__math_group,
    STATE(2908), 1,
      sym__math_attach_sup,
    STATE(2916), 1,
      sym__math_attach_sub,
    STATE(2919), 1,
      sym__math_call,
    STATE(2920), 1,
      sym__math_apply,
    ACTIONS(4336), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4057), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2570), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2870), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [22128] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4338), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22202] = 22,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    ACTIONS(4340), 1,
      sym_linebreak,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(4342), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2630), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [22282] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4344), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22356] = 19,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(4197), 1,
      aux_sym_url_token1,
    ACTIONS(4203), 1,
      aux_sym_text_token1,
    ACTIONS(4207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4209), 1,
      anon_sym_BQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_POUND,
    ACTIONS(4215), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_AT,
    ACTIONS(4219), 1,
      sym__token_strong,
    ACTIONS(4221), 1,
      sym__token_emph,
    ACTIONS(4223), 1,
      sym__token_bracket,
    ACTIONS(4225), 1,
      sym__token_anti_markup,
    ACTIONS(4346), 1,
      sym_linebreak,
    ACTIONS(4350), 1,
      anon_sym_COLON,
    ACTIONS(4348), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1011), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22430] = 19,
    ACTIONS(3636), 1,
      anon_sym_COLON,
    ACTIONS(4352), 1,
      aux_sym_escape_token1,
    ACTIONS(4355), 1,
      aux_sym_url_token1,
    ACTIONS(4358), 1,
      sym_linebreak,
    ACTIONS(4364), 1,
      aux_sym_text_token1,
    ACTIONS(4367), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4370), 1,
      anon_sym_BQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      anon_sym_POUND,
    ACTIONS(4379), 1,
      anon_sym_LT,
    ACTIONS(4382), 1,
      anon_sym_AT,
    ACTIONS(4385), 1,
      sym__token_strong,
    ACTIONS(4388), 1,
      sym__token_emph,
    ACTIONS(4391), 1,
      sym__token_bracket,
    ACTIONS(4394), 1,
      sym__token_anti_markup,
    ACTIONS(4361), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1033), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22504] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4397), 1,
      sym_linebreak,
    ACTIONS(4401), 1,
      sym__termination,
    ACTIONS(4399), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1036), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22578] = 22,
    ACTIONS(3922), 1,
      aux_sym_escape_token1,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    ACTIONS(3934), 1,
      aux_sym__math_root_token1,
    ACTIONS(3936), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3938), 1,
      anon_sym_POUND,
    ACTIONS(3940), 1,
      anon_sym_DQUOTE,
    ACTIONS(3942), 1,
      sym__token_math_letter,
    ACTIONS(3944), 1,
      sym__token_math_ident,
    ACTIONS(4403), 1,
      sym_linebreak,
    STATE(2304), 1,
      sym__math_field,
    STATE(2309), 1,
      sym__math_item,
    STATE(3000), 1,
      sym__math_call,
    STATE(3012), 1,
      sym__math_token_colon,
    STATE(3028), 1,
      sym__math_group,
    STATE(3029), 1,
      sym__math_attach_sup,
    STATE(3032), 1,
      sym__math_attach_sub,
    STATE(3040), 1,
      sym__math_apply,
    ACTIONS(4405), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3926), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2937), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3064), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [22658] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4407), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22732] = 22,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4409), 1,
      sym_linebreak,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4411), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3043), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [22812] = 22,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4413), 1,
      sym_linebreak,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4415), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3050), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [22892] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4417), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [22966] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4419), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23040] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4421), 1,
      sym_linebreak,
    ACTIONS(4425), 1,
      sym__termination,
    ACTIONS(4423), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1029), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23114] = 19,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(4197), 1,
      aux_sym_url_token1,
    ACTIONS(4199), 1,
      sym_linebreak,
    ACTIONS(4203), 1,
      aux_sym_text_token1,
    ACTIONS(4207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4209), 1,
      anon_sym_BQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_POUND,
    ACTIONS(4215), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_AT,
    ACTIONS(4219), 1,
      sym__token_strong,
    ACTIONS(4221), 1,
      sym__token_emph,
    ACTIONS(4223), 1,
      sym__token_bracket,
    ACTIONS(4225), 1,
      sym__token_anti_markup,
    ACTIONS(4427), 1,
      anon_sym_COLON,
    ACTIONS(4201), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1033), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23188] = 22,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    ACTIONS(4429), 1,
      sym_linebreak,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(4431), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2775), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [23268] = 22,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    ACTIONS(4433), 1,
      sym_linebreak,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(4435), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2776), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [23348] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4437), 1,
      sym_linebreak,
    ACTIONS(4441), 1,
      sym__termination,
    ACTIONS(4439), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1039), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23422] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4443), 1,
      sym_linebreak,
    ACTIONS(4447), 1,
      sym__termination,
    ACTIONS(4445), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1055), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23496] = 22,
    ACTIONS(3995), 1,
      aux_sym_escape_token1,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    ACTIONS(4005), 1,
      aux_sym__math_root_token1,
    ACTIONS(4007), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(4009), 1,
      anon_sym_POUND,
    ACTIONS(4011), 1,
      anon_sym_DQUOTE,
    ACTIONS(4013), 1,
      sym__token_math_letter,
    ACTIONS(4015), 1,
      sym__token_math_ident,
    ACTIONS(4449), 1,
      sym_linebreak,
    STATE(2220), 1,
      sym__math_field,
    STATE(2224), 1,
      sym__math_item,
    STATE(3016), 1,
      sym__math_token_colon,
    STATE(3038), 1,
      sym__math_group,
    STATE(3051), 1,
      sym__math_attach_sup,
    STATE(3054), 1,
      sym__math_attach_sub,
    STATE(3055), 1,
      sym__math_call,
    STATE(3056), 1,
      sym__math_apply,
    ACTIONS(4451), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3999), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2853), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(3052), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [23576] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4453), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23650] = 22,
    ACTIONS(3795), 1,
      aux_sym_escape_token1,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    ACTIONS(3807), 1,
      aux_sym__math_root_token1,
    ACTIONS(3811), 1,
      aux_sym__math_shorthand_token1,
    ACTIONS(3813), 1,
      anon_sym_POUND,
    ACTIONS(3815), 1,
      anon_sym_DQUOTE,
    ACTIONS(3918), 1,
      sym__token_math_letter,
    ACTIONS(3920), 1,
      sym__token_math_ident,
    ACTIONS(4455), 1,
      sym_linebreak,
    STATE(1364), 1,
      sym__math_field,
    STATE(1387), 1,
      sym__math_item,
    STATE(2590), 1,
      sym__math_token_colon,
    STATE(2605), 1,
      sym__math_group,
    STATE(2609), 1,
      sym__math_attach_sup,
    STATE(2614), 1,
      sym__math_attach_sub,
    STATE(2615), 1,
      sym__math_call,
    STATE(2627), 1,
      sym__math_apply,
    ACTIONS(4457), 2,
      sym__math_token_align,
      sym__math_number,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(3799), 3,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    STATE(2103), 3,
      sym_escape,
      sym__math_shorthand,
      sym_string,
    STATE(2779), 7,
      sym__math_expr,
      sym__math_div,
      sym__math_root,
      sym__math_fac,
      sym__math_prime,
      sym__math_symbol,
      sym__code,
  [23730] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4459), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23804] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4461), 1,
      sym_linebreak,
    ACTIONS(4465), 1,
      sym__termination,
    ACTIONS(4463), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1057), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23878] = 19,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(4197), 1,
      aux_sym_url_token1,
    ACTIONS(4203), 1,
      aux_sym_text_token1,
    ACTIONS(4207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4209), 1,
      anon_sym_BQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_POUND,
    ACTIONS(4215), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_AT,
    ACTIONS(4219), 1,
      sym__token_strong,
    ACTIONS(4221), 1,
      sym__token_emph,
    ACTIONS(4223), 1,
      sym__token_bracket,
    ACTIONS(4225), 1,
      sym__token_anti_markup,
    ACTIONS(4467), 1,
      sym_linebreak,
    ACTIONS(4471), 1,
      anon_sym_COLON,
    ACTIONS(4469), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1042), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [23952] = 19,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(4197), 1,
      aux_sym_url_token1,
    ACTIONS(4203), 1,
      aux_sym_text_token1,
    ACTIONS(4207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4209), 1,
      anon_sym_BQUOTE,
    ACTIONS(4211), 1,
      anon_sym_DOLLAR,
    ACTIONS(4213), 1,
      anon_sym_POUND,
    ACTIONS(4215), 1,
      anon_sym_LT,
    ACTIONS(4217), 1,
      anon_sym_AT,
    ACTIONS(4219), 1,
      sym__token_strong,
    ACTIONS(4221), 1,
      sym__token_emph,
    ACTIONS(4223), 1,
      sym__token_bracket,
    ACTIONS(4225), 1,
      sym__token_anti_markup,
    ACTIONS(4473), 1,
      sym_linebreak,
    ACTIONS(4477), 1,
      anon_sym_COLON,
    ACTIONS(4475), 2,
      sym_quote,
      sym_shorthand,
    STATE(3068), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1012), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24026] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4479), 1,
      sym_linebreak,
    ACTIONS(4483), 1,
      sym__termination,
    ACTIONS(4481), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1048), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24100] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4485), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24174] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4487), 1,
      sym_linebreak,
    ACTIONS(4491), 1,
      sym__termination,
    ACTIONS(4489), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1040), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24248] = 19,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(4159), 1,
      aux_sym_url_token1,
    ACTIONS(4165), 1,
      aux_sym_text_token1,
    ACTIONS(4167), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4169), 1,
      anon_sym_BQUOTE,
    ACTIONS(4171), 1,
      anon_sym_DOLLAR,
    ACTIONS(4173), 1,
      anon_sym_POUND,
    ACTIONS(4175), 1,
      anon_sym_LT,
    ACTIONS(4177), 1,
      anon_sym_AT,
    ACTIONS(4179), 1,
      sym__token_strong,
    ACTIONS(4181), 1,
      sym__token_emph,
    ACTIONS(4183), 1,
      sym__token_bracket,
    ACTIONS(4187), 1,
      sym__token_anti_markup,
    ACTIONS(4294), 1,
      sym_linebreak,
    ACTIONS(4493), 1,
      sym__termination,
    ACTIONS(4296), 2,
      sym_quote,
      sym_shorthand,
    STATE(3069), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1018), 13,
      sym_url,
      sym__brackets,
      sym__markup,
      sym_text,
      sym_strong,
      sym_emph,
      sym_raw_blck,
      sym_raw_span,
      sym_math,
      sym__code,
      sym_label,
      sym_ref,
      aux_sym__line_content_repeat1,
  [24322] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(1689), 12,
      sym__token_content,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      anon_sym_DQUOTE,
      anon_sym_DOT_DOT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(4495), 19,
      anon_sym_BQUOTE,
      sym__identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_context,
      anon_sym_not,
      anon_sym_if,
      anon_sym_let,
      anon_sym_set,
      anon_sym_import,
      anon_sym_include,
      anon_sym_for,
      anon_sym_while,
      anon_sym_show,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      sym_auto,
      sym_none,
  [24363] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(1600), 12,
      sym__token_content,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      anon_sym_DQUOTE,
      anon_sym_DOT_DOT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
    ACTIONS(4497), 19,
      anon_sym_BQUOTE,
      sym__identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_context,
      anon_sym_not,
      anon_sym_if,
      anon_sym_let,
      anon_sym_set,
      anon_sym_import,
      anon_sym_include,
      anon_sym_for,
      anon_sym_while,
      anon_sym_show,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      sym_auto,
      sym_none,
  [24404] = 5,
    ACTIONS(4503), 1,
      sym__indent,
    STATE(1193), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4501), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24447] = 5,
    ACTIONS(4509), 1,
      sym__indent,
    STATE(1132), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4507), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4505), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24490] = 7,
    ACTIONS(4513), 1,
      aux_sym_escape_token1,
    ACTIONS(4518), 1,
      aux_sym_text_token1,
    ACTIONS(4521), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    STATE(1062), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4516), 3,
      sym__lb,
      sym_linebreak,
      anon_sym_BQUOTE,
    ACTIONS(4511), 22,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24537] = 5,
    ACTIONS(4524), 1,
      sym__indent,
    STATE(1216), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4507), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4505), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24580] = 5,
    ACTIONS(4524), 1,
      sym__indent,
    STATE(1217), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4501), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24623] = 5,
    ACTIONS(4509), 1,
      sym__indent,
    STATE(1142), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4528), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4526), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24666] = 5,
    ACTIONS(4509), 1,
      sym__indent,
    STATE(1178), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4532), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4530), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24709] = 7,
    ACTIONS(4534), 1,
      aux_sym_escape_token1,
    ACTIONS(4537), 1,
      aux_sym_text_token1,
    ACTIONS(4540), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    STATE(1067), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4516), 3,
      sym__lb,
      sym_linebreak,
      anon_sym_BQUOTE,
    ACTIONS(4511), 22,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24756] = 5,
    ACTIONS(4509), 1,
      sym__indent,
    STATE(1122), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4545), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24799] = 5,
    ACTIONS(4503), 1,
      sym__indent,
    STATE(1116), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4532), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4530), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24842] = 7,
    ACTIONS(3227), 1,
      aux_sym_escape_token1,
    ACTIONS(4551), 1,
      aux_sym_text_token1,
    ACTIONS(4553), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    STATE(1062), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4549), 3,
      sym__lb,
      sym_linebreak,
      anon_sym_BQUOTE,
    ACTIONS(4547), 22,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24889] = 7,
    ACTIONS(3051), 1,
      aux_sym_escape_token1,
    ACTIONS(4555), 1,
      aux_sym_text_token1,
    ACTIONS(4557), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    STATE(1067), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4549), 3,
      sym__lb,
      sym_linebreak,
      anon_sym_BQUOTE,
    ACTIONS(4547), 22,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24936] = 7,
    ACTIONS(3129), 1,
      aux_sym_escape_token1,
    ACTIONS(4559), 1,
      aux_sym_text_token1,
    ACTIONS(4561), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    STATE(1082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4549), 3,
      sym__lb,
      sym_linebreak,
      anon_sym_BQUOTE,
    ACTIONS(4547), 22,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [24983] = 5,
    ACTIONS(4509), 1,
      sym__indent,
    STATE(1124), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4501), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25026] = 5,
    ACTIONS(4524), 1,
      sym__indent,
    STATE(1186), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4528), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4526), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25069] = 5,
    ACTIONS(4524), 1,
      sym__indent,
    STATE(1203), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4545), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25112] = 5,
    ACTIONS(4503), 1,
      sym__indent,
    STATE(1194), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4507), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4505), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25155] = 5,
    ACTIONS(4524), 1,
      sym__indent,
    STATE(1173), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4532), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4530), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25198] = 5,
    ACTIONS(4509), 1,
      sym__indent,
    STATE(1121), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4565), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4563), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25241] = 5,
    ACTIONS(4524), 1,
      sym__indent,
    STATE(1208), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4565), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4563), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25284] = 5,
    ACTIONS(4503), 1,
      sym__indent,
    STATE(1214), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4528), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4526), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25327] = 5,
    ACTIONS(4503), 1,
      sym__indent,
    STATE(1152), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4545), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25370] = 7,
    ACTIONS(4567), 1,
      aux_sym_escape_token1,
    ACTIONS(4570), 1,
      aux_sym_text_token1,
    ACTIONS(4573), 1,
      sym__token_anti_markup,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    STATE(1082), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(4516), 3,
      sym__lb,
      sym_linebreak,
      anon_sym_BQUOTE,
    ACTIONS(4511), 22,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym_parbreak,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25417] = 5,
    ACTIONS(4503), 1,
      sym__indent,
    STATE(1159), 1,
      sym__indented,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4565), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4563), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25460] = 4,
    ACTIONS(4580), 1,
      sym__immediate_brack,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4578), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4576), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25500] = 4,
    ACTIONS(4582), 1,
      sym__immediate_brack,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4578), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4576), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [25540] = 6,
    ACTIONS(389), 1,
      sym__identifier,
    STATE(1087), 1,
      aux_sym_import_repeat1,
    STATE(1176), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4584), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [25584] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1087), 1,
      aux_sym_import_repeat1,
    STATE(3228), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [25628] = 7,
    ACTIONS(389), 1,
      sym__identifier,
    ACTIONS(4599), 1,
      anon_sym_STAR,
    STATE(1086), 1,
      aux_sym_import_repeat1,
    STATE(1174), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25674] = 6,
    ACTIONS(389), 1,
      sym__identifier,
    STATE(1087), 1,
      aux_sym_import_repeat1,
    STATE(1174), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [25718] = 7,
    ACTIONS(4601), 1,
      sym__identifier,
    ACTIONS(4607), 1,
      anon_sym_STAR,
    STATE(1091), 1,
      aux_sym_import_repeat1,
    STATE(1107), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4603), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25764] = 6,
    ACTIONS(4601), 1,
      sym__identifier,
    STATE(1095), 1,
      aux_sym_import_repeat1,
    STATE(1112), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [25808] = 7,
    ACTIONS(4601), 1,
      sym__identifier,
    ACTIONS(4609), 1,
      anon_sym_STAR,
    STATE(1093), 1,
      aux_sym_import_repeat1,
    STATE(1112), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25854] = 6,
    ACTIONS(4601), 1,
      sym__identifier,
    STATE(1095), 1,
      aux_sym_import_repeat1,
    STATE(1117), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4584), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [25898] = 7,
    ACTIONS(389), 1,
      sym__identifier,
    ACTIONS(4611), 1,
      anon_sym_STAR,
    STATE(1089), 1,
      aux_sym_import_repeat1,
    STATE(1172), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4603), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [25944] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1095), 1,
      aux_sym_import_repeat1,
    STATE(3256), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [25988] = 4,
    ACTIONS(4613), 1,
      sym__immediate_brack,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4578), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4576), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4617), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4615), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26065] = 7,
    ACTIONS(69), 1,
      sym__identifier,
    ACTIONS(4619), 1,
      anon_sym_STAR,
    STATE(1185), 1,
      aux_sym_import_repeat1,
    STATE(1235), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4623), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4621), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26147] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1100), 1,
      aux_sym_import_repeat1,
    STATE(3254), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [26190] = 7,
    ACTIONS(4625), 1,
      sym__identifier,
    ACTIONS(4627), 1,
      anon_sym_STAR,
    STATE(1108), 1,
      aux_sym_import_repeat1,
    STATE(1247), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4595), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4631), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4629), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4635), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4633), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26309] = 6,
    ACTIONS(4625), 1,
      sym__identifier,
    STATE(1181), 1,
      aux_sym_import_repeat1,
    STATE(1247), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4595), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [26352] = 7,
    ACTIONS(4625), 1,
      sym__identifier,
    ACTIONS(4637), 1,
      anon_sym_STAR,
    STATE(1104), 1,
      aux_sym_import_repeat1,
    STATE(1249), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4603), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [26397] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4643), 1,
      sym__token_else,
    STATE(1111), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4645), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [26440] = 5,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    STATE(1276), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [26481] = 6,
    ACTIONS(4625), 1,
      sym__identifier,
    STATE(1181), 1,
      aux_sym_import_repeat1,
    STATE(1245), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4584), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [26524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4651), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4649), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4655), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4653), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26598] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1111), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4661), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [26639] = 5,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    STATE(1261), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [26680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4666), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4670), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4668), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4674), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4672), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4545), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26828] = 5,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    STATE(1257), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [26869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4682), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4686), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4684), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4690), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [26980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4501), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4694), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4692), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4698), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4696), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4702), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4706), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4704), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4690), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4710), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4708), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4714), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4712), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4617), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4615), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4718), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4716), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4722), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4720), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4528), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4526), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4726), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4724), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4714), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4712), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4631), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4629), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4710), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4708), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27572] = 7,
    ACTIONS(223), 1,
      sym__identifier,
    ACTIONS(4728), 1,
      anon_sym_STAR,
    STATE(1145), 1,
      aux_sym_import_repeat1,
    STATE(1318), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4603), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [27617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4686), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4684), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4706), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4704), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4736), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4734), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4740), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4738), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4682), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4635), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4633), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [27876] = 6,
    ACTIONS(223), 1,
      sym__identifier,
    STATE(1100), 1,
      aux_sym_import_repeat1,
    STATE(1320), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [27919] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3633), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [27960] = 6,
    ACTIONS(169), 1,
      sym__identifier,
    STATE(1153), 1,
      aux_sym_import_repeat1,
    STATE(1260), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4584), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [28003] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4752), 1,
      sym__token_else,
    STATE(1106), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4754), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [28046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4736), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4734), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4726), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4724), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4722), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4720), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4694), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4692), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28194] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1153), 1,
      aux_sym_import_repeat1,
    STATE(3230), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [28237] = 6,
    ACTIONS(69), 1,
      sym__identifier,
    STATE(1184), 1,
      aux_sym_import_repeat1,
    STATE(1235), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [28280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4758), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4756), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4623), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4621), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28354] = 7,
    ACTIONS(169), 1,
      sym__identifier,
    ACTIONS(4760), 1,
      anon_sym_STAR,
    STATE(1147), 1,
      aux_sym_import_repeat1,
    STATE(1274), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [28399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4764), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4501), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28510] = 6,
    ACTIONS(169), 1,
      sym__identifier,
    STATE(1153), 1,
      aux_sym_import_repeat1,
    STATE(1274), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [28553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4617), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4615), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4768), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4706), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4704), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4772), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28701] = 7,
    ACTIONS(169), 1,
      sym__identifier,
    ACTIONS(4774), 1,
      anon_sym_STAR,
    STATE(1161), 1,
      aux_sym_import_repeat1,
    STATE(1299), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4603), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [28746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4666), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4682), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4686), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4684), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4690), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4772), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [28931] = 5,
    ACTIONS(4776), 1,
      anon_sym_COMMA2,
    STATE(1295), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [28972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4545), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29009] = 5,
    ACTIONS(4776), 1,
      anon_sym_COMMA2,
    STATE(1300), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [29050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4651), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4649), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29087] = 5,
    ACTIONS(4776), 1,
      anon_sym_COMMA2,
    STATE(1302), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [29128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4710), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4708), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4545), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4543), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4674), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4672), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4670), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4668), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29276] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1181), 1,
      aux_sym_import_repeat1,
    STATE(3249), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4591), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4670), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4668), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29356] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1183), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4778), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [29397] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1184), 1,
      aux_sym_import_repeat1,
    STATE(3240), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29440] = 6,
    ACTIONS(69), 1,
      sym__identifier,
    STATE(1184), 1,
      aux_sym_import_repeat1,
    STATE(1239), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4584), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4740), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4738), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29520] = 7,
    ACTIONS(69), 1,
      sym__identifier,
    ACTIONS(4781), 1,
      anon_sym_STAR,
    STATE(1154), 1,
      aux_sym_import_repeat1,
    STATE(1237), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4603), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [29565] = 6,
    ACTIONS(709), 1,
      sym__identifier,
    STATE(1198), 1,
      aux_sym_import_repeat1,
    STATE(1326), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4584), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4736), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4734), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4764), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4698), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4696), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4726), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4724), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4702), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4528), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4526), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4722), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4720), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4674), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4672), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [29904] = 7,
    ACTIONS(223), 1,
      sym__identifier,
    ACTIONS(4783), 1,
      anon_sym_STAR,
    STATE(1211), 1,
      aux_sym_import_repeat1,
    STATE(1320), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [29949] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1198), 1,
      aux_sym_import_repeat1,
    STATE(3250), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4591), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [29992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4768), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30029] = 7,
    ACTIONS(709), 1,
      sym__identifier,
    ACTIONS(4785), 1,
      anon_sym_STAR,
    STATE(1188), 1,
      aux_sym_import_repeat1,
    STATE(1322), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4595), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [30074] = 6,
    ACTIONS(709), 1,
      sym__identifier,
    STATE(1198), 1,
      aux_sym_import_repeat1,
    STATE(1322), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4595), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [30117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4655), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4653), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4694), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4692), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4714), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4712), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30228] = 7,
    ACTIONS(709), 1,
      sym__identifier,
    ACTIONS(4787), 1,
      anon_sym_STAR,
    STATE(1201), 1,
      aux_sym_import_repeat1,
    STATE(1314), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4603), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [30273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4655), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4653), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4635), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4633), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4501), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4499), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4718), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4716), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4666), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30458] = 6,
    ACTIONS(223), 1,
      sym__identifier,
    STATE(1100), 1,
      aux_sym_import_repeat1,
    STATE(1325), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4584), 15,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [30501] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3554), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [30542] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4789), 1,
      sym__token_else,
    STATE(1183), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4791), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [30585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4740), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4738), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4718), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4716), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4528), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4526), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4702), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4700), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4698), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4696), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4768), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4732), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4758), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4756), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4623), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4621), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4631), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4629), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4758), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4756), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [30992] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4793), 1,
      sym__token_else,
    STATE(1213), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4795), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4651), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4649), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4764), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4762), 24,
      sym__dedent,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4772), 4,
      sym__lb,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 24,
      sym__redent,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_item,
      sym__token_term,
      sym__token_head_1,
      sym__token_head_2,
      sym__token_head_3,
      sym__token_head_4,
      sym__token_head_5,
      sym__token_head_p,
      sym__token_anti_markup,
      ts_builtin_sym_end,
      sym_parbreak,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [31146] = 7,
    ACTIONS(285), 1,
      sym__identifier,
    ACTIONS(4797), 1,
      anon_sym_STAR,
    STATE(1240), 1,
      aux_sym_import_repeat1,
    STATE(1533), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4603), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [31190] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [31226] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31262] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31298] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31334] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3607), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31374] = 5,
    ACTIONS(4815), 1,
      anon_sym_COMMA2,
    STATE(1485), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31414] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1236), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4817), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31454] = 5,
    ACTIONS(4815), 1,
      anon_sym_COMMA2,
    STATE(1439), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31494] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4820), 1,
      sym__token_else,
    STATE(1236), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4822), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31536] = 5,
    ACTIONS(4815), 1,
      anon_sym_COMMA2,
    STATE(1494), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31576] = 6,
    ACTIONS(285), 1,
      sym__identifier,
    STATE(1243), 1,
      aux_sym_import_repeat1,
    STATE(1514), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31618] = 7,
    ACTIONS(285), 1,
      sym__identifier,
    ACTIONS(4824), 1,
      anon_sym_STAR,
    STATE(1244), 1,
      aux_sym_import_repeat1,
    STATE(1514), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [31662] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31698] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1243), 1,
      aux_sym_import_repeat1,
    STATE(3226), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4591), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31740] = 6,
    ACTIONS(285), 1,
      sym__identifier,
    STATE(1243), 1,
      aux_sym_import_repeat1,
    STATE(1508), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4584), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [31782] = 5,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    STATE(1406), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [31822] = 4,
    ACTIONS(4832), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31860] = 5,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    STATE(1399), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [31900] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4834), 1,
      sym__token_else,
    STATE(1238), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4836), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [31942] = 5,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    STATE(1341), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [31982] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32018] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4838), 1,
      sym__token_else,
    STATE(1336), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4840), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32060] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32096] = 21,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4872), 1,
      anon_sym_as,
    ACTIONS(4874), 1,
      anon_sym_COLON2,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    STATE(1542), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4844), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [32168] = 7,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(4880), 1,
      anon_sym_STAR,
    STATE(1255), 1,
      aux_sym_import_repeat1,
    STATE(1281), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4603), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [32212] = 6,
    ACTIONS(949), 1,
      sym__identifier,
    STATE(1266), 1,
      aux_sym_import_repeat1,
    STATE(1286), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4595), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [32254] = 7,
    ACTIONS(949), 1,
      sym__identifier,
    ACTIONS(4882), 1,
      anon_sym_STAR,
    STATE(1267), 1,
      aux_sym_import_repeat1,
    STATE(1286), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4595), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [32298] = 4,
    ACTIONS(4888), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32336] = 7,
    ACTIONS(443), 1,
      sym__identifier,
    ACTIONS(4890), 1,
      anon_sym_STAR,
    STATE(1264), 1,
      aux_sym_import_repeat1,
    STATE(1520), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4603), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [32380] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3581), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32420] = 5,
    ACTIONS(4892), 1,
      anon_sym_COMMA2,
    STATE(1377), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32460] = 4,
    ACTIONS(4888), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32498] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4894), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [32534] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32570] = 6,
    ACTIONS(443), 1,
      sym__identifier,
    STATE(1270), 1,
      aux_sym_import_repeat1,
    STATE(1503), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [32612] = 7,
    ACTIONS(443), 1,
      sym__identifier,
    ACTIONS(4902), 1,
      anon_sym_STAR,
    STATE(1271), 1,
      aux_sym_import_repeat1,
    STATE(1503), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [32656] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1266), 1,
      aux_sym_import_repeat1,
    STATE(3224), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4591), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [32698] = 6,
    ACTIONS(949), 1,
      sym__identifier,
    STATE(1266), 1,
      aux_sym_import_repeat1,
    STATE(1287), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4584), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [32740] = 4,
    ACTIONS(4904), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [32778] = 21,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4934), 1,
      anon_sym_as,
    ACTIONS(4936), 1,
      anon_sym_COLON2,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    STATE(1510), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4844), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [32850] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1270), 1,
      aux_sym_import_repeat1,
    STATE(3223), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4591), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [32892] = 6,
    ACTIONS(443), 1,
      sym__identifier,
    STATE(1270), 1,
      aux_sym_import_repeat1,
    STATE(1483), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4584), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [32934] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3683), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [32974] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4942), 1,
      sym__token_else,
    STATE(1275), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4944), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [33016] = 5,
    ACTIONS(4892), 1,
      anon_sym_COMMA2,
    STATE(1380), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33056] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4946), 1,
      sym__token_else,
    STATE(1282), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4948), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [33098] = 4,
    ACTIONS(4888), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33136] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3870), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [33176] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33212] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [33248] = 6,
    ACTIONS(4954), 1,
      anon_sym_as,
    ACTIONS(4956), 1,
      anon_sym_COMMA2,
    STATE(1822), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [33290] = 6,
    ACTIONS(4958), 1,
      anon_sym_as,
    ACTIONS(4960), 1,
      anon_sym_COMMA2,
    STATE(1740), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [33332] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1282), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4962), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 17,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [33372] = 6,
    ACTIONS(4965), 1,
      sym__identifier,
    STATE(1280), 1,
      sym_ident,
    STATE(1284), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4584), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [33414] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1284), 1,
      aux_sym_import_repeat1,
    STATE(3245), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4591), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [33456] = 6,
    ACTIONS(4954), 1,
      anon_sym_as,
    ACTIONS(4956), 1,
      anon_sym_COMMA2,
    STATE(1827), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [33498] = 6,
    ACTIONS(4958), 1,
      anon_sym_as,
    ACTIONS(4960), 1,
      anon_sym_COMMA2,
    STATE(1749), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [33540] = 6,
    ACTIONS(4958), 1,
      anon_sym_as,
    ACTIONS(4960), 1,
      anon_sym_COMMA2,
    STATE(1753), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [33582] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33618] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33654] = 7,
    ACTIONS(4965), 1,
      sym__identifier,
    ACTIONS(4967), 1,
      anon_sym_STAR,
    STATE(1283), 1,
      aux_sym_import_repeat1,
    STATE(1285), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4595), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [33698] = 6,
    ACTIONS(4965), 1,
      sym__identifier,
    STATE(1284), 1,
      aux_sym_import_repeat1,
    STATE(1285), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4595), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [33740] = 6,
    ACTIONS(4954), 1,
      anon_sym_as,
    ACTIONS(4956), 1,
      anon_sym_COMMA2,
    STATE(1833), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [33782] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3658), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33822] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [33858] = 4,
    ACTIONS(4969), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33896] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [33932] = 21,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4872), 1,
      anon_sym_as,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(4971), 1,
      anon_sym_COLON2,
    STATE(1909), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4844), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [34004] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4894), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [34040] = 5,
    ACTIONS(4892), 1,
      anon_sym_COMMA2,
    STATE(1391), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34080] = 4,
    ACTIONS(4969), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34118] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1301), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4973), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34158] = 4,
    ACTIONS(4969), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34196] = 7,
    ACTIONS(4965), 1,
      sym__identifier,
    ACTIONS(4976), 1,
      anon_sym_STAR,
    STATE(1291), 1,
      aux_sym_import_repeat1,
    STATE(1292), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4603), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [34240] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4978), 1,
      sym__token_else,
    STATE(1313), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4980), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34282] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34318] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [34354] = 21,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4934), 1,
      anon_sym_as,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(4986), 1,
      anon_sym_COLON2,
    STATE(1972), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4844), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [34426] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34462] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4992), 1,
      sym__token_else,
    STATE(1323), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4994), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [34504] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [34540] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34576] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34612] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4996), 1,
      sym__token_else,
    STATE(1316), 1,
      aux_sym_branch_repeat1,
    ACTIONS(4998), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34654] = 5,
    ACTIONS(5000), 1,
      anon_sym_COMMA2,
    STATE(1464), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [34694] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34730] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1316), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5002), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34770] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34806] = 5,
    ACTIONS(5009), 1,
      anon_sym_COMMA2,
    STATE(1615), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34846] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34882] = 5,
    ACTIONS(5009), 1,
      anon_sym_COMMA2,
    STATE(1600), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34922] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [34958] = 5,
    ACTIONS(5000), 1,
      anon_sym_COMMA2,
    STATE(1459), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [34998] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5011), 1,
      sym__token_else,
    STATE(1331), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5013), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [35040] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35076] = 5,
    ACTIONS(5009), 1,
      anon_sym_COMMA2,
    STATE(1587), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35116] = 5,
    ACTIONS(5000), 1,
      anon_sym_COMMA2,
    STATE(1453), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [35156] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    STATE(1328), 1,
      aux_sym_import_repeat1,
    STATE(1383), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4584), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [35198] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1328), 1,
      aux_sym_import_repeat1,
    STATE(3239), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4591), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [35240] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(5015), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      aux_sym_import_repeat1,
    STATE(1373), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [35284] = 6,
    ACTIONS(337), 1,
      sym__identifier,
    STATE(1328), 1,
      aux_sym_import_repeat1,
    STATE(1373), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [35326] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1331), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5017), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 17,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [35366] = 7,
    ACTIONS(337), 1,
      sym__identifier,
    ACTIONS(5020), 1,
      anon_sym_STAR,
    STATE(1330), 1,
      aux_sym_import_repeat1,
    STATE(1362), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4603), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_as,
  [35410] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35446] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35482] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [35518] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5022), 1,
      sym__token_else,
    STATE(1301), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5024), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35560] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5026), 1,
      sym__token_else,
    STATE(1449), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5028), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [35601] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35636] = 21,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5062), 1,
      anon_sym_as,
    ACTIONS(5064), 1,
      anon_sym_COLON2,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    STATE(2083), 1,
      sym_as,
    ACTIONS(4844), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [35707] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5072), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5070), 20,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [35742] = 4,
    ACTIONS(5074), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [35779] = 7,
    ACTIONS(5076), 1,
      sym__identifier,
    ACTIONS(5078), 1,
      anon_sym_STAR,
    STATE(1344), 1,
      sym_ident,
    STATE(1347), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4605), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [35822] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [35857] = 6,
    ACTIONS(5080), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_COMMA2,
    STATE(2076), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [35898] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [35933] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4591), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [35968] = 6,
    ACTIONS(5076), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_ident,
    STATE(1372), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [36009] = 7,
    ACTIONS(5076), 1,
      sym__identifier,
    ACTIONS(5088), 1,
      anon_sym_STAR,
    STATE(1350), 1,
      sym_ident,
    STATE(1351), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4597), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [36052] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36087] = 6,
    ACTIONS(5080), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_COMMA2,
    STATE(2071), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [36128] = 6,
    ACTIONS(5076), 1,
      sym__identifier,
    STATE(1372), 1,
      aux_sym_import_repeat1,
    STATE(1461), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [36169] = 19,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5098), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [36236] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36271] = 10,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36320] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36355] = 6,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36396] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36431] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [36466] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5108), 1,
      sym__token_else,
    STATE(1370), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5110), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [36507] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36542] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36577] = 5,
    ACTIONS(5112), 1,
      anon_sym_COMMA2,
    STATE(1940), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [36616] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36651] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5120), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5118), 20,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [36686] = 18,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36751] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [36786] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36821] = 18,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5128), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36886] = 18,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [36951] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1370), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5134), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [36990] = 8,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37035] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1372), 1,
      aux_sym_import_repeat1,
    STATE(3227), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4591), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4593), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [37076] = 5,
    ACTIONS(5112), 1,
      anon_sym_COMMA2,
    STATE(1811), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [37115] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5141), 1,
      sym__token_else,
    STATE(1359), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5143), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [37156] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37191] = 7,
    ACTIONS(4601), 1,
      sym__identifier,
    ACTIONS(4607), 1,
      anon_sym_STAR,
    STATE(1379), 1,
      sym_ident,
    STATE(1456), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 8,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4603), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [37234] = 4,
    ACTIONS(5149), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37271] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37306] = 6,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    ACTIONS(5155), 1,
      anon_sym_as,
    STATE(1276), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 12,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
  [37347] = 4,
    ACTIONS(5149), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37384] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4894), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [37419] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [37454] = 5,
    ACTIONS(5112), 1,
      anon_sym_COMMA2,
    STATE(1930), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [37493] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37528] = 10,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37577] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37612] = 6,
    ACTIONS(5165), 1,
      sym__immediate_math_call,
    ACTIONS(5167), 1,
      sym__immediate_math_apply,
    ACTIONS(5169), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [37653] = 12,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 10,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37706] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37741] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [37776] = 4,
    ACTIONS(5149), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37813] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37848] = 6,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [37889] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [37924] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3788), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [37963] = 6,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38004] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COLON2,
    ACTIONS(4894), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [38074] = 4,
    ACTIONS(5074), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [38111] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [38146] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38181] = 14,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5187), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5189), 7,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38238] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38273] = 15,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5193), 6,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38332] = 17,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38395] = 4,
    ACTIONS(5074), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [38432] = 18,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38497] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [38532] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38567] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [38602] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38637] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38672] = 21,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5231), 1,
      anon_sym_as,
    ACTIONS(5233), 1,
      anon_sym_COLON2,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    STATE(2392), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [38743] = 18,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38808] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38843] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38878] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38913] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38948] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [38983] = 18,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39048] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39083] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39118] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39153] = 19,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5249), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [39220] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39255] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39290] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39325] = 21,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5279), 1,
      anon_sym_as,
    ACTIONS(5281), 1,
      anon_sym_COLON2,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    STATE(1880), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [39396] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [39431] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39466] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39501] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3814), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [39540] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39575] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [39610] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39645] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39680] = 21,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5323), 1,
      anon_sym_as,
    ACTIONS(5325), 1,
      anon_sym_COLON2,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    STATE(1878), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [39751] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39786] = 4,
    ACTIONS(5331), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39823] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39858] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39893] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [39928] = 21,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5361), 1,
      anon_sym_as,
    ACTIONS(5363), 1,
      anon_sym_COLON2,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    STATE(1854), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [39999] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40034] = 6,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    ACTIONS(5155), 1,
      anon_sym_as,
    STATE(1261), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 12,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
  [40075] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40110] = 4,
    ACTIONS(5373), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40147] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40182] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5375), 1,
      sym__token_else,
    STATE(1462), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5377), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [40223] = 10,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40272] = 18,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40337] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [40372] = 4,
    ACTIONS(5379), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [40409] = 4,
    ACTIONS(5381), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [40446] = 8,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40491] = 6,
    ACTIONS(4601), 1,
      sym__identifier,
    STATE(1095), 1,
      aux_sym_import_repeat1,
    STATE(1445), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 8,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [40532] = 7,
    ACTIONS(4601), 1,
      sym__identifier,
    ACTIONS(4609), 1,
      anon_sym_STAR,
    STATE(1445), 1,
      sym_ident,
    STATE(1506), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 8,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4595), 13,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [40575] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40610] = 4,
    ACTIONS(5379), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [40647] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4894), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [40682] = 6,
    ACTIONS(5080), 1,
      anon_sym_as,
    ACTIONS(5082), 1,
      anon_sym_COMMA2,
    STATE(2073), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [40723] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1462), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5387), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [40762] = 6,
    ACTIONS(5390), 1,
      anon_sym_as,
    ACTIONS(5392), 1,
      anon_sym_COMMA2,
    STATE(2389), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [40803] = 4,
    ACTIONS(5379), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [40840] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [40875] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [40910] = 18,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5128), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [40975] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41010] = 18,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41075] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COLON2,
    ACTIONS(4591), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [41110] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41145] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [41180] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [41215] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41250] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41285] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41320] = 6,
    ACTIONS(655), 1,
      sym__identifier,
    STATE(1463), 1,
      sym_ident,
    STATE(1478), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4584), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [41361] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1478), 1,
      aux_sym_import_repeat1,
    STATE(3258), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4591), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [41402] = 6,
    ACTIONS(5390), 1,
      anon_sym_as,
    ACTIONS(5392), 1,
      anon_sym_COMMA2,
    STATE(2395), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [41443] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [41478] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4894), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [41513] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [41548] = 5,
    ACTIONS(5394), 1,
      anon_sym_COMMA2,
    STATE(1785), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [41587] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [41622] = 4,
    ACTIONS(5331), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41659] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41694] = 6,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    ACTIONS(5155), 1,
      anon_sym_as,
    STATE(1257), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 12,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
  [41735] = 6,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41776] = 6,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41817] = 8,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41862] = 8,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41907] = 10,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [41956] = 12,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 10,
      sym__token_content,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42009] = 4,
    ACTIONS(5331), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42046] = 14,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5187), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5189), 7,
      sym__token_content,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42103] = 4,
    ACTIONS(5396), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [42140] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4591), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [42175] = 21,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5231), 1,
      anon_sym_as,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5398), 1,
      anon_sym_COLON2,
    STATE(1763), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [42246] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [42281] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [42316] = 19,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5400), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [42383] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 19,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [42418] = 5,
    ACTIONS(5394), 1,
      anon_sym_COMMA2,
    STATE(1786), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [42457] = 18,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42522] = 21,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5279), 1,
      anon_sym_as,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5404), 1,
      anon_sym_COLON2,
    STATE(2102), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [42593] = 6,
    ACTIONS(4601), 1,
      sym__identifier,
    STATE(1095), 1,
      aux_sym_import_repeat1,
    STATE(1487), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 8,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4584), 14,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [42634] = 18,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42699] = 5,
    ACTIONS(5408), 1,
      anon_sym_COMMA2,
    STATE(1661), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [42738] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42773] = 4,
    ACTIONS(5410), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
  [42810] = 7,
    ACTIONS(655), 1,
      sym__identifier,
    ACTIONS(5412), 1,
      anon_sym_STAR,
    STATE(1477), 1,
      aux_sym_import_repeat1,
    STATE(1479), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4595), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [42853] = 6,
    ACTIONS(655), 1,
      sym__identifier,
    STATE(1478), 1,
      aux_sym_import_repeat1,
    STATE(1479), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4595), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [42894] = 15,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5191), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5193), 6,
      sym__token_content,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [42953] = 5,
    ACTIONS(5408), 1,
      anon_sym_COMMA2,
    STATE(1657), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [42992] = 6,
    ACTIONS(5390), 1,
      anon_sym_as,
    ACTIONS(5392), 1,
      anon_sym_COMMA2,
    STATE(2062), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [43033] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43068] = 7,
    ACTIONS(555), 1,
      sym__identifier,
    ACTIONS(5414), 1,
      anon_sym_STAR,
    STATE(1547), 1,
      aux_sym_import_repeat1,
    STATE(1597), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4603), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [43111] = 17,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43174] = 18,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43239] = 5,
    ACTIONS(5394), 1,
      anon_sym_COMMA2,
    STATE(1762), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [43278] = 18,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43343] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [43378] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [43413] = 18,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43478] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43513] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1526), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5416), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [43552] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [43587] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43622] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [43657] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [43692] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43727] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [43762] = 5,
    ACTIONS(5408), 1,
      anon_sym_COMMA2,
    STATE(1648), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [43801] = 4,
    ACTIONS(5419), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [43838] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5421), 1,
      sym__token_else,
    STATE(1526), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5423), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [43879] = 7,
    ACTIONS(1089), 1,
      sym__identifier,
    ACTIONS(5425), 1,
      anon_sym_STAR,
    STATE(1550), 1,
      sym_ident,
    STATE(1552), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4605), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [43922] = 21,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5062), 1,
      anon_sym_as,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5427), 1,
      anon_sym_COLON2,
    STATE(1717), 1,
      sym_as,
    ACTIONS(4844), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43993] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44028] = 4,
    ACTIONS(5433), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5431), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5429), 20,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [44065] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44100] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [44135] = 4,
    ACTIONS(5435), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
  [44172] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5437), 1,
      sym__token_else,
    STATE(1535), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5439), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [44213] = 21,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5361), 1,
      anon_sym_as,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(5441), 1,
      anon_sym_COLON2,
    STATE(2273), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [44284] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44319] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44354] = 6,
    ACTIONS(555), 1,
      sym__identifier,
    STATE(1558), 1,
      aux_sym_import_repeat1,
    STATE(1592), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4595), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [44395] = 7,
    ACTIONS(555), 1,
      sym__identifier,
    ACTIONS(5443), 1,
      anon_sym_STAR,
    STATE(1560), 1,
      aux_sym_import_repeat1,
    STATE(1592), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4595), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [44438] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44473] = 6,
    ACTIONS(5445), 1,
      anon_sym_as,
    ACTIONS(5447), 1,
      anon_sym_COMMA2,
    STATE(2126), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [44514] = 6,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA2,
    STATE(2261), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [44555] = 6,
    ACTIONS(1089), 1,
      sym__identifier,
    STATE(1554), 1,
      aux_sym_import_repeat1,
    STATE(1570), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [44596] = 7,
    ACTIONS(1089), 1,
      sym__identifier,
    ACTIONS(5453), 1,
      anon_sym_STAR,
    STATE(1556), 1,
      aux_sym_import_repeat1,
    STATE(1570), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4597), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [44639] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1554), 1,
      aux_sym_import_repeat1,
    STATE(3232), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4591), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4593), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [44680] = 18,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44745] = 6,
    ACTIONS(1089), 1,
      sym__identifier,
    STATE(1554), 1,
      aux_sym_import_repeat1,
    STATE(1562), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [44786] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44821] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1558), 1,
      aux_sym_import_repeat1,
    STATE(3222), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4591), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [44862] = 18,
    ACTIONS(4906), 1,
      anon_sym_COLON,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [44927] = 6,
    ACTIONS(555), 1,
      sym__identifier,
    STATE(1558), 1,
      aux_sym_import_repeat1,
    STATE(1584), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4584), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [44968] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45003] = 6,
    ACTIONS(5445), 1,
      anon_sym_as,
    ACTIONS(5447), 1,
      anon_sym_COMMA2,
    STATE(2190), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [45044] = 6,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      sym__token_content,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45085] = 14,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5457), 7,
      sym__token_content,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45142] = 18,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45207] = 18,
    ACTIONS(4908), 1,
      aux_sym_assign_token1,
    ACTIONS(4910), 1,
      anon_sym_EQ_GT,
    ACTIONS(4912), 1,
      anon_sym_or,
    ACTIONS(4914), 1,
      anon_sym_not,
    ACTIONS(4916), 1,
      anon_sym_and,
    ACTIONS(4922), 1,
      anon_sym_in,
    ACTIONS(4924), 1,
      anon_sym_PLUS,
    ACTIONS(4926), 1,
      anon_sym_DASH,
    ACTIONS(4928), 1,
      anon_sym_STAR,
    ACTIONS(4930), 1,
      anon_sym_SLASH,
    ACTIONS(4932), 1,
      anon_sym_DOT,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4918), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4920), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 5,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45272] = 4,
    ACTIONS(5467), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45309] = 6,
    ACTIONS(763), 1,
      sym__identifier,
    STATE(1551), 1,
      sym_ident,
    STATE(1571), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4584), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [45350] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [45385] = 6,
    ACTIONS(5445), 1,
      anon_sym_as,
    ACTIONS(5447), 1,
      anon_sym_COMMA2,
    STATE(2172), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [45426] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1571), 1,
      aux_sym_import_repeat1,
    STATE(3225), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4591), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [45467] = 18,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45532] = 6,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA2,
    STATE(2260), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [45573] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1574), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5469), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [45612] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45647] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45682] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3709), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [45721] = 14,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5457), 7,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45778] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3738), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [45817] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3932), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [45856] = 7,
    ACTIONS(763), 1,
      sym__identifier,
    ACTIONS(5472), 1,
      anon_sym_STAR,
    STATE(1568), 1,
      aux_sym_import_repeat1,
    STATE(1573), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4595), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [45899] = 18,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [45964] = 6,
    ACTIONS(763), 1,
      sym__identifier,
    STATE(1571), 1,
      aux_sym_import_repeat1,
    STATE(1573), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4595), 13,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [46005] = 6,
    ACTIONS(5474), 1,
      anon_sym_as,
    ACTIONS(5476), 1,
      anon_sym_COMMA2,
    STATE(2223), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [46046] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46081] = 6,
    ACTIONS(5449), 1,
      anon_sym_as,
    ACTIONS(5451), 1,
      anon_sym_COMMA2,
    STATE(2256), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [46122] = 4,
    ACTIONS(5478), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46159] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [46194] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46229] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [46264] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5480), 1,
      sym__token_else,
    STATE(1574), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5482), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46305] = 6,
    ACTIONS(5474), 1,
      anon_sym_as,
    ACTIONS(5476), 1,
      anon_sym_COMMA2,
    STATE(2226), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [46346] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1593), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5484), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46385] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46420] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 19,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [46455] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46490] = 6,
    ACTIONS(5474), 1,
      anon_sym_as,
    ACTIONS(5476), 1,
      anon_sym_COMMA2,
    STATE(2231), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [46531] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46566] = 7,
    ACTIONS(655), 1,
      sym__identifier,
    ACTIONS(5487), 1,
      anon_sym_STAR,
    STATE(1512), 1,
      aux_sym_import_repeat1,
    STATE(1515), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4603), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [46609] = 4,
    ACTIONS(5478), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46646] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(4894), 16,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [46681] = 21,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5323), 1,
      anon_sym_as,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(5489), 1,
      anon_sym_COLON2,
    STATE(2228), 1,
      sym_as,
    ACTIONS(4844), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [46752] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46787] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46822] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5491), 1,
      sym__token_else,
    STATE(1593), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5493), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46863] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5495), 1,
      sym__token_else,
    STATE(1605), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5497), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [46904] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 17,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [46939] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [46974] = 7,
    ACTIONS(763), 1,
      sym__identifier,
    ACTIONS(5499), 1,
      anon_sym_STAR,
    STATE(1583), 1,
      aux_sym_import_repeat1,
    STATE(1586), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4603), 12,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [47017] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47052] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5501), 1,
      sym__token_else,
    STATE(1591), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5503), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [47093] = 19,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5505), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5096), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [47160] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47195] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47230] = 4,
    ACTIONS(5478), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47267] = 6,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47307] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [47341] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47375] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47409] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47443] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5535), 1,
      anon_sym_LBRACE,
    ACTIONS(5537), 1,
      sym__token_content,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47511] = 10,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47559] = 18,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47623] = 20,
    ACTIONS(143), 1,
      anon_sym_LBRACE,
    ACTIONS(167), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1912), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47691] = 20,
    ACTIONS(143), 1,
      anon_sym_LBRACE,
    ACTIONS(167), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1994), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47759] = 18,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [47823] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47857] = 18,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5128), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [47921] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [47955] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48019] = 20,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(493), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2317), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48087] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48121] = 20,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(493), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2274), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48189] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5543), 1,
      anon_sym_LBRACE,
    ACTIONS(5545), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2270), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48257] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48291] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48325] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48359] = 18,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [48423] = 20,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(807), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2702), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48491] = 20,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(807), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2695), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48559] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [48593] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48627] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48661] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5547), 1,
      anon_sym_LBRACE,
    ACTIONS(5549), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48729] = 6,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [48769] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48803] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4591), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [48837] = 4,
    ACTIONS(5551), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [48873] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [48907] = 20,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1139), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2508), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48975] = 8,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49019] = 20,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1139), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2597), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49087] = 8,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49131] = 10,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49179] = 12,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 9,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49231] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4894), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [49265] = 4,
    ACTIONS(5551), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [49301] = 14,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5187), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49357] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5553), 1,
      anon_sym_LBRACE,
    ACTIONS(5555), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1718), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49425] = 19,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(5557), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [49491] = 4,
    ACTIONS(5551), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [49527] = 15,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5191), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49585] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5559), 1,
      anon_sym_LBRACE,
    ACTIONS(5561), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1946), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49653] = 20,
    ACTIONS(681), 1,
      anon_sym_LBRACE,
    ACTIONS(705), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2440), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49721] = 20,
    ACTIONS(681), 1,
      anon_sym_LBRACE,
    ACTIONS(705), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2412), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [49789] = 4,
    ACTIONS(5563), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [49825] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [49859] = 17,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49921] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [49985] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [50019] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [50053] = 18,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50117] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [50151] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [50185] = 18,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50249] = 4,
    ACTIONS(5565), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [50285] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50319] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4894), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [50353] = 20,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(387), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2362), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50421] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [50455] = 20,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(387), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2313), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50523] = 18,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [50587] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [50621] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5567), 1,
      anon_sym_LBRACE,
    ACTIONS(5569), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1337), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50689] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [50723] = 6,
    ACTIONS(849), 1,
      sym__identifier,
    STATE(1780), 1,
      aux_sym_import_repeat1,
    STATE(1781), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4595), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [50763] = 20,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    ACTIONS(545), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2307), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50831] = 20,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    ACTIONS(545), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2279), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50899] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1689), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5571), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 14,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [50937] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1690), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5574), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 14,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [50975] = 20,
    ACTIONS(869), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2824), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51043] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [51077] = 20,
    ACTIONS(869), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2977), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51145] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [51179] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5577), 1,
      anon_sym_LBRACE,
    ACTIONS(5579), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1374), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51247] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [51281] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [51315] = 4,
    ACTIONS(5581), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [51351] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5583), 1,
      anon_sym_LBRACE,
    ACTIONS(5585), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1742), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51419] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5587), 1,
      anon_sym_LBRACE,
    ACTIONS(5589), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1847), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51487] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5591), 1,
      sym__token_else,
    STATE(1690), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5593), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [51527] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [51561] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [51595] = 20,
    ACTIONS(575), 1,
      anon_sym_LBRACE,
    ACTIONS(599), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2696), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51663] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [51697] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [51731] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [51765] = 20,
    ACTIONS(575), 1,
      anon_sym_LBRACE,
    ACTIONS(599), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2694), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51833] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5595), 1,
      sym__token_else,
    STATE(1689), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5597), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [51873] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5599), 1,
      anon_sym_LBRACE,
    ACTIONS(5601), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1606), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51941] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(335), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2169), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52009] = 20,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(335), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2175), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52077] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5603), 1,
      anon_sym_LBRACE,
    ACTIONS(5605), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1543), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52145] = 20,
    ACTIONS(975), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2155), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52213] = 20,
    ACTIONS(975), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2129), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52281] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5607), 1,
      anon_sym_LBRACE,
    ACTIONS(5609), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1273), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52349] = 4,
    ACTIONS(5611), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
  [52385] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5613), 1,
      sym__token_else,
    STATE(1709), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5615), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [52425] = 20,
    ACTIONS(757), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1794), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52493] = 18,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52557] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [52591] = 20,
    ACTIONS(757), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1837), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52659] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [52693] = 18,
    ACTIONS(5203), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52757] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52791] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [52825] = 6,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52865] = 14,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5457), 6,
      sym__token_blocked_expr_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52921] = 18,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [52985] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53019] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53053] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53087] = 18,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53151] = 20,
    ACTIONS(621), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2594), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53219] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [53253] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [53287] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [53321] = 20,
    ACTIONS(621), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2752), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53389] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4591), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [53423] = 4,
    ACTIONS(5617), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53459] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5619), 1,
      anon_sym_LBRACE,
    ACTIONS(5621), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2084), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53527] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5623), 1,
      sym__token_else,
    STATE(1701), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5625), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [53567] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [53601] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [53635] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [53669] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [53703] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [53737] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4894), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [53771] = 4,
    ACTIONS(5617), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [53807] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5627), 1,
      anon_sym_LBRACE,
    ACTIONS(5629), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1304), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53875] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [53909] = 20,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1886), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [53977] = 4,
    ACTIONS(5617), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [54013] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54047] = 20,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1929), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54115] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [54149] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [54183] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5631), 1,
      anon_sym_LBRACE,
    ACTIONS(5633), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1225), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54251] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4591), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [54285] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54319] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3962), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [54357] = 4,
    ACTIONS(5635), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [54393] = 4,
    ACTIONS(5637), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
  [54429] = 18,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54493] = 18,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54557] = 14,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5455), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 7,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54613] = 6,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54653] = 19,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5639), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [54719] = 18,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54783] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [54817] = 18,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [54881] = 20,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1378), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [54949] = 20,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1509), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55017] = 6,
    ACTIONS(5641), 1,
      anon_sym_as,
    ACTIONS(5643), 1,
      anon_sym_COMMA2,
    STATE(2781), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [55057] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5645), 1,
      anon_sym_LBRACE,
    ACTIONS(5647), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1251), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55125] = 20,
    ACTIONS(95), 1,
      anon_sym_LBRACE,
    ACTIONS(119), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2009), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55193] = 20,
    ACTIONS(95), 1,
      anon_sym_LBRACE,
    ACTIONS(119), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1842), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55261] = 6,
    ACTIONS(849), 1,
      sym__identifier,
    STATE(1774), 1,
      sym_ident,
    STATE(1780), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4584), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [55301] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5649), 1,
      anon_sym_LBRACE,
    ACTIONS(5651), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1248), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55369] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(1780), 1,
      aux_sym_import_repeat1,
    STATE(3242), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4591), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [55409] = 6,
    ACTIONS(5641), 1,
      anon_sym_as,
    ACTIONS(5643), 1,
      anon_sym_COMMA2,
    STATE(2767), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [55449] = 20,
    ACTIONS(243), 1,
      anon_sym_LBRACE,
    ACTIONS(267), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1677), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55517] = 20,
    ACTIONS(243), 1,
      anon_sym_LBRACE,
    ACTIONS(267), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1636), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55585] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [55619] = 4,
    ACTIONS(5635), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [55655] = 4,
    ACTIONS(5635), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [55691] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3763), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [55729] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [55763] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [55797] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [55831] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(1791), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5653), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_content,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [55869] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5656), 1,
      anon_sym_LBRACE,
    ACTIONS(5658), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1148), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55937] = 20,
    ACTIONS(437), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1525), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56005] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56039] = 18,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5243), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56103] = 20,
    ACTIONS(437), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56171] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56205] = 18,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56269] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56333] = 17,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [56395] = 15,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 6,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56453] = 7,
    ACTIONS(849), 1,
      sym__identifier,
    ACTIONS(5660), 1,
      anon_sym_STAR,
    STATE(1778), 1,
      aux_sym_import_repeat1,
    STATE(1781), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4597), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [56495] = 14,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 7,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56551] = 12,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 11,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56603] = 10,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56651] = 8,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56695] = 8,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56739] = 6,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56779] = 6,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56819] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56853] = 4,
    ACTIONS(5662), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [56889] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [56923] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [56957] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [56991] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [57025] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [57059] = 18,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [57123] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57187] = 18,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5128), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57251] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [57285] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [57319] = 4,
    ACTIONS(5664), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [57355] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [57389] = 6,
    ACTIONS(5641), 1,
      anon_sym_as,
    ACTIONS(5643), 1,
      anon_sym_COMMA2,
    STATE(2634), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [57429] = 18,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      aux_sym_assign_token1,
    ACTIONS(5255), 1,
      anon_sym_EQ_GT,
    ACTIONS(5257), 1,
      anon_sym_or,
    ACTIONS(5259), 1,
      anon_sym_not,
    ACTIONS(5261), 1,
      anon_sym_and,
    ACTIONS(5267), 1,
      anon_sym_in,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(5263), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5122), 4,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5265), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57493] = 10,
    ACTIONS(5269), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_DASH,
    ACTIONS(5273), 1,
      anon_sym_STAR,
    ACTIONS(5275), 1,
      anon_sym_SLASH,
    ACTIONS(5277), 1,
      anon_sym_DOT,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 13,
      sym__token_content,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [57541] = 4,
    ACTIONS(5664), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [57577] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [57611] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [57645] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4894), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [57679] = 21,
    ACTIONS(4842), 1,
      anon_sym_COLON,
    ACTIONS(4844), 1,
      anon_sym_EQ,
    ACTIONS(4846), 1,
      aux_sym_assign_token1,
    ACTIONS(4848), 1,
      anon_sym_EQ_GT,
    ACTIONS(4850), 1,
      anon_sym_or,
    ACTIONS(4852), 1,
      anon_sym_not,
    ACTIONS(4854), 1,
      anon_sym_and,
    ACTIONS(4860), 1,
      anon_sym_in,
    ACTIONS(4862), 1,
      anon_sym_PLUS,
    ACTIONS(4864), 1,
      anon_sym_DASH,
    ACTIONS(4866), 1,
      anon_sym_STAR,
    ACTIONS(4868), 1,
      anon_sym_SLASH,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4872), 1,
      anon_sym_as,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5666), 1,
      anon_sym_COLON2,
    STATE(2548), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4856), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(4858), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [57749] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [57783] = 4,
    ACTIONS(5664), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [57819] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(4591), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [57853] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [57887] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5668), 1,
      sym__token_else,
    STATE(1791), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5670), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [57927] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [57961] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
      anon_sym_EQ,
  [57995] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58029] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [58063] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [58097] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58131] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [58165] = 7,
    ACTIONS(849), 1,
      sym__identifier,
    ACTIONS(5672), 1,
      anon_sym_STAR,
    STATE(1686), 1,
      aux_sym_import_repeat1,
    STATE(1824), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4605), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [58207] = 19,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(5674), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [58273] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58307] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5676), 1,
      sym__token_else,
    STATE(1836), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5678), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [58347] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5072), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5070), 19,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [58381] = 18,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [58445] = 18,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [58509] = 18,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [58573] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58607] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58641] = 4,
    ACTIONS(5680), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
  [58677] = 6,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [58717] = 18,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58781] = 18,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58845] = 14,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5457), 6,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58901] = 6,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [58941] = 19,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(5682), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [59007] = 18,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [59071] = 17,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59133] = 18,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [59197] = 15,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5191), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 6,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59255] = 14,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5187), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59311] = 12,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 11,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59363] = 10,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59411] = 8,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59455] = 21,
    ACTIONS(4844), 1,
      sym__token_blocked_expr_end,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5712), 1,
      anon_sym_as,
    ACTIONS(5714), 1,
      anon_sym_COLON2,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    STATE(2488), 1,
      sym_as,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [59525] = 8,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59569] = 18,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59633] = 18,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5128), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59697] = 18,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59761] = 10,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [59809] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(4003), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [59847] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [59881] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [59915] = 4,
    ACTIONS(5720), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
  [59951] = 19,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(5722), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [60017] = 4,
    ACTIONS(5724), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
  [60053] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60087] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_EQ,
  [60121] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 17,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COMMA2,
  [60155] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5120), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5118), 19,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [60189] = 6,
    ACTIONS(5726), 1,
      sym__immediate_math_call,
    ACTIONS(5728), 1,
      sym__immediate_math_apply,
    ACTIONS(5730), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [60229] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60263] = 18,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60327] = 21,
    ACTIONS(4844), 1,
      sym__token_blocked_expr_end,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5712), 1,
      anon_sym_as,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5732), 1,
      anon_sym_COLON2,
    STATE(2320), 1,
      sym_as,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [60397] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [60431] = 18,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60495] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60559] = 17,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60621] = 15,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5191), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60679] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60713] = 14,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5187), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60769] = 12,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 9,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60821] = 10,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60869] = 8,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60913] = 8,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60957] = 6,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [60997] = 6,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61037] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61071] = 20,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(939), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2929), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61139] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [61173] = 10,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61221] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61255] = 7,
    ACTIONS(4625), 1,
      sym__identifier,
    ACTIONS(4637), 1,
      anon_sym_STAR,
    STATE(1937), 1,
      sym_ident,
    STATE(1938), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4605), 9,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4603), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [61297] = 18,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61361] = 4,
    ACTIONS(5734), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [61397] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61461] = 18,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5128), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61525] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [61559] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61593] = 21,
    ACTIONS(4844), 1,
      sym__token_inlined_item_end,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5764), 1,
      anon_sym_as,
    ACTIONS(5766), 1,
      anon_sym_COLON2,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    STATE(2329), 1,
      sym_as,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61663] = 21,
    ACTIONS(4844), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5800), 1,
      anon_sym_as,
    ACTIONS(5802), 1,
      anon_sym_COLON2,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    STATE(2332), 1,
      sym_as,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [61733] = 6,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [61773] = 18,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      aux_sym_assign_token1,
    ACTIONS(5299), 1,
      anon_sym_EQ_GT,
    ACTIONS(5301), 1,
      anon_sym_or,
    ACTIONS(5303), 1,
      anon_sym_not,
    ACTIONS(5305), 1,
      anon_sym_and,
    ACTIONS(5311), 1,
      anon_sym_in,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5307), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5309), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5122), 4,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61837] = 10,
    ACTIONS(5313), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_DASH,
    ACTIONS(5317), 1,
      anon_sym_STAR,
    ACTIONS(5319), 1,
      anon_sym_SLASH,
    ACTIONS(5321), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 11,
      sym__token_inlined_stmt_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61885] = 6,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 13,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [61925] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [61959] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [61993] = 4,
    ACTIONS(5808), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [62029] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62063] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [62097] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5810), 1,
      anon_sym_LBRACE,
    ACTIONS(5812), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2034), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [62165] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [62199] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62233] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [62267] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62301] = 4,
    ACTIONS(5662), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [62337] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62371] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COMMA2,
  [62405] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [62439] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4894), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [62473] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [62507] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62541] = 6,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    ACTIONS(5814), 1,
      anon_sym_as,
    STATE(1341), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
  [62581] = 6,
    ACTIONS(4625), 1,
      sym__identifier,
    STATE(1181), 1,
      aux_sym_import_repeat1,
    STATE(1976), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [62621] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62655] = 4,
    ACTIONS(5662), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [62691] = 20,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(939), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2943), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [62759] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4591), 14,
      anon_sym_COLON,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_as,
  [62793] = 7,
    ACTIONS(4625), 1,
      sym__identifier,
    ACTIONS(4627), 1,
      anon_sym_STAR,
    STATE(1976), 1,
      sym_ident,
    STATE(1993), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 9,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4595), 11,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
  [62835] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [62869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 10,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [62903] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5816), 1,
      sym__token_else,
    STATE(2027), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5818), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [62943] = 14,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5455), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 7,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [62999] = 18,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5128), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63063] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63127] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63161] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63195] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [63229] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [63263] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [63297] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63331] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63365] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63399] = 21,
    ACTIONS(4844), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5800), 1,
      anon_sym_as,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5820), 1,
      anon_sym_COLON2,
    STATE(2772), 1,
      sym_as,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [63469] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63503] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63537] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63571] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63605] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [63639] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63673] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_as,
      anon_sym_COLON2,
  [63707] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63741] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63775] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63809] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63843] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [63877] = 6,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63917] = 4,
    ACTIONS(5822), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [63953] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [63987] = 20,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5824), 1,
      anon_sym_LBRACE,
    ACTIONS(5826), 1,
      sym__token_content,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2262), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [64055] = 20,
    ACTIONS(1029), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2830), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [64123] = 6,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    ACTIONS(5814), 1,
      anon_sym_as,
    STATE(1399), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
  [64163] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [64197] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64231] = 6,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64271] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64305] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [64339] = 8,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64383] = 8,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64427] = 10,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64475] = 12,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 9,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64527] = 6,
    ACTIONS(5828), 1,
      anon_sym_as,
    ACTIONS(5830), 1,
      anon_sym_COMMA2,
    STATE(2561), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [64567] = 14,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5187), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64623] = 6,
    ACTIONS(895), 1,
      sym__identifier,
    STATE(1986), 1,
      sym_ident,
    STATE(2001), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4584), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [64663] = 15,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5191), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64721] = 17,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64783] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64847] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [64881] = 6,
    ACTIONS(4625), 1,
      sym__identifier,
    STATE(1181), 1,
      aux_sym_import_repeat1,
    STATE(1998), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 9,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_COLON2,
    ACTIONS(4584), 12,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [64921] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [64955] = 18,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65019] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_COLON2,
  [65053] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [65087] = 6,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    ACTIONS(5814), 1,
      anon_sym_as,
    STATE(1406), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
  [65127] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_as,
      anon_sym_COLON2,
  [65161] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65195] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(2001), 1,
      aux_sym_import_repeat1,
    STATE(3260), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4591), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [65235] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3840), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [65273] = 6,
    ACTIONS(5828), 1,
      anon_sym_as,
    ACTIONS(5830), 1,
      anon_sym_COMMA2,
    STATE(2551), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [65313] = 18,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5243), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65377] = 19,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5205), 1,
      aux_sym_assign_token1,
    ACTIONS(5207), 1,
      anon_sym_EQ_GT,
    ACTIONS(5209), 1,
      anon_sym_or,
    ACTIONS(5211), 1,
      anon_sym_not,
    ACTIONS(5213), 1,
      anon_sym_and,
    ACTIONS(5219), 1,
      anon_sym_in,
    ACTIONS(5221), 1,
      anon_sym_PLUS,
    ACTIONS(5223), 1,
      anon_sym_DASH,
    ACTIONS(5225), 1,
      anon_sym_STAR,
    ACTIONS(5227), 1,
      anon_sym_SLASH,
    ACTIONS(5229), 1,
      anon_sym_DOT,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(5832), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5215), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5217), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [65443] = 4,
    ACTIONS(5834), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65479] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COMMA2,
  [65513] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65547] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [65581] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2010), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5836), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 16,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [65619] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65653] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65687] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65721] = 7,
    ACTIONS(895), 1,
      sym__identifier,
    ACTIONS(5839), 1,
      anon_sym_STAR,
    STATE(1988), 1,
      aux_sym_import_repeat1,
    STATE(2003), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4597), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [65763] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65797] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [65831] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [65865] = 6,
    ACTIONS(895), 1,
      sym__identifier,
    STATE(2001), 1,
      aux_sym_import_repeat1,
    STATE(2003), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4595), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [65905] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2019), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5841), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 14,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [65943] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [65977] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [66011] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [66045] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [66079] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [66113] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [66147] = 6,
    ACTIONS(5828), 1,
      anon_sym_as,
    ACTIONS(5830), 1,
      anon_sym_COMMA2,
    STATE(2505), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [66187] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5844), 1,
      sym__token_else,
    STATE(2019), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5846), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [66227] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [66261] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [66295] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66329] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5848), 1,
      sym__token_else,
    STATE(2010), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5850), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [66369] = 4,
    ACTIONS(5433), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5431), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5429), 19,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [66405] = 7,
    ACTIONS(895), 1,
      sym__identifier,
    ACTIONS(5852), 1,
      anon_sym_STAR,
    STATE(2018), 1,
      aux_sym_import_repeat1,
    STATE(2026), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4605), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [66447] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5854), 1,
      sym__token_else,
    STATE(2031), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5856), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [66487] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [66521] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66555] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [66589] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [66623] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [66657] = 18,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66721] = 18,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66785] = 14,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5455), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5457), 6,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66841] = 6,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_inlined_item_end,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66881] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [66915] = 18,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5406), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [66979] = 21,
    ACTIONS(4844), 1,
      sym__token_inlined_item_end,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5764), 1,
      anon_sym_as,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5858), 1,
      anon_sym_COLON2,
    STATE(2510), 1,
      sym_as,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [67049] = 18,
    ACTIONS(5333), 1,
      anon_sym_COLON,
    ACTIONS(5335), 1,
      aux_sym_assign_token1,
    ACTIONS(5337), 1,
      anon_sym_EQ_GT,
    ACTIONS(5339), 1,
      anon_sym_or,
    ACTIONS(5341), 1,
      anon_sym_not,
    ACTIONS(5343), 1,
      anon_sym_and,
    ACTIONS(5349), 1,
      anon_sym_in,
    ACTIONS(5351), 1,
      anon_sym_PLUS,
    ACTIONS(5353), 1,
      anon_sym_DASH,
    ACTIONS(5355), 1,
      anon_sym_STAR,
    ACTIONS(5357), 1,
      anon_sym_SLASH,
    ACTIONS(5359), 1,
      anon_sym_DOT,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5345), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5347), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5402), 4,
      sym__token_inlined_item_end,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67113] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(4127), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [67151] = 7,
    ACTIONS(1003), 1,
      sym__identifier,
    ACTIONS(5860), 1,
      anon_sym_STAR,
    STATE(2056), 1,
      aux_sym_import_repeat1,
    STATE(2057), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4605), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [67193] = 6,
    ACTIONS(5862), 1,
      anon_sym_as,
    ACTIONS(5864), 1,
      anon_sym_COMMA2,
    STATE(2651), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [67233] = 6,
    ACTIONS(1003), 1,
      sym__identifier,
    STATE(2050), 1,
      sym_ident,
    STATE(2052), 1,
      aux_sym_import_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4586), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4584), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [67273] = 6,
    ACTIONS(4588), 1,
      sym__identifier,
    STATE(2052), 1,
      aux_sym_import_repeat1,
    STATE(3253), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4591), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [67313] = 6,
    ACTIONS(5862), 1,
      anon_sym_as,
    ACTIONS(5864), 1,
      anon_sym_COMMA2,
    STATE(2552), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [67353] = 20,
    ACTIONS(1029), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      sym__token_content,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(2827), 2,
      sym_content,
      sym_block,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [67421] = 7,
    ACTIONS(1003), 1,
      sym__identifier,
    ACTIONS(5866), 1,
      anon_sym_STAR,
    STATE(2051), 1,
      aux_sym_import_repeat1,
    STATE(2053), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 10,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(4597), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
  [67463] = 6,
    ACTIONS(1003), 1,
      sym__identifier,
    STATE(2052), 1,
      aux_sym_import_repeat1,
    STATE(2053), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4597), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4595), 11,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [67503] = 6,
    ACTIONS(5862), 1,
      anon_sym_as,
    ACTIONS(5864), 1,
      anon_sym_COMMA2,
    STATE(2722), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4595), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4597), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [67543] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
      anon_sym_COMMA2,
  [67577] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [67611] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [67645] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [67708] = 4,
    ACTIONS(5868), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [67743] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [67776] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [67809] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [67842] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [67875] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [67908] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [67941] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [67974] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [68007] = 4,
    ACTIONS(5870), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [68042] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [68075] = 4,
    ACTIONS(5870), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [68110] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
    ACTIONS(4894), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [68143] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68176] = 4,
    ACTIONS(5870), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [68211] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_RPAREN,
    ACTIONS(4591), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [68244] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2078), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5872), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [68281] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [68314] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5875), 1,
      sym__token_else,
    STATE(2078), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5877), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [68353] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [68386] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_if,
  [68419] = 4,
    ACTIONS(5879), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [68454] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5881), 1,
      sym__token_else,
    STATE(2080), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5883), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [68493] = 4,
    ACTIONS(5885), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [68528] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68561] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [68594] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68627] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68660] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68693] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5913), 1,
      anon_sym_EQ,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [68756] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5945), 1,
      anon_sym_EQ,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [68819] = 4,
    ACTIONS(5951), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 12,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COLON2,
  [68854] = 4,
    ACTIONS(5953), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [68889] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(4054), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [68926] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COMMA2,
  [68959] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [68992] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5957), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5955), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [69025] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [69058] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [69091] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [69124] = 4,
    ACTIONS(5959), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [69159] = 4,
    ACTIONS(5167), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [69194] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [69227] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [69260] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [69293] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [69326] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [69359] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [69392] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [69425] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [69458] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [69491] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [69524] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [69557] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 16,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_COMMA2,
  [69590] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [69623] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [69656] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [69689] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [69722] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(4591), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [69755] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [69788] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [69821] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [69854] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [69887] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [69920] = 4,
    ACTIONS(5961), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [69955] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [69988] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70021] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70054] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70087] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70120] = 10,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70167] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5963), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5122), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [70230] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70263] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 16,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_if,
  [70296] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5963), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5128), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [70359] = 17,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70420] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70453] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70486] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5072), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5070), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [70519] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [70552] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70585] = 6,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70624] = 6,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70663] = 8,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70706] = 8,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70749] = 10,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70796] = 12,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 9,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70847] = 14,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70902] = 15,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [70959] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71020] = 17,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71081] = 17,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71142] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5963), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5243), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [71205] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71238] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71271] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71304] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [71337] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71370] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71403] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71436] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5963), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5402), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [71499] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5963), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5406), 3,
      sym__token_content,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [71562] = 6,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71601] = 14,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71656] = 17,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71717] = 17,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71778] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71811] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71844] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [71877] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 11,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_LBRACE,
    ACTIONS(4894), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [71910] = 4,
    ACTIONS(5961), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [71945] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [71978] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [72011] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72044] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72077] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72110] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [72143] = 10,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [72190] = 18,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5122), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72253] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72286] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 8,
      anon_sym_COMMA,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA2,
  [72319] = 18,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5128), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72382] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [72445] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72478] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [72511] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72544] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
      anon_sym_COMMA2,
  [72577] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [72610] = 4,
    ACTIONS(5961), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [72645] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [72678] = 6,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [72717] = 6,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [72756] = 8,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [72799] = 8,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [72842] = 10,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [72889] = 12,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 10,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [72940] = 14,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [72995] = 15,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_as,
      anon_sym_COLON2,
  [73052] = 17,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73113] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73176] = 18,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73239] = 18,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5243), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73302] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73335] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73368] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [73401] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [73434] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [73467] = 18,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73530] = 18,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73593] = 14,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [73648] = 6,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [73687] = 4,
    ACTIONS(5965), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [73722] = 18,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5402), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73785] = 18,
    ACTIONS(5684), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5406), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [73848] = 6,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [73887] = 14,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      sym__token_blocked_expr_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [73942] = 18,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [74005] = 18,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(5686), 1,
      aux_sym_assign_token1,
    ACTIONS(5688), 1,
      anon_sym_EQ_GT,
    ACTIONS(5690), 1,
      anon_sym_or,
    ACTIONS(5692), 1,
      anon_sym_not,
    ACTIONS(5694), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5702), 1,
      anon_sym_PLUS,
    ACTIONS(5704), 1,
      anon_sym_DASH,
    ACTIONS(5706), 1,
      anon_sym_STAR,
    ACTIONS(5708), 1,
      anon_sym_SLASH,
    ACTIONS(5710), 1,
      anon_sym_DOT,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(5696), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_blocked_expr_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5698), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [74068] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5120), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5118), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [74101] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [74134] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [74167] = 4,
    ACTIONS(5967), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [74202] = 6,
    ACTIONS(5969), 1,
      sym__immediate_math_call,
    ACTIONS(5971), 1,
      sym__immediate_math_apply,
    ACTIONS(5973), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [74241] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [74274] = 4,
    ACTIONS(5967), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [74309] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4894), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [74342] = 4,
    ACTIONS(5975), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 12,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [74377] = 18,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [74440] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2230), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5977), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_inlined_item_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [74477] = 4,
    ACTIONS(5967), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [74512] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4591), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [74545] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [74608] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [74641] = 17,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [74702] = 15,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_as,
      anon_sym_COLON2,
  [74759] = 14,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [74814] = 12,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 10,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [74865] = 10,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [74912] = 8,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [74955] = 8,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [74998] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5980), 1,
      sym__token_else,
    STATE(2230), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5982), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [75037] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [75070] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75103] = 6,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [75142] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5092), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [75175] = 6,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [75214] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75247] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [75280] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75313] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75346] = 5,
    ACTIONS(5167), 1,
      sym__immediate_math_apply,
    ACTIONS(5433), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [75383] = 10,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 12,
      sym__token_inlined_stmt_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [75430] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75463] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4591), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [75496] = 4,
    ACTIONS(5984), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [75531] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75564] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 9,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4894), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [75597] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [75630] = 4,
    ACTIONS(5984), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [75665] = 4,
    ACTIONS(5984), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [75700] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5986), 1,
      sym__token_else,
    STATE(2242), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5988), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [75739] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [75772] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5072), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5070), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [75805] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COMMA2,
  [75838] = 4,
    ACTIONS(5990), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [75873] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(3903), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [75910] = 18,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5406), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [75973] = 18,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5402), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [76036] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(5992), 1,
      sym__token_else,
    STATE(2291), 1,
      aux_sym_branch_repeat1,
    ACTIONS(5994), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4748), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4750), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [76075] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76108] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5086), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [76141] = 4,
    ACTIONS(5996), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 12,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [76176] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [76209] = 18,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5243), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [76272] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [76305] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [76338] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76371] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76404] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76437] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76470] = 10,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76517] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5998), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5122), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [76580] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76613] = 5,
    ACTIONS(4746), 1,
      sym__token_unit,
    STATE(4017), 1,
      sym_unit,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4742), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4744), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [76650] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5998), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5128), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [76713] = 17,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5132), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76774] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76807] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76840] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 16,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COMMA2,
  [76873] = 6,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(6000), 1,
      sym__token_else,
    STATE(2312), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6002), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4639), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4641), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [76912] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76945] = 6,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [76984] = 6,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77023] = 8,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77066] = 8,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77109] = 10,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77156] = 12,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77207] = 14,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77262] = 15,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77319] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5197), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77380] = 18,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5128), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [77443] = 17,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5201), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77504] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5120), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5118), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_call,
      sym__immediate_math_apply,
      sym__immediate_math_field,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [77537] = 17,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5241), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77598] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5998), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5243), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [77661] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77694] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [77727] = 6,
    ACTIONS(6004), 1,
      sym__immediate_math_call,
    ACTIONS(6006), 1,
      sym__immediate_math_apply,
    ACTIONS(6008), 1,
      sym__immediate_math_field,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [77766] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77799] = 18,
    ACTIONS(5772), 1,
      anon_sym_COLON,
    ACTIONS(5774), 1,
      aux_sym_assign_token1,
    ACTIONS(5776), 1,
      anon_sym_EQ_GT,
    ACTIONS(5778), 1,
      anon_sym_or,
    ACTIONS(5780), 1,
      anon_sym_not,
    ACTIONS(5782), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_in,
    ACTIONS(5790), 1,
      anon_sym_PLUS,
    ACTIONS(5792), 1,
      anon_sym_DASH,
    ACTIONS(5794), 1,
      anon_sym_STAR,
    ACTIONS(5796), 1,
      anon_sym_SLASH,
    ACTIONS(5798), 1,
      anon_sym_DOT,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(5784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5122), 3,
      sym__token_inlined_stmt_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5786), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [77862] = 5,
    ACTIONS(3), 1,
      sym__lb,
    STATE(2312), 1,
      aux_sym_branch_repeat1,
    ACTIONS(6010), 2,
      sym_comment,
      sym__sp,
    ACTIONS(4657), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4659), 15,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [77899] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77932] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [77965] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5998), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5402), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [78028] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5998), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [78091] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78124] = 6,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [78163] = 18,
    ACTIONS(5919), 1,
      aux_sym_assign_token1,
    ACTIONS(5921), 1,
      anon_sym_EQ_GT,
    ACTIONS(5923), 1,
      anon_sym_or,
    ACTIONS(5925), 1,
      anon_sym_not,
    ACTIONS(5927), 1,
      anon_sym_and,
    ACTIONS(5933), 1,
      anon_sym_in,
    ACTIONS(5935), 1,
      anon_sym_PLUS,
    ACTIONS(5937), 1,
      anon_sym_DASH,
    ACTIONS(5939), 1,
      anon_sym_STAR,
    ACTIONS(5941), 1,
      anon_sym_SLASH,
    ACTIONS(5943), 1,
      anon_sym_DOT,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(6013), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5929), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5931), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [78226] = 4,
    ACTIONS(6015), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
  [78261] = 14,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [78316] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78349] = 17,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5461), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [78410] = 17,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5465), 4,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [78471] = 20,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      aux_sym_assign_token1,
    ACTIONS(5038), 1,
      anon_sym_EQ_GT,
    ACTIONS(5040), 1,
      anon_sym_or,
    ACTIONS(5042), 1,
      anon_sym_not,
    ACTIONS(5044), 1,
      anon_sym_and,
    ACTIONS(5050), 1,
      anon_sym_in,
    ACTIONS(5052), 1,
      anon_sym_PLUS,
    ACTIONS(5054), 1,
      anon_sym_DASH,
    ACTIONS(5056), 1,
      anon_sym_STAR,
    ACTIONS(5058), 1,
      anon_sym_SLASH,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5062), 1,
      anon_sym_as,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6017), 1,
      anon_sym_COLON2,
    STATE(2931), 1,
      sym_as,
    ACTIONS(5046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5048), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [78538] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [78571] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [78604] = 18,
    ACTIONS(5887), 1,
      aux_sym_assign_token1,
    ACTIONS(5889), 1,
      anon_sym_EQ_GT,
    ACTIONS(5891), 1,
      anon_sym_or,
    ACTIONS(5893), 1,
      anon_sym_not,
    ACTIONS(5895), 1,
      anon_sym_and,
    ACTIONS(5901), 1,
      anon_sym_in,
    ACTIONS(5903), 1,
      anon_sym_PLUS,
    ACTIONS(5905), 1,
      anon_sym_DASH,
    ACTIONS(5907), 1,
      anon_sym_STAR,
    ACTIONS(5909), 1,
      anon_sym_SLASH,
    ACTIONS(5911), 1,
      anon_sym_DOT,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(6019), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5096), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(5897), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5899), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [78667] = 4,
    ACTIONS(6021), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
  [78702] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78735] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [78768] = 4,
    ACTIONS(6023), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
  [78803] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78836] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [78869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [78902] = 10,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [78949] = 18,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5122), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79012] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79045] = 18,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5128), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79108] = 18,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79171] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79204] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [79237] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79270] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79303] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [79336] = 6,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79375] = 6,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79414] = 8,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79457] = 8,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79500] = 10,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [79547] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [79580] = 12,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 10,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_as,
      anon_sym_COLON2,
  [79631] = 14,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [79686] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [79719] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [79752] = 15,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_as,
      anon_sym_COLON2,
  [79809] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [79842] = 17,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79903] = 18,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [79966] = 18,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [80029] = 18,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5243), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [80092] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80125] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80158] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80191] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [80224] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80257] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4621), 18,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [80290] = 4,
    ACTIONS(6025), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [80325] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80358] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4591), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [80391] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80424] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80457] = 18,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5402), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [80520] = 18,
    ACTIONS(5736), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5406), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [80583] = 6,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON2,
  [80622] = 14,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      sym__token_inlined_item_end,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_as,
      anon_sym_COLON2,
  [80677] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [80710] = 18,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [80773] = 18,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(5738), 1,
      aux_sym_assign_token1,
    ACTIONS(5740), 1,
      anon_sym_EQ_GT,
    ACTIONS(5742), 1,
      anon_sym_or,
    ACTIONS(5744), 1,
      anon_sym_not,
    ACTIONS(5746), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_in,
    ACTIONS(5754), 1,
      anon_sym_PLUS,
    ACTIONS(5756), 1,
      anon_sym_DASH,
    ACTIONS(5758), 1,
      anon_sym_STAR,
    ACTIONS(5760), 1,
      anon_sym_SLASH,
    ACTIONS(5762), 1,
      anon_sym_DOT,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(5748), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_inlined_item_end,
      anon_sym_as,
      anon_sym_COLON2,
    ACTIONS(5750), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [80836] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [80869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80902] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [80935] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [80968] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_as,
      anon_sym_COLON2,
  [81001] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 18,
      sym__token_content,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [81034] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [81067] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81100] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81133] = 4,
    ACTIONS(5868), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81168] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81201] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81234] = 4,
    ACTIONS(6027), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 12,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81269] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81302] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81335] = 4,
    ACTIONS(5868), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81370] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81403] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 9,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
      anon_sym_EQ,
    ACTIONS(4894), 14,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [81436] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [81469] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81502] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 16,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81535] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 16,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [81568] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_EQ,
  [81601] = 18,
    ACTIONS(6029), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5128), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [81663] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6091), 1,
      anon_sym_RPAREN,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81727] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [81759] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4621), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [81791] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [81823] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [81855] = 19,
    ACTIONS(1487), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [81919] = 17,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [81979] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [82011] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82043] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_inlined_stmt_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [82075] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82107] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82139] = 18,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5128), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [82201] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6127), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [82265] = 10,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [82311] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6129), 1,
      anon_sym_COLON,
    ACTIONS(5122), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [82373] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82405] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6129), 1,
      anon_sym_COLON,
    ACTIONS(5128), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [82467] = 17,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [82527] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82559] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82591] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [82623] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82655] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [82687] = 6,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [82725] = 6,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [82763] = 8,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [82805] = 8,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [82847] = 10,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [82893] = 12,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 8,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
  [82943] = 14,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [82997] = 15,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 4,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_EQ,
  [83053] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83113] = 17,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83173] = 17,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83233] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6129), 1,
      anon_sym_COLON,
    ACTIONS(5243), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83295] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83327] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83359] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83391] = 17,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [83451] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83483] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83515] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83547] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [83579] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6129), 1,
      anon_sym_COLON,
    ACTIONS(5402), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83641] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6129), 1,
      anon_sym_COLON,
    ACTIONS(5406), 2,
      sym__token_inlined_item_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83703] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5086), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [83735] = 6,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 10,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [83773] = 14,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [83827] = 17,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [83887] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [83919] = 10,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [83965] = 6,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [84003] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [84035] = 19,
    ACTIONS(1301), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84099] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [84131] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [84163] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [84195] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [84227] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [84259] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [84291] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [84323] = 5,
    ACTIONS(5433), 1,
      anon_sym_COLON,
    ACTIONS(5728), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 4,
      sym_linebreak,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [84359] = 19,
    ACTIONS(1307), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84423] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [84455] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6131), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84519] = 6,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [84557] = 6,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [84595] = 8,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [84637] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [84669] = 8,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [84711] = 10,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 12,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_LBRACE,
  [84757] = 12,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 10,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
  [84807] = 19,
    ACTIONS(1481), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84871] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [84903] = 18,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5122), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [84965] = 14,
    ACTIONS(5187), 1,
      aux_sym_assign_token1,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
  [85019] = 15,
    ACTIONS(5191), 1,
      aux_sym_assign_token1,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_LBRACE,
  [85075] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85135] = 17,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85195] = 17,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85255] = 10,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 9,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
  [85301] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [85333] = 19,
    ACTIONS(1495), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85397] = 4,
    ACTIONS(6141), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [85431] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [85463] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6143), 1,
      anon_sym_COLON,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5122), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85525] = 18,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(6161), 1,
      anon_sym_EQ,
    ACTIONS(5096), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [85587] = 19,
    ACTIONS(1501), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85651] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85683] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85715] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6163), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85779] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85811] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6165), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [85875] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [85907] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [85939] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [85971] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [86003] = 19,
    ACTIONS(1469), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86067] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4591), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [86099] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [86131] = 4,
    ACTIONS(6167), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [86165] = 6,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [86203] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86235] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [86267] = 19,
    ACTIONS(1513), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86331] = 4,
    ACTIONS(6169), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [86365] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [86397] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5092), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [86429] = 19,
    ACTIONS(1525), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86493] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [86525] = 4,
    ACTIONS(6171), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [86559] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6199), 1,
      anon_sym_EQ,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(5096), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86621] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [86653] = 6,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [86691] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6143), 1,
      anon_sym_COLON,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5128), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [86753] = 14,
    ACTIONS(5455), 1,
      aux_sym_assign_token1,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LBRACE,
  [86807] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [86839] = 17,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86899] = 17,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_content,
      anon_sym_COLON,
      anon_sym_LBRACE,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [86959] = 8,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [87001] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87033] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5957), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5955), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87065] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6205), 1,
      anon_sym_EQ,
    ACTIONS(5096), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87127] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [87159] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87191] = 8,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [87233] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6207), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87297] = 10,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [87343] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6209), 1,
      anon_sym_EQ,
    ACTIONS(5096), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87405] = 19,
    ACTIONS(1463), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [87469] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [87501] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [87533] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [87565] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [87597] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [87629] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4651), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4649), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [87661] = 10,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [87707] = 19,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5096), 1,
      anon_sym_COLON2,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(6211), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [87771] = 12,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 8,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
  [87821] = 4,
    ACTIONS(6213), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
  [87855] = 14,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [87909] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [87941] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4894), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [87973] = 4,
    ACTIONS(6215), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 10,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 11,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88007] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [88039] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [88071] = 4,
    ACTIONS(6167), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88105] = 4,
    ACTIONS(6217), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88139] = 19,
    ACTIONS(1533), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88203] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [88235] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88267] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6219), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88331] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88363] = 19,
    ACTIONS(1455), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88427] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [88459] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [88491] = 4,
    ACTIONS(6167), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88525] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88557] = 4,
    ACTIONS(6221), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [88591] = 18,
    ACTIONS(6097), 1,
      aux_sym_assign_token1,
    ACTIONS(6099), 1,
      anon_sym_EQ_GT,
    ACTIONS(6101), 1,
      anon_sym_or,
    ACTIONS(6103), 1,
      anon_sym_not,
    ACTIONS(6105), 1,
      anon_sym_and,
    ACTIONS(6111), 1,
      anon_sym_in,
    ACTIONS(6113), 1,
      anon_sym_PLUS,
    ACTIONS(6115), 1,
      anon_sym_DASH,
    ACTIONS(6117), 1,
      anon_sym_STAR,
    ACTIONS(6119), 1,
      anon_sym_SLASH,
    ACTIONS(6121), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6223), 1,
      anon_sym_EQ,
    ACTIONS(5096), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6107), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6109), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [88653] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88685] = 19,
    ACTIONS(1541), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88749] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6225), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [88813] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88845] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [88877] = 4,
    ACTIONS(5728), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [88911] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [88943] = 15,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 4,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_EQ,
  [88999] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [89031] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5132), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89093] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89125] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [89157] = 19,
    ACTIONS(1449), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89221] = 17,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89281] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [89313] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89345] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4982), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4984), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [89377] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 17,
      sym__token_blocked_expr_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [89409] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89469] = 17,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89529] = 17,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [89589] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [89621] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [89653] = 18,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5243), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [89715] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [89747] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6229), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6227), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [89779] = 8,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6237), 1,
      anon_sym_CARET,
    ACTIONS(6239), 1,
      anon_sym__,
    ACTIONS(6241), 1,
      sym__token_math_frac,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6233), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6231), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [89821] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6247), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6245), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [89853] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6251), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6249), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [89885] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [89917] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [89949] = 19,
    ACTIONS(1557), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90013] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [90045] = 8,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 9,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
  [90087] = 10,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 9,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
  [90133] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [90165] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [90197] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [90229] = 12,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 7,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
      anon_sym_COLON2,
  [90279] = 19,
    ACTIONS(1731), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90343] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6255), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6253), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [90375] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [90407] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [90439] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [90471] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [90503] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6261), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90567] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6263), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90631] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [90663] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [90695] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [90727] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [90759] = 17,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [90819] = 14,
    ACTIONS(5455), 1,
      aux_sym_assign_token1,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
  [90873] = 6,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [90911] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [90943] = 10,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5159), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [90989] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [91021] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6271), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6269), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [91053] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6275), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6273), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [91085] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [91117] = 19,
    ACTIONS(1439), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91181] = 18,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(6277), 1,
      anon_sym_EQ,
    ACTIONS(5096), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91243] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [91275] = 18,
    ACTIONS(6029), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5406), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91337] = 7,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6237), 1,
      anon_sym_CARET,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(6285), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6282), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6279), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [91377] = 7,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6239), 1,
      anon_sym__,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6290), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6287), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [91417] = 4,
    ACTIONS(6295), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4828), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4830), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [91451] = 18,
    ACTIONS(6029), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5402), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91513] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [91545] = 4,
    ACTIONS(6297), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [91579] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [91611] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [91643] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [91675] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [91707] = 19,
    ACTIONS(1421), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [91771] = 3,
    ACTIONS(3), 1,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 17,
      sym__token_inlined_item_end,
      sym__token_else,
      sym_comment,
      sym__sp,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [91803] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6301), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6299), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [91835] = 17,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91895] = 17,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [91955] = 19,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5094), 1,
      anon_sym_COLON,
    ACTIONS(5096), 1,
      anon_sym_COLON2,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(6303), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92019] = 19,
    ACTIONS(1329), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92083] = 19,
    ACTIONS(1741), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92147] = 18,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(5122), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92209] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [92241] = 18,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(5128), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92303] = 7,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6237), 1,
      anon_sym_CARET,
    ACTIONS(6239), 1,
      anon_sym__,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [92343] = 4,
    ACTIONS(6217), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [92377] = 19,
    ACTIONS(1749), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92441] = 14,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [92495] = 6,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [92533] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [92565] = 14,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5187), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 4,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON2,
  [92619] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6309), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92683] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4894), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [92715] = 8,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 9,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_COLON2,
  [92757] = 19,
    ACTIONS(1335), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92821] = 17,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [92881] = 15,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5191), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(5193), 3,
      anon_sym_or,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [92937] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6311), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93001] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6313), 1,
      anon_sym_COLON,
    ACTIONS(5406), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93063] = 19,
    ACTIONS(1551), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93127] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6317), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6315), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [93159] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4807), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4809), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [93191] = 19,
    ACTIONS(1403), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93255] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4950), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4952), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [93287] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [93319] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [93351] = 17,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(5197), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93411] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [93443] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4591), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [93475] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5465), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93537] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [93569] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6313), 1,
      anon_sym_COLON,
    ACTIONS(5402), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [93631] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [93663] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [93695] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [93727] = 19,
    ACTIONS(1409), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93791] = 19,
    ACTIONS(1393), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93855] = 19,
    ACTIONS(1341), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93919] = 18,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5402), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [93981] = 18,
    ACTIONS(5507), 1,
      anon_sym_COLON,
    ACTIONS(5509), 1,
      aux_sym_assign_token1,
    ACTIONS(5511), 1,
      anon_sym_EQ_GT,
    ACTIONS(5513), 1,
      anon_sym_or,
    ACTIONS(5515), 1,
      anon_sym_not,
    ACTIONS(5517), 1,
      anon_sym_and,
    ACTIONS(5523), 1,
      anon_sym_in,
    ACTIONS(5525), 1,
      anon_sym_PLUS,
    ACTIONS(5527), 1,
      anon_sym_DASH,
    ACTIONS(5529), 1,
      anon_sym_STAR,
    ACTIONS(5531), 1,
      anon_sym_SLASH,
    ACTIONS(5533), 1,
      anon_sym_DOT,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(5406), 2,
      sym__token_content,
      anon_sym_LBRACE,
    ACTIONS(5519), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5521), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94043] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94075] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5461), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94137] = 19,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94201] = 14,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5455), 3,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 4,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON2,
  [94255] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [94287] = 19,
    ACTIONS(1347), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94351] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94383] = 17,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94443] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94475] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94507] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94539] = 18,
    ACTIONS(6029), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5243), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94601] = 17,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94661] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [94693] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6313), 1,
      anon_sym_COLON,
    ACTIONS(5243), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94755] = 17,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5241), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [94815] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [94847] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94907] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6327), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [94971] = 15,
    ACTIONS(5191), 1,
      aux_sym_assign_token1,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_RPAREN,
  [95027] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [95059] = 17,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5201), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95119] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5197), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95179] = 15,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(5191), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5193), 4,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_EQ,
  [95235] = 14,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(5187), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [95289] = 19,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95353] = 14,
    ACTIONS(5187), 1,
      aux_sym_assign_token1,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_RPAREN,
  [95407] = 12,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
  [95457] = 18,
    ACTIONS(6029), 1,
      anon_sym_COLON,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5122), 2,
      sym__token_inlined_stmt_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [95519] = 10,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [95565] = 19,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95629] = 8,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [95671] = 8,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [95713] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6329), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95777] = 19,
    ACTIONS(1641), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [95841] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [95873] = 4,
    ACTIONS(6217), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4584), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4586), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [95907] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4593), 10,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4591), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [95939] = 6,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 10,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [95977] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6331), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96041] = 6,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [96079] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [96111] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5201), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96173] = 6,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [96211] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [96243] = 14,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(5455), 2,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_EQ,
  [96297] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6333), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96361] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [96393] = 12,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5173), 8,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ,
  [96443] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6143), 1,
      anon_sym_COLON,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5406), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96505] = 19,
    ACTIONS(1431), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96569] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4988), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4990), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [96601] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6143), 1,
      anon_sym_COLON,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5402), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96663] = 17,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [96723] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4896), 10,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_DOT,
    ACTIONS(4894), 12,
      sym__identifier,
      aux_sym_assign_token1,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
  [96755] = 18,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(5406), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96817] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4898), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4900), 15,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [96849] = 19,
    ACTIONS(1283), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96913] = 19,
    ACTIONS(1355), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [96977] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4633), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [97009] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 13,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [97041] = 8,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [97083] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 15,
      sym__token_content,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_LBRACE,
  [97115] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [97147] = 8,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 7,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [97189] = 18,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(5243), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97251] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 15,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_RPAREN,
  [97283] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4653), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [97315] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5005), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5007), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_if,
  [97347] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5241), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97409] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6335), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97473] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6337), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97537] = 18,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(5402), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97599] = 17,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5461), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97659] = 6,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [97697] = 6,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [97735] = 17,
    ACTIONS(6031), 1,
      aux_sym_assign_token1,
    ACTIONS(6033), 1,
      anon_sym_EQ_GT,
    ACTIONS(6035), 1,
      anon_sym_or,
    ACTIONS(6037), 1,
      anon_sym_not,
    ACTIONS(6039), 1,
      anon_sym_and,
    ACTIONS(6045), 1,
      anon_sym_in,
    ACTIONS(6047), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_DASH,
    ACTIONS(6051), 1,
      anon_sym_STAR,
    ACTIONS(6053), 1,
      anon_sym_SLASH,
    ACTIONS(6055), 1,
      anon_sym_DOT,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5465), 3,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6041), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6043), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97795] = 19,
    ACTIONS(1365), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97859] = 18,
    ACTIONS(4870), 1,
      anon_sym_DOT,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6133), 1,
      anon_sym_PLUS,
    ACTIONS(6135), 1,
      anon_sym_DASH,
    ACTIONS(6137), 1,
      anon_sym_STAR,
    ACTIONS(6139), 1,
      anon_sym_SLASH,
    ACTIONS(6143), 1,
      anon_sym_COLON,
    ACTIONS(6145), 1,
      aux_sym_assign_token1,
    ACTIONS(6147), 1,
      anon_sym_EQ_GT,
    ACTIONS(6149), 1,
      anon_sym_or,
    ACTIONS(6151), 1,
      anon_sym_not,
    ACTIONS(6153), 1,
      anon_sym_and,
    ACTIONS(6159), 1,
      anon_sym_in,
    ACTIONS(5243), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6155), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6157), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [97921] = 19,
    ACTIONS(1427), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [97985] = 10,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 5,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(5102), 10,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_EQ,
  [98031] = 4,
    ACTIONS(6297), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4676), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4678), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [98065] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98097] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6313), 1,
      anon_sym_COLON,
    ACTIONS(5122), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98159] = 19,
    ACTIONS(1319), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98223] = 19,
    ACTIONS(1507), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98287] = 4,
    ACTIONS(6339), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [98321] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6341), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98385] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6343), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98449] = 7,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6239), 1,
      anon_sym__,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(6293), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6347), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6345), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [98489] = 7,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6237), 1,
      anon_sym_CARET,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(6285), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6351), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6349), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [98529] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98561] = 19,
    ACTIONS(1387), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98625] = 7,
    ACTIONS(6235), 1,
      anon_sym_BANG,
    ACTIONS(6237), 1,
      anon_sym_CARET,
    ACTIONS(6239), 1,
      anon_sym__,
    ACTIONS(6243), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6355), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6353), 14,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [98665] = 10,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_RPAREN,
  [98711] = 4,
    ACTIONS(6297), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4884), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4886), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [98745] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98777] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 13,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [98809] = 19,
    ACTIONS(1377), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [98873] = 17,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5132), 3,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98933] = 18,
    ACTIONS(6173), 1,
      aux_sym_assign_token1,
    ACTIONS(6175), 1,
      anon_sym_EQ_GT,
    ACTIONS(6177), 1,
      anon_sym_or,
    ACTIONS(6179), 1,
      anon_sym_not,
    ACTIONS(6181), 1,
      anon_sym_and,
    ACTIONS(6187), 1,
      anon_sym_in,
    ACTIONS(6189), 1,
      anon_sym_PLUS,
    ACTIONS(6191), 1,
      anon_sym_DASH,
    ACTIONS(6193), 1,
      anon_sym_STAR,
    ACTIONS(6195), 1,
      anon_sym_SLASH,
    ACTIONS(6197), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6313), 1,
      anon_sym_COLON,
    ACTIONS(5128), 2,
      sym__token_blocked_expr_end,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6183), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
    ACTIONS(6185), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
  [98995] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4799), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4801), 15,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COMMA2,
  [99027] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 9,
      aux_sym_assign_token1,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 13,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_EQ,
  [99059] = 19,
    ACTIONS(1473), 1,
      anon_sym_RPAREN,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99123] = 19,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6357), 1,
      anon_sym_RPAREN,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99187] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6361), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6359), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [99219] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6365), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6363), 17,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [99251] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [99282] = 7,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym__,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6347), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6345), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [99321] = 18,
    ACTIONS(5122), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6375), 1,
      anon_sym_COLON,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99382] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [99413] = 18,
    ACTIONS(5128), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6375), 1,
      anon_sym_COLON,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99474] = 17,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(5132), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99533] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6433), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99594] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6435), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99655] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6437), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99716] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6439), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99777] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [99808] = 18,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6063), 1,
      anon_sym_COMMA,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99869] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [99900] = 17,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(5241), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [99959] = 17,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(5201), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100018] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(5197), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100077] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100108] = 15,
    ACTIONS(5191), 1,
      aux_sym_assign_token1,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5193), 4,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100163] = 6,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [100200] = 14,
    ACTIONS(5455), 1,
      aux_sym_assign_token1,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [100253] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5086), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [100284] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100315] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6247), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6245), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [100346] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6251), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6249), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [100377] = 14,
    ACTIONS(5187), 1,
      aux_sym_assign_token1,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 5,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [100430] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6471), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100491] = 12,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 9,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100540] = 10,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [100585] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100616] = 8,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [100657] = 8,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [100698] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100729] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100760] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6473), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100821] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100852] = 6,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [100889] = 18,
    ACTIONS(5243), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6375), 1,
      anon_sym_COLON,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [100950] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [100981] = 6,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [101018] = 17,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(5461), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101077] = 17,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(5465), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101136] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101167] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6271), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6269), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101198] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5086), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101229] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101260] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6475), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101321] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101352] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6477), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101413] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101444] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101475] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101506] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101537] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101568] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5092), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101599] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [101630] = 7,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6369), 1,
      anon_sym_CARET,
    ACTIONS(6371), 1,
      anon_sym__,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6290), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6287), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101669] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6479), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101730] = 17,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(5465), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101789] = 17,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(5461), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [101848] = 14,
    ACTIONS(5455), 1,
      aux_sym_assign_token1,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [101901] = 4,
    ACTIONS(5971), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [101934] = 6,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [101971] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6481), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102032] = 18,
    ACTIONS(5402), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6375), 1,
      anon_sym_COLON,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102093] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102124] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6483), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102185] = 18,
    ACTIONS(5406), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(6375), 1,
      anon_sym_COLON,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102246] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102277] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102308] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102339] = 10,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 11,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [102384] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4811), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4813), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102415] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102446] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102477] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6275), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6273), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102508] = 18,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102569] = 17,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(5465), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102628] = 7,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6521), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6282), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6279), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [102667] = 17,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(5241), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102726] = 17,
    ACTIONS(6377), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(5201), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102785] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6379), 1,
      anon_sym_EQ_GT,
    ACTIONS(6381), 1,
      anon_sym_or,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(5197), 2,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102844] = 15,
    ACTIONS(5191), 1,
      aux_sym_assign_token1,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6385), 1,
      anon_sym_and,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5193), 4,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102899] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [102930] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6523), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [102991] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103022] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6525), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103083] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6527), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103144] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6529), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103205] = 14,
    ACTIONS(5187), 1,
      aux_sym_assign_token1,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6387), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6389), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 5,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [103258] = 12,
    ACTIONS(6383), 1,
      anon_sym_not,
    ACTIONS(6391), 1,
      anon_sym_in,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 9,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103307] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6531), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [103368] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5957), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5955), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103399] = 4,
    ACTIONS(6537), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6535), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6533), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103432] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5957), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5955), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103463] = 10,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103508] = 8,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103549] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103580] = 6,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103617] = 4,
    ACTIONS(6539), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6535), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(6533), 13,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103650] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5124), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5126), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103681] = 6,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [103718] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5183), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5185), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103749] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6317), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6315), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103780] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103811] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5092), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103842] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5030), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5032), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103873] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4803), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4805), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103904] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4621), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103935] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [103966] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6229), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6227), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [103997] = 17,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(5461), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104056] = 8,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6371), 1,
      anon_sym__,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6541), 1,
      sym__token_math_frac,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6233), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6231), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104097] = 14,
    ACTIONS(5455), 1,
      aux_sym_assign_token1,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5457), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [104150] = 6,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5104), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5106), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [104187] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6255), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6253), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104218] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104249] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104280] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4621), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_apply,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104311] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104342] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6543), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104403] = 10,
    ACTIONS(6393), 1,
      anon_sym_PLUS,
    ACTIONS(6395), 1,
      anon_sym_DASH,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [104448] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5369), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5371), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104479] = 18,
    ACTIONS(5406), 1,
      sym__token_inlined_item_end,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104540] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104571] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104602] = 18,
    ACTIONS(5402), 1,
      sym__token_inlined_item_end,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104663] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104694] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [104725] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5463), 1,
      anon_sym_COLON,
    ACTIONS(5465), 1,
      anon_sym_COLON2,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104786] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5459), 1,
      anon_sym_COLON,
    ACTIONS(5461), 1,
      anon_sym_COLON2,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104847] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6547), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104908] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [104939] = 14,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(5455), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5457), 4,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_COLON2,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [104992] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5406), 1,
      anon_sym_COLON2,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105053] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5402), 1,
      anon_sym_COLON2,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105114] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105145] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5291), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5293), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105176] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4704), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105207] = 4,
    ACTIONS(6549), 1,
      anon_sym_COLON2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4603), 8,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4605), 12,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105240] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6301), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6299), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [105271] = 7,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6371), 1,
      anon_sym__,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [105310] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5145), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5147), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105341] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [105372] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5243), 1,
      anon_sym_COLON2,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105433] = 4,
    ACTIONS(6006), 1,
      sym__immediate_math_apply,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5163), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(5161), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [105466] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5239), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_COLON2,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105527] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    ACTIONS(5201), 1,
      anon_sym_COLON2,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105588] = 17,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5197), 1,
      anon_sym_COLON2,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(5195), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105647] = 18,
    ACTIONS(5406), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105708] = 18,
    ACTIONS(5402), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105769] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105800] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4664), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105831] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4680), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105862] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4684), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [105893] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6551), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [105954] = 15,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(5191), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5193), 3,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_COLON2,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106009] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5114), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5116), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106040] = 18,
    ACTIONS(5243), 1,
      sym__token_inlined_item_end,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106101] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6365), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6363), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [106132] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6361), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6359), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [106163] = 14,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(5187), 2,
      anon_sym_COLON,
      aux_sym_assign_token1,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5189), 4,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_COLON2,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106216] = 12,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 8,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON2,
  [106265] = 17,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(5241), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106324] = 17,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(5201), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106383] = 17,
    ACTIONS(5195), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(5197), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106442] = 10,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 10,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
  [106487] = 15,
    ACTIONS(5191), 1,
      aux_sym_assign_token1,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5193), 4,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106542] = 8,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 10,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
  [106583] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4688), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106614] = 7,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6371), 1,
      anon_sym__,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6355), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6353), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [106653] = 14,
    ACTIONS(5187), 1,
      aux_sym_assign_token1,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5189), 5,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
  [106706] = 7,
    ACTIONS(6367), 1,
      anon_sym_BANG,
    ACTIONS(6373), 1,
      sym__immediate_math_prime,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6521), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6351), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6349), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [106745] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5287), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5289), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [106776] = 12,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5171), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5173), 9,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106825] = 10,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5157), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5159), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [106870] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6553), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106931] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6555), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [106992] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107023] = 10,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 3,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107068] = 8,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 6,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 10,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
  [107109] = 8,
    ACTIONS(6397), 1,
      anon_sym_STAR,
    ACTIONS(6399), 1,
      anon_sym_SLASH,
    ACTIONS(6401), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_inlined_stmt_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107150] = 8,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5137), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5139), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107191] = 8,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5383), 5,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5385), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107232] = 6,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5175), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5177), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107269] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5151), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5153), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107300] = 6,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5179), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5181), 11,
      sym__token_inlined_item_end,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [107337] = 18,
    ACTIONS(5243), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107398] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5130), 1,
      anon_sym_COLON,
    ACTIONS(5132), 1,
      anon_sym_COLON2,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107459] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5128), 1,
      anon_sym_COLON2,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107520] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6557), 1,
      anon_sym_COLON2,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107581] = 18,
    ACTIONS(5122), 1,
      sym__token_inlined_item_end,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107642] = 18,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(5122), 1,
      anon_sym_COLON2,
    ACTIONS(6407), 1,
      anon_sym_COLON,
    ACTIONS(6409), 1,
      aux_sym_assign_token1,
    ACTIONS(6411), 1,
      anon_sym_EQ_GT,
    ACTIONS(6413), 1,
      anon_sym_or,
    ACTIONS(6415), 1,
      anon_sym_not,
    ACTIONS(6417), 1,
      anon_sym_and,
    ACTIONS(6423), 1,
      anon_sym_in,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(6419), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6421), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107703] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107734] = 18,
    ACTIONS(5128), 1,
      sym__token_inlined_item_end,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6545), 1,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107795] = 10,
    ACTIONS(5060), 1,
      anon_sym_DOT,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6425), 1,
      anon_sym_PLUS,
    ACTIONS(6427), 1,
      anon_sym_DASH,
    ACTIONS(6429), 1,
      anon_sym_STAR,
    ACTIONS(6431), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5100), 4,
      anon_sym_COLON,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5102), 10,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_COLON2,
  [107840] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107871] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4770), 14,
      sym__token_inlined_item_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [107902] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [107933] = 18,
    ACTIONS(5122), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [107994] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4651), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4649), 16,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108025] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5090), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5092), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108056] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5084), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5086), 14,
      sym__token_inlined_stmt_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108087] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(5245), 7,
      aux_sym_assign_token1,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5247), 14,
      sym__token_blocked_expr_end,
      sym__immediate_paren,
      sym__immediate_brack,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_or,
      anon_sym_not,
      anon_sym_and,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_DOT,
  [108118] = 17,
    ACTIONS(6489), 1,
      aux_sym_assign_token1,
    ACTIONS(6491), 1,
      anon_sym_EQ_GT,
    ACTIONS(6493), 1,
      anon_sym_or,
    ACTIONS(6495), 1,
      anon_sym_not,
    ACTIONS(6497), 1,
      anon_sym_and,
    ACTIONS(6503), 1,
      anon_sym_in,
    ACTIONS(6505), 1,
      anon_sym_PLUS,
    ACTIONS(6507), 1,
      anon_sym_DASH,
    ACTIONS(6509), 1,
      anon_sym_STAR,
    ACTIONS(6511), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(5132), 2,
      sym__token_inlined_item_end,
      anon_sym_COLON,
    ACTIONS(6499), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6501), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108177] = 18,
    ACTIONS(5128), 1,
      sym__token_blocked_expr_end,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6485), 1,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108238] = 17,
    ACTIONS(6441), 1,
      aux_sym_assign_token1,
    ACTIONS(6443), 1,
      anon_sym_EQ_GT,
    ACTIONS(6445), 1,
      anon_sym_or,
    ACTIONS(6447), 1,
      anon_sym_not,
    ACTIONS(6449), 1,
      anon_sym_and,
    ACTIONS(6455), 1,
      anon_sym_in,
    ACTIONS(6457), 1,
      anon_sym_PLUS,
    ACTIONS(6459), 1,
      anon_sym_DASH,
    ACTIONS(6461), 1,
      anon_sym_STAR,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(5132), 2,
      sym__token_blocked_expr_end,
      anon_sym_COLON,
    ACTIONS(6451), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6453), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108297] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108327] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108357] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6403), 1,
      sym__immediate_paren,
    ACTIONS(6405), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108415] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6275), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6273), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108445] = 17,
    ACTIONS(5539), 1,
      sym__immediate_paren,
    ACTIONS(5541), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108503] = 17,
    ACTIONS(4876), 1,
      sym__immediate_paren,
    ACTIONS(4878), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108561] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6251), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6249), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108591] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6247), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6245), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108621] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108651] = 17,
    ACTIONS(5915), 1,
      sym__immediate_paren,
    ACTIONS(5917), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108709] = 17,
    ACTIONS(6057), 1,
      sym__immediate_paren,
    ACTIONS(6059), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108767] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4651), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4649), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108797] = 17,
    ACTIONS(5327), 1,
      sym__immediate_paren,
    ACTIONS(5329), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108855] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6229), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6227), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108885] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6271), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6269), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [108915] = 17,
    ACTIONS(5768), 1,
      sym__immediate_paren,
    ACTIONS(5770), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [108973] = 7,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6561), 1,
      anon_sym_CARET,
    ACTIONS(6563), 1,
      anon_sym__,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6290), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6287), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109011] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6229), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6227), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109041] = 8,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6569), 1,
      anon_sym_CARET,
    ACTIONS(6571), 1,
      anon_sym__,
    ACTIONS(6573), 1,
      sym__token_math_frac,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6233), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6231), 11,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109081] = 7,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6569), 1,
      anon_sym_CARET,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(6577), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6282), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6279), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109119] = 7,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6571), 1,
      anon_sym__,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(6579), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6290), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6287), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109157] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6365), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6363), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109187] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6275), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6273), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109217] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6271), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6269), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109247] = 8,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6563), 1,
      anon_sym__,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(6581), 1,
      anon_sym_CARET,
    ACTIONS(6583), 1,
      sym__token_math_frac,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6233), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6231), 11,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109287] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6093), 1,
      sym__immediate_paren,
    ACTIONS(6095), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109345] = 17,
    ACTIONS(5066), 1,
      sym__immediate_paren,
    ACTIONS(5068), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109403] = 17,
    ACTIONS(5804), 1,
      sym__immediate_paren,
    ACTIONS(5806), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109461] = 17,
    ACTIONS(5365), 1,
      sym__immediate_paren,
    ACTIONS(5367), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109519] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6255), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6253), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109549] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109579] = 17,
    ACTIONS(5283), 1,
      sym__immediate_paren,
    ACTIONS(5285), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109637] = 17,
    ACTIONS(5947), 1,
      sym__immediate_paren,
    ACTIONS(5949), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109695] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109725] = 7,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(6581), 1,
      anon_sym_CARET,
    ACTIONS(6585), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6351), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6349), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109763] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4651), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(4649), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109793] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6201), 1,
      sym__immediate_paren,
    ACTIONS(6203), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [109851] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6317), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6315), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109881] = 7,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(6581), 1,
      anon_sym_CARET,
    ACTIONS(6585), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6282), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6279), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109919] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6255), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6253), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109949] = 7,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6569), 1,
      anon_sym_CARET,
    ACTIONS(6571), 1,
      anon_sym__,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [109987] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110017] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6513), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110075] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6301), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6299), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110105] = 7,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6571), 1,
      anon_sym__,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(6579), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6347), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6345), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110143] = 7,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6563), 1,
      anon_sym__,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(6581), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6307), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6305), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110181] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6251), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6249), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110211] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6317), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6315), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110241] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6123), 1,
      sym__immediate_paren,
    ACTIONS(6125), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110299] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6247), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6245), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110329] = 17,
    ACTIONS(5235), 1,
      sym__immediate_paren,
    ACTIONS(5237), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110387] = 7,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6569), 1,
      anon_sym_CARET,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(6577), 1,
      anon_sym__,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6351), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6349), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110425] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110455] = 7,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    ACTIONS(6569), 1,
      anon_sym_CARET,
    ACTIONS(6571), 1,
      anon_sym__,
    ACTIONS(6575), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6355), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6353), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110493] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6321), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6319), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110523] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6259), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6257), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110553] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110583] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6267), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6265), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110613] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6361), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6359), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110643] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6515), 1,
      sym__immediate_paren,
    ACTIONS(6517), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110701] = 17,
    ACTIONS(5716), 1,
      sym__immediate_paren,
    ACTIONS(5718), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110759] = 17,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6467), 1,
      sym__immediate_paren,
    ACTIONS(6469), 1,
      sym__immediate_brack,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [110817] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6325), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6323), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110847] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6365), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6363), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110877] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6361), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6359), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110907] = 7,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6563), 1,
      anon_sym__,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(6581), 1,
      anon_sym_CARET,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6355), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6353), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110945] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6301), 5,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      anon_sym_BANG,
      aux_sym__math_symbol_token1,
    ACTIONS(6299), 15,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      sym__token_math_group_end,
      sym__immediate_math_prime,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_CARET,
      anon_sym__,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [110975] = 17,
    ACTIONS(4938), 1,
      sym__immediate_paren,
    ACTIONS(4940), 1,
      sym__immediate_brack,
    ACTIONS(6061), 1,
      anon_sym_COLON,
    ACTIONS(6065), 1,
      aux_sym_assign_token1,
    ACTIONS(6067), 1,
      anon_sym_EQ_GT,
    ACTIONS(6069), 1,
      anon_sym_or,
    ACTIONS(6071), 1,
      anon_sym_not,
    ACTIONS(6073), 1,
      anon_sym_and,
    ACTIONS(6079), 1,
      anon_sym_in,
    ACTIONS(6081), 1,
      anon_sym_PLUS,
    ACTIONS(6083), 1,
      anon_sym_DASH,
    ACTIONS(6085), 1,
      anon_sym_STAR,
    ACTIONS(6087), 1,
      anon_sym_SLASH,
    ACTIONS(6089), 1,
      anon_sym_DOT,
    ACTIONS(6075), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6077), 4,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [111033] = 7,
    ACTIONS(6559), 1,
      anon_sym_BANG,
    ACTIONS(6561), 1,
      anon_sym_CARET,
    ACTIONS(6563), 1,
      anon_sym__,
    ACTIONS(6565), 1,
      sym__immediate_math_prime,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6347), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6345), 12,
      sym__token_math_letter,
      sym__token_math_ident,
      sym__token_math_frac,
      aux_sym_escape_token1,
      anon_sym_DOLLAR,
      sym__math_token_align,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111071] = 7,
    ACTIONS(4195), 1,
      aux_sym_escape_token1,
    ACTIONS(6587), 1,
      aux_sym_text_token1,
    ACTIONS(6589), 1,
      sym__token_anti_markup,
    ACTIONS(4549), 2,
      sym_linebreak,
      anon_sym_BQUOTE,
    STATE(3070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4547), 12,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111108] = 7,
    ACTIONS(4157), 1,
      aux_sym_escape_token1,
    ACTIONS(6591), 1,
      aux_sym_text_token1,
    ACTIONS(6593), 1,
      sym__token_anti_markup,
    ACTIONS(4549), 2,
      sym_linebreak,
      anon_sym_BQUOTE,
    STATE(3071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4547), 12,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111145] = 7,
    ACTIONS(6595), 1,
      aux_sym_escape_token1,
    ACTIONS(6598), 1,
      aux_sym_text_token1,
    ACTIONS(6601), 1,
      sym__token_anti_markup,
    ACTIONS(4516), 2,
      sym_linebreak,
      anon_sym_BQUOTE,
    STATE(3070), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4511), 12,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111182] = 7,
    ACTIONS(6604), 1,
      aux_sym_escape_token1,
    ACTIONS(6607), 1,
      aux_sym_text_token1,
    ACTIONS(6610), 1,
      sym__token_anti_markup,
    ACTIONS(4516), 2,
      sym_linebreak,
      anon_sym_BQUOTE,
    STATE(3071), 2,
      sym_escape,
      aux_sym_text_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4511), 12,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111219] = 4,
    ACTIONS(6613), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4578), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4576), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111249] = 4,
    ACTIONS(6615), 1,
      sym__immediate_brack,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4578), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4576), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111279] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4732), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111306] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4617), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4615), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111333] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4621), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111360] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6617), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(3845), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111387] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4633), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111414] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4653), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111441] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4758), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4756), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111468] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4623), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4621), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111495] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111522] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4736), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4734), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111549] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4704), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111576] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4732), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4730), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111603] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6621), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6619), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111630] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6621), 4,
      sym_linebreak,
      anon_sym_COLON,
      sym__math_token_orph,
      aux_sym__math_symbol_token1,
    ACTIONS(6619), 13,
      sym__token_math_letter,
      sym__token_math_ident,
      aux_sym_escape_token1,
      sym__math_token_align,
      sym__math_token_rpar,
      sym__math_token_ldlm,
      sym__math_number,
      aux_sym__math_root_token1,
      anon_sym_COMMA,
      anon_sym_SEMI,
      aux_sym__math_shorthand_token1,
      anon_sym_POUND,
      anon_sym_DQUOTE,
  [111657] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4768), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111684] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4684), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111711] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111738] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4674), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4672), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111765] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111792] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4651), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4649), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111819] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4736), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4734), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111846] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4655), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4653), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111873] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4674), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4672), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111900] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111927] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4708), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111954] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4772), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4770), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [111981] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4714), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4712), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112008] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4651), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4649), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112035] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4666), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4664), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112062] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4768), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4766), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112089] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4617), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4615), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112116] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4714), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4712), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112143] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4758), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4756), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112170] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4706), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4704), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112197] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4710), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4708), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112224] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4690), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112251] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4635), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4633), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_COLON,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112278] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4686), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4684), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112305] = 3,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4682), 3,
      sym_linebreak,
      aux_sym_text_token1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 14,
      sym__token_strong,
      sym__token_emph,
      sym__token_bracket,
      sym__termination,
      sym__token_anti_markup,
      aux_sym_escape_token1,
      aux_sym_url_token1,
      sym_quote,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym_shorthand,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_LT,
      anon_sym_AT,
  [112332] = 5,
    ACTIONS(437), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      sym__token_content,
    ACTIONS(6623), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1444), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112352] = 5,
    ACTIONS(621), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      sym__token_content,
    ACTIONS(6625), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2500), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112372] = 5,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    ACTIONS(545), 1,
      sym__token_content,
    ACTIONS(6627), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2278), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112392] = 5,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    ACTIONS(545), 1,
      sym__token_content,
    ACTIONS(6627), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2281), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112412] = 5,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(335), 1,
      sym__token_content,
    ACTIONS(6629), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2177), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112432] = 5,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(939), 1,
      sym__token_content,
    ACTIONS(6631), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2809), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112452] = 5,
    ACTIONS(311), 1,
      anon_sym_LBRACE,
    ACTIONS(335), 1,
      sym__token_content,
    ACTIONS(6629), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2173), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112472] = 5,
    ACTIONS(757), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      sym__token_content,
    ACTIONS(6633), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1617), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112492] = 5,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(387), 1,
      sym__token_content,
    ACTIONS(6635), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2330), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112512] = 5,
    ACTIONS(757), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      sym__token_content,
    ACTIONS(6633), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1829), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112532] = 5,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(493), 1,
      sym__token_content,
    ACTIONS(6637), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2254), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112552] = 5,
    ACTIONS(469), 1,
      anon_sym_LBRACE,
    ACTIONS(493), 1,
      sym__token_content,
    ACTIONS(6637), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2257), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112572] = 5,
    ACTIONS(143), 1,
      anon_sym_LBRACE,
    ACTIONS(167), 1,
      sym__token_content,
    ACTIONS(6639), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1997), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112592] = 5,
    ACTIONS(363), 1,
      anon_sym_LBRACE,
    ACTIONS(387), 1,
      sym__token_content,
    ACTIONS(6635), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2334), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112612] = 5,
    ACTIONS(437), 1,
      anon_sym_LBRACE,
    ACTIONS(441), 1,
      sym__token_content,
    ACTIONS(6623), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1433), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112632] = 5,
    ACTIONS(95), 1,
      anon_sym_LBRACE,
    ACTIONS(119), 1,
      sym__token_content,
    ACTIONS(6641), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1881), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112652] = 5,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(6643), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1921), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112672] = 5,
    ACTIONS(195), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      sym__token_content,
    ACTIONS(6643), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1931), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112692] = 5,
    ACTIONS(621), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      sym__token_content,
    ACTIONS(6625), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2546), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112712] = 5,
    ACTIONS(243), 1,
      anon_sym_LBRACE,
    ACTIONS(267), 1,
      sym__token_content,
    ACTIONS(6645), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1620), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112732] = 5,
    ACTIONS(869), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      sym__token_content,
    ACTIONS(6647), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2875), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112752] = 5,
    ACTIONS(575), 1,
      anon_sym_LBRACE,
    ACTIONS(599), 1,
      sym__token_content,
    ACTIONS(6649), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2692), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112772] = 5,
    ACTIONS(1029), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      sym__token_content,
    ACTIONS(6651), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2917), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112792] = 5,
    ACTIONS(1029), 1,
      anon_sym_LBRACE,
    ACTIONS(1053), 1,
      sym__token_content,
    ACTIONS(6651), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2914), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112812] = 5,
    ACTIONS(915), 1,
      anon_sym_LBRACE,
    ACTIONS(939), 1,
      sym__token_content,
    ACTIONS(6631), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2843), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112832] = 5,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(807), 1,
      sym__token_content,
    ACTIONS(6653), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2521), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112852] = 5,
    ACTIONS(681), 1,
      anon_sym_LBRACE,
    ACTIONS(705), 1,
      sym__token_content,
    ACTIONS(6655), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2529), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112872] = 5,
    ACTIONS(143), 1,
      anon_sym_LBRACE,
    ACTIONS(167), 1,
      sym__token_content,
    ACTIONS(6639), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1952), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112892] = 5,
    ACTIONS(869), 1,
      anon_sym_LBRACE,
    ACTIONS(893), 1,
      sym__token_content,
    ACTIONS(6647), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2965), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112912] = 5,
    ACTIONS(95), 1,
      anon_sym_LBRACE,
    ACTIONS(119), 1,
      sym__token_content,
    ACTIONS(6641), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1812), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112932] = 5,
    ACTIONS(783), 1,
      anon_sym_LBRACE,
    ACTIONS(807), 1,
      sym__token_content,
    ACTIONS(6653), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2494), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112952] = 5,
    ACTIONS(975), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      sym__token_content,
    ACTIONS(6657), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2131), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112972] = 5,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1139), 1,
      sym__token_content,
    ACTIONS(6659), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2730), 3,
      sym_content,
      sym_block,
      sym_branch,
  [112992] = 5,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      sym__token_content,
    ACTIONS(6661), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1475), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113012] = 5,
    ACTIONS(975), 1,
      anon_sym_LBRACE,
    ACTIONS(999), 1,
      sym__token_content,
    ACTIONS(6657), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2128), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113032] = 5,
    ACTIONS(37), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      sym__token_content,
    ACTIONS(6661), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1528), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113052] = 5,
    ACTIONS(1115), 1,
      anon_sym_LBRACE,
    ACTIONS(1139), 1,
      sym__token_content,
    ACTIONS(6659), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2673), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113072] = 5,
    ACTIONS(243), 1,
      anon_sym_LBRACE,
    ACTIONS(267), 1,
      sym__token_content,
    ACTIONS(6645), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(1637), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113092] = 5,
    ACTIONS(575), 1,
      anon_sym_LBRACE,
    ACTIONS(599), 1,
      sym__token_content,
    ACTIONS(6649), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2733), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113112] = 5,
    ACTIONS(681), 1,
      anon_sym_LBRACE,
    ACTIONS(705), 1,
      sym__token_content,
    ACTIONS(6655), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    STATE(2415), 3,
      sym_content,
      sym_block,
      sym_branch,
  [113132] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6665), 1,
      anon_sym_DQUOTE,
    ACTIONS(6667), 1,
      sym__token_string_blob,
    STATE(3192), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113151] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6669), 1,
      anon_sym_DQUOTE,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113170] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6673), 1,
      anon_sym_DQUOTE,
    ACTIONS(6675), 1,
      sym__token_string_blob,
    STATE(3182), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113189] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6677), 1,
      anon_sym_DQUOTE,
    ACTIONS(6679), 1,
      sym__token_string_blob,
    STATE(3167), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113208] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6681), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113227] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6683), 1,
      anon_sym_DQUOTE,
    ACTIONS(6685), 1,
      sym__token_string_blob,
    STATE(3157), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113246] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6687), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113265] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6689), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113284] = 5,
    ACTIONS(6691), 1,
      aux_sym_escape_token1,
    ACTIONS(6694), 1,
      anon_sym_DQUOTE,
    ACTIONS(6696), 1,
      sym__token_string_blob,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113303] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6699), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113322] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6701), 1,
      anon_sym_DQUOTE,
    ACTIONS(6703), 1,
      sym__token_string_blob,
    STATE(3160), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113341] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6705), 1,
      anon_sym_DQUOTE,
    ACTIONS(6707), 1,
      sym__token_string_blob,
    STATE(3198), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113360] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6709), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113379] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6711), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113398] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6713), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113417] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6717), 1,
      sym__token_string_blob,
    STATE(3154), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113436] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6719), 1,
      anon_sym_DQUOTE,
    ACTIONS(6721), 1,
      sym__token_string_blob,
    STATE(3166), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113455] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6723), 1,
      anon_sym_DQUOTE,
    ACTIONS(6725), 1,
      sym__token_string_blob,
    STATE(3159), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113474] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6727), 1,
      anon_sym_DQUOTE,
    ACTIONS(6729), 1,
      sym__token_string_blob,
    STATE(3194), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113493] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6731), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113512] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6733), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113531] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6735), 1,
      anon_sym_DQUOTE,
    ACTIONS(6737), 1,
      sym__token_string_blob,
    STATE(3195), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113550] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6739), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113569] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6741), 1,
      anon_sym_DQUOTE,
    ACTIONS(6743), 1,
      sym__token_string_blob,
    STATE(3172), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113588] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6745), 1,
      anon_sym_DQUOTE,
    ACTIONS(6747), 1,
      sym__token_string_blob,
    STATE(3162), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113607] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6749), 1,
      anon_sym_DQUOTE,
    ACTIONS(6751), 1,
      sym__token_string_blob,
    STATE(3173), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113626] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6753), 1,
      anon_sym_DQUOTE,
    ACTIONS(6755), 1,
      sym__token_string_blob,
    STATE(3189), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113645] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6757), 1,
      anon_sym_DQUOTE,
    ACTIONS(6759), 1,
      sym__token_string_blob,
    STATE(3165), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113664] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6761), 1,
      anon_sym_DQUOTE,
    ACTIONS(6763), 1,
      sym__token_string_blob,
    STATE(3184), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113683] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6765), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113702] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6767), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113721] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6769), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113740] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6771), 1,
      anon_sym_DQUOTE,
    ACTIONS(6773), 1,
      sym__token_string_blob,
    STATE(3175), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113759] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6775), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113778] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6777), 1,
      anon_sym_DQUOTE,
    ACTIONS(6779), 1,
      sym__token_string_blob,
    STATE(3183), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113797] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6781), 1,
      anon_sym_DQUOTE,
    ACTIONS(6783), 1,
      sym__token_string_blob,
    STATE(3200), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113816] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6785), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113835] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6787), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113854] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6789), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113873] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6791), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113892] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6793), 1,
      anon_sym_DQUOTE,
    ACTIONS(6795), 1,
      sym__token_string_blob,
    STATE(3190), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113911] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6797), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113930] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6799), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113949] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6801), 1,
      anon_sym_DQUOTE,
    ACTIONS(6803), 1,
      sym__token_string_blob,
    STATE(3191), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113968] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6805), 1,
      anon_sym_DQUOTE,
    ACTIONS(6807), 1,
      sym__token_string_blob,
    STATE(3186), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [113987] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6809), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114006] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6811), 1,
      anon_sym_DQUOTE,
    ACTIONS(6813), 1,
      sym__token_string_blob,
    STATE(3201), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114025] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6815), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114044] = 5,
    ACTIONS(6663), 1,
      aux_sym_escape_token1,
    ACTIONS(6671), 1,
      sym__token_string_blob,
    ACTIONS(6817), 1,
      anon_sym_DQUOTE,
    STATE(3161), 2,
      sym_escape,
      aux_sym_string_repeat1,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114063] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4151), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114079] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4196), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114095] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4171), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114111] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4156), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114127] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4181), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114143] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4104), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114159] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4176), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114175] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4191), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114191] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4126), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114207] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4161), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114223] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4131), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114239] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4166), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114255] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4136), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114271] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4206), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114287] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4141), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114303] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4186), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114319] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4146), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114335] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4211), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114351] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4201), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114367] = 4,
    ACTIONS(6819), 1,
      sym__identifier,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    STATE(4043), 2,
      sym_ident,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114383] = 4,
    ACTIONS(5476), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4264), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114398] = 4,
    ACTIONS(5394), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4095), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114413] = 4,
    ACTIONS(4960), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4267), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114428] = 4,
    ACTIONS(5451), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(3993), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114443] = 4,
    ACTIONS(5408), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4266), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114458] = 4,
    ACTIONS(5082), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(3515), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114473] = 4,
    ACTIONS(4776), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4262), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114488] = 4,
    ACTIONS(6825), 1,
      sym__math_token_rpar,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114503] = 4,
    ACTIONS(4892), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4270), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114518] = 3,
    ACTIONS(6831), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114531] = 4,
    ACTIONS(5447), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(3864), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114546] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6835), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114561] = 3,
    ACTIONS(3821), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114574] = 3,
    ACTIONS(3879), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114587] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6837), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114602] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4984), 3,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COMMA2,
  [114613] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6839), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114628] = 4,
    ACTIONS(5112), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4258), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114643] = 4,
    ACTIONS(4815), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4268), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114658] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6841), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114673] = 4,
    ACTIONS(5643), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(3623), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114688] = 3,
    ACTIONS(6843), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114701] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6845), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114716] = 4,
    ACTIONS(4956), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4263), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114731] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(4621), 3,
      sym__token_string_blob,
      aux_sym_escape_token1,
      anon_sym_DQUOTE,
  [114742] = 3,
    ACTIONS(3803), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114755] = 3,
    ACTIONS(3831), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114768] = 4,
    ACTIONS(4826), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4220), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114783] = 4,
    ACTIONS(5000), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4269), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114798] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6847), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114813] = 3,
    ACTIONS(6849), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114826] = 4,
    ACTIONS(5864), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(3865), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114841] = 4,
    ACTIONS(5009), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4260), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114856] = 2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
    ACTIONS(6851), 3,
      sym__math_token_rpar,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114867] = 4,
    ACTIONS(4647), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4265), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114882] = 3,
    ACTIONS(6853), 1,
      sym__math_token_rpar,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114895] = 4,
    ACTIONS(5392), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(4259), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114910] = 4,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(6855), 1,
      sym__math_token_rpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114925] = 4,
    ACTIONS(5830), 1,
      anon_sym_COMMA2,
    ACTIONS(6823), 1,
      anon_sym_as,
    STATE(3706), 1,
      sym_as,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114940] = 3,
    ACTIONS(6857), 1,
      sym__identifier,
    STATE(1810), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114952] = 3,
    ACTIONS(6859), 1,
      sym__identifier,
    STATE(1335), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114964] = 3,
    ACTIONS(6861), 1,
      sym__identifier,
    STATE(2504), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114976] = 3,
    ACTIONS(6863), 1,
      sym__identifier,
    STATE(1486), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [114988] = 3,
    ACTIONS(6865), 1,
      sym__token_content,
    STATE(1189), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115000] = 3,
    ACTIONS(6867), 1,
      sym__identifier,
    STATE(2814), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115012] = 3,
    ACTIONS(939), 1,
      sym__token_content,
    STATE(2690), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115024] = 3,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    STATE(2690), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115036] = 3,
    ACTIONS(6869), 1,
      sym__identifier,
    STATE(2345), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115048] = 3,
    ACTIONS(6871), 1,
      sym__identifier,
    STATE(2188), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115060] = 3,
    ACTIONS(6873), 1,
      sym__identifier,
    STATE(2894), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115072] = 3,
    ACTIONS(407), 1,
      anon_sym_LPAREN,
    STATE(1263), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115084] = 3,
    ACTIONS(387), 1,
      sym__token_content,
    STATE(1965), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115096] = 3,
    ACTIONS(4061), 1,
      sym__math_token_ldlm,
    STATE(2951), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115108] = 3,
    ACTIONS(6875), 1,
      sym__identifier,
    STATE(2142), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115120] = 3,
    ACTIONS(6863), 1,
      sym__identifier,
    STATE(1230), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115132] = 3,
    ACTIONS(1113), 1,
      anon_sym_LPAREN,
    STATE(2069), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115144] = 3,
    ACTIONS(1139), 1,
      sym__token_content,
    STATE(2069), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115156] = 3,
    ACTIONS(6877), 1,
      sym__identifier,
    STATE(1963), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115168] = 3,
    ACTIONS(6879), 1,
      sym__identifier,
    STATE(2468), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115180] = 3,
    ACTIONS(6881), 1,
      sym__token_content,
    STATE(3094), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115192] = 3,
    ACTIONS(6883), 1,
      sym__token_content,
    STATE(3083), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115204] = 3,
    ACTIONS(6861), 1,
      sym__identifier,
    STATE(2834), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115216] = 3,
    ACTIONS(893), 1,
      sym__token_content,
    STATE(2742), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115228] = 3,
    ACTIONS(867), 1,
      anon_sym_LPAREN,
    STATE(2742), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115240] = 3,
    ACTIONS(999), 1,
      sym__token_content,
    STATE(1705), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115252] = 3,
    ACTIONS(973), 1,
      anon_sym_LPAREN,
    STATE(1705), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115264] = 3,
    ACTIONS(6885), 1,
      sym__identifier,
    STATE(2058), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115276] = 3,
    ACTIONS(6887), 1,
      sym__identifier,
    STATE(1823), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115288] = 3,
    ACTIONS(6889), 1,
      sym__identifier,
    STATE(1945), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115300] = 3,
    ACTIONS(3805), 1,
      sym__math_token_ldlm,
    STATE(2792), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115312] = 3,
    ACTIONS(6875), 1,
      sym__identifier,
    STATE(1840), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115324] = 3,
    ACTIONS(3932), 1,
      sym__math_token_ldlm,
    STATE(3062), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115336] = 3,
    ACTIONS(6891), 1,
      sym__identifier,
    STATE(1522), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115348] = 3,
    ACTIONS(6893), 1,
      sym__identifier,
    STATE(2427), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115360] = 3,
    ACTIONS(6891), 1,
      sym__identifier,
    STATE(1642), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115372] = 3,
    ACTIONS(267), 1,
      sym__token_content,
    STATE(1575), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115384] = 3,
    ACTIONS(241), 1,
      anon_sym_LPAREN,
    STATE(1575), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115396] = 3,
    ACTIONS(727), 1,
      anon_sym_LPAREN,
    STATE(1482), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115408] = 3,
    ACTIONS(519), 1,
      anon_sym_LPAREN,
    STATE(1882), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115420] = 3,
    ACTIONS(545), 1,
      sym__token_content,
    STATE(1882), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115432] = 3,
    ACTIONS(6895), 1,
      sym__identifier,
    STATE(2292), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115444] = 3,
    ACTIONS(761), 1,
      sym__token_content,
    STATE(1482), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115456] = 3,
    ACTIONS(781), 1,
      anon_sym_LPAREN,
    STATE(2105), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115468] = 3,
    ACTIONS(807), 1,
      sym__token_content,
    STATE(2105), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115480] = 3,
    ACTIONS(6897), 1,
      sym__token_section,
    STATE(1223), 1,
      sym__section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115492] = 3,
    ACTIONS(6873), 1,
      sym__identifier,
    STATE(2613), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115504] = 3,
    ACTIONS(6819), 1,
      sym__identifier,
    STATE(4261), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115516] = 3,
    ACTIONS(6899), 1,
      sym__identifier,
    STATE(2501), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115528] = 3,
    ACTIONS(6901), 1,
      sym__token_content,
    STATE(1141), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115540] = 3,
    ACTIONS(6903), 1,
      sym__identifier,
    STATE(2182), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115552] = 3,
    ACTIONS(6857), 1,
      sym__identifier,
    STATE(1541), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115564] = 3,
    ACTIONS(705), 1,
      sym__token_content,
    STATE(2402), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115576] = 3,
    ACTIONS(679), 1,
      anon_sym_LPAREN,
    STATE(2402), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115588] = 3,
    ACTIONS(6879), 1,
      sym__identifier,
    STATE(2115), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115600] = 3,
    ACTIONS(6887), 1,
      sym__identifier,
    STATE(2191), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115612] = 3,
    ACTIONS(335), 1,
      sym__token_content,
    STATE(1619), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115624] = 3,
    ACTIONS(309), 1,
      anon_sym_LPAREN,
    STATE(1619), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115636] = 3,
    ACTIONS(6905), 1,
      anon_sym_COLON,
    STATE(1002), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115648] = 3,
    ACTIONS(6893), 1,
      sym__identifier,
    STATE(2072), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115660] = 3,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    STATE(2699), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115672] = 3,
    ACTIONS(441), 1,
      sym__token_content,
    STATE(1263), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115684] = 3,
    ACTIONS(1053), 1,
      sym__token_content,
    STATE(2699), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115696] = 3,
    ACTIONS(6907), 1,
      sym__identifier,
    STATE(1969), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115708] = 3,
    ACTIONS(6885), 1,
      sym__identifier,
    STATE(2248), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115720] = 3,
    ACTIONS(119), 1,
      sym__token_content,
    STATE(1412), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115732] = 3,
    ACTIONS(93), 1,
      anon_sym_LPAREN,
    STATE(1412), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115744] = 3,
    ACTIONS(6909), 1,
      sym__identifier,
    STATE(1588), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115756] = 3,
    ACTIONS(193), 1,
      anon_sym_LPAREN,
    STATE(1416), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115768] = 3,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    STATE(2259), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115780] = 3,
    ACTIONS(6911), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6913), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115792] = 3,
    ACTIONS(219), 1,
      sym__token_content,
    STATE(1416), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115804] = 3,
    ACTIONS(6909), 1,
      sym__identifier,
    STATE(1902), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115816] = 3,
    ACTIONS(6869), 1,
      sym__identifier,
    STATE(2028), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115828] = 3,
    ACTIONS(599), 1,
      sym__token_content,
    STATE(2259), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115840] = 3,
    ACTIONS(6915), 1,
      sym__token_section,
    STATE(1102), 1,
      sym__section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115852] = 3,
    ACTIONS(6917), 1,
      sym__identifier,
    STATE(1384), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115864] = 3,
    ACTIONS(6919), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6921), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115876] = 3,
    ACTIONS(6923), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6925), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115888] = 3,
    ACTIONS(6927), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6929), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115900] = 3,
    ACTIONS(6931), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6933), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115912] = 3,
    ACTIONS(6935), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6937), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115924] = 3,
    ACTIONS(6939), 1,
      sym__token_content,
    STATE(1149), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115936] = 3,
    ACTIONS(6941), 1,
      sym__identifier,
    STATE(2486), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115948] = 3,
    ACTIONS(6943), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6945), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115960] = 3,
    ACTIONS(645), 1,
      sym__token_content,
    STATE(2127), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115972] = 3,
    ACTIONS(619), 1,
      anon_sym_LPAREN,
    STATE(2127), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115984] = 3,
    ACTIONS(6871), 1,
      sym__identifier,
    STATE(2768), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [115996] = 3,
    ACTIONS(6947), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6949), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116008] = 3,
    ACTIONS(6951), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6953), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116020] = 3,
    ACTIONS(6955), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6957), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116032] = 3,
    ACTIONS(6959), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6961), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116044] = 3,
    ACTIONS(6963), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6965), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116056] = 3,
    ACTIONS(6967), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6969), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116068] = 3,
    ACTIONS(4003), 1,
      sym__math_token_ldlm,
    STATE(3020), 1,
      sym__math_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116080] = 3,
    ACTIONS(6971), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6973), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116092] = 3,
    ACTIONS(6975), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6977), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116104] = 3,
    ACTIONS(6979), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6981), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116116] = 3,
    ACTIONS(6983), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6985), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116128] = 3,
    ACTIONS(6987), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6989), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116140] = 3,
    ACTIONS(6991), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6993), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116152] = 3,
    ACTIONS(6995), 1,
      sym__token_raw_blck_blob,
    ACTIONS(6997), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116164] = 3,
    ACTIONS(6999), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7001), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116176] = 3,
    ACTIONS(361), 1,
      anon_sym_LPAREN,
    STATE(1965), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116188] = 3,
    ACTIONS(7003), 1,
      anon_sym_COLON,
    STATE(1004), 1,
      sym__math_token_colon,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116200] = 3,
    ACTIONS(7005), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7007), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116212] = 2,
    ACTIONS(6833), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116222] = 3,
    ACTIONS(7009), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7011), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116234] = 3,
    ACTIONS(7013), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7015), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116246] = 3,
    ACTIONS(7017), 1,
      sym__token_raw_blck_blob,
    ACTIONS(7019), 1,
      sym__token_raw_lang,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116258] = 3,
    ACTIONS(6827), 1,
      anon_sym_COMMA,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116270] = 3,
    ACTIONS(6907), 1,
      sym__identifier,
    STATE(1523), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116282] = 3,
    ACTIONS(141), 1,
      anon_sym_LPAREN,
    STATE(1408), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116294] = 3,
    ACTIONS(7021), 1,
      sym__token_section,
    STATE(1135), 1,
      sym__section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116306] = 3,
    ACTIONS(167), 1,
      sym__token_content,
    STATE(1408), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116318] = 3,
    ACTIONS(6899), 1,
      sym__identifier,
    STATE(2101), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116330] = 3,
    ACTIONS(7023), 1,
      sym__identifier,
    STATE(1360), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116342] = 3,
    ACTIONS(6877), 1,
      sym__identifier,
    STATE(1920), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116354] = 3,
    ACTIONS(6917), 1,
      sym__identifier,
    STATE(1397), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116366] = 3,
    ACTIONS(467), 1,
      anon_sym_LPAREN,
    STATE(1737), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116378] = 3,
    ACTIONS(6867), 1,
      sym__identifier,
    STATE(2787), 1,
      sym_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116390] = 3,
    ACTIONS(61), 1,
      sym__token_content,
    STATE(1324), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116402] = 3,
    ACTIONS(35), 1,
      anon_sym_LPAREN,
    STATE(1324), 1,
      sym_group,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116414] = 3,
    ACTIONS(493), 1,
      sym__token_content,
    STATE(1737), 1,
      sym_content,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116426] = 2,
    ACTIONS(7025), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116435] = 2,
    ACTIONS(7027), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116444] = 2,
    ACTIONS(7029), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116453] = 2,
    ACTIONS(7031), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116462] = 2,
    ACTIONS(7033), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116471] = 2,
    ACTIONS(7035), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116480] = 2,
    ACTIONS(7037), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116489] = 2,
    ACTIONS(7039), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116498] = 2,
    ACTIONS(7041), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116507] = 2,
    ACTIONS(7043), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116516] = 2,
    ACTIONS(7045), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116525] = 2,
    ACTIONS(7047), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116534] = 2,
    ACTIONS(7049), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116543] = 2,
    ACTIONS(7051), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116552] = 2,
    ACTIONS(7053), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116561] = 2,
    ACTIONS(7055), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116570] = 2,
    ACTIONS(7057), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116579] = 2,
    ACTIONS(7059), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116588] = 2,
    ACTIONS(7061), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116597] = 2,
    ACTIONS(7063), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116606] = 2,
    ACTIONS(7065), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116615] = 2,
    ACTIONS(7067), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116624] = 2,
    ACTIONS(7069), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116633] = 2,
    ACTIONS(7071), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116642] = 2,
    ACTIONS(7073), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116651] = 2,
    ACTIONS(7075), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116660] = 2,
    ACTIONS(7077), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116669] = 2,
    ACTIONS(7079), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116678] = 2,
    ACTIONS(7081), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116687] = 2,
    ACTIONS(7083), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116696] = 2,
    ACTIONS(7085), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116705] = 2,
    ACTIONS(7087), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116714] = 2,
    ACTIONS(7089), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116723] = 3,
    ACTIONS(7091), 1,
      sym_parbreak,
    ACTIONS(7093), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
  [116734] = 2,
    ACTIONS(7095), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116743] = 2,
    ACTIONS(7097), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116752] = 2,
    ACTIONS(7099), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116761] = 2,
    ACTIONS(7101), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116770] = 2,
    ACTIONS(7103), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116779] = 2,
    ACTIONS(7105), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116788] = 2,
    ACTIONS(7107), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116797] = 2,
    ACTIONS(7109), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116806] = 2,
    ACTIONS(7111), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116815] = 2,
    ACTIONS(7113), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116824] = 2,
    ACTIONS(7115), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116833] = 2,
    ACTIONS(7117), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116842] = 2,
    ACTIONS(7119), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116851] = 2,
    ACTIONS(7121), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116860] = 2,
    ACTIONS(7123), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116869] = 2,
    ACTIONS(7125), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116878] = 2,
    ACTIONS(7127), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116887] = 2,
    ACTIONS(7129), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116896] = 2,
    ACTIONS(7131), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116905] = 2,
    ACTIONS(7133), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116914] = 2,
    ACTIONS(7135), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116923] = 2,
    ACTIONS(7137), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116932] = 2,
    ACTIONS(7139), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116941] = 2,
    ACTIONS(7141), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116950] = 2,
    ACTIONS(7143), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116959] = 2,
    ACTIONS(7145), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116968] = 2,
    ACTIONS(7147), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116977] = 2,
    ACTIONS(7149), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116986] = 2,
    ACTIONS(7151), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [116995] = 2,
    ACTIONS(7153), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117004] = 2,
    ACTIONS(7155), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117013] = 2,
    ACTIONS(7157), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117022] = 2,
    ACTIONS(7159), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117031] = 2,
    ACTIONS(7161), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117040] = 2,
    ACTIONS(7163), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117049] = 2,
    ACTIONS(7165), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117058] = 2,
    ACTIONS(7167), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117067] = 2,
    ACTIONS(7169), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117076] = 2,
    ACTIONS(7171), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117085] = 2,
    ACTIONS(7173), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117094] = 2,
    ACTIONS(7175), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117103] = 2,
    ACTIONS(7177), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117112] = 2,
    ACTIONS(7179), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117121] = 2,
    ACTIONS(7181), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117130] = 2,
    ACTIONS(7183), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117139] = 2,
    ACTIONS(7185), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117148] = 2,
    ACTIONS(7187), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117157] = 2,
    ACTIONS(7189), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117166] = 2,
    ACTIONS(7191), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117175] = 2,
    ACTIONS(7193), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117184] = 2,
    ACTIONS(7195), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117193] = 2,
    ACTIONS(7197), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117202] = 2,
    ACTIONS(7199), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117211] = 2,
    ACTIONS(7201), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117220] = 2,
    ACTIONS(7203), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117229] = 2,
    ACTIONS(7205), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117238] = 2,
    ACTIONS(7207), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117247] = 2,
    ACTIONS(7209), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117256] = 2,
    ACTIONS(7211), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117265] = 2,
    ACTIONS(7213), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117274] = 2,
    ACTIONS(7215), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117283] = 2,
    ACTIONS(7217), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117292] = 2,
    ACTIONS(7219), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117301] = 2,
    ACTIONS(7221), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117310] = 2,
    ACTIONS(7223), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117319] = 2,
    ACTIONS(7225), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117328] = 2,
    ACTIONS(7227), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117337] = 2,
    ACTIONS(7229), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117346] = 2,
    ACTIONS(7231), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117355] = 2,
    ACTIONS(7233), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117364] = 2,
    ACTIONS(7235), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117373] = 2,
    ACTIONS(7237), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117382] = 2,
    ACTIONS(7239), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117391] = 2,
    ACTIONS(7241), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117400] = 2,
    ACTIONS(7243), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117409] = 2,
    ACTIONS(7245), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117418] = 2,
    ACTIONS(7247), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117427] = 2,
    ACTIONS(7249), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117436] = 2,
    ACTIONS(7251), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117445] = 2,
    ACTIONS(7253), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117454] = 2,
    ACTIONS(7255), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117463] = 2,
    ACTIONS(7257), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117472] = 2,
    ACTIONS(7259), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117481] = 2,
    ACTIONS(7261), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117490] = 2,
    ACTIONS(7263), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117499] = 2,
    ACTIONS(7265), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117508] = 2,
    ACTIONS(7267), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117517] = 2,
    ACTIONS(7269), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117526] = 2,
    ACTIONS(7271), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117535] = 2,
    ACTIONS(7273), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117544] = 2,
    ACTIONS(7275), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117553] = 2,
    ACTIONS(7277), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117562] = 2,
    ACTIONS(7279), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117571] = 2,
    ACTIONS(7281), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117580] = 2,
    ACTIONS(7283), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117589] = 2,
    ACTIONS(7285), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117598] = 2,
    ACTIONS(5870), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117607] = 2,
    ACTIONS(7287), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117616] = 2,
    ACTIONS(7289), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117625] = 2,
    ACTIONS(7291), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117634] = 2,
    ACTIONS(7293), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117643] = 2,
    ACTIONS(7295), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117652] = 2,
    ACTIONS(7297), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117661] = 2,
    ACTIONS(7299), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117670] = 2,
    ACTIONS(7301), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117679] = 2,
    ACTIONS(7303), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117688] = 2,
    ACTIONS(7305), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117697] = 2,
    ACTIONS(7307), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117706] = 2,
    ACTIONS(7309), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117715] = 2,
    ACTIONS(7311), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117724] = 2,
    ACTIONS(7313), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117733] = 2,
    ACTIONS(7315), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117742] = 2,
    ACTIONS(7317), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117751] = 3,
    ACTIONS(7319), 1,
      sym_parbreak,
    ACTIONS(7321), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
  [117762] = 2,
    ACTIONS(7323), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117771] = 2,
    ACTIONS(7325), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117780] = 2,
    ACTIONS(7327), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117789] = 2,
    ACTIONS(7329), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117798] = 2,
    ACTIONS(7331), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117807] = 2,
    ACTIONS(7333), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117816] = 2,
    ACTIONS(7335), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117825] = 2,
    ACTIONS(7337), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117834] = 2,
    ACTIONS(7339), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117843] = 2,
    ACTIONS(7341), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117852] = 2,
    ACTIONS(7343), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117861] = 2,
    ACTIONS(7345), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117870] = 2,
    ACTIONS(7347), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117879] = 2,
    ACTIONS(7349), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117888] = 2,
    ACTIONS(7351), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117897] = 2,
    ACTIONS(7353), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117906] = 2,
    ACTIONS(7355), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117915] = 2,
    ACTIONS(7357), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117924] = 2,
    ACTIONS(7359), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117933] = 2,
    ACTIONS(7361), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117942] = 2,
    ACTIONS(7363), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117951] = 2,
    ACTIONS(7365), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117960] = 2,
    ACTIONS(7367), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117969] = 2,
    ACTIONS(7369), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117978] = 2,
    ACTIONS(7371), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117987] = 2,
    ACTIONS(7373), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [117996] = 2,
    ACTIONS(7375), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118005] = 2,
    ACTIONS(7377), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118014] = 2,
    ACTIONS(7379), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118023] = 2,
    ACTIONS(7381), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118032] = 2,
    ACTIONS(7383), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118041] = 2,
    ACTIONS(7385), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118050] = 2,
    ACTIONS(7387), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118059] = 2,
    ACTIONS(7389), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118068] = 2,
    ACTIONS(7391), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118077] = 2,
    ACTIONS(7393), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118086] = 2,
    ACTIONS(7395), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118095] = 2,
    ACTIONS(7397), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118104] = 2,
    ACTIONS(7399), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118113] = 2,
    ACTIONS(7401), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118122] = 2,
    ACTIONS(7403), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118131] = 2,
    ACTIONS(7405), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118140] = 2,
    ACTIONS(7407), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118149] = 2,
    ACTIONS(7409), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118158] = 2,
    ACTIONS(7411), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118167] = 2,
    ACTIONS(7413), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118176] = 2,
    ACTIONS(7415), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118185] = 2,
    ACTIONS(7417), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118194] = 2,
    ACTIONS(7419), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118203] = 2,
    ACTIONS(7421), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118212] = 2,
    ACTIONS(7423), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118221] = 2,
    ACTIONS(7425), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118230] = 2,
    ACTIONS(7427), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118239] = 2,
    ACTIONS(7429), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118248] = 2,
    ACTIONS(7431), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118257] = 2,
    ACTIONS(7433), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118266] = 2,
    ACTIONS(7435), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118275] = 2,
    ACTIONS(7437), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118284] = 2,
    ACTIONS(7439), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118293] = 2,
    ACTIONS(7441), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118302] = 2,
    ACTIONS(7443), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118311] = 2,
    ACTIONS(7445), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118320] = 2,
    ACTIONS(7447), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118329] = 2,
    ACTIONS(7449), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118338] = 2,
    ACTIONS(7451), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118347] = 2,
    ACTIONS(7453), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118356] = 2,
    ACTIONS(7455), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118365] = 2,
    ACTIONS(7457), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118374] = 2,
    ACTIONS(7459), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118383] = 2,
    ACTIONS(7461), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118392] = 2,
    ACTIONS(7463), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118401] = 2,
    ACTIONS(7465), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118410] = 2,
    ACTIONS(7467), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118419] = 2,
    ACTIONS(7469), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118428] = 2,
    ACTIONS(7471), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118437] = 2,
    ACTIONS(7473), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118446] = 2,
    ACTIONS(7475), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118455] = 2,
    ACTIONS(7477), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118464] = 2,
    ACTIONS(7479), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118473] = 2,
    ACTIONS(7481), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118482] = 2,
    ACTIONS(7483), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118491] = 2,
    ACTIONS(7485), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118500] = 2,
    ACTIONS(7487), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118509] = 2,
    ACTIONS(7489), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118518] = 2,
    ACTIONS(7491), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118527] = 2,
    ACTIONS(7493), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118536] = 2,
    ACTIONS(7495), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118545] = 2,
    ACTIONS(7497), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118554] = 2,
    ACTIONS(7499), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118563] = 2,
    ACTIONS(7501), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118572] = 2,
    ACTIONS(6297), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118581] = 2,
    ACTIONS(7503), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118590] = 2,
    ACTIONS(7505), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118599] = 2,
    ACTIONS(7507), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118608] = 2,
    ACTIONS(7509), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118617] = 2,
    ACTIONS(7511), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118626] = 2,
    ACTIONS(7513), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118635] = 2,
    ACTIONS(7515), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118644] = 2,
    ACTIONS(7517), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118653] = 2,
    ACTIONS(7519), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118662] = 2,
    ACTIONS(7521), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118671] = 2,
    ACTIONS(7523), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118680] = 2,
    ACTIONS(7525), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118689] = 2,
    ACTIONS(7527), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118698] = 2,
    ACTIONS(7529), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118707] = 2,
    ACTIONS(7531), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118716] = 2,
    ACTIONS(7533), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118725] = 2,
    ACTIONS(7535), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118734] = 2,
    ACTIONS(7537), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118743] = 2,
    ACTIONS(7539), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118752] = 2,
    ACTIONS(7541), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118761] = 2,
    ACTIONS(7543), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118770] = 2,
    ACTIONS(7545), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118779] = 2,
    ACTIONS(7547), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118788] = 2,
    ACTIONS(7549), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118797] = 2,
    ACTIONS(7551), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118806] = 2,
    ACTIONS(7553), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118815] = 2,
    ACTIONS(7555), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118824] = 2,
    ACTIONS(7557), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118833] = 2,
    ACTIONS(7559), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118842] = 2,
    ACTIONS(7561), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118851] = 2,
    ACTIONS(7563), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118860] = 2,
    ACTIONS(7565), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118869] = 2,
    ACTIONS(7567), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118878] = 2,
    ACTIONS(7569), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118887] = 2,
    ACTIONS(7571), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118896] = 2,
    ACTIONS(7573), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118905] = 2,
    ACTIONS(7575), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118914] = 2,
    ACTIONS(7577), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118923] = 2,
    ACTIONS(7579), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118932] = 2,
    ACTIONS(7581), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118941] = 2,
    ACTIONS(7583), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118950] = 2,
    ACTIONS(7585), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118959] = 2,
    ACTIONS(7587), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118968] = 2,
    ACTIONS(7589), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118977] = 2,
    ACTIONS(7591), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118986] = 2,
    ACTIONS(7593), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [118995] = 2,
    ACTIONS(7595), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119004] = 2,
    ACTIONS(7597), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119013] = 2,
    ACTIONS(7599), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119022] = 2,
    ACTIONS(7601), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119031] = 2,
    ACTIONS(7603), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119040] = 2,
    ACTIONS(7605), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119049] = 2,
    ACTIONS(7607), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119058] = 2,
    ACTIONS(7609), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119067] = 2,
    ACTIONS(7611), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119076] = 2,
    ACTIONS(7613), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119085] = 2,
    ACTIONS(7615), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119094] = 2,
    ACTIONS(7617), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119103] = 2,
    ACTIONS(7619), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119112] = 2,
    ACTIONS(7621), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119121] = 2,
    ACTIONS(7623), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119130] = 2,
    ACTIONS(7625), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119139] = 2,
    ACTIONS(7627), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119148] = 2,
    ACTIONS(7629), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119157] = 2,
    ACTIONS(7631), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119166] = 2,
    ACTIONS(7633), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119175] = 2,
    ACTIONS(7635), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119184] = 2,
    ACTIONS(7637), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119193] = 2,
    ACTIONS(7639), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119202] = 2,
    ACTIONS(7641), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119211] = 2,
    ACTIONS(7643), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119220] = 2,
    ACTIONS(7645), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119229] = 2,
    ACTIONS(7647), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119238] = 2,
    ACTIONS(7649), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119247] = 2,
    ACTIONS(7651), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119256] = 2,
    ACTIONS(7653), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119265] = 2,
    ACTIONS(7655), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119274] = 2,
    ACTIONS(7657), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119283] = 2,
    ACTIONS(7659), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119292] = 2,
    ACTIONS(7661), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119301] = 2,
    ACTIONS(7663), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119310] = 2,
    ACTIONS(7665), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119319] = 2,
    ACTIONS(6167), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119328] = 2,
    ACTIONS(7667), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119337] = 2,
    ACTIONS(7669), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119346] = 2,
    ACTIONS(7671), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119355] = 2,
    ACTIONS(7673), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119364] = 2,
    ACTIONS(7675), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119373] = 2,
    ACTIONS(7677), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119382] = 2,
    ACTIONS(7679), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119391] = 2,
    ACTIONS(7681), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119400] = 2,
    ACTIONS(7683), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119409] = 2,
    ACTIONS(7685), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119418] = 2,
    ACTIONS(7687), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119427] = 2,
    ACTIONS(7689), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119436] = 2,
    ACTIONS(7691), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119445] = 2,
    ACTIONS(7693), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119454] = 2,
    ACTIONS(7695), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119463] = 2,
    ACTIONS(7697), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119472] = 2,
    ACTIONS(7699), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119481] = 2,
    ACTIONS(7701), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119490] = 2,
    ACTIONS(7703), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119499] = 2,
    ACTIONS(7705), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119508] = 2,
    ACTIONS(7707), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119517] = 2,
    ACTIONS(7709), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119526] = 2,
    ACTIONS(7711), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119535] = 2,
    ACTIONS(7713), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119544] = 2,
    ACTIONS(7715), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119553] = 2,
    ACTIONS(7717), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119562] = 2,
    ACTIONS(7719), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119571] = 2,
    ACTIONS(7721), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119580] = 2,
    ACTIONS(7723), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119589] = 2,
    ACTIONS(7725), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119598] = 2,
    ACTIONS(7727), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119607] = 2,
    ACTIONS(7729), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119616] = 2,
    ACTIONS(7731), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119625] = 2,
    ACTIONS(7733), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119634] = 2,
    ACTIONS(7735), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119643] = 2,
    ACTIONS(7737), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119652] = 2,
    ACTIONS(7739), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119661] = 2,
    ACTIONS(7741), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119670] = 2,
    ACTIONS(7743), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119679] = 2,
    ACTIONS(7745), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119688] = 2,
    ACTIONS(7747), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119697] = 2,
    ACTIONS(7749), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119706] = 2,
    ACTIONS(7751), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119715] = 2,
    ACTIONS(7753), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119724] = 2,
    ACTIONS(7755), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119733] = 2,
    ACTIONS(7757), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119742] = 2,
    ACTIONS(7759), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119751] = 2,
    ACTIONS(7761), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119760] = 2,
    ACTIONS(7763), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119769] = 2,
    ACTIONS(7765), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119778] = 2,
    ACTIONS(7767), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119787] = 2,
    ACTIONS(7769), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119796] = 2,
    ACTIONS(7771), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119805] = 2,
    ACTIONS(7773), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119814] = 2,
    ACTIONS(7775), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119823] = 2,
    ACTIONS(7777), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119832] = 2,
    ACTIONS(7779), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119841] = 2,
    ACTIONS(7781), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119850] = 2,
    ACTIONS(7783), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119859] = 2,
    ACTIONS(7785), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119868] = 2,
    ACTIONS(7787), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119877] = 2,
    ACTIONS(7789), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119886] = 2,
    ACTIONS(7791), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119895] = 2,
    ACTIONS(7793), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119904] = 2,
    ACTIONS(7795), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119913] = 2,
    ACTIONS(7797), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119922] = 2,
    ACTIONS(7799), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119931] = 2,
    ACTIONS(7801), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119940] = 2,
    ACTIONS(7803), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119949] = 2,
    ACTIONS(7805), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119958] = 2,
    ACTIONS(7807), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119967] = 2,
    ACTIONS(7809), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119976] = 2,
    ACTIONS(7811), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119985] = 2,
    ACTIONS(7813), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [119994] = 2,
    ACTIONS(7815), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120003] = 2,
    ACTIONS(7817), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120012] = 2,
    ACTIONS(7819), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120021] = 2,
    ACTIONS(7821), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120030] = 2,
    ACTIONS(7823), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120039] = 2,
    ACTIONS(7825), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120048] = 2,
    ACTIONS(7827), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120057] = 2,
    ACTIONS(7829), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120066] = 2,
    ACTIONS(7831), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120075] = 2,
    ACTIONS(7833), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120084] = 2,
    ACTIONS(7835), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120093] = 2,
    ACTIONS(7837), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120102] = 2,
    ACTIONS(7839), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120111] = 2,
    ACTIONS(7841), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120120] = 2,
    ACTIONS(7843), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120129] = 2,
    ACTIONS(7845), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120138] = 2,
    ACTIONS(7847), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120147] = 2,
    ACTIONS(7849), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120156] = 2,
    ACTIONS(7851), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120165] = 2,
    ACTIONS(7853), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120174] = 2,
    ACTIONS(7855), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120183] = 2,
    ACTIONS(7857), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120192] = 2,
    ACTIONS(7859), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120201] = 2,
    ACTIONS(7861), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120210] = 2,
    ACTIONS(7863), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120219] = 2,
    ACTIONS(7865), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120228] = 2,
    ACTIONS(7867), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120237] = 2,
    ACTIONS(7869), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120246] = 2,
    ACTIONS(7871), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120255] = 2,
    ACTIONS(7873), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120264] = 2,
    ACTIONS(7875), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120273] = 2,
    ACTIONS(7877), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120282] = 2,
    ACTIONS(7879), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120291] = 2,
    ACTIONS(7881), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120300] = 2,
    ACTIONS(7883), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120309] = 2,
    ACTIONS(7885), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120318] = 2,
    ACTIONS(7887), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120327] = 2,
    ACTIONS(7889), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120336] = 2,
    ACTIONS(7891), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120345] = 2,
    ACTIONS(7893), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120354] = 2,
    ACTIONS(7895), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120363] = 2,
    ACTIONS(7897), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120372] = 2,
    ACTIONS(7899), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120381] = 2,
    ACTIONS(7901), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120390] = 2,
    ACTIONS(7903), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120399] = 2,
    ACTIONS(7905), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120408] = 2,
    ACTIONS(7907), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120417] = 2,
    ACTIONS(7909), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120426] = 2,
    ACTIONS(7911), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120435] = 2,
    ACTIONS(7913), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120444] = 2,
    ACTIONS(7915), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120453] = 2,
    ACTIONS(7917), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120462] = 2,
    ACTIONS(7919), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120471] = 2,
    ACTIONS(7921), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120480] = 2,
    ACTIONS(7923), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120489] = 2,
    ACTIONS(7925), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120498] = 2,
    ACTIONS(7927), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120507] = 2,
    ACTIONS(7929), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120516] = 2,
    ACTIONS(7931), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120525] = 2,
    ACTIONS(7933), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120534] = 2,
    ACTIONS(7935), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120543] = 2,
    ACTIONS(7937), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120552] = 2,
    ACTIONS(7939), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120561] = 2,
    ACTIONS(7941), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120570] = 2,
    ACTIONS(7943), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120579] = 2,
    ACTIONS(7945), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120588] = 2,
    ACTIONS(7947), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120597] = 2,
    ACTIONS(7949), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120606] = 2,
    ACTIONS(7951), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120615] = 2,
    ACTIONS(7953), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120624] = 2,
    ACTIONS(7955), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120633] = 2,
    ACTIONS(7957), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120642] = 2,
    ACTIONS(7959), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120651] = 2,
    ACTIONS(7961), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120660] = 2,
    ACTIONS(7963), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120669] = 2,
    ACTIONS(7965), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120678] = 2,
    ACTIONS(7965), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120687] = 2,
    ACTIONS(7967), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120696] = 2,
    ACTIONS(7969), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120705] = 2,
    ACTIONS(7971), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120714] = 2,
    ACTIONS(7973), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120723] = 2,
    ACTIONS(7975), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120732] = 2,
    ACTIONS(7977), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120741] = 2,
    ACTIONS(5961), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120750] = 2,
    ACTIONS(6217), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120759] = 2,
    ACTIONS(7979), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120768] = 2,
    ACTIONS(7981), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120777] = 2,
    ACTIONS(7983), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120786] = 2,
    ACTIONS(7985), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120795] = 2,
    ACTIONS(7987), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120804] = 2,
    ACTIONS(7989), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120813] = 2,
    ACTIONS(7991), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120822] = 2,
    ACTIONS(7993), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120831] = 2,
    ACTIONS(7995), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120840] = 2,
    ACTIONS(7997), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120849] = 2,
    ACTIONS(7999), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120858] = 2,
    ACTIONS(8001), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120867] = 2,
    ACTIONS(8003), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120876] = 2,
    ACTIONS(8005), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120885] = 2,
    ACTIONS(8007), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120894] = 2,
    ACTIONS(8009), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120903] = 2,
    ACTIONS(8011), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120912] = 2,
    ACTIONS(8013), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120921] = 2,
    ACTIONS(8015), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120930] = 2,
    ACTIONS(8017), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120939] = 2,
    ACTIONS(8019), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120948] = 2,
    ACTIONS(8021), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120957] = 2,
    ACTIONS(8003), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120966] = 2,
    ACTIONS(8023), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120975] = 2,
    ACTIONS(8025), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120984] = 2,
    ACTIONS(8027), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [120993] = 2,
    ACTIONS(8029), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121002] = 2,
    ACTIONS(8031), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121011] = 2,
    ACTIONS(8033), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121020] = 2,
    ACTIONS(8035), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121029] = 2,
    ACTIONS(8037), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121038] = 2,
    ACTIONS(8039), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121047] = 2,
    ACTIONS(8041), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121056] = 2,
    ACTIONS(8043), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121065] = 2,
    ACTIONS(8045), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121074] = 2,
    ACTIONS(8047), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121083] = 2,
    ACTIONS(8049), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121092] = 2,
    ACTIONS(8051), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121101] = 2,
    ACTIONS(8053), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121110] = 2,
    ACTIONS(8055), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121119] = 2,
    ACTIONS(8057), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121128] = 2,
    ACTIONS(8059), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121137] = 2,
    ACTIONS(8061), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121146] = 2,
    ACTIONS(8063), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121155] = 2,
    ACTIONS(8065), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121164] = 2,
    ACTIONS(8067), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121173] = 2,
    ACTIONS(8069), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121182] = 2,
    ACTIONS(8071), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121191] = 2,
    ACTIONS(8073), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121200] = 2,
    ACTIONS(8075), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121209] = 2,
    ACTIONS(8077), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121218] = 2,
    ACTIONS(8079), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121227] = 2,
    ACTIONS(8081), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121236] = 2,
    ACTIONS(8083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121245] = 2,
    ACTIONS(8077), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121254] = 2,
    ACTIONS(8085), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121263] = 2,
    ACTIONS(8087), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121272] = 2,
    ACTIONS(8089), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121281] = 2,
    ACTIONS(8091), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121290] = 2,
    ACTIONS(8093), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121299] = 2,
    ACTIONS(8095), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121308] = 2,
    ACTIONS(8097), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121317] = 2,
    ACTIONS(8099), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121326] = 2,
    ACTIONS(8101), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121335] = 2,
    ACTIONS(8103), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121344] = 2,
    ACTIONS(8105), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121353] = 2,
    ACTIONS(8107), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121362] = 2,
    ACTIONS(8109), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121371] = 2,
    ACTIONS(8111), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121380] = 2,
    ACTIONS(8113), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121389] = 2,
    ACTIONS(8115), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121398] = 2,
    ACTIONS(8117), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121407] = 2,
    ACTIONS(8119), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121416] = 2,
    ACTIONS(8121), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121425] = 2,
    ACTIONS(8123), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121434] = 2,
    ACTIONS(8125), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121443] = 2,
    ACTIONS(8127), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121452] = 2,
    ACTIONS(8129), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121461] = 2,
    ACTIONS(8131), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121470] = 2,
    ACTIONS(8133), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121479] = 2,
    ACTIONS(8135), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121488] = 2,
    ACTIONS(8137), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121497] = 2,
    ACTIONS(8139), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121506] = 2,
    ACTIONS(8141), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121515] = 2,
    ACTIONS(8143), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121524] = 2,
    ACTIONS(8145), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121533] = 2,
    ACTIONS(8145), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121542] = 2,
    ACTIONS(8147), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121551] = 2,
    ACTIONS(8149), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121560] = 2,
    ACTIONS(8151), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121569] = 2,
    ACTIONS(8153), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121578] = 2,
    ACTIONS(8155), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121587] = 2,
    ACTIONS(8157), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121596] = 2,
    ACTIONS(8159), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121605] = 2,
    ACTIONS(8161), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121614] = 2,
    ACTIONS(8163), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121623] = 2,
    ACTIONS(8165), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121632] = 2,
    ACTIONS(8167), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121641] = 2,
    ACTIONS(8169), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121650] = 2,
    ACTIONS(8171), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121659] = 2,
    ACTIONS(8173), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121668] = 2,
    ACTIONS(8175), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121677] = 2,
    ACTIONS(8177), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121686] = 2,
    ACTIONS(8179), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121695] = 2,
    ACTIONS(8181), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121704] = 2,
    ACTIONS(8183), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121713] = 2,
    ACTIONS(8185), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121722] = 2,
    ACTIONS(8187), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121731] = 2,
    ACTIONS(8189), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121740] = 2,
    ACTIONS(8191), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121749] = 2,
    ACTIONS(8193), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121758] = 2,
    ACTIONS(8195), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121767] = 2,
    ACTIONS(8197), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121776] = 2,
    ACTIONS(8021), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121785] = 2,
    ACTIONS(8199), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121794] = 2,
    ACTIONS(8201), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121803] = 2,
    ACTIONS(8203), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121812] = 2,
    ACTIONS(8205), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121821] = 2,
    ACTIONS(8207), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121830] = 2,
    ACTIONS(8209), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121839] = 2,
    ACTIONS(8211), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121848] = 2,
    ACTIONS(8213), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121857] = 2,
    ACTIONS(8215), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121866] = 2,
    ACTIONS(8217), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121875] = 2,
    ACTIONS(8219), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121884] = 2,
    ACTIONS(8221), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121893] = 2,
    ACTIONS(8223), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121902] = 2,
    ACTIONS(5984), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121911] = 2,
    ACTIONS(8225), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121920] = 2,
    ACTIONS(8227), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121929] = 2,
    ACTIONS(8229), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121938] = 2,
    ACTIONS(8231), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121947] = 2,
    ACTIONS(8233), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121956] = 2,
    ACTIONS(8235), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121965] = 2,
    ACTIONS(8237), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121974] = 2,
    ACTIONS(8239), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121983] = 2,
    ACTIONS(8241), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [121992] = 2,
    ACTIONS(8243), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122001] = 2,
    ACTIONS(8245), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122010] = 2,
    ACTIONS(8247), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122019] = 2,
    ACTIONS(8249), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122028] = 2,
    ACTIONS(8251), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122037] = 2,
    ACTIONS(8253), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122046] = 2,
    ACTIONS(8255), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122055] = 2,
    ACTIONS(8257), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122064] = 2,
    ACTIONS(8259), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122073] = 2,
    ACTIONS(8261), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122082] = 2,
    ACTIONS(8263), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122091] = 2,
    ACTIONS(8265), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122100] = 2,
    ACTIONS(8267), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122109] = 2,
    ACTIONS(8269), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122118] = 2,
    ACTIONS(8271), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122127] = 2,
    ACTIONS(8273), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122136] = 2,
    ACTIONS(8275), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122145] = 2,
    ACTIONS(8277), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122154] = 2,
    ACTIONS(8279), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122163] = 2,
    ACTIONS(8281), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122172] = 2,
    ACTIONS(8283), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122181] = 2,
    ACTIONS(8285), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122190] = 2,
    ACTIONS(8287), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122199] = 2,
    ACTIONS(8289), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122208] = 2,
    ACTIONS(8291), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122217] = 2,
    ACTIONS(8293), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122226] = 2,
    ACTIONS(8295), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122235] = 2,
    ACTIONS(8297), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122244] = 2,
    ACTIONS(8299), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122253] = 2,
    ACTIONS(8301), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122262] = 2,
    ACTIONS(8303), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122271] = 2,
    ACTIONS(8305), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122280] = 2,
    ACTIONS(8307), 1,
      sym__token_section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122289] = 2,
    ACTIONS(8303), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122298] = 2,
    ACTIONS(8309), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122307] = 2,
    ACTIONS(8311), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122316] = 2,
    ACTIONS(8313), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122325] = 2,
    ACTIONS(8315), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122334] = 2,
    ACTIONS(8317), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122343] = 2,
    ACTIONS(8319), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122352] = 2,
    ACTIONS(8321), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122361] = 2,
    ACTIONS(8323), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122370] = 2,
    ACTIONS(8325), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122379] = 2,
    ACTIONS(8327), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122388] = 2,
    ACTIONS(8329), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122397] = 2,
    ACTIONS(8331), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122406] = 2,
    ACTIONS(8333), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122415] = 2,
    ACTIONS(8335), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122424] = 2,
    ACTIONS(8337), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122433] = 2,
    ACTIONS(8339), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122442] = 2,
    ACTIONS(8341), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122451] = 2,
    ACTIONS(8343), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122460] = 2,
    ACTIONS(8345), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122469] = 2,
    ACTIONS(8347), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122478] = 2,
    ACTIONS(8349), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122487] = 2,
    ACTIONS(8351), 1,
      sym__math_token_lpar,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122496] = 2,
    ACTIONS(8353), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122505] = 2,
    ACTIONS(8355), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122514] = 2,
    ACTIONS(8357), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122523] = 2,
    ACTIONS(8359), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122532] = 2,
    ACTIONS(8361), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122541] = 2,
    ACTIONS(8363), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122550] = 2,
    ACTIONS(8365), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122559] = 2,
    ACTIONS(8367), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122568] = 2,
    ACTIONS(8369), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122577] = 2,
    ACTIONS(8371), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122586] = 2,
    ACTIONS(8373), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122595] = 2,
    ACTIONS(8375), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122604] = 2,
    ACTIONS(8377), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122613] = 2,
    ACTIONS(8379), 1,
      sym__token_section,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122622] = 2,
    ACTIONS(8381), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122631] = 2,
    ACTIONS(8383), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122640] = 2,
    ACTIONS(8385), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122649] = 2,
    ACTIONS(8387), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122658] = 2,
    ACTIONS(8389), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122667] = 2,
    ACTIONS(8389), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122676] = 2,
    ACTIONS(8391), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122685] = 2,
    ACTIONS(8267), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122694] = 2,
    ACTIONS(8393), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122703] = 2,
    ACTIONS(8395), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122712] = 2,
    ACTIONS(8397), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122721] = 2,
    ACTIONS(8399), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122730] = 2,
    ACTIONS(8401), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122739] = 2,
    ACTIONS(8403), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122748] = 2,
    ACTIONS(8405), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122757] = 2,
    ACTIONS(8407), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122766] = 2,
    ACTIONS(8409), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122775] = 2,
    ACTIONS(8411), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122784] = 2,
    ACTIONS(8413), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122793] = 2,
    ACTIONS(8415), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122802] = 2,
    ACTIONS(8417), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122811] = 2,
    ACTIONS(8419), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122820] = 2,
    ACTIONS(5635), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122829] = 2,
    ACTIONS(8421), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122838] = 2,
    ACTIONS(8423), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122847] = 2,
    ACTIONS(8425), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122856] = 2,
    ACTIONS(4809), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122865] = 2,
    ACTIONS(8427), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122874] = 2,
    ACTIONS(8429), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122883] = 2,
    ACTIONS(8431), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122892] = 2,
    ACTIONS(8433), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122901] = 2,
    ACTIONS(8435), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122910] = 2,
    ACTIONS(8437), 1,
      anon_sym_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122919] = 2,
    ACTIONS(8439), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122928] = 2,
    ACTIONS(8441), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122937] = 2,
    ACTIONS(8443), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122946] = 2,
    ACTIONS(8445), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122955] = 2,
    ACTIONS(8447), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122964] = 2,
    ACTIONS(8449), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122973] = 2,
    ACTIONS(8451), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122982] = 2,
    ACTIONS(8453), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [122991] = 2,
    ACTIONS(8455), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123000] = 2,
    ACTIONS(8457), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123009] = 2,
    ACTIONS(8459), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123018] = 2,
    ACTIONS(8461), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123027] = 2,
    ACTIONS(8463), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123036] = 2,
    ACTIONS(8465), 1,
      sym__barrier,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123045] = 2,
    ACTIONS(8467), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123054] = 2,
    ACTIONS(8469), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123063] = 2,
    ACTIONS(8471), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123072] = 3,
    ACTIONS(8473), 1,
      sym_parbreak,
    ACTIONS(8475), 1,
      sym__lb,
    ACTIONS(3), 2,
      sym_comment,
      sym__sp,
  [123083] = 2,
    ACTIONS(8477), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123092] = 2,
    ACTIONS(8479), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123101] = 2,
    ACTIONS(8481), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123110] = 2,
    ACTIONS(8483), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123119] = 2,
    ACTIONS(8485), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123128] = 2,
    ACTIONS(8487), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123137] = 2,
    ACTIONS(8489), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123146] = 2,
    ACTIONS(8491), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123155] = 2,
    ACTIONS(8493), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123164] = 2,
    ACTIONS(8495), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123173] = 2,
    ACTIONS(8497), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123182] = 2,
    ACTIONS(8499), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123191] = 2,
    ACTIONS(8501), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123200] = 2,
    ACTIONS(8503), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123209] = 2,
    ACTIONS(8505), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123218] = 2,
    ACTIONS(8507), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123227] = 2,
    ACTIONS(8509), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123236] = 2,
    ACTIONS(8511), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123245] = 2,
    ACTIONS(8513), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123254] = 2,
    ACTIONS(8515), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123263] = 2,
    ACTIONS(8517), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123272] = 2,
    ACTIONS(8519), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123281] = 2,
    ACTIONS(8521), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123290] = 2,
    ACTIONS(8523), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123299] = 2,
    ACTIONS(8525), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123308] = 2,
    ACTIONS(8527), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123317] = 2,
    ACTIONS(8529), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123326] = 2,
    ACTIONS(8531), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123335] = 2,
    ACTIONS(8533), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123344] = 2,
    ACTIONS(8535), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123353] = 2,
    ACTIONS(8537), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123362] = 2,
    ACTIONS(8539), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123371] = 2,
    ACTIONS(8541), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123380] = 2,
    ACTIONS(8543), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123389] = 2,
    ACTIONS(8545), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123398] = 2,
    ACTIONS(8547), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123407] = 2,
    ACTIONS(8549), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123416] = 2,
    ACTIONS(8551), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123425] = 2,
    ACTIONS(8553), 1,
      sym__token_math_ident,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123434] = 2,
    ACTIONS(8555), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123443] = 2,
    ACTIONS(8557), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123452] = 2,
    ACTIONS(8559), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123461] = 2,
    ACTIONS(8561), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123470] = 2,
    ACTIONS(8563), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123479] = 2,
    ACTIONS(8565), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123488] = 2,
    ACTIONS(8567), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123497] = 2,
    ACTIONS(8569), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123506] = 2,
    ACTIONS(8571), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123515] = 2,
    ACTIONS(8573), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123524] = 2,
    ACTIONS(8575), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123533] = 2,
    ACTIONS(8577), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123542] = 2,
    ACTIONS(8579), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123551] = 2,
    ACTIONS(8581), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123560] = 2,
    ACTIONS(8583), 1,
      sym__token_math_group_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123569] = 2,
    ACTIONS(8585), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123578] = 2,
    ACTIONS(8587), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123587] = 2,
    ACTIONS(8589), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123596] = 2,
    ACTIONS(8591), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123605] = 2,
    ACTIONS(8593), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123614] = 2,
    ACTIONS(8595), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123623] = 2,
    ACTIONS(8597), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123632] = 2,
    ACTIONS(8599), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123641] = 2,
    ACTIONS(8601), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123650] = 2,
    ACTIONS(8603), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123659] = 2,
    ACTIONS(8605), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123668] = 2,
    ACTIONS(8607), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123677] = 2,
    ACTIONS(8609), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123686] = 2,
    ACTIONS(8611), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123695] = 2,
    ACTIONS(5007), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123704] = 2,
    ACTIONS(8613), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123713] = 2,
    ACTIONS(8615), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123722] = 2,
    ACTIONS(8617), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123731] = 2,
    ACTIONS(8619), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123740] = 2,
    ACTIONS(8621), 1,
      anon_sym_GT,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123749] = 2,
    ACTIONS(8623), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123758] = 2,
    ACTIONS(8625), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123767] = 2,
    ACTIONS(8627), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123776] = 2,
    ACTIONS(8629), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123785] = 2,
    ACTIONS(8631), 1,
      sym__token_inlined_stmt_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123794] = 2,
    ACTIONS(8633), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123803] = 2,
    ACTIONS(8635), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123812] = 2,
    ACTIONS(8637), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123821] = 2,
    ACTIONS(8639), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123830] = 2,
    ACTIONS(8631), 1,
      sym__token_inlined_item_end,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123839] = 2,
    ACTIONS(8641), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123848] = 2,
    ACTIONS(8643), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123857] = 2,
    ACTIONS(8645), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123866] = 2,
    ACTIONS(8647), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123875] = 2,
    ACTIONS(4990), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123884] = 2,
    ACTIONS(8649), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123893] = 2,
    ACTIONS(8651), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123902] = 2,
    ACTIONS(8653), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123911] = 2,
    ACTIONS(4952), 1,
      anon_sym_in,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123920] = 2,
    ACTIONS(8655), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123929] = 2,
    ACTIONS(8657), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123938] = 2,
    ACTIONS(8659), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123947] = 2,
    ACTIONS(5074), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123956] = 2,
    ACTIONS(8661), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123965] = 2,
    ACTIONS(8663), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123974] = 2,
    ACTIONS(8665), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123983] = 2,
    ACTIONS(8667), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [123992] = 2,
    ACTIONS(8669), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124001] = 2,
    ACTIONS(8671), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124010] = 2,
    ACTIONS(8673), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124019] = 2,
    ACTIONS(8675), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124028] = 2,
    ACTIONS(8677), 1,
      sym__token_raw_span_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124037] = 2,
    ACTIONS(8679), 1,
      sym__token_raw_blck_blob,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124046] = 2,
    ACTIONS(8681), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124055] = 2,
    ACTIONS(8683), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124064] = 2,
    ACTIONS(8685), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124073] = 2,
    ACTIONS(8687), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124082] = 2,
    ACTIONS(8689), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124091] = 2,
    ACTIONS(8691), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124100] = 2,
    ACTIONS(8693), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124109] = 2,
    ACTIONS(8695), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124118] = 2,
    ACTIONS(8697), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124127] = 2,
    ACTIONS(8699), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124136] = 2,
    ACTIONS(8701), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124145] = 2,
    ACTIONS(8703), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124154] = 2,
    ACTIONS(8705), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124163] = 2,
    ACTIONS(8707), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124172] = 2,
    ACTIONS(8709), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124181] = 2,
    ACTIONS(8711), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124190] = 2,
    ACTIONS(8713), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124199] = 2,
    ACTIONS(8715), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124208] = 2,
    ACTIONS(8717), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124217] = 2,
    ACTIONS(8719), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124226] = 2,
    ACTIONS(8721), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124235] = 2,
    ACTIONS(8723), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124244] = 2,
    ACTIONS(8725), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124253] = 2,
    ACTIONS(8727), 1,
      sym__line_start_check,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124262] = 2,
    ACTIONS(8729), 1,
      sym__token_label,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124271] = 2,
    ACTIONS(8731), 1,
      sym__token_url,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124280] = 2,
    ACTIONS(8733), 1,
      sym__immediate,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124289] = 2,
    ACTIONS(5662), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124298] = 2,
    ACTIONS(5868), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124307] = 2,
    ACTIONS(5478), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124316] = 2,
    ACTIONS(4801), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124325] = 2,
    ACTIONS(4969), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124334] = 2,
    ACTIONS(5664), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124343] = 2,
    ACTIONS(5967), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124352] = 2,
    ACTIONS(4888), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124361] = 2,
    ACTIONS(5551), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124370] = 2,
    ACTIONS(5617), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124379] = 2,
    ACTIONS(5331), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124388] = 2,
    ACTIONS(5379), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
  [124397] = 2,
    ACTIONS(5149), 1,
      anon_sym_COMMA2,
    ACTIONS(3), 3,
      sym_comment,
      sym__sp,
      sym__lb,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(809)] = 0,
  [SMALL_STATE(810)] = 109,
  [SMALL_STATE(811)] = 218,
  [SMALL_STATE(812)] = 327,
  [SMALL_STATE(813)] = 436,
  [SMALL_STATE(814)] = 545,
  [SMALL_STATE(815)] = 654,
  [SMALL_STATE(816)] = 763,
  [SMALL_STATE(817)] = 872,
  [SMALL_STATE(818)] = 981,
  [SMALL_STATE(819)] = 1090,
  [SMALL_STATE(820)] = 1199,
  [SMALL_STATE(821)] = 1308,
  [SMALL_STATE(822)] = 1417,
  [SMALL_STATE(823)] = 1526,
  [SMALL_STATE(824)] = 1635,
  [SMALL_STATE(825)] = 1744,
  [SMALL_STATE(826)] = 1853,
  [SMALL_STATE(827)] = 1962,
  [SMALL_STATE(828)] = 2071,
  [SMALL_STATE(829)] = 2180,
  [SMALL_STATE(830)] = 2289,
  [SMALL_STATE(831)] = 2398,
  [SMALL_STATE(832)] = 2507,
  [SMALL_STATE(833)] = 2616,
  [SMALL_STATE(834)] = 2725,
  [SMALL_STATE(835)] = 2834,
  [SMALL_STATE(836)] = 2943,
  [SMALL_STATE(837)] = 3052,
  [SMALL_STATE(838)] = 3161,
  [SMALL_STATE(839)] = 3270,
  [SMALL_STATE(840)] = 3379,
  [SMALL_STATE(841)] = 3488,
  [SMALL_STATE(842)] = 3597,
  [SMALL_STATE(843)] = 3706,
  [SMALL_STATE(844)] = 3815,
  [SMALL_STATE(845)] = 3924,
  [SMALL_STATE(846)] = 4033,
  [SMALL_STATE(847)] = 4142,
  [SMALL_STATE(848)] = 4251,
  [SMALL_STATE(849)] = 4360,
  [SMALL_STATE(850)] = 4469,
  [SMALL_STATE(851)] = 4578,
  [SMALL_STATE(852)] = 4687,
  [SMALL_STATE(853)] = 4796,
  [SMALL_STATE(854)] = 4905,
  [SMALL_STATE(855)] = 5014,
  [SMALL_STATE(856)] = 5123,
  [SMALL_STATE(857)] = 5232,
  [SMALL_STATE(858)] = 5341,
  [SMALL_STATE(859)] = 5450,
  [SMALL_STATE(860)] = 5559,
  [SMALL_STATE(861)] = 5668,
  [SMALL_STATE(862)] = 5777,
  [SMALL_STATE(863)] = 5886,
  [SMALL_STATE(864)] = 5995,
  [SMALL_STATE(865)] = 6104,
  [SMALL_STATE(866)] = 6213,
  [SMALL_STATE(867)] = 6322,
  [SMALL_STATE(868)] = 6431,
  [SMALL_STATE(869)] = 6540,
  [SMALL_STATE(870)] = 6649,
  [SMALL_STATE(871)] = 6758,
  [SMALL_STATE(872)] = 6867,
  [SMALL_STATE(873)] = 6976,
  [SMALL_STATE(874)] = 7085,
  [SMALL_STATE(875)] = 7194,
  [SMALL_STATE(876)] = 7303,
  [SMALL_STATE(877)] = 7412,
  [SMALL_STATE(878)] = 7521,
  [SMALL_STATE(879)] = 7630,
  [SMALL_STATE(880)] = 7739,
  [SMALL_STATE(881)] = 7848,
  [SMALL_STATE(882)] = 7957,
  [SMALL_STATE(883)] = 8066,
  [SMALL_STATE(884)] = 8175,
  [SMALL_STATE(885)] = 8284,
  [SMALL_STATE(886)] = 8393,
  [SMALL_STATE(887)] = 8502,
  [SMALL_STATE(888)] = 8611,
  [SMALL_STATE(889)] = 8720,
  [SMALL_STATE(890)] = 8829,
  [SMALL_STATE(891)] = 8938,
  [SMALL_STATE(892)] = 9047,
  [SMALL_STATE(893)] = 9156,
  [SMALL_STATE(894)] = 9265,
  [SMALL_STATE(895)] = 9374,
  [SMALL_STATE(896)] = 9483,
  [SMALL_STATE(897)] = 9592,
  [SMALL_STATE(898)] = 9701,
  [SMALL_STATE(899)] = 9810,
  [SMALL_STATE(900)] = 9919,
  [SMALL_STATE(901)] = 10028,
  [SMALL_STATE(902)] = 10137,
  [SMALL_STATE(903)] = 10246,
  [SMALL_STATE(904)] = 10355,
  [SMALL_STATE(905)] = 10464,
  [SMALL_STATE(906)] = 10573,
  [SMALL_STATE(907)] = 10682,
  [SMALL_STATE(908)] = 10791,
  [SMALL_STATE(909)] = 10900,
  [SMALL_STATE(910)] = 11009,
  [SMALL_STATE(911)] = 11118,
  [SMALL_STATE(912)] = 11227,
  [SMALL_STATE(913)] = 11336,
  [SMALL_STATE(914)] = 11445,
  [SMALL_STATE(915)] = 11554,
  [SMALL_STATE(916)] = 11663,
  [SMALL_STATE(917)] = 11772,
  [SMALL_STATE(918)] = 11881,
  [SMALL_STATE(919)] = 11990,
  [SMALL_STATE(920)] = 12099,
  [SMALL_STATE(921)] = 12208,
  [SMALL_STATE(922)] = 12317,
  [SMALL_STATE(923)] = 12426,
  [SMALL_STATE(924)] = 12535,
  [SMALL_STATE(925)] = 12644,
  [SMALL_STATE(926)] = 12753,
  [SMALL_STATE(927)] = 12862,
  [SMALL_STATE(928)] = 12971,
  [SMALL_STATE(929)] = 13080,
  [SMALL_STATE(930)] = 13189,
  [SMALL_STATE(931)] = 13298,
  [SMALL_STATE(932)] = 13407,
  [SMALL_STATE(933)] = 13516,
  [SMALL_STATE(934)] = 13625,
  [SMALL_STATE(935)] = 13734,
  [SMALL_STATE(936)] = 13843,
  [SMALL_STATE(937)] = 13952,
  [SMALL_STATE(938)] = 14061,
  [SMALL_STATE(939)] = 14170,
  [SMALL_STATE(940)] = 14279,
  [SMALL_STATE(941)] = 14388,
  [SMALL_STATE(942)] = 14497,
  [SMALL_STATE(943)] = 14606,
  [SMALL_STATE(944)] = 14715,
  [SMALL_STATE(945)] = 14824,
  [SMALL_STATE(946)] = 14933,
  [SMALL_STATE(947)] = 15019,
  [SMALL_STATE(948)] = 15105,
  [SMALL_STATE(949)] = 15191,
  [SMALL_STATE(950)] = 15277,
  [SMALL_STATE(951)] = 15363,
  [SMALL_STATE(952)] = 15449,
  [SMALL_STATE(953)] = 15535,
  [SMALL_STATE(954)] = 15621,
  [SMALL_STATE(955)] = 15707,
  [SMALL_STATE(956)] = 15793,
  [SMALL_STATE(957)] = 15879,
  [SMALL_STATE(958)] = 15965,
  [SMALL_STATE(959)] = 16067,
  [SMALL_STATE(960)] = 16169,
  [SMALL_STATE(961)] = 16271,
  [SMALL_STATE(962)] = 16373,
  [SMALL_STATE(963)] = 16475,
  [SMALL_STATE(964)] = 16577,
  [SMALL_STATE(965)] = 16679,
  [SMALL_STATE(966)] = 16781,
  [SMALL_STATE(967)] = 16883,
  [SMALL_STATE(968)] = 16971,
  [SMALL_STATE(969)] = 17059,
  [SMALL_STATE(970)] = 17148,
  [SMALL_STATE(971)] = 17237,
  [SMALL_STATE(972)] = 17326,
  [SMALL_STATE(973)] = 17415,
  [SMALL_STATE(974)] = 17504,
  [SMALL_STATE(975)] = 17593,
  [SMALL_STATE(976)] = 17682,
  [SMALL_STATE(977)] = 17771,
  [SMALL_STATE(978)] = 17860,
  [SMALL_STATE(979)] = 17947,
  [SMALL_STATE(980)] = 18036,
  [SMALL_STATE(981)] = 18125,
  [SMALL_STATE(982)] = 18214,
  [SMALL_STATE(983)] = 18303,
  [SMALL_STATE(984)] = 18392,
  [SMALL_STATE(985)] = 18481,
  [SMALL_STATE(986)] = 18570,
  [SMALL_STATE(987)] = 18659,
  [SMALL_STATE(988)] = 18748,
  [SMALL_STATE(989)] = 18837,
  [SMALL_STATE(990)] = 18926,
  [SMALL_STATE(991)] = 19015,
  [SMALL_STATE(992)] = 19104,
  [SMALL_STATE(993)] = 19193,
  [SMALL_STATE(994)] = 19282,
  [SMALL_STATE(995)] = 19371,
  [SMALL_STATE(996)] = 19460,
  [SMALL_STATE(997)] = 19549,
  [SMALL_STATE(998)] = 19636,
  [SMALL_STATE(999)] = 19725,
  [SMALL_STATE(1000)] = 19814,
  [SMALL_STATE(1001)] = 19900,
  [SMALL_STATE(1002)] = 19986,
  [SMALL_STATE(1003)] = 20072,
  [SMALL_STATE(1004)] = 20158,
  [SMALL_STATE(1005)] = 20244,
  [SMALL_STATE(1006)] = 20330,
  [SMALL_STATE(1007)] = 20410,
  [SMALL_STATE(1008)] = 20490,
  [SMALL_STATE(1009)] = 20570,
  [SMALL_STATE(1010)] = 20644,
  [SMALL_STATE(1011)] = 20718,
  [SMALL_STATE(1012)] = 20792,
  [SMALL_STATE(1013)] = 20866,
  [SMALL_STATE(1014)] = 20946,
  [SMALL_STATE(1015)] = 21026,
  [SMALL_STATE(1016)] = 21106,
  [SMALL_STATE(1017)] = 21186,
  [SMALL_STATE(1018)] = 21266,
  [SMALL_STATE(1019)] = 21340,
  [SMALL_STATE(1020)] = 21414,
  [SMALL_STATE(1021)] = 21494,
  [SMALL_STATE(1022)] = 21574,
  [SMALL_STATE(1023)] = 21654,
  [SMALL_STATE(1024)] = 21734,
  [SMALL_STATE(1025)] = 21814,
  [SMALL_STATE(1026)] = 21894,
  [SMALL_STATE(1027)] = 21968,
  [SMALL_STATE(1028)] = 22048,
  [SMALL_STATE(1029)] = 22128,
  [SMALL_STATE(1030)] = 22202,
  [SMALL_STATE(1031)] = 22282,
  [SMALL_STATE(1032)] = 22356,
  [SMALL_STATE(1033)] = 22430,
  [SMALL_STATE(1034)] = 22504,
  [SMALL_STATE(1035)] = 22578,
  [SMALL_STATE(1036)] = 22658,
  [SMALL_STATE(1037)] = 22732,
  [SMALL_STATE(1038)] = 22812,
  [SMALL_STATE(1039)] = 22892,
  [SMALL_STATE(1040)] = 22966,
  [SMALL_STATE(1041)] = 23040,
  [SMALL_STATE(1042)] = 23114,
  [SMALL_STATE(1043)] = 23188,
  [SMALL_STATE(1044)] = 23268,
  [SMALL_STATE(1045)] = 23348,
  [SMALL_STATE(1046)] = 23422,
  [SMALL_STATE(1047)] = 23496,
  [SMALL_STATE(1048)] = 23576,
  [SMALL_STATE(1049)] = 23650,
  [SMALL_STATE(1050)] = 23730,
  [SMALL_STATE(1051)] = 23804,
  [SMALL_STATE(1052)] = 23878,
  [SMALL_STATE(1053)] = 23952,
  [SMALL_STATE(1054)] = 24026,
  [SMALL_STATE(1055)] = 24100,
  [SMALL_STATE(1056)] = 24174,
  [SMALL_STATE(1057)] = 24248,
  [SMALL_STATE(1058)] = 24322,
  [SMALL_STATE(1059)] = 24363,
  [SMALL_STATE(1060)] = 24404,
  [SMALL_STATE(1061)] = 24447,
  [SMALL_STATE(1062)] = 24490,
  [SMALL_STATE(1063)] = 24537,
  [SMALL_STATE(1064)] = 24580,
  [SMALL_STATE(1065)] = 24623,
  [SMALL_STATE(1066)] = 24666,
  [SMALL_STATE(1067)] = 24709,
  [SMALL_STATE(1068)] = 24756,
  [SMALL_STATE(1069)] = 24799,
  [SMALL_STATE(1070)] = 24842,
  [SMALL_STATE(1071)] = 24889,
  [SMALL_STATE(1072)] = 24936,
  [SMALL_STATE(1073)] = 24983,
  [SMALL_STATE(1074)] = 25026,
  [SMALL_STATE(1075)] = 25069,
  [SMALL_STATE(1076)] = 25112,
  [SMALL_STATE(1077)] = 25155,
  [SMALL_STATE(1078)] = 25198,
  [SMALL_STATE(1079)] = 25241,
  [SMALL_STATE(1080)] = 25284,
  [SMALL_STATE(1081)] = 25327,
  [SMALL_STATE(1082)] = 25370,
  [SMALL_STATE(1083)] = 25417,
  [SMALL_STATE(1084)] = 25460,
  [SMALL_STATE(1085)] = 25500,
  [SMALL_STATE(1086)] = 25540,
  [SMALL_STATE(1087)] = 25584,
  [SMALL_STATE(1088)] = 25628,
  [SMALL_STATE(1089)] = 25674,
  [SMALL_STATE(1090)] = 25718,
  [SMALL_STATE(1091)] = 25764,
  [SMALL_STATE(1092)] = 25808,
  [SMALL_STATE(1093)] = 25854,
  [SMALL_STATE(1094)] = 25898,
  [SMALL_STATE(1095)] = 25944,
  [SMALL_STATE(1096)] = 25988,
  [SMALL_STATE(1097)] = 26028,
  [SMALL_STATE(1098)] = 26065,
  [SMALL_STATE(1099)] = 26110,
  [SMALL_STATE(1100)] = 26147,
  [SMALL_STATE(1101)] = 26190,
  [SMALL_STATE(1102)] = 26235,
  [SMALL_STATE(1103)] = 26272,
  [SMALL_STATE(1104)] = 26309,
  [SMALL_STATE(1105)] = 26352,
  [SMALL_STATE(1106)] = 26397,
  [SMALL_STATE(1107)] = 26440,
  [SMALL_STATE(1108)] = 26481,
  [SMALL_STATE(1109)] = 26524,
  [SMALL_STATE(1110)] = 26561,
  [SMALL_STATE(1111)] = 26598,
  [SMALL_STATE(1112)] = 26639,
  [SMALL_STATE(1113)] = 26680,
  [SMALL_STATE(1114)] = 26717,
  [SMALL_STATE(1115)] = 26754,
  [SMALL_STATE(1116)] = 26791,
  [SMALL_STATE(1117)] = 26828,
  [SMALL_STATE(1118)] = 26869,
  [SMALL_STATE(1119)] = 26906,
  [SMALL_STATE(1120)] = 26943,
  [SMALL_STATE(1121)] = 26980,
  [SMALL_STATE(1122)] = 27017,
  [SMALL_STATE(1123)] = 27054,
  [SMALL_STATE(1124)] = 27091,
  [SMALL_STATE(1125)] = 27128,
  [SMALL_STATE(1126)] = 27165,
  [SMALL_STATE(1127)] = 27202,
  [SMALL_STATE(1128)] = 27239,
  [SMALL_STATE(1129)] = 27276,
  [SMALL_STATE(1130)] = 27313,
  [SMALL_STATE(1131)] = 27350,
  [SMALL_STATE(1132)] = 27387,
  [SMALL_STATE(1133)] = 27424,
  [SMALL_STATE(1134)] = 27461,
  [SMALL_STATE(1135)] = 27498,
  [SMALL_STATE(1136)] = 27535,
  [SMALL_STATE(1137)] = 27572,
  [SMALL_STATE(1138)] = 27617,
  [SMALL_STATE(1139)] = 27654,
  [SMALL_STATE(1140)] = 27691,
  [SMALL_STATE(1141)] = 27728,
  [SMALL_STATE(1142)] = 27765,
  [SMALL_STATE(1143)] = 27802,
  [SMALL_STATE(1144)] = 27839,
  [SMALL_STATE(1145)] = 27876,
  [SMALL_STATE(1146)] = 27919,
  [SMALL_STATE(1147)] = 27960,
  [SMALL_STATE(1148)] = 28003,
  [SMALL_STATE(1149)] = 28046,
  [SMALL_STATE(1150)] = 28083,
  [SMALL_STATE(1151)] = 28120,
  [SMALL_STATE(1152)] = 28157,
  [SMALL_STATE(1153)] = 28194,
  [SMALL_STATE(1154)] = 28237,
  [SMALL_STATE(1155)] = 28280,
  [SMALL_STATE(1156)] = 28317,
  [SMALL_STATE(1157)] = 28354,
  [SMALL_STATE(1158)] = 28399,
  [SMALL_STATE(1159)] = 28436,
  [SMALL_STATE(1160)] = 28473,
  [SMALL_STATE(1161)] = 28510,
  [SMALL_STATE(1162)] = 28553,
  [SMALL_STATE(1163)] = 28590,
  [SMALL_STATE(1164)] = 28627,
  [SMALL_STATE(1165)] = 28664,
  [SMALL_STATE(1166)] = 28701,
  [SMALL_STATE(1167)] = 28746,
  [SMALL_STATE(1168)] = 28783,
  [SMALL_STATE(1169)] = 28820,
  [SMALL_STATE(1170)] = 28857,
  [SMALL_STATE(1171)] = 28894,
  [SMALL_STATE(1172)] = 28931,
  [SMALL_STATE(1173)] = 28972,
  [SMALL_STATE(1174)] = 29009,
  [SMALL_STATE(1175)] = 29050,
  [SMALL_STATE(1176)] = 29087,
  [SMALL_STATE(1177)] = 29128,
  [SMALL_STATE(1178)] = 29165,
  [SMALL_STATE(1179)] = 29202,
  [SMALL_STATE(1180)] = 29239,
  [SMALL_STATE(1181)] = 29276,
  [SMALL_STATE(1182)] = 29319,
  [SMALL_STATE(1183)] = 29356,
  [SMALL_STATE(1184)] = 29397,
  [SMALL_STATE(1185)] = 29440,
  [SMALL_STATE(1186)] = 29483,
  [SMALL_STATE(1187)] = 29520,
  [SMALL_STATE(1188)] = 29565,
  [SMALL_STATE(1189)] = 29608,
  [SMALL_STATE(1190)] = 29645,
  [SMALL_STATE(1191)] = 29682,
  [SMALL_STATE(1192)] = 29719,
  [SMALL_STATE(1193)] = 29756,
  [SMALL_STATE(1194)] = 29793,
  [SMALL_STATE(1195)] = 29830,
  [SMALL_STATE(1196)] = 29867,
  [SMALL_STATE(1197)] = 29904,
  [SMALL_STATE(1198)] = 29949,
  [SMALL_STATE(1199)] = 29992,
  [SMALL_STATE(1200)] = 30029,
  [SMALL_STATE(1201)] = 30074,
  [SMALL_STATE(1202)] = 30117,
  [SMALL_STATE(1203)] = 30154,
  [SMALL_STATE(1204)] = 30191,
  [SMALL_STATE(1205)] = 30228,
  [SMALL_STATE(1206)] = 30273,
  [SMALL_STATE(1207)] = 30310,
  [SMALL_STATE(1208)] = 30347,
  [SMALL_STATE(1209)] = 30384,
  [SMALL_STATE(1210)] = 30421,
  [SMALL_STATE(1211)] = 30458,
  [SMALL_STATE(1212)] = 30501,
  [SMALL_STATE(1213)] = 30542,
  [SMALL_STATE(1214)] = 30585,
  [SMALL_STATE(1215)] = 30622,
  [SMALL_STATE(1216)] = 30659,
  [SMALL_STATE(1217)] = 30696,
  [SMALL_STATE(1218)] = 30733,
  [SMALL_STATE(1219)] = 30770,
  [SMALL_STATE(1220)] = 30807,
  [SMALL_STATE(1221)] = 30844,
  [SMALL_STATE(1222)] = 30881,
  [SMALL_STATE(1223)] = 30918,
  [SMALL_STATE(1224)] = 30955,
  [SMALL_STATE(1225)] = 30992,
  [SMALL_STATE(1226)] = 31035,
  [SMALL_STATE(1227)] = 31072,
  [SMALL_STATE(1228)] = 31109,
  [SMALL_STATE(1229)] = 31146,
  [SMALL_STATE(1230)] = 31190,
  [SMALL_STATE(1231)] = 31226,
  [SMALL_STATE(1232)] = 31262,
  [SMALL_STATE(1233)] = 31298,
  [SMALL_STATE(1234)] = 31334,
  [SMALL_STATE(1235)] = 31374,
  [SMALL_STATE(1236)] = 31414,
  [SMALL_STATE(1237)] = 31454,
  [SMALL_STATE(1238)] = 31494,
  [SMALL_STATE(1239)] = 31536,
  [SMALL_STATE(1240)] = 31576,
  [SMALL_STATE(1241)] = 31618,
  [SMALL_STATE(1242)] = 31662,
  [SMALL_STATE(1243)] = 31698,
  [SMALL_STATE(1244)] = 31740,
  [SMALL_STATE(1245)] = 31782,
  [SMALL_STATE(1246)] = 31822,
  [SMALL_STATE(1247)] = 31860,
  [SMALL_STATE(1248)] = 31900,
  [SMALL_STATE(1249)] = 31942,
  [SMALL_STATE(1250)] = 31982,
  [SMALL_STATE(1251)] = 32018,
  [SMALL_STATE(1252)] = 32060,
  [SMALL_STATE(1253)] = 32096,
  [SMALL_STATE(1254)] = 32168,
  [SMALL_STATE(1255)] = 32212,
  [SMALL_STATE(1256)] = 32254,
  [SMALL_STATE(1257)] = 32298,
  [SMALL_STATE(1258)] = 32336,
  [SMALL_STATE(1259)] = 32380,
  [SMALL_STATE(1260)] = 32420,
  [SMALL_STATE(1261)] = 32460,
  [SMALL_STATE(1262)] = 32498,
  [SMALL_STATE(1263)] = 32534,
  [SMALL_STATE(1264)] = 32570,
  [SMALL_STATE(1265)] = 32612,
  [SMALL_STATE(1266)] = 32656,
  [SMALL_STATE(1267)] = 32698,
  [SMALL_STATE(1268)] = 32740,
  [SMALL_STATE(1269)] = 32778,
  [SMALL_STATE(1270)] = 32850,
  [SMALL_STATE(1271)] = 32892,
  [SMALL_STATE(1272)] = 32934,
  [SMALL_STATE(1273)] = 32974,
  [SMALL_STATE(1274)] = 33016,
  [SMALL_STATE(1275)] = 33056,
  [SMALL_STATE(1276)] = 33098,
  [SMALL_STATE(1277)] = 33136,
  [SMALL_STATE(1278)] = 33176,
  [SMALL_STATE(1279)] = 33212,
  [SMALL_STATE(1280)] = 33248,
  [SMALL_STATE(1281)] = 33290,
  [SMALL_STATE(1282)] = 33332,
  [SMALL_STATE(1283)] = 33372,
  [SMALL_STATE(1284)] = 33414,
  [SMALL_STATE(1285)] = 33456,
  [SMALL_STATE(1286)] = 33498,
  [SMALL_STATE(1287)] = 33540,
  [SMALL_STATE(1288)] = 33582,
  [SMALL_STATE(1289)] = 33618,
  [SMALL_STATE(1290)] = 33654,
  [SMALL_STATE(1291)] = 33698,
  [SMALL_STATE(1292)] = 33740,
  [SMALL_STATE(1293)] = 33782,
  [SMALL_STATE(1294)] = 33822,
  [SMALL_STATE(1295)] = 33858,
  [SMALL_STATE(1296)] = 33896,
  [SMALL_STATE(1297)] = 33932,
  [SMALL_STATE(1298)] = 34004,
  [SMALL_STATE(1299)] = 34040,
  [SMALL_STATE(1300)] = 34080,
  [SMALL_STATE(1301)] = 34118,
  [SMALL_STATE(1302)] = 34158,
  [SMALL_STATE(1303)] = 34196,
  [SMALL_STATE(1304)] = 34240,
  [SMALL_STATE(1305)] = 34282,
  [SMALL_STATE(1306)] = 34318,
  [SMALL_STATE(1307)] = 34354,
  [SMALL_STATE(1308)] = 34426,
  [SMALL_STATE(1309)] = 34462,
  [SMALL_STATE(1310)] = 34504,
  [SMALL_STATE(1311)] = 34540,
  [SMALL_STATE(1312)] = 34576,
  [SMALL_STATE(1313)] = 34612,
  [SMALL_STATE(1314)] = 34654,
  [SMALL_STATE(1315)] = 34694,
  [SMALL_STATE(1316)] = 34730,
  [SMALL_STATE(1317)] = 34770,
  [SMALL_STATE(1318)] = 34806,
  [SMALL_STATE(1319)] = 34846,
  [SMALL_STATE(1320)] = 34882,
  [SMALL_STATE(1321)] = 34922,
  [SMALL_STATE(1322)] = 34958,
  [SMALL_STATE(1323)] = 34998,
  [SMALL_STATE(1324)] = 35040,
  [SMALL_STATE(1325)] = 35076,
  [SMALL_STATE(1326)] = 35116,
  [SMALL_STATE(1327)] = 35156,
  [SMALL_STATE(1328)] = 35198,
  [SMALL_STATE(1329)] = 35240,
  [SMALL_STATE(1330)] = 35284,
  [SMALL_STATE(1331)] = 35326,
  [SMALL_STATE(1332)] = 35366,
  [SMALL_STATE(1333)] = 35410,
  [SMALL_STATE(1334)] = 35446,
  [SMALL_STATE(1335)] = 35482,
  [SMALL_STATE(1336)] = 35518,
  [SMALL_STATE(1337)] = 35560,
  [SMALL_STATE(1338)] = 35601,
  [SMALL_STATE(1339)] = 35636,
  [SMALL_STATE(1340)] = 35707,
  [SMALL_STATE(1341)] = 35742,
  [SMALL_STATE(1342)] = 35779,
  [SMALL_STATE(1343)] = 35822,
  [SMALL_STATE(1344)] = 35857,
  [SMALL_STATE(1345)] = 35898,
  [SMALL_STATE(1346)] = 35933,
  [SMALL_STATE(1347)] = 35968,
  [SMALL_STATE(1348)] = 36009,
  [SMALL_STATE(1349)] = 36052,
  [SMALL_STATE(1350)] = 36087,
  [SMALL_STATE(1351)] = 36128,
  [SMALL_STATE(1352)] = 36169,
  [SMALL_STATE(1353)] = 36236,
  [SMALL_STATE(1354)] = 36271,
  [SMALL_STATE(1355)] = 36320,
  [SMALL_STATE(1356)] = 36355,
  [SMALL_STATE(1357)] = 36396,
  [SMALL_STATE(1358)] = 36431,
  [SMALL_STATE(1359)] = 36466,
  [SMALL_STATE(1360)] = 36507,
  [SMALL_STATE(1361)] = 36542,
  [SMALL_STATE(1362)] = 36577,
  [SMALL_STATE(1363)] = 36616,
  [SMALL_STATE(1364)] = 36651,
  [SMALL_STATE(1365)] = 36686,
  [SMALL_STATE(1366)] = 36751,
  [SMALL_STATE(1367)] = 36786,
  [SMALL_STATE(1368)] = 36821,
  [SMALL_STATE(1369)] = 36886,
  [SMALL_STATE(1370)] = 36951,
  [SMALL_STATE(1371)] = 36990,
  [SMALL_STATE(1372)] = 37035,
  [SMALL_STATE(1373)] = 37076,
  [SMALL_STATE(1374)] = 37115,
  [SMALL_STATE(1375)] = 37156,
  [SMALL_STATE(1376)] = 37191,
  [SMALL_STATE(1377)] = 37234,
  [SMALL_STATE(1378)] = 37271,
  [SMALL_STATE(1379)] = 37306,
  [SMALL_STATE(1380)] = 37347,
  [SMALL_STATE(1381)] = 37384,
  [SMALL_STATE(1382)] = 37419,
  [SMALL_STATE(1383)] = 37454,
  [SMALL_STATE(1384)] = 37493,
  [SMALL_STATE(1385)] = 37528,
  [SMALL_STATE(1386)] = 37577,
  [SMALL_STATE(1387)] = 37612,
  [SMALL_STATE(1388)] = 37653,
  [SMALL_STATE(1389)] = 37706,
  [SMALL_STATE(1390)] = 37741,
  [SMALL_STATE(1391)] = 37776,
  [SMALL_STATE(1392)] = 37813,
  [SMALL_STATE(1393)] = 37848,
  [SMALL_STATE(1394)] = 37889,
  [SMALL_STATE(1395)] = 37924,
  [SMALL_STATE(1396)] = 37963,
  [SMALL_STATE(1397)] = 38004,
  [SMALL_STATE(1398)] = 38039,
  [SMALL_STATE(1399)] = 38074,
  [SMALL_STATE(1400)] = 38111,
  [SMALL_STATE(1401)] = 38146,
  [SMALL_STATE(1402)] = 38181,
  [SMALL_STATE(1403)] = 38238,
  [SMALL_STATE(1404)] = 38273,
  [SMALL_STATE(1405)] = 38332,
  [SMALL_STATE(1406)] = 38395,
  [SMALL_STATE(1407)] = 38432,
  [SMALL_STATE(1408)] = 38497,
  [SMALL_STATE(1409)] = 38532,
  [SMALL_STATE(1410)] = 38567,
  [SMALL_STATE(1411)] = 38602,
  [SMALL_STATE(1412)] = 38637,
  [SMALL_STATE(1413)] = 38672,
  [SMALL_STATE(1414)] = 38743,
  [SMALL_STATE(1415)] = 38808,
  [SMALL_STATE(1416)] = 38843,
  [SMALL_STATE(1417)] = 38878,
  [SMALL_STATE(1418)] = 38913,
  [SMALL_STATE(1419)] = 38948,
  [SMALL_STATE(1420)] = 38983,
  [SMALL_STATE(1421)] = 39048,
  [SMALL_STATE(1422)] = 39083,
  [SMALL_STATE(1423)] = 39118,
  [SMALL_STATE(1424)] = 39153,
  [SMALL_STATE(1425)] = 39220,
  [SMALL_STATE(1426)] = 39255,
  [SMALL_STATE(1427)] = 39290,
  [SMALL_STATE(1428)] = 39325,
  [SMALL_STATE(1429)] = 39396,
  [SMALL_STATE(1430)] = 39431,
  [SMALL_STATE(1431)] = 39466,
  [SMALL_STATE(1432)] = 39501,
  [SMALL_STATE(1433)] = 39540,
  [SMALL_STATE(1434)] = 39575,
  [SMALL_STATE(1435)] = 39610,
  [SMALL_STATE(1436)] = 39645,
  [SMALL_STATE(1437)] = 39680,
  [SMALL_STATE(1438)] = 39751,
  [SMALL_STATE(1439)] = 39786,
  [SMALL_STATE(1440)] = 39823,
  [SMALL_STATE(1441)] = 39858,
  [SMALL_STATE(1442)] = 39893,
  [SMALL_STATE(1443)] = 39928,
  [SMALL_STATE(1444)] = 39999,
  [SMALL_STATE(1445)] = 40034,
  [SMALL_STATE(1446)] = 40075,
  [SMALL_STATE(1447)] = 40110,
  [SMALL_STATE(1448)] = 40147,
  [SMALL_STATE(1449)] = 40182,
  [SMALL_STATE(1450)] = 40223,
  [SMALL_STATE(1451)] = 40272,
  [SMALL_STATE(1452)] = 40337,
  [SMALL_STATE(1453)] = 40372,
  [SMALL_STATE(1454)] = 40409,
  [SMALL_STATE(1455)] = 40446,
  [SMALL_STATE(1456)] = 40491,
  [SMALL_STATE(1457)] = 40532,
  [SMALL_STATE(1458)] = 40575,
  [SMALL_STATE(1459)] = 40610,
  [SMALL_STATE(1460)] = 40647,
  [SMALL_STATE(1461)] = 40682,
  [SMALL_STATE(1462)] = 40723,
  [SMALL_STATE(1463)] = 40762,
  [SMALL_STATE(1464)] = 40803,
  [SMALL_STATE(1465)] = 40840,
  [SMALL_STATE(1466)] = 40875,
  [SMALL_STATE(1467)] = 40910,
  [SMALL_STATE(1468)] = 40975,
  [SMALL_STATE(1469)] = 41010,
  [SMALL_STATE(1470)] = 41075,
  [SMALL_STATE(1471)] = 41110,
  [SMALL_STATE(1472)] = 41145,
  [SMALL_STATE(1473)] = 41180,
  [SMALL_STATE(1474)] = 41215,
  [SMALL_STATE(1475)] = 41250,
  [SMALL_STATE(1476)] = 41285,
  [SMALL_STATE(1477)] = 41320,
  [SMALL_STATE(1478)] = 41361,
  [SMALL_STATE(1479)] = 41402,
  [SMALL_STATE(1480)] = 41443,
  [SMALL_STATE(1481)] = 41478,
  [SMALL_STATE(1482)] = 41513,
  [SMALL_STATE(1483)] = 41548,
  [SMALL_STATE(1484)] = 41587,
  [SMALL_STATE(1485)] = 41622,
  [SMALL_STATE(1486)] = 41659,
  [SMALL_STATE(1487)] = 41694,
  [SMALL_STATE(1488)] = 41735,
  [SMALL_STATE(1489)] = 41776,
  [SMALL_STATE(1490)] = 41817,
  [SMALL_STATE(1491)] = 41862,
  [SMALL_STATE(1492)] = 41907,
  [SMALL_STATE(1493)] = 41956,
  [SMALL_STATE(1494)] = 42009,
  [SMALL_STATE(1495)] = 42046,
  [SMALL_STATE(1496)] = 42103,
  [SMALL_STATE(1497)] = 42140,
  [SMALL_STATE(1498)] = 42175,
  [SMALL_STATE(1499)] = 42246,
  [SMALL_STATE(1500)] = 42281,
  [SMALL_STATE(1501)] = 42316,
  [SMALL_STATE(1502)] = 42383,
  [SMALL_STATE(1503)] = 42418,
  [SMALL_STATE(1504)] = 42457,
  [SMALL_STATE(1505)] = 42522,
  [SMALL_STATE(1506)] = 42593,
  [SMALL_STATE(1507)] = 42634,
  [SMALL_STATE(1508)] = 42699,
  [SMALL_STATE(1509)] = 42738,
  [SMALL_STATE(1510)] = 42773,
  [SMALL_STATE(1511)] = 42810,
  [SMALL_STATE(1512)] = 42853,
  [SMALL_STATE(1513)] = 42894,
  [SMALL_STATE(1514)] = 42953,
  [SMALL_STATE(1515)] = 42992,
  [SMALL_STATE(1516)] = 43033,
  [SMALL_STATE(1517)] = 43068,
  [SMALL_STATE(1518)] = 43111,
  [SMALL_STATE(1519)] = 43174,
  [SMALL_STATE(1520)] = 43239,
  [SMALL_STATE(1521)] = 43278,
  [SMALL_STATE(1522)] = 43343,
  [SMALL_STATE(1523)] = 43378,
  [SMALL_STATE(1524)] = 43413,
  [SMALL_STATE(1525)] = 43478,
  [SMALL_STATE(1526)] = 43513,
  [SMALL_STATE(1527)] = 43552,
  [SMALL_STATE(1528)] = 43587,
  [SMALL_STATE(1529)] = 43622,
  [SMALL_STATE(1530)] = 43657,
  [SMALL_STATE(1531)] = 43692,
  [SMALL_STATE(1532)] = 43727,
  [SMALL_STATE(1533)] = 43762,
  [SMALL_STATE(1534)] = 43801,
  [SMALL_STATE(1535)] = 43838,
  [SMALL_STATE(1536)] = 43879,
  [SMALL_STATE(1537)] = 43922,
  [SMALL_STATE(1538)] = 43993,
  [SMALL_STATE(1539)] = 44028,
  [SMALL_STATE(1540)] = 44065,
  [SMALL_STATE(1541)] = 44100,
  [SMALL_STATE(1542)] = 44135,
  [SMALL_STATE(1543)] = 44172,
  [SMALL_STATE(1544)] = 44213,
  [SMALL_STATE(1545)] = 44284,
  [SMALL_STATE(1546)] = 44319,
  [SMALL_STATE(1547)] = 44354,
  [SMALL_STATE(1548)] = 44395,
  [SMALL_STATE(1549)] = 44438,
  [SMALL_STATE(1550)] = 44473,
  [SMALL_STATE(1551)] = 44514,
  [SMALL_STATE(1552)] = 44555,
  [SMALL_STATE(1553)] = 44596,
  [SMALL_STATE(1554)] = 44639,
  [SMALL_STATE(1555)] = 44680,
  [SMALL_STATE(1556)] = 44745,
  [SMALL_STATE(1557)] = 44786,
  [SMALL_STATE(1558)] = 44821,
  [SMALL_STATE(1559)] = 44862,
  [SMALL_STATE(1560)] = 44927,
  [SMALL_STATE(1561)] = 44968,
  [SMALL_STATE(1562)] = 45003,
  [SMALL_STATE(1563)] = 45044,
  [SMALL_STATE(1564)] = 45085,
  [SMALL_STATE(1565)] = 45142,
  [SMALL_STATE(1566)] = 45207,
  [SMALL_STATE(1567)] = 45272,
  [SMALL_STATE(1568)] = 45309,
  [SMALL_STATE(1569)] = 45350,
  [SMALL_STATE(1570)] = 45385,
  [SMALL_STATE(1571)] = 45426,
  [SMALL_STATE(1572)] = 45467,
  [SMALL_STATE(1573)] = 45532,
  [SMALL_STATE(1574)] = 45573,
  [SMALL_STATE(1575)] = 45612,
  [SMALL_STATE(1576)] = 45647,
  [SMALL_STATE(1577)] = 45682,
  [SMALL_STATE(1578)] = 45721,
  [SMALL_STATE(1579)] = 45778,
  [SMALL_STATE(1580)] = 45817,
  [SMALL_STATE(1581)] = 45856,
  [SMALL_STATE(1582)] = 45899,
  [SMALL_STATE(1583)] = 45964,
  [SMALL_STATE(1584)] = 46005,
  [SMALL_STATE(1585)] = 46046,
  [SMALL_STATE(1586)] = 46081,
  [SMALL_STATE(1587)] = 46122,
  [SMALL_STATE(1588)] = 46159,
  [SMALL_STATE(1589)] = 46194,
  [SMALL_STATE(1590)] = 46229,
  [SMALL_STATE(1591)] = 46264,
  [SMALL_STATE(1592)] = 46305,
  [SMALL_STATE(1593)] = 46346,
  [SMALL_STATE(1594)] = 46385,
  [SMALL_STATE(1595)] = 46420,
  [SMALL_STATE(1596)] = 46455,
  [SMALL_STATE(1597)] = 46490,
  [SMALL_STATE(1598)] = 46531,
  [SMALL_STATE(1599)] = 46566,
  [SMALL_STATE(1600)] = 46609,
  [SMALL_STATE(1601)] = 46646,
  [SMALL_STATE(1602)] = 46681,
  [SMALL_STATE(1603)] = 46752,
  [SMALL_STATE(1604)] = 46787,
  [SMALL_STATE(1605)] = 46822,
  [SMALL_STATE(1606)] = 46863,
  [SMALL_STATE(1607)] = 46904,
  [SMALL_STATE(1608)] = 46939,
  [SMALL_STATE(1609)] = 46974,
  [SMALL_STATE(1610)] = 47017,
  [SMALL_STATE(1611)] = 47052,
  [SMALL_STATE(1612)] = 47093,
  [SMALL_STATE(1613)] = 47160,
  [SMALL_STATE(1614)] = 47195,
  [SMALL_STATE(1615)] = 47230,
  [SMALL_STATE(1616)] = 47267,
  [SMALL_STATE(1617)] = 47307,
  [SMALL_STATE(1618)] = 47341,
  [SMALL_STATE(1619)] = 47375,
  [SMALL_STATE(1620)] = 47409,
  [SMALL_STATE(1621)] = 47443,
  [SMALL_STATE(1622)] = 47511,
  [SMALL_STATE(1623)] = 47559,
  [SMALL_STATE(1624)] = 47623,
  [SMALL_STATE(1625)] = 47691,
  [SMALL_STATE(1626)] = 47759,
  [SMALL_STATE(1627)] = 47823,
  [SMALL_STATE(1628)] = 47857,
  [SMALL_STATE(1629)] = 47921,
  [SMALL_STATE(1630)] = 47955,
  [SMALL_STATE(1631)] = 48019,
  [SMALL_STATE(1632)] = 48087,
  [SMALL_STATE(1633)] = 48121,
  [SMALL_STATE(1634)] = 48189,
  [SMALL_STATE(1635)] = 48257,
  [SMALL_STATE(1636)] = 48291,
  [SMALL_STATE(1637)] = 48325,
  [SMALL_STATE(1638)] = 48359,
  [SMALL_STATE(1639)] = 48423,
  [SMALL_STATE(1640)] = 48491,
  [SMALL_STATE(1641)] = 48559,
  [SMALL_STATE(1642)] = 48593,
  [SMALL_STATE(1643)] = 48627,
  [SMALL_STATE(1644)] = 48661,
  [SMALL_STATE(1645)] = 48729,
  [SMALL_STATE(1646)] = 48769,
  [SMALL_STATE(1647)] = 48803,
  [SMALL_STATE(1648)] = 48837,
  [SMALL_STATE(1649)] = 48873,
  [SMALL_STATE(1650)] = 48907,
  [SMALL_STATE(1651)] = 48975,
  [SMALL_STATE(1652)] = 49019,
  [SMALL_STATE(1653)] = 49087,
  [SMALL_STATE(1654)] = 49131,
  [SMALL_STATE(1655)] = 49179,
  [SMALL_STATE(1656)] = 49231,
  [SMALL_STATE(1657)] = 49265,
  [SMALL_STATE(1658)] = 49301,
  [SMALL_STATE(1659)] = 49357,
  [SMALL_STATE(1660)] = 49425,
  [SMALL_STATE(1661)] = 49491,
  [SMALL_STATE(1662)] = 49527,
  [SMALL_STATE(1663)] = 49585,
  [SMALL_STATE(1664)] = 49653,
  [SMALL_STATE(1665)] = 49721,
  [SMALL_STATE(1666)] = 49789,
  [SMALL_STATE(1667)] = 49825,
  [SMALL_STATE(1668)] = 49859,
  [SMALL_STATE(1669)] = 49921,
  [SMALL_STATE(1670)] = 49985,
  [SMALL_STATE(1671)] = 50019,
  [SMALL_STATE(1672)] = 50053,
  [SMALL_STATE(1673)] = 50117,
  [SMALL_STATE(1674)] = 50151,
  [SMALL_STATE(1675)] = 50185,
  [SMALL_STATE(1676)] = 50249,
  [SMALL_STATE(1677)] = 50285,
  [SMALL_STATE(1678)] = 50319,
  [SMALL_STATE(1679)] = 50353,
  [SMALL_STATE(1680)] = 50421,
  [SMALL_STATE(1681)] = 50455,
  [SMALL_STATE(1682)] = 50523,
  [SMALL_STATE(1683)] = 50587,
  [SMALL_STATE(1684)] = 50621,
  [SMALL_STATE(1685)] = 50689,
  [SMALL_STATE(1686)] = 50723,
  [SMALL_STATE(1687)] = 50763,
  [SMALL_STATE(1688)] = 50831,
  [SMALL_STATE(1689)] = 50899,
  [SMALL_STATE(1690)] = 50937,
  [SMALL_STATE(1691)] = 50975,
  [SMALL_STATE(1692)] = 51043,
  [SMALL_STATE(1693)] = 51077,
  [SMALL_STATE(1694)] = 51145,
  [SMALL_STATE(1695)] = 51179,
  [SMALL_STATE(1696)] = 51247,
  [SMALL_STATE(1697)] = 51281,
  [SMALL_STATE(1698)] = 51315,
  [SMALL_STATE(1699)] = 51351,
  [SMALL_STATE(1700)] = 51419,
  [SMALL_STATE(1701)] = 51487,
  [SMALL_STATE(1702)] = 51527,
  [SMALL_STATE(1703)] = 51561,
  [SMALL_STATE(1704)] = 51595,
  [SMALL_STATE(1705)] = 51663,
  [SMALL_STATE(1706)] = 51697,
  [SMALL_STATE(1707)] = 51731,
  [SMALL_STATE(1708)] = 51765,
  [SMALL_STATE(1709)] = 51833,
  [SMALL_STATE(1710)] = 51873,
  [SMALL_STATE(1711)] = 51941,
  [SMALL_STATE(1712)] = 52009,
  [SMALL_STATE(1713)] = 52077,
  [SMALL_STATE(1714)] = 52145,
  [SMALL_STATE(1715)] = 52213,
  [SMALL_STATE(1716)] = 52281,
  [SMALL_STATE(1717)] = 52349,
  [SMALL_STATE(1718)] = 52385,
  [SMALL_STATE(1719)] = 52425,
  [SMALL_STATE(1720)] = 52493,
  [SMALL_STATE(1721)] = 52557,
  [SMALL_STATE(1722)] = 52591,
  [SMALL_STATE(1723)] = 52659,
  [SMALL_STATE(1724)] = 52693,
  [SMALL_STATE(1725)] = 52757,
  [SMALL_STATE(1726)] = 52791,
  [SMALL_STATE(1727)] = 52825,
  [SMALL_STATE(1728)] = 52865,
  [SMALL_STATE(1729)] = 52921,
  [SMALL_STATE(1730)] = 52985,
  [SMALL_STATE(1731)] = 53019,
  [SMALL_STATE(1732)] = 53053,
  [SMALL_STATE(1733)] = 53087,
  [SMALL_STATE(1734)] = 53151,
  [SMALL_STATE(1735)] = 53219,
  [SMALL_STATE(1736)] = 53253,
  [SMALL_STATE(1737)] = 53287,
  [SMALL_STATE(1738)] = 53321,
  [SMALL_STATE(1739)] = 53389,
  [SMALL_STATE(1740)] = 53423,
  [SMALL_STATE(1741)] = 53459,
  [SMALL_STATE(1742)] = 53527,
  [SMALL_STATE(1743)] = 53567,
  [SMALL_STATE(1744)] = 53601,
  [SMALL_STATE(1745)] = 53635,
  [SMALL_STATE(1746)] = 53669,
  [SMALL_STATE(1747)] = 53703,
  [SMALL_STATE(1748)] = 53737,
  [SMALL_STATE(1749)] = 53771,
  [SMALL_STATE(1750)] = 53807,
  [SMALL_STATE(1751)] = 53875,
  [SMALL_STATE(1752)] = 53909,
  [SMALL_STATE(1753)] = 53977,
  [SMALL_STATE(1754)] = 54013,
  [SMALL_STATE(1755)] = 54047,
  [SMALL_STATE(1756)] = 54115,
  [SMALL_STATE(1757)] = 54149,
  [SMALL_STATE(1758)] = 54183,
  [SMALL_STATE(1759)] = 54251,
  [SMALL_STATE(1760)] = 54285,
  [SMALL_STATE(1761)] = 54319,
  [SMALL_STATE(1762)] = 54357,
  [SMALL_STATE(1763)] = 54393,
  [SMALL_STATE(1764)] = 54429,
  [SMALL_STATE(1765)] = 54493,
  [SMALL_STATE(1766)] = 54557,
  [SMALL_STATE(1767)] = 54613,
  [SMALL_STATE(1768)] = 54653,
  [SMALL_STATE(1769)] = 54719,
  [SMALL_STATE(1770)] = 54783,
  [SMALL_STATE(1771)] = 54817,
  [SMALL_STATE(1772)] = 54881,
  [SMALL_STATE(1773)] = 54949,
  [SMALL_STATE(1774)] = 55017,
  [SMALL_STATE(1775)] = 55057,
  [SMALL_STATE(1776)] = 55125,
  [SMALL_STATE(1777)] = 55193,
  [SMALL_STATE(1778)] = 55261,
  [SMALL_STATE(1779)] = 55301,
  [SMALL_STATE(1780)] = 55369,
  [SMALL_STATE(1781)] = 55409,
  [SMALL_STATE(1782)] = 55449,
  [SMALL_STATE(1783)] = 55517,
  [SMALL_STATE(1784)] = 55585,
  [SMALL_STATE(1785)] = 55619,
  [SMALL_STATE(1786)] = 55655,
  [SMALL_STATE(1787)] = 55691,
  [SMALL_STATE(1788)] = 55729,
  [SMALL_STATE(1789)] = 55763,
  [SMALL_STATE(1790)] = 55797,
  [SMALL_STATE(1791)] = 55831,
  [SMALL_STATE(1792)] = 55869,
  [SMALL_STATE(1793)] = 55937,
  [SMALL_STATE(1794)] = 56005,
  [SMALL_STATE(1795)] = 56039,
  [SMALL_STATE(1796)] = 56103,
  [SMALL_STATE(1797)] = 56171,
  [SMALL_STATE(1798)] = 56205,
  [SMALL_STATE(1799)] = 56269,
  [SMALL_STATE(1800)] = 56333,
  [SMALL_STATE(1801)] = 56395,
  [SMALL_STATE(1802)] = 56453,
  [SMALL_STATE(1803)] = 56495,
  [SMALL_STATE(1804)] = 56551,
  [SMALL_STATE(1805)] = 56603,
  [SMALL_STATE(1806)] = 56651,
  [SMALL_STATE(1807)] = 56695,
  [SMALL_STATE(1808)] = 56739,
  [SMALL_STATE(1809)] = 56779,
  [SMALL_STATE(1810)] = 56819,
  [SMALL_STATE(1811)] = 56853,
  [SMALL_STATE(1812)] = 56889,
  [SMALL_STATE(1813)] = 56923,
  [SMALL_STATE(1814)] = 56957,
  [SMALL_STATE(1815)] = 56991,
  [SMALL_STATE(1816)] = 57025,
  [SMALL_STATE(1817)] = 57059,
  [SMALL_STATE(1818)] = 57123,
  [SMALL_STATE(1819)] = 57187,
  [SMALL_STATE(1820)] = 57251,
  [SMALL_STATE(1821)] = 57285,
  [SMALL_STATE(1822)] = 57319,
  [SMALL_STATE(1823)] = 57355,
  [SMALL_STATE(1824)] = 57389,
  [SMALL_STATE(1825)] = 57429,
  [SMALL_STATE(1826)] = 57493,
  [SMALL_STATE(1827)] = 57541,
  [SMALL_STATE(1828)] = 57577,
  [SMALL_STATE(1829)] = 57611,
  [SMALL_STATE(1830)] = 57645,
  [SMALL_STATE(1831)] = 57679,
  [SMALL_STATE(1832)] = 57749,
  [SMALL_STATE(1833)] = 57783,
  [SMALL_STATE(1834)] = 57819,
  [SMALL_STATE(1835)] = 57853,
  [SMALL_STATE(1836)] = 57887,
  [SMALL_STATE(1837)] = 57927,
  [SMALL_STATE(1838)] = 57961,
  [SMALL_STATE(1839)] = 57995,
  [SMALL_STATE(1840)] = 58029,
  [SMALL_STATE(1841)] = 58063,
  [SMALL_STATE(1842)] = 58097,
  [SMALL_STATE(1843)] = 58131,
  [SMALL_STATE(1844)] = 58165,
  [SMALL_STATE(1845)] = 58207,
  [SMALL_STATE(1846)] = 58273,
  [SMALL_STATE(1847)] = 58307,
  [SMALL_STATE(1848)] = 58347,
  [SMALL_STATE(1849)] = 58381,
  [SMALL_STATE(1850)] = 58445,
  [SMALL_STATE(1851)] = 58509,
  [SMALL_STATE(1852)] = 58573,
  [SMALL_STATE(1853)] = 58607,
  [SMALL_STATE(1854)] = 58641,
  [SMALL_STATE(1855)] = 58677,
  [SMALL_STATE(1856)] = 58717,
  [SMALL_STATE(1857)] = 58781,
  [SMALL_STATE(1858)] = 58845,
  [SMALL_STATE(1859)] = 58901,
  [SMALL_STATE(1860)] = 58941,
  [SMALL_STATE(1861)] = 59007,
  [SMALL_STATE(1862)] = 59071,
  [SMALL_STATE(1863)] = 59133,
  [SMALL_STATE(1864)] = 59197,
  [SMALL_STATE(1865)] = 59255,
  [SMALL_STATE(1866)] = 59311,
  [SMALL_STATE(1867)] = 59363,
  [SMALL_STATE(1868)] = 59411,
  [SMALL_STATE(1869)] = 59455,
  [SMALL_STATE(1870)] = 59525,
  [SMALL_STATE(1871)] = 59569,
  [SMALL_STATE(1872)] = 59633,
  [SMALL_STATE(1873)] = 59697,
  [SMALL_STATE(1874)] = 59761,
  [SMALL_STATE(1875)] = 59809,
  [SMALL_STATE(1876)] = 59847,
  [SMALL_STATE(1877)] = 59881,
  [SMALL_STATE(1878)] = 59915,
  [SMALL_STATE(1879)] = 59951,
  [SMALL_STATE(1880)] = 60017,
  [SMALL_STATE(1881)] = 60053,
  [SMALL_STATE(1882)] = 60087,
  [SMALL_STATE(1883)] = 60121,
  [SMALL_STATE(1884)] = 60155,
  [SMALL_STATE(1885)] = 60189,
  [SMALL_STATE(1886)] = 60229,
  [SMALL_STATE(1887)] = 60263,
  [SMALL_STATE(1888)] = 60327,
  [SMALL_STATE(1889)] = 60397,
  [SMALL_STATE(1890)] = 60431,
  [SMALL_STATE(1891)] = 60495,
  [SMALL_STATE(1892)] = 60559,
  [SMALL_STATE(1893)] = 60621,
  [SMALL_STATE(1894)] = 60679,
  [SMALL_STATE(1895)] = 60713,
  [SMALL_STATE(1896)] = 60769,
  [SMALL_STATE(1897)] = 60821,
  [SMALL_STATE(1898)] = 60869,
  [SMALL_STATE(1899)] = 60913,
  [SMALL_STATE(1900)] = 60957,
  [SMALL_STATE(1901)] = 60997,
  [SMALL_STATE(1902)] = 61037,
  [SMALL_STATE(1903)] = 61071,
  [SMALL_STATE(1904)] = 61139,
  [SMALL_STATE(1905)] = 61173,
  [SMALL_STATE(1906)] = 61221,
  [SMALL_STATE(1907)] = 61255,
  [SMALL_STATE(1908)] = 61297,
  [SMALL_STATE(1909)] = 61361,
  [SMALL_STATE(1910)] = 61397,
  [SMALL_STATE(1911)] = 61461,
  [SMALL_STATE(1912)] = 61525,
  [SMALL_STATE(1913)] = 61559,
  [SMALL_STATE(1914)] = 61593,
  [SMALL_STATE(1915)] = 61663,
  [SMALL_STATE(1916)] = 61733,
  [SMALL_STATE(1917)] = 61773,
  [SMALL_STATE(1918)] = 61837,
  [SMALL_STATE(1919)] = 61885,
  [SMALL_STATE(1920)] = 61925,
  [SMALL_STATE(1921)] = 61959,
  [SMALL_STATE(1922)] = 61993,
  [SMALL_STATE(1923)] = 62029,
  [SMALL_STATE(1924)] = 62063,
  [SMALL_STATE(1925)] = 62097,
  [SMALL_STATE(1926)] = 62165,
  [SMALL_STATE(1927)] = 62199,
  [SMALL_STATE(1928)] = 62233,
  [SMALL_STATE(1929)] = 62267,
  [SMALL_STATE(1930)] = 62301,
  [SMALL_STATE(1931)] = 62337,
  [SMALL_STATE(1932)] = 62371,
  [SMALL_STATE(1933)] = 62405,
  [SMALL_STATE(1934)] = 62439,
  [SMALL_STATE(1935)] = 62473,
  [SMALL_STATE(1936)] = 62507,
  [SMALL_STATE(1937)] = 62541,
  [SMALL_STATE(1938)] = 62581,
  [SMALL_STATE(1939)] = 62621,
  [SMALL_STATE(1940)] = 62655,
  [SMALL_STATE(1941)] = 62691,
  [SMALL_STATE(1942)] = 62759,
  [SMALL_STATE(1943)] = 62793,
  [SMALL_STATE(1944)] = 62835,
  [SMALL_STATE(1945)] = 62869,
  [SMALL_STATE(1946)] = 62903,
  [SMALL_STATE(1947)] = 62943,
  [SMALL_STATE(1948)] = 62999,
  [SMALL_STATE(1949)] = 63063,
  [SMALL_STATE(1950)] = 63127,
  [SMALL_STATE(1951)] = 63161,
  [SMALL_STATE(1952)] = 63195,
  [SMALL_STATE(1953)] = 63229,
  [SMALL_STATE(1954)] = 63263,
  [SMALL_STATE(1955)] = 63297,
  [SMALL_STATE(1956)] = 63331,
  [SMALL_STATE(1957)] = 63365,
  [SMALL_STATE(1958)] = 63399,
  [SMALL_STATE(1959)] = 63469,
  [SMALL_STATE(1960)] = 63503,
  [SMALL_STATE(1961)] = 63537,
  [SMALL_STATE(1962)] = 63571,
  [SMALL_STATE(1963)] = 63605,
  [SMALL_STATE(1964)] = 63639,
  [SMALL_STATE(1965)] = 63673,
  [SMALL_STATE(1966)] = 63707,
  [SMALL_STATE(1967)] = 63741,
  [SMALL_STATE(1968)] = 63775,
  [SMALL_STATE(1969)] = 63809,
  [SMALL_STATE(1970)] = 63843,
  [SMALL_STATE(1971)] = 63877,
  [SMALL_STATE(1972)] = 63917,
  [SMALL_STATE(1973)] = 63953,
  [SMALL_STATE(1974)] = 63987,
  [SMALL_STATE(1975)] = 64055,
  [SMALL_STATE(1976)] = 64123,
  [SMALL_STATE(1977)] = 64163,
  [SMALL_STATE(1978)] = 64197,
  [SMALL_STATE(1979)] = 64231,
  [SMALL_STATE(1980)] = 64271,
  [SMALL_STATE(1981)] = 64305,
  [SMALL_STATE(1982)] = 64339,
  [SMALL_STATE(1983)] = 64383,
  [SMALL_STATE(1984)] = 64427,
  [SMALL_STATE(1985)] = 64475,
  [SMALL_STATE(1986)] = 64527,
  [SMALL_STATE(1987)] = 64567,
  [SMALL_STATE(1988)] = 64623,
  [SMALL_STATE(1989)] = 64663,
  [SMALL_STATE(1990)] = 64721,
  [SMALL_STATE(1991)] = 64783,
  [SMALL_STATE(1992)] = 64847,
  [SMALL_STATE(1993)] = 64881,
  [SMALL_STATE(1994)] = 64921,
  [SMALL_STATE(1995)] = 64955,
  [SMALL_STATE(1996)] = 65019,
  [SMALL_STATE(1997)] = 65053,
  [SMALL_STATE(1998)] = 65087,
  [SMALL_STATE(1999)] = 65127,
  [SMALL_STATE(2000)] = 65161,
  [SMALL_STATE(2001)] = 65195,
  [SMALL_STATE(2002)] = 65235,
  [SMALL_STATE(2003)] = 65273,
  [SMALL_STATE(2004)] = 65313,
  [SMALL_STATE(2005)] = 65377,
  [SMALL_STATE(2006)] = 65443,
  [SMALL_STATE(2007)] = 65479,
  [SMALL_STATE(2008)] = 65513,
  [SMALL_STATE(2009)] = 65547,
  [SMALL_STATE(2010)] = 65581,
  [SMALL_STATE(2011)] = 65619,
  [SMALL_STATE(2012)] = 65653,
  [SMALL_STATE(2013)] = 65687,
  [SMALL_STATE(2014)] = 65721,
  [SMALL_STATE(2015)] = 65763,
  [SMALL_STATE(2016)] = 65797,
  [SMALL_STATE(2017)] = 65831,
  [SMALL_STATE(2018)] = 65865,
  [SMALL_STATE(2019)] = 65905,
  [SMALL_STATE(2020)] = 65943,
  [SMALL_STATE(2021)] = 65977,
  [SMALL_STATE(2022)] = 66011,
  [SMALL_STATE(2023)] = 66045,
  [SMALL_STATE(2024)] = 66079,
  [SMALL_STATE(2025)] = 66113,
  [SMALL_STATE(2026)] = 66147,
  [SMALL_STATE(2027)] = 66187,
  [SMALL_STATE(2028)] = 66227,
  [SMALL_STATE(2029)] = 66261,
  [SMALL_STATE(2030)] = 66295,
  [SMALL_STATE(2031)] = 66329,
  [SMALL_STATE(2032)] = 66369,
  [SMALL_STATE(2033)] = 66405,
  [SMALL_STATE(2034)] = 66447,
  [SMALL_STATE(2035)] = 66487,
  [SMALL_STATE(2036)] = 66521,
  [SMALL_STATE(2037)] = 66555,
  [SMALL_STATE(2038)] = 66589,
  [SMALL_STATE(2039)] = 66623,
  [SMALL_STATE(2040)] = 66657,
  [SMALL_STATE(2041)] = 66721,
  [SMALL_STATE(2042)] = 66785,
  [SMALL_STATE(2043)] = 66841,
  [SMALL_STATE(2044)] = 66881,
  [SMALL_STATE(2045)] = 66915,
  [SMALL_STATE(2046)] = 66979,
  [SMALL_STATE(2047)] = 67049,
  [SMALL_STATE(2048)] = 67113,
  [SMALL_STATE(2049)] = 67151,
  [SMALL_STATE(2050)] = 67193,
  [SMALL_STATE(2051)] = 67233,
  [SMALL_STATE(2052)] = 67273,
  [SMALL_STATE(2053)] = 67313,
  [SMALL_STATE(2054)] = 67353,
  [SMALL_STATE(2055)] = 67421,
  [SMALL_STATE(2056)] = 67463,
  [SMALL_STATE(2057)] = 67503,
  [SMALL_STATE(2058)] = 67543,
  [SMALL_STATE(2059)] = 67577,
  [SMALL_STATE(2060)] = 67611,
  [SMALL_STATE(2061)] = 67645,
  [SMALL_STATE(2062)] = 67708,
  [SMALL_STATE(2063)] = 67743,
  [SMALL_STATE(2064)] = 67776,
  [SMALL_STATE(2065)] = 67809,
  [SMALL_STATE(2066)] = 67842,
  [SMALL_STATE(2067)] = 67875,
  [SMALL_STATE(2068)] = 67908,
  [SMALL_STATE(2069)] = 67941,
  [SMALL_STATE(2070)] = 67974,
  [SMALL_STATE(2071)] = 68007,
  [SMALL_STATE(2072)] = 68042,
  [SMALL_STATE(2073)] = 68075,
  [SMALL_STATE(2074)] = 68110,
  [SMALL_STATE(2075)] = 68143,
  [SMALL_STATE(2076)] = 68176,
  [SMALL_STATE(2077)] = 68211,
  [SMALL_STATE(2078)] = 68244,
  [SMALL_STATE(2079)] = 68281,
  [SMALL_STATE(2080)] = 68314,
  [SMALL_STATE(2081)] = 68353,
  [SMALL_STATE(2082)] = 68386,
  [SMALL_STATE(2083)] = 68419,
  [SMALL_STATE(2084)] = 68454,
  [SMALL_STATE(2085)] = 68493,
  [SMALL_STATE(2086)] = 68528,
  [SMALL_STATE(2087)] = 68561,
  [SMALL_STATE(2088)] = 68594,
  [SMALL_STATE(2089)] = 68627,
  [SMALL_STATE(2090)] = 68660,
  [SMALL_STATE(2091)] = 68693,
  [SMALL_STATE(2092)] = 68756,
  [SMALL_STATE(2093)] = 68819,
  [SMALL_STATE(2094)] = 68854,
  [SMALL_STATE(2095)] = 68889,
  [SMALL_STATE(2096)] = 68926,
  [SMALL_STATE(2097)] = 68959,
  [SMALL_STATE(2098)] = 68992,
  [SMALL_STATE(2099)] = 69025,
  [SMALL_STATE(2100)] = 69058,
  [SMALL_STATE(2101)] = 69091,
  [SMALL_STATE(2102)] = 69124,
  [SMALL_STATE(2103)] = 69159,
  [SMALL_STATE(2104)] = 69194,
  [SMALL_STATE(2105)] = 69227,
  [SMALL_STATE(2106)] = 69260,
  [SMALL_STATE(2107)] = 69293,
  [SMALL_STATE(2108)] = 69326,
  [SMALL_STATE(2109)] = 69359,
  [SMALL_STATE(2110)] = 69392,
  [SMALL_STATE(2111)] = 69425,
  [SMALL_STATE(2112)] = 69458,
  [SMALL_STATE(2113)] = 69491,
  [SMALL_STATE(2114)] = 69524,
  [SMALL_STATE(2115)] = 69557,
  [SMALL_STATE(2116)] = 69590,
  [SMALL_STATE(2117)] = 69623,
  [SMALL_STATE(2118)] = 69656,
  [SMALL_STATE(2119)] = 69689,
  [SMALL_STATE(2120)] = 69722,
  [SMALL_STATE(2121)] = 69755,
  [SMALL_STATE(2122)] = 69788,
  [SMALL_STATE(2123)] = 69821,
  [SMALL_STATE(2124)] = 69854,
  [SMALL_STATE(2125)] = 69887,
  [SMALL_STATE(2126)] = 69920,
  [SMALL_STATE(2127)] = 69955,
  [SMALL_STATE(2128)] = 69988,
  [SMALL_STATE(2129)] = 70021,
  [SMALL_STATE(2130)] = 70054,
  [SMALL_STATE(2131)] = 70087,
  [SMALL_STATE(2132)] = 70120,
  [SMALL_STATE(2133)] = 70167,
  [SMALL_STATE(2134)] = 70230,
  [SMALL_STATE(2135)] = 70263,
  [SMALL_STATE(2136)] = 70296,
  [SMALL_STATE(2137)] = 70359,
  [SMALL_STATE(2138)] = 70420,
  [SMALL_STATE(2139)] = 70453,
  [SMALL_STATE(2140)] = 70486,
  [SMALL_STATE(2141)] = 70519,
  [SMALL_STATE(2142)] = 70552,
  [SMALL_STATE(2143)] = 70585,
  [SMALL_STATE(2144)] = 70624,
  [SMALL_STATE(2145)] = 70663,
  [SMALL_STATE(2146)] = 70706,
  [SMALL_STATE(2147)] = 70749,
  [SMALL_STATE(2148)] = 70796,
  [SMALL_STATE(2149)] = 70847,
  [SMALL_STATE(2150)] = 70902,
  [SMALL_STATE(2151)] = 70959,
  [SMALL_STATE(2152)] = 71020,
  [SMALL_STATE(2153)] = 71081,
  [SMALL_STATE(2154)] = 71142,
  [SMALL_STATE(2155)] = 71205,
  [SMALL_STATE(2156)] = 71238,
  [SMALL_STATE(2157)] = 71271,
  [SMALL_STATE(2158)] = 71304,
  [SMALL_STATE(2159)] = 71337,
  [SMALL_STATE(2160)] = 71370,
  [SMALL_STATE(2161)] = 71403,
  [SMALL_STATE(2162)] = 71436,
  [SMALL_STATE(2163)] = 71499,
  [SMALL_STATE(2164)] = 71562,
  [SMALL_STATE(2165)] = 71601,
  [SMALL_STATE(2166)] = 71656,
  [SMALL_STATE(2167)] = 71717,
  [SMALL_STATE(2168)] = 71778,
  [SMALL_STATE(2169)] = 71811,
  [SMALL_STATE(2170)] = 71844,
  [SMALL_STATE(2171)] = 71877,
  [SMALL_STATE(2172)] = 71910,
  [SMALL_STATE(2173)] = 71945,
  [SMALL_STATE(2174)] = 71978,
  [SMALL_STATE(2175)] = 72011,
  [SMALL_STATE(2176)] = 72044,
  [SMALL_STATE(2177)] = 72077,
  [SMALL_STATE(2178)] = 72110,
  [SMALL_STATE(2179)] = 72143,
  [SMALL_STATE(2180)] = 72190,
  [SMALL_STATE(2181)] = 72253,
  [SMALL_STATE(2182)] = 72286,
  [SMALL_STATE(2183)] = 72319,
  [SMALL_STATE(2184)] = 72382,
  [SMALL_STATE(2185)] = 72445,
  [SMALL_STATE(2186)] = 72478,
  [SMALL_STATE(2187)] = 72511,
  [SMALL_STATE(2188)] = 72544,
  [SMALL_STATE(2189)] = 72577,
  [SMALL_STATE(2190)] = 72610,
  [SMALL_STATE(2191)] = 72645,
  [SMALL_STATE(2192)] = 72678,
  [SMALL_STATE(2193)] = 72717,
  [SMALL_STATE(2194)] = 72756,
  [SMALL_STATE(2195)] = 72799,
  [SMALL_STATE(2196)] = 72842,
  [SMALL_STATE(2197)] = 72889,
  [SMALL_STATE(2198)] = 72940,
  [SMALL_STATE(2199)] = 72995,
  [SMALL_STATE(2200)] = 73052,
  [SMALL_STATE(2201)] = 73113,
  [SMALL_STATE(2202)] = 73176,
  [SMALL_STATE(2203)] = 73239,
  [SMALL_STATE(2204)] = 73302,
  [SMALL_STATE(2205)] = 73335,
  [SMALL_STATE(2206)] = 73368,
  [SMALL_STATE(2207)] = 73401,
  [SMALL_STATE(2208)] = 73434,
  [SMALL_STATE(2209)] = 73467,
  [SMALL_STATE(2210)] = 73530,
  [SMALL_STATE(2211)] = 73593,
  [SMALL_STATE(2212)] = 73648,
  [SMALL_STATE(2213)] = 73687,
  [SMALL_STATE(2214)] = 73722,
  [SMALL_STATE(2215)] = 73785,
  [SMALL_STATE(2216)] = 73848,
  [SMALL_STATE(2217)] = 73887,
  [SMALL_STATE(2218)] = 73942,
  [SMALL_STATE(2219)] = 74005,
  [SMALL_STATE(2220)] = 74068,
  [SMALL_STATE(2221)] = 74101,
  [SMALL_STATE(2222)] = 74134,
  [SMALL_STATE(2223)] = 74167,
  [SMALL_STATE(2224)] = 74202,
  [SMALL_STATE(2225)] = 74241,
  [SMALL_STATE(2226)] = 74274,
  [SMALL_STATE(2227)] = 74309,
  [SMALL_STATE(2228)] = 74342,
  [SMALL_STATE(2229)] = 74377,
  [SMALL_STATE(2230)] = 74440,
  [SMALL_STATE(2231)] = 74477,
  [SMALL_STATE(2232)] = 74512,
  [SMALL_STATE(2233)] = 74545,
  [SMALL_STATE(2234)] = 74608,
  [SMALL_STATE(2235)] = 74641,
  [SMALL_STATE(2236)] = 74702,
  [SMALL_STATE(2237)] = 74759,
  [SMALL_STATE(2238)] = 74814,
  [SMALL_STATE(2239)] = 74865,
  [SMALL_STATE(2240)] = 74912,
  [SMALL_STATE(2241)] = 74955,
  [SMALL_STATE(2242)] = 74998,
  [SMALL_STATE(2243)] = 75037,
  [SMALL_STATE(2244)] = 75070,
  [SMALL_STATE(2245)] = 75103,
  [SMALL_STATE(2246)] = 75142,
  [SMALL_STATE(2247)] = 75175,
  [SMALL_STATE(2248)] = 75214,
  [SMALL_STATE(2249)] = 75247,
  [SMALL_STATE(2250)] = 75280,
  [SMALL_STATE(2251)] = 75313,
  [SMALL_STATE(2252)] = 75346,
  [SMALL_STATE(2253)] = 75383,
  [SMALL_STATE(2254)] = 75430,
  [SMALL_STATE(2255)] = 75463,
  [SMALL_STATE(2256)] = 75496,
  [SMALL_STATE(2257)] = 75531,
  [SMALL_STATE(2258)] = 75564,
  [SMALL_STATE(2259)] = 75597,
  [SMALL_STATE(2260)] = 75630,
  [SMALL_STATE(2261)] = 75665,
  [SMALL_STATE(2262)] = 75700,
  [SMALL_STATE(2263)] = 75739,
  [SMALL_STATE(2264)] = 75772,
  [SMALL_STATE(2265)] = 75805,
  [SMALL_STATE(2266)] = 75838,
  [SMALL_STATE(2267)] = 75873,
  [SMALL_STATE(2268)] = 75910,
  [SMALL_STATE(2269)] = 75973,
  [SMALL_STATE(2270)] = 76036,
  [SMALL_STATE(2271)] = 76075,
  [SMALL_STATE(2272)] = 76108,
  [SMALL_STATE(2273)] = 76141,
  [SMALL_STATE(2274)] = 76176,
  [SMALL_STATE(2275)] = 76209,
  [SMALL_STATE(2276)] = 76272,
  [SMALL_STATE(2277)] = 76305,
  [SMALL_STATE(2278)] = 76338,
  [SMALL_STATE(2279)] = 76371,
  [SMALL_STATE(2280)] = 76404,
  [SMALL_STATE(2281)] = 76437,
  [SMALL_STATE(2282)] = 76470,
  [SMALL_STATE(2283)] = 76517,
  [SMALL_STATE(2284)] = 76580,
  [SMALL_STATE(2285)] = 76613,
  [SMALL_STATE(2286)] = 76650,
  [SMALL_STATE(2287)] = 76713,
  [SMALL_STATE(2288)] = 76774,
  [SMALL_STATE(2289)] = 76807,
  [SMALL_STATE(2290)] = 76840,
  [SMALL_STATE(2291)] = 76873,
  [SMALL_STATE(2292)] = 76912,
  [SMALL_STATE(2293)] = 76945,
  [SMALL_STATE(2294)] = 76984,
  [SMALL_STATE(2295)] = 77023,
  [SMALL_STATE(2296)] = 77066,
  [SMALL_STATE(2297)] = 77109,
  [SMALL_STATE(2298)] = 77156,
  [SMALL_STATE(2299)] = 77207,
  [SMALL_STATE(2300)] = 77262,
  [SMALL_STATE(2301)] = 77319,
  [SMALL_STATE(2302)] = 77380,
  [SMALL_STATE(2303)] = 77443,
  [SMALL_STATE(2304)] = 77504,
  [SMALL_STATE(2305)] = 77537,
  [SMALL_STATE(2306)] = 77598,
  [SMALL_STATE(2307)] = 77661,
  [SMALL_STATE(2308)] = 77694,
  [SMALL_STATE(2309)] = 77727,
  [SMALL_STATE(2310)] = 77766,
  [SMALL_STATE(2311)] = 77799,
  [SMALL_STATE(2312)] = 77862,
  [SMALL_STATE(2313)] = 77899,
  [SMALL_STATE(2314)] = 77932,
  [SMALL_STATE(2315)] = 77965,
  [SMALL_STATE(2316)] = 78028,
  [SMALL_STATE(2317)] = 78091,
  [SMALL_STATE(2318)] = 78124,
  [SMALL_STATE(2319)] = 78163,
  [SMALL_STATE(2320)] = 78226,
  [SMALL_STATE(2321)] = 78261,
  [SMALL_STATE(2322)] = 78316,
  [SMALL_STATE(2323)] = 78349,
  [SMALL_STATE(2324)] = 78410,
  [SMALL_STATE(2325)] = 78471,
  [SMALL_STATE(2326)] = 78538,
  [SMALL_STATE(2327)] = 78571,
  [SMALL_STATE(2328)] = 78604,
  [SMALL_STATE(2329)] = 78667,
  [SMALL_STATE(2330)] = 78702,
  [SMALL_STATE(2331)] = 78735,
  [SMALL_STATE(2332)] = 78768,
  [SMALL_STATE(2333)] = 78803,
  [SMALL_STATE(2334)] = 78836,
  [SMALL_STATE(2335)] = 78869,
  [SMALL_STATE(2336)] = 78902,
  [SMALL_STATE(2337)] = 78949,
  [SMALL_STATE(2338)] = 79012,
  [SMALL_STATE(2339)] = 79045,
  [SMALL_STATE(2340)] = 79108,
  [SMALL_STATE(2341)] = 79171,
  [SMALL_STATE(2342)] = 79204,
  [SMALL_STATE(2343)] = 79237,
  [SMALL_STATE(2344)] = 79270,
  [SMALL_STATE(2345)] = 79303,
  [SMALL_STATE(2346)] = 79336,
  [SMALL_STATE(2347)] = 79375,
  [SMALL_STATE(2348)] = 79414,
  [SMALL_STATE(2349)] = 79457,
  [SMALL_STATE(2350)] = 79500,
  [SMALL_STATE(2351)] = 79547,
  [SMALL_STATE(2352)] = 79580,
  [SMALL_STATE(2353)] = 79631,
  [SMALL_STATE(2354)] = 79686,
  [SMALL_STATE(2355)] = 79719,
  [SMALL_STATE(2356)] = 79752,
  [SMALL_STATE(2357)] = 79809,
  [SMALL_STATE(2358)] = 79842,
  [SMALL_STATE(2359)] = 79903,
  [SMALL_STATE(2360)] = 79966,
  [SMALL_STATE(2361)] = 80029,
  [SMALL_STATE(2362)] = 80092,
  [SMALL_STATE(2363)] = 80125,
  [SMALL_STATE(2364)] = 80158,
  [SMALL_STATE(2365)] = 80191,
  [SMALL_STATE(2366)] = 80224,
  [SMALL_STATE(2367)] = 80257,
  [SMALL_STATE(2368)] = 80290,
  [SMALL_STATE(2369)] = 80325,
  [SMALL_STATE(2370)] = 80358,
  [SMALL_STATE(2371)] = 80391,
  [SMALL_STATE(2372)] = 80424,
  [SMALL_STATE(2373)] = 80457,
  [SMALL_STATE(2374)] = 80520,
  [SMALL_STATE(2375)] = 80583,
  [SMALL_STATE(2376)] = 80622,
  [SMALL_STATE(2377)] = 80677,
  [SMALL_STATE(2378)] = 80710,
  [SMALL_STATE(2379)] = 80773,
  [SMALL_STATE(2380)] = 80836,
  [SMALL_STATE(2381)] = 80869,
  [SMALL_STATE(2382)] = 80902,
  [SMALL_STATE(2383)] = 80935,
  [SMALL_STATE(2384)] = 80968,
  [SMALL_STATE(2385)] = 81001,
  [SMALL_STATE(2386)] = 81034,
  [SMALL_STATE(2387)] = 81067,
  [SMALL_STATE(2388)] = 81100,
  [SMALL_STATE(2389)] = 81133,
  [SMALL_STATE(2390)] = 81168,
  [SMALL_STATE(2391)] = 81201,
  [SMALL_STATE(2392)] = 81234,
  [SMALL_STATE(2393)] = 81269,
  [SMALL_STATE(2394)] = 81302,
  [SMALL_STATE(2395)] = 81335,
  [SMALL_STATE(2396)] = 81370,
  [SMALL_STATE(2397)] = 81403,
  [SMALL_STATE(2398)] = 81436,
  [SMALL_STATE(2399)] = 81469,
  [SMALL_STATE(2400)] = 81502,
  [SMALL_STATE(2401)] = 81535,
  [SMALL_STATE(2402)] = 81568,
  [SMALL_STATE(2403)] = 81601,
  [SMALL_STATE(2404)] = 81663,
  [SMALL_STATE(2405)] = 81727,
  [SMALL_STATE(2406)] = 81759,
  [SMALL_STATE(2407)] = 81791,
  [SMALL_STATE(2408)] = 81823,
  [SMALL_STATE(2409)] = 81855,
  [SMALL_STATE(2410)] = 81919,
  [SMALL_STATE(2411)] = 81979,
  [SMALL_STATE(2412)] = 82011,
  [SMALL_STATE(2413)] = 82043,
  [SMALL_STATE(2414)] = 82075,
  [SMALL_STATE(2415)] = 82107,
  [SMALL_STATE(2416)] = 82139,
  [SMALL_STATE(2417)] = 82201,
  [SMALL_STATE(2418)] = 82265,
  [SMALL_STATE(2419)] = 82311,
  [SMALL_STATE(2420)] = 82373,
  [SMALL_STATE(2421)] = 82405,
  [SMALL_STATE(2422)] = 82467,
  [SMALL_STATE(2423)] = 82527,
  [SMALL_STATE(2424)] = 82559,
  [SMALL_STATE(2425)] = 82591,
  [SMALL_STATE(2426)] = 82623,
  [SMALL_STATE(2427)] = 82655,
  [SMALL_STATE(2428)] = 82687,
  [SMALL_STATE(2429)] = 82725,
  [SMALL_STATE(2430)] = 82763,
  [SMALL_STATE(2431)] = 82805,
  [SMALL_STATE(2432)] = 82847,
  [SMALL_STATE(2433)] = 82893,
  [SMALL_STATE(2434)] = 82943,
  [SMALL_STATE(2435)] = 82997,
  [SMALL_STATE(2436)] = 83053,
  [SMALL_STATE(2437)] = 83113,
  [SMALL_STATE(2438)] = 83173,
  [SMALL_STATE(2439)] = 83233,
  [SMALL_STATE(2440)] = 83295,
  [SMALL_STATE(2441)] = 83327,
  [SMALL_STATE(2442)] = 83359,
  [SMALL_STATE(2443)] = 83391,
  [SMALL_STATE(2444)] = 83451,
  [SMALL_STATE(2445)] = 83483,
  [SMALL_STATE(2446)] = 83515,
  [SMALL_STATE(2447)] = 83547,
  [SMALL_STATE(2448)] = 83579,
  [SMALL_STATE(2449)] = 83641,
  [SMALL_STATE(2450)] = 83703,
  [SMALL_STATE(2451)] = 83735,
  [SMALL_STATE(2452)] = 83773,
  [SMALL_STATE(2453)] = 83827,
  [SMALL_STATE(2454)] = 83887,
  [SMALL_STATE(2455)] = 83919,
  [SMALL_STATE(2456)] = 83965,
  [SMALL_STATE(2457)] = 84003,
  [SMALL_STATE(2458)] = 84035,
  [SMALL_STATE(2459)] = 84099,
  [SMALL_STATE(2460)] = 84131,
  [SMALL_STATE(2461)] = 84163,
  [SMALL_STATE(2462)] = 84195,
  [SMALL_STATE(2463)] = 84227,
  [SMALL_STATE(2464)] = 84259,
  [SMALL_STATE(2465)] = 84291,
  [SMALL_STATE(2466)] = 84323,
  [SMALL_STATE(2467)] = 84359,
  [SMALL_STATE(2468)] = 84423,
  [SMALL_STATE(2469)] = 84455,
  [SMALL_STATE(2470)] = 84519,
  [SMALL_STATE(2471)] = 84557,
  [SMALL_STATE(2472)] = 84595,
  [SMALL_STATE(2473)] = 84637,
  [SMALL_STATE(2474)] = 84669,
  [SMALL_STATE(2475)] = 84711,
  [SMALL_STATE(2476)] = 84757,
  [SMALL_STATE(2477)] = 84807,
  [SMALL_STATE(2478)] = 84871,
  [SMALL_STATE(2479)] = 84903,
  [SMALL_STATE(2480)] = 84965,
  [SMALL_STATE(2481)] = 85019,
  [SMALL_STATE(2482)] = 85075,
  [SMALL_STATE(2483)] = 85135,
  [SMALL_STATE(2484)] = 85195,
  [SMALL_STATE(2485)] = 85255,
  [SMALL_STATE(2486)] = 85301,
  [SMALL_STATE(2487)] = 85333,
  [SMALL_STATE(2488)] = 85397,
  [SMALL_STATE(2489)] = 85431,
  [SMALL_STATE(2490)] = 85463,
  [SMALL_STATE(2491)] = 85525,
  [SMALL_STATE(2492)] = 85587,
  [SMALL_STATE(2493)] = 85651,
  [SMALL_STATE(2494)] = 85683,
  [SMALL_STATE(2495)] = 85715,
  [SMALL_STATE(2496)] = 85779,
  [SMALL_STATE(2497)] = 85811,
  [SMALL_STATE(2498)] = 85875,
  [SMALL_STATE(2499)] = 85907,
  [SMALL_STATE(2500)] = 85939,
  [SMALL_STATE(2501)] = 85971,
  [SMALL_STATE(2502)] = 86003,
  [SMALL_STATE(2503)] = 86067,
  [SMALL_STATE(2504)] = 86099,
  [SMALL_STATE(2505)] = 86131,
  [SMALL_STATE(2506)] = 86165,
  [SMALL_STATE(2507)] = 86203,
  [SMALL_STATE(2508)] = 86235,
  [SMALL_STATE(2509)] = 86267,
  [SMALL_STATE(2510)] = 86331,
  [SMALL_STATE(2511)] = 86365,
  [SMALL_STATE(2512)] = 86397,
  [SMALL_STATE(2513)] = 86429,
  [SMALL_STATE(2514)] = 86493,
  [SMALL_STATE(2515)] = 86525,
  [SMALL_STATE(2516)] = 86559,
  [SMALL_STATE(2517)] = 86621,
  [SMALL_STATE(2518)] = 86653,
  [SMALL_STATE(2519)] = 86691,
  [SMALL_STATE(2520)] = 86753,
  [SMALL_STATE(2521)] = 86807,
  [SMALL_STATE(2522)] = 86839,
  [SMALL_STATE(2523)] = 86899,
  [SMALL_STATE(2524)] = 86959,
  [SMALL_STATE(2525)] = 87001,
  [SMALL_STATE(2526)] = 87033,
  [SMALL_STATE(2527)] = 87065,
  [SMALL_STATE(2528)] = 87127,
  [SMALL_STATE(2529)] = 87159,
  [SMALL_STATE(2530)] = 87191,
  [SMALL_STATE(2531)] = 87233,
  [SMALL_STATE(2532)] = 87297,
  [SMALL_STATE(2533)] = 87343,
  [SMALL_STATE(2534)] = 87405,
  [SMALL_STATE(2535)] = 87469,
  [SMALL_STATE(2536)] = 87501,
  [SMALL_STATE(2537)] = 87533,
  [SMALL_STATE(2538)] = 87565,
  [SMALL_STATE(2539)] = 87597,
  [SMALL_STATE(2540)] = 87629,
  [SMALL_STATE(2541)] = 87661,
  [SMALL_STATE(2542)] = 87707,
  [SMALL_STATE(2543)] = 87771,
  [SMALL_STATE(2544)] = 87821,
  [SMALL_STATE(2545)] = 87855,
  [SMALL_STATE(2546)] = 87909,
  [SMALL_STATE(2547)] = 87941,
  [SMALL_STATE(2548)] = 87973,
  [SMALL_STATE(2549)] = 88007,
  [SMALL_STATE(2550)] = 88039,
  [SMALL_STATE(2551)] = 88071,
  [SMALL_STATE(2552)] = 88105,
  [SMALL_STATE(2553)] = 88139,
  [SMALL_STATE(2554)] = 88203,
  [SMALL_STATE(2555)] = 88235,
  [SMALL_STATE(2556)] = 88267,
  [SMALL_STATE(2557)] = 88331,
  [SMALL_STATE(2558)] = 88363,
  [SMALL_STATE(2559)] = 88427,
  [SMALL_STATE(2560)] = 88459,
  [SMALL_STATE(2561)] = 88491,
  [SMALL_STATE(2562)] = 88525,
  [SMALL_STATE(2563)] = 88557,
  [SMALL_STATE(2564)] = 88591,
  [SMALL_STATE(2565)] = 88653,
  [SMALL_STATE(2566)] = 88685,
  [SMALL_STATE(2567)] = 88749,
  [SMALL_STATE(2568)] = 88813,
  [SMALL_STATE(2569)] = 88845,
  [SMALL_STATE(2570)] = 88877,
  [SMALL_STATE(2571)] = 88911,
  [SMALL_STATE(2572)] = 88943,
  [SMALL_STATE(2573)] = 88999,
  [SMALL_STATE(2574)] = 89031,
  [SMALL_STATE(2575)] = 89093,
  [SMALL_STATE(2576)] = 89125,
  [SMALL_STATE(2577)] = 89157,
  [SMALL_STATE(2578)] = 89221,
  [SMALL_STATE(2579)] = 89281,
  [SMALL_STATE(2580)] = 89313,
  [SMALL_STATE(2581)] = 89345,
  [SMALL_STATE(2582)] = 89377,
  [SMALL_STATE(2583)] = 89409,
  [SMALL_STATE(2584)] = 89469,
  [SMALL_STATE(2585)] = 89529,
  [SMALL_STATE(2586)] = 89589,
  [SMALL_STATE(2587)] = 89621,
  [SMALL_STATE(2588)] = 89653,
  [SMALL_STATE(2589)] = 89715,
  [SMALL_STATE(2590)] = 89747,
  [SMALL_STATE(2591)] = 89779,
  [SMALL_STATE(2592)] = 89821,
  [SMALL_STATE(2593)] = 89853,
  [SMALL_STATE(2594)] = 89885,
  [SMALL_STATE(2595)] = 89917,
  [SMALL_STATE(2596)] = 89949,
  [SMALL_STATE(2597)] = 90013,
  [SMALL_STATE(2598)] = 90045,
  [SMALL_STATE(2599)] = 90087,
  [SMALL_STATE(2600)] = 90133,
  [SMALL_STATE(2601)] = 90165,
  [SMALL_STATE(2602)] = 90197,
  [SMALL_STATE(2603)] = 90229,
  [SMALL_STATE(2604)] = 90279,
  [SMALL_STATE(2605)] = 90343,
  [SMALL_STATE(2606)] = 90375,
  [SMALL_STATE(2607)] = 90407,
  [SMALL_STATE(2608)] = 90439,
  [SMALL_STATE(2609)] = 90471,
  [SMALL_STATE(2610)] = 90503,
  [SMALL_STATE(2611)] = 90567,
  [SMALL_STATE(2612)] = 90631,
  [SMALL_STATE(2613)] = 90663,
  [SMALL_STATE(2614)] = 90695,
  [SMALL_STATE(2615)] = 90727,
  [SMALL_STATE(2616)] = 90759,
  [SMALL_STATE(2617)] = 90819,
  [SMALL_STATE(2618)] = 90873,
  [SMALL_STATE(2619)] = 90911,
  [SMALL_STATE(2620)] = 90943,
  [SMALL_STATE(2621)] = 90989,
  [SMALL_STATE(2622)] = 91021,
  [SMALL_STATE(2623)] = 91053,
  [SMALL_STATE(2624)] = 91085,
  [SMALL_STATE(2625)] = 91117,
  [SMALL_STATE(2626)] = 91181,
  [SMALL_STATE(2627)] = 91243,
  [SMALL_STATE(2628)] = 91275,
  [SMALL_STATE(2629)] = 91337,
  [SMALL_STATE(2630)] = 91377,
  [SMALL_STATE(2631)] = 91417,
  [SMALL_STATE(2632)] = 91451,
  [SMALL_STATE(2633)] = 91513,
  [SMALL_STATE(2634)] = 91545,
  [SMALL_STATE(2635)] = 91579,
  [SMALL_STATE(2636)] = 91611,
  [SMALL_STATE(2637)] = 91643,
  [SMALL_STATE(2638)] = 91675,
  [SMALL_STATE(2639)] = 91707,
  [SMALL_STATE(2640)] = 91771,
  [SMALL_STATE(2641)] = 91803,
  [SMALL_STATE(2642)] = 91835,
  [SMALL_STATE(2643)] = 91895,
  [SMALL_STATE(2644)] = 91955,
  [SMALL_STATE(2645)] = 92019,
  [SMALL_STATE(2646)] = 92083,
  [SMALL_STATE(2647)] = 92147,
  [SMALL_STATE(2648)] = 92209,
  [SMALL_STATE(2649)] = 92241,
  [SMALL_STATE(2650)] = 92303,
  [SMALL_STATE(2651)] = 92343,
  [SMALL_STATE(2652)] = 92377,
  [SMALL_STATE(2653)] = 92441,
  [SMALL_STATE(2654)] = 92495,
  [SMALL_STATE(2655)] = 92533,
  [SMALL_STATE(2656)] = 92565,
  [SMALL_STATE(2657)] = 92619,
  [SMALL_STATE(2658)] = 92683,
  [SMALL_STATE(2659)] = 92715,
  [SMALL_STATE(2660)] = 92757,
  [SMALL_STATE(2661)] = 92821,
  [SMALL_STATE(2662)] = 92881,
  [SMALL_STATE(2663)] = 92937,
  [SMALL_STATE(2664)] = 93001,
  [SMALL_STATE(2665)] = 93063,
  [SMALL_STATE(2666)] = 93127,
  [SMALL_STATE(2667)] = 93159,
  [SMALL_STATE(2668)] = 93191,
  [SMALL_STATE(2669)] = 93255,
  [SMALL_STATE(2670)] = 93287,
  [SMALL_STATE(2671)] = 93319,
  [SMALL_STATE(2672)] = 93351,
  [SMALL_STATE(2673)] = 93411,
  [SMALL_STATE(2674)] = 93443,
  [SMALL_STATE(2675)] = 93475,
  [SMALL_STATE(2676)] = 93537,
  [SMALL_STATE(2677)] = 93569,
  [SMALL_STATE(2678)] = 93631,
  [SMALL_STATE(2679)] = 93663,
  [SMALL_STATE(2680)] = 93695,
  [SMALL_STATE(2681)] = 93727,
  [SMALL_STATE(2682)] = 93791,
  [SMALL_STATE(2683)] = 93855,
  [SMALL_STATE(2684)] = 93919,
  [SMALL_STATE(2685)] = 93981,
  [SMALL_STATE(2686)] = 94043,
  [SMALL_STATE(2687)] = 94075,
  [SMALL_STATE(2688)] = 94137,
  [SMALL_STATE(2689)] = 94201,
  [SMALL_STATE(2690)] = 94255,
  [SMALL_STATE(2691)] = 94287,
  [SMALL_STATE(2692)] = 94351,
  [SMALL_STATE(2693)] = 94383,
  [SMALL_STATE(2694)] = 94443,
  [SMALL_STATE(2695)] = 94475,
  [SMALL_STATE(2696)] = 94507,
  [SMALL_STATE(2697)] = 94539,
  [SMALL_STATE(2698)] = 94601,
  [SMALL_STATE(2699)] = 94661,
  [SMALL_STATE(2700)] = 94693,
  [SMALL_STATE(2701)] = 94755,
  [SMALL_STATE(2702)] = 94815,
  [SMALL_STATE(2703)] = 94847,
  [SMALL_STATE(2704)] = 94907,
  [SMALL_STATE(2705)] = 94971,
  [SMALL_STATE(2706)] = 95027,
  [SMALL_STATE(2707)] = 95059,
  [SMALL_STATE(2708)] = 95119,
  [SMALL_STATE(2709)] = 95179,
  [SMALL_STATE(2710)] = 95235,
  [SMALL_STATE(2711)] = 95289,
  [SMALL_STATE(2712)] = 95353,
  [SMALL_STATE(2713)] = 95407,
  [SMALL_STATE(2714)] = 95457,
  [SMALL_STATE(2715)] = 95519,
  [SMALL_STATE(2716)] = 95565,
  [SMALL_STATE(2717)] = 95629,
  [SMALL_STATE(2718)] = 95671,
  [SMALL_STATE(2719)] = 95713,
  [SMALL_STATE(2720)] = 95777,
  [SMALL_STATE(2721)] = 95841,
  [SMALL_STATE(2722)] = 95873,
  [SMALL_STATE(2723)] = 95907,
  [SMALL_STATE(2724)] = 95939,
  [SMALL_STATE(2725)] = 95977,
  [SMALL_STATE(2726)] = 96041,
  [SMALL_STATE(2727)] = 96079,
  [SMALL_STATE(2728)] = 96111,
  [SMALL_STATE(2729)] = 96173,
  [SMALL_STATE(2730)] = 96211,
  [SMALL_STATE(2731)] = 96243,
  [SMALL_STATE(2732)] = 96297,
  [SMALL_STATE(2733)] = 96361,
  [SMALL_STATE(2734)] = 96393,
  [SMALL_STATE(2735)] = 96443,
  [SMALL_STATE(2736)] = 96505,
  [SMALL_STATE(2737)] = 96569,
  [SMALL_STATE(2738)] = 96601,
  [SMALL_STATE(2739)] = 96663,
  [SMALL_STATE(2740)] = 96723,
  [SMALL_STATE(2741)] = 96755,
  [SMALL_STATE(2742)] = 96817,
  [SMALL_STATE(2743)] = 96849,
  [SMALL_STATE(2744)] = 96913,
  [SMALL_STATE(2745)] = 96977,
  [SMALL_STATE(2746)] = 97009,
  [SMALL_STATE(2747)] = 97041,
  [SMALL_STATE(2748)] = 97083,
  [SMALL_STATE(2749)] = 97115,
  [SMALL_STATE(2750)] = 97147,
  [SMALL_STATE(2751)] = 97189,
  [SMALL_STATE(2752)] = 97251,
  [SMALL_STATE(2753)] = 97283,
  [SMALL_STATE(2754)] = 97315,
  [SMALL_STATE(2755)] = 97347,
  [SMALL_STATE(2756)] = 97409,
  [SMALL_STATE(2757)] = 97473,
  [SMALL_STATE(2758)] = 97537,
  [SMALL_STATE(2759)] = 97599,
  [SMALL_STATE(2760)] = 97659,
  [SMALL_STATE(2761)] = 97697,
  [SMALL_STATE(2762)] = 97735,
  [SMALL_STATE(2763)] = 97795,
  [SMALL_STATE(2764)] = 97859,
  [SMALL_STATE(2765)] = 97921,
  [SMALL_STATE(2766)] = 97985,
  [SMALL_STATE(2767)] = 98031,
  [SMALL_STATE(2768)] = 98065,
  [SMALL_STATE(2769)] = 98097,
  [SMALL_STATE(2770)] = 98159,
  [SMALL_STATE(2771)] = 98223,
  [SMALL_STATE(2772)] = 98287,
  [SMALL_STATE(2773)] = 98321,
  [SMALL_STATE(2774)] = 98385,
  [SMALL_STATE(2775)] = 98449,
  [SMALL_STATE(2776)] = 98489,
  [SMALL_STATE(2777)] = 98529,
  [SMALL_STATE(2778)] = 98561,
  [SMALL_STATE(2779)] = 98625,
  [SMALL_STATE(2780)] = 98665,
  [SMALL_STATE(2781)] = 98711,
  [SMALL_STATE(2782)] = 98745,
  [SMALL_STATE(2783)] = 98777,
  [SMALL_STATE(2784)] = 98809,
  [SMALL_STATE(2785)] = 98873,
  [SMALL_STATE(2786)] = 98933,
  [SMALL_STATE(2787)] = 98995,
  [SMALL_STATE(2788)] = 99027,
  [SMALL_STATE(2789)] = 99059,
  [SMALL_STATE(2790)] = 99123,
  [SMALL_STATE(2791)] = 99187,
  [SMALL_STATE(2792)] = 99219,
  [SMALL_STATE(2793)] = 99251,
  [SMALL_STATE(2794)] = 99282,
  [SMALL_STATE(2795)] = 99321,
  [SMALL_STATE(2796)] = 99382,
  [SMALL_STATE(2797)] = 99413,
  [SMALL_STATE(2798)] = 99474,
  [SMALL_STATE(2799)] = 99533,
  [SMALL_STATE(2800)] = 99594,
  [SMALL_STATE(2801)] = 99655,
  [SMALL_STATE(2802)] = 99716,
  [SMALL_STATE(2803)] = 99777,
  [SMALL_STATE(2804)] = 99808,
  [SMALL_STATE(2805)] = 99869,
  [SMALL_STATE(2806)] = 99900,
  [SMALL_STATE(2807)] = 99959,
  [SMALL_STATE(2808)] = 100018,
  [SMALL_STATE(2809)] = 100077,
  [SMALL_STATE(2810)] = 100108,
  [SMALL_STATE(2811)] = 100163,
  [SMALL_STATE(2812)] = 100200,
  [SMALL_STATE(2813)] = 100253,
  [SMALL_STATE(2814)] = 100284,
  [SMALL_STATE(2815)] = 100315,
  [SMALL_STATE(2816)] = 100346,
  [SMALL_STATE(2817)] = 100377,
  [SMALL_STATE(2818)] = 100430,
  [SMALL_STATE(2819)] = 100491,
  [SMALL_STATE(2820)] = 100540,
  [SMALL_STATE(2821)] = 100585,
  [SMALL_STATE(2822)] = 100616,
  [SMALL_STATE(2823)] = 100657,
  [SMALL_STATE(2824)] = 100698,
  [SMALL_STATE(2825)] = 100729,
  [SMALL_STATE(2826)] = 100760,
  [SMALL_STATE(2827)] = 100821,
  [SMALL_STATE(2828)] = 100852,
  [SMALL_STATE(2829)] = 100889,
  [SMALL_STATE(2830)] = 100950,
  [SMALL_STATE(2831)] = 100981,
  [SMALL_STATE(2832)] = 101018,
  [SMALL_STATE(2833)] = 101077,
  [SMALL_STATE(2834)] = 101136,
  [SMALL_STATE(2835)] = 101167,
  [SMALL_STATE(2836)] = 101198,
  [SMALL_STATE(2837)] = 101229,
  [SMALL_STATE(2838)] = 101260,
  [SMALL_STATE(2839)] = 101321,
  [SMALL_STATE(2840)] = 101352,
  [SMALL_STATE(2841)] = 101413,
  [SMALL_STATE(2842)] = 101444,
  [SMALL_STATE(2843)] = 101475,
  [SMALL_STATE(2844)] = 101506,
  [SMALL_STATE(2845)] = 101537,
  [SMALL_STATE(2846)] = 101568,
  [SMALL_STATE(2847)] = 101599,
  [SMALL_STATE(2848)] = 101630,
  [SMALL_STATE(2849)] = 101669,
  [SMALL_STATE(2850)] = 101730,
  [SMALL_STATE(2851)] = 101789,
  [SMALL_STATE(2852)] = 101848,
  [SMALL_STATE(2853)] = 101901,
  [SMALL_STATE(2854)] = 101934,
  [SMALL_STATE(2855)] = 101971,
  [SMALL_STATE(2856)] = 102032,
  [SMALL_STATE(2857)] = 102093,
  [SMALL_STATE(2858)] = 102124,
  [SMALL_STATE(2859)] = 102185,
  [SMALL_STATE(2860)] = 102246,
  [SMALL_STATE(2861)] = 102277,
  [SMALL_STATE(2862)] = 102308,
  [SMALL_STATE(2863)] = 102339,
  [SMALL_STATE(2864)] = 102384,
  [SMALL_STATE(2865)] = 102415,
  [SMALL_STATE(2866)] = 102446,
  [SMALL_STATE(2867)] = 102477,
  [SMALL_STATE(2868)] = 102508,
  [SMALL_STATE(2869)] = 102569,
  [SMALL_STATE(2870)] = 102628,
  [SMALL_STATE(2871)] = 102667,
  [SMALL_STATE(2872)] = 102726,
  [SMALL_STATE(2873)] = 102785,
  [SMALL_STATE(2874)] = 102844,
  [SMALL_STATE(2875)] = 102899,
  [SMALL_STATE(2876)] = 102930,
  [SMALL_STATE(2877)] = 102991,
  [SMALL_STATE(2878)] = 103022,
  [SMALL_STATE(2879)] = 103083,
  [SMALL_STATE(2880)] = 103144,
  [SMALL_STATE(2881)] = 103205,
  [SMALL_STATE(2882)] = 103258,
  [SMALL_STATE(2883)] = 103307,
  [SMALL_STATE(2884)] = 103368,
  [SMALL_STATE(2885)] = 103399,
  [SMALL_STATE(2886)] = 103432,
  [SMALL_STATE(2887)] = 103463,
  [SMALL_STATE(2888)] = 103508,
  [SMALL_STATE(2889)] = 103549,
  [SMALL_STATE(2890)] = 103580,
  [SMALL_STATE(2891)] = 103617,
  [SMALL_STATE(2892)] = 103650,
  [SMALL_STATE(2893)] = 103681,
  [SMALL_STATE(2894)] = 103718,
  [SMALL_STATE(2895)] = 103749,
  [SMALL_STATE(2896)] = 103780,
  [SMALL_STATE(2897)] = 103811,
  [SMALL_STATE(2898)] = 103842,
  [SMALL_STATE(2899)] = 103873,
  [SMALL_STATE(2900)] = 103904,
  [SMALL_STATE(2901)] = 103935,
  [SMALL_STATE(2902)] = 103966,
  [SMALL_STATE(2903)] = 103997,
  [SMALL_STATE(2904)] = 104056,
  [SMALL_STATE(2905)] = 104097,
  [SMALL_STATE(2906)] = 104150,
  [SMALL_STATE(2907)] = 104187,
  [SMALL_STATE(2908)] = 104218,
  [SMALL_STATE(2909)] = 104249,
  [SMALL_STATE(2910)] = 104280,
  [SMALL_STATE(2911)] = 104311,
  [SMALL_STATE(2912)] = 104342,
  [SMALL_STATE(2913)] = 104403,
  [SMALL_STATE(2914)] = 104448,
  [SMALL_STATE(2915)] = 104479,
  [SMALL_STATE(2916)] = 104540,
  [SMALL_STATE(2917)] = 104571,
  [SMALL_STATE(2918)] = 104602,
  [SMALL_STATE(2919)] = 104663,
  [SMALL_STATE(2920)] = 104694,
  [SMALL_STATE(2921)] = 104725,
  [SMALL_STATE(2922)] = 104786,
  [SMALL_STATE(2923)] = 104847,
  [SMALL_STATE(2924)] = 104908,
  [SMALL_STATE(2925)] = 104939,
  [SMALL_STATE(2926)] = 104992,
  [SMALL_STATE(2927)] = 105053,
  [SMALL_STATE(2928)] = 105114,
  [SMALL_STATE(2929)] = 105145,
  [SMALL_STATE(2930)] = 105176,
  [SMALL_STATE(2931)] = 105207,
  [SMALL_STATE(2932)] = 105240,
  [SMALL_STATE(2933)] = 105271,
  [SMALL_STATE(2934)] = 105310,
  [SMALL_STATE(2935)] = 105341,
  [SMALL_STATE(2936)] = 105372,
  [SMALL_STATE(2937)] = 105433,
  [SMALL_STATE(2938)] = 105466,
  [SMALL_STATE(2939)] = 105527,
  [SMALL_STATE(2940)] = 105588,
  [SMALL_STATE(2941)] = 105647,
  [SMALL_STATE(2942)] = 105708,
  [SMALL_STATE(2943)] = 105769,
  [SMALL_STATE(2944)] = 105800,
  [SMALL_STATE(2945)] = 105831,
  [SMALL_STATE(2946)] = 105862,
  [SMALL_STATE(2947)] = 105893,
  [SMALL_STATE(2948)] = 105954,
  [SMALL_STATE(2949)] = 106009,
  [SMALL_STATE(2950)] = 106040,
  [SMALL_STATE(2951)] = 106101,
  [SMALL_STATE(2952)] = 106132,
  [SMALL_STATE(2953)] = 106163,
  [SMALL_STATE(2954)] = 106216,
  [SMALL_STATE(2955)] = 106265,
  [SMALL_STATE(2956)] = 106324,
  [SMALL_STATE(2957)] = 106383,
  [SMALL_STATE(2958)] = 106442,
  [SMALL_STATE(2959)] = 106487,
  [SMALL_STATE(2960)] = 106542,
  [SMALL_STATE(2961)] = 106583,
  [SMALL_STATE(2962)] = 106614,
  [SMALL_STATE(2963)] = 106653,
  [SMALL_STATE(2964)] = 106706,
  [SMALL_STATE(2965)] = 106745,
  [SMALL_STATE(2966)] = 106776,
  [SMALL_STATE(2967)] = 106825,
  [SMALL_STATE(2968)] = 106870,
  [SMALL_STATE(2969)] = 106931,
  [SMALL_STATE(2970)] = 106992,
  [SMALL_STATE(2971)] = 107023,
  [SMALL_STATE(2972)] = 107068,
  [SMALL_STATE(2973)] = 107109,
  [SMALL_STATE(2974)] = 107150,
  [SMALL_STATE(2975)] = 107191,
  [SMALL_STATE(2976)] = 107232,
  [SMALL_STATE(2977)] = 107269,
  [SMALL_STATE(2978)] = 107300,
  [SMALL_STATE(2979)] = 107337,
  [SMALL_STATE(2980)] = 107398,
  [SMALL_STATE(2981)] = 107459,
  [SMALL_STATE(2982)] = 107520,
  [SMALL_STATE(2983)] = 107581,
  [SMALL_STATE(2984)] = 107642,
  [SMALL_STATE(2985)] = 107703,
  [SMALL_STATE(2986)] = 107734,
  [SMALL_STATE(2987)] = 107795,
  [SMALL_STATE(2988)] = 107840,
  [SMALL_STATE(2989)] = 107871,
  [SMALL_STATE(2990)] = 107902,
  [SMALL_STATE(2991)] = 107933,
  [SMALL_STATE(2992)] = 107994,
  [SMALL_STATE(2993)] = 108025,
  [SMALL_STATE(2994)] = 108056,
  [SMALL_STATE(2995)] = 108087,
  [SMALL_STATE(2996)] = 108118,
  [SMALL_STATE(2997)] = 108177,
  [SMALL_STATE(2998)] = 108238,
  [SMALL_STATE(2999)] = 108297,
  [SMALL_STATE(3000)] = 108327,
  [SMALL_STATE(3001)] = 108357,
  [SMALL_STATE(3002)] = 108415,
  [SMALL_STATE(3003)] = 108445,
  [SMALL_STATE(3004)] = 108503,
  [SMALL_STATE(3005)] = 108561,
  [SMALL_STATE(3006)] = 108591,
  [SMALL_STATE(3007)] = 108621,
  [SMALL_STATE(3008)] = 108651,
  [SMALL_STATE(3009)] = 108709,
  [SMALL_STATE(3010)] = 108767,
  [SMALL_STATE(3011)] = 108797,
  [SMALL_STATE(3012)] = 108855,
  [SMALL_STATE(3013)] = 108885,
  [SMALL_STATE(3014)] = 108915,
  [SMALL_STATE(3015)] = 108973,
  [SMALL_STATE(3016)] = 109011,
  [SMALL_STATE(3017)] = 109041,
  [SMALL_STATE(3018)] = 109081,
  [SMALL_STATE(3019)] = 109119,
  [SMALL_STATE(3020)] = 109157,
  [SMALL_STATE(3021)] = 109187,
  [SMALL_STATE(3022)] = 109217,
  [SMALL_STATE(3023)] = 109247,
  [SMALL_STATE(3024)] = 109287,
  [SMALL_STATE(3025)] = 109345,
  [SMALL_STATE(3026)] = 109403,
  [SMALL_STATE(3027)] = 109461,
  [SMALL_STATE(3028)] = 109519,
  [SMALL_STATE(3029)] = 109549,
  [SMALL_STATE(3030)] = 109579,
  [SMALL_STATE(3031)] = 109637,
  [SMALL_STATE(3032)] = 109695,
  [SMALL_STATE(3033)] = 109725,
  [SMALL_STATE(3034)] = 109763,
  [SMALL_STATE(3035)] = 109793,
  [SMALL_STATE(3036)] = 109851,
  [SMALL_STATE(3037)] = 109881,
  [SMALL_STATE(3038)] = 109919,
  [SMALL_STATE(3039)] = 109949,
  [SMALL_STATE(3040)] = 109987,
  [SMALL_STATE(3041)] = 110017,
  [SMALL_STATE(3042)] = 110075,
  [SMALL_STATE(3043)] = 110105,
  [SMALL_STATE(3044)] = 110143,
  [SMALL_STATE(3045)] = 110181,
  [SMALL_STATE(3046)] = 110211,
  [SMALL_STATE(3047)] = 110241,
  [SMALL_STATE(3048)] = 110299,
  [SMALL_STATE(3049)] = 110329,
  [SMALL_STATE(3050)] = 110387,
  [SMALL_STATE(3051)] = 110425,
  [SMALL_STATE(3052)] = 110455,
  [SMALL_STATE(3053)] = 110493,
  [SMALL_STATE(3054)] = 110523,
  [SMALL_STATE(3055)] = 110553,
  [SMALL_STATE(3056)] = 110583,
  [SMALL_STATE(3057)] = 110613,
  [SMALL_STATE(3058)] = 110643,
  [SMALL_STATE(3059)] = 110701,
  [SMALL_STATE(3060)] = 110759,
  [SMALL_STATE(3061)] = 110817,
  [SMALL_STATE(3062)] = 110847,
  [SMALL_STATE(3063)] = 110877,
  [SMALL_STATE(3064)] = 110907,
  [SMALL_STATE(3065)] = 110945,
  [SMALL_STATE(3066)] = 110975,
  [SMALL_STATE(3067)] = 111033,
  [SMALL_STATE(3068)] = 111071,
  [SMALL_STATE(3069)] = 111108,
  [SMALL_STATE(3070)] = 111145,
  [SMALL_STATE(3071)] = 111182,
  [SMALL_STATE(3072)] = 111219,
  [SMALL_STATE(3073)] = 111249,
  [SMALL_STATE(3074)] = 111279,
  [SMALL_STATE(3075)] = 111306,
  [SMALL_STATE(3076)] = 111333,
  [SMALL_STATE(3077)] = 111360,
  [SMALL_STATE(3078)] = 111387,
  [SMALL_STATE(3079)] = 111414,
  [SMALL_STATE(3080)] = 111441,
  [SMALL_STATE(3081)] = 111468,
  [SMALL_STATE(3082)] = 111495,
  [SMALL_STATE(3083)] = 111522,
  [SMALL_STATE(3084)] = 111549,
  [SMALL_STATE(3085)] = 111576,
  [SMALL_STATE(3086)] = 111603,
  [SMALL_STATE(3087)] = 111630,
  [SMALL_STATE(3088)] = 111657,
  [SMALL_STATE(3089)] = 111684,
  [SMALL_STATE(3090)] = 111711,
  [SMALL_STATE(3091)] = 111738,
  [SMALL_STATE(3092)] = 111765,
  [SMALL_STATE(3093)] = 111792,
  [SMALL_STATE(3094)] = 111819,
  [SMALL_STATE(3095)] = 111846,
  [SMALL_STATE(3096)] = 111873,
  [SMALL_STATE(3097)] = 111900,
  [SMALL_STATE(3098)] = 111927,
  [SMALL_STATE(3099)] = 111954,
  [SMALL_STATE(3100)] = 111981,
  [SMALL_STATE(3101)] = 112008,
  [SMALL_STATE(3102)] = 112035,
  [SMALL_STATE(3103)] = 112062,
  [SMALL_STATE(3104)] = 112089,
  [SMALL_STATE(3105)] = 112116,
  [SMALL_STATE(3106)] = 112143,
  [SMALL_STATE(3107)] = 112170,
  [SMALL_STATE(3108)] = 112197,
  [SMALL_STATE(3109)] = 112224,
  [SMALL_STATE(3110)] = 112251,
  [SMALL_STATE(3111)] = 112278,
  [SMALL_STATE(3112)] = 112305,
  [SMALL_STATE(3113)] = 112332,
  [SMALL_STATE(3114)] = 112352,
  [SMALL_STATE(3115)] = 112372,
  [SMALL_STATE(3116)] = 112392,
  [SMALL_STATE(3117)] = 112412,
  [SMALL_STATE(3118)] = 112432,
  [SMALL_STATE(3119)] = 112452,
  [SMALL_STATE(3120)] = 112472,
  [SMALL_STATE(3121)] = 112492,
  [SMALL_STATE(3122)] = 112512,
  [SMALL_STATE(3123)] = 112532,
  [SMALL_STATE(3124)] = 112552,
  [SMALL_STATE(3125)] = 112572,
  [SMALL_STATE(3126)] = 112592,
  [SMALL_STATE(3127)] = 112612,
  [SMALL_STATE(3128)] = 112632,
  [SMALL_STATE(3129)] = 112652,
  [SMALL_STATE(3130)] = 112672,
  [SMALL_STATE(3131)] = 112692,
  [SMALL_STATE(3132)] = 112712,
  [SMALL_STATE(3133)] = 112732,
  [SMALL_STATE(3134)] = 112752,
  [SMALL_STATE(3135)] = 112772,
  [SMALL_STATE(3136)] = 112792,
  [SMALL_STATE(3137)] = 112812,
  [SMALL_STATE(3138)] = 112832,
  [SMALL_STATE(3139)] = 112852,
  [SMALL_STATE(3140)] = 112872,
  [SMALL_STATE(3141)] = 112892,
  [SMALL_STATE(3142)] = 112912,
  [SMALL_STATE(3143)] = 112932,
  [SMALL_STATE(3144)] = 112952,
  [SMALL_STATE(3145)] = 112972,
  [SMALL_STATE(3146)] = 112992,
  [SMALL_STATE(3147)] = 113012,
  [SMALL_STATE(3148)] = 113032,
  [SMALL_STATE(3149)] = 113052,
  [SMALL_STATE(3150)] = 113072,
  [SMALL_STATE(3151)] = 113092,
  [SMALL_STATE(3152)] = 113112,
  [SMALL_STATE(3153)] = 113132,
  [SMALL_STATE(3154)] = 113151,
  [SMALL_STATE(3155)] = 113170,
  [SMALL_STATE(3156)] = 113189,
  [SMALL_STATE(3157)] = 113208,
  [SMALL_STATE(3158)] = 113227,
  [SMALL_STATE(3159)] = 113246,
  [SMALL_STATE(3160)] = 113265,
  [SMALL_STATE(3161)] = 113284,
  [SMALL_STATE(3162)] = 113303,
  [SMALL_STATE(3163)] = 113322,
  [SMALL_STATE(3164)] = 113341,
  [SMALL_STATE(3165)] = 113360,
  [SMALL_STATE(3166)] = 113379,
  [SMALL_STATE(3167)] = 113398,
  [SMALL_STATE(3168)] = 113417,
  [SMALL_STATE(3169)] = 113436,
  [SMALL_STATE(3170)] = 113455,
  [SMALL_STATE(3171)] = 113474,
  [SMALL_STATE(3172)] = 113493,
  [SMALL_STATE(3173)] = 113512,
  [SMALL_STATE(3174)] = 113531,
  [SMALL_STATE(3175)] = 113550,
  [SMALL_STATE(3176)] = 113569,
  [SMALL_STATE(3177)] = 113588,
  [SMALL_STATE(3178)] = 113607,
  [SMALL_STATE(3179)] = 113626,
  [SMALL_STATE(3180)] = 113645,
  [SMALL_STATE(3181)] = 113664,
  [SMALL_STATE(3182)] = 113683,
  [SMALL_STATE(3183)] = 113702,
  [SMALL_STATE(3184)] = 113721,
  [SMALL_STATE(3185)] = 113740,
  [SMALL_STATE(3186)] = 113759,
  [SMALL_STATE(3187)] = 113778,
  [SMALL_STATE(3188)] = 113797,
  [SMALL_STATE(3189)] = 113816,
  [SMALL_STATE(3190)] = 113835,
  [SMALL_STATE(3191)] = 113854,
  [SMALL_STATE(3192)] = 113873,
  [SMALL_STATE(3193)] = 113892,
  [SMALL_STATE(3194)] = 113911,
  [SMALL_STATE(3195)] = 113930,
  [SMALL_STATE(3196)] = 113949,
  [SMALL_STATE(3197)] = 113968,
  [SMALL_STATE(3198)] = 113987,
  [SMALL_STATE(3199)] = 114006,
  [SMALL_STATE(3200)] = 114025,
  [SMALL_STATE(3201)] = 114044,
  [SMALL_STATE(3202)] = 114063,
  [SMALL_STATE(3203)] = 114079,
  [SMALL_STATE(3204)] = 114095,
  [SMALL_STATE(3205)] = 114111,
  [SMALL_STATE(3206)] = 114127,
  [SMALL_STATE(3207)] = 114143,
  [SMALL_STATE(3208)] = 114159,
  [SMALL_STATE(3209)] = 114175,
  [SMALL_STATE(3210)] = 114191,
  [SMALL_STATE(3211)] = 114207,
  [SMALL_STATE(3212)] = 114223,
  [SMALL_STATE(3213)] = 114239,
  [SMALL_STATE(3214)] = 114255,
  [SMALL_STATE(3215)] = 114271,
  [SMALL_STATE(3216)] = 114287,
  [SMALL_STATE(3217)] = 114303,
  [SMALL_STATE(3218)] = 114319,
  [SMALL_STATE(3219)] = 114335,
  [SMALL_STATE(3220)] = 114351,
  [SMALL_STATE(3221)] = 114367,
  [SMALL_STATE(3222)] = 114383,
  [SMALL_STATE(3223)] = 114398,
  [SMALL_STATE(3224)] = 114413,
  [SMALL_STATE(3225)] = 114428,
  [SMALL_STATE(3226)] = 114443,
  [SMALL_STATE(3227)] = 114458,
  [SMALL_STATE(3228)] = 114473,
  [SMALL_STATE(3229)] = 114488,
  [SMALL_STATE(3230)] = 114503,
  [SMALL_STATE(3231)] = 114518,
  [SMALL_STATE(3232)] = 114531,
  [SMALL_STATE(3233)] = 114546,
  [SMALL_STATE(3234)] = 114561,
  [SMALL_STATE(3235)] = 114574,
  [SMALL_STATE(3236)] = 114587,
  [SMALL_STATE(3237)] = 114602,
  [SMALL_STATE(3238)] = 114613,
  [SMALL_STATE(3239)] = 114628,
  [SMALL_STATE(3240)] = 114643,
  [SMALL_STATE(3241)] = 114658,
  [SMALL_STATE(3242)] = 114673,
  [SMALL_STATE(3243)] = 114688,
  [SMALL_STATE(3244)] = 114701,
  [SMALL_STATE(3245)] = 114716,
  [SMALL_STATE(3246)] = 114731,
  [SMALL_STATE(3247)] = 114742,
  [SMALL_STATE(3248)] = 114755,
  [SMALL_STATE(3249)] = 114768,
  [SMALL_STATE(3250)] = 114783,
  [SMALL_STATE(3251)] = 114798,
  [SMALL_STATE(3252)] = 114813,
  [SMALL_STATE(3253)] = 114826,
  [SMALL_STATE(3254)] = 114841,
  [SMALL_STATE(3255)] = 114856,
  [SMALL_STATE(3256)] = 114867,
  [SMALL_STATE(3257)] = 114882,
  [SMALL_STATE(3258)] = 114895,
  [SMALL_STATE(3259)] = 114910,
  [SMALL_STATE(3260)] = 114925,
  [SMALL_STATE(3261)] = 114940,
  [SMALL_STATE(3262)] = 114952,
  [SMALL_STATE(3263)] = 114964,
  [SMALL_STATE(3264)] = 114976,
  [SMALL_STATE(3265)] = 114988,
  [SMALL_STATE(3266)] = 115000,
  [SMALL_STATE(3267)] = 115012,
  [SMALL_STATE(3268)] = 115024,
  [SMALL_STATE(3269)] = 115036,
  [SMALL_STATE(3270)] = 115048,
  [SMALL_STATE(3271)] = 115060,
  [SMALL_STATE(3272)] = 115072,
  [SMALL_STATE(3273)] = 115084,
  [SMALL_STATE(3274)] = 115096,
  [SMALL_STATE(3275)] = 115108,
  [SMALL_STATE(3276)] = 115120,
  [SMALL_STATE(3277)] = 115132,
  [SMALL_STATE(3278)] = 115144,
  [SMALL_STATE(3279)] = 115156,
  [SMALL_STATE(3280)] = 115168,
  [SMALL_STATE(3281)] = 115180,
  [SMALL_STATE(3282)] = 115192,
  [SMALL_STATE(3283)] = 115204,
  [SMALL_STATE(3284)] = 115216,
  [SMALL_STATE(3285)] = 115228,
  [SMALL_STATE(3286)] = 115240,
  [SMALL_STATE(3287)] = 115252,
  [SMALL_STATE(3288)] = 115264,
  [SMALL_STATE(3289)] = 115276,
  [SMALL_STATE(3290)] = 115288,
  [SMALL_STATE(3291)] = 115300,
  [SMALL_STATE(3292)] = 115312,
  [SMALL_STATE(3293)] = 115324,
  [SMALL_STATE(3294)] = 115336,
  [SMALL_STATE(3295)] = 115348,
  [SMALL_STATE(3296)] = 115360,
  [SMALL_STATE(3297)] = 115372,
  [SMALL_STATE(3298)] = 115384,
  [SMALL_STATE(3299)] = 115396,
  [SMALL_STATE(3300)] = 115408,
  [SMALL_STATE(3301)] = 115420,
  [SMALL_STATE(3302)] = 115432,
  [SMALL_STATE(3303)] = 115444,
  [SMALL_STATE(3304)] = 115456,
  [SMALL_STATE(3305)] = 115468,
  [SMALL_STATE(3306)] = 115480,
  [SMALL_STATE(3307)] = 115492,
  [SMALL_STATE(3308)] = 115504,
  [SMALL_STATE(3309)] = 115516,
  [SMALL_STATE(3310)] = 115528,
  [SMALL_STATE(3311)] = 115540,
  [SMALL_STATE(3312)] = 115552,
  [SMALL_STATE(3313)] = 115564,
  [SMALL_STATE(3314)] = 115576,
  [SMALL_STATE(3315)] = 115588,
  [SMALL_STATE(3316)] = 115600,
  [SMALL_STATE(3317)] = 115612,
  [SMALL_STATE(3318)] = 115624,
  [SMALL_STATE(3319)] = 115636,
  [SMALL_STATE(3320)] = 115648,
  [SMALL_STATE(3321)] = 115660,
  [SMALL_STATE(3322)] = 115672,
  [SMALL_STATE(3323)] = 115684,
  [SMALL_STATE(3324)] = 115696,
  [SMALL_STATE(3325)] = 115708,
  [SMALL_STATE(3326)] = 115720,
  [SMALL_STATE(3327)] = 115732,
  [SMALL_STATE(3328)] = 115744,
  [SMALL_STATE(3329)] = 115756,
  [SMALL_STATE(3330)] = 115768,
  [SMALL_STATE(3331)] = 115780,
  [SMALL_STATE(3332)] = 115792,
  [SMALL_STATE(3333)] = 115804,
  [SMALL_STATE(3334)] = 115816,
  [SMALL_STATE(3335)] = 115828,
  [SMALL_STATE(3336)] = 115840,
  [SMALL_STATE(3337)] = 115852,
  [SMALL_STATE(3338)] = 115864,
  [SMALL_STATE(3339)] = 115876,
  [SMALL_STATE(3340)] = 115888,
  [SMALL_STATE(3341)] = 115900,
  [SMALL_STATE(3342)] = 115912,
  [SMALL_STATE(3343)] = 115924,
  [SMALL_STATE(3344)] = 115936,
  [SMALL_STATE(3345)] = 115948,
  [SMALL_STATE(3346)] = 115960,
  [SMALL_STATE(3347)] = 115972,
  [SMALL_STATE(3348)] = 115984,
  [SMALL_STATE(3349)] = 115996,
  [SMALL_STATE(3350)] = 116008,
  [SMALL_STATE(3351)] = 116020,
  [SMALL_STATE(3352)] = 116032,
  [SMALL_STATE(3353)] = 116044,
  [SMALL_STATE(3354)] = 116056,
  [SMALL_STATE(3355)] = 116068,
  [SMALL_STATE(3356)] = 116080,
  [SMALL_STATE(3357)] = 116092,
  [SMALL_STATE(3358)] = 116104,
  [SMALL_STATE(3359)] = 116116,
  [SMALL_STATE(3360)] = 116128,
  [SMALL_STATE(3361)] = 116140,
  [SMALL_STATE(3362)] = 116152,
  [SMALL_STATE(3363)] = 116164,
  [SMALL_STATE(3364)] = 116176,
  [SMALL_STATE(3365)] = 116188,
  [SMALL_STATE(3366)] = 116200,
  [SMALL_STATE(3367)] = 116212,
  [SMALL_STATE(3368)] = 116222,
  [SMALL_STATE(3369)] = 116234,
  [SMALL_STATE(3370)] = 116246,
  [SMALL_STATE(3371)] = 116258,
  [SMALL_STATE(3372)] = 116270,
  [SMALL_STATE(3373)] = 116282,
  [SMALL_STATE(3374)] = 116294,
  [SMALL_STATE(3375)] = 116306,
  [SMALL_STATE(3376)] = 116318,
  [SMALL_STATE(3377)] = 116330,
  [SMALL_STATE(3378)] = 116342,
  [SMALL_STATE(3379)] = 116354,
  [SMALL_STATE(3380)] = 116366,
  [SMALL_STATE(3381)] = 116378,
  [SMALL_STATE(3382)] = 116390,
  [SMALL_STATE(3383)] = 116402,
  [SMALL_STATE(3384)] = 116414,
  [SMALL_STATE(3385)] = 116426,
  [SMALL_STATE(3386)] = 116435,
  [SMALL_STATE(3387)] = 116444,
  [SMALL_STATE(3388)] = 116453,
  [SMALL_STATE(3389)] = 116462,
  [SMALL_STATE(3390)] = 116471,
  [SMALL_STATE(3391)] = 116480,
  [SMALL_STATE(3392)] = 116489,
  [SMALL_STATE(3393)] = 116498,
  [SMALL_STATE(3394)] = 116507,
  [SMALL_STATE(3395)] = 116516,
  [SMALL_STATE(3396)] = 116525,
  [SMALL_STATE(3397)] = 116534,
  [SMALL_STATE(3398)] = 116543,
  [SMALL_STATE(3399)] = 116552,
  [SMALL_STATE(3400)] = 116561,
  [SMALL_STATE(3401)] = 116570,
  [SMALL_STATE(3402)] = 116579,
  [SMALL_STATE(3403)] = 116588,
  [SMALL_STATE(3404)] = 116597,
  [SMALL_STATE(3405)] = 116606,
  [SMALL_STATE(3406)] = 116615,
  [SMALL_STATE(3407)] = 116624,
  [SMALL_STATE(3408)] = 116633,
  [SMALL_STATE(3409)] = 116642,
  [SMALL_STATE(3410)] = 116651,
  [SMALL_STATE(3411)] = 116660,
  [SMALL_STATE(3412)] = 116669,
  [SMALL_STATE(3413)] = 116678,
  [SMALL_STATE(3414)] = 116687,
  [SMALL_STATE(3415)] = 116696,
  [SMALL_STATE(3416)] = 116705,
  [SMALL_STATE(3417)] = 116714,
  [SMALL_STATE(3418)] = 116723,
  [SMALL_STATE(3419)] = 116734,
  [SMALL_STATE(3420)] = 116743,
  [SMALL_STATE(3421)] = 116752,
  [SMALL_STATE(3422)] = 116761,
  [SMALL_STATE(3423)] = 116770,
  [SMALL_STATE(3424)] = 116779,
  [SMALL_STATE(3425)] = 116788,
  [SMALL_STATE(3426)] = 116797,
  [SMALL_STATE(3427)] = 116806,
  [SMALL_STATE(3428)] = 116815,
  [SMALL_STATE(3429)] = 116824,
  [SMALL_STATE(3430)] = 116833,
  [SMALL_STATE(3431)] = 116842,
  [SMALL_STATE(3432)] = 116851,
  [SMALL_STATE(3433)] = 116860,
  [SMALL_STATE(3434)] = 116869,
  [SMALL_STATE(3435)] = 116878,
  [SMALL_STATE(3436)] = 116887,
  [SMALL_STATE(3437)] = 116896,
  [SMALL_STATE(3438)] = 116905,
  [SMALL_STATE(3439)] = 116914,
  [SMALL_STATE(3440)] = 116923,
  [SMALL_STATE(3441)] = 116932,
  [SMALL_STATE(3442)] = 116941,
  [SMALL_STATE(3443)] = 116950,
  [SMALL_STATE(3444)] = 116959,
  [SMALL_STATE(3445)] = 116968,
  [SMALL_STATE(3446)] = 116977,
  [SMALL_STATE(3447)] = 116986,
  [SMALL_STATE(3448)] = 116995,
  [SMALL_STATE(3449)] = 117004,
  [SMALL_STATE(3450)] = 117013,
  [SMALL_STATE(3451)] = 117022,
  [SMALL_STATE(3452)] = 117031,
  [SMALL_STATE(3453)] = 117040,
  [SMALL_STATE(3454)] = 117049,
  [SMALL_STATE(3455)] = 117058,
  [SMALL_STATE(3456)] = 117067,
  [SMALL_STATE(3457)] = 117076,
  [SMALL_STATE(3458)] = 117085,
  [SMALL_STATE(3459)] = 117094,
  [SMALL_STATE(3460)] = 117103,
  [SMALL_STATE(3461)] = 117112,
  [SMALL_STATE(3462)] = 117121,
  [SMALL_STATE(3463)] = 117130,
  [SMALL_STATE(3464)] = 117139,
  [SMALL_STATE(3465)] = 117148,
  [SMALL_STATE(3466)] = 117157,
  [SMALL_STATE(3467)] = 117166,
  [SMALL_STATE(3468)] = 117175,
  [SMALL_STATE(3469)] = 117184,
  [SMALL_STATE(3470)] = 117193,
  [SMALL_STATE(3471)] = 117202,
  [SMALL_STATE(3472)] = 117211,
  [SMALL_STATE(3473)] = 117220,
  [SMALL_STATE(3474)] = 117229,
  [SMALL_STATE(3475)] = 117238,
  [SMALL_STATE(3476)] = 117247,
  [SMALL_STATE(3477)] = 117256,
  [SMALL_STATE(3478)] = 117265,
  [SMALL_STATE(3479)] = 117274,
  [SMALL_STATE(3480)] = 117283,
  [SMALL_STATE(3481)] = 117292,
  [SMALL_STATE(3482)] = 117301,
  [SMALL_STATE(3483)] = 117310,
  [SMALL_STATE(3484)] = 117319,
  [SMALL_STATE(3485)] = 117328,
  [SMALL_STATE(3486)] = 117337,
  [SMALL_STATE(3487)] = 117346,
  [SMALL_STATE(3488)] = 117355,
  [SMALL_STATE(3489)] = 117364,
  [SMALL_STATE(3490)] = 117373,
  [SMALL_STATE(3491)] = 117382,
  [SMALL_STATE(3492)] = 117391,
  [SMALL_STATE(3493)] = 117400,
  [SMALL_STATE(3494)] = 117409,
  [SMALL_STATE(3495)] = 117418,
  [SMALL_STATE(3496)] = 117427,
  [SMALL_STATE(3497)] = 117436,
  [SMALL_STATE(3498)] = 117445,
  [SMALL_STATE(3499)] = 117454,
  [SMALL_STATE(3500)] = 117463,
  [SMALL_STATE(3501)] = 117472,
  [SMALL_STATE(3502)] = 117481,
  [SMALL_STATE(3503)] = 117490,
  [SMALL_STATE(3504)] = 117499,
  [SMALL_STATE(3505)] = 117508,
  [SMALL_STATE(3506)] = 117517,
  [SMALL_STATE(3507)] = 117526,
  [SMALL_STATE(3508)] = 117535,
  [SMALL_STATE(3509)] = 117544,
  [SMALL_STATE(3510)] = 117553,
  [SMALL_STATE(3511)] = 117562,
  [SMALL_STATE(3512)] = 117571,
  [SMALL_STATE(3513)] = 117580,
  [SMALL_STATE(3514)] = 117589,
  [SMALL_STATE(3515)] = 117598,
  [SMALL_STATE(3516)] = 117607,
  [SMALL_STATE(3517)] = 117616,
  [SMALL_STATE(3518)] = 117625,
  [SMALL_STATE(3519)] = 117634,
  [SMALL_STATE(3520)] = 117643,
  [SMALL_STATE(3521)] = 117652,
  [SMALL_STATE(3522)] = 117661,
  [SMALL_STATE(3523)] = 117670,
  [SMALL_STATE(3524)] = 117679,
  [SMALL_STATE(3525)] = 117688,
  [SMALL_STATE(3526)] = 117697,
  [SMALL_STATE(3527)] = 117706,
  [SMALL_STATE(3528)] = 117715,
  [SMALL_STATE(3529)] = 117724,
  [SMALL_STATE(3530)] = 117733,
  [SMALL_STATE(3531)] = 117742,
  [SMALL_STATE(3532)] = 117751,
  [SMALL_STATE(3533)] = 117762,
  [SMALL_STATE(3534)] = 117771,
  [SMALL_STATE(3535)] = 117780,
  [SMALL_STATE(3536)] = 117789,
  [SMALL_STATE(3537)] = 117798,
  [SMALL_STATE(3538)] = 117807,
  [SMALL_STATE(3539)] = 117816,
  [SMALL_STATE(3540)] = 117825,
  [SMALL_STATE(3541)] = 117834,
  [SMALL_STATE(3542)] = 117843,
  [SMALL_STATE(3543)] = 117852,
  [SMALL_STATE(3544)] = 117861,
  [SMALL_STATE(3545)] = 117870,
  [SMALL_STATE(3546)] = 117879,
  [SMALL_STATE(3547)] = 117888,
  [SMALL_STATE(3548)] = 117897,
  [SMALL_STATE(3549)] = 117906,
  [SMALL_STATE(3550)] = 117915,
  [SMALL_STATE(3551)] = 117924,
  [SMALL_STATE(3552)] = 117933,
  [SMALL_STATE(3553)] = 117942,
  [SMALL_STATE(3554)] = 117951,
  [SMALL_STATE(3555)] = 117960,
  [SMALL_STATE(3556)] = 117969,
  [SMALL_STATE(3557)] = 117978,
  [SMALL_STATE(3558)] = 117987,
  [SMALL_STATE(3559)] = 117996,
  [SMALL_STATE(3560)] = 118005,
  [SMALL_STATE(3561)] = 118014,
  [SMALL_STATE(3562)] = 118023,
  [SMALL_STATE(3563)] = 118032,
  [SMALL_STATE(3564)] = 118041,
  [SMALL_STATE(3565)] = 118050,
  [SMALL_STATE(3566)] = 118059,
  [SMALL_STATE(3567)] = 118068,
  [SMALL_STATE(3568)] = 118077,
  [SMALL_STATE(3569)] = 118086,
  [SMALL_STATE(3570)] = 118095,
  [SMALL_STATE(3571)] = 118104,
  [SMALL_STATE(3572)] = 118113,
  [SMALL_STATE(3573)] = 118122,
  [SMALL_STATE(3574)] = 118131,
  [SMALL_STATE(3575)] = 118140,
  [SMALL_STATE(3576)] = 118149,
  [SMALL_STATE(3577)] = 118158,
  [SMALL_STATE(3578)] = 118167,
  [SMALL_STATE(3579)] = 118176,
  [SMALL_STATE(3580)] = 118185,
  [SMALL_STATE(3581)] = 118194,
  [SMALL_STATE(3582)] = 118203,
  [SMALL_STATE(3583)] = 118212,
  [SMALL_STATE(3584)] = 118221,
  [SMALL_STATE(3585)] = 118230,
  [SMALL_STATE(3586)] = 118239,
  [SMALL_STATE(3587)] = 118248,
  [SMALL_STATE(3588)] = 118257,
  [SMALL_STATE(3589)] = 118266,
  [SMALL_STATE(3590)] = 118275,
  [SMALL_STATE(3591)] = 118284,
  [SMALL_STATE(3592)] = 118293,
  [SMALL_STATE(3593)] = 118302,
  [SMALL_STATE(3594)] = 118311,
  [SMALL_STATE(3595)] = 118320,
  [SMALL_STATE(3596)] = 118329,
  [SMALL_STATE(3597)] = 118338,
  [SMALL_STATE(3598)] = 118347,
  [SMALL_STATE(3599)] = 118356,
  [SMALL_STATE(3600)] = 118365,
  [SMALL_STATE(3601)] = 118374,
  [SMALL_STATE(3602)] = 118383,
  [SMALL_STATE(3603)] = 118392,
  [SMALL_STATE(3604)] = 118401,
  [SMALL_STATE(3605)] = 118410,
  [SMALL_STATE(3606)] = 118419,
  [SMALL_STATE(3607)] = 118428,
  [SMALL_STATE(3608)] = 118437,
  [SMALL_STATE(3609)] = 118446,
  [SMALL_STATE(3610)] = 118455,
  [SMALL_STATE(3611)] = 118464,
  [SMALL_STATE(3612)] = 118473,
  [SMALL_STATE(3613)] = 118482,
  [SMALL_STATE(3614)] = 118491,
  [SMALL_STATE(3615)] = 118500,
  [SMALL_STATE(3616)] = 118509,
  [SMALL_STATE(3617)] = 118518,
  [SMALL_STATE(3618)] = 118527,
  [SMALL_STATE(3619)] = 118536,
  [SMALL_STATE(3620)] = 118545,
  [SMALL_STATE(3621)] = 118554,
  [SMALL_STATE(3622)] = 118563,
  [SMALL_STATE(3623)] = 118572,
  [SMALL_STATE(3624)] = 118581,
  [SMALL_STATE(3625)] = 118590,
  [SMALL_STATE(3626)] = 118599,
  [SMALL_STATE(3627)] = 118608,
  [SMALL_STATE(3628)] = 118617,
  [SMALL_STATE(3629)] = 118626,
  [SMALL_STATE(3630)] = 118635,
  [SMALL_STATE(3631)] = 118644,
  [SMALL_STATE(3632)] = 118653,
  [SMALL_STATE(3633)] = 118662,
  [SMALL_STATE(3634)] = 118671,
  [SMALL_STATE(3635)] = 118680,
  [SMALL_STATE(3636)] = 118689,
  [SMALL_STATE(3637)] = 118698,
  [SMALL_STATE(3638)] = 118707,
  [SMALL_STATE(3639)] = 118716,
  [SMALL_STATE(3640)] = 118725,
  [SMALL_STATE(3641)] = 118734,
  [SMALL_STATE(3642)] = 118743,
  [SMALL_STATE(3643)] = 118752,
  [SMALL_STATE(3644)] = 118761,
  [SMALL_STATE(3645)] = 118770,
  [SMALL_STATE(3646)] = 118779,
  [SMALL_STATE(3647)] = 118788,
  [SMALL_STATE(3648)] = 118797,
  [SMALL_STATE(3649)] = 118806,
  [SMALL_STATE(3650)] = 118815,
  [SMALL_STATE(3651)] = 118824,
  [SMALL_STATE(3652)] = 118833,
  [SMALL_STATE(3653)] = 118842,
  [SMALL_STATE(3654)] = 118851,
  [SMALL_STATE(3655)] = 118860,
  [SMALL_STATE(3656)] = 118869,
  [SMALL_STATE(3657)] = 118878,
  [SMALL_STATE(3658)] = 118887,
  [SMALL_STATE(3659)] = 118896,
  [SMALL_STATE(3660)] = 118905,
  [SMALL_STATE(3661)] = 118914,
  [SMALL_STATE(3662)] = 118923,
  [SMALL_STATE(3663)] = 118932,
  [SMALL_STATE(3664)] = 118941,
  [SMALL_STATE(3665)] = 118950,
  [SMALL_STATE(3666)] = 118959,
  [SMALL_STATE(3667)] = 118968,
  [SMALL_STATE(3668)] = 118977,
  [SMALL_STATE(3669)] = 118986,
  [SMALL_STATE(3670)] = 118995,
  [SMALL_STATE(3671)] = 119004,
  [SMALL_STATE(3672)] = 119013,
  [SMALL_STATE(3673)] = 119022,
  [SMALL_STATE(3674)] = 119031,
  [SMALL_STATE(3675)] = 119040,
  [SMALL_STATE(3676)] = 119049,
  [SMALL_STATE(3677)] = 119058,
  [SMALL_STATE(3678)] = 119067,
  [SMALL_STATE(3679)] = 119076,
  [SMALL_STATE(3680)] = 119085,
  [SMALL_STATE(3681)] = 119094,
  [SMALL_STATE(3682)] = 119103,
  [SMALL_STATE(3683)] = 119112,
  [SMALL_STATE(3684)] = 119121,
  [SMALL_STATE(3685)] = 119130,
  [SMALL_STATE(3686)] = 119139,
  [SMALL_STATE(3687)] = 119148,
  [SMALL_STATE(3688)] = 119157,
  [SMALL_STATE(3689)] = 119166,
  [SMALL_STATE(3690)] = 119175,
  [SMALL_STATE(3691)] = 119184,
  [SMALL_STATE(3692)] = 119193,
  [SMALL_STATE(3693)] = 119202,
  [SMALL_STATE(3694)] = 119211,
  [SMALL_STATE(3695)] = 119220,
  [SMALL_STATE(3696)] = 119229,
  [SMALL_STATE(3697)] = 119238,
  [SMALL_STATE(3698)] = 119247,
  [SMALL_STATE(3699)] = 119256,
  [SMALL_STATE(3700)] = 119265,
  [SMALL_STATE(3701)] = 119274,
  [SMALL_STATE(3702)] = 119283,
  [SMALL_STATE(3703)] = 119292,
  [SMALL_STATE(3704)] = 119301,
  [SMALL_STATE(3705)] = 119310,
  [SMALL_STATE(3706)] = 119319,
  [SMALL_STATE(3707)] = 119328,
  [SMALL_STATE(3708)] = 119337,
  [SMALL_STATE(3709)] = 119346,
  [SMALL_STATE(3710)] = 119355,
  [SMALL_STATE(3711)] = 119364,
  [SMALL_STATE(3712)] = 119373,
  [SMALL_STATE(3713)] = 119382,
  [SMALL_STATE(3714)] = 119391,
  [SMALL_STATE(3715)] = 119400,
  [SMALL_STATE(3716)] = 119409,
  [SMALL_STATE(3717)] = 119418,
  [SMALL_STATE(3718)] = 119427,
  [SMALL_STATE(3719)] = 119436,
  [SMALL_STATE(3720)] = 119445,
  [SMALL_STATE(3721)] = 119454,
  [SMALL_STATE(3722)] = 119463,
  [SMALL_STATE(3723)] = 119472,
  [SMALL_STATE(3724)] = 119481,
  [SMALL_STATE(3725)] = 119490,
  [SMALL_STATE(3726)] = 119499,
  [SMALL_STATE(3727)] = 119508,
  [SMALL_STATE(3728)] = 119517,
  [SMALL_STATE(3729)] = 119526,
  [SMALL_STATE(3730)] = 119535,
  [SMALL_STATE(3731)] = 119544,
  [SMALL_STATE(3732)] = 119553,
  [SMALL_STATE(3733)] = 119562,
  [SMALL_STATE(3734)] = 119571,
  [SMALL_STATE(3735)] = 119580,
  [SMALL_STATE(3736)] = 119589,
  [SMALL_STATE(3737)] = 119598,
  [SMALL_STATE(3738)] = 119607,
  [SMALL_STATE(3739)] = 119616,
  [SMALL_STATE(3740)] = 119625,
  [SMALL_STATE(3741)] = 119634,
  [SMALL_STATE(3742)] = 119643,
  [SMALL_STATE(3743)] = 119652,
  [SMALL_STATE(3744)] = 119661,
  [SMALL_STATE(3745)] = 119670,
  [SMALL_STATE(3746)] = 119679,
  [SMALL_STATE(3747)] = 119688,
  [SMALL_STATE(3748)] = 119697,
  [SMALL_STATE(3749)] = 119706,
  [SMALL_STATE(3750)] = 119715,
  [SMALL_STATE(3751)] = 119724,
  [SMALL_STATE(3752)] = 119733,
  [SMALL_STATE(3753)] = 119742,
  [SMALL_STATE(3754)] = 119751,
  [SMALL_STATE(3755)] = 119760,
  [SMALL_STATE(3756)] = 119769,
  [SMALL_STATE(3757)] = 119778,
  [SMALL_STATE(3758)] = 119787,
  [SMALL_STATE(3759)] = 119796,
  [SMALL_STATE(3760)] = 119805,
  [SMALL_STATE(3761)] = 119814,
  [SMALL_STATE(3762)] = 119823,
  [SMALL_STATE(3763)] = 119832,
  [SMALL_STATE(3764)] = 119841,
  [SMALL_STATE(3765)] = 119850,
  [SMALL_STATE(3766)] = 119859,
  [SMALL_STATE(3767)] = 119868,
  [SMALL_STATE(3768)] = 119877,
  [SMALL_STATE(3769)] = 119886,
  [SMALL_STATE(3770)] = 119895,
  [SMALL_STATE(3771)] = 119904,
  [SMALL_STATE(3772)] = 119913,
  [SMALL_STATE(3773)] = 119922,
  [SMALL_STATE(3774)] = 119931,
  [SMALL_STATE(3775)] = 119940,
  [SMALL_STATE(3776)] = 119949,
  [SMALL_STATE(3777)] = 119958,
  [SMALL_STATE(3778)] = 119967,
  [SMALL_STATE(3779)] = 119976,
  [SMALL_STATE(3780)] = 119985,
  [SMALL_STATE(3781)] = 119994,
  [SMALL_STATE(3782)] = 120003,
  [SMALL_STATE(3783)] = 120012,
  [SMALL_STATE(3784)] = 120021,
  [SMALL_STATE(3785)] = 120030,
  [SMALL_STATE(3786)] = 120039,
  [SMALL_STATE(3787)] = 120048,
  [SMALL_STATE(3788)] = 120057,
  [SMALL_STATE(3789)] = 120066,
  [SMALL_STATE(3790)] = 120075,
  [SMALL_STATE(3791)] = 120084,
  [SMALL_STATE(3792)] = 120093,
  [SMALL_STATE(3793)] = 120102,
  [SMALL_STATE(3794)] = 120111,
  [SMALL_STATE(3795)] = 120120,
  [SMALL_STATE(3796)] = 120129,
  [SMALL_STATE(3797)] = 120138,
  [SMALL_STATE(3798)] = 120147,
  [SMALL_STATE(3799)] = 120156,
  [SMALL_STATE(3800)] = 120165,
  [SMALL_STATE(3801)] = 120174,
  [SMALL_STATE(3802)] = 120183,
  [SMALL_STATE(3803)] = 120192,
  [SMALL_STATE(3804)] = 120201,
  [SMALL_STATE(3805)] = 120210,
  [SMALL_STATE(3806)] = 120219,
  [SMALL_STATE(3807)] = 120228,
  [SMALL_STATE(3808)] = 120237,
  [SMALL_STATE(3809)] = 120246,
  [SMALL_STATE(3810)] = 120255,
  [SMALL_STATE(3811)] = 120264,
  [SMALL_STATE(3812)] = 120273,
  [SMALL_STATE(3813)] = 120282,
  [SMALL_STATE(3814)] = 120291,
  [SMALL_STATE(3815)] = 120300,
  [SMALL_STATE(3816)] = 120309,
  [SMALL_STATE(3817)] = 120318,
  [SMALL_STATE(3818)] = 120327,
  [SMALL_STATE(3819)] = 120336,
  [SMALL_STATE(3820)] = 120345,
  [SMALL_STATE(3821)] = 120354,
  [SMALL_STATE(3822)] = 120363,
  [SMALL_STATE(3823)] = 120372,
  [SMALL_STATE(3824)] = 120381,
  [SMALL_STATE(3825)] = 120390,
  [SMALL_STATE(3826)] = 120399,
  [SMALL_STATE(3827)] = 120408,
  [SMALL_STATE(3828)] = 120417,
  [SMALL_STATE(3829)] = 120426,
  [SMALL_STATE(3830)] = 120435,
  [SMALL_STATE(3831)] = 120444,
  [SMALL_STATE(3832)] = 120453,
  [SMALL_STATE(3833)] = 120462,
  [SMALL_STATE(3834)] = 120471,
  [SMALL_STATE(3835)] = 120480,
  [SMALL_STATE(3836)] = 120489,
  [SMALL_STATE(3837)] = 120498,
  [SMALL_STATE(3838)] = 120507,
  [SMALL_STATE(3839)] = 120516,
  [SMALL_STATE(3840)] = 120525,
  [SMALL_STATE(3841)] = 120534,
  [SMALL_STATE(3842)] = 120543,
  [SMALL_STATE(3843)] = 120552,
  [SMALL_STATE(3844)] = 120561,
  [SMALL_STATE(3845)] = 120570,
  [SMALL_STATE(3846)] = 120579,
  [SMALL_STATE(3847)] = 120588,
  [SMALL_STATE(3848)] = 120597,
  [SMALL_STATE(3849)] = 120606,
  [SMALL_STATE(3850)] = 120615,
  [SMALL_STATE(3851)] = 120624,
  [SMALL_STATE(3852)] = 120633,
  [SMALL_STATE(3853)] = 120642,
  [SMALL_STATE(3854)] = 120651,
  [SMALL_STATE(3855)] = 120660,
  [SMALL_STATE(3856)] = 120669,
  [SMALL_STATE(3857)] = 120678,
  [SMALL_STATE(3858)] = 120687,
  [SMALL_STATE(3859)] = 120696,
  [SMALL_STATE(3860)] = 120705,
  [SMALL_STATE(3861)] = 120714,
  [SMALL_STATE(3862)] = 120723,
  [SMALL_STATE(3863)] = 120732,
  [SMALL_STATE(3864)] = 120741,
  [SMALL_STATE(3865)] = 120750,
  [SMALL_STATE(3866)] = 120759,
  [SMALL_STATE(3867)] = 120768,
  [SMALL_STATE(3868)] = 120777,
  [SMALL_STATE(3869)] = 120786,
  [SMALL_STATE(3870)] = 120795,
  [SMALL_STATE(3871)] = 120804,
  [SMALL_STATE(3872)] = 120813,
  [SMALL_STATE(3873)] = 120822,
  [SMALL_STATE(3874)] = 120831,
  [SMALL_STATE(3875)] = 120840,
  [SMALL_STATE(3876)] = 120849,
  [SMALL_STATE(3877)] = 120858,
  [SMALL_STATE(3878)] = 120867,
  [SMALL_STATE(3879)] = 120876,
  [SMALL_STATE(3880)] = 120885,
  [SMALL_STATE(3881)] = 120894,
  [SMALL_STATE(3882)] = 120903,
  [SMALL_STATE(3883)] = 120912,
  [SMALL_STATE(3884)] = 120921,
  [SMALL_STATE(3885)] = 120930,
  [SMALL_STATE(3886)] = 120939,
  [SMALL_STATE(3887)] = 120948,
  [SMALL_STATE(3888)] = 120957,
  [SMALL_STATE(3889)] = 120966,
  [SMALL_STATE(3890)] = 120975,
  [SMALL_STATE(3891)] = 120984,
  [SMALL_STATE(3892)] = 120993,
  [SMALL_STATE(3893)] = 121002,
  [SMALL_STATE(3894)] = 121011,
  [SMALL_STATE(3895)] = 121020,
  [SMALL_STATE(3896)] = 121029,
  [SMALL_STATE(3897)] = 121038,
  [SMALL_STATE(3898)] = 121047,
  [SMALL_STATE(3899)] = 121056,
  [SMALL_STATE(3900)] = 121065,
  [SMALL_STATE(3901)] = 121074,
  [SMALL_STATE(3902)] = 121083,
  [SMALL_STATE(3903)] = 121092,
  [SMALL_STATE(3904)] = 121101,
  [SMALL_STATE(3905)] = 121110,
  [SMALL_STATE(3906)] = 121119,
  [SMALL_STATE(3907)] = 121128,
  [SMALL_STATE(3908)] = 121137,
  [SMALL_STATE(3909)] = 121146,
  [SMALL_STATE(3910)] = 121155,
  [SMALL_STATE(3911)] = 121164,
  [SMALL_STATE(3912)] = 121173,
  [SMALL_STATE(3913)] = 121182,
  [SMALL_STATE(3914)] = 121191,
  [SMALL_STATE(3915)] = 121200,
  [SMALL_STATE(3916)] = 121209,
  [SMALL_STATE(3917)] = 121218,
  [SMALL_STATE(3918)] = 121227,
  [SMALL_STATE(3919)] = 121236,
  [SMALL_STATE(3920)] = 121245,
  [SMALL_STATE(3921)] = 121254,
  [SMALL_STATE(3922)] = 121263,
  [SMALL_STATE(3923)] = 121272,
  [SMALL_STATE(3924)] = 121281,
  [SMALL_STATE(3925)] = 121290,
  [SMALL_STATE(3926)] = 121299,
  [SMALL_STATE(3927)] = 121308,
  [SMALL_STATE(3928)] = 121317,
  [SMALL_STATE(3929)] = 121326,
  [SMALL_STATE(3930)] = 121335,
  [SMALL_STATE(3931)] = 121344,
  [SMALL_STATE(3932)] = 121353,
  [SMALL_STATE(3933)] = 121362,
  [SMALL_STATE(3934)] = 121371,
  [SMALL_STATE(3935)] = 121380,
  [SMALL_STATE(3936)] = 121389,
  [SMALL_STATE(3937)] = 121398,
  [SMALL_STATE(3938)] = 121407,
  [SMALL_STATE(3939)] = 121416,
  [SMALL_STATE(3940)] = 121425,
  [SMALL_STATE(3941)] = 121434,
  [SMALL_STATE(3942)] = 121443,
  [SMALL_STATE(3943)] = 121452,
  [SMALL_STATE(3944)] = 121461,
  [SMALL_STATE(3945)] = 121470,
  [SMALL_STATE(3946)] = 121479,
  [SMALL_STATE(3947)] = 121488,
  [SMALL_STATE(3948)] = 121497,
  [SMALL_STATE(3949)] = 121506,
  [SMALL_STATE(3950)] = 121515,
  [SMALL_STATE(3951)] = 121524,
  [SMALL_STATE(3952)] = 121533,
  [SMALL_STATE(3953)] = 121542,
  [SMALL_STATE(3954)] = 121551,
  [SMALL_STATE(3955)] = 121560,
  [SMALL_STATE(3956)] = 121569,
  [SMALL_STATE(3957)] = 121578,
  [SMALL_STATE(3958)] = 121587,
  [SMALL_STATE(3959)] = 121596,
  [SMALL_STATE(3960)] = 121605,
  [SMALL_STATE(3961)] = 121614,
  [SMALL_STATE(3962)] = 121623,
  [SMALL_STATE(3963)] = 121632,
  [SMALL_STATE(3964)] = 121641,
  [SMALL_STATE(3965)] = 121650,
  [SMALL_STATE(3966)] = 121659,
  [SMALL_STATE(3967)] = 121668,
  [SMALL_STATE(3968)] = 121677,
  [SMALL_STATE(3969)] = 121686,
  [SMALL_STATE(3970)] = 121695,
  [SMALL_STATE(3971)] = 121704,
  [SMALL_STATE(3972)] = 121713,
  [SMALL_STATE(3973)] = 121722,
  [SMALL_STATE(3974)] = 121731,
  [SMALL_STATE(3975)] = 121740,
  [SMALL_STATE(3976)] = 121749,
  [SMALL_STATE(3977)] = 121758,
  [SMALL_STATE(3978)] = 121767,
  [SMALL_STATE(3979)] = 121776,
  [SMALL_STATE(3980)] = 121785,
  [SMALL_STATE(3981)] = 121794,
  [SMALL_STATE(3982)] = 121803,
  [SMALL_STATE(3983)] = 121812,
  [SMALL_STATE(3984)] = 121821,
  [SMALL_STATE(3985)] = 121830,
  [SMALL_STATE(3986)] = 121839,
  [SMALL_STATE(3987)] = 121848,
  [SMALL_STATE(3988)] = 121857,
  [SMALL_STATE(3989)] = 121866,
  [SMALL_STATE(3990)] = 121875,
  [SMALL_STATE(3991)] = 121884,
  [SMALL_STATE(3992)] = 121893,
  [SMALL_STATE(3993)] = 121902,
  [SMALL_STATE(3994)] = 121911,
  [SMALL_STATE(3995)] = 121920,
  [SMALL_STATE(3996)] = 121929,
  [SMALL_STATE(3997)] = 121938,
  [SMALL_STATE(3998)] = 121947,
  [SMALL_STATE(3999)] = 121956,
  [SMALL_STATE(4000)] = 121965,
  [SMALL_STATE(4001)] = 121974,
  [SMALL_STATE(4002)] = 121983,
  [SMALL_STATE(4003)] = 121992,
  [SMALL_STATE(4004)] = 122001,
  [SMALL_STATE(4005)] = 122010,
  [SMALL_STATE(4006)] = 122019,
  [SMALL_STATE(4007)] = 122028,
  [SMALL_STATE(4008)] = 122037,
  [SMALL_STATE(4009)] = 122046,
  [SMALL_STATE(4010)] = 122055,
  [SMALL_STATE(4011)] = 122064,
  [SMALL_STATE(4012)] = 122073,
  [SMALL_STATE(4013)] = 122082,
  [SMALL_STATE(4014)] = 122091,
  [SMALL_STATE(4015)] = 122100,
  [SMALL_STATE(4016)] = 122109,
  [SMALL_STATE(4017)] = 122118,
  [SMALL_STATE(4018)] = 122127,
  [SMALL_STATE(4019)] = 122136,
  [SMALL_STATE(4020)] = 122145,
  [SMALL_STATE(4021)] = 122154,
  [SMALL_STATE(4022)] = 122163,
  [SMALL_STATE(4023)] = 122172,
  [SMALL_STATE(4024)] = 122181,
  [SMALL_STATE(4025)] = 122190,
  [SMALL_STATE(4026)] = 122199,
  [SMALL_STATE(4027)] = 122208,
  [SMALL_STATE(4028)] = 122217,
  [SMALL_STATE(4029)] = 122226,
  [SMALL_STATE(4030)] = 122235,
  [SMALL_STATE(4031)] = 122244,
  [SMALL_STATE(4032)] = 122253,
  [SMALL_STATE(4033)] = 122262,
  [SMALL_STATE(4034)] = 122271,
  [SMALL_STATE(4035)] = 122280,
  [SMALL_STATE(4036)] = 122289,
  [SMALL_STATE(4037)] = 122298,
  [SMALL_STATE(4038)] = 122307,
  [SMALL_STATE(4039)] = 122316,
  [SMALL_STATE(4040)] = 122325,
  [SMALL_STATE(4041)] = 122334,
  [SMALL_STATE(4042)] = 122343,
  [SMALL_STATE(4043)] = 122352,
  [SMALL_STATE(4044)] = 122361,
  [SMALL_STATE(4045)] = 122370,
  [SMALL_STATE(4046)] = 122379,
  [SMALL_STATE(4047)] = 122388,
  [SMALL_STATE(4048)] = 122397,
  [SMALL_STATE(4049)] = 122406,
  [SMALL_STATE(4050)] = 122415,
  [SMALL_STATE(4051)] = 122424,
  [SMALL_STATE(4052)] = 122433,
  [SMALL_STATE(4053)] = 122442,
  [SMALL_STATE(4054)] = 122451,
  [SMALL_STATE(4055)] = 122460,
  [SMALL_STATE(4056)] = 122469,
  [SMALL_STATE(4057)] = 122478,
  [SMALL_STATE(4058)] = 122487,
  [SMALL_STATE(4059)] = 122496,
  [SMALL_STATE(4060)] = 122505,
  [SMALL_STATE(4061)] = 122514,
  [SMALL_STATE(4062)] = 122523,
  [SMALL_STATE(4063)] = 122532,
  [SMALL_STATE(4064)] = 122541,
  [SMALL_STATE(4065)] = 122550,
  [SMALL_STATE(4066)] = 122559,
  [SMALL_STATE(4067)] = 122568,
  [SMALL_STATE(4068)] = 122577,
  [SMALL_STATE(4069)] = 122586,
  [SMALL_STATE(4070)] = 122595,
  [SMALL_STATE(4071)] = 122604,
  [SMALL_STATE(4072)] = 122613,
  [SMALL_STATE(4073)] = 122622,
  [SMALL_STATE(4074)] = 122631,
  [SMALL_STATE(4075)] = 122640,
  [SMALL_STATE(4076)] = 122649,
  [SMALL_STATE(4077)] = 122658,
  [SMALL_STATE(4078)] = 122667,
  [SMALL_STATE(4079)] = 122676,
  [SMALL_STATE(4080)] = 122685,
  [SMALL_STATE(4081)] = 122694,
  [SMALL_STATE(4082)] = 122703,
  [SMALL_STATE(4083)] = 122712,
  [SMALL_STATE(4084)] = 122721,
  [SMALL_STATE(4085)] = 122730,
  [SMALL_STATE(4086)] = 122739,
  [SMALL_STATE(4087)] = 122748,
  [SMALL_STATE(4088)] = 122757,
  [SMALL_STATE(4089)] = 122766,
  [SMALL_STATE(4090)] = 122775,
  [SMALL_STATE(4091)] = 122784,
  [SMALL_STATE(4092)] = 122793,
  [SMALL_STATE(4093)] = 122802,
  [SMALL_STATE(4094)] = 122811,
  [SMALL_STATE(4095)] = 122820,
  [SMALL_STATE(4096)] = 122829,
  [SMALL_STATE(4097)] = 122838,
  [SMALL_STATE(4098)] = 122847,
  [SMALL_STATE(4099)] = 122856,
  [SMALL_STATE(4100)] = 122865,
  [SMALL_STATE(4101)] = 122874,
  [SMALL_STATE(4102)] = 122883,
  [SMALL_STATE(4103)] = 122892,
  [SMALL_STATE(4104)] = 122901,
  [SMALL_STATE(4105)] = 122910,
  [SMALL_STATE(4106)] = 122919,
  [SMALL_STATE(4107)] = 122928,
  [SMALL_STATE(4108)] = 122937,
  [SMALL_STATE(4109)] = 122946,
  [SMALL_STATE(4110)] = 122955,
  [SMALL_STATE(4111)] = 122964,
  [SMALL_STATE(4112)] = 122973,
  [SMALL_STATE(4113)] = 122982,
  [SMALL_STATE(4114)] = 122991,
  [SMALL_STATE(4115)] = 123000,
  [SMALL_STATE(4116)] = 123009,
  [SMALL_STATE(4117)] = 123018,
  [SMALL_STATE(4118)] = 123027,
  [SMALL_STATE(4119)] = 123036,
  [SMALL_STATE(4120)] = 123045,
  [SMALL_STATE(4121)] = 123054,
  [SMALL_STATE(4122)] = 123063,
  [SMALL_STATE(4123)] = 123072,
  [SMALL_STATE(4124)] = 123083,
  [SMALL_STATE(4125)] = 123092,
  [SMALL_STATE(4126)] = 123101,
  [SMALL_STATE(4127)] = 123110,
  [SMALL_STATE(4128)] = 123119,
  [SMALL_STATE(4129)] = 123128,
  [SMALL_STATE(4130)] = 123137,
  [SMALL_STATE(4131)] = 123146,
  [SMALL_STATE(4132)] = 123155,
  [SMALL_STATE(4133)] = 123164,
  [SMALL_STATE(4134)] = 123173,
  [SMALL_STATE(4135)] = 123182,
  [SMALL_STATE(4136)] = 123191,
  [SMALL_STATE(4137)] = 123200,
  [SMALL_STATE(4138)] = 123209,
  [SMALL_STATE(4139)] = 123218,
  [SMALL_STATE(4140)] = 123227,
  [SMALL_STATE(4141)] = 123236,
  [SMALL_STATE(4142)] = 123245,
  [SMALL_STATE(4143)] = 123254,
  [SMALL_STATE(4144)] = 123263,
  [SMALL_STATE(4145)] = 123272,
  [SMALL_STATE(4146)] = 123281,
  [SMALL_STATE(4147)] = 123290,
  [SMALL_STATE(4148)] = 123299,
  [SMALL_STATE(4149)] = 123308,
  [SMALL_STATE(4150)] = 123317,
  [SMALL_STATE(4151)] = 123326,
  [SMALL_STATE(4152)] = 123335,
  [SMALL_STATE(4153)] = 123344,
  [SMALL_STATE(4154)] = 123353,
  [SMALL_STATE(4155)] = 123362,
  [SMALL_STATE(4156)] = 123371,
  [SMALL_STATE(4157)] = 123380,
  [SMALL_STATE(4158)] = 123389,
  [SMALL_STATE(4159)] = 123398,
  [SMALL_STATE(4160)] = 123407,
  [SMALL_STATE(4161)] = 123416,
  [SMALL_STATE(4162)] = 123425,
  [SMALL_STATE(4163)] = 123434,
  [SMALL_STATE(4164)] = 123443,
  [SMALL_STATE(4165)] = 123452,
  [SMALL_STATE(4166)] = 123461,
  [SMALL_STATE(4167)] = 123470,
  [SMALL_STATE(4168)] = 123479,
  [SMALL_STATE(4169)] = 123488,
  [SMALL_STATE(4170)] = 123497,
  [SMALL_STATE(4171)] = 123506,
  [SMALL_STATE(4172)] = 123515,
  [SMALL_STATE(4173)] = 123524,
  [SMALL_STATE(4174)] = 123533,
  [SMALL_STATE(4175)] = 123542,
  [SMALL_STATE(4176)] = 123551,
  [SMALL_STATE(4177)] = 123560,
  [SMALL_STATE(4178)] = 123569,
  [SMALL_STATE(4179)] = 123578,
  [SMALL_STATE(4180)] = 123587,
  [SMALL_STATE(4181)] = 123596,
  [SMALL_STATE(4182)] = 123605,
  [SMALL_STATE(4183)] = 123614,
  [SMALL_STATE(4184)] = 123623,
  [SMALL_STATE(4185)] = 123632,
  [SMALL_STATE(4186)] = 123641,
  [SMALL_STATE(4187)] = 123650,
  [SMALL_STATE(4188)] = 123659,
  [SMALL_STATE(4189)] = 123668,
  [SMALL_STATE(4190)] = 123677,
  [SMALL_STATE(4191)] = 123686,
  [SMALL_STATE(4192)] = 123695,
  [SMALL_STATE(4193)] = 123704,
  [SMALL_STATE(4194)] = 123713,
  [SMALL_STATE(4195)] = 123722,
  [SMALL_STATE(4196)] = 123731,
  [SMALL_STATE(4197)] = 123740,
  [SMALL_STATE(4198)] = 123749,
  [SMALL_STATE(4199)] = 123758,
  [SMALL_STATE(4200)] = 123767,
  [SMALL_STATE(4201)] = 123776,
  [SMALL_STATE(4202)] = 123785,
  [SMALL_STATE(4203)] = 123794,
  [SMALL_STATE(4204)] = 123803,
  [SMALL_STATE(4205)] = 123812,
  [SMALL_STATE(4206)] = 123821,
  [SMALL_STATE(4207)] = 123830,
  [SMALL_STATE(4208)] = 123839,
  [SMALL_STATE(4209)] = 123848,
  [SMALL_STATE(4210)] = 123857,
  [SMALL_STATE(4211)] = 123866,
  [SMALL_STATE(4212)] = 123875,
  [SMALL_STATE(4213)] = 123884,
  [SMALL_STATE(4214)] = 123893,
  [SMALL_STATE(4215)] = 123902,
  [SMALL_STATE(4216)] = 123911,
  [SMALL_STATE(4217)] = 123920,
  [SMALL_STATE(4218)] = 123929,
  [SMALL_STATE(4219)] = 123938,
  [SMALL_STATE(4220)] = 123947,
  [SMALL_STATE(4221)] = 123956,
  [SMALL_STATE(4222)] = 123965,
  [SMALL_STATE(4223)] = 123974,
  [SMALL_STATE(4224)] = 123983,
  [SMALL_STATE(4225)] = 123992,
  [SMALL_STATE(4226)] = 124001,
  [SMALL_STATE(4227)] = 124010,
  [SMALL_STATE(4228)] = 124019,
  [SMALL_STATE(4229)] = 124028,
  [SMALL_STATE(4230)] = 124037,
  [SMALL_STATE(4231)] = 124046,
  [SMALL_STATE(4232)] = 124055,
  [SMALL_STATE(4233)] = 124064,
  [SMALL_STATE(4234)] = 124073,
  [SMALL_STATE(4235)] = 124082,
  [SMALL_STATE(4236)] = 124091,
  [SMALL_STATE(4237)] = 124100,
  [SMALL_STATE(4238)] = 124109,
  [SMALL_STATE(4239)] = 124118,
  [SMALL_STATE(4240)] = 124127,
  [SMALL_STATE(4241)] = 124136,
  [SMALL_STATE(4242)] = 124145,
  [SMALL_STATE(4243)] = 124154,
  [SMALL_STATE(4244)] = 124163,
  [SMALL_STATE(4245)] = 124172,
  [SMALL_STATE(4246)] = 124181,
  [SMALL_STATE(4247)] = 124190,
  [SMALL_STATE(4248)] = 124199,
  [SMALL_STATE(4249)] = 124208,
  [SMALL_STATE(4250)] = 124217,
  [SMALL_STATE(4251)] = 124226,
  [SMALL_STATE(4252)] = 124235,
  [SMALL_STATE(4253)] = 124244,
  [SMALL_STATE(4254)] = 124253,
  [SMALL_STATE(4255)] = 124262,
  [SMALL_STATE(4256)] = 124271,
  [SMALL_STATE(4257)] = 124280,
  [SMALL_STATE(4258)] = 124289,
  [SMALL_STATE(4259)] = 124298,
  [SMALL_STATE(4260)] = 124307,
  [SMALL_STATE(4261)] = 124316,
  [SMALL_STATE(4262)] = 124325,
  [SMALL_STATE(4263)] = 124334,
  [SMALL_STATE(4264)] = 124343,
  [SMALL_STATE(4265)] = 124352,
  [SMALL_STATE(4266)] = 124361,
  [SMALL_STATE(4267)] = 124370,
  [SMALL_STATE(4268)] = 124379,
  [SMALL_STATE(4269)] = 124388,
  [SMALL_STATE(4270)] = 124397,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [9] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 1),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4213),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 1),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [63] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elude, 1),
  [65] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elude, 1),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4084),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2851),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2646),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2509),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(4228),
  [1564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(3342),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(4138),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(991),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(2601),
  [1576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(4224),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(3174),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(329),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(23),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(750),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(3615),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(749),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(57),
  [1600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2),
  [1602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(74),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(759),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(402),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(403),
  [1614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(404),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(504),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(3210),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(622),
  [1626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(226),
  [1629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(31),
  [1632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(2600),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(2804),
  [1638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_group_repeat1, 2), SHIFT_REPEAT(4103),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(4086),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(3345),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(4143),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(988),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2866),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(4083),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(3168),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(500),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(34),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(502),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(3639),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(503),
  [1683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(62),
  [1686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(89),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2),
  [1691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(623),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(441),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(443),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(444),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(310),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(3212),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(599),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(223),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(41),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2865),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(2868),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2), SHIFT_REPEAT(4125),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [1833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [1849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [1881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [1927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [1929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [1943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [2071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [2073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [2121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [2251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [2263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2973),
  [2273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [2283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [2291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1695),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2198),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [2491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2647),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [2727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [2735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [2743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [2747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [2749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [2755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2479),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [2779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [2897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [2901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [2903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [2905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [2911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1501),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4217),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4113),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [3269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4093),
  [3272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3892),
  [3275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3990),
  [3278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4093),
  [3281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(956),
  [3284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(956),
  [3287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1072),
  [3290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3366),
  [3293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4217),
  [3296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(969),
  [3299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(120),
  [3302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3983),
  [3305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3988),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [3310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3532),
  [3313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(938),
  [3316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(940),
  [3319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3588),
  [3322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3534),
  [3325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1053),
  [3328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4118),
  [3331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1072),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [3358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4147),
  [3361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4257),
  [3364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4256),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4147),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(950),
  [3373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(950),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1071),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3331),
  [3382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4100),
  [3385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(994),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(72),
  [3391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3423),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4255),
  [3397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3418),
  [3400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(822),
  [3403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(826),
  [3406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3419),
  [3409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3420),
  [3412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1052),
  [3415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1071),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [3434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4117),
  [3437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4116),
  [3440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4115),
  [3443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4117),
  [3446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(946),
  [3449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(946),
  [3452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1070),
  [3455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(3338),
  [3458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4113),
  [3461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(980),
  [3464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(82),
  [3467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4112),
  [3470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4111),
  [3473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4123),
  [3476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(862),
  [3479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(842),
  [3482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4120),
  [3485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(4119),
  [3488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1032),
  [3491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1070),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [3524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_content, 1),
  [3626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__line_content, 1),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_content, 2),
  [3634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__line_content, 2),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2),
  [3638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3892),
  [3641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3990),
  [3644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(948),
  [3649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(948),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1072),
  [3655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3366),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4217),
  [3661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(969),
  [3664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(120),
  [3667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3983),
  [3670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3988),
  [3673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(938),
  [3676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(940),
  [3679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3588),
  [3682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1072),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4116),
  [3700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4115),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(952),
  [3706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(952),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1070),
  [3712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3338),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4113),
  [3718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(980),
  [3721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(82),
  [3724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4112),
  [3727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4111),
  [3730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(862),
  [3733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(842),
  [3736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4120),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1070),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4257),
  [3753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4256),
  [3756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(957),
  [3759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(957),
  [3762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1071),
  [3765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3331),
  [3768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4100),
  [3771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(994),
  [3774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(72),
  [3777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3423),
  [3780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4255),
  [3783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(822),
  [3786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(826),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3419),
  [3792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1071),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [3833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(3833),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(2904),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(2902),
  [3842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(2904),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(999),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(1022),
  [3853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(963),
  [3856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(4040),
  [3859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(146),
  [3862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(3178),
  [3865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(2466),
  [3868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2), SHIFT_REPEAT(2032),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [3881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3862),
  [3884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2591),
  [3887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2590),
  [3890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2591),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2),
  [3895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(979),
  [3898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(1020),
  [3901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(4087),
  [3904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(130),
  [3907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3199),
  [3910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2103),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(1387),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formula, 1),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [3924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [3926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [3956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [3962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3833),
  [3965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2904),
  [3968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2902),
  [3971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2904),
  [3974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(999),
  [3977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(1022),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(4040),
  [3983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(146),
  [3986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3178),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2570),
  [3992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(1885),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [4079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(4045),
  [4082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3023),
  [4085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3012),
  [4088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3023),
  [4091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(981),
  [4094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(1023),
  [4097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(4096),
  [4100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(94),
  [4103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3193),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2937),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2309),
  [4112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3956),
  [4115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3017),
  [4118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3016),
  [4121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3017),
  [4124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(995),
  [4127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(1006),
  [4130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(4252),
  [4133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(109),
  [4136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(3181),
  [4139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2853),
  [4142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 2), SHIFT_REPEAT(2224),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [4249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3991),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4044),
  [4255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1018),
  [4258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1018),
  [4261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3069),
  [4264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3341),
  [4267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4133),
  [4270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(984),
  [4273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(100),
  [4276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3591),
  [4279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4042),
  [4282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(924),
  [4285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(809),
  [4288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3562),
  [4291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3069),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [4304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [4316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [4320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [4346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [4352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4092),
  [4355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4091),
  [4358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1033),
  [4361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(1033),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3068),
  [4367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3339),
  [4370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4122),
  [4373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(970),
  [4376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(87),
  [4379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3537),
  [4382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(4090),
  [4385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(892),
  [4388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(893),
  [4391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3533),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__line_content_repeat1, 2), SHIFT_REPEAT(3068),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [4495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 2),
  [4497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_group_repeat1, 2),
  [4499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 5),
  [4501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 5),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 5, .production_id = 21),
  [4507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 5, .production_id = 21),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2),
  [4513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(4116),
  [4516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2),
  [4518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1062),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1062),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 6, .production_id = 21),
  [4528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 6, .production_id = 21),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 3),
  [4532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 3),
  [4534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(4257),
  [4537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1067),
  [4540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1067),
  [4543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 4),
  [4545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 4),
  [4547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1),
  [4549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [4563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 4),
  [4565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 4),
  [4567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(3892),
  [4570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1082),
  [4573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1082),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 2),
  [4578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 2),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [4584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 5, .production_id = 11),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, .production_id = 11),
  [4588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_import_repeat1, 2), SHIFT_REPEAT(3890),
  [4591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_repeat1, 2),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_repeat1, 2),
  [4595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, .production_id = 11),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, .production_id = 11),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [4603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 3, .production_id = 11),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 3, .production_id = 11),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strong, 3, .production_id = 7),
  [4617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strong, 3, .production_id = 7),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape, 2),
  [4623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape, 2),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_section, 2),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_section, 2),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 4, .production_id = 24),
  [4635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_content, 4, .production_id = 24),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [4639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 4, .production_id = 17),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 4, .production_id = 17),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [4649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__code, 3),
  [4651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__code, 3),
  [4653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 5, .production_id = 31),
  [4655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_content, 5, .production_id = 31),
  [4657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_branch_repeat1, 2),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2),
  [4661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1111),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 3),
  [4666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 3),
  [4668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section, 2),
  [4670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section, 2),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brackets, 4, .production_id = 12),
  [4674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__brackets, 4, .production_id = 12),
  [4676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 6, .production_id = 11),
  [4678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 6, .production_id = 11),
  [4680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_blck, 4),
  [4682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_blck, 4),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_span, 4),
  [4686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_span, 4),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math, 4),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math, 4),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item, 5),
  [4694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item, 5),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented, 3),
  [4698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented, 3),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 6),
  [4702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 6),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_math, 3),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_math, 3),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brackets, 3, .production_id = 9),
  [4710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__brackets, 3, .production_id = 9),
  [4712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emph, 3, .production_id = 8),
  [4714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emph, 3, .production_id = 8),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__content_lb, 3),
  [4718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__content_lb, 3),
  [4720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented, 2),
  [4722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented, 2),
  [4724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__section, 3),
  [4726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__section, 3),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_emph, 2, .production_id = 2),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_emph, 2, .production_id = 2),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref, 4),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref, 4),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 7, .production_id = 21),
  [4740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 7, .production_id = 21),
  [4742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [4748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 3, .production_id = 17),
  [4750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 3, .production_id = 17),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_url, 2),
  [4758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_url, 2),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__content_lb, 2),
  [4764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__content_lb, 2),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_strong, 2, .production_id = 1),
  [4768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_strong, 2, .production_id = 1),
  [4770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_blck, 5, .production_id = 22),
  [4772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_blck, 5, .production_id = 22),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1183),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [4799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as, 2),
  [4801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as, 2),
  [4803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4),
  [4805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4),
  [4807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 3),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 3),
  [4811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [4813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [4817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1236),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [4824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 2),
  [4830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 2),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [4844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 2, .production_id = 11),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 7, .production_id = 11),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 7, .production_id = 11),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_repeat1, 3),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_repeat1, 3),
  [4898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, .production_id = 13),
  [4900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, .production_id = 13),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [4934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [4948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [4950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 6),
  [4952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 6),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1282),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [4973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1301),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ident, 2),
  [4984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ident, 2),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 5),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 5),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [5002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1316),
  [5005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_group, 4),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group, 4),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [5017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1331),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [5030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 4),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 4),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_field, 3, .production_id = 16),
  [5072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_field, 3, .production_id = 16),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [5084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [5086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [5090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [5092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [5094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let, 2, .production_id = 10),
  [5096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 2, .production_id = 10),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [5100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in, 4),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in, 4),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign, 2),
  [5106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign, 2),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [5114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 5, .production_id = 32),
  [5116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 5, .production_id = 32),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_item, 1, .production_id = 5),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_item, 1, .production_id = 5),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_show, 4, .production_id = 25),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow, 1),
  [5126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow, 1),
  [5128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 4, .production_id = 26),
  [5130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let, 4, .production_id = 25),
  [5132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 4, .production_id = 25),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1370),
  [5137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add, 3),
  [5139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add, 3),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 1),
  [5147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool, 1),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [5151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 3, .production_id = 17),
  [5153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 3, .production_id = 17),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [5157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in, 3),
  [5159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in, 3),
  [5161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1),
  [5163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [5171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmp, 3),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmp, 3),
  [5175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mul, 3),
  [5177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mul, 3),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_div, 3),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_div, 3),
  [5183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field, 3, .production_id = 16),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, .production_id = 16),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_and, 3),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_and, 3),
  [5191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or, 3),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or, 3),
  [5195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda, 3, .production_id = 20),
  [5197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 20),
  [5199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assign, 3, .production_id = 20),
  [5201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assign, 3, .production_id = 20),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [5239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tagged, 3, .production_id = 19),
  [5241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tagged, 3, .production_id = 19),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_show, 3, .production_id = 18),
  [5245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, .production_id = 27),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, .production_id = 27),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [5287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 6, .production_id = 17),
  [5289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 6, .production_id = 17),
  [5291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for, 5, .production_id = 25),
  [5293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for, 5, .production_id = 25),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [5369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_branch, 5, .production_id = 17),
  [5371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_branch, 5, .production_id = 17),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [5383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sub, 3),
  [5385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sub, 3),
  [5387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1462),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 2),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 2),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [5414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [5416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1526),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [5429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_item, 1),
  [5431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_item, 1),
  [5433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_tag, 1, .production_id = 23),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [5455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not, 2),
  [5457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not, 2),
  [5459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elude, 2),
  [5461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elude, 2),
  [5463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_context, 2),
  [5465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_context, 2),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [5469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1574),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [5484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1593),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [5571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1689),
  [5574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1690),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [5653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(1791),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [5684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [5686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [5706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [5708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [5736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [5738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [5754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [5772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [5774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [5790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [5792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [5794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [5796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(2010),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [5841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(2019),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [5872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(2078),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [5935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [5955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_shorthand, 2),
  [5957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_shorthand, 2),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [5977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(2230),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [6010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_branch_repeat1, 2), SHIFT_REPEAT(2312),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [6031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [6041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [6053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [6115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [6139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [6173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [6183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [6193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [6195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [6205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [6209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [6213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [6217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [6227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_symbol, 1),
  [6229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_symbol, 1),
  [6231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formula_repeat1, 1),
  [6233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_formula_repeat1, 1),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [6245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 6, .production_id = 33),
  [6247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 6, .production_id = 33),
  [6249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 6, .production_id = 13),
  [6251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 6, .production_id = 13),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, .production_id = 3),
  [6255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, .production_id = 3),
  [6257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, .production_id = 4),
  [6259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, .production_id = 4),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_expr, 1, .production_id = 6),
  [6267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_expr, 1, .production_id = 6),
  [6269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 5, .production_id = 30),
  [6271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 5, .production_id = 30),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 5, .production_id = 13),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 5, .production_id = 13),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [6279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__math_attach_sup, 3, .production_id = 14), REDUCE(sym__math_attach_sub, 5, .production_id = 29),
  [6282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__math_attach_sup, 3, .production_id = 14), REDUCE(sym__math_attach_sub, 5, .production_id = 29),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [6287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__math_attach_sub, 3, .production_id = 15), REDUCE(sym__math_attach_sup, 5, .production_id = 28),
  [6290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__math_attach_sub, 3, .production_id = 15), REDUCE(sym__math_attach_sup, 5, .production_id = 28),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [6299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_group, 2),
  [6301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_group, 2),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [6305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_root, 2),
  [6307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_root, 2),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [6315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_prime, 2),
  [6317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_prime, 2),
  [6319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_fac, 2),
  [6321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_fac, 2),
  [6323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_call, 4, .production_id = 13),
  [6325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_call, 4, .production_id = 13),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [6345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_attach_sub, 3, .production_id = 15),
  [6347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_attach_sub, 3, .production_id = 15),
  [6349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_attach_sup, 3, .production_id = 14),
  [6351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_attach_sup, 3, .production_id = 14),
  [6353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_div, 3),
  [6355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_div, 3),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [6359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_group, 3),
  [6361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_group, 3),
  [6363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_apply, 3, .production_id = 13),
  [6365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__math_apply, 3, .production_id = 13),
  [6367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [6399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [6425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [6533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1),
  [6535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__stmt, 1),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__item, 1),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [6595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(4092),
  [6598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(3070),
  [6601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(3070),
  [6604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(3991),
  [6607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(3071),
  [6610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(3071),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [6617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2),
  [6619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__math_call_repeat1, 2, .production_id = 5),
  [6621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__math_call_repeat1, 2, .production_id = 5),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [6691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3925),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3161),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__math_tagged, 3, .production_id = 19),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [7093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [7321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [8273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 1),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [8307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heading, 4),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [8333] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [8379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heading, 3),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__indent = 0,
  ts_external_token__dedent = 1,
  ts_external_token__redent = 2,
  ts_external_token__line_start_check = 3,
  ts_external_token__token_content = 4,
  ts_external_token__token_strong = 5,
  ts_external_token__token_emph = 6,
  ts_external_token__barrier = 7,
  ts_external_token__token_bracket = 8,
  ts_external_token__token_section = 9,
  ts_external_token__termination = 10,
  ts_external_token__token_inlined_item_end = 11,
  ts_external_token__token_inlined_stmt_end = 12,
  ts_external_token__token_blocked_expr_end = 13,
  ts_external_token__token_math_letter = 14,
  ts_external_token__token_math_ident = 15,
  ts_external_token__token_math_frac = 16,
  ts_external_token__token_math_group_end = 17,
  ts_external_token__token_else = 18,
  ts_external_token__token_unit = 19,
  ts_external_token__token_url = 20,
  ts_external_token__token_item = 21,
  ts_external_token__token_term = 22,
  ts_external_token__token_head_1 = 23,
  ts_external_token__token_head_2 = 24,
  ts_external_token__token_head_3 = 25,
  ts_external_token__token_head_4 = 26,
  ts_external_token__token_head_5 = 27,
  ts_external_token__token_head_p = 28,
  ts_external_token__token_string_blob = 29,
  ts_external_token__token_raw_span_blob = 30,
  ts_external_token__token_raw_blck_blob = 31,
  ts_external_token__token_raw_lang = 32,
  ts_external_token__token_identifier = 33,
  ts_external_token__token_label = 34,
  ts_external_token__token_anti_markup = 35,
  ts_external_token_comment = 36,
  ts_external_token__sp = 37,
  ts_external_token__immediate = 38,
  ts_external_token__immediate_paren = 39,
  ts_external_token__immediate_brack = 40,
  ts_external_token__immediate_ident = 41,
  ts_external_token__immediate_math_call = 42,
  ts_external_token__immediate_math_apply = 43,
  ts_external_token__immediate_math_field = 44,
  ts_external_token__immediate_math_prime = 45,
  ts_external_token__recovery = 46,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__redent] = sym__redent,
  [ts_external_token__line_start_check] = sym__line_start_check,
  [ts_external_token__token_content] = sym__token_content,
  [ts_external_token__token_strong] = sym__token_strong,
  [ts_external_token__token_emph] = sym__token_emph,
  [ts_external_token__barrier] = sym__barrier,
  [ts_external_token__token_bracket] = sym__token_bracket,
  [ts_external_token__token_section] = sym__token_section,
  [ts_external_token__termination] = sym__termination,
  [ts_external_token__token_inlined_item_end] = sym__token_inlined_item_end,
  [ts_external_token__token_inlined_stmt_end] = sym__token_inlined_stmt_end,
  [ts_external_token__token_blocked_expr_end] = sym__token_blocked_expr_end,
  [ts_external_token__token_math_letter] = sym__token_math_letter,
  [ts_external_token__token_math_ident] = sym__token_math_ident,
  [ts_external_token__token_math_frac] = sym__token_math_frac,
  [ts_external_token__token_math_group_end] = sym__token_math_group_end,
  [ts_external_token__token_else] = sym__token_else,
  [ts_external_token__token_unit] = sym__token_unit,
  [ts_external_token__token_url] = sym__token_url,
  [ts_external_token__token_item] = sym__token_item,
  [ts_external_token__token_term] = sym__token_term,
  [ts_external_token__token_head_1] = sym__token_head_1,
  [ts_external_token__token_head_2] = sym__token_head_2,
  [ts_external_token__token_head_3] = sym__token_head_3,
  [ts_external_token__token_head_4] = sym__token_head_4,
  [ts_external_token__token_head_5] = sym__token_head_5,
  [ts_external_token__token_head_p] = sym__token_head_p,
  [ts_external_token__token_string_blob] = sym__token_string_blob,
  [ts_external_token__token_raw_span_blob] = sym__token_raw_span_blob,
  [ts_external_token__token_raw_blck_blob] = sym__token_raw_blck_blob,
  [ts_external_token__token_raw_lang] = sym__token_raw_lang,
  [ts_external_token__token_identifier] = sym__token_identifier,
  [ts_external_token__token_label] = sym__token_label,
  [ts_external_token__token_anti_markup] = sym__token_anti_markup,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__sp] = sym__sp,
  [ts_external_token__immediate] = sym__immediate,
  [ts_external_token__immediate_paren] = sym__immediate_paren,
  [ts_external_token__immediate_brack] = sym__immediate_brack,
  [ts_external_token__immediate_ident] = sym__immediate_ident,
  [ts_external_token__immediate_math_call] = sym__immediate_math_call,
  [ts_external_token__immediate_math_apply] = sym__immediate_math_apply,
  [ts_external_token__immediate_math_field] = sym__immediate_math_field,
  [ts_external_token__immediate_math_prime] = sym__immediate_math_prime,
  [ts_external_token__recovery] = sym__recovery,
};

static const bool ts_external_scanner_states[57][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__line_start_check] = true,
    [ts_external_token__token_content] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__barrier] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_section] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token__token_url] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_string_blob] = true,
    [ts_external_token__token_raw_span_blob] = true,
    [ts_external_token__token_raw_blck_blob] = true,
    [ts_external_token__token_raw_lang] = true,
    [ts_external_token__token_identifier] = true,
    [ts_external_token__token_label] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
    [ts_external_token__immediate_ident] = true,
    [ts_external_token__immediate_math_call] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_field] = true,
    [ts_external_token__immediate_math_prime] = true,
    [ts_external_token__recovery] = true,
  },
  [2] = {
    [ts_external_token__line_start_check] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [3] = {
    [ts_external_token__token_content] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [4] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [5] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [6] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [7] = {
    [ts_external_token__token_content] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [8] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [9] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [10] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [11] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [12] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [13] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [14] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [15] = {
    [ts_external_token__indent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [16] = {
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [17] = {
    [ts_external_token__indent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [18] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [19] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [20] = {
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [21] = {
    [ts_external_token__redent] = true,
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_item] = true,
    [ts_external_token__token_term] = true,
    [ts_external_token__token_head_1] = true,
    [ts_external_token__token_head_2] = true,
    [ts_external_token__token_head_3] = true,
    [ts_external_token__token_head_4] = true,
    [ts_external_token__token_head_5] = true,
    [ts_external_token__token_head_p] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [22] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [23] = {
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [24] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [25] = {
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [26] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [27] = {
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [28] = {
    [ts_external_token__token_content] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [29] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [30] = {
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [31] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [32] = {
    [ts_external_token__token_blocked_expr_end] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [33] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_unit] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [34] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token__token_else] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [35] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_call] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_field] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [36] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [37] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_call] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_field] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [38] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [39] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_apply] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [40] = {
    [ts_external_token__token_math_letter] = true,
    [ts_external_token__token_math_ident] = true,
    [ts_external_token__token_math_frac] = true,
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_math_prime] = true,
  },
  [41] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [42] = {
    [ts_external_token__token_strong] = true,
    [ts_external_token__token_emph] = true,
    [ts_external_token__token_bracket] = true,
    [ts_external_token__termination] = true,
    [ts_external_token__token_anti_markup] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate_brack] = true,
  },
  [43] = {
    [ts_external_token__token_string_blob] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [44] = {
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [45] = {
    [ts_external_token__token_section] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [46] = {
    [ts_external_token__token_raw_blck_blob] = true,
    [ts_external_token__token_raw_lang] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [47] = {
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
    [ts_external_token__immediate] = true,
  },
  [48] = {
    [ts_external_token__barrier] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [49] = {
    [ts_external_token__token_label] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [50] = {
    [ts_external_token__token_inlined_stmt_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [51] = {
    [ts_external_token__token_inlined_item_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [52] = {
    [ts_external_token__token_url] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [53] = {
    [ts_external_token__token_math_ident] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [54] = {
    [ts_external_token__token_math_group_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [55] = {
    [ts_external_token__token_raw_span_blob] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
  [56] = {
    [ts_external_token__token_raw_blck_blob] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__sp] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_typst_external_scanner_create(void);
void tree_sitter_typst_external_scanner_destroy(void *);
bool tree_sitter_typst_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_typst_external_scanner_serialize(void *, char *);
void tree_sitter_typst_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_typst() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_typst_external_scanner_create,
      tree_sitter_typst_external_scanner_destroy,
      tree_sitter_typst_external_scanner_scan,
      tree_sitter_typst_external_scanner_serialize,
      tree_sitter_typst_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
